# German/Print version

From Wikibooks, open books for an open world

< [German](http://en.wikibooks.org/wiki/German)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=German/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=German/Print_version) on _3 October 2011_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=German/Print_version&oldid=2175001&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

This page is in severe development. It is and will not be a good read or make much sense until that development is done!

  


# 

# German[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=1)]

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [German](http://en.wikibooks.org/wiki/German)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=purge&printable=yes) this page.

# Main Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=2)]

  * [Introduction](Print_version.html#Introduction)
  * Lessons 
    * [Level one lessons (Introductory lessons / einführende Lektionen)](Print_version.html#LEVEL_ONE_LESSONS)
    * [Level two lessons (Grundlegende Lektionen)](Print_version.html#LEVEL_TWO_LESSONS)
    * [Level three lessons (Zwischen-Lektionen)](Print_version.html#LEVEL_THREE_LESSONS)
    * [Level four lessons (Erweiterte Lektionen)](Print_version.html#LEVEL_FOUR_LESSONS)
    * [Level five lessons (Review lessons / Überprüfungs-Lektionen)](Print_version.html#LEVEL_FIVE_LESSONS)
  * [Grammar](Print_version.html#GRAMMAR)
  * [Appendices (Anhänge)](Print_version.html#APPENDICES)
  * [Contributors](Print_version.html#CONTRIBUTORS)
  * [GFDL](Print_version.html#GNU_FREE_DOCUMENTATION_LICENSE)

* * *

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=3)]

A Textbook on Five Levels

The question arose early in the development of this textbook as to precisely who would be the target audience. Although intended to be a "beginning" textbook on German, many felt that the early lessons were too difficult for younger students with very limited or no experience with German and, perhaps more importantly, limited skills in English grammar. For this reason a textbook on three levels was conceived. [Beginning German](http://en.wikibooks.org/wiki/German/Level_I) (**Level I**) puts more emphasis on building vocabulary around subject matter interesting and useful to young students. [Basic German](http://en.wikibooks.org/wiki/German/Level_II) (**Level II**) emphasises grammar, and assumes a greater knowledge of English grammar more typical of an older high school or a college student. If you are just beginning to learn German or attempting to teach yourself, you may wish to try both approaches and see which works better for you, since some people require a strong structural approach to learning a new language while others find this "structure" only impedes progress by adding another layer of complexity. [Intermediate German](http://en.wikibooks.org/wiki/German/Level_III) (**Level III**), which requires even more knowledge of English, is for college students, preferably for sophomores or juniors. With even more complex lessons, grammar and vocabulary comes [Advanced German](http://en.wikibooks.org/wiki/German/Level_IV) (**Level IV**), which with the most complex and difficult parts of the German language, is for late college students (Seniors) and college graduates. The last level, which is a review level, but also has cultural facts and the history of the German language, is [Reviewed German.](http://en.wikibooks.org/wiki/German/Level_V) (**Level V**). An existing, separate text, **[German/Grammar](http://en.wikibooks.org/wiki/German/Grammar)**, may eventually be merged into the lesson modules or developed into useful appendices as a grammar reference. At present, however, German Grammar is an expanding, significant contribution to the textbook; it provides an important reference on German language grammar rules useful to the student working through any of the three levels.

## The German Language[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-1)]

German (_Deutsch_) is a member of the western group of the [Germanic languages](http://en.wikipedia.org/wiki/Germanic_language). It is spoken primarily in Germany, Austria, the majority of Switzerland, Liechtenstein, Luxembourg, the Südtirol (South Tyrol) region of Italy, the Opole Voivodship of Poland, the eastern part of Belgium, parts of Romania, the Alsace (Elsass) region of France and parts of Denmark. Additionally, several former colonial possessions of these countries, such as Namibia in Africa, have sizable German-speaking populations. There are German-speaking minorities in several eastern European countries including Russia, and in the United States as well as countries in South America like Brazil, Argentina and Chile. Over 120 million people speak German as their native language. German is the third most popular foreign language taught worldwide, and the second most popular in Europe. Continue reading about the [German language](http://en.wikipedia.org/wiki/German_language).

## German and English[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-2)]

If you are an English speaker unfamiliar with German, you may be surprised to learn that English and German are closely related languages and share many words that are very similar. Such words are called [cognates](http://en.wikipedia.org/wiki/cognate). This is particularly true for everyday words in English that are Anglo-Saxon (that is, Germanic) in origin. Consider the following list of English words followed by their German counterparts:

    arm ~ _der Arm_
    book ~ _das Buch_
    cat ~ _die Katze_
    father ~ _der Vater_

    finger ~ _der Finger_
    wagon ~ _der Wagen_
    house ~ _das Haus_

    hand ~ _die Hand_
    June ~ _der Juni_
    man ~ _der Mann_

    mother ~ _die Mutter_
    mouse ~ _die Maus_
    name ~ _der Name_

    son ~ _der Sohn_
    garden ~ _der Garten_

    lamp ~ _die Lampe_
    bush ~ _der Busch_
    baker ~ _der Bäcker_
    net ~ _das Netz_
    storm ~ _der Sturm_
    hat ~ _der Hut_
    fire ~ _das Feuer_
    grass ~ _das Gras_
    fish ~ _der Fisch_
    kindergarten ~ _der Kindergarten_

Some German words have the same origin as their English counterparts but the meaning has changed:

    worry ≠ _würgen_ (strangle)
    kind ≠ _das Kind_ (child)

  * **Audio**: [OGG](http://upload.wikimedia.org/wikipedia/commons/c/cc/English-german_words.ogg) (308KB) ~ _Hear these words_

Of course, even words whose spelling is no different in English and German may be pronounced quite differently. But in reading German, you will see the connections between these languages, even in many of the "small" words (the above examples are all nouns). For example:

    This week, my father is with my brother in the city.
    _Diese Woche ist mein Vater mit meinem Bruder in der Stadt_.

  * **Audio**: [OGG](http://upload.wikimedia.org/wikipedia/commons/e/e3/Example_sentence.ogg) (87KB) ~ _Hear these sentences_

Note also the general similarity of sentence structure with English. The only real difference in the German is that the verb is moved forward in the sentence. However, there are many German sentences in which a verb form is the last word in the sentence.

Unfortunately, while German is perhaps the easiest "foreign" language for an English speaker to learn, meanings of words that are spelled similarly are not always identical. These "[false friends](http://en.wikibooks.org/wiki/German/Appendices/False_friends)" can be confusing for the beginner. Further, German is a more structured language than English, with a more complex grammar, and it will become apparent as you learn German that you will also learn more about English language structure than you might ever recall from your high school English classes. For a quick listing of similarities and differences between English and German, read the [Introduction to Level I](http://en.wikibooks.org/wiki/German/Level_I/Introduction).

## Vocabulary and Grammar[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-3)]

In learning to read or speak any language with which you have minimal acquaintance (that is, are not a native speaker of), the two aspects to be mastered are vocabulary and grammar. Acquiring vocabulary is a "simple" matter of memorization. For the language(s) we learn as children, this process is so transparent that we have trouble conceiving of the importance of having a large vocabulary. By the age of conscious recognition of our communicating with others through speech, we have already learned the meaning of thousands of words. Even words we have trouble defining, we readily understand their use in conversation. This process can be "reactivated," as it were, by immersion in a second language: a method of learning a new language by moving to a place where that language is spoken and having to get around and live without use of one's native tongue.

The student of German language, if not residing in a German-speaking environment, must put forth substantial effort to learning words, including their meaning, their pronunciation and their usage in common sentences. Be sure to "learn"—commit to memory—all of the vocabulary words in each lesson as they are presented. Early lessons have simple sentences because it is assumed that the student's vocabulary is limited. But throughout the text, more complex discourses (often as photo captions) are included to introduce the student to regular German in use. It may be helpful to translate these using a German-English dictionary (access to one is a must; see [Appendix 5](http://en.wikibooks.org/wiki/German/Appendices/Resources) for on-line options). Other sources of German, such as newspapers, magazines, web sites, etc., can also be useful in building vocabulary and developing a sense of how German words are put together. The [German Wikipedia](http://de.wikipedia.org/) provides an ever expanding source of German language articles that can be used for this purpose. Further, a German version of the Wikibooks project—a library of textbooks in German—is available at [German Wikibooks](http://de.wikibooks.org/).

German grammar is more complex than, but sufficiently similar to, English that "reading" German is possible with minimal vocabulary in the sense that the student should generally recognize the parts of a sentence. With a good dictionary or an online translator, an English speaker can usually translate a German sentence close to correctly. However, to accurately speak and understand German, you must learn how each word functions in a sentence. There are eight basic grammatical functions: **case**, **gender**, **number**, **tense**, **person**, **mood**, **voice**, and **comparison**. How words "signal" these functions is an important aspect of learning a new language. English speakers should know all of these functions and the signals used in English, but it is often the situation that you know perfectly well how to speak English, without understanding much about word-functions and signals. For this reason, this textbook incorporates considerable detail on grammar, including both English and German grammar. The reference book _[English](http://en.wikibooks.org/wiki/English)_ at _Wikibooks_ may be consulted for additional help. When we say German is more complex than English, what we really mean is that the signals used in German are different from and more numerous than those used by English.

## Pronunciation[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-4)]

A [guide to the pronunciation](http://en.wikibooks.org/wiki/German/Appendices/Alphabet) of German is provided. You should become familiar with this page early on, and refer to it often. Nothing can replace learning a language from a native speaker, but the text is liberally sprinkled with audio files providing the student with valuable input from hearing spoken German. Analyze the spoken words carefully. The pronunciation guide can only closely, not exactly, convey how German words should be pronounced. And of course, German (like English) has a number of dialects distinguished by differences in pronunciation.

Help in the pronunciation of individual words can be found by accessing the sound files of either of the online dictionaries, links to which are given in the [German websites](http://en.wikibooks.org/wiki/German/Appendices/Resources) appendix.

## Layout of Lessons[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-5)]

This textbook is intended as a beginning course in the German language for English speakers. Early lessons emphasize conversational subjects and gradually introduce German grammatical concepts and rules. In addition, sound files accompany appropriate parts of each lesson. Although the **basic lessons** (_Grundlegende Lektionen_) are presented at about the (US) high school level, beginners (including those attempting to learn German outside of a course structure) are expected to work through several basic lessons up to an indicated point, when review is suggested along with additional study. The basic way lessons go to other lessons is very simple and direct:

  * Lesson 1 > 2 > 3 > 4 > and on to the end of the text.

## Layout within Lessons[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-6)]

The following subheadings or categories are offered within the lessons (Level II and above):

  1. One or more conversation (_**Gespräch**_) or story (_**Geschichte**_) pieces in German alone to illustrate the language in use.
  2. Study material (_**Lernen**_) in English and German to present lists of conceptually related words.
  3. One or more grammar (_**Grammatik**_) lessons covering elements of German grammar, with illustrations drawn from the conversation, story, or study materials.
  4. A list of words (_**Vokabeln**_) and phrases introduced in the lesson, above that point, usually in the conversation, story, or study presentations. Words and phrases are arranged alphabetically within groups, and the groups are presented in the following order: 1) nouns, 2) phrases, 3) verbs, and 4) all other words. A guide to pronunciation of the words presented is consolidated within [Appendix 1](http://en.wikibooks.org/wiki/German/Appendices/Alphabet). However, in each _Vokabeln_, nouns stressed on other than the first syllable (the general rule in German) are indicated by bolding of the stressed syllable (e.g., _Biolo**gie**_). Note that the English translation of all German words in a _Vokabeln_ is the best equivalent for the lesson example. The lesson _Vokabeln_ is _not a dictionary_, but a quick reference for translation purposes. For this reason, verbs are not translated into a typical English infinitive form with a preceding particle, "to".
  5. A list of additional, related words or phrases (_**Andere Wörter**_; advanced lessons only) that relate to, but are not included in, the vocabulary presented in the basic and advanced lessons.
  6. English sentences and other material to be translated by the student into German (_**Übersetzung**_). These are numbered and a matching answer sheet is linked to this category. The student should write out the German using material from the lesson (and previous lessons) before checking their work against the answer list.

## The Student and the Lesson[[edit](http://en.wikibooks.org/w/index.php?title=German/Introduction&action=edit&section=T-7)]

Each level of the text is designed to constitute a course of study in the German language. For any level selected, each lesson should be read thoroughly and mastered before moving on. Substantial text in German is included and the student should read all of it, not once, but multiple times. At Levels II and III, complete translations into English are included only in selected places. Most of this text must be translated by the student using his or her acquired vocabulary and the vocabulary presented at the bottom of each lesson. As the German text is read (preferably out loud), the student must succeed in gaining an understanding of the meaning of each sentence, and of the role each word plays in establishing that meaning. To the beginner, there will seem to be many words in a German sentence that are out of place or even redundant or unnecessary. These add subtleties to the language that will make sense eventually. But it is important to experience these subtleties from the very beginning.

**Continue to [the level one introduction](http://en.wikibooks.org/wiki/German/Level_I/Introduction).**

  


* * *

# **LEVEL ONE LESSONS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=4)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=5)]

  * [#Lesson 1.00 - Introduction](Print_version.html#Lesson_1.00_-_Introduction)
    * [#Section 1.01 ~ Starting Point](Print_version.html#Section_1.01_.7E_Starting_Point)
  * [#Lesson 1.01 - Wie heißt du?](Print_version.html#Lesson_1.01_-_Wie_hei.C3.9Ft_du.3F)
  * [#Lesson 1.02 - Freizeit](Print_version.html#Lesson_1.02_-_Freizeit)
  * [#Lesson 1.03 - Essen](Print_version.html#Lesson_1.03_-_Essen)
    * [#Review 1.01](Print_version.html#Review_1.01)
  * [#Section 1.02 ~ Berlin, Germany](Print_version.html#Section_1.02_.7E_Berlin.2C_Germany)
  * [#Lesson 1.04 - Kleidung](Print_version.html#Lesson_1.04_-_Kleidung)
  * [#Lesson 1.05 - Volk und Familie](Print_version.html#Lesson_1.05_-_Volk_und_Familie)
  * [#Lesson 1.06 - Schule](Print_version.html#Lesson_1.06_-_Schule)
    * [#Review 1.02](Print_version.html#Review_1.02)
  * [#Section 1.03 ~ Vienna, Austria](Print_version.html#Section_1.03_.7E_Vienna.2C_Austria)
  * [#Lesson 1.07 - Das Fest](Print_version.html#Lesson_1.07_-_Das_Fest)
  * [#Lesson 1.08 - Privileg und Verantwortung](Print_version.html#Lesson_1.08_-_Privileg_und_Verantwortung)
  * [#Lesson 1.09 - Wetter](Print_version.html#Lesson_1.09_-_Wetter)
    * [#Review 1.03](Print_version.html#Review_1.03)
  * [#Section 1.04 ~ Berne, Switzerland](Print_version.html#Section_1.04_.7E_Berne.2C_Switzerland)
  * [#Lesson 1.10 - Zu Hause Essen](Print_version.html#Lesson_1.10_-_Zu_Hause_Essen)
  * [#Lesson 1.11 - Filme](Print_version.html#Lesson_1.11_-_Filme)
  * [#Lesson 1.12 - Das Haus](Print_version.html#Lesson_1.12_-_Das_Haus)
    * [#Review 1.04](Print_version.html#Review_1.04)

* * *

# Lesson 1.00 - Introduction[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=6)]

## Contents

  * [1 German](Print_version.html#German)
  * [2 Main Contents](Print_version.html#Main_Contents)
  * [3 Introduction](Print_version.html#Introduction)
    * [3.1 The German Language](Print_version.html#The_German_Language)
    * [3.2 German and English](Print_version.html#German_and_English)
    * [3.3 Vocabulary and Grammar](Print_version.html#Vocabulary_and_Grammar)
    * [3.4 Pronunciation](Print_version.html#Pronunciation)
    * [3.5 Layout of Lessons](Print_version.html#Layout_of_Lessons)
    * [3.6 Layout within Lessons](Print_version.html#Layout_within_Lessons)
    * [3.7 The Student and the Lesson](Print_version.html#The_Student_and_the_Lesson)
  * [4 **LEVEL ONE LESSONS**](Print_version.html#LEVEL_ONE_LESSONS)
  * [5 Contents](Print_version.html#Contents)
  * [6 Lesson 1.00 - Introduction](Print_version.html#Lesson_1.00_-_Introduction)
    * [6.1 German and English](Print_version.html#German_and_English_2)
    * [6.2 How to Use this Level of the German Textbook](Print_version.html#How_to_Use_this_Level_of_the_German_Textbook)
      * [6.2.1 Layout of the Lessons](Print_version.html#Layout_of_the_Lessons)
      * [6.2.2 Levels of Completion](Print_version.html#Levels_of_Completion)
  * [7 **Section 1.01 ~ Starting Point**](Print_version.html#Section_1.01_.7E_Starting_Point)
  * [8 Lesson 1.01 - Wie heißt du?](Print_version.html#Lesson_1.01_-_Wie_hei.C3.9Ft_du.3F)
    * [8.1 Dialogue](Print_version.html#Dialogue)
    * [8.2 Hellos and Goodbyes](Print_version.html#Hellos_and_Goodbyes)
    * [8.3 Mr. and Mrs.](Print_version.html#Mr._and_Mrs.)
    * [8.4 Replies to _Wie geht's?_](Print_version.html#Replies_to_Wie_geht.27s.3F)
    * [8.5 Test](Print_version.html#Test)
  * [9 Lesson 1.02 - Freizeit](Print_version.html#Lesson_1.02_-_Freizeit)
    * [9.1 Dialogue](Print_version.html#Dialogue_2)
    * [9.2 Sports and Activities](Print_version.html#Sports_and_Activities)
    * [9.3 Spielen, Machen and Other Verbs](Print_version.html#Spielen.2C_Machen_and_Other_Verbs)
      * [9.3.1 Examples](Print_version.html#Examples)
      * [9.3.2 Compound Sentences](Print_version.html#Compound_Sentences)
      * [9.3.3 Other Verbs and Their Conjugations](Print_version.html#Other_Verbs_and_Their_Conjugations)
      * [9.3.4 Two More Verb Forms](Print_version.html#Two_More_Verb_Forms)
    * [9.4 Expressing likes and dislikes](Print_version.html#Expressing_likes_and_dislikes)
    * [9.5 Numbers](Print_version.html#Numbers)
  * [10 What's On the Test](Print_version.html#What.27s_On_the_Test)
  * [11 Lesson 1.03 - Essen](Print_version.html#Lesson_1.03_-_Essen)
    * [11.1 Dialogue](Print_version.html#Dialogue_3)
    * [11.2 Food!](Print_version.html#Food.21)
    * [11.3 Accusative Case](Print_version.html#Accusative_Case)
      * [11.3.1 Articles](Print_version.html#Articles)
      * [11.3.2 Pronouns](Print_version.html#Pronouns)
      * [11.3.3 Antecedents](Print_version.html#Antecedents)
    * [11.4 Food-Related Verbs](Print_version.html#Food-Related_Verbs)
    * [11.5 Modals](Print_version.html#Modals)
      * [11.5.1 Möchten](Print_version.html#M.C3.B6chten)
      * [11.5.2 Wollen](Print_version.html#Wollen)
      * [11.5.3 Modals with other verbs](Print_version.html#Modals_with_other_verbs)
    * [11.6 Hunger and Thirst](Print_version.html#Hunger_and_Thirst)
    * [11.7 Formal Conversations](Print_version.html#Formal_Conversations)
    * [11.8 Kein-words](Print_version.html#Kein-words)
    * [11.9 Ordering at a Restaurant in Germany](Print_version.html#Ordering_at_a_Restaurant_in_Germany)
    * [11.10 Accusative case prepositions](Print_version.html#Accusative_case_prepositions)
    * [11.11 Saying How Food Tastes](Print_version.html#Saying_How_Food_Tastes)
    * [11.12 Dieser-forms](Print_version.html#Dieser-forms)
      * [11.12.1 Dieser](Print_version.html#Dieser)
      * [11.12.2 Jeder](Print_version.html#Jeder)
      * [11.12.3 Welcher](Print_version.html#Welcher)
      * [11.12.4 Connection with Time](Print_version.html#Connection_with_Time)
      * [11.12.5 This and That](Print_version.html#This_and_That)
    * [11.13 Money and Paying](Print_version.html#Money_and_Paying)
    * [11.14 Test](Print_version.html#Test_2)
  * [12 Review 1.01](Print_version.html#Review_1.01)
    * [12.1 Vocabulary](Print_version.html#Vocabulary)
    * [12.2 Wie heißt Du? (1. Teil)](Print_version.html#Wie_hei.C3.9Ft_Du.3F_.281._Teil.29)
      * [12.2.1 Hello and Goodbyes](Print_version.html#Hello_and_Goodbyes)
      * [12.2.2 Mr. and Mrs.](Print_version.html#Mr._and_Mrs._2)
      * [12.2.3 Replies to _Wie geht's?_](Print_version.html#Replies_to_Wie_geht.27s.3F_2)
    * [12.3 Wie heißt du? (2. Teil)](Print_version.html#Wie_hei.C3.9Ft_du.3F_.282._Teil.29)
      * [12.3.1 Sie and du](Print_version.html#Sie_and_du)
      * [12.3.2 Subject Pronouns](Print_version.html#Subject_Pronouns)
      * [12.3.3 Names](Print_version.html#Names)
      * [12.3.4 Important Verbs](Print_version.html#Important_Verbs)
    * [12.4 Bitte buchstabieren Sie](Print_version.html#Bitte_buchstabieren_Sie)
      * [12.4.1 The German Alphabet](Print_version.html#The_German_Alphabet)
      * [12.4.2 Forming Questions](Print_version.html#Forming_Questions)
      * [12.4.3 Articles](Print_version.html#Articles_2)
  * [13 **Section 1.02 ~ Berlin, Germany**](Print_version.html#Section_1.02_.7E_Berlin.2C_Germany)
  * [14 Lesson 1.04 - Kleidung](Print_version.html#Lesson_1.04_-_Kleidung)
    * [14.1 Hello from Berlin!](Print_version.html#Hello_from_Berlin.21)
      * [14.1.1 Facts](Print_version.html#Facts)
        * [14.1.1.1 It's Time to Change Time](Print_version.html#It.27s_Time_to_Change_Time)
        * [14.1.1.2 Tip, Tip, and More Tip](Print_version.html#Tip.2C_Tip.2C_and_More_Tip)
        * [14.1.1.3 Shopping Locations](Print_version.html#Shopping_Locations)
    * [14.2 Dialogue](Print_version.html#Dialogue_4)
    * [14.3 Shopping](Print_version.html#Shopping)
      * [14.3.1 Kurfürstendamm](Print_version.html#Kurf.C3.BCrstendamm)
      * [14.3.2 KaDeWe](Print_version.html#KaDeWe)
        * [14.3.2.1 Electronics](Print_version.html#Electronics)
        * [14.3.2.2 Bedding](Print_version.html#Bedding)
    * [14.4 Money](Print_version.html#Money)
      * [14.4.1 German Math](Print_version.html#German_Math)
    * [14.5 Clothing](Print_version.html#Clothing)
      * [14.5.1 Describing Clothes](Print_version.html#Describing_Clothes)
      * [14.5.2 Clothing-Related Verbs](Print_version.html#Clothing-Related_Verbs)
    * [14.6 Separable Prefix Verbs](Print_version.html#Separable_Prefix_Verbs)
    * [14.7 Tragen](Print_version.html#Tragen)
    * [14.8 Colors](Print_version.html#Colors)
  * [15 Lesson 1.05 - Volk und Familie](Print_version.html#Lesson_1.05_-_Volk_und_Familie)
    * [15.1 Hello from Berlin!](Print_version.html#Hello_from_Berlin.21_2)
      * [15.1.1 Facts](Print_version.html#Facts_2)
        * [15.1.1.1 Banks and Money](Print_version.html#Banks_and_Money)
    * [15.2 Dialog](Print_version.html#Dialog)
    * [15.3 People](Print_version.html#People)
      * [15.3.1 The Family](Print_version.html#The_Family)
        * [15.3.1.1 Using Formal and Informal Pronouns in the Family](Print_version.html#Using_Formal_and_Informal_Pronouns_in_the_Family)
      * [15.3.2 Describing People](Print_version.html#Describing_People)
      * [15.3.3 Related Verbs](Print_version.html#Related_Verbs)
      * [15.3.4 Nationality](Print_version.html#Nationality)
        * [15.3.4.1 Some Nationalities](Print_version.html#Some_Nationalities)
        * [15.3.4.2 Describing People with Nationality](Print_version.html#Describing_People_with_Nationality)
          * [15.3.4.2.1 Noun or Adjective Nationality](Print_version.html#Noun_or_Adjective_Nationality)
        * [15.3.4.3 More Nationalities](Print_version.html#More_Nationalities)
      * [15.3.5 Age](Print_version.html#Age)
    * [15.4 Possessives](Print_version.html#Possessives)
      * [15.4.1 Gender, Case, and Endings](Print_version.html#Gender.2C_Case.2C_and_Endings)
    * [15.5 Expressing Favorites](Print_version.html#Expressing_Favorites)
  * [16 Lesson 1.06 - Schule](Print_version.html#Lesson_1.06_-_Schule)
    * [16.1 Hello from Berlin!](Print_version.html#Hello_from_Berlin.21_3)
      * [16.1.1 School in Germany](Print_version.html#School_in_Germany)
    * [16.2 Dialogue](Print_version.html#Dialogue_5)
    * [16.3 Und Satz für Satz ...](Print_version.html#Und_Satz_f.C3.BCr_Satz_...)
    * [16.4 Aufgabe](Print_version.html#Aufgabe)
    * [16.5 School](Print_version.html#School)
      * [16.5.1 Vocabulary](Print_version.html#Vocabulary_2)
        * [16.5.1.1 School-Related Verbs](Print_version.html#School-Related_Verbs)
        * [16.5.1.2 School Subjects](Print_version.html#School_Subjects)
        * [16.5.1.3 School Supplies and Ect.](Print_version.html#School_Supplies_and_Ect.)
  * [17 Review 1.02](Print_version.html#Review_1.02)
    * [17.1 Vocabulary](Print_version.html#Vocabulary_3)
    * [17.2 Wie heißt Du?](Print_version.html#Wie_hei.C3.9Ft_Du.3F)
      * [17.2.1 Hello and Goodbyes](Print_version.html#Hello_and_Goodbyes_2)
      * [17.2.2 Nominative Case](Print_version.html#Nominative_Case)
      * [17.2.3 Names](Print_version.html#Names_2)
      * [17.2.4 Verbs](Print_version.html#Verbs)
      * [17.2.5 Articles](Print_version.html#Articles_3)
    * [17.3 Freizeit](Print_version.html#Freizeit)
      * [17.3.1 Regulars Verbs](Print_version.html#Regulars_Verbs)
      * [17.3.2 Likes & Dislikes](Print_version.html#Likes_.26_Dislikes)
      * [17.3.3 Numbers](Print_version.html#Numbers_2)
      * [17.3.4 Time](Print_version.html#Time)
    * [17.4 Essen](Print_version.html#Essen)
      * [17.4.1 Accusative Case](Print_version.html#Accusative_Case_2)
      * [17.4.2 Modal Verbs](Print_version.html#Modal_Verbs)
      * [17.4.3 Kein-Words](Print_version.html#Kein-Words_2)
      * [17.4.4 This, Everyone, and Which](Print_version.html#This.2C_Everyone.2C_and_Which)
  * [18 **Section 1.03 ~ Vienna, Austria**](Print_version.html#Section_1.03_.7E_Vienna.2C_Austria)
  * [19 Lesson 1.07 - Das Fest](Print_version.html#Lesson_1.07_-_Das_Fest)
    * [19.1 Dialogue](Print_version.html#Dialogue_6)
    * [19.2 Es gibt](Print_version.html#Es_gibt)
    * [19.3 Weihnachten in Deutschland](Print_version.html#Weihnachten_in_Deutschland)
    * [19.4 Dativsätze](Print_version.html#Dativs.C3.A4tze)
    * [19.5 Weihnachtsessen](Print_version.html#Weihnachtsessen)
  * [20 Lesson 1.08 - Privileg und Verantwortung](Print_version.html#Lesson_1.08_-_Privileg_und_Verantwortung)
    * [20.1 Jobs and Tasks](Print_version.html#Jobs_and_Tasks)
      * [20.1.1 Vocabulary](Print_version.html#Vocabulary_4)
        * [20.1.1.1 Careers](Print_version.html#Careers)
        * [20.1.1.2 Tasks](Print_version.html#Tasks)
    * [20.2 Plans](Print_version.html#Plans)
      * [20.2.1 Common Phases](Print_version.html#Common_Phases)
    * [20.3 Places To Go](Print_version.html#Places_To_Go)
      * [20.3.1 Vocabulary](Print_version.html#Vocabulary_5)
      * [20.3.2 Common Phases](Print_version.html#Common_Phases_2)
  * [21 Lesson 1.09 - Wetter](Print_version.html#Lesson_1.09_-_Wetter)
    * [21.1 Dialoge](Print_version.html#Dialoge)
    * [21.2 Weather](Print_version.html#Weather)
      * [21.2.1 Vocabulary](Print_version.html#Vocabulary_6)
      * [21.2.2 Common Phrases](Print_version.html#Common_Phrases)
    * [21.3 Transportation](Print_version.html#Transportation)
      * [21.3.1 Vocabulary](Print_version.html#Vocabulary_7)
  * [22 Review 1.03](Print_version.html#Review_1.03)
    * [22.1 Vocabulary](Print_version.html#Vocabulary_8)
  * [23 **Section 1.04 ~ Berne, Switzerland**](Print_version.html#Section_1.04_.7E_Berne.2C_Switzerland)
  * [24 Lesson 1.10 - Zu Hause Essen](Print_version.html#Lesson_1.10_-_Zu_Hause_Essen)
  * [25 Lesson 1.11 - Filme](Print_version.html#Lesson_1.11_-_Filme)
  * [26 Lesson 1.12 - Das Haus](Print_version.html#Lesson_1.12_-_Das_Haus)
    * [26.1 The Home](Print_version.html#The_Home)
      * [26.1.1 Rooms in the Home](Print_version.html#Rooms_in_the_Home)
      * [26.1.2 Features in the Home](Print_version.html#Features_in_the_Home)
      * [26.1.3 Furniture and fittings](Print_version.html#Furniture_and_fittings)
  * [27 Review 1.04](Print_version.html#Review_1.04)
    * [27.1 Vocabulary](Print_version.html#Vocabulary_9)
  * [28 **LEVEL TWO LESSONS**](Print_version.html#LEVEL_TWO_LESSONS)
  * [29 Contents](Print_version.html#Contents_2)
  * [30 **Section 2.01 ~ Salzburg, Austria**](Print_version.html#Section_2.01_.7E_Salzburg.2C_Austria)
  * [31 Lesson 2.01 - Einfache Gespräche unter Freunden](Print_version.html#Lesson_2.01_-_Einfache_Gespr.C3.A4che_unter_Freunden)
  * [32 Lesson 2.02 - Fremde und Freunde](Print_version.html#Lesson_2.02_-_Fremde_und_Freunde)
  * [33 Lesson 2.03 - Die Zahlen](Print_version.html#Lesson_2.03_-_Die_Zahlen)
  * [34 Lesson 2.04 - Eine Geschichte über Zürich](Print_version.html#Lesson_2.04_-_Eine_Geschichte_.C3.BCber_Z.C3.BCrich)
  * [35 Review 2.01](Print_version.html#Review_2.01)
  * [36 **Section 2.02 ~ Zürich, Switzerland**](Print_version.html#Section_2.02_.7E_Z.C3.BCrich.2C_Switzerland)
  * [37 Lesson 2.05 - Die Wohnung](Print_version.html#Lesson_2.05_-_Die_Wohnung)
  * [38 Lesson 2.06 - Mathematik](Print_version.html#Lesson_2.06_-_Mathematik)
  * [39 Lesson 2.07 - Mein, Dein, und Sein](Print_version.html#Lesson_2.07_-_Mein.2C_Dein.2C_und_Sein)
  * [40 Lesson 2.08 - Einkaufen gehen](Print_version.html#Lesson_2.08_-_Einkaufen_gehen)
  * [41 Review 2.02](Print_version.html#Review_2.02)
  * [42 **Section 2.03 ~ Hannover, Germany**](Print_version.html#Section_2.03_.7E_Hannover.2C_Germany)
  * [43 Lesson 2.09 - Verbtempus und Wortstellung](Print_version.html#Lesson_2.09_-_Verbtempus_und_Wortstellung)
  * [44 Lesson 2.10 - Undeveloped](Print_version.html#Lesson_2.10_-_Undeveloped)
  * [45 Lesson 2.11 - Undeveloped](Print_version.html#Lesson_2.11_-_Undeveloped)
  * [46 Lesson 2.12 - Undeveloped](Print_version.html#Lesson_2.12_-_Undeveloped)
  * [47 Review 2.03](Print_version.html#Review_2.03)
  * [48 **LEVEL THREE LESSONS**](Print_version.html#LEVEL_THREE_LESSONS)
  * [49 Contents](Print_version.html#Contents_3)
  * [50 **Section 3.01 ~ Bonn, Germany**](Print_version.html#Section_3.01_.7E_Bonn.2C_Germany)
  * [51 Lesson 3.01 - Markus](Print_version.html#Lesson_3.01_-_Markus)
  * [52 Lesson 3.02 - Gespräche unter Geschäftsmännern](Print_version.html#Lesson_3.02_-_Gespr.C3.A4che_unter_Gesch.C3.A4ftsm.C3.A4nnern)
  * [53 Lesson 3.03 - Mach dir keine Sorgen!](Print_version.html#Lesson_3.03_-_Mach_dir_keine_Sorgen.21)
  * [54 **Section 3.02 ~ Innsbruck, Austria**](Print_version.html#Section_3.02_.7E_Innsbruck.2C_Austria)
  * [55 Lesson 3.04 - Die Geschäftsleute](Print_version.html#Lesson_3.04_-_Die_Gesch.C3.A4ftsleute)
    * [55.1 Gespräch 4-2 ~ Die Geschäftsleute](Print_version.html#Gespr.C3.A4ch_4-2_.7E_Die_Gesch.C3.A4ftsleute)
    * [55.2 Vokabeln 4-3](Print_version.html#Vokabeln_4-3)
    * [55.3 Grammatik 4-4 ~ Personal Pronouns: Accusative Case](Print_version.html#Grammatik_4-4_.7E_Personal_Pronouns:_Accusative_Case)
    * [55.4 Grammatik 4-5 ~ Personal Pronouns in the Dative Case](Print_version.html#Grammatik_4-5_.7E_Personal_Pronouns_in_the_Dative_Case)
  * [56 Lesson 3.05 - Der Engländer in Österreich](Print_version.html#Lesson_3.05_-_Der_Engl.C3.A4nder_in_.C3.96sterreich)
    * [56.1 Gespräch 5-2 ~ Der Engländer in Österreich](Print_version.html#Gespr.C3.A4ch_5-2_.7E_Der_Engl.C3.A4nder_in_.C3.96sterreich)
    * [56.2 Vokabeln 5A](Print_version.html#Vokabeln_5A)
    * [56.3 Andere Wörter 4A](Print_version.html#Andere_W.C3.B6rter_4A)
    * [56.4 Lesestück 5-1 ~ Eine Geschichte über St. Pölten](Print_version.html#Lesest.C3.BCck_5-1_.7E_Eine_Geschichte_.C3.BCber_St._P.C3.B6lten)
      * [56.4.1 Vokabeln 5B](Print_version.html#Vokabeln_5B)
  * [57 Lesson 3.06 - Undeveloped](Print_version.html#Lesson_3.06_-_Undeveloped)
  * [58 **Section 3.03 ~ Bavaria, Germany**](Print_version.html#Section_3.03_.7E_Bavaria.2C_Germany)
  * [59 Lesson 3.07 - Undeveloped](Print_version.html#Lesson_3.07_-_Undeveloped)
  * [60 Lesson 3.08 - Undeveloped](Print_version.html#Lesson_3.08_-_Undeveloped)
  * [61 Lesson 3.09 - Undeveloped](Print_version.html#Lesson_3.09_-_Undeveloped)
  * [62 **LEVEL FOUR LESSONS**](Print_version.html#LEVEL_FOUR_LESSONS)
  * [63 Contents](Print_version.html#Contents_4)
  * [64 **Section 01 ~ Kiel, Germany**](Print_version.html#Section_01_.7E_Kiel.2C_Germany)
  * [65 **Section 02 ~ Schaan, Liechtenstein**](Print_version.html#Section_02_.7E_Schaan.2C_Liechtenstein)
  * [66 **Section 03 ~ Schaffhausen, Switzerland**](Print_version.html#Section_03_.7E_Schaffhausen.2C_Switzerland)
  * [67 **LEVEL FIVE LESSONS**](Print_version.html#LEVEL_FIVE_LESSONS)
  * [68 **GRAMMAR**](Print_version.html#GRAMMAR)
  * [69 Contents](Print_version.html#Contents_5)
  * [70 Adjectives and Adverbs](Print_version.html#Adjectives_and_Adverbs)
    * [70.1 Adjectives](Print_version.html#Adjectives)
    * [70.2 Adjective Endings](Print_version.html#Adjective_Endings)
      * [70.2.1 Forms](Print_version.html#Forms)
      * [70.2.2 **Forms in Context of Articles**](Print_version.html#Forms_in_Context_of_Articles)
    * [70.3 Adverbs](Print_version.html#Adverbs)
      * [70.3.1 Adverbs based on prepositions](Print_version.html#Adverbs_based_on_prepositions)
  * [71 Articles](Print_version.html#Articles_4)
  * [72 **Nouns**](Print_version.html#Nouns)
    * [72.1 What Is a Noun?](Print_version.html#What_Is_a_Noun.3F)
    * [72.2 Plurals](Print_version.html#Plurals)
      * [72.2.1 Suffixes](Print_version.html#Suffixes)
    * [72.3 Gender](Print_version.html#Gender)
      * [72.3.1 Masculine](Print_version.html#Masculine)
      * [72.3.2 Semantic Groups Which Are Masculine](Print_version.html#Semantic_Groups_Which_Are_Masculine)
        * [72.3.2.1 Words with Certain Endings](Print_version.html#Words_with_Certain_Endings)
      * [72.3.3 Feminine](Print_version.html#Feminine)
        * [72.3.3.1 Semantic Groups](Print_version.html#Semantic_Groups)
        * [72.3.3.2 Words With Certain Endings](Print_version.html#Words_With_Certain_Endings_2)
      * [72.3.4 Neuter](Print_version.html#Neuter)
        * [72.3.4.1 Semantic Groups](Print_version.html#Semantic_Groups_2)
        * [72.3.4.2 Words With Certain Endings](Print_version.html#Words_With_Certain_Endings_3)
        * [72.3.4.3 Words With Certain Beginnings](Print_version.html#Words_With_Certain_Beginnings)
        * [72.3.4.4 Nouns Derived From Certain Verbclasses](Print_version.html#Nouns_Derived_From_Certain_Verbclasses)
      * [72.3.5 Tips For Learning](Print_version.html#Tips_For_Learning)
      * [72.3.6 Looking Up Gender in Dictionaries](Print_version.html#Looking_Up_Gender_in_Dictionaries)
    * [72.4 Contents](Print_version.html#Contents_6)
  * [73 Gender](Print_version.html#Gender_2)
  * [74 Plurals](Print_version.html#Plurals_2)
  * [75 Adjectival Nouns](Print_version.html#Adjectival_Nouns)
  * [76 Weak Nouns](Print_version.html#Weak_Nouns)
  * [77 Mixed Nouns](Print_version.html#Mixed_Nouns)
  * [78 Pronouns](Print_version.html#Pronouns_2)
  * [79 Comparison of Pronouns to other Parts of Speech](Print_version.html#Comparison_of_Pronouns_to_other_Parts_of_Speech)
  * [80 Sentences](Print_version.html#Sentences)
    * [80.1 Sentence Structure in Main clauses](Print_version.html#Sentence_Structure_in_Main_clauses)
    * [80.2 Position of the Verb](Print_version.html#Position_of_the_Verb)
      * [80.2.1 Clauses with one verb part - Sätze mit nur einem Verbteil](Print_version.html#Clauses_with_one_verb_part_-_S.C3.A4tze_mit_nur_einem_Verbteil)
      * [80.2.2 Clauses with two verb parts - Sätze mit zwei Verbteilen](Print_version.html#Clauses_with_two_verb_parts_-_S.C3.A4tze_mit_zwei_Verbteilen)
      * [80.2.3 Clauses with three verb parts - Sätze mit drei Verbteilen](Print_version.html#Clauses_with_three_verb_parts_-_S.C3.A4tze_mit_drei_Verbteilen)
    * [80.3 Order of phrases - Reihenfolge der Satzglieder](Print_version.html#Order_of_phrases_-_Reihenfolge_der_Satzglieder)
      * [80.3.1 First Position - erste Position](Print_version.html#First_Position_-_erste_Position)
      * [80.3.2 Order of Phrases in the Middle of the clause - Reihenfolge der Satzglieder im Mittelfeld](Print_version.html#Order_of_Phrases_in_the_Middle_of_the_clause_-_Reihenfolge_der_Satzglieder_im_Mittelfeld)
        * [80.3.2.1 Introduction](Print_version.html#Introduction_2)
        * [80.3.2.2 Time](Print_version.html#Time_2)
        * [80.3.2.3 Order of Objects](Print_version.html#Order_of_Objects)
        * [80.3.2.4 Manner](Print_version.html#Manner)
        * [80.3.2.5 Place](Print_version.html#Place)
      * [80.3.3 Satzglieder im Nachfeld](Print_version.html#Satzglieder_im_Nachfeld)
    * [80.4 **Syntax of Interrogatives and Imperatives**](Print_version.html#Syntax_of_Interrogatives_and_Imperatives)
      * [80.4.1 Interrogatives](Print_version.html#Interrogatives)
      * [80.4.2 Imperatives](Print_version.html#Imperatives)
    * [80.5 Coordinating Conjunctions](Print_version.html#Coordinating_Conjunctions)
    * [80.6 Dependent Clauses: Subordinate and Relative Clauses](Print_version.html#Dependent_Clauses:_Subordinate_and_Relative_Clauses)
      * [80.6.1 Introduction](Print_version.html#Introduction_3)
      * [80.6.2 Subordinate Clauses](Print_version.html#Subordinate_Clauses)
      * [80.6.3 Relative Clauses](Print_version.html#Relative_Clauses)
      * [80.6.4 Syntax of Dependent Clauses](Print_version.html#Syntax_of_Dependent_Clauses)
        * [80.6.4.1 Verbs in Dependent Clauses](Print_version.html#Verbs_in_Dependent_Clauses)
    * [80.7 Infinitive Clauses](Print_version.html#Infinitive_Clauses)
  * [81 Verbs](Print_version.html#Verbs_2)
    * [81.1 Verbs](Print_version.html#Verbs_3)
    * [81.2 Separable Verbs](Print_version.html#Separable_Verbs)
    * [81.3 Reflexive Verbs](Print_version.html#Reflexive_Verbs)
    * [81.4 Modals](Print_version.html#Modals_2)
      * [81.4.1 Dürfen](Print_version.html#D.C3.BCrfen)
      * [81.4.2 Können](Print_version.html#K.C3.B6nnen)
      * [81.4.3 Mögen](Print_version.html#M.C3.B6gen)
      * [81.4.4 Müssen](Print_version.html#M.C3.BCssen)
      * [81.4.5 Sollen](Print_version.html#Sollen)
      * [81.4.6 Wollen](Print_version.html#Wollen_2)
      * [81.4.7 Use in Perfect (and Pluperfect) Tense](Print_version.html#Use_in_Perfect_.28and_Pluperfect.29_Tense)
      * [81.4.8 Use of modal verbs as full verbs](Print_version.html#Use_of_modal_verbs_as_full_verbs)
    * [81.5 Present Tense](Print_version.html#Present_Tense)
      * [81.5.1 Use](Print_version.html#Use)
      * [81.5.2 Progressive Forms](Print_version.html#Progressive_Forms)
    * [81.6 Perfect Tense](Print_version.html#Perfect_Tense)
      * [81.6.1 Formation](Print_version.html#Formation)
      * [81.6.2 Past participle for regular verbs](Print_version.html#Past_participle_for_regular_verbs)
      * [81.6.3 Past Participle for Irregular Verbs](Print_version.html#Past_Participle_for_Irregular_Verbs)
        * [81.6.3.1 Which verbs are irregular](Print_version.html#Which_verbs_are_irregular)
      * [81.6.4 _Haben_ or _sein_ as auxiliaries](Print_version.html#Haben_or_sein_as_auxiliaries)
      * [81.6.5 Usage](Print_version.html#Usage)
      * [81.6.6 How to find the forms in a dictionary](Print_version.html#How_to_find_the_forms_in_a_dictionary)
      * [81.6.7 Tips for learning](Print_version.html#Tips_for_learning_2)
    * [81.7 Sentence Structure](Print_version.html#Sentence_Structure)
      * [81.7.1 Main Clauses](Print_version.html#Main_Clauses)
      * [81.7.2 Subordinated Clauses](Print_version.html#Subordinated_Clauses)
    * [81.8 Past tense](Print_version.html#Past_tense)
      * [81.8.1 Regular verbs](Print_version.html#Regular_verbs)
      * [81.8.2 Irregular verbs](Print_version.html#Irregular_verbs)
        * [81.8.2.1 Without -te](Print_version.html#Without_-te)
        * [81.8.2.2 With -te](Print_version.html#With_-te)
    * [81.9 Future Tense](Print_version.html#Future_Tense)
      * [81.9.1 Talking about future with the present tense](Print_version.html#Talking_about_future_with_the_present_tense)
      * [81.9.2 Futur I](Print_version.html#Futur_I)
      * [81.9.3 Future II](Print_version.html#Future_II)
  * [82 **APPENDICES**](Print_version.html#APPENDICES)
  * [83 Contents](Print_version.html#Contents_7)
  * [84 A.01 - Das Alphabet](Print_version.html#A.01_-_Das_Alphabet)
    * [84.1 The Alphabet](Print_version.html#The_Alphabet)
      * [84.1.1 Unique German Letters](Print_version.html#Unique_German_Letters)
        * [84.1.1.1 Umlaut Letters](Print_version.html#Umlaut_Letters)
        * [84.1.1.2 The ss-Ligature, ß](Print_version.html#The_ss-Ligature.2C_.C3.9F)
        * [84.1.1.3 Combined Letters](Print_version.html#Combined_Letters)
    * [84.2 Deutsche Aussprache ~ German Pronunciation Guide](Print_version.html#Deutsche_Aussprache_.7E_German_Pronunciation_Guide)
      * [84.2.1 Vokale ~ Vowels](Print_version.html#Vokale_.7E_Vowels)
      * [84.2.2 Konsonanten ~ Consonants](Print_version.html#Konsonanten_.7E_Consonants)
      * [84.2.3 German Sounds not found in English](Print_version.html#German_Sounds_not_found_in_English)
      * [84.2.4 Syllable Stress](Print_version.html#Syllable_Stress)
    * [84.3 Links](Print_version.html#Links)
  * [85 A.02 - Phrase Book](Print_version.html#A.02_-_Phrase_Book)
    * [85.1 German Phrases](Print_version.html#German_Phrases)
      * [85.1.1 Greetings](Print_version.html#Greetings)
      * [85.1.2 Gespräche (conversations)](Print_version.html#Gespr.C3.A4che_.28conversations.29)
      * [85.1.3 Verstehen (understanding)](Print_version.html#Verstehen_.28understanding.29)
    * [85.2 Positionen (Locations)](Print_version.html#Positionen_.28Locations.29)
    * [85.3 Common phrases](Print_version.html#Common_phrases_2)
  * [86 A.03 - Grammar Reference Table I](Print_version.html#A.03_-_Grammar_Reference_Table_I)
    * [86.1 _Der_-word Case for German Nouns](Print_version.html#Der-word_Case_for_German_Nouns)
    * [86.2 Personal Pronoun Tables: nominative, genitive, dative & accusative cases](Print_version.html#Personal_Pronoun_Tables:_nominative.2C_genitive.2C_dative_.26_accusative_cases)
      * [86.2.1 Nominative case personal pronouns](Print_version.html#Nominative_case_personal_pronouns)
      * [86.2.2 Genitive case personal pronouns](Print_version.html#Genitive_case_personal_pronouns)
      * [86.2.3 Dative case personal pronouns](Print_version.html#Dative_case_personal_pronouns)
      * [86.2.4 Accusative case personal pronouns](Print_version.html#Accusative_case_personal_pronouns)
  * [87 A.04 - Grammar Reference Table II](Print_version.html#A.04_-_Grammar_Reference_Table_II)
    * [87.1 Conjugating 'to be'](Print_version.html#Conjugating_.27to_be.27)
    * [87.2 Conjugating Normal Verbs](Print_version.html#Conjugating_Normal_Verbs)
    * [87.3 Conjugating Irregular Verbs](Print_version.html#Conjugating_Irregular_Verbs)
      * [87.3.1 E in the first syllable](Print_version.html#E_in_the_first_syllable)
      * [87.3.2 Haben](Print_version.html#Haben)
      * [87.3.3 Verbs ending in Consonant-N](Print_version.html#Verbs_ending_in_Consonant-N)
    * [87.4 Conjugating Modals](Print_version.html#Conjugating_Modals)
    * [87.5 Separable Verbs](Print_version.html#Separable_Verbs_2)
  * [88 A.05 - Webseiten and other resources](Print_version.html#A.05_-_Webseiten_and_other_resources)
    * [88.1 Lists and directories to online resources](Print_version.html#Lists_and_directories_to_online_resources)
    * [88.2 Über die deutsche Sprache - about German](Print_version.html#.C3.9Cber_die_deutsche_Sprache_-_about_German)
    * [88.3 Online Wörterbücher - Dictionary](Print_version.html#Online_W.C3.B6rterb.C3.BCcher_-_Dictionary)
      * [88.3.1 Deutsch-Englisch (German-English)](Print_version.html#Deutsch-Englisch_.28German-English.29)
      * [88.3.2 Nur Deutsch - German only](Print_version.html#Nur_Deutsch_-_German_only)
      * [88.3.3 Slideshows with pictures and pronuciations](Print_version.html#Slideshows_with_pictures_and_pronuciations)
    * [88.4 Deutsche Grammatik und Rechtschreibung- German Grammar and Spelling](Print_version.html#Deutsche_Grammatik_und_Rechtschreibung-_German_Grammar_and_Spelling)
    * [88.5 Aussprache - Pronunciation](Print_version.html#Aussprache_-_Pronunciation)
    * [88.6 Blogs](Print_version.html#Blogs)
    * [88.7 Podcasts](Print_version.html#Podcasts)
      * [88.7.1 from learners](Print_version.html#from_learners)
      * [88.7.2 for learners](Print_version.html#for_learners)
    * [88.8 Tandem](Print_version.html#Tandem)
  * [89 A.07 - Namen](Print_version.html#A.07_-_Namen)
    * [89.1 Names](Print_version.html#Names_3)
      * [89.1.1 First Names](Print_version.html#First_Names)
        * [89.1.1.1 Boys' Names](Print_version.html#Boys.27_Names)
    * [89.2 Typical for young people](Print_version.html#Typical_for_young_people)
      * [89.2.1 Girls' Names](Print_version.html#Girls.27_Names)
      * [89.2.2 Last Names](Print_version.html#Last_Names)
  * [90 A.08 - False Friends](Print_version.html#A.08_-_False_Friends)
  * [91 A.09 - Level I Vocabulary](Print_version.html#A.09_-_Level_I_Vocabulary)
    * [91.1 Wie heißt du?](Print_version.html#Wie_hei.C3.9Ft_du.3F_2)
      * [91.1.1 Subject Pronouns in Nominative Case](Print_version.html#Subject_Pronouns_in_Nominative_Case)
      * [91.1.2 Verbs](Print_version.html#Verbs_4)
        * [91.1.2.1 To Have](Print_version.html#To_Have)
        * [91.1.2.2 To Be](Print_version.html#To_Be)
      * [91.1.3 Greeting & Goodbyes](Print_version.html#Greeting_.26_Goodbyes)
      * [91.1.4 How You Are](Print_version.html#How_You_Are)
      * [91.1.5 Interrogative Adverbs](Print_version.html#Interrogative_Adverbs)
      * [91.1.6 Genders](Print_version.html#Genders)
    * [91.2 Freizeit](Print_version.html#Freizeit_2)
      * [91.2.1 Sports & Activities](Print_version.html#Sports_.26_Activities)
      * [91.2.2 Conjunctions](Print_version.html#Conjunctions)
      * [91.2.3 Verbs](Print_version.html#Verbs_5)
      * [91.2.4 Numbers](Print_version.html#Numbers_3)
      * [91.2.5 How to Read Time](Print_version.html#How_to_Read_Time)
      * [91.2.6 Times in the Day](Print_version.html#Times_in_the_Day)
      * [91.2.7 Days](Print_version.html#Days)
      * [91.2.8 Months](Print_version.html#Months)
      * [91.2.9 Seasons](Print_version.html#Seasons)
      * [91.2.10 Time](Print_version.html#Time_3)
    * [91.3 Essen](Print_version.html#Essen_2)
      * [91.3.1 Subject Pronouns in the Accusative Case](Print_version.html#Subject_Pronouns_in_the_Accusative_Case)
      * [91.3.2 Food](Print_version.html#Food)
      * [91.3.3 Verbs](Print_version.html#Verbs_6)
      * [91.3.4 Polite Conversation](Print_version.html#Polite_Conversation)
      * [91.3.5 Regional Foods](Print_version.html#Regional_Foods)
      * [91.3.6 Prepositions in the Accusative Case](Print_version.html#Prepositions_in_the_Accusative_Case)
      * [91.3.7 Tastes](Print_version.html#Tastes)
      * [91.3.8 Paying at a Restaurant](Print_version.html#Paying_at_a_Restaurant)
    * [91.4 Kleidung](Print_version.html#Kleidung)
      * [91.4.1 Shopping](Print_version.html#Shopping_2)
      * [91.4.2 Shopping 2](Print_version.html#Shopping_2)
      * [91.4.3 Items to Buy](Print_version.html#Items_to_Buy)
      * [91.4.4 Money](Print_version.html#Money_2)
      * [91.4.5 Clothes](Print_version.html#Clothes)
      * [91.4.6 Sizes](Print_version.html#Sizes)
      * [91.4.7 Words That Describe](Print_version.html#Words_That_Describe)
      * [91.4.8 Colors](Print_version.html#Colors_2)
      * [91.4.9 Verbs](Print_version.html#Verbs_7)
    * [91.5 Volk und Familie](Print_version.html#Volk_und_Familie)
      * [91.5.1 Family](Print_version.html#Family)
    * [91.6 Schule](Print_version.html#Schule)
      * [91.6.1 Verbs](Print_version.html#Verbs_8)
      * [91.6.2 Classes](Print_version.html#Classes)
      * [91.6.3 School Supplies and Ect.](Print_version.html#School_Supplies_and_Ect._2)
    * [91.7 Die Fete](Print_version.html#Die_Fete)
      * [91.7.1 Gifts](Print_version.html#Gifts)
      * [91.7.2 Parties](Print_version.html#Parties)
    * [91.8 Privileg und Verantwortung](Print_version.html#Privileg_und_Verantwortung)
      * [91.8.1 Careers](Print_version.html#Careers_2)
      * [91.8.2 Tasks](Print_version.html#Tasks_2)
      * [91.8.3 Locations](Print_version.html#Locations)
    * [91.9 Wetter](Print_version.html#Wetter)
      * [91.9.1 Weather](Print_version.html#Weather_2)
      * [91.9.2 Transportion](Print_version.html#Transportion)
  * [92 **CONTRIBUTORS**](Print_version.html#CONTRIBUTORS)

I.0: Introduction

* * *

Welcome to Level I German!

Level I is aimed at junior high and high school students. However, it can also be used by others just beginning to learn to speak or read German.

The goal of Level I German is to introduce the basics of the German language without overwhelming students. Therefore, the vocabulary is formatted for translating from English (which the students know) into German.

## German and English[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Introduction&action=edit&section=T-1)]

German and English are quite close to each other. Here are some major similarities:

  * Both languages use the Latin alphabet.
  * Normally, sentences follow Subject-Verb-Object order.
  * Questions have Verb-Subject-Object order or Adverb-Verb-Subject-Object order.
  * There are contractions (e.g., _isn't_) in both German and English.
  * Many words share the same roots, such as _word_ and _Wort_, or _house_ and _Haus_.
  * Many words are spelled almost the same way in English and German; for example, _Text_, _Zoo_, _Handball_, _Motor_, _Bus_, _Park_, _Position_, or _Garage_.

As you can see, German is quite similar to English. There are, however, differences:

  * German has more letters than and different pronunciations from English.
  * In German the verb is sometimes the last word of a sentence.
  * German has more verb forms than English.
  * German is the only known written language where _every_ noun is capitalized, whether or not it is a proper noun.
  * The word _ich_ (_I_) is only capitalized if it is the first word of the sentence.
  * German has three different words for _you_.
  * Adjectives have different endings based on the noun they are modifying in German.

However, German is still one of the easiest languages for English speakers to learn. The differences will be tackled over the course of the lessons.

## How to Use this Level of the German Textbook[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Introduction&action=edit&section=T-2)]

The lessons are meant to be taken in order. You should read and review the German dialogs as often as possible. Many of the dialogs come with audio recordings by native speakers. These recordings are invaluable to learn the German pronunciation. If there is a recording, you can do several kinds of exercises:

  * Read the German dialog and translate it to English with the help of the vocabulary list.
  * Listen to the dialog while you read it and try to understand as much as possible.
  * Listen to the dialog without reading it, pause the playback after each sentence and translate it to English.
  * Listen to the dialog without reading it, pause the playback after each sentence, and write it down in German.
  * Listen to the dialog while reading it, stop after each sentence and repeat the pronunciation.

At the reviews, after every third lesson, you go back to look at the previous lessons.

### Layout of the Lessons[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Introduction&action=edit&section=T-3)]

  * Every lesson has a title at the top.
  * The lesson will introduce several topics, more and more as the lessons progress.
  * Topics are usually introduced by dialogs, which are accompanied by vocabulary lists.
  * Each lesson features several problems and a test at the end. You should write down your answers (either electronically or on paper) before looking at the suggested answers. The act of writing down your answers will help you to learn the spelling.
  * Level I uses a "more than enough" system for the problems. You don't have to do all of the problems if you think you know the material. However, the test may require knowing certain vocabulary, so you need to make sure you know it.

### Levels of Completion[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Introduction&action=edit&section=T-4)]

On the contents page, you will see filled-in boxes next to each lesson. The number of boxes corresponds to the completeness of the lesson as follows:

    ![25%.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/34/25%25.svg/9px-25%25.svg.png) \- The lesson is started, with a lesson overview at least.
    ![50%.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c2/50%25.svg/9px-50%25.svg.png) \- At least half of the sections are complete.
    ![75%.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/49/75%25.svg/9px-75%25.svg.png) \- Most of the lesson is complete.
    ![100%.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/100%25.svg/9px-100%25.svg.png) \- The entire lesson is complete.

  


* * *

# **Section 1.01 ~ Starting Point**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=7)]

# Lesson 1.01 - Wie heißt du?[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=8)]

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a3/Handshake_\(Workshop_Cologne_'06\).jpeg/260px-Handshake_\(Workshop_Cologne_'06\).jpeg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Germans usually shake hands when they are introduced or introduce themselves.

Lesson I.1: Wie heißt du? (1. Teil)

* * *

This lesson deals with basic conversation topics such as saying hello and goodbye and asking people how they are feeling. This lesson features audio recordings by native speakers to help you with the pronunciation.

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wie_hei%C3%9Ft_du%3F&action=edit&section=T-1)]

Read and listen to the following dialogue between two students: Franz and Greta. You don't have to understand anything! You should rather try to find out how each word is pronounced.

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) What's your name? (1st Part) — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie heißt du? (1. Teil)  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/2/20/Dialogue_franz_greta_1.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

Franz
Hallo, ich bin Franz. Wie heißt du?

Greta
Hallo, Franz. Ich heiße Greta. Wie geht's?

Franz
Es geht mir gut. Kennst du den Lehrer?

Greta
Ja, er heißt Herr Weiß.

Franz
Oh, danke, Greta. Bis dann!

Greta
Wiedersehen!

Problems: Listen carefully!

The German pronunciation of many letters is similar to the English pronunciation, but there are also many differences. Try to answer the following question by listening carefully. Write your answers on a piece of paper or in a text file before you check them. 

  1. How is the "a" in "Hallo", "Franz", "Greta", "ja", "danke", and "dann" pronounced?
  2. How is the "i" in "ich" and "bis" pronounced?
  3. How is the "ch" in "ich" pronounced?
  4. How is the "z" in "Franz" pronounced?
  5. How is the "w" in "wie", "Weiß" and "wiedersehen" pronounced?
  6. How is the "ie" in "wie" and "Wiedersehen" pronounced?
  7. How is the "ei" in "heißt", "heiße" and "Weiß" pronounced?
  8. How is the "ß" in "heißt", "heiße" and "Weiß" pronounced?
  9. How is the "e" in "es", "kennst", "er" and "Herr" pronounced?
  10. How is the first "e" in "gehen", "Greta", and "geht" pronounced?

Answers

  1. Similar to the "a" in "hard".
  2. Similar to the "i" in "hit".
  3. Similar to, but not entirely like, the "ch" in the Scottish word "Loch". The sound does not exist in English.
  4. "z" is pronounced like "ts".
  5. Similar to the "v" in "vat".
  6. Similar to the "ee" in "meet".
  7. "ei" is pronounced like "ai" in German or like the "i" in the English word "time".
  8. "ß" is pronounced like "s".
  9. Similar to "e" in "pet".
  10. This is a long German "e"; the sound doesn't exist in English. It is between the "i" in "hit" and the "e" in "pet".

  
Now try to understand the dialogue with the help of the following list of vocabulary. (A complete translation is given in the answers to the next problems.)

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) What's your name? (1st Part) — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie heißt du? (1. Teil)  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/9/9c/German_Vocabulary_-_What%27s_your_name%3F_%281st_Part%29.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Hello!
Hallo!

I
ich

I am...
Ich bin ...

how
wie

you
du

Your name is...
Du heißt ...

What is your name?
Wie heißt du?

My name is...
Ich heiße ...

it
es

it goes
es geht

How is it going?
Wie geht's? (Longer: Wie geht es?)

me
mir

good
gut

I'm good.
Es geht mir gut. (Shorter: Mir geht's gut. Even shorter: Gut.)

you know
du kennst

Do you know...?
Kennst du ...?

teacher
Lehrer

yes
ja

he
er

His name is...
Er heißt ...

Mr.
Herr

oh
oh

thanks
danke

until
bis

then
dann

See you!
Bis dann!

on
auf

again
wieder

(to) see
sehen

Goodbye!
(Auf) Wiedersehen!

Problems: Working with the dialogue

  1. Translate the dialogue to English with the help of the list of vocabulary. Write your translation on a piece of paper before you check it.
  2. Listen to the recording without reading and try to understand the meaning of the words. If you cannot remember some words, look them up and start again.
  3. Read the dialogue aloud. Compare your pronunciation with the pronunciation of the recording.
  4. Listen to the recording without reading and write down the dialogue in German. Pause the playback after each sentence to write down what you have heard. Repeat this exercise until you know the spelling of the German words.

Answers

  1. Translation to English: 

    Franz: Hello, I am Franz. What is your name?
    Greta: Hello, Franz. My name is Greta. How is it going?
    Franz: I'm good. Do you know the teacher?
    Greta: Yes, his name is Mr. Weiß.
    Franz: Oh, thanks, Greta. See you!
    Greta: Goodbye!
  2. —
  3. —
  4. See the dialogue.

## Hellos and Goodbyes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wie_hei%C3%9Ft_du%3F&action=edit&section=T-2)]

There are many ways of saying hello and goodbye in German; some of them are:

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Greetings — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Grüße  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/b/bb/German_Vocabulary_-_Greetings.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Hello!
Hallo!*

Servus! (used in southern Germany and eastern Austria, informal)

Moin! (used in northern Germany)

Good morning!
Moin Moin! (used in northern Germany)

Guten Morgen!*

Morgen! (shorter)

Good day!
Guten Tag!*

Tag! (used in Germany, shorter)

Good evening!
Guten Abend!*

Hello!
Grüß Gott! (used in southern Germany, Austria and South Tyrol)

Goodbye!
Auf Wiedersehen!*

Wiedersehen! (shorter)

Bye!
Tschüss!*

Ciao! (pronounced as in Italian)

Servus! (used in southern Germany and eastern Austria, informal)

See you later!
Bis später!*

See you!
Bis dann!*

Bis bald!*

See you soon!
Bis gleich!

Good night!
Gute Nacht!*

*You will need to know each expression with an asterisk (*) after it. The others, of course, would be useful to know if you are traveling to regions where they are used. (As you can see, the different German-speaking regions often have their own ways of saying hello and goodbye. However, you will not be required to know any of these less common phrases for any problems or tests.)

The more formal phrases are _guten Morgen_, _guten Tag_, and _auf Wiedersehen_. The less formal ones are _tschüss_, _Tag_, _servus_, and _ciao_. The others are somewhat neutral on the formal-informal scale.

  


Problems: Hellos and goodbyes

How would you say hello and goodbye in these situations: 

  1. You meet a friend in the morning.
  2. You meet a teacher in the classroom in the afternoon.
  3. You meet a classmate in the evening.
  4. You talk to a shop assistant in the morning.

Answers

Avoiding local variants, these are some options: 

  1. Hello: Hallo!/(Guten) Morgen!/(Guten) Tag! Goodbye: Tschüss!/Bis später!/Bis dann!/Bis bald!
  2. Hello: Guten Tag! Goodbye: Auf Wiedersehen.
  3. Hello: Hallo!/Guten Abend! Goodbye: Tschüss!/Bis dann!/Bis bald!
  4. Hello: Guten Morgen!/Guten Tag! Goodbye: (Auf) Wiedersehen!

## Mr. and Mrs.[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wie_hei%C3%9Ft_du%3F&action=edit&section=T-3)]

In German, _Herr_ and _Frau_ are used instead of _Mr._ and _Mrs._ before a last name; e.g., _Mr. Schwarz_ – _Herr Schwarz_.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Mr. & Ms. — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Herr und Frau  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/0/0e/German_Vocabulary_-_Mr._%26_Ms..ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Mr.
Herr

Mrs.
Frau

_Frau_ is used for married and unmarried women. Some people still use _Miss_ – _Fräulein_ in spoken German but it is no longer used in written German since it is considered an inappropriate discrimination of unmarried women.

Literally, _der Herr_ means _the gentleman_ and _die Frau_ means _the woman_. If you use these words without a last name after them, you have to use an article before them; e.g., _der Herr_ or _die Frau_. This is actually just like in English. For example:

  * **The** woman's name is Mrs. Weiß – **Die** Frau heißt Frau Weiß.

Note also that the German translation of _the man_ is _der Mann_ and _the lady_ should be translated to _die Dame_. Thus, without last names you would rather use these pairs:

  * man and woman – Mann und Frau
  * men and women – Männer und Frauen
  * lady and gentleman – Dame und Herr
  * ladies and gentlemen – Damen und Herren

  


Problems: Mr. & Mrs.

Translate the following words and phrases to German: 

  1. Mr. Schwarz
  2. the man
  3. The man's name is Mr. Schwarz.
  4. the woman
  5. The woman's name is Mrs. Schwarz.
  6. ladies and gentlemen

Answers

  1. Herr Schwarz
  2. der Mann
  3. Der Mann heißt Herr Schwarz.
  4. die Frau
  5. Die Frau heißt Frau Schwarz.
  6. Damen und Herren

## Replies to _Wie geht's?_[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wie_hei%C3%9Ft_du%3F&action=edit&section=T-4)]

There are many ways to reply to the question _Wie geht's?_ Here are some of them:

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) How are you? — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie geht's?  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/9/9b/German_Vocabulary_-_How_are_you%3F.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

How are you?
Wie geht's? (longer: Wie geht es dir?)*

great
prima

good
gut

very good
sehr gut

miserable
miserabel

bad
schlecht

not (so) good
nicht (so) gut

O.K.
ganz gut

all right
Es geht so. (Or shorter: Geht so.)

*The more formal form is _Wie geht es Ihnen?_

After replying to the question, you could continue with:

  * And how are you? — Und wie geht es dir? (formal: Und wie geht es Ihnen?)

Or shorter:

  * And you? — Und dir? (or: Und selbst?; or formal: Und Ihnen?)

  


Problems: Wie geht's?

Fill in the blanks: 

  1. _______ geht's?
  2. Prima. _______ dir?
  3. Es _______ so.
  4. Wie geht _______ Ihnen?
  5. Sehr _______. _______ selbst?
  6. Ganz _______, danke.

Answers

  1. _Wie_ geht's?
  2. Prima. _Und_ dir?
  3. Es _geht_ so.
  4. Wie geht _es_ Ihnen?
  5. Sehr _gut_. _Und_ selbst?
  6. Ganz _gut_, danke.

  


## Test[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wie_hei%C3%9Ft_du%3F&action=edit&section=T-5)]

The test consists of three parts: pronunciation, vocabulary, and translation. As always, you should write down your answers before you check them. (Writing the German words is in fact a great way to practice the spelling of German words.) The vocabulary and translation problems are all from English to German because this is what you have to learn if you want to communicate in German. Once you are able to translate an English word to the corresponding German word, it won't be any problem to translate the German word back to English.

  


Problems: Pronunciation

  1. How do you pronounce "Ich heiße ..."?
  2. How do you pronounce "Franz"?
  3. How do you pronounce "Wiedersehen"?

Answers

  1. "i" as in "hit", "ch" as in "Loch", "h" as in "hotel", "ei" as the "i" in "times", "ß" is pronounced just like a "s", last "e" as in "pet"
  2. "f", "r", "n" similar to the English pronunciation of these letters, "a" as in "hard", "z" like "ts".
  3. "w" as the "v" in "vat", "ie" as the "ee" in "meet", "eh" is the long German "e" (between "i" in "hit" and a "e" in "pet"), the other letters are pronounced similarly in English.

  


Problems: Vocabulary

Translate from English to German: 

  1. Mr.
  2. Good evening!
  3. how
  4. Good morning!
  5. teacher
  6. (the) man
  7. Good night!
  8. you
  9. (the) woman
  10. Bye!
  11. How are you?
  12. thanks
  13. bad
  14. Good day!
  15. I
  16. Goodbye!
  17. he
  18. See you later!
  19. Hello!
  20. very good
  21. Mrs.
  22. yes
  23. not (so) good

Answers

  1. Herr
  2. Guten Abend!
  3. wie
  4. Guten Morgen!
  5. Lehrer
  6. (der) Mann
  7. Gute Nacht!
  8. du
  9. (die) Frau
  10. Tschüss!
  11. Wie geht's?
  12. danke
  13. schlecht
  14. Guten Tag!
  15. ich
  16. Auf Wiedersehen!
  17. er
  18. Bis später!
  19. Hallo!
  20. sehr gut
  21. (die) Frau
  22. ja
  23. nicht (so) gut

  


Problems: Translation

Translate from English to German: 

  1. Hello! I'm Susanne. What's your name?
  2. Good morning, Susanne. My name is Andreas.
  3. Good day, Andreas. How are you?
  4. Very good. Thanks, Susanne. And you? How are you?
  5. Great, thanks. See you later, Andreas!
  6. Goodbye!

Answers

  1. Hallo! Ich bin Susanne. Wie heißt du?
  2. Guten Morgen, Susanne. Ich heiße Andreas.
  3. Guten Tag, Andreas. Wie geht's?
  4. Sehr gut. Danke, Susanne. Und dir? Wie geht's dir?
  5. Prima, danke. Bis später, Andreas!
  6. Wiedersehen!

  


# Lesson 1.02 - Freizeit[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=9)]

  


Lesson I.4: Freizeit

* * *

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-1)]

Literally, _Freizeit_ means _free time_, i.e., spare time. In this dialogue, Franz and Greta are familiarizing each other with their sports activities.

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Sports and time — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Sport und Zeit  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/4/49/German_Dialogue_-_Sports_and_time.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

Franz
Hallo, Greta! Wie spät ist es?

Greta
Es ist Viertel vor drei.

Franz
Wirklich? Ich spiele um drei Fußball. Machst du Sport, Greta?

Greta
Nein, ich bin faul. Ich gehe jetzt nach Hause.

Franz
Fußball macht aber Spaß!

Greta
Bis dann.

Franz
Wiedersehen!

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Sports and Time — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Sport und Zeit  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/4/42/German_Vocabulary_-_Sports_and_Time.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

late
spät

quarter
das Viertel

to (+ hour)
vor (+ hour)

three
drei

to play
spielen

I play
ich spiele

at (+ time)
um (+ time)

soccer
der* Fußball

(to) make; (to) do
machen

you make; you do
du machst

sport(s)
der Sport

lazy
faul

(to) go
gehen

I go
ich gehe

now
jetzt

to (+ place)
nach (+ place)

house
das Haus

home (direction)
nach Hause

at home (place)
zu Hause

but
aber

fun
der Spaß

*The audio recording says "das", but it should be "der".

## Sports and Activities[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-2)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Sports and activities — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Sport und Aktivitäten  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/5/53/German_Vocabulary_-_Sports_and_activities.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

the sport(s)
der Sport

the interests, hobbies, activities
die Hobbys (singular: das Hobby) or das Steckenpferd (-e)

the football/soccer
der Fußball

the American football
der Football (pronounced as in English)

the volleyball
der Volleyball (the Volley- in Volleyball is pronounced as in English)

the basketball
der Basketball

the tennis
das Tennis

the baseball
der Baseball (pronounced as in English)

the 9-pin bowling
das Kegeln

the chess
das Schach

the board game
das Brettspiel

the game
das Spiel

the homework
die Hausaufgaben (usually plural; singular: die Hausaufgabe)

the TV watching
das Fernsehen (the TV: der Fernseher)

the movie
der Film

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

## Spielen, Machen and Other Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-3)]

All three verbs that you were introduced to in Lesson 2 are irregular in some way; however, most verbs are regular verbs. In English, the regular conjugation is very easy: only for the third person singular an "-s" is added to the infinitive ("to see" becomes "he/she/it sees"). Unfortunately, there are more endings in German. The following two tables show the endings for the two regular verbs _spielen_ (_to play_) and _machen_ (_to do; to make_):

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) to play — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) spielen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/a/a4/German_Verb_-_to_play.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I
play
ich
spiel**e**

2nd person
you
play
du
spiel**st**

3rd person
he/she/it
play**s**
er/sie/es
spiel**t**

plural 1st person
we
play
wir
spiel**en**

2nd person
you
play
ihr
spiel**t**

3rd person
they
play
sie
spiel**en**

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) to do_make — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) machen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/f/f4/German_Verb_-_to_do_make.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I
do/make
ich
mach**e**

2nd person
you
do/make
du
mach**st**

3rd person
he/she/it
do**es**/make**s**
er/sie/es
mach**t**

plural 1st person
we
do/make
wir
mach**en**

2nd person
you
do/make
ihr
mach**t**

3rd person
they
do/make
sie
mach**en**

As you see, the endings are the same for corresponding forms of _spielen_ and _machen_. In fact, they are the same for all regular verbs. Thus, you can always just remove the _-en_ from the infinitive of a regular German verb to form the stem (e.g., _spielen_ becomes _spiel-_ and _machen_ becomes _mach-_) and then add the ending for the particular person. Here is a table with these endings:

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) conjugation — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Konjugation  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/0/0d/German_Verb_-_conjugation.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I
**-**
ich
**-e**

2nd person
you
**-**
du
**-st**

3rd person
he/she/it
**-s**
er/sie/es
**-t**

plural 1st person
we
**-**
wir
**-en**

2nd person
you
**-**
ihr
**-t**

3rd person
they
**-**
sie
**-en***

*The form for _you (polite)_ — _Sie_ is exactly the same as for the plural, 3rd person pronoun _they_ — _sie_.

  


### Examples[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-4)]

  * _Was machst du?_

    What are you doing?

  * _Ich spiele Basketball._

    I'm playing basketball.

  * _Spielst du Fußball?_

    Do you play soccer?

  * _Ich mache Hausaufgaben._

    I'm doing homework.

  * _Er macht Hausaufgaben._

    He's doing homework.

  * _Machst/Treibst du Sport?_

    Do you play sports?

Note that in English one _plays_ sport, while in German one _does_ sport. You can also use the question words from [Lesson 3](http://en.wikibooks.org/wiki/German/Level_I/Bitte_buchstabieren_Sie#Forming_Questions) to form more combinations:

  * _Warum spielst du Baseball?_

    Why do you play baseball?

  * _Wann machst du die Hausaufgaben?_

    When do you do the/your homework?

To say "not", use "nicht". "Nicht" goes after the verb but before the sport.

  * _Wer spielt nicht Fußball?_

    Who doesn't play soccer?

  * _Wir spielen nicht Tennis._

    We don't play tennis.

### Compound Sentences[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-5)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Conjunctions — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Verbindungen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/f/f2/German_Vocabulary_-_Conjunctions.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

and
und

but
aber

or
oder

Both German and English have compound sentences; the applications of these are enormous. They can be used in lists and also in compound sentences. For example,

  * _Ich spiele Basketball und er spielt auch Basketball._

    I play basketball, and he also plays basketball.

The new word, _also — auch_ is very important. The one grammar rule about _auch_ is that it always comes after the verb.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

### Other Verbs and Their Conjugations[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-6)]

Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Verbs — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Verben  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/2/22/German_Grammar_-_Verbs.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

(to) read
lesen

(to) watch
schauen

(to) see
sehen

(to) work
arbeiten

(to) write
schreiben

(to) swim
schwimmen

_Schauen_, _schreiben_ and _schwimmen_ are all regular verbs; i.e., they follow regular conjugations. To conjugate them, you first remove the _-en_ from the infinitive to form the stem (i.e., _schau-_, _schreib-_, and _schwimm-_), and then add the correct ending. Here is an example:

verb (infinitive) first step (stem) conjugated form

schau**en**
schau-
ich schau**e**

_Arbeiten_ is an irregular verb; however, it has a simple change. Whenever the ending starts with a consonant, an _-e-_ is added before it. For example, _du arbeit**e**st_ (not <s>_du arbeitst_</s>). As well as _er/sie/es/ihr arbeit**e**t_ (not <s>_er/sie/es/ihr arbeitt_</s>).

_Lesen_ is also an irregular verb. For the second and third person singular the form is _liest_, i.e., _du/er/sie/es l**ies**t_ (not <s>_du lesst_</s>).

_Sehen_ is the last irregular verb. The second person singular is _du s**ie**hst_ and the third person singular is _er/sie/es s**ie**ht_.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

### Two More Verb Forms[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-7)]

There are two common verb forms in English that just don't exist in German: the ing-form (or: present progressive); e.g., "I am playing" or "he is making"; and forms with "to do"; e.g., "I do play" or "he does not play".

The simple rule is: these constructions don't exist in German. Thus, you should translate _I am playing_ to _ich spiele_. Similarly, _I do play_ is also translated to _ich spiele_. Anything else (<s>_ich mache spielen_</s> or <s>_ich bin spielen_</s>) is either not possible in German or has a different meaning.

The phrase _I do not play_ should be translated to _ich spiele nicht_ (literally: _I play not_) since _nicht_ (_not_) comes usually after the verb. This may sound like Early Modern English in a play by Shakespeare, and this is no coincidence since German and English are both West Germanic languages.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

## Expressing likes and dislikes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-8)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Expressing likes and dislikes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Vorlieben und Abneigungen ausdrücken  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/c/c5/German_Vocabulary_-_Expressing_likes_and_dislikes.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

What do you like to do?
Was machst du gern*?

I like to play.
Ich spiele gerne*.

What do you like to play?
Was spielst du gerne*?

I like to play soccer.
Ich spiele gerne* Fußball.

* _gern_ and _gerne_ can be used interchangeably.

In German, there are several ways to express likes and dislikes; this is just one of them. You can also add other verbs for other activities, e.g., _I like to read._ — _Ich lese gern._ or _I like to work._ — _Ich arbeite gern._ or _I like to watch TV._ — _Ich schaue gern Fernsehen._

To express preference, you can use _lieber_ instead of _gern._ For example, _I prefer to play basketball._ — _Ich spiele lieber Basketball._ or _I prefer to read._ — _Ich lese lieber._

To express favorite activities, you can use _am liebsten_ (meaning _most of all_) instead of _lieber_ or _gern_. For example, _Most of all, I like to play chess._ — _Ich spiele am liebsten Schach._

To express dislikes, you can use _nicht gern_ instead of _gern_, for example _I don't like to swim._ — _Ich schwimme nicht gern._ or _I don't like to work._ — _Ich arbeite nicht gern._ or _I don't like to play soccer._ — _Ich spiele nicht gern Fußball._

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

## Numbers[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-9)]

Numbers are among the most important and most useful words: we need them to talk about time, amounts, money, etc. Even if you are "just" a tourist, you often cannot avoid numbers. Learning numbers can be a bit of a pain; thus, here is some advice: whenever you have time, count something in German; e.g., steps, cars, people, seconds, whatever: just count.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Numbers — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Zahlen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/5/56/German_Vocabulary_-_Numbers.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

zero
null*

one
eins

two
zwei**

three
drei

four
vier

five
fünf

six
sechs

seven
sieben

eight
acht

nine
neun

ten
zehn

eleven
elf

twelve
zwölf

thirteen
dreizehn

fourteen
vierzehn

fifteen
fünfzehn

sixteen
sechzehn

seventeen
siebzehn

eighteen
achtzehn

nineteen
neunzehn

twenty
zwanzig

twenty-one
einundzwanzig*

twenty-two
zweiundzwanzig*

twenty-three
dreiundzwanzig*

24 - 29
analogous to 22 and 23

thirty
dreißig

31 - 39, etc.
analogous to 21 - 29

forty
vierzig

fifty
fünfzig

sixty
sechzig

seventy
siebzig

eighty
achtzig*

ninety
neunzig*

hundred
hundert (or: einhundert)

hundred and one
hunderteins*

two hundred
zweihundert*

thousand
tausend (or: eintausend)

two thousand
zweitausend*

*Some numbers are missing in the audio recording.

**Some people sometimes say _zwo_ instead of _zwei_ in order to distinguishing it more clearly from _drei_ (_three_), especially on the phone.

  
Notice the pattern: _-teen_ translates to _-zehn_, and _-ty_ to _-zig_.

There is one big problem with the numbers: in German the unit position comes before the tens and is connected by _und_ (_and_). For example: _twenty-three_ — _dreiundzwanzig_ (literally: _threeandtwenty_), _twenty-four_ — _vierundzwanzig_, _thirty-five_ — _fünfunddreißig_, _forty-six_ — _sechsundvierzig_, etc.

One exception is _eins_ which becomes _ein-_ in 21, 31, 41, etc.: _twenty-one_ — _einundzwanzig_ (literally: _oneandtwenty_), _thirty-one_ — _einunddreißig_, _forty-one_ — _einundvierzig_, etc.

German is not the only language with this "reverse" order of numbers: Danish (another Germanic language) and Arabic do it the same way. This was also the standard way of forming numbers in older versions of English ("Four and twenty blackbirds/Baked in a pie." <http://en.wikipedia.org/wiki/Sing_a_Song_of_Sixpence>).

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

# What's On the Test[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Freizeit&action=edit&section=T-10)]

To go straight to the lesson test, go [here](http://en.wikibooks.org/w/index.php?title=German/Print_version/Test&action=edit&redlink=1).

The test will have four parts to it: Grammar (79 points), Translating (95 points), Reading Comprehension (20 points), Vocabulary (20 points), and Previous Topics (10 points) in that order. The Grammar section will test your ability to know the verbs from this lesson and it's various versions, to know articles - the genders of them and the correct usage of them, and correct word order.

The Translating section is worth the most points, and it too has three sections. You must know the translations for sentences and phrases going from English to German, and be able to take a German dialogue and translate it back into English. Also you must know the translation from Numbers to German.

The third section, Reading Comprehension, is Comprehension Questions you must know how to read the conversion and after reading you will be asked question on the previous conversion.

The fourth section is a vocabulary section. You get 20 English words on the left and 20 German words on the right, and be asked to match them. To study for that, check out the 401 flashcards related to this lesson at [FlashcardExchange.com](http://www.flashcardexchange.com/flashcards/view/249128) _Part I_ and [FlashcardExchange.com](http://www.flashcardexchange.com/flashcards/view/249218) _Part II_.

The last section, Previous Topics, is a quick review on [Lesson 1](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F) to get ready for this section, just look at some past notes or go to [Lesson 1](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F) and study. That is the whole test. [Take it!](http://en.wikibooks.org/wiki/German/Level_I/Freizeit/Test)

  


# Lesson 1.03 - Essen[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=10)]

  


Lesson I.6: Essen

* * *

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-1)]

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) I'm hungry! — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Ich habe Hunger!  


 

(missing file: [File:German Dialogue - I'm hungry!.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Dialogue_-_I%27m_hungry!.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

Franz
Hallo, Greta! Wie geht's?

Greta
Sehr gut. Ich habe Hunger.

Franz
Ich auch. Möchtest du etwas essen?

Greta
Ja!

_In der Gaststätte_

Greta
Ich möchte Salat, Brot und Wasser.

Franz
Hast du jetzt keinen Hunger?

Greta
Doch, ich habe großen Hunger. Was bekommst du?

Franz
Ich bekomme ein Stück Apfelstrudel und einen Eisbecher.

Greta
Warum das? Du sollst eine Bratwurst nehmen.

Franz
Nein, ich bin zufrieden. Ich habe keinen großen Hunger.

Greta
Ach so, dann ist das genug.

_Nach zwanzig Minuten_

Greta
Diese Gaststätte ist schrecklich! Ich möchte etwas zu essen!

Franz
Wir gehen!

## Food![[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-2)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Food — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) die Nahrungsmittel (pl.)  


 

(missing file: [File:German Vocabulary - Food.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Food.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

die Früchte (das Obst) - fruits das Gemüse - vegetables

der Apfel
apple
_der Champignon, die Pilze_
mushroom

die Banane
banana
_der Spargel_
asparagus

die Erdbeere
strawberry
_der Spinat_
spinach

die Kirsche
cherry
_die Erbsen_
peas

die Orange
orange
_die Kartoffel_
potato

die Traube
grape
_die Tomate_
tomato

die Zitrone
lemon
_die Zwiebel_
onion

die Grapefruit
grapefruit
_die Bohnen_
beans

_die Möhre, die Karotte_
carrot

das Fleisch - meat die Meeresfrüchte - shellfish, seafood

das Lammfleisch
lamb
die Kammmuschel
scallop

der Truthahn
turkey
die Krabbe
crab

der Schinken
ham
die Garnele
shrimp

das Schweinefleisch
pork
der Fisch - fish

das Hähnchen
chicken
die Sardellen
anchovies

das Rindfleisch
beef
der Lachs
salmon

die Wurst
sausage
der Aal
eel

die Milchprodukte - dairy products Other Foods

die Butter
butter
die Suppe
soup

der Käse
cheese
die Pommes (frites)
French fries

die Milch
milk
die Pizza
pizza

der Joghurt
yogurt
der Hamburger
hamburger

die Nachspeise - dessert
der Senf
mustard

das Bonbon
candy
das Brot
bread

die Schokolade
chocolate
die Butter
butter

die Torte
tart
der Salat
salad

der Kuchen
cake
der Pfeffer
pepper

der Apfelstrudel
apple strudel
der Reis
rice

der (Apfel)Kuchen
(apple) pie
das Salz
salt

das Eis
ice cream
der Zucker
sugar

der Eisbecher
bowl of ice cream
die Konfitüre
jam

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Accusative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-3)]

As you know from the [introduction](http://en.wikibooks.org/wiki/German/Introduction), in German, there are four cases. Three are used often. The first, **Nominative Case**, you learned in [Lesson 1](http://en.wikibooks.org/w/index.php?title=German/Wie_hei%C3%9Ft_du%3F&action=edit&redlink=1). It covers the [subject](http://en.wikipedia.org/wiki/Subject_\(grammar\)), and the predicate noun (in "He is (noun).", (noun) is the predicate noun). The second, the **Accusative Case**, you will learn now. It covers the [direct object](http://en.wikipedia.org/wiki/Direct_object) and the [object of several prepositions](http://en.wikipedia.org/wiki/Preposition). The third, the **Dative Case** will be taught later on. It covers the [indirect object](http://en.wikipedia.org/wiki/Indirect_object) and the object of many other prepositions.

The object of a sentence will be in accusative case. In, "You hurt me.", 'me' would be accusative.

Note: The **Accusative Case** and **Dative Case** are identical in English; that's why German has one case extra.

### Articles[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-4)]

_Masculine_
_Feminine_
_Neuter_
_Plural_

Definite Article
**den**
die
das
die

Indefinite Article
**einen**
eine
ein
-eine*

*** The indefinite article for plurals is non-existent. However related words, such as possessives and the kein- words that you will learn later this lesson, will end in _eine_ for plurals.**

In the articles, the memory hook for accusative case is "Der goes to den (pronounced "dane" ![About this sound](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png) [audio](http://upload.wikimedia.org/wikipedia/commons/5/52/De-den.ogg) ([help](http://en.wikipedia.org/wiki/Wikipedia:Media_help)·[info](http://en.wikibooks.org/wiki/File:De-den.ogg))) and the rest stays the same." The masculine indefinite article goes to _einen_, and everything else stays the same there. Therefore above, _der_ Hamburger goes to _den_ Hamburger and _ein_ Hamburger goes to _einen_ Hamburger when the hamburger is the direct object, such as in "Er hat einen Hamburger." ("He has a hamburger.")

If you are getting confused, it's fine. This topic is one of the hardest for English speakers to grasp. Here are some solutions:

To find out the case of something, first find the verb. The verb rules the sentence. Everything revolves around it. Next you find the subject of the sentence. The subject is the thing/person that is _doing_ the verb. **The subject is always in the Nominative Case, so it takes on the der, die, das, die, or ein, eine, ein.**

Now you look back at the verb. If it is a being verb (am, are, is, etc.), the next noun after the verb is the **predicate noun**. An easy way to figure this out is to write an equation. If the verb can be replaced with an equals sign (=), then the following noun is a predicate noun. If it can't be replaced by an equals sign, refer to the next paragraph. **The predicate noun is also always in the Nominative Case, so the same rules apply to it.**
    
    
    Ich bin **ein** Junge.
    Sie ist **eine** Frau.
    

If the verb of the sentence is an action verb (playing, throwing, making, eating), find what the subject is doing the verb to. For example, if the verb is "makes" (macht), you look for what is being made. That is the direct object. **The direct object is always in the Accusative Case, so it takes on the den, die, das, die, or einen, eine, ein.**
    
    
    Sie haben **den** Cheeseburger.
    Habt ihr **einen** Salat?
    

The indefinite articles, when you just look at their endings, select e, -, e for nominative case, and en, e, -, e for accusative.

Remember, between nominative and accusative, the only third-person change is in the masculine form.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

### Pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-5)]

The pronouns experience a much bigger change than the articles. This is also true in English, as the articles (a, an, the) do not change ever, but _I_ goes to _me_, _we_ goes to _us_, etc.

Not everything is the same, though. While _me_ is _mich_ and _us_ is _uns_, the second and third persons undergo different changes. In third person, as in the articles, the only change is in masculine singular. Following the "der goes to den" rule, _er_ goes to _ihn_ when in the accusative case.

The second person in English never changes. In German, _du_ goes to _dich_ and _ihr_ goes to _euch_. _Sie_, the formal version of either, stays the same. Remember, _Sie_ (2nd person formal) and _sie_ (3rd person plural) only differ in their meanings and the fact that the former is capitalized and the latter is not. This stays true throughout German grammar.

Here is a tabular representation of the above.

Person
**Singular**
**Plural**

_English_
_German_
_English_
_German_

1st
me
_mich_
us
_uns_

2nd
you
_dich_
you (all)
_euch_

3rd
him, her, it
_ihn, sie, es_
them
_sie_

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

### Antecedents[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-6)]

Note: _This is just a quick lesson in English grammar applied into German. If you already know all about antecedents in English, skip the first paragraph._

When using a pronoun, you have to know what it is for it to work. There are some rare exceptions, such as in mysteries or drama, but otherwise this is always true. Sometimes in dialogue this is taken care of by pointing or making some other gesture, but most of the time, the pronoun modifies something already mentioned. **The object/person mentioned earlier that turns into a pronoun later is called the antecedent.**

In German this is very useful. You can't simply say 'it' anymore. Many food words are masculine and feminine, and when you turn them into pronouns, they turn into 'he', 'she', 'him', and 'her', not always 'it'. For example, the sentence "The cheeseburger tastes good. It's very crunchy." turns into "The cheeseburger tastes good. _He's_ very crunchy." Note: You will learn how to say this in German later in this lesson.

Why is it "he"? This is where the antecedent comes in. Because there are foods that are masculine and feminine in German, you can't assume the 'es'. You have to look back at the previous sentence, at the antecedent, _der Cheeseburger_. "Der Cheeseburger" is replaced by _er_ (since it is the subject, and therefore in Nominative Case). Therefore, all you need to know are these connections: der/den-er/ihn, die-sie, das-es, die-sie.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Food-Related Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-7)]

  * _essen (I)_ \- to eat, to be eating, to do eat
  * _trinken_ \- to drink, to be drinking, to do drink
  * _bekommen_ \- to get/receive, to be getting/receiving, to do get/receive
  * _möchten (M)_ \- would like
  * _wollen (M)_ \- to want, to be wanting, to do want

Of these five verbs, only trinken and bekommen are regular. Essen is _irregular_ (that's what the "I" means). Do you remember from the last lesson 'lesen' and 'sehen'? In both of them, the first 'e' changed to 'ie' in the du- and er/sie/es-forms. Well _essen_ experiences the same change, except that it changes to 'i', not 'ie'. Also, it acts the same as 'lesen' in the du-form: You don't have three s's in a row.

_Person_
_Singular_
_Plural_

**1st**
ich
_esse_
wir
_essen_

**2nd**
du
_isst_
ihr
_esst_

**3rd**
er/sie/es
_isst_
sie
_essen_

  
_Isst_ sounds and looks a lot like _ist_. The minute difference happens to be in the way you pronounce the _s_. When you mean _eats_ it is sometimes an overstressed hissing (i.e. extremely sharp) sound. In normal life Germans, too, can only tell which verb is meant from knowing the context.

Just like in last lesson, where you could say, _"Ich spiele gerne Fußball."_, you can also extend it to food. "I like to eat cheeseburgers." is translated as _"Ich esse gerne Cheeseburger."_

Before [1996](http://en.wikipedia.org/wiki/German_spelling_reform_of_1996), the usage of _ißt_ and _eßt_ were common, but the new reform rules specify that these spellings are now the only correct spellings.

The last two verbs (marked _(M)_) are _modals_. They will be discussed in the next section.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Modals[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-8)]

In [the introduction](http://en.wikibooks.org/wiki/German/Introduction), you learned that German has no helping verbs. Instead, they have **modals**, words that basically do the same thing.

Modals are conjugated very differently from normal verbs. The ich- and er/sie/es-forms are always the same, while the du-form adds an 'st'. Most modals experience a vowel change from singular to plural, and the rest is the same.

### Möchten[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-9)]

'Möchten' isn't technically a modal, but it acts exactly the same. There is no vowel change, and the ich- and er/sie/es forms are "möchte". Here is the complete conjugation:

  


_Person_
_Singular_
_Plural_

**1st**
ich
_möchte_
wir
_möchten_

**2nd**
du
_möchtest_
ihr
_möchtet_

**3rd**
er/sie/es
_möchte_
sie
_möchten_

'Möchten' means "would like" and can be applied to food (e.g. Ich möchte einen Cheeseburger.). Möchten can be translated even more literally as "would like to", and is traditionally used with an infinitive verb at the end of the sentence (e.g. "Ich möchte jetzt gehen"/"I would like to go now"). However, this infinitive is not neccesary if it's completely obvious what you're talking about (If you say "Ich möchte einen Cheeseburger", everyone will assume that you would like a cheeseburger to eat.)

(Note: _Technically, "möchten" is not a word. The above cited conjugation is actually the "Konjunktiv" of "mögen", which has become so popular as a phrase, that even many Germans today aren't aware of it anymore, so you don't need to worry about it. "Etwas mögen" means "to like to", and "I would like" is the closest translation of "ich möchte."_)

### Wollen[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-10)]

'Wollen' is a true modal; it even changes vowels. Ich/er/sie/es _will_ and du _willst_. Here is the complete conjugation:

  


_Person_
_Singular_
_Plural_

**1st**
ich
_will_
wir
_wollen_

**2nd**
du
_willst_
ihr
_wollt_

**3rd**
er/sie/es
_will_
sie
_wollen_

'Wollen' can also be applied to food, but may be considered impolite and demanding ("Ich will einen Cheeseburger!" roughly means "I demand a cheeseburger!" _Möchten_ should be used instead: "Ich möchte einen Cheeseburger!" = "I want a cheeseburger!").

'Wollen' should not be confused with the future tense, despite the presence of the English word 'will' in the conjugations. However, [will](http://en.wiktionary.org/wiki/will) can also mean an intent or a document showing what one _wants_ to happen. So it is not so different from 'to want' as possibly originally presumed.

### Modals with other verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-11)]

**This is very important.** When you need to use another verb with a modal (such as expressing you would like or want to perform an action), the sentence's word order is somewhat different than it would be in English. In English, you would state the subject pronoun (such as "I"), an English equivalent to the modal verb (such as "want"), the action you want to perform (such as "to eat") and then what the action will be performed on (such as "hamburger"), making the sentence "I want to eat a hamburger." In German you must put the action at the end of the sentence, making the sentence "I want a hamburger to eat." (_"Ich will einen Hamburger essen."_)

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Hunger and Thirst[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-12)]

In German, instead of saying, "I'm hungry."(Ich bin hungrig), you may also say "I have hunger."(Ich habe Hunger) The same applies to thirst. Here are the German translations of the corresponding nouns:

Hunger - der Hunger

Thirst - der Durst

Like in English, these two words do not have a plural form. When using them, you don't need to worry about the 'der'; you can just say, "Ich habe Hunger" to say "I am hungry" and "Ich habe keinen Hunger" for "I am not hungry."

Somewhat archaic but still in use are the adjectives _hungrig_ and _durstig_. Those are often used when talking about someone (especially animals): "Der Löwe ist hungrig" for "The lion is hungry".

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Formal Conversations[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-13)]

In [Lesson 1](http://en.wikibooks.org/w/index.php?title=German/Wie_hei%C3%9Ft_du%3F&action=edit&redlink=1), you learned how to talk formally, using phrases like "Guten Morgen!" and "Wie heißen Sie?". There are, however, a few words that are 'survival words' in Germany, specifically:

**Danke** \- Thank you, Thanks

**Bitte** \- Please _and_ You're welcome.

To make this even more formal, you can tack on the word 'schön' to the end of "Thank you" and "You're welcome" to make 'dankeschön' and 'bitteschön' (both one word) in response. 'Schön' literally means 'pretty' (you'll relearn this next lesson).

**Some other ways to say "thank you":**

  * Dankeschön - Thank you very much
  * Danke sehr - Thanks a lot
  * Herzlichen Dank ("herzlichen" means sincere or from the heart; you may remember it from "_Herzlichen_ Glückwunsch zum Geburtstag!" last lesson)
  * Vielen Dank - Thanks a lot
  * Tausend Dank* - Thanks a million (literally meaning a thousand, but English is more generous)
  * Aufrichtigen Dank* - would be "thank you sincerely" (_very_ formal)

* - You will not be tested on these phrases.

**Some other ways to say "You are welcome":**

  * Bitteschön!
  * Bitte sehr!
  * Gern geschehen! - Don't mention it
  * Gerne! - also meaning "gladly"
  * Kein Problem! - No problem
  * Dafür nicht!* - (Do) not (thank me) for this (only used in Northern Germany)

* - You will not be tested on this phrase.

These might also be useful:

**Entschuldigung** \- Excuse me, Pardon

**Es tut mir leid** \- Sorry, I'm sorry

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Kein-words[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-14)]

Twice you have been taught that the ending of the indefinite article for plurals _would be_ eine (for Nominative and Accusative cases), if there was an indefinite article for plurals. Now that lesson applies. The **k**ein-words have the same endings as the ein-words, and they mean the opposite: no, not any, none. For example, "kein Cheeseburger" means "no cheeseburger". "Keine Cheeseburger" (in this case Cheeseburger is plural) means "No cheeseburger**s**". Notice the 'e' at the end of 'keine'. That's the ending for plurals and feminine nouns and can be likened to the "der, die, das -> die" relationship, where the feminine article serves for the plural as well.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Ordering at a Restaurant in Germany[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-15)]

das Restaur'ant' (French pronunciation) - Restaurant ![About this sound](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png) [Fr-Restaurant.ogg](http://upload.wikimedia.org/wikipedia/commons/7/77/Fr-Restaurant.ogg) ([help](http://en.wikipedia.org/wiki/Wikipedia:Media_help)·[info](http://en.wikibooks.org/wiki/File:Fr-Restaurant.ogg))

There are many restaurants you might find in Germany. Much like in English-speaking countries, you would more likely use the name of the restaurant than name what kind of restaurant. If you want to address the wish to eat a certain food, there are two ways:

example: "wanting to eat chinese food"

1\. "Ich möchte gerne zum Chinesen." - literally: "I want to go to the Chinese (restaurant)." 2. "Ich möchte gerne chinesisch essen (gehen)." - literally: "I want to (go) eat Chinese (style food)."

Here are some more restaurants you can find in Germany:

  * American food: "zum Amerikaner" / "amerikanisch essen"*
  * Arabic food: "zum Araber" / "arabisch essen"
  * Chinese food: "zum Chinesen" / "chinesisch essen"
  * French food: "zum Franzosen" / "französisch essen"
  * Greek food: "zum Griechen" / "griechisch essen"
  * Italian food: "zum Italiener" / "italienisch essen"
  * Indian food: "zum Inder" / "indisch essen"
  * Japanese food: "zum Japaner" / "japanisch essen"
  * Mexican food: "zum Mexikaner" / "mexikanisch essen"
  * Spanish food: "zum Spanier" / "spanisch essen"
  * Turkish food: "zum Türken" / "türkisch essen"

* "zum Amerikaner" is often used in a jokey way, to express that one is going to either McDonald's or Burger King. There are few American restaurants, in Germany and they are mostly referred to as "(American) Diner", so it is not used like "zum Italiener".

## Accusative case prepositions[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-16)]

You read at the beginning of this lesson that the **Accusative Case** covers the direct object and the objects of some prepositions. Here are those prepositions that always fall under Accusative Case

_bis_ \- until

_durch_ \- through

_entlang_ \- along

_für_ \- for

_gegen_ \- against

_ohne_ \- without

_um_ \- at, around

You learned _um_ last lesson, and _ohne_ earlier this lesson. _Bis_, _durch_, _entlang_ and _gegen_ will be taught in depth later, and _für_ will be taught now.

Up until this point, you have only worried about the Accusative Case in third person. _Für_, meaning 'for', can and should be used in the first and second persons, too. Here's an example:

"The cheeseburger is for me." - "Der Cheeseburger ist _für mich_."

As you can see, 'me' is put into accusative case because the preposition is _für_.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Saying How Food Tastes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-17)]

In German (as in English) there are several ways of telling how food tastes. You can do this with 'gut' and 'schlecht' from [Lesson 1](http://en.wikibooks.org/w/index.php?title=German/Wie_hei%C3%9Ft_du%3F&action=edit&redlink=1) to say:

**Der Cheeseburger schmeckt gut - The cheeseburger tastes good**

**Der Cheeseburger schmeckt schlecht - The cheeseburger tastes bad**

But this is bland. Hopefully the food has more flavor than the description of it. You can use the following words to more colorfully describe how the cheeseburger tastes:

  * delicious - _lecker_
  * delicious - _delikat_* (a lot more formal than lecker)
  * tasty - _schmackhaft_
  * juicy - _saftig_*
  * crunchy - _knackig_ (can also mean _crispy_)
  * crispy - _knusprig_*
  * spicy - _würzig_, _pikant_
  * stale, tasteless - _fade_* (Austria: fad)
  * salty - _salzig_
  * oversalted - _versalzen_*
  * sweet - _süß_
  * bitter - _bitter_
  * sour - _sauer_
  * creamy - _cremig_*
  * hot (in the sense of "very spicy") - _scharf_ \- literally meaning "sharp"
  * hot (in the sense of "very warm") - _heiß_
  * burnt - _angebrannt_*
  * cold - _kalt_
  * disgusting, terrible - _schrecklich_

* - You will not be tested on these descriptors.

**Schmecken** is a regular verb. Here is it's conjugation:

  


_Person_
_Singular_
_Plural_

**1st**
ich
_schmecke_
wir
_schmecken_

**2nd**
du
_schmeckst_
ihr
_schmeckt_

**3rd**
er/sie/es
_schmeckt_
sie
_schmecken_

The first and second persons really shouldn't be used. No one is going to say, "You guys taste salty" or "I taste creamy." So the only forms you _really_ need to know are er/sie/es _schmeckt_ and sie (plural) _schmecken_.

You can use 'schmeckt' and 'schmecken' or 'ist' and 'sind' to state how the food tastes. Just use whichever one you would use in English and it'll usually be correct.

Although the English meaning of _schmecken_ is simply _to taste_, _"Schmeckt der Cheeseburger?"_ can be taken in a positive way to mean "Do you like the cheeseburger?". In other words, _schmecken_ alone can mean _to taste good_.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Dieser-forms[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-18)]

"_The_ cheeseburger tastes good." does not sound that specific as to which cheeseburger you are talking about. You could be talking about a cheeseburger that is not directly in front of you. It just isn't clear. Now, if you said, "_This_ cheeseburger tastes good.", it would be obvious that you're talking about the cheeseburger you're eating. 'Dieser' is the German translation for 'this': "Dieser Cheeseburger schmeckt gut."

### Dieser[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-19)]

'Dieser' is a special adjective. It changes forms in different situations: different genders and different cases. It can also mean 'these' when modifying a plural. Here are its forms:

_Masculine_
_Feminine_
_Neuter_
_Plural_

Nominative Case
dies**er**
dies**e**
dies**es**
dies**e**

Accusative Case
dies**en**
dies**e**
dies**es**
dies**e**

As you can see, _dieser_ is only appropriate for modifying masculine nouns in nominative case. But 'Cheeseburger', which is masculine, is the subject of the sentence, "Dieser Cheeseburger schmeckt gut." So it is correct in that circumstance.

### Jeder[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-20)]

_Jeder_ means 'every'. It acts exactly like 'dieser' in its endings, so it should be easy to remember. Here are the different forms:

_Masculine_
_Feminine_
_Neuter_

Nominative Case
jed**er**
jed**e**
jed**es**

Accusative Case
jed**en**
jed**e**
jed**es**

Notice the absence of the plural form. When you think about this, it's the same in English: no one says 'every books'.

### Welcher[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-21)]

'Welcher' is the third of this threesome of adjectives. 'Welcher' means 'which' and is used like the other [w:Interrogative word|interrogatives] (wer, was, wann, wo, warum, wie, and welcher). However, because the general subject has to be specified, _welcher_ must be inflected before use: "Welcher Hamburger ist seine?" Its forms have the same endings as 'dieser'.

_Masculine_
_Feminine_
_Neuter_
_Plural_

Nominative Case
welch**er**
welch**e**
welch**es**
welch**e**

Accusative Case
welch**en**
welch**e**
welch**es**
welch**e**

### Connection with Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-22)]

You might want to say 'every day', 'this week', 'every morning', or 'which Tuesday night?'. But to do this, not only do you need to know the jeder-forms, but also the genders of the times and the cases. The second one is easy: **Whenever you do something at a certain time, that time is put into Accusative Case.** Last lesson, you learned the gender of one time: _der_ Tag. So now you know everything to say 'diesen Tag', 'jeden Tag', and 'welchen Tag?' (this day, every day, and which day?). Here are the cases of all the times in [Lesson 2](http://en.wikibooks.org/w/index.php?title=German/Freizeit&action=edit&redlink=1):

  


_Masculine_
_Feminine_
_Neuter_

  * Tag
  * Monat
  * Morgen
  * Abend
  * Nachmittag

  * Woche
  * Nacht

  * Jahr
  * Wochenende

When extending to 'which Tuesday night?', remember that the night stays feminine on Tuesday, so it stays "Welche Dienstagnacht?". Likewise, you can say 'every June' the same as 'every month': 'jeden Juni'.

### This and That[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-23)]

_Ich möchte einen Cheeseburger. Der schmeckt sehr gut._

_Ich esse jeden Tag Cheeseburger. Die habe ich gern._

Look at the second sentence of each of these German dialogues. What's missing? That's right, instead of "Der Cheeseburger schmeckt sehr gut." and "Die Cheeseburger habe ich gern.", both of the 'Cheeseburgers, so to speak, are dropped. We're left with just the articles, only in this case, they aren't articles. They're **demonstrative pronouns**.

Demonstrative pronouns aren't scary. They're just the same as the normal pronouns, only they give more _oomph_ to the sentence. They can be translated as either 'this' or 'that' ("I'd like a cheeseburger. That tastes very good."), or 'these' or 'those' for plurals ("I eat cheeseburgers every day. These I like.").

Demonstrative pronouns are exactly the same as the definite articles (well, there is one change in dative, but that will be covered in [Lesson 7](http://en.wikibooks.org/w/index.php?title=German/Das_Fest&action=edit&redlink=1)). If you are not sure of the gender (meaning in context, the speaker doesn't know, not that you've forgotten that it's 'der Cheeseburger'), use 'das', like in "Was ist das?" (What is that?).

## Money and Paying[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-24)]

Germany, Austria, Luxemburg, Belgium and Südtirol – in other words: all German speaking regions except Switzerland and Liechtenstein– have given up their former currencies and adopted the Euro as of 1999. One _Euro_ is worth 100 _Cents_. Because they are not members of the European Union, Switzerland and Liechtenstein have kept the Swiss Francs (_Franken_ = 100 _Rappen_).

'Euro' normally does not change in the plural in German, so you would still say "Ich habe 500 Euro." Nevertheless, there is an exception: Euro _coins_. If you say "Ich habe vier Euros.", you actually are saying that you have four 1-Euro coins. Because the backsides of euro coins look different in each country, many people in Europe have started collecting foreign euro coins. In this case you can say "Ich habe irische Euros." (I have Irish euro coins.) for example.

There is not yet a rule whether or not the word _"Cent"_ has a different plural form. The majority of Germans are using the word _"Cent"_ as a plural form, but when they don't it is simply _"Cents"_.

In German "euro" is pronounced [‘oi-ro], not [you-ro]. For "Cent" there are two pronunciations: you can either pronounce it as in English or you say "tzent". The latter version seems to be preferred by older people.

When at a restaurant, you will want to pay at the end. You can use this vocabulary to help you.

  * to pay - _zahlen_
  * the bill - _die Rechnung_*
  * the waiter - _der Kellner_, _die Bedienung (also_ der Ober_)**_
  * the waitress - _die Kellnerin_ (but **not** _die Oberin_ because this means _Reverend Mother_)
  * "How much is that?" - _"Was macht das?"_ ("What does that make?") or the "umgangssprachliche" _"Wie viel kostet das?"_

* To ask for the bill you can say, "Bitte zahlen!", or make it a complete sentence: "Ich würde gern zahlen!", or "Wir möchten/wollen zahlen!". You can also say, "(Herr Ober), die Rechnung bitte!". The term "der Ober" is the waiter, but this sounds very old fashioned and is hardly ever used today. To address the waiter you would probably say "Entschuldigen Sie, ..." ("Pardon, ...") as in "Entschuldigen Sie, wir würden gern zahlen" (Pardon me, we would like to pay").

** Although it is perfectly OK to say “Bedienung” or “Kellner” when talking about a waiter or a waitress, you should not address the waiter by saying "Bedienung!" or even “Fräulein!” which is regarded very impolite since the 1980s.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Test[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Essen&action=edit&section=T-25)]

The test will be located [here](http://en.wikibooks.org/w/index.php?title=German/Print_version/Test&action=edit&redlink=1), but the test for this lesson is not yet completed.

  


# Review 1.01[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=11)]

  


Review Section I.A: Lessons I.1 to I.3

* * *

## Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-1)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) What's your name? (1st Part) — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie heißt du? (1. Teil)  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/9/9c/German_Vocabulary_-_What%27s_your_name%3F_%281st_Part%29.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Hello!
Hallo!

I
ich

I am...
Ich bin ...

how
wie

you
du

Your name is...
Du heißt ...

What is your name?
Wie heißt du?

My name is...
Ich heiße ...

it
es

it goes
es geht

How is it going?
Wie geht's? (Longer: Wie geht es?)

me
mir

good
gut

I'm good.
Es geht mir gut. (Shorter: Mir geht's gut. Even shorter: Gut.)

you know
du kennst

Do you know...?
Kennst du ...?

teacher
Lehrer

yes
ja

he
er

His name is...
Er heißt ...

Mr.
Herr

oh
oh

thanks
danke

until
bis

then
dann

See you!
Bis dann!

on
auf

again
wieder

(to) see
sehen

Goodbye!
(Auf) Wiedersehen!

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Greetings — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Grüße  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/b/bb/German_Vocabulary_-_Greetings.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Hello!
Hallo!*

Servus! (used in eastern Austria, informal)

Moin! (used in northern Germany)

Good morning!
Moin Moin! (used in northern Germany)

Guten Morgen!*

Morgen! (shorter)

Good day!
Guten Tag!*

Tag! (used in Germany, shorter)

Good evening!
Guten Abend!*

Hello!
Grüß Gott! (used in southern Germany, Austria and South Tyrol)

Goodbye!
Auf Wiedersehen!*

Wiedersehen! (shorter)

Bye!
Tschüss!*

Ciao! (pronounced as in Italian)

Servus! (used in eastern Austria, informal)

See you later!
Bis später!*

See you!
Bis dann!*

Bis bald!*

See you soon!
Bis gleich!

Good night!
Gute Nacht!*

*You will need to know each expression with an asterisk (*) after it. The others, of course, would be useful to know if you are traveling to regions where they are used. (As you can see, the different German-speaking regions often have their own ways of saying hello and goodbye. However, you will not be required to know any of these less common phrases for any problems or tests.)

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Mr. & Ms. — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Herr und Frau  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/0/0e/German_Vocabulary_-_Mr._%26_Ms..ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Mr.
Herr

Mrs.
Frau

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) How are you? — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie geht's?  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/9/9b/German_Vocabulary_-_How_are_you%3F.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

How are you?
Wie geht's? (longer: Wie geht es?)*

great
prima

good
gut

very good
sehr gut

miserable
miserabel

bad
schlecht

not (so) good
nicht (so) gut

O.K.
ganz gut

all right
Es geht so. (Or shorter: Geht so.)

*The more formal form is _Wie geht es Ihnen?_

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) What's your name? (2nd Part) — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wie heißt du? (2. Teil)  


 

(missing file: [File:German Vocabulary - What's your name? (2nd Part).ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_What%27s_your_name%3F_\(2nd_Part\).ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Good morning.
Guten Morgen.

you (formal)
Sie

You are... (formal)
Sie sind ...

Are you...? (formal)
Sind Sie ...?

no
nein

late
spät

I am late.
Ich bin spät dran.

You're welcome.
Bitte.

also
auch

later
später

See you later.
Bis später.

Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Subject Pronouns — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Subjekt-Pronomina  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/6/61/German_Grammar_-_Subject_Pronouns.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I
ich

2nd person
you
du, Sie*

3rd person
he, she, it
er, sie, es

plural 1st person
we
wir

2nd person
you
ihr, Sie*

3rd person
they
sie

*_Sie_ is the formal (polite) version of _du_ and _ihr_.

Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Names — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Namen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/d/d7/German_Grammar_-_Names.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

My name is...
Ich heiße ...

His/Her/Its name is...
Er/Sie/Es heißt ...

Their names are...
Sie heißen ...

Our names are...
Wir heißen ...

Your name is...
Du heißt ...

Your names are...
Ihr heißt ...

What is your name?
Wie heißt du?*

What are your names?
Wie heißt ihr?*

*Remember, the formal way to ask someone's name is to ask _Wie heißen Sie?_

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) to be called — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) heißen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/f/fa/German_Verb_-_hei%C3%9Fen.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I am called
ich heiße

2nd person
you are called
du heißt

3rd person
he/she/it is called
er/sie/es heißt

plural 1st person
we are called
wir heißen

2nd person
you are called
ihr heißt

3rd person
they are called
sie heißen*

*The form of verbs for _you (polite)_ — _Sie_ is exactly the same as for the plural, 3rd person pronoun _they_ — _sie_.

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) to be — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) sein  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/3/37/German_Verb_-_sein.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I am
ich bin

2nd person
you are
du bist

3rd person
he/she/it is
er/sie/es ist

plural 1st person
we are
wir sind

2nd person
you are
ihr seid

3rd person
they are
sie sind*

*Don't forget that the form for _you (polite)_ — _Sie_ is the same as for the plural, 3rd person pronoun _they_ — _sie_.

Verb: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) to have — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) haben  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/a/a9/German_Verb_-_haben.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

singular 1st person
I have
ich habe

2nd person
you have
du hast

3rd person
he/she/it has
er/sie/es hat

plural 1st person
we have
wir haben

2nd person
you have
ihr habt

3rd person
they have
sie haben*

*This is also the form for _you (polite)_ — _Sie_.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Vocabulary — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wortschatz  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/7/73/German_Vocabulary_-_Vocabulary.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

the directory assistance
die Auskunft

I would like to have...
Ich hätte gern(e) ...

the phone number
die Telefonnummer

from Berne
aus Bern

How do you write this?
Wie schreibt man das?

please
bitte

(to) spell
buchstabieren

of course
natürlich

A as in Anton
A wie Anton

twice
zweimal

The number is...
Die Nummer lautet ...

Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The Alphabet — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Das Alphabet  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/4/4c/German_Grammar_-_The_Alphabet.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

Characters
Aa
Bb
Cc
Dd
Ee
Ff
Gg
Hh
Ii
Jj
Kk
Ll
Mm
Nn
Oo
Pp
Qq
Rr
Ss
Tt
Uu
Vv
Ww
Xx
Yy
Zz

Umlauts
Ää
Öö
SS ß
Üü

Examples
Ärger (anger)
Ökonom (economist)
Übermut (high spirits)

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Questions — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Fragen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/3/3b/German_Vocabulary_-_Questions.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

who?
wer?

what?
was?

where?
wo?

when?
wann?

why?
warum?

how?
wie?

Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The Definite Article in the Nominative Case — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Der bestimmte Artikel im Nominativ  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/d/de/German_Grammar_-_The_Definite_Article_in_the_Nominative_Case.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

German English

singular masculine
**der** Junge
the boy

feminine
**die** Frau
the woman

neuter
**das** Mädchen*
the girl

plural masculine
**die** Jungen
the boys

feminine
**die** Frauen
the women

neuter
**die** Mädchen
the girls

*Note that _Mädchen_ is neuter. (In fact, almost all words with the ending _-chen_ are neuter.)

  


Grammar: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The Indefinite Article in the Nominative Case — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Der unbestimmte Artikel im Nominativ  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/1/12/German_Grammar_-_The_Indefinite_Article_in_the_Nominative_Case.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

German English

singular masculine
**ein** Mann
a man

feminine
**eine** Frau
a woman

neuter
**ein** Mädchen*
a girl

*Note that _Mädchen_ is neuter.

## Wie heißt Du? (1. Teil)[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-2)]

### Hello and Goodbyes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-3)]

Can you remember the most common phrases for hellos and goodbyes in German?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Hellos_and_Goodbyes)

### Mr. and Mrs.[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-4)]

How do you say _Mr._ and _Mrs._ in German?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Mr._and_Mrs.)

### Replies to _Wie geht's?_[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-5)]

Do you remember how to reply to this question?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Replies_to_Wie_geht.27s.3F)

## Wie heißt du? (2. Teil)[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-6)]

### Sie and du[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-7)]

Do you remember when to use _Sie_ and when to use _du_?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F_\(2._Teil\)#Sie_and_du)

### Subject Pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-8)]

Do you remember what a subject pronoun is? Do you remember the German subject pronouns?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F_\(2._Teil\)#Subject_Pronouns)

### Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-9)]

Do you remember how to tell your or someone else's name?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F_\(2._Teil\)#Names)

### Important Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-10)]

Do you remember how to conjugate _heißen_, _sein_, and _haben_?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F_\(2._Teil\)#Important_Verbs)

## Bitte buchstabieren Sie[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-11)]

### The German Alphabet[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-12)]

Do you remember how to spell the German letters?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Bitte_buchstabieren_Sie#The_German_Alphabet)

### Forming Questions[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-13)]

Do you remember the word order in questions and the most common question words?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Bitte_buchstabieren_Sie#Forming_Questions)

### Articles[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_1&action=edit&section=T-14)]

Do you remember the definite and indefinite articles in German?

[Review](http://en.wikibooks.org/wiki/German/Level_I/Bitte_buchstabieren_Sie#Articles)

  


  


* * *

# **Section 1.02 ~ Berlin, Germany**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=12)]

# Lesson 1.04 - Kleidung[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=13)]

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Gedaechtniskirche-berlin.jpg/300px-Gedaechtniskirche-berlin.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Gedächtniskirche auf dem Kurfürstendamm, Berlin

Lesson I.7: Kleidung

* * *

## Hello from Berlin![[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-1)]

In every Lesson from 7 - 15 there is going to be a featured German-Speaking city, which will be the theme of the lesson. For 7 - 8 it is Berlin. There will be famous locations in Berlin, for this lesson it's Kurfürstendamm and KaDeWe, the shopping area of Berlin. Also in each lesson there will be facts, so if you ever travel to a German-Speaking country, it'll be like you are a native!

### Facts[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-2)]

#### It's Time to Change Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-3)]

Berlin's time is GMT+1. That means that they are 6 hours ahead of E.S.T. If it's 2:00pm in New York City, it's 8:00pm (or 20:00) locally. Please note that Germany changes to and from daylight-saving time a few weeks before the U.S., so time differences still vary in March and October.

#### Tip, Tip, and More Tip[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-4)]

In contrast to many other countries where waiters sometime 'live on the tips' in German-speaking countries service personnel always receive a regular wage (usually per hour) and the tip is always an extra for good service. Not to give a tip will probably give the waiter the impression that either service or product were not that good and you are too polite to admit this, but not tipping is not considered 'rude'. If you tip you usually round up, up to 50 Cents for coffee or up to the next 5 euros for lunch, e.g. 2,70 € becomes 3,00 € and 21 € become 25 €. Also, tipping is only expected when you get served, i.e. when the service personnel bring something to your table, so if you pay at a counter – like at McDonald's or StarBucks – you don't tip at all. Only when having a large party, like celebrating your birthday in a restaurant, you do extra tipping. For a night you should pay 30 EUR to 80 EUR per waiter and give it separately to the manager (“für die Bedienung”). In many restaurants it is normal the tip is shared with the kitchen personnel. Paying with credit card or debit card makes tipping difficult, because there is no line on the bill to fill in the tip. Always tip when paying, don't leave money on the table.

#### Shopping Locations[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-5)]

There are two major shopping locations. The _**Kurfürstendamm**_ in the old west is lined with boutiques and department stores. It continues eastwards for about three hundred yards where you can visit _**KaDeWe**_, the biggest department store in Europe. On the newly-developed _**Friedrichstraße**_ in the old east, the famous French store Galleries Lafayette is to be found together with a maze of underground shopping malls. Shops are generally open 9am-8pm Monday through Saturday. In the outskirts most shops close at 4pm on Saturdays.

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-6)]

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Going Shopping — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Einkaufen gehen  


 

(missing file: [File:German Dialogue - Going Shopping.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Dialogue_-_Going_Shopping.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

Sarah
Morgen, Lisa.

Lisa
Morgen. Wie geht's dir?

Sarah
Gut, danke! Ich gehe zum Kurfürstendamm, möchtest du mitkommen?

Lisa
Ja, gerne. Ich hole vorher noch Geld.

Sarah
Ich sehe dich dann am Kurfürstendamm.

_am Kurfürstendamm_

Sarah
Hallo Lisa!

Lisa
Hallo!

Sarah
Wohin gehen wir zuerst?

Lisa
Lass uns zu dieser Boutique gehen.

Sarah
O.K.

_in der Boutique_

Angestellter Thomas
Hallo meine Damen!

Sarah und Lisa
Guten Tag!

Angestellter Thomas
Darf ich Ihnen helfen?

Lisa
Ja, können Sie mir helfen, diesen Rock in meiner Größe zu finden?

Angestellter Thomas
Natürlich.

Angestellter Thomas
Hier ist der Rock in Ihrer Größe.

Lisa
Danke. Wo ist die Umkleidekabine?

Angestellter Thomas
Dort drüben.

## Shopping[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-7)]

There is a lot to say about shopping, places to shop at, money and items to buy. In this lesson we will cover most of it. There are two big shopping locations in Berlin. They are Kurfürstendamm and KaDeWe.

  


Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Shopping — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Einkaufen  


 

(missing file: [File:German Vocabulary - Shopping.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Shopping.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Babywear
die Babyartikel (plural)

Children's Wear
die Kinderbekleidung

(Children) department
die (Kinder-)Abteilung

Clearance Sale
der Räumungsverkauf

Closed
geschlossen

Clothing
die Kleidung

Computer Section
die Computerabteilung

Cosmetics
die Kosmetik (singular) die Kosmetika (plural)

Customer
der Kunde

Customer Service
der Kundendienst

Electrical Appliance
das Elektrogerät

Escalator
die Rolltreppe

Fashion
die Mode

Furniture
das Möbelstück (singular), die Möbel (plural)

Gift
der Geschenkartikel

Good Value (Adj.)
preiswert

Groceries
die Lebensmittel (plural)

Jewellery
der Schmuck (no plural)

Lady's Shoes
die Damenschuhe (plural)

Leather Goods
die Lederwaren (plural)

Open
geöffnet

Opening Hours
die Öffnungszeiten (plural)

Present
das Geschenk

Reduced
reduziert

price cut
die Preissenkung

Sales Receipt
der Kassenbon, der Kassenzettel, die Quittung

Souvenir
das Andenken

Special Offer
das Sonderangebot

Sporting Goods
die Sportartikel (plural)

Stationery
die Schreibwaren (plural)

Summer Sale
der Sommerschlussverkauf (abbr. SSV)

Video Store
die Videothek

Winter Sale
der Winterschlussverkauf (abbr. WSV)

### Kurfürstendamm[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-8)]

  * **Kurfürstendamm**

    _Tauentzienstraße_

    _Fasanenstraße_

The Kurfürstendamm has many boutiques, department stores, etc., which are on Tauentzienstraße and Fasanenstraße, two streets in Kurfürstendamm. Tauentzienstraße has a lot of the department stores, including KaDeWe, which we will get into greater detail later. Fasanenstraße has a lot of the boutiques.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) A Shopping Street in Berlin — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kurfürstendamm (Ku'damm)  


 

(missing file: [File:German Vocabulary - A Shopping Street in Berlin.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_A_Shopping_Street_in_Berlin.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Department Store
das Kaufhaus (old fashioned "das Warenhaus")

Retail Store
das Einzelhandelsgeschäft

The Mall
das Einkaufszentrum

Boutique
die Boutique

Store
das Geschäft

And some of the things you might say or ask while in a clothing store...

  * _Können Sie mir helfen, meine Größe zu finden (für dieses ____)?_

    Can you help me find my size (for this ____)?

  * _Wo ist die Umkleidekabine?_

    Where is the dressing room?

  


Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) A Shopping Street in Berlin — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kurfürstendamm (Ku'damm)  


 

(missing file: [File:German Vocabulary - A Shopping Street in Berlin.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_A_Shopping_Street_in_Berlin.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Manager
der Manager

Employee
der/die Angestellte

Sales Clerk
der Verkäufer

Cashier
der Kassierer

Dressing Room
die Umkleidekabine

Men's Section
die Männerabteilung

Women's Section
die Frauenabteilung

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

### KaDeWe[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-9)]

Another shopping location is das KaDeWe, an upscale department store in Germany. It has six floors, and Is also called "The department store of the west" (Kaufhaus des Westens) because it is the largest and most magnificent department store on continental Europe.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) A Department Store in Berlin — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kaufhaus des Westens (KaDeWe)  


 

(missing file: [File:German Vocabulary - A Department Store in Berlin.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_A_Department_Store_in_Berlin.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

First Floor Erstes Stockwerk

Menswear
Männerkleidung

Second Floor Zweiter Stock

Womenswear
Frauenkleidung

Third Floor Dritter Stock

Kids Section
Kinderabteilung

Fourth Floor Vierter Stock

Electronics
Elektronik

Kitchenware
Küchenbedarf

Fifth Floor Fünfter Stock

Lighting
Beleuchtung

Bedding
Bettwäsche

Toys
Spielwaren

Sixth Floor Sechster Stock

Food
Lebensmittel

Since we already have most of the general shopping phrases and vocabulary down, we are going to get into more detail in the next few sections.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

#### Electronics[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-10)]

First is electronics: it might seem a little sparse, but electronics and much other stuff will be featured in Lesson 12.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) A Department Store in Berlin — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kaufhaus des Westens (KaDeWe)  


 

(missing file: [File:German Vocabulary - A Department Store in Berlin.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_A_Department_Store_in_Berlin.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Electronics
die Elektronik

Television
das Fernsehen/der Fernseher, die Fernseher (plural)

Digital Camera
die Digitalkamera, die Digitalkameras

Telephone
das Telefon, die Telefone

Cell phone
das Mobiltelefon/das Handy (pronounced "Hendee"), die Mobiltelefone/Handys

Computer
der Computer/der Rechner, die Computer/Rechner

Speaker, Speakers
der Lautsprecher, die Lautsprecher

DVDs
die DVDs (singular: die DVD)

CDs
die CDs (singular: die CD)

DVD Player
der DVD-Player

CD Player
der CD-Player

_Spielt der DVD-Player auch CDs?_

    Does the DVD player also play CDs?

_Hat das Mobiltelefon/das Handy eine Digitalkamera?_

    Does the cell phone have a digital camera?

If you look at the word order of this sentence, you will see that you've already learned everything you need to make these sentences, and you, yourself can customize these sentences if you want.

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

#### Bedding[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-11)]

The bedding section is also quite bare, but that is because it will be discussed further in Lesson 12.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) A Department Store in Berlin — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kaufhaus des Westens (KaDeWe)  


 

(missing file: [File:German Vocabulary - A Department Store in Berlin.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_A_Department_Store_in_Berlin.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Bedding
die Bettwäsche

Blanket
die Decke, die Decken

Pillow
das Kopfkissen/das/der Polster (Austrian German), die Kopfkissen/Polster

Pillow Case
der Kopfkissenbezug, die Kopfkissenbezüge

Sheet
das Betttuch, die Betttücher

Bed Skirt
der Bett-Rock

And like always here are some of the things you might say that are related to bedding.

  * _Passen die Kopfkissenbezüge auf das Kopfkissen?_

    Does the pillow case fit the pillow?

And with that question there are other variations of it you can ask, like...

  * _Passt die Decke auf das Bett?_

    Does the blanket fit the bed?

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1)>>

## Money[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-12)]

Germany, Austria, Luxemburg, Belgium and Südtirol – in other words: all German speaking regions except Switzerland and Liechtenstein– have given up their former currencies and adopted the Euro as of 1999. Because they are not members of the European Union, Switzerland and Liechtenstein have kept the Swiss Francs. Currently 1 EUR is 1.34 USD.

Now if you were at a shopping center in German like Kurfürstendamm, and you were shopping at a boutique here is some vocabulary you might want to know.

  * _Was macht das?_

_Was kostet das?_

    How much does it cost?

  * _Das Hemd kostet 120 Euro._

    The shirt costs 120 euros.

  * _Das kostet 690 Euro._

    That costs 690 euros (all together).

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Money — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Geld  


 

(missing file: [File:German Vocabulary - Money.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Money.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Price
der Preis

Note
der Schein

Coin
die Münze

1 Euro coin
das Eurostück, das Ein-Euro-Stück

2 Euro coin
das Zweieurostück

5 Euro note
der Fünfeuroschein

10 Euro note
der Zehneuroschein

100 Euro note
der Hunderteuroschein

**Note:** The word coin (Münze) mostly turns to Stück when a word or number is put together with it.

Even though in the vocabulary we list the 1, 2, 5, 10, 100 Euro there are more Euro notes. The twenty, fifty, two hundred, and five hundred Euro notes are the ones we didn't list, also there are cent coins.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Money — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Geld  


 

(missing file: [File:German Vocabulary - Money.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Money.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

1 Cent Coin
das Centstück

2 Cent Coin
das Zweicentstück

5 Cent Coin
das Fünfcentstück

10 Cent Coin
das Zehncentstück

20 Cent Coin
das Zwanzigcentstück

50 Cent Coin
das Fünfzigcentstück

### German Math[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-13)]

In written German, a comma is used (e. g. in prices) where we would put a decimal point in English. Thus € 5,49 (or 5,49 €) means _five euros and fourty-nine cents_. When a price ends in a round number of euros, it is most commonly written as € 5,- etc. The reverse is also true. Where as English uses a comma to split up large numbers, German uses a dot. So "€ 6.945" means _**sechs tausend neunhundertfünfundvierzig**_ (six thousand nine hundred and forty-five) euros - not _six point nine four five euros._

## Clothing[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-14)]

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Clothes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kleidung  


 

(missing file: [File:German Vocabulary - Clothes.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Clothes.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Skirt
der Rock, die Röcke (plural)

Pullover
der Pullover, die Pullover

Sweatshirt
das Sweatshirt, die Sweatshirts

Scarf
der Schal, die Schale/Schals

Jacket
die Jacke, die Jacken

Coat
der Mantel, die Mäntel

Shirt
das Hemd, die Hemden

T-shirt
das T-Shirt, die T-Shirts

Sweater
der Sweater, die Sweater

(Neck)tie
die Krawatte, die Krawatten

Bowtie
die Fliege, die Fliegen

Suit
der Anzug, die Anzüge

Pants
die Hose, die Hosen (note: "die Hose IST"="the (pair of) pants ARE")

Underpants
die Unterhose, die Unterhosen

Boxershorts
die Boxershorts (plural)

Top
das Top

Bra
der Büstenhalter/der Busenhalter (abbr. BH), die Büstenhalter/Busenhalter

Swimming costume
der Badeanzug, die Badeanzüge

Trunks
die Badehose, die Badehosen

Hat
der Hut, die Hüte

Shoe
der Schuh, die Schuhe

Sock
die Socke, die Socken

Stocking
der Strumpf, die Strümpfe

Tights/Pantyhose
die Strumpfhose, die Strumpfhosen

Glove
der Handschuh, die Handschuhe

Blouse
die Bluse, die blusen

Cap
die Mütze, die Mützen

Woollen hat
die Wollmütze, die Wollmützen

  


Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Clothes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Kleidung  


 

(missing file: [File:German Vocabulary - Clothes.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Clothes.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Size
die Größe, die Größen

Color
die Farbe, die Farben

Cotton
die Baumwolle

Leather
das Leder

Rayon
die Kunstseide

  


Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Sizes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Die Größen  


 

(missing file: [File:German Vocabulary - Sizes.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Sizes.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Small
klein (abbr. S)

Medium
mittel (abbr. M)

Large
groß (abbr. L)

Extra-Large
extragroß (abbr. XL)

[Section Answers](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

### Describing Clothes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-15)]

Here are some of the words you can use when you are describing clothes:

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Adjectives for Clothes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Adjektive für Kleidung  


 

(missing file: [File:German Vocabulary - Adjectives for Clothes.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Adjectives_for_Clothes.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

Cheap
günstig, billig

Expensive
teuer

Pretty
schön

Ugly
hässlich

Soft
weich

New
neu

Broad
breit

Wide
weit

Tight
eng

Comfortable
bequem

Uncomfortable
unbequem

To say I like something or not, for clothing, it's...

I like it!

_Er/Sie/Es gefällt mir!_

I don't like it!

_Er/Sie/Es gefällt mir nicht!_

Now if you try something on or you're looking for a soft shirt with a tight fit, you find it, feel it, try it on, but it's fairly expensive you might say this...

**In English:** _The shirt looks great! The shirt feels soft, fits tight. The shirt is very comfortable. How much does it cost? Oh no! The shirt is expensive! 55 euros is a little too much for me._

**In German:** _Das Hemd sieht prima aus! Das Hemd fühlt sich weich an, es sitzt eng. Das Hemd ist sehr bequem. Wieviel kostet es? Oh nein! Das Hemd ist teuer! 55 Euro sind mir ein bisschen zuviel._

The phrases to describe the shirt were...

The shirt looks great.

_Das Hemd **sieht** prima **aus.**_

The shirt feels soft.

_Das Hemd **fühlt** sich weich **an**._

The shirt fits tight.

_Das Hemd **sitzt** eng._

Now, the bold words are verbs that are one part in describing how the shirt is. The other half of describing it is the adjectives like soft, tight, great, etc. And as you can see the verb "looks" is separable, but we will get into that later.

### Clothing-Related Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-16)]

And now getting into verbs - here are some of the verbs, and also some of these are Separable-Prefix Verbs, like aussehen, anprobieren, and anhaben. But we will study those in more detail later. Also we will be learning about "tragen".

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Verbs Related to Clothes — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Verben im Zusammenhang mit Kleidung  


 

(missing file: [File:German Vocabulary - Verbs Related to Clothes.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Verbs_Related_to_Clothes.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

English German

To look
aussehen

He looks
Er sieht aus

To try on
anprobieren

He tries on
Er probiert an

to put on
anziehen

He puts on
Er zieht an

To take
nehmen

To buy
kaufen

To have on/wear
anhaben, tragen

He has on/wears
Er hat an

## Separable Prefix Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-17)]

Many German verbs change their meaning by adding prefixs, which are often preposition such as **ab-, an-, auf-, aus-, bei-, ein-, mit-, vor-,** or **zu-**.The verbs _anhaben_ (to wear) and _aussehen_ (to look) are both verbs with **separable** (_**trennbar**_) prefixes. That is, when used next to the subject pronoun, the prefix is separated from the verb and put at the end of the sentence or clause. Or, better put, In the present tense and imperative, the prefix is separated from the infinitive stem.

Examples:

_"Ich habe einen Mantel an."_ ("I'm wearing a coat." Or, more literally translated, "I have a coat on.")

_"Was hast du an?"_ ("What are you wearing?" or "What do you have on?")

However, when the separable-prefix verb is put at the end of the sentence, such as when used with a modal verb, the verb in question and its prefix are not separated.

Examples:

_"Du willst einen Mantel anhaben."_ ("You want to wear a coat.")

_"Willst du eine Bluse anhaben?"_ ("Do you want to wear a blouse?")

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

## Tragen[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-18)]

Instead of _"anhaben"_ the verb _"tragen"_ is often used. The sentences from above would then be:

_"Ich trage einen Mantel."_ ("I'm wearing a coat." )  
_"Was trägst du?"_ ("What are you wearing?")  
_"Du willst einen Mantel tragen."_ ("You want to wear a coat.")  
_"Willst du eine Bluse tragen?"_ ("Do you want to wear a blouse?")

The verb _"tragen"_ has two meanings: "to wear" and "to carry". So if someone says _"Ich trage Schuhe"_ only the context will tell you whether the person is carrying the shoes in his hands or actually wearing them. Tragen is a different kind of irregular verb -- one that not only changes at the end of the word, but also changes internally. Notice that the vowel in tragen's second and third-person forms changes from an **a** into an **ä**. Other verbs with similar conjugation patterns include **fahren, graben, schaffen,** and **waschen.**

  


_Person_
_Singular_
_Plural_

**1st**
ich
_trage_
wir
_tragen_

**2nd**
du
_trägst_
ihr
_tragt_

**3rd**
er/sie/es
_trägt_
sie
_tragen_

## Colors[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Kleidung&action=edit&section=T-19)]

Color are also another great way to describe clothes like _Das rote Hemd passt gut._which means The red shirt fits well.

Read the following paragraph, try to find the words described to have a color.

_Wir fahren in den Schwarzwald. Ich habe ein grünes Hemd getragen. Die Reise war lang. Es begann kälter zu werden und abzukühlen. Ich hörte Musik auf meinem braunen iPod. Ich bin schließlich eingeschlafen. Als ich aufwachte, sah ich den blauen Himmel und den weißen Schnee._

If you found 5 words you are right.

**Schwarz which means black (the Schwarzwald (Black Forest) is a wooded mountain range)**

**Grünes Hemd which is a green shirt.**

**Brauner iPod which is a brown iPod.**

**Blauer Himmel which is blue sky.**

**And weißer Schnee which is white snow.**

And now for the actual colors...
    
    
    Red                "Rot"     
    Blue               "Blau"
    Green              "Grün"  
    Orange             "Orange"
    Violet             "Violett"
    Yellow             "Gelb"
    Brown              "Braun"
    Indigo             "Indigo"
    Gray               "Grau"
    Black              "Schwarz"
    White              "Weiß"
    

[Section Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

  


# Lesson 1.05 - Volk und Familie[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=14)]

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Brandenburger_Tor_Blaue_Stunde.jpg/300px-Brandenburger_Tor_Blaue_Stunde.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Brandenburg Gate in Berlin

Lesson I.8: Familie und Nationalität

* * *

## Hello from Berlin![[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-1)]

### Facts[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-2)]

* * *

#### Banks and Money[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-3)]

Germany's main banks are Deutsche Bank, Dresdner Bank and Commerzbank. There are many banks of all kinds throughout the country. Banks are open Mon-Fri 9am-12pm and 2:30-4pm. On Thursdays, they are open until 5:30 or 6pm. Changing money is best done at a bank because their rates will be better than exchange services located at a Bureau de Change. Major post office branches and travel agents also offer currency exchange. Germany is one of 15 European countries that have replaced their national currencies with the Euro, which is stronger to the U.S. Dollar, but weaker than the British Pound.

## Dialog[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-4)]

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Visiting Family — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Familie besuchen  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/a/af/German_Dialogue_-_Visiting_Family.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

_Vater, Mutter und die Geschwister bekommen Besuch von Oma und Opa_

Vater Karl
Hallo Mama, Hallo Papa! Wie geht es euch?

Opa Rudolf
Na mein Enkel, du bist ja richtig groß geworden!

Oma Lisa
Mir geht's gut. Ich gehe zum Kurfürstendamm. Möchtet ihr mit mir kommen?

Sohn Thomas
Ja, Opa, ich weiß.

Tochter Marie
Oma! Hast du uns etwas mitgebracht?

Mutter Bettina
Nun sei nicht so aufgeregt Marie, lass Oma und Opa erst einmal hereinkommen.

_kurze Zeit später, die Geschenke wurden schon ausgepackt..._

Tochter Marie
Mutti! Thomas nimmt mir immer meine Puppe weg.

Mutter Bettina
Thomas! Du sollst deiner Schwester nicht ihre Puppe wegnehmen.

Sohn Thomas
Nein, das ist meine Puppe.

Mutter Bettina
Nein. Die Puppe gehört deiner Schwester.

Sohn Thomas
Gut, hier hast du die Puppe...

Mutter Bettina
Und bedanke dich bei deinen Großeltern, Marie.

## People[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-5)]

### The Family[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-6)]

* * *

Home is where the heart is, they say. And what is in the home? Family! of course, so this is a very important section of the lesson. It'll give all vocabulary for the family, and later in a different section, you'll learn how to describe your brothers and sisters or any person! And now to get started lets do some vocabulary...

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The Family — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Die Familie  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/6/68/German_Vocabulary_-_The_Family.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Son
der Sohn, die Söhne (plural)

Daughter
die Tochter, die Töchter

Father
der Vater, die Väter

Mother
die Mutter, die Mütter

Dad
der Papa (informal), der Vati/der Papi (informal)

Mum
die Mama (informal), die Mutti/die Mami (informal)

Grandfather
der Großvater, die Großväter

Grandmother
die Großmutter, die Großmütter

Grandpa
der Opa, die Opas

Grandma
die Oma, die Omas

Sister
die Schwester, die Schwestern

Brother
der Bruder, die Brüder

Siblings
die Geschwister

Grandson
der Enkel/der Enkelsohn, die Enkelsöhne

Granddaughter
die Enkelin, die Enkelinnen

Wife
die Ehefrau, die Frau (informal), die Gattin (formal)

Husband
der Ehemann, der Mann (informal), der Gatte (formal)

Father-in-law
der Schwiegervater

Mother-in-law
die Schwiegermutter

Brother-in-law
der Schwager, die Schwagern

Sister-in-law
die Schwägerin, die Schwägerinnen

Son-in-law
der Schwiegersohn, die Schwiegersöhne

Daughter-in-law
die Schwiegertochter, die Schwiegertöchter

Uncle
der Onkel, die Onkel

Aunt
die Tante, die Tanten

Now even though many of these are common phrases you and I would say in everyday life, some of these are rather used when you are on a visit to grandmother's, or things your mother would say. Maybe you notice some of these in the dialogue. Now you might be asking "How am I going to speak fluent German, if I just learn phrases?" Like I said, these are basically from the dialogue, and you can study these to look at the word order. Also certain things are just different in German, like "Wie heißt du?" which translates literally to "How are you called?" when we use "What is your name?". Okay let's get started on these common phrases...

**Du bist ja richtig groß geworden.**

_You have grown up so much_ (usual sentence used by Opa und Oma)

  
**Hast du uns etwas mitgebracht?**

_Have you brought something for us?_

  
**Nun sei nicht so aufgeregt.**

_Now don't be so excited._

  
**Komm rein.**

_Come in._

  
**(Sie) Wurden schon ausgepackt.**

_(They) Have already been opened._

  
**(Sich) Bedanken für etwas.**

_To thank for something._

#### Using Formal and Informal Pronouns in the Family[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-7)]

Some very conservative families might still use **Sie** with grandparents or even parents! This is sometimes practiced in families of nobility or exterritorial cultural islands in which older German customs have survived. However, using "Sie" feels very outdated to the vast majority of people. In practically every family all members use **du** with each other.

### Describing People[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-8)]

* * *

I can't describe in words how important this section of the lesson is. Even though you have already learned to describe to some degree, here we will introduce a new aspect of describing, and we will review. But how could we describe if we didn't have vocabulary? Here it is...

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Describing People — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Leute beschreiben  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/d/d6/German_Vocabulary_-_Describing_People.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

Nice
nett, sympathisch

Mean
unfreundlich, gemein

Nasty
fies, gemein

Pretty
schön

Ugly
hässlich

Intelligent
intelligent

Unintelligent
unintelligent

Clever
schlau, klug, clever

Stupid
dumm/blöd/deppert (Austrian German)

Interesting
interessant

Boring
langweilig, fad (Austrian German)

Active
rührig, aktiv

Lazy
faul

Funny
komisch, witzig

Serious
ernst(haft)

Strong
stark, kräftig

Weak
schwach

Odd
eigenartig

Talented
begabt, talentiert

Untalented
unbegabt, untalentiert

Bossy
rechthaberisch

Passive
untätig

Old
alt

Young
jung

Fat
fett, dick

Skinny
dünn

Tall
groß

Short
klein

Evil
böse

The verb used most often for describing is "_to be_" which we learned in the first lesson. Some examples are: _He **is** wet, This **is** stupid, I **am** lazy_. But you do use other verbs like feel, look, etc. This lesson we will be sticking mostly with the verbs we've learned in the past. We will, however, learn one new verb. All sentences we will create will be in the nominative case. Okay, let's get started!

In term of beauty, you can say four basic things. These aren't the all but these are the easiest and simplest ones.

  
**She is beautiful.**

_Sie ist schön._

  
**He is ugly.**

_Er ist hässlich._

  
These two use the verb _to be_, and the next one will use the verb _to look_ which would need something else in order to make sense.

**She looks beautiful, but that shirt is ugly.**

_Sie sieht schön aus, aber dieses Hemd ist hässlich._

  
**He looks ugly, but he looked handsome yesterday.**

_Er sieht hässlich aus, aber gestern sah er schön aus._

  
And in the last sentence it says "ausgesehen." Don't worry about that--it wouldn't be taught until Level 3. So since you get the idea of describing, let's learn a new verb! And the new verb is **klingen** which is _to sound_. As in "He sounds weird.", "She sounds boring." Since we know how to describe, we really don't have to cover it. It's works just like other verbs.

**He sounds nice.**

_Er klingt nett._

  
**They sound funny.**

_Sie klingen komisch._

  
Remember that when describing it's S+V+A, or subject, verb, then adjective. Exactly like in English. For right now, that's all for describing things. We are going to have some small describing lessons with some parts of this lesson.

### Related Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-9)]

Okay we just went over the verb in the previous section. This will basically be a list that will help you memorize them better, and there is not a lot. Other than "**klingen**" and "**fühlen**" you should know all of these. The "Er sieht aus" is to show you it is a separable-prefix verb.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Verbs — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Verben  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/0/0a/German_Vocabulary_-_Verbs.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

To be
sein

To look
aussehen, ausschauen (Austrian German)

He looks
Er sieht aus

To feel
(sich) fühlen

To sound
klingen

### Nationality[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-10)]

* * *

This is also a large section of this lesson: nationality, and it's very important. There are many nationalities, too many to go over in this lesson, but you will learn more nationality as this level and book goes on. Right now we are just going to have a vague little list, and as this section goes on there will be more. Finally, gentlemen, get ready to have your minds blown...

  


#### Some Nationalities[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-11)]

This is the small list, make sure you memorize this list and the next one.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Nationalities — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Nationalitäten  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/f/f7/German_Vocabulary_-_Nationalities.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

English German

German(s)
(masculine) der Deutsche, (m. plural) die Deutschen; (feminine) die Deutsche, (f. plural) die Deutschen

American(s)
der Amerikaner, die Amerikaner; die Amerikanerin, die Amerikanerinnen

Englishman
der Engländer, die Engländer; die Engländerin, die Engländerinnen

Spaniard(s)
der Spanier, die Spanier; die Spanierin, die Spanierinnen

Italian(s)
der Italiener, die Italiener; die Italienerin, die Italienerinnen

Frenchman
der Franzose, die Franzosen; die Französin, die Französinnen

#### Describing People with Nationality[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-12)]

It is no surprise you can describe people with nationality, most times, it's stereotypical, like Norwegians are blonde, tall, etc. or Germans wear lederhosen, drink beer, and play polka all day long, but that is just not true. However you can just use it for what it is, a nationality. If you do describe people by nationality this will help. Okay, you should already know how to describe, right?

This part we will get more in to detail later, but right it is an important part of describing people with nationality, even though in English we most times don't do this, in German they do. The difference between nationality and language, like in English, **French** _and_ **French**. But in German it is **französisch** _and_ **Franzose, Französin**. This also is how it works for nationality describing by noun or adjective, which we are going to learn right now.

##### Noun or Adjective Nationality[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-13)]

There are two ways to describe someone. With a noun-based nationality word or an adjective-based nationality word. But note that in German the noun-based form is used more often.

_Example:_ _Ich bin **Schwede**_ (I am Swedish) and _Ich bin **schwedisch**_ (I am Swedish)

_Example:_ _Ich bin **Franzose**_ (I am French) and _Ich bin **französisch**_ (I am French)

#### More Nationalities[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-14)]

A longer list of nationalities found in and around Germany:

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) More Nationalities — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Mehr Nationalitäten  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikibooks/en/2/2b/German_Vocabulary_-_More_Nationalities.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

African (m.) Afrikaner (-); (f.) Afrikanerin (-nen)

Albanian Albaner (-); Albanerin (-nen)

Austrian Österreicher (-); Österreicherin (-nen)

Czech Tscheche (-n); Tschechin (-nen)

Chinese Chinese (-n); Chinesin (-nen)

Dane Däne (-n); Dänin (-nen)

Dutchman/woman Holländer (-); Holländerin (-nen)

Estonian Este (-n); Estin (-nen)

Finnish Finne (-n); Finnin (-nen)

Greek Grieche (-n); Griechin (-nen)

Hungarian Ungar (-n); Ungarin (nen)

Irish Ire (-n); Irin (-nen)

Indian Inder (-); Inderin (-nen)

Japanese Japaner (-); Japanerin (-nen)

Korean Koreaner (-); Koreanerin (-nen)

Latvian Lette (-n); Lettin (-nen)

Lithuanian Litauer (-); Litauerin (-nen)

Norwegian Norweger (-); Norwegerin (-nen)

Polish Pole (-n); Polin (-nen)

Romanian Rumäne (-n); Rumänin (-nen)

Russian Russe (-n); Russin (-nen)

Serbian Serbe (-n); Serbin (-nen)

Slovakian Slovake (-n); Slovakin (-nen)

Swede Schwede (-n); Schwedin (-nen)

Swiss Schweizer (-); Schweizerin (-nen)

Turkish Türke (-n); Türkin (-nen)

Ukrainian Ukrainer (-); Ukrainerin (-nen)

### Age[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-15)]

* * *

Now we are all familiar with the word "_**alt'**_", which means _old_. And in English, to find out somebody's age we ask "_How old are you?_". In German it is exactly the same. The "_alt_" kind of belongs to the interrogative adverb, so in both German and English it may be in front of the verb:

**Wie alt bist du?**

_How old are you?_

  
Now to ask the question with 1st person it is...

**Wie alt bin ich?**

_How old am I?_

  
And as response you might get...

**Ich bin __ Jahre alt.**

_I am __ years old._

  
**Du bist __ Jahre alt**.

_You are __ years old._

  
And now the plural version of the 1st person...

**Wie alt sind wir?**

_How old are we?_

  
The responses you will get is...

**Wir sind __ Jahre alt.**

_We are __ years old._

  
**Ihr seid __ Jahre alt.**

_You all are __ years old._

  
To ask this important question in the 2nd person. First, we will learn the biggest question here, "_How old are you?_" which is...

**Wie alt bist du?**

_How old are you?_

  
And there is only one response to this it is...

**Ich bin __ Jahre alt.**

_I am __ years old._

  
For the equally important plural 2nd person...

**Wie alt seid ihr?**

_How old are you all?_

  
Which the response is...

**Wir sind __ Jahre alt.**

_We are __ years old._

  
And formal question, for both singular and plural is...

**Wie alt sind Sie?**

_How old are you?_

_How old are you all?_

  
You should all ready get the pattern for this, but we are going to keep on doing this list, if you aren't sure of something or you are confused. So for the 3rd person...

**Wie alt ist er/sie?**

_How old is he/she?_

  
The responses to this are...

**Er ist __ Jahre alt.**

_He is __ years old._

  
**Sie ist __ Jahre alt.**

_She is __ years old._

  
And now the plural 3rd person of question and response...

**Wie alt sind sie?**

_How old are they?_

  
And of course the response...

**Sie sind __ Jahre alt.**

_They __ years old._

  
Now with some people you might be able to guess their age, and you could ask them directly about it. This is usually pretty of rude, but it illustrates nicely how the phrase has to be changed if you ask a yes-no-question, so let's get started, anyway!

  
**Bist du __ Jahre alt?**

_Are you __ years old?_

  
**Ist er/sie __ Jahre alt?**

_Is he/she __ years old?_

  
**Sind sie __ Jahre alt?**

_Are they __ years old?_

  


Note the inversed order between "Wie alt bist du?" und "Bist du __ Jahre alt?" This is exactly the same as in English!

## Possessives[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-16)]

Person
**Singular**
**Plural**

_English_
_German_
_English_
_German_

1st
my
_mein_
our
_unser_

2nd
your
_dein, Ihr_
your
_euer, Ihr_

3rd
his, her, its
_sein, ihr, sein_
their
_ihr_

**Note**: 'Euer' is irregular. When 'euer' has to have a different ending the **e** before **r** is dropped, so it turns into 'eur-'.

### Gender, Case, and Endings[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-17)]

## Expressing Favorites[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Volk_und_Familie&action=edit&section=T-18)]

[Problems](http://en.wikibooks.org/w/index.php?title=German/Print_version/Problems&action=edit&redlink=1) >>

  


# Lesson 1.06 - Schule[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=15)]

  


Lesson I.9: Schule

* * *

## Hello from Berlin![[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-1)]

### School in Germany[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-2)]

  * School is not regulated nationwide, but by each Land
  * German "Kindergarten" is optional - it translates rather to "play school", "Vorschule" being roughly the equivalent to "Kindergarten"
  * From the age of six on, all Germans attend a "Grundschule" (elementary school) for four or six years, depending on the Land.
  * After that, they go to either 
    * the "Hauptschule" which is industrially oriented,
    * the "Realschule", which is skill oriented,
    * the "Gymnasium", which is academically oriented,
    * or the "Gesamtschule", or comprehensive school.
  * Schooling is obligatory until the age of 16, but the Gymnasium diploma "Abitur" can only be obtained after 12 or 13 years, i.e. at age 18 or 19.
  * Latin and sometimes even ancient Greek are regularly taught at the Gymnasium. For the "Abitur", at least two foreign languages as well as some calculus and analysis classes have to be taken.
  * School days often are from 8:00-13:00. In most 'Länder', only the older students have additional classes between about 14:00-15:30 (i.e. 8AM - 1PM and 2PM - 3:30PM)
  * In most schools, Extracurricular Activities are offered, such as Drama Club or School Choir, but they are less common than in the U.S. Though many students feel some sort of identification with their school, most are just happy when they can go home.
  * Generally speaking, many schools still are more formal than US or Canadian schools.
  * The marking system uses 
    * 1 (very good, 87,5% or 96%),
    * 2 (good 75% or 85%), **
    * 3 (satisfactory, 62,5% or 65%),
    * 4 (sufficient 50% or 45%).
    * 5 (faulty) is failed or 25%.
    * 6 (not sufficient) is only used when the student literally hands in a blank sheet or failed.
  * These marks can be modified with a "+" or a "-" to indicate a tendency, so e.g. 2+ is a fairly good mark that corresponds to about 80%.

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-3)]
    
    
    Silke: Jetzt haben wir Mathe.
    Torsten: Oh nein, ich habe überhaupt keine Lust dazu.
    Silke: Hast du die Aufgaben gemacht?
    Torsten: Ja, im Bus.
    Silke: Super! Kann ich sie abschreiben?
    
    
    
    Lehrer (Betritt den Raum): Guten Morgen!
    Klasse: Guten Morgen!
    
    
    
    Lehrer: Wer möchte die Aufgaben an der Tafel rechnen? Florian?
    Florian geht zur Tafel, schreibt an und liest vor: 
       "5 plus 8 ist gleich 13"
       "8 minus 5 ist gleich 3"
       "3 mal 8 ist gleich 24"
       "24 geteilt durch 12 ist gleich 2"
    Lehrer: Sehr gut, Florian!
    
    
    
    Die Glocke läutet. Es ist Fünfminutenpause.
    Silke: Schnell, wir müssen zu Musik!
    Torsten: Au ja, darauf freue ich mich schon.
    Silke: Was machen wir heute?
    Torsten: Wir wollen ein Lied von Grönemeyer singen!
    Silke: Welches denn?
    Torsten: "Alkohol", glaube ich.
    
    
    
    Nach dem Musikunterricht:
    Silke: Jetzt haben wir nur noch Geschichte...
    Torsten: Komm, wir schwänzen und gehen ins Bistro.
    Silke: Schon wieder!
    

## Und Satz für Satz ...[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-4)]
    
    
    Oh nein, ich habe überhaupt keine Lust dazu.
    

"Lust (zu etwas) haben" means "feeling like (it)". "Ich habe keine Lust (dazu)" is "I don't feel like (it)". "Ich habe _überhaupt_ keine Lust" emphasizes it, meaning "I don't feel like it at all."
    
    
    Hast du die Aufgaben gemacht?
    Have you the tasks done?
    

"Did you do your homework?"
    
    
    Ja, im Bus.
    Yes, in the bus.
    

This is a common practice of students everywhere in the world, I guess...

Notice the contraction of "im", which is derived from "in dem", "in the".
    
    
    Super! Kann ich sie noch schnell abschreiben?
    Super! Can I just quickly copy them?
    

"Super", "Cool", "Toll", are common exclamations ... "Noch schnell" is here meant as "while there is still time"

  

    
    
    Lehrer (Betritt den Raum): Guten Morgen!
    Teacher (enters the room): Good Morning!
    
    Klasse: Guten Morgen!
    Class: Good Morning!
    
    Wer möchte die Aufgaben an der Tafel rechnen? Florian?
    Who would like the tasks on the blackboard calculate? 
    

"Who would like to do these questions on the blackboard?" Note that "Tafel" is related to "table", meaning a flat surface, and indeed German "Tafel" can also designate a table prepared for a feast.

Don't let the weird order of the words disturb you, even if the phrase seems totally incomprehensible at first. I'll try to construct this bit by bit:

This is the basic question and answer pair:
    
    
    "Wer rechnet?" - "Ich rechne."
    "Who calculates?" - "I calculate."
    

To ask, if you want to do something, you use a construction similar to English:
    
    
    "Wer will rechnen" - "Ich will rechnen."
    "Who wants to calculate" - "I want to calculate."
    

Note that the "to" is already included in the German word "rechnen". "Rechnen" is clearly already an infinitive, and doesn't need a "zu" to prove it. This is one of the main reasons why complicated conjugations can survive, they contain information that doesn't have to be expressed otherwise then...

To be a little more polite (or at least seem like it, since our teacher probably wouldn't take a no for an answer)
    
    
    "Wer möchte rechnen?" - "Ich möchte rechnen!"
    "Who would like to calculate?" - "I would like to calculate"
    

This is another example for brevity by conjugation. The word "möchte" contains the "would", as it is a "Konjunktiv"-form of the word "mögen" which translates to "like". Don't be discouraged, many Germans don't realize this, and many don't use the Konjunktiv correctly, if ever. However, "ich möchte"-phrases are extremely popular, so just use them, even if you didn't understand yet a word of the explanation above ;-)

Let's introduce objects in our phrase:
    
    
    "Wer rechnet die Aufgabe?" - "Ich rechne die Aufgabe"
    "Who calculates the task?" - "I calculate the task", meaning "Who answers the question"
    

This is a direct object, "Aufgabe" is in the accusative case. Because this is a feminine noun, this is not so obvious, but the structure is the same as in:
    
    
    "Wer sieht den Mann?" - "Ich sehe den Mann."
    "Who sees the man?" - "I see the man."
    

Now, we also have an adverbial expression of the place. This is an expression that defines the verb, thus ad-verbial.
    
    
    "Wer rechnet an der Tafel?" - "Ich rechne an der Tafel"
    "Who calculates on the blackboard?" - "I calculate on the blackboard"
    

Now let's put all this together:
    
    
    "Wer rechnet die Aufgabe an der Tafel?" - "Ich rechne die Aufgabe an der Tafel."
    "Who calculates the task on the blackboard?" - "I calculate the task on the blackboard"
    

Note that the order expressions is widely interchangeable. You can emphasize something by putting it closer to the end of the question.

And now for the whole phrase in all its glory:
    
    
    "Wer | möchte | die Aufgabe | an der Tafel | rechnen?" - "Ich | möchte | die Aufgabe | an der Tafel | rechnen."
    "Who | would like | the task | on the blackboard | calculate?" - "I | would like | the task | on the blackboard | calculate."
    

It wasn't THAT bad, was it?

  

    
    
    Florian geht zur Tafel, schreibt an und liest vor: 
    Florian goes to the blackboard, writes on and reads out:
    

"Florian goes to the blackboard, writes down and reads out aloud"

"zur" is another contraction, this time of "zu" and "der". Note that after "zu" follows the dative case, so "der" is not the masculine but the feminine article.

"anschreiben" splits to "schreibt an", and means literally "writing on". It is often used when writing legibly on a large, visible surface such as blackboard or a flipchart.

"vorlesen" splits to "liest vor" and translates to "read aloud".
    
    
       "5 plus 8 ist gleich 13"
       "8 minus 5 ist gleich 3"
       "3 mal 8 ist 24"
       "24 geteilt durch 12 gleich 2"
    

So, as you might have guessed, plus and minus are the same as in English - they are just pronounced German. The verbs "addieren" and "subtrahieren" are probably not difficult either... "Ist gleich" or short "gleich" or just "ist" corresponds obviously to "is equal to" or "equals".

"mal" means "times". This is also used in every day phrases, such as "100mal habe ich dir gesagt ..." "I told you a 100 times ..." The corresponding verb is "malnehmen" or "multiplizieren"

"geteilt durch" is literally "divided by", and the verb is "teilen" or "dividieren".

Lehrer: Sehr gut, Florian! Very good, Florian!

Now, that was easy!

  


  

    
    
    Die Glocke läutet. Es ist Fünfminutenpause.
    The bell rings. It is five-minute-break
    

Between single classes, there is usually a break of five minutes to allow teachers and students to go from one classroom to another. In most schools, classes such as German, English, History, Philosophy are taught in the classroom. Classes that use special equipment, such as all sciences, music and arts and of course computers and sport are being taught in a specialized lab classes. Roughly every second break is 15 minutes long, and if there are lessons in the afternoon, there's often a break of 45 to 60 minutes for lunch.
    
    
    Schnell, wir müssen zu Musik!
    Quick, we must to music!
    

This sentence sounds strange. This is, because in everyday German, sometimes the verb _gehen_ can be left out, if it is clear what is meant. In this case, the complete phrase would have to be "Wir müssen zu Musik _gehen_". But since Torsten will not think Silke is going to fly there, there will be no misunderstanding. Additionally, the word "class", or "course" is missing, which is the usual way of students to talk about their subjects.

Note: In English, the phrase might be "We _have to_ go to the music room" instead of _must_. The German translation "Wir haben in den Musikraum zu gehen" would be understood, but is quite formal. Additionally, there is a connotation that the speaker distances himself from the order he is being given.
    
    
    Au ja, darauf freue ich mich schon!
    Oh yes, to this look forward I myself already!
    

Whew, what was that?

Let's start at the beginning. "Au ja" ist an exclamation meaning "cool", "that's great". It has nothing to do with the German equivalent of "ouch!", which is "au(a)!"

"Sich freuen" means "being happy". It is _reflexive_ such as in "I help myself", because the subject and the object are the same. Some phrases simply are constructed like this, even if there seems to be no real reason to this, and many languages know this phenomenon. The "sich" here is technically the accusative of "he, she, it" and is being changed depending on the person:
    
    
    ich freue mich                 I am happy
    du freust dich                 you are happy
    er, sie, es freut sich         he, she, it is happy
    wir freuen uns                 we are happy
    ihr freut euch                 you are happy
    Sie/sie freuen sich            they are happy
    

Note that "to be happy" actually would be rather translated by "glücklich sein", but it is the closest English equivalent to "sich freuen".

"Sich _über etwas_ freuen" means "to be happy _about something_". This is kind of self-explanatory. But "sich _auf etwas_ freuen", literally "to be happy _on something_" means "to look forward to". This is a common phrase that uses the _on_ in the same wide sense as in "_on_ drugs", or "living _on_ something" - there is no spatial relation here...

In "darauf" you recognize the "auf". The "da" is a demonstrative prounoun such as in "_that_ place". "Darauf" actually is another contraction which developped a long time ago from "da-herauf". The "darauf" is referencing the word "Musik" from Silke's sentence.

So "Au ja, darauf freue ich mich schon" or "to-this look-forward I myself already" just means "Great, I'm already looking forward to that"

Maybe it comforts you a little that the English phrase in a word-by-word translation to German would be just as unintelligible...
    
    
    Was machen wir heute?
    What make we today?
    

"What we (are going to) do today?" Note again, that "machen" often does not translate to "make", but to "do"!
    
    
    Wir wollen ein Lied von Grönemeyer singen!
    We want a song of Grönemeyer sing!
    

"We want to sing a song by Grönemeyer!"
    
    
    Welches denn?
    Which then?
    
    
    
    "Alkohol", glaube ich...
    "Alcohol", believe I...
    

Note that adding a "glaube ich" is another common phrase, exacly as "I think" or "I believe" can be added to an English phrase. (Never mind the word order, this is because Alcohol _is_ the object, so the verb is at the second position in the text)

[Herbert Grönemeyer](http://en.wikipedia.org/wiki/Herbert_Gr%C3%B6nemeyer) is a very popular German rock singer from the Ruhr region. His most famous songs include "Männer", "Bochum" (a city in the Ruhr region), "Mensch" and also "Alkohol".

  

    
    
    Nach dem Musikunterricht:
    After the music class:
    

"Unterricht" comes from "unterrichten" "to teach", and means simply "class". Better not think about "under" and "right" here, which you might have correctly recognized as the word's components "richten" literally means "to correct".
    
    
    Jetzt haben wir nur noch Geschichte...
    Now have we only still history...
    

"Now we have only history left"
    
    
    Komm, wir schwänzen und gehen ins Bistro.
    Come, we skip and go in the bistro.
    

"Come on, let's skip class and go to the bistro instead". As in English, "Komm" can be used to motivate others.

There is yet another contraction here "ins" is derived from "in das", meaning "in the". "das" is the neutral article in accusative case here.
    
    
    Schon wieder!
    Already again!
    

## Aufgabe[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-5)]

  * Make a list of all the contractions used in this chapter. Can you determine the full tables?

  


## School[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-6)]

### Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-7)]

* * *

#### School-Related Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-8)]

* * *
    
    
    Lesen                                                 To Read
    Schreiben                                             To Write
    Rechnen                                               To Calculate (doing maths)
    Studieren                                             To Study
    Lernen                                                To Learn
    Zeichnen                                              To Draw
    Malen                                                 To Paint
    

#### School Subjects[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-9)]

* * *
    
    
    Deutsch                                               German
    Englisch                                              English
    Russisch                                              Russian
    Französisch                                           French
    Latein                                                Latin
    Mathe                                                 Maths
    Mathematik                                            Mathematics
    Sport                                                 PE or Gym
    Kunst, Zeichnen                                       Arts
    Musik                                                 Music
    Werken                                                Crafts
    Sachkunde, Sachunterricht                             Science Lesson in Elementary School
    Geschichte                                            History
    Erdkunde                                              Geography
    Politik                                               Politics
    Biologie                                              Biology
    Geografie                                             Geography
    Religion                                              RE or Religion
    Ethik                                                 Ethics
    Chemie                                                Chemistry
    Physik                                                Physics
    Informatik                                            Computer Science
    Elektronische Datenverarbeitung                       Computer Science
    

#### School Supplies and Ect.[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Schule&action=edit&section=T-10)]

* * *
    
    
    der Radiergummi                                       Eraser/Rubber
    der Bleistift                                         Pencil
    der Stift, der Kugelschreiber                         Pen
    der Füller, der Füllfederhalter                       Fountain pen
    das Fach                                              Subject
    die Klasse                                            Class
    der Lehrer                                            Teacher (male)
    die Lehrerin                                          Teacher (female)
    die Schule                                            School
    der Schüler                                           Pupil
    der Student                                           Student (College/University)
    die Stunde/Schulstunde                                school hours
    die Pause                                             Break
    die Schultasche                                       Backpack
    

  


# Review 1.02[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=16)]

  


Review Section I.B: Lessons I.4 to I.6

* * *

## Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-1)]
    
    
    I             ich
    We            wir
    You           du
                  Sie (formal) 
    You All       ihr
                  Sie (formal)
    He            er
    She           sie
    It            es
    They          sie
    
    Have          habe (1st Person, Singular, _ich_)
                  hast (2nd Person, Singular, informal, _du_)
                  haben (1st & 3rd Person, Plural, _wir_, _sie_; 2nd Person, singular & plural, formal, _Sie_)
                  habt (2nd Person, Plural, informal, _ihr_)
    Has           hat (3rd Person, singular, _er_, _sie_, _es_
    
    Am            bin (1st person, Singular)
    Are           bist (2nd Person, Singular, informal)
                  sind (1st & 3rd Person, Plural; 2nd Person, sing. & plur., formal)
                  seid (2nd Person, Plural, informal)
    Is            ist
    
    Hello!        Hallo!
                  Servus! (used in Bavaria and Austria)
                  Moin! or Moin Moin! (used in northern Germany)                    
                  Grüezi! (used in Switzerland)
    Good morning! Guten Morgen! or Morgen!
    Good day!     Guten Tag! or Tag!
    Good evening! Guten Abend! or N'Abend!
                  Grüß Gott! (used in southern Germany, Austria and South Tyrol)
    Goodbye!      Auf Wiedersehen! or Wiedersehen 
    Bye!          Tschüss! or Tschau! _(Ciao from Italy)_
                  Servus! (used in Bavaria, Austria)
    Later!        Bis später! or Bis dann!
    Good night!   Gute Nacht!
    
    Good          Gut
    Super!        Spitze!
    Great!        Prima!
    Very good!    Sehr gut!
    Bad           Schlecht
    Miserable     Miserabel
    
    Who           Wer
    What          Was
    Where         Wo
    When          Wann
    Why           Warum
    How           Wie
      
    Boy           Der Junge
    Girl          Das Mädchen
    Man           Der Herr
    Woman         Die Frau
    Boys          Die Jungen
    Girls         Die Mädchen
    Men           Die Männer
    Women         Die Frauen
    
    Sport(s)      Sport
    Interests     Hobbys
    Soccer        Fußball
    USA Football  Football
    Volleyball    Volleyball
    Basketball    Basketball
    Tennis        Tennis
    Baseball      Baseball
    9-pin Bowling Kegeln
    Chess         Schach
    Board Game    Das Brettspiel
    Game          Das Spiel
    Homework      Hausaufgaben
    Television    Fernsehen
    Movie         Der Film, Filme
    And           und
    But           aber
    Or            oder
    
    To Have       haben
    To Be         sein
    To Be Called  heißen
    To Play       spielen
    To Do/Make    machen
    To Read       lesen
    To Watch      schauen
    To See        sehen
    To Work       arbeiten
    To Write      schreiben
    To Swim       schwimmen
    
    One           Eins
    Two           Zwei
    Three         Drei
    Four          Vier
    Five          Fünf
    Six           Sechs
    Seven         Sieben
    Eight         Acht 
    Nine          Neun
    Ten           Zehn
    Eleven        Elf
    Twelve        Zwölf
    Thirteen      Dreizehn
    Fourteen      Vierzehn
    Fifteen       Fünfzehn
    Sixteen       Sechzehn
    Seventeen     Siebzehn
    Eighteen      Achtzehn
    Nineteen      Neunzehn
    Twenty        Zwanzig
    Thirty        Dreißig
    Forty         Vierzig
    Fifty         Fünfzig
    Sixty         Sechzig
    Seventy       Siebzig
    Eighty        Achtzig
    Ninety        Neunzig
    Hundred       Hundert
    Thousand      Tausend
    
    Noon           Mittag
    Midnight       Mitternacht
    After          Nach
    Till           Vor
    Quarter        Viertel
    Half Before    Halb
    Quarter Before Dreiviertel (used in eastern Germany)
    
    Day           Tag
    Today         Heute
    Tomorrow      Morgen
    Yesterday     Gestern
    Early Morning Morgen (use morgen früh for tomorrow morning)
    Morning       Vormittag
    Afternoon     Nachmittag
    Evening       Abend
    Night         Nacht
    
    Monday        Montag
    Tuesday       Dienstag
    Wednesday     Mittwoch
    Thursday      Donnerstag
    Friday        Freitag
    Saturday      Samstag or Sonnabend
    Sunday        Sonntag
    January       Januar 
                  Jänner (used in Austria)
    February      Februar
    March         März
    April         April
    May           Mai
    June          Juni 
                  Juno (in spoken word only)
    July          Juli 
                  Julei (in spoken word only)
    August        August
    September     September
    October       Oktober
    November      November
    December      Dezember
    Spring        Frühling
    Summer        Sommer
    Autumn        Herbst
    Winter        Winter
    
    Time          Die Zeit
    Free Time     Die Freizeit
    Always        immer
    Often         oft
    Sometimes     manchmal
    Seldom        selten
    Never         nie
    Only          nur
    
    Me            mich
    Us            uns
    You           dich
    You (formal)  Sie
    You All       euch
    Him           ihn
    Her           sie
    It            es
    Them          sie
    
    Appetizers    Vorspeisen
    Salad         Der Salat
    Bread         Das Brot
    Breadstick    Die Scheibe Brot
    Main Dishes   Hauptgerichte
    Sausage       Die Wurst
    Sausages      Die Würste
    Bratwurst     Die Bratwurst
    Hot Dog       Das Hot Dog
    Pizza         Die Pizza
    Pizzas        Die Pizzen
    Hamburger     Der Hamburger
    Hamburgers    Die Hamburger
    With          mit (ignore article)
    Without       ohne (ignore article)
    Tomatoes      Die Tomaten
    Lettuce       Der Salat
    Cheese        Der Käse
    Pickles       Die Gewürzgurken
    Onions        Die Zwiebeln
    Ketchup       Der Ketchup
    Mustard       Der Senf
    Chicken       Das Hähnchen
    Chickens      Die Hähnchen
    Seafood       Die Meeresfrüchte (plural)
    Fish          Der Fisch 
    Sides         Die Beilage (singular), die Beilagen (plural)
    Soup          Die Suppe
    Soups         Die Suppen
    Noodle Soup   Die Nudelsuppe
    French Fries  Die Pommes frites (plural)
    Fries         Die Fritten (Informal and plural)
    Pasta         Die Pasta or Die Nudeln
    Potato        Die Kartoffel
    Potatoes      Die Kartoffeln
    Corn          Der Mais
    Bean          Die Bohne
    Beans         Die Bohnen
    Desserts      Nachspeisen
    Gâteau        Die (Sahne-)Torte
    Strudel       Der Strudel
    Apple strudel Der Apfelstrudel
    Cake          Der Kuchen
    Piece of Cake Das Stück Kuchen
    Pie           Die Pastete
    Piece of Pie  Das Stück Pastete
    Apple Pie     Die Apfelpastete
    Ice Cream     Das Eis
    Pudding       Der Pudding
    Cookie        Der Keks
    Cookies       Die Kekse
    Fruit         Das Obst
    The Meal      Das Essen
    Lunch         Das Mittagessen
    Dinner        Das Abendessen
    Hunger        Der Hunger 
    Thirst        Der Durst
    
    To Eat        essen
    To Drink      trinken
    To Receive    bekommen
    To Want       wollen
    Would Like    möchten
    
    Thank you                Danke        
    Please & You're Welcome  Bitte   
    Thank you very much      Dankeschön
    Thanks a lot             Danke sehr
    No problem               Kein Problem!
    
    Chinese Food  chinesisches Essen
    Japanese Food japanisches Essen
    American Food amerikanisches Essen
    Mexican Food  mexikanisches Essen
    Arabic Food   arabisches Essen
    Italian Food  italienisches Essen
    Indian Food   indisches Essen
    French Food   französiches Essen
    Greek Food    griechisches Essen
    
    Durch         Through
    Für           For
    Gegen         Against
    Ohne          Without
    Um            At, Around
    
    Delicious     lecker
    Tasty         schmackhaft
    Juicy         saftig
    Crunchy       knackig
    Crispy        knusprig
    Spicy         würzig
    Stale         fade 
                  fad (used in Austria)
    Salty         salzig
    Sweet         süß
    Bitter        bitter
    Sour          sauer
    Creamy        cremig     
    Hot           heiß
    Burnt         angebrannt
    Cold          kalt
    Disgusting    schrecklich
    
    To Pay        Zahlen
    The Bill      Die Rechnung
    Waiter        Der Ober
    

## Wie heißt Du?[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-2)]

### Hello and Goodbyes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-3)]

Wir haben Begrüßungen und Verabschiedungen gelernt. Können Sie sich an diese erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Hellos_and_Goodbyes_in_German)

### Nominative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-4)]

Wir haben auch den Nominativ gelernt. Können Sie sich an ihn erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Nominative_Case)

### Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-5)]

Wir haben das Verb heißen gelernt. Erinnern Sie sich?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Names)

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-6)]

Wir haben zwei andere Verben konjugiert. Können Sie sich daran erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Verbs)

### Articles[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-7)]

Wir haben die Artikel beim Nominativ gelernt. Können Sie sich an sie erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Wie_hei%C3%9Ft_du%3F#Articles)

## Freizeit[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-8)]

### Regulars Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-9)]

Wir haben die regelmäßigen Verbende gelernt. Können Sie sich an sie erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Freizeit#Spielen.2C_Machen.2C_and_Other_Verbs)

### Likes & Dislikes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-10)]

Wir haben gelernt unser Gefallen auszudrücken. Können Sie sich daran erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Freizeit#Expressing_likes_and_dislikes)

### Numbers[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-11)]

Wir haben die Zahlen gelernt. Können Sie sich an sie erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Freizeit#Numbers)

### Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-12)]

Wir haben schon Zeit-Wörter gelernt. Können Sie sich an diese erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Freizeit#Time)

## Essen[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-13)]

### Accusative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-14)]

Wir hatten schon den Akkusativ-Fall gelernt. Können Sie sich an ihn erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Essen#Accusative_Case)

### Modal Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-15)]

Wir haben die Modalverben gelernt. Können Sie sich an sie erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Essen#Modals)

### Kein-Words[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-16)]

Wir haben die „Kein“-Wörter gelernt. Können Sie sich daran erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Essen#Kein-words)

### This, Everyone, and Which[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_2&action=edit&section=T-17)]

Wir haben „dieser“, „jeder“ und „welcher“ gelernt.. Können Sie sich erinnern?

[Bericht!](http://en.wikibooks.org/wiki/German/Level_I/Essen#Dieser-forms)

  


* * *

# **Section 1.03 ~ Vienna, Austria**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=17)]

# Lesson 1.07 - Das Fest[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=18)]

  


Lesson I.10: Das Fest

* * *

This lesson deals with the Christmas time in the German language countries, where you learn some traditions and vocabularies about Christmas. You'll also learn about "there is" and "there are" in German and about the dative case.

## Dialogue[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Fest&action=edit&section=T-1)]

Read and listen to the following dialogue between mother and daughter: Roswitha and Anja. Both of them want to decorate for Christmas.

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Decoration — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Dekoration  


 

[noicon](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Dialogue_-_Decoration.ogg)

Roswitha
Heute ist der erste Advent. Lass uns zusammen schmücken!

Anja
Au ja, Mama. Ich hole die Dekoration heraus.

Roswitha
Den Adventskranz stellen wir wie jedes Jahr auf den Wohnzimmertisch und die Weihnachtspyramide kommt auf das Regal.

Anja
Wo soll ich den Räuchermann hinstellen?

Roswitha
Stelle ihn bitte mal auf den Fenstersims hin, Mäuschen.

Anja
Wird gemacht!

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) words of the dialogue — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Wörter vom Dialog  


 

(missing file: [File:German Vocabulary - words of the dialogue.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_words_of_the_dialogue.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

advent
der Advent

decorate
schmücken, dekorieren

decoration
die Dekoration, die Deko _coll._, der Schmuck

advent wreath
der Adventskranz

coffee table
der Wohnzimmertisch

Christmas pyramid
die Weihnachtspyramide

shelf
das Regal

sill
der Fenstersims, die Fensterbank

Little mouse
das Mäuschen

  * In Austria _Adventkranz_

## Es gibt[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Fest&action=edit&section=T-2)]

Grammatik: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) There is — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Es gibt  


 

(missing file: [File:German Grammatik - There is.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Grammatik_-_There_is.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

German English

Es gibt
Zimt
There is
cinnamon

Es gibt
ein Rentier
There is
a reindeer

Es gibt
Nussknacker
There are
nutcrackers

Es gibt
ein paar Ausstecher
There are
some cookie cutter

  * The English words _there is_ and _there are_ are both in German _es gibt_. When you ask someone, if there's a snowman, you say **Gibt es hier einen Schneemann?**. Many German native speaker put the words **gibt** and **es** into **gibt's**.

## Weihnachten in Deutschland[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Fest&action=edit&section=T-3)]

In Germany the advent season begins on Sunday four weeks before Christmas. It's the day where many families decorate their houses or flats, begin to bake some biscuits and start to sing some Christmas carols. One typical decoration is the advent wreath, which has four candles - one candle is lit in the first week, two candles in the second week, etc. - and normally stands on the dining table or on the coffee table. Another tradition, especially for children, is the advent calendar that you hang on the wall. They've often got 24 doors and you're only allowed to open one a day. Other typical Christmas decorations are a crib, a Räuchermann - a wooden figure that blows flavour of incense cones - in Northern Germany a Moosmann, Christmas pyramids and Schwibbogen and nutcrackers and poinsettias and much more. Most Christmas markets start in the first week of Advent. There you can buy some little Christmas presents, decorations, ride some carnival rides, and often drink some hot spiced wine - the children drink punch for children, listen to carolers and enjoy a warm, snowy atmosphere. On the 6th of December, German children celebrate St. Nicholas Day. The children put a boot in front of the door and wait until St. Nicholas brings little presents that are often sweets, walnuts, apples, tangerines and oranges. Bad children get birching by Knecht Ruprecht (which is now forbidden in Germany). Pupils do a secret Santa with other pupils on the last school days before the Christmas holidays, which are often two or three weeks long. St. Nicholas looks similar to Santa Claus who brings big presents on the evening of the 24th of December; in Southern Germany Christkind brings the presents. Most families decorate their Christmas trees on this day with Christmas baubles and tinsel and candles and so forth. After the Christmas dinner, the whole family sits next to the Christmas tree and exchanges gifts.

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Christmas — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Weihnachten  


 

(missing file: [File:German Vocabulary - Christmas.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_Christmas.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

Merry Christmas!
Frohe Weihnachten!

Fröhliche Weihnachten! (used by Santa)

advent season
die Adventszeit

advent calendar
der Adventskalender

bag
der Sack

boot
der Stiefel

caroller
der Sternsinger

Christmas bauble
die Christbaumkugel

Christmas bonus
Weihnachtsgeld

Christmas carol
das Weihnachtslied

Christmas card
die Weihnachtskarte

Christmas cracker
Knallbonbon

Christmas Day Speech
die Weihnachtsansprache

Christmas Eve
der Heiligabend

Christmas market
der Weihnachtsmarkt

Christmas ornament
Christbaumschmuck, Weihnachtsbaumschmuck

Christmas present
das Weihnachtsgeschenk

Christmas spirit
die Weihnachtsstimmung

Christmas time
die Weihnachtszeit

Christmas tree
der Weihnachtsbaum, der Christbaum

crib
die Krippe

dining table
der Esstisch

do a secret Santa
wichteln

flavour
der Duft

gift giving
die Bescherung

gnome
der Wichtel

holly
die Stechpalme

Jack Frost
Väterchen Frost

list of wishes
der Wunschzettel

mistletoe
der Mistelzweig

North Pole
der Nordpol

nutcracker
der Nussknacker

poinsettia
der Weihnachtsstern

Santa's Little Helper
Knecht Ruprecht

sleigh
der Schlitten

St. Nicholas
St. Nikolaus

the three Magi
die heiligen drei Könige

tinsel
das Lametta

tradition
der Brauch

  * Do you have the Christmas spirit yet? - Bist du schon in Weihnachtsstimmung?
  * Do you decorate your house this year? - Schmückst du dieses Jahr dein Haus?
  * On St. Nicholas Day gets Julian a little present. - An Nikolaustag bekommt Julian ein kleines Geschenk.
  * The Queen takes every year a Christmas Day Speech. - Die Queen hält jedes Jahr eine Weihnachtsansprache.
  * The whole room is sweet with cinnamon. - Der ganze Raum duftet nach Zimt.

## Dativsätze[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Fest&action=edit&section=T-4)]

  * The _Dativ_, also called _3\. Fall_ or _Wemfall_ is in the German language the third object.
  * **Die Kokosmakronen gehören der Anja.** \- You ask: **Wem gehören die Kokosmakronen?** \- the answer is: **Der Anja (gehören die Kokosmakronen).**
  * **Lisa schenkt (dem) Björn ein Spekulatius** \- You ask: **Wem schenkt Lisa ein Spekulatius?** \- the answer is: **Dem Björn (schenkt Lisa ein Spekulatius).**

## Weihnachtsessen[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Fest&action=edit&section=T-5)]
    
    
    das Plätzchen, der Keks         cookie
    die Ausstecher                  cookie cutter
    das Nudelholz                   rolling pin
    die Vanillekipferl              vanilla cornets
    der Lebkuchen                   gingerbread         
    das Lebkuchenhaus               gingerbread house
    die Kokosmakrone                coconut macaroon
    die Spitzbuben                  jammy dodgers, linzer eye a biscuit with currant jam and icing powdered sugar
    die Pfeffernuss                 spice nut
    der Christstollen               stollen
    die Marzipankartoffel           marzipan potato
    die Weihnachtsgans              Christmas goose
    der Weihnachtskarpfen           Christmas carp
    der Truthahn                    turkey
    Würstchen und Kartoffelsalat    sausages and potato salad
    das Spekulatius                 almond biscuit
    der Baumkuchen                  pyramid cake
    der Mürbeteig                   shortcrust
    der Springerle                  springerle
    das Bethmännchen                bethmännchen typical Frankfurt marzipan biscuits
    der Zimtstern                   star-shaped cinnamon biscuit
    das Früchtebrot                 fruitcake
    der Bratapfel                   roast apple
    der Dominostein                 domino  a candy that you can eat in advent time
    die Zuckerstange                candy cane
    der Glühwein                    hot spiced wine
    der Kinderpunsch                punch for children
    das Kenkentjüch                 kenkentjüch cookies from northern Germany
    die gebrannte Mandeln           roasted almonds
    das Weihnachtsessen             Christmas dinner
    das Hirschhornsalz              salt of harts horn
    der Zimt                        cinnamon
    der Puderzucker                 icing powdered sugar
    das Aroma                       flavour
    

  * In the southern part of Germany they have other words for _Plätzchen_.

So in Swabian they call it _Plätzle_ or _Brötle_ and in Bavaria _Platzerl_. In Switzerland they call it _Guetsli_.

  * Other names for _Nudelholz_ are _Teigrolle_, _Wellholz_, _Wälgerholz_ and _Rollholz _rare_._

In Austria and Bavaria they call it _Nudelwalker_ and in Switzerland _Wallholz_.

  


# Lesson 1.08 - Privileg und Verantwortung[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=19)]

  


Lesson I.11: Privileg und Verantwortung

* * *

## Jobs and Tasks[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-1)]

### Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-2)]

* * *

#### Careers[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-3)]
    
    
    Work                        Arbeit
    Doctor                      Arzt
    Buniness Man                Geschäftsmann
    Buniness Woman              Geschäftsfrau
    Teacher                     Lehrer
    Police Officer              Polizeibeamte
    Fireman                     Feuerwehrmann
    Actor                       Schauspieler         
    Artist                      Künstler    
    Author                      Schriftsteller      
    Bank Clerk                  Bankangestellter     
    Car Mechanic                Automechaniker       
    Chemist                     Chemiker     
    Civil Servant               Beamter     
    Computer Programmer         Programmierer        
    Engineer                    Ingenieur   
    Farmer                      Landwirt     
    Hairdresser                 Friseur      
    Journalist                  Journalist           
    Lawyer                      Rechtsanwalt         
    Lecturer                    Dozent       
    Nurse                       Krankenpfleger       
    Pensioner                   Rentner      
    Photographer                Fotograf     
    Politician                  Politiker    
    Postman                     Briefträger          
    Professor                   Professor    
    Salesperson                 Verkäufer    
    Secretary                   Sekretär     
    Student                     Student      
    Taxi Driver                 Taxifahrer            
    Waiter                      Kellner
    

#### Tasks[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-4)]
    
    
    Cleaning                   Reinigung
    Cooking                    Kochen
    Homework                   Hausaufgaben 
    Laundry                    Wäscherei
    Tasks                      Aufgaben
    

## Plans[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-5)]

### Common Phases[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-6)]

_Ich habe Pläne..._

I have plans...

_Ich habe Pläne mit..._

I have plans with...

## Places To Go[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-7)]

### Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-8)]
    
    
    **Germany**                 **Deutschland**
    Hamburg                    Hamburg
    Berlin                     Berlin
    Frankfurt                  Frankfurt
    Cologne                    Köln
    Munich                     München
    

### Common Phases[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Privileg_und_Verantwortung&action=edit&section=T-9)]

_Ich muss nach ... gehen._

I have to go to...

# Lesson 1.09 - Wetter[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=20)]

  


Lesson I.12: Wetter

* * *

## Dialoge[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-1)]

_Lukas calls his friend Nadja after he sees the weather forecast._

Dialogue: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The weather — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Das Wetter  


 

(missing file: [File:German Dialogue - The weather.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Dialogue_-_The_weather.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

Lukas
Was für ein Dreckswetter dass die heute mal wieder in der Wettervorhersage angekündigt haben!

Nadja
Was für ein Wetter soll es denn geben?

Lukas
Es soll heute regnen.

Nadja
Hattest du was vor?

Lukas
Ja, ich wollte in die Stadt gehen, um einen Mantel zu kaufen.

Nadja
Es kommt noch schlimmer!

Lukas
Wieso?

Nadja
Es wird nämlich zuerst regnen und dann bekommen wir Schneefall.

Lukas
Boah nee! Die Straßen werden dann vereist sein.

Nadja
Na ja, ich muss jetzt zur Schule. Tschau Lukas!

Lukas
Tschau!

## Weather[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-2)]

### Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-3)]

* * *

Vocabulary: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) weather — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) das Wetter  


 

(missing file: [File:German Vocabulary - weather.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Vocabulary_-_weather.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

informal for: bad weather
das Sauwetter (lit. _sow weather_)

das Dreckswetter (lit. _dirty weather_)

das Scheißwetter (lit. _shit weather_)

weather forecast
die Wettervorhersage*

sun
die Sonne*

sunny with some clouds
heiter (_you'll hear it in the weather forecast_)

rainbow
der Regenbogen

starlit
sternenklar

fog
der Nebel*

frost
der Frost*

wind
der Wind*

storm
der Sturm*

thunderstorm
das Gewitter*

das Unwetter

thunder
der Donner*

lightning
der Blitz*

cloud
die Wolke*

overcast
bedeckt*

precipitation
der Niederschlag

rain
der Regen*

rain shower
der Regenschauer*

rainy
regnerisch*

(to) rain cats and dogs
in Strömen regnen

schütten

drizzle
der Niesel*

snow
der Schnee*

snow falling
der Schneefall*

snowy
verschneit*

sleet
der Schneeregen*

low snow falling
der Schniesel (_in some regions of Germany_)

hail
der Hagel*

graupel
der Graupel*

black ice
das Glatteis*

_You will need to know each expression with an asterisk (*) after it. The others, of course, would be useful to know for the weather forecast or when someone talks with you about weather._ But you aren't forced to know Schniesel. Because many people doesn't know this word.

### Common Phrases[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-4)]

* * *

_Wie ist (denn) das Wetter in Berlin?_

What's the weather like in Berlin?

  
_In Berlin scheint die Sonne._

The sun shines in Berlin.

  
_Wie wird das Wetter?_

How's the weather?

  
_Können Sie mir sagen wie das Wetter heute wird?_

Can you tell me how today's weather is going to be?

  
_Wird es regnen, oder bleibt es schön?_

Is it going to rain, or would it still be nice?

  
_Es wird heute schlechtes Wetter erwartet. Nimm bitte deinen Regenschirm mit!_

Bad weather is today expected. Please take your umbrella with you!

  
_Wie viel Grad zeigt das Thermometer an?_

How much degrees says the thermometer?

  
_Das Thermometer zeigt 15 Grad (Celcius) an._

The thermometer says 15 degrees (Celsius).

  
_Das Thermometer zeigt minus 15 Grad (Celcius)* an._

The thermometer says minus 15 degrees (Celsius).

  * You can also say _Das Thermometer zeigt 15 Grad minus an._

## Transportation[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-5)]

### Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Wetter&action=edit&section=T-6)]

* * *
    
    
    das Auto                  car
    der Bus                   bus
    das Fahrrad               bike
    das Motorrad              motor-cycle
    das Mofa                  moped
    der Lastwagen             truck
    die Straße                road
    die Landstraße            highway
    die Autobahn              motorway
    der Stadtbus              city bus
    der Linienbus             urban bus
    der Reisebus              coach
    die Bushaltestelle        bus stop
    der Zug                   train
    die Stadtbahn             city railway
    die Straßenbahn           tramway
    der Bahnhof               trainstation
    das Flugzeug              airplane
    der Helikopter            helicopter
    der Flughafen             airport
    das Boot                  boat
    das Schiff                ship
    die Fähre                 ferry
    der Hafen                 harbor
    

  


# Review 1.03[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=21)]

  


Review Section I.C: Lessons I.7 to I.9

* * *

## Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_3&action=edit&section=T-1)]
    
    
    Babywear                     Die Babyartikel (plural)    
    Children's Wear              Die Kinderbekleidung 
    Clearance Sale               Der Räumungsverkauf 
    Closed                       Geschlossen
    Clothing                     Die Kleidung
    Computer Section             Der Computershop 
    Cosmetics                    Die Kosmetik
    Customer                     Der Kunde
    Customer Service             Der Kundendienst 
    Electrical Appliance         Das Elektrogerät
    Escalator                    Die Rolltreppe   
    Fashion                      Die Mode 
    Furniture                    Das Möbel (no plural)
    Gift                         Der Geschenkartikel 
    Good Value (Adj.)             Preiswert
    Groceries                    Die Lebensmittel (plural)
    Jewellery                    Damenschuhe (plural) 
    Leather Goods                Die Lederwaren (plural) 
    Open                         Geöffnet 
    Opening Hours                Die Öffnungszeiten (plural) 
    Present                      Das Geschenk
    Reduced                      Reduziert
    Sales Receipt                Der Kassenbon 
    Souvenir                     Das Andenken 
    Special Offer                Das Sonderangebot 
    Sports Goods                 Sportartikel (plural)
    Stationery                   Schreibwaren (plural)
    Summer Sale                  Der Sommerschlussverkauf (abbr. SSV)  
    Video Store                  Die Videothek 
    Winter Sale                  Der Winterschlussverkauf (abbr. WSV) 
    
    Department Store             Warenhaus
    Retail Store                 Einzelhandelsgeschäft
    The Mall                     Einkaufszentrum
    Boutique                     Boutique
    Store                        Geschäft
    Manager                      Manager
    Employee                     Angestellter
    Sales Clerk                  Verkäufer               
    Cashier                      Kassierer
    Dressing Room                Umkleidekabine
    Men's Section                Männerabteilung
    Women's Section              Frauenabteilung
    First Floor                  Erstes Stockwerk
    Menswear                     Männerkleidung
    Second Floor                 Zweiter Stock
    Womenswear                   Frauenkleidung
    Third Floor                  Dritte Stock
    Kids Section                 Kinderabteilung
    Fourth Floor                 Vierter Stock
    Electronics                  Elektronik
    Kitchenware                  Küchenbedarf
    Fifth Floor                  Fünfter Stock
    Lighting                     Beleuchtung           
    Bedding                      Bettwäsche
    Toys                         Spielwaren
    Six Floor                    Sechster Stock
    Food                         Lebensmittel
    
    Electronics                  Elektronik           
    Television                   Fernsehen
    Digital Camera               Digitalkamera
    Telephone                    Telefon
    Cell phone                   Mobiltelefon, Handy
    Computer                     Computer, Rechner
    Speakers                     Lautsprecher
    DVDs                         DVDs
    CDs                          CDs
    DVD Player                   DVD-Player
    CD Player                    CD-Player
    Bedding                      Bettwäsche
    Blankets                     Decken
    Pillow                       Kopfkissen
    Pillow Case                  Kopfkissenbezug
    Sheets                       Blätter
    Bed Skirt                    Bett-Rock
    
    Price                        Preis
    Note                         Der Schein
    Coin                         Die Münze
    1 Euro Coin                  Das Eurostück
    2 Euro Coin                  Das Zweieurostück
    5 Euro Note                  Der Fünfeuroschein
    10 Euro Note                 Der Zehneuroschein
    100 Euro Note                Der Hunderteuroschein
    1 Cent Coin                  Das Centstück
    2 Cent Coin                  Das Zweicentstück
    5 Cent Coin                  Das Fünfcentstück
    10 Cent Coin                 Das Zehncentstück
    20 Cent Coin                 Das Zwanzigcentstück
    50 Cent Coin                 Das Fünfzigcentstück
    
    Skirt                        Der Rock
    Pullover                     Der Pullover
    Scarf                        Das Tuch
    Coat                         Der Mantel
    Shirt                        Das Hemd
    Sweater                      Der Pullover
    Necktie                      Der Schlips
    Jacket                       Die Jacke
    Pants                        Die Hose
    Hat                          Der Hut
    Shoe                         Der Schuh
    Sock                         Die Socke
    Glove                        Der Handschuh
    Blouse                       Die Bluse
    
    Size                         Die Größe
    Color                        Die Farbe
    Cotton                       Die Baumwolle
    Leather                      Das Leder
    Rayon                        Die Kuntseide
    Small                        Klein
    Medium                       Mittel
    Large                        Groß
    Extra-Large                  Extragroß
    
    Cheap                        Billig                               
    Expensive                    Teuer
    Pretty                       Schön
    Ugly                         Hässlich
    Soft                         Weich
    New                          Neu
    Broad                        Breit 
    Wide                         Weit 
    Tight                        Eng
    Comfortable                  Bequem
    
    Red                          Rot     
    Blue                         Blau
    Green                        Grün  
    Orange                       Orange
    Violet                       Veilchen
    Yellow                       Gelb
    Brown                        Braun
    Indigo                       Indigo
    Gray                         Grau
    Black                        Schwarz
    White                        Weiß
     
    To Look                      Aussehen
    To Try On                    Anprobieren
    To Put On                    Anziehen
    To Take                      Nehmen
    To Buy                       Kaufen
    To Have On/Wear              Anhaben
                                 Tragen
    
    Sohn                         Son
    Tochter                      Daughter
    Vater                        Father
    Mutter                       Mother
    Großvater                    Grandfather
    Großmutter                   Grandmother
    Opa                          Grandpa  
    Oma                          Grandma
    Schwester                    Sister
    Bruder                       Brother
    Geschwister                  Brothers & Sisters
    Enkel                        Grandson
    Enkelin                      Granddaughter  
    Frau                         Wife
    Mann                         Husband
    Schwiegervater               Father-in-Law
    Schwiegertochter             Daughter-in-Law
    Schwager                     Brother-in-Law
    Schwägerin                   Sister-in-Law
    Schwiegermutter              Mother-in-Law
    Schwiegersohn                Son-in-Law
    Onkel                        Uncle
    Tante                        Aunt
    Geschenk                     Present
    
    Nimmt                        To Take Away
    Lesen                        To Read
    Schreiben                    To Write
    Studieren                    To Study
    Lernen                       To Study
    Zeichnen                     To Paint
    
    Deutsch                      German
    Englisch                     English
    Russisch                     Russian
    Französisch                  French
    Latein                       Latin
    Mathematik                   Mathematics
    Sport                        PE or Gym
    Kunst or Zeichnen            Arts
    Musik                        Music
    Geschichte                   History
    Biologie                     Biology
    Geografie                    Geography
    Religion                     RE or Religion
    Chemie                       Chemistry
    Physik                       Physics
    Informatik                   Computer Science
     
    der Radiergummi              Eraser/Rubber
    der Bleistift                Pencil
    der Kuli/Kugelschreiber      Pen
    das Fach                     Subject
    die Klasse                   Class
    der Lehrer                   Teacher (male)
    die Lehrerin                 Teacher (female)
    die Schule                   School
    der Schüler                  Student (High/Secondary School and Lower)
    der Student                  Student (College/University)
    die Stunde/Schulstunde       Lesson
    die Pause                    Break
    die Schultasche              Backpack
    

  


* * *

# **Section 1.04 ~ Berne, Switzerland**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=22)]

# Lesson 1.10 - Zu Hause Essen[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=23)]

  


Lesson I.13: Zu Hause essen

* * *

# Lesson 1.11 - Filme[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=24)]

  


Lesson I.14: Filme

* * *

# Lesson 1.12 - Das Haus[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=25)]

  


Lesson I.15: Das Haus

* * *

## The Home[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Haus&action=edit&section=T-1)]

### Rooms in the Home[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Haus&action=edit&section=T-2)]

Room
das Zimmer

Living Room
das Wohnzimmer

Dining Room
das Esszimmer

Kitchen
die Küche

Bedroom
das Schlafzimmer

Bathroom
das Badezimmer

Hall
der Flur

### Features in the Home[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Haus&action=edit&section=T-3)]

Floor
der Boden

Ceiling
die Decke

Door
die Tür

Front door
die Haustür

Window
das Fenster

Wall
die Wand

Roof
das Dach

Stairs
die Treppe

Central heating
die Zentralheizung

### Furniture and fittings[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Das_Haus&action=edit&section=T-4)]

Carpet
der Teppich

Table
der Tisch

Chair
der Stuhl

Armchair
der Sessel

Sofa
das Sofa

Cupboard
der Schrank

Bed
das Bett

Radiator
der Heizkörper

Cooker
der Herd

Refrigerator
der Kühlschrank

Washing machine
die Waschmaschine

Bath
die Badewanne

Television set
der Fernsehapparat

# Review 1.04[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=26)]

  


Review Section I.D: Lessons I.10 - I.12

* * *

## Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Review_4&action=edit&section=T-1)]
    
    
    das Spiel                   Game
    das Videospiel              Video Game
    der Spaß                    Fun
    die Feier                   Party*
    die Party                   Party
    die Musik                   Music
    die Torte                   Cake
    das Fass                    Keg
    das Bier                    Beer
    der Schnaps                 Hard Liquor
    der Wein                    Wine
    der Weißwein                White Wine
    der Rotwein                 Red Wine
    
    Feiern                      To Party
    Trinken                     Drinking
    Saufen                      To Get Drunk
    Erbrechen / sich Übergeben  To Throw Up
    Kotzen                      To Puke _(slang)_
    Tanzen                      To Dance
    der Geburtstag              Birthday
    Weihnachten                 Christmas
    Ostern                      Easter
    das Jubiläum                Anniversary
    das Wasser                  Water
    
    Work                        Arbeit
    Doctor                      der Arzt
    Buniness Man                der Geschäftsmann
    Buniness Woman              die Geschäftsfrau
    Teacher                     der Lehrer
    Police Officer              der Polizeibeamte
    Fireman                     der Feuerwehrmann
    Actor                der Schauspieler    
    Artist                       der Künstler       
    Author                       der Schriftsteller         
    Bank Clerk                   Bankangestellter    
    Car Mechanic                 der Automechaniker          
    Chemist                      der Chemiker        
    Civil Servant               Beamter              
    Engineer                    der Ingenieur       
    Farmer                      der Landwirt         
    Hairdresser                 der Friseur          
    Journalist                  der Journalist       
    Lawyer                      der Rechtsanwalt     
    Lecturer                    der Dozent           
    Nurse               der Krankenpfleger           
    Pensioner                   der Rentner          
    Photographer                der Fotograf         
    Politician                  der Politiker        
    Postman                     der Briefträger      
    Professor                   der Professor        
    Salesperson                 der Verkäufer        
    Secretary                   der Sekretär         
    Student                     der Student          
    Taxi Driver                 der Taxifahrer        
    Waiter                      der Kellner
    Germany                     Deutschland
    Humburg                     Hamburg
    Berlin                      Berlin
    Frankfurt                   Frankfurt
    Colonge                     Köln
    Munich                      München
    Weather                     das Wetter
    Rain                        der Regen
    Snow                        der Schnee
    Snow Showers                Schneesch
    Showers                     Schauer
    Thunder                     Donner
    Storm                       der Sturm
    Thunderstorm                das Gewitter
    Cloudy                      Bewölkt
    Overcast                    Bedeckt
    Hail                        der Hagel
    Drizzle                     Nieseln
    Thaw                        Tauen
    Frost                       der Frost
    Car                         das Auto
    Train                       der Zug
    Trainstation                der Bahnhof
    Airplane                    das Flugzeug
    Boat                        das Boot
    Highway                     die Landstraße
    Road                        die Straße
    

  


  


* * *

# **LEVEL TWO LESSONS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=27)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=28)]

  * [#Section 2.01 ~ Salzburg, Austria](Print_version.html#Section_2.01_.7E_Salzburg.2C_Austria)
    * [#Lesson 2.01 - Einfache Gespräche unter Freunden](Print_version.html#Lesson_2.01_-_Einfache_Gespr.C3.A4che_unter_Freunden)
    * [#Lesson 2.02 - Fremde und Freunde](Print_version.html#Lesson_2.02_-_Fremde_und_Freunde)
    * [#Lesson 2.03 - Die Zahlen](Print_version.html#Lesson_2.03_-_Die_Zahlen)
    * [#Lesson 2.04 - Eine Geschichte über Zürich](Print_version.html#Lesson_2.04_-_Eine_Geschichte_.C3.BCber_Z.C3.BCrich)
    * [#Review 2.01](Print_version.html#Review_2.01)
  * [#Section 2.02 ~ Zürich, Switzerland](Print_version.html#Section_2.02_.7E_Z.C3.BCrich.2C_Switzerland)
    * [#Lesson 2.05 - Die Wohnung](Print_version.html#Lesson_2.05_-_Die_Wohnung)
    * [#Lesson 2.06 - Mathematik](Print_version.html#Lesson_2.06_-_Mathematik)
    * [#Lesson 2.07 - Mein, Dein, und Sein](Print_version.html#Lesson_2.07_-_Mein.2C_Dein.2C_und_Sein)
    * [#Lesson 2.08 - Einkaufen gehen](Print_version.html#Lesson_2.08_-_Einkaufen_gehen)
    * [#Review 2.02](Print_version.html#Review_2.02)
  * [#Section 2.03 ~ Hannover, Germany](Print_version.html#Section_2.03_.7E_Hannover.2C_Germany)
    * [#Lesson 2.09 - Verbtempus und Wortstellung](Print_version.html#Lesson_2.09_-_Verbtempus_und_Wortstellung)
    * [#Lesson 2.10 - Undeveloped](Print_version.html#Lesson_2.10_-_Undeveloped)
    * [#Lesson 2.11 - Undeveloped](Print_version.html#Lesson_2.11_-_Undeveloped)
    * [#Lesson 2.12 - Undeveloped](Print_version.html#Lesson_2.12_-_Undeveloped)
    * [#Review 2.03](Print_version.html#Review_2.03)

* * *

# **Section 2.01 ~ Salzburg, Austria**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=29)]

# Lesson 2.01 - Einfache Gespräche unter Freunden[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=30)]

[German/Level II/Einfache Gespräche unter Freunden](http://en.wikibooks.org/w/index.php?title=German/Level_II/Einfache_Gespr%C3%A4che_unter_Freunden&action=edit&redlink=1)

# Lesson 2.02 - Fremde und Freunde[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=31)]

[German/Level II/Fremde und Freunde](http://en.wikibooks.org/w/index.php?title=German/Level_II/Fremde_und_Freunde&action=edit&redlink=1)

# Lesson 2.03 - Die Zahlen[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=32)]

[German/Level II/Die Zahlen](http://en.wikibooks.org/w/index.php?title=German/Level_II/Die_Zahlen&action=edit&redlink=1)

# Lesson 2.04 - Eine Geschichte über Zürich[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=33)]

[German/Level II/Eine Geschichte über Zürich](http://en.wikibooks.org/w/index.php?title=German/Level_II/Eine_Geschichte_%C3%BCber_Z%C3%BCrich&action=edit&redlink=1)

# Review 2.01[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=34)]

[German/Level II/Review 1](http://en.wikibooks.org/w/index.php?title=German/Level_II/Review_1&action=edit&redlink=1)

* * *

# **Section 2.02 ~ Zürich, Switzerland**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=35)]

# Lesson 2.05 - Die Wohnung[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=36)]

[German/Level II/Die Wohnung](http://en.wikibooks.org/w/index.php?title=German/Level_II/Die_Wohnung&action=edit&redlink=1)

# Lesson 2.06 - Mathematik[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=37)]

[German/Level II/Mathematik](http://en.wikibooks.org/w/index.php?title=German/Level_II/Mathematik&action=edit&redlink=1)

# Lesson 2.07 - Mein, Dein, und Sein[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=38)]

[German/Level II/Mein, Dein, und Sein](http://en.wikibooks.org/w/index.php?title=German/Level_II/Mein,_Dein,_und_Sein&action=edit&redlink=1)

# Lesson 2.08 - Einkaufen gehen[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=39)]

[German/Level II/Einkaufen gehen](http://en.wikibooks.org/w/index.php?title=German/Level_II/Einkaufen_gehen&action=edit&redlink=1)

# Review 2.02[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=40)]

[German/Level II/Review 2](http://en.wikibooks.org/w/index.php?title=German/Level_II/Review_2&action=edit&redlink=1)

* * *

# **Section 2.03 ~ Hannover, Germany**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=41)]

# Lesson 2.09 - Verbtempus und Wortstellung[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=42)]

[German/Level II/Verbtempus und Wortstellung](http://en.wikibooks.org/w/index.php?title=German/Level_II/Verbtempus_und_Wortstellung&action=edit&redlink=1)

# Lesson 2.10 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=43)]

[German/Level II/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_II/Undeveloped&action=edit&redlink=1)

# Lesson 2.11 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=44)]

[German/Level II/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_II/Undeveloped&action=edit&redlink=1)

# Lesson 2.12 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=45)]

[German/Level II/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_II/Undeveloped&action=edit&redlink=1)

# Review 2.03[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=46)]

[German/Level II/Review 3](http://en.wikibooks.org/w/index.php?title=German/Level_II/Review_3&action=edit&redlink=1)

  


* * *

# **LEVEL THREE LESSONS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=47)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=48)]

  * [#Section 3.01 ~ Bonn, Germany](Print_version.html#Section_3.01_.7E_Bonn.2C_Germany)
    * [#Lesson 3.01 - Markus](Print_version.html#Lesson_3.01_-_Markus)
    * [#Lesson 3.02 - Gespräche unter Geschäftsmännern](Print_version.html#Lesson_3.02_-_Gespr.C3.A4che_unter_Gesch.C3.A4ftsm.C3.A4nnern)
    * [#Lesson 3.03 - Mach dir keine Sorgen!](Print_version.html#Lesson_3.03_-_Mach_dir_keine_Sorgen.21)
  * [#Section 3.02 ~ Innsbruck, Austria](Print_version.html#Section_3.02_.7E_Innsbruck.2C_Austria)
    * [#Lesson 3.04 - Die Geschäftsleute](Print_version.html#Lesson_3.04_-_Die_Gesch.C3.A4ftsleute)
    * [#Lesson 3.05 - Der Engländer in Österreich](Print_version.html#Lesson_3.05_-_Der_Engl.C3.A4nder_in_.C3.96sterreich)
    * [#Lesson 3.06 - Undeveloped](Print_version.html#Lesson_3.06_-_Undeveloped)
  * [#Section 3.03 ~ Bavaria, Germany](Print_version.html#Section_3.03_.7E_Bavaria.2C_Germany)
    * [#Lesson 3.07 - Undeveloped](Print_version.html#Lesson_3.07_-_Undeveloped)
    * [#Lesson 3.08 - Undeveloped](Print_version.html#Lesson_3.08_-_Undeveloped)
    * [#Lesson 3.09 - Undeveloped](Print_version.html#Lesson_3.09_-_Undeveloped)

  


* * *

# **Section 3.01 ~ Bonn, Germany**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=49)]

# Lesson 3.01 - Markus[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=50)]

[German/Level III/Markus studiert](http://en.wikibooks.org/w/index.php?title=German/Level_III/Markus_studiert&action=edit&redlink=1)

# Lesson 3.02 - Gespräche unter Geschäftsmännern[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=51)]

[German/Level III/Gespräche unter Geschäftsmännern](http://en.wikibooks.org/w/index.php?title=German/Level_III/Gespr%C3%A4che_unter_Gesch%C3%A4ftsm%C3%A4nnern&action=edit&redlink=1)

# Lesson 3.03 - Mach dir keine Sorgen![[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=52)]

[German/Level III/Mach dir keine Sorgen!](http://en.wikibooks.org/w/index.php?title=German/Level_III/Mach_dir_keine_Sorgen!&action=edit&redlink=1)

* * *

# **Section 3.02 ~ Innsbruck, Austria**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=53)]

# Lesson 3.04 - Die Geschäftsleute[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=54)]

[Lektion 1](http://en.wikibooks.org/wiki/German/Level_III/Markus_Studiert) | [Lektion 2](http://en.wikibooks.org/wiki/German/Level_III/Gespr%C3%A4che_Unter_Gesch%C3%A4ftsm%C3%A4nnern) | [Lektion 3](http://en.wikibooks.org/wiki/German/Level_III/Mach_Dir_Keine_Sorgen!) | [Lektion 4](http://en.wikibooks.org/wiki/German/Level_III/Die_Gesch%C3%A4ftsleute) | [Lektion 5](http://en.wikibooks.org/wiki/German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich) | [Lektion 6](http://en.wikibooks.org/wiki/German/Level_III/Tour_de_France) | Lektion 7 | Lektion 8 | Lektion 9 | [Lektion 10](http://en.wikibooks.org/wiki/German/Level_III/Das_Ruhrgebiet) | Lektion 11 | Lektion 12

* * *

Lektion Vier für Fortgeschrittene

## Gespräch 4-2 ~ Die Geschäftsleute[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Die_Gesch%C3%A4ftsleute&action=edit&section=T-1)]

    Herr Schmidt und Herr Standish, als sie sich am Hauptsitz endlich begegnen. Frau Baumann ist auch da.

  * _Herr Schmidt_:   Guten Morgen, Herr Standish! Darf ich mich vorstellen: mein Name ist Schmidt, Johann Schmidt.
  * _Herr Standish_:   Es freut mich sehr, Sie kennen zu lernen. Ich heiße Miles Standish.
  * _Herr Schmidt_:   Ich glaube, dass Sie Frau Baumann schon kennen.
  * _Herr Standish_:   Ja, gewiss. Wie geht es Ihnen, Frau Baumann?
  * _Frau Baumann_: Danke, es geht mir gut.
  * _Herr Schmidt_:   Verstehe ich es richtig, dass Sie gestern ankamen und morgen ins Wiener Büro reisen müssen?
  * _Herr Standish_:   Ja, am Montag fuhr ich mit dem Schnellzug durch den Ärmelkanaltunnel. Wenn ich meine Arbeit abgeschlossen habe, werde ich am Donnerstag nach Zürich und Wien reisen.
  * _Herr Schmidt_:   Sehr gut. Bitte sprechen Sie vor Ende der Woche noch mit Frau Kaufmann.
  * _Frau Baumann_: Sie arbeitet in der Geschäftsbibliothek.
  * _Herr Schmidt_:   Das ist richtig. Die Bibliothek.
  * _Herr Standish_:   Ich werde es sofort tun.
  * _Herr Schmidt_:   Alles klar.
  * _Frau Baumann_: Später werden wir eine Versammlung in der Buchhaltung abhalten.
  * _Herr Standish_:   Sehr gut. Auf Wiedersehen Frau Baumann. Auf Wiedersehen Herr Schmidt.
  * _Herr Schmidt_:   Auf Wiedersehen.

## Vokabeln 4-3[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Die_Gesch%C3%A4ftsleute&action=edit&section=T-2)]
    
    
    der Ärmelkanaltunnel    Chunnel (England-France channel tunnel)
    die Arbeit              work
    die Bibliothek          library
    die Buchhaltung         accounting office
    das Büro                office
    der Donnerstag          Thursday
    die Geschäftsbibliothek company (business) library 
    der Montag              Monday
    der Name                name
    der Schnellzug          express train
    das Sehen               vision
    die Versammlung         meeting
    das Wien                Vienna (Austria)
    das Wiedersehen         reunion  
    die Woche               week
    das Zürich              Zurich
    
    
    
    alles klar              all right, everything clear
    am Montag               on Monday
    dann wenn               at such time when
    Darf ich... ?           May I... ?
    Es freut mich sehr      It gives me pleasure
    Guten Morgen!           Good morning!                    (_greeting_)
    Ja, gewiss               certainly, of course
    vor Ende der Woche      before the end of the week
    Wiener Büro             Vienna branch office
    
    
    
    abhalten                hold
    abschließen             complete
    ankommen (kam an,
         angekommen)        arrive
    fahren                  ride
    geben                   give
    kennen lernen           meet, make acquaintance
    müssen                  must                             (_aux._)
    reisen                  travel
    sehen                   see, look
    tun                     do, accomplish
    sich vorstellen         introduce
    werden                  will
    würde                   would
    
    
    
    bitte                   please
    da                      there
    durch                   through, by means of
    endlich                 finally
    gestern                 yesterday
    nach                    to, towards
    natürlich               of course
    mich                    myself (_reflexive_)
    mit                     with
    schnell                 fast, quick, rapid
    sofort                  directly, forthwith
    wieder                  again, once again
    

    

  * [Pronunciation Guide](http://en.wikibooks.org/wiki/German/Appendices/Alphabet) >>

* * *

## Grammatik 4-4 ~ Personal Pronouns: Accusative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Die_Gesch%C3%A4ftsleute&action=edit&section=T-3)]

Here are the personal pronouns in the **accusative** case:

  


Singular
Plural

1st person
 **mich** 
 me 
 **uns**
 us

2nd person 
 **dich** (**Sie***)
 you
 **euch** (**Sie***)
 you

3rd person
 **ihn, sie, es   **
 him, her, it  
 **sie** (all genders)   
 them      

***Polite** form.

The accusative case is that of the object of a verb. Only transitive verbs take direct objects. The pronoun (and noun in two cases) **object** in each of these sentences is _underlined_ in the German and the English:
    
    
    _Können Sie _mich_ verstehen?_       Can you understand _me_?
    _Ich kann _Sie_ verstehen._          I can understand _you_. 
    _Ich kann _sie_ verstehen_           I can understand (_her_ or _them_).
    _Ich kann _ihn_ dir zurück kicken!_  I can kick _it_ back to you!
    

Note the order of the pronouns in this last sentence. If the direct object (here: _ihn_) is a personal pronoun, it precedes the dative (_dir_); if it were a noun, the dative would precede it, as in these sentences:
    
    
    _Hier, ich kicke dir _den Ball_ zu._       Here, I kick _the ball_ to you. 
    _Darf ich Ihnen _meine Freundin_ vorstellen?_   May I introduce _my friend_ to you? 
    

Other uses of the accusative case in German will be explored in future lessons. Tables of the personal pronouns in all cases are summarized in [Pronoun Tables](http://en.wikibooks.org/wiki/German/Appendix_3).

## Grammatik 4-5 ~ Personal Pronouns in the Dative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Die_Gesch%C3%A4ftsleute&action=edit&section=T-4)]

Here are the personal pronouns in the **dative** case:

  


Singular
Plural

1st person
 **mir** 
 me 
 **uns**
 us

2nd person 
 **dir** (**Ihnen***)
 you
 **euch** (**Ihnen***)
 you

3rd person
 **ihm, ihr, ihm**
 him, her, it  
 **ihnen** (all genders)
 them      

***Polite** form.

The dative case is that of the indirect object of a verb. The pronoun **indirect object** of these sentences is _underlined_ in the German and the English:
    
    
    _Es geht _mir_ gut_              It goes (for) _me_ well 
    _Wie geht es _dir_?_             How goes it (for or with) _you_
    _Und können Sie _mir_ sagen...?_     And can you tell _me_...?
    _Karl gibt _ihm_ den Ball_       Karl gave _him_ the ball.
    _Wie geht es _Ihnen_?_           How goes it (with) _you_? (How are you?)             
    

This last sentence is an example from Gespräch 1-2 using the polite form of 'you'. Whether singular or plural must be established by context. This next sentence translates with _ihnen_ as 'them':
    
    
    _Wie geht es _ihnen_?_           How goes it with _them_? (How are they?)
    

The meaning of _ihnen_ (or _Ihnen_) would have to come from context in a conversation.

Another use of the dative case in German is after these prepositions: _**aus, bei, mit, nach, seit, von, zu**_. You will be introduced to the meanings of these prepositions over many future lessons rather than all at once, because some have many meanings in English. Indeed, because each language associates specific prepositions with many common sayings (and these often do not correspond in German and English), these "little" words can be troublesome for students. Nonetheless, you should memorize now the list of prepositions above to always remember their association with the dative case. Tables of the pronouns in all cases are summarized in [Appendix 2](http://en.wikibooks.org/wiki/German/Appendices/Phrasebook).

Word order in a German sentence with an indirect object depends upon whether that direct object is a pronoun or a noun. If the _direct object is a noun, the dative precedes the accusative_; if the _direct object is a personal pronoun, the accusative precedes the dative_:

_Ich gebe dem Jungen den Ball._
I give the boy the ball.

_Ich gebe ihm den Ball._
I give him the ball.

_Ich gebe ihn ihm._
I give it to him.

_Ich gebe ihn dem Jungen._
I give it to the boy.

English sentence structure is similar.

# Lesson 3.05 - Der Engländer in Österreich[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=55)]

[Lektion 1](http://en.wikibooks.org/wiki/German/Level_III/Markus_Studiert) | [Lektion 2](http://en.wikibooks.org/wiki/German/Level_III/Gespr%C3%A4che_Unter_Gesch%C3%A4ftsm%C3%A4nnern) | [Lektion 3](http://en.wikibooks.org/wiki/German/Level_III/Mach_Dir_Keine_Sorgen!) | [Lektion 4](http://en.wikibooks.org/wiki/German/Level_III/Die_Gesch%C3%A4ftsleute) | [Lektion 5](http://en.wikibooks.org/wiki/German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich) | [Lektion 6](http://en.wikibooks.org/wiki/German/Level_III/Tour_de_France) | Lektion 7 | Lektion 8 | Lektion 9 | [Lektion 10](http://en.wikibooks.org/wiki/German/Level_III/Das_Ruhrgebiet) | Lektion 11 | Lektion 12

* * *

Lektion Fünf

![Rathaus von St. Pölten](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/69/St.poelten_rathaus.jpg/400px-St.poelten_rathaus.jpg)  
_Rathaus von St. Pölten_

## Gespräch 5-2 ~ Der Engländer in Österreich[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich&action=edit&section=T-1)]

![Flag of the Republic of Austria](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/41/Flag_of_Austria.svg/100px-Flag_of_Austria.svg.png)  
_Republik Österreich_

Wenn er auf den Kontinent fährt, wandert Herr Standish gern. Heute früh fährt er in die Stadt St. Pölten in Niederösterreich. Er spricht mit einer fremden Frau:

  * _Herr Standish_: Entschuldigen Sie bitte. Wo ist hier ein Hotel?
  * _Die Frau_: Gleich dort drüben. Das ist das Hotel "Zur Post".
  * _Herr Standish_: Gibt es ein Restaurant darin?
  * _Die Frau_: Ja gewiss! Ein Restaurant mit einfacher Küche, besonders zum Abendessen. Aber ich könnte Ihnen ein anderes Restaurant empfehlen. Es heißt 'Alt-Wien', und es gibt dort das beste Frühstück. Das Restaurant ist links neben dem Hotel, um die Ecke.
  * _Herr Standish_: Danke sehr. Und können Sie mir sagen, wo das Rathaus von St. Pölten ist?
  * _Die Frau_: Wie bitte?
  * _Herr Standish_: Wie komme ich zum Rathaus?
  * _Die Frau_: Rechts um die Ecke und dann immer geradeaus – ungefähr ein Kilometer.
  * _Herr Standish_: Danke sehr.
  * _Die Frau_: Bitte sehr. Wiedersehen.
  * _Herr Standish_: Auf Wiedersehen.

## Vokabeln 5A[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich&action=edit&section=T-2)]
    
    
    das Abendessen             supper (evening meal)
    [das] Österreich           Austria
    die Ecke                   corner
    das Frühstück              breakfast
    das Hotel                  hotel
    der Kilometer              kilometer
    die Küche                  cooking, cuisine
    der Kontinent              continent (Europe)
    [das] Niederösterreich     (federal state of) Lower Austria
    das Rathaus                city hall
    das Restaurant             restaurant
    die Stadt                  city
    
    
    
    Bitte sehr                 You're welcome
    Entschuldigen Sie          Pardon me, excuse me
    Es gibt dort...            There is there...
    Gibt es...?                Is there..?
    Guten Tag                  good day (parting)
    immer geradeaus            straight on ahead
    können Sie                 could you (polite form)
    Wie bitte?                 Pardon me? (polite "come again?")
    
    
    
    empfehlen                  recommend
    fahren                     travel
    kommen                     come, go, get
    wandern                    wander
    sagen                      say, tell
    sprechen                   speak
    
    
    
    anderer, andere, anderes   other
    besonders                  especially
    bitte                      please
    das                        that
    dann                       then
    darin                      therein
    ein                        a (indefinite article)
    eins                       one (cardinal number)
    fremd                      unknown
    gern                       gladly 
    gleich                     just, right (correct), right here, same         
    heute früh                 this morning
    hier                       here (in this place)
    ich                        I (personal pronoun)
    links                      left (direction)
    neben                      next to
    rechts                     right (direction)
    ungefähr                   approximately           
    von                        of (_Rathaus _von_ St. Pölten_ = St. Polten City Hall)
    wie                        how (interrogative)
    wo                         where (interrogative)
    zu                         to (_zum_ = contraction of _zu dem_)
    

## Andere Wörter 4A[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich&action=edit&section=T-3)]
    
    
    der Bahnhof                train station
    der Flughafen              airport
    die Polizeiwache           police station
    die Post                   post office
    
    
    
    genau                      exact(ly)
    heute                      today 
    

## Lesestück 5-1 ~ Eine Geschichte über St. Pölten[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich&action=edit&section=T-4)]

![Map at sankt pölten.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Map_at_sankt_pölten.png/250px-Map_at_sankt_pölten.png)  
_Karte: St. Pölten in Österreich_

Niederösterreich ist sowohl flächenmäßig als auch nach Einwohnern das größte der neun österreichischen Bundesländer. Sankt Pölten ist die Landeshauptstadt von Niederösterreich. Der Name St. Pölten geht auf den heiligen Hippolytos zurück, nach dem die Stadt benannt wurde.

Die Altstadt befindet sich dort, wo vom 2. bis zum 4. Jahrhundert die Römerstadt _Aelium Cetium_ stand. 799 wurde der Ort als "Treisma" erwähnt. Das Marktrecht erhielt St. Pölten um 1050, zur Stadt erhoben wurde es 1159. Bis 1494 stand St. Pölten im Besitz des Bistums Passau, dann wurde es landesfürstliches Eigentum. Bereits 771 findet sich ein Benediktinerkloster, ab 1081 gab es Augustiner-Chorherren, 1784 wurde deren Kollegiatsstift aufgehoben, das Gebäude dient seit 1785 als Bischofssitz. Zur Landeshauptstadt von Niederösterreich wurde St. Pölten mit Landtagsbeschluss vom 10. Juli 1986, seit 1997 ist es Sitz der Niederösterreichischen Landesregierung.

![Aerial view of St. Pölten](../../../upload.wikimedia.org/wikipedia/commons/6/6b/Stpoelten_luftbild.jpg)  
_Luftbild von St. Pölten_

### Vokabeln 5B[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_III/Der_Engl%C3%A4nder_in_%C3%96sterreich&action=edit&section=T-5)]
    
    
    Die Altstadt                   old town
    Der Augustiner                 Augustinian
    Der Besitz                     possession, holding
    Das Bistum                     diocese
    Der Bischofssitz               bishop's see (a seat of a bishop's authority)
    Die Bundesländer               federal states
    Die Chorherren                 men's choir 
    Das Eigentum                   proprietorship
    Die Einwohner                  inhabitants
    Das Gebäude                    premises
    Die Geschichte                 history
    Das Jahrhundert                century
    Das Kloster                    monastery, friary
    Das Kollegiatsstift            monastery college
    Die Landeshauptstadt           regional or state capital city
    Die Landesregierung            provincial (state) government
    Der Landtagsbeschluss          day of jurisdictional reorganization
    Das Marktrecht                 right to hold markets
    Der Name                       name
    Der Ort                        place, spot, city
    Die Römerstadt                 Roman town
    Der Sitz                       official place
    
    
    
    Bistum Passau                  a dioecian region in Bavaria
    sowohl... als auch             both... and
    zurück auf                     goes back to
    
    
    
    aufheben (hob auf, aufgehoben) merged in (or turned into?)
    befinden sich                  situated, located
    (befand sich, haben sich befunden)
    finden sich*                   found (located)
    benennen (benannte, benannt)   call (as to label)
    erhalten (erhielt, erhalten)   receive
    erheben (erhob, erhoben)       arise, raise
    erwähnen (erwähnte, erwähnt)   mention
    stehen (stand, gestanden)      stand (stood, stood)
    werden (wurde, [ist]geworden)  become
    
    
    
    ab                             from
    auf                            up
    bereits                        already
    bis                            until, by, up to
    flächenmäßig                   (no direct translation) ~ when measured in surface
    heilig                         holy
    landesfürstlich                baronial or princely (holdings)
    nach                           in terms of 
    um                             around
    

(* one short form of anfinden: findet sich (an); in colloquial language you can cut the "an"; but in THIS special case it is the short form of "(be)findet sich (dort)")

[Pronunciation Guide](http://en.wikibooks.org/wiki/German/Appendices/Alphabet) >>

  * Read more about [St. Pölten](http://de.wikipedia.org/wiki/St._Pölten) at the German Wikipedia (source of article above).

# Lesson 3.06 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=56)]

[German/Level III/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_III/Undeveloped&action=edit&redlink=1)

* * *

# **Section 3.03 ~ Bavaria, Germany**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=57)]

# Lesson 3.07 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=58)]

[German/Level III/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_III/Undeveloped&action=edit&redlink=1)

# Lesson 3.08 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=59)]

[German/Level III/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_III/Undeveloped&action=edit&redlink=1)

# Lesson 3.09 - Undeveloped[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=60)]

[German/Level III/Undeveloped](http://en.wikibooks.org/w/index.php?title=German/Level_III/Undeveloped&action=edit&redlink=1)

  


* * *

# **LEVEL FOUR LESSONS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=61)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=62)]

  * [#Section 01 ~ Kiel, Germany](Print_version.html#Section_01_.7E_Kiel.2C_Germany)
  * [#Section 02 ~ Schaan, Liechtenstein](Print_version.html#Section_02_.7E_Schaan.2C_Liechtenstein)
  * [#Section 03 ~ Schaffhausen, Switzerland](Print_version.html#Section_03_.7E_Schaffhausen.2C_Switzerland)

* * *

# **Section 01 ~ Kiel, Germany**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=63)]

* * *

# **Section 02 ~ Schaan, Liechtenstein**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=64)]

* * *

# **Section 03 ~ Schaffhausen, Switzerland**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=65)]

* * *

# **LEVEL FIVE LESSONS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=66)]

* * *

# **GRAMMAR**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=67)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=68)]

  * [#Adjectives and Adverbs](Print_version.html#Adjectives_and_Adverbs)
  * [#Articles](Print_version.html#Articles)
  * [#Cases](Print_version.html#Cases)
  * [#Nouns](Print_version.html#Nouns)
  * [#Pronouns](Print_version.html#Pronouns)
  * [#Sentences](Print_version.html#Sentences)
  * [#Verbs](Print_version.html#Verbs)

# Adjectives and Adverbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=69)]

## Adjectives[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-1)]

Adjectives are words that describe nouns. Most adjectives are stand-alone words; however, present and past participles can also be used as adjectives. Numbers are also adjectives, though they do not decline.

Adjectives may be either _predicate_ or _attributive_. Predicate adjectives are adjectives connected to a noun through a verb known as a _copula_. Those verbs in German are _sein_ (to be), _werden_ (to become), and _bleiben_ (to remain). Other verbs, such as _machen_ and _lassen_ impart a predicate adjective onto an accusative object. Predicate adjectives are _never inflected_.
    
    
    Ich bin noch _ledig_.  (I am still single.)
    Trotz des Streites bleiben wir _verheiratet_.  (Despite the argument we remain married.)
    Ich werde böse.  (I am getting angry.)
    Die alte Milch wird dich _krank_ machen.  (The old milk will make you sick.)
    
    

Attributive adjectives precede the noun that they are describing, and are _always declined_. Learning the adjective endings is a central part to the study of German. The adjective endings are frequently one of the hardest topics for new students to learn. It is best to commit the declension tables to memory, while attempting to speak independently. Proper use of adjective endings, especially in speaking, will come with repeated use. They are described in the next part of this chapter.

## Adjective Endings[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-2)]

### Forms[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-3)]

This section will make use of the mnemonic **Oklahoma**, which denotes the fields of nominative masculine; nominative neuter; accusative neuter; nominative feminine; and accusative feminine, which resemble the state of Oklahoma in the tables used below. The concept is used to describe endings in two declension tables: the weak adjective declension, and the indefinite-article/ein-word declension.

The endings of attributive adjectives can be divided into two groups: _strong_ endings and _weak_ endings.

  


**Strong Adjective Declension**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

**Nominative**
-er
-es
-e
-e

**Accusative**
-en
-es
-e
-e

**Dative**
-em
-em
-er
-en

**Genitive**
**-en**
**-en**
-er
-er

The strong adjective endings are nearly the same as the der-word endings, with the exceptions of masculine and neuter adjectives in the genitive case (marked in bold).

![State of Oklahoma](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Map_of_USA_OK.svg/286px-Map_of_USA_OK.svg.png)

Note the shape of the state Oklahoma

**Weak Adjective Declension**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

**Nominative**
**-e**
**-e**
**-e**
-en

**Accusative**
-en
**-e**
**-e**
-en

**Dative**
-en
-en
-en
-en

**Genitive**
-en
-en
-en
-en

Make note of the region, **Oklahoma**, in the nominative and accusitive cases, for weak endings.

  
The use of a weak or a strong adjective ending depends on what precedes it:

**Choice of Adjective Ending**

Preceding Article Choice of Ending

Definite Article, der-words
Weak Ending

Indefinite Article, ein-words
Within Oklahoma, Strong Ending

Outside Oklahoma, Weak Ending

No article
Strong Ending

The principle guiding adjective endings is that a noun, when possible, should have a primary case ending. Definite articles and der-words always provide a primary case ending. Indefinite articles and ein-words provide primary case endings outside of Oklahoma. Sometimes nouns have no article, in which case adjectives provide the primary case ending.

### **Forms in Context of Articles**[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-4)]

This terminology - strong and weak endings - is confusing for many students. As the student develops, he or she will develop an ear for case endings, and will recognize when a noun has and has not received a case ending. Nonetheless, it is worth providing the three declension tables that result from this principle.

  


**Adjective Declension following a Definite Article or der-word**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

the large man
the small book
the quiet cat
the red apples

**Nominative**
de**r** groß**e** Mann
da**s** klein**e** Buch
di**e** ruhig**e** Katze
di**e** rot**en** Äpfel

**Accusative**
de**n** groß**en** Mann

**Dative**
de**m** groß**en** Mann
de**m** klein**en** Buch
de**r** ruhig**en** Katze
de**n** rot**en** Äpfel**n**

**Genitive**
de**s** groß**en** Mann**es**
de**s** klein**en** Buch**es**
de**r** rot**en** Äpfel

Adjectives following a definite article or der-word always have a weak ending. Within Oklahoma, that is "-e", and outside of Oklahoma, that is "-en". Also dies.., jed.., manch.., welch.., solch.. and all.. get the same ending as in the table above.

  


**Adjective Declension following an Indefinite Article or ein-word**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

a large man
a small book
a quiet cat
no red apples

**Nominative**
ein groß**er** Mann
ein klein**es** Buch
ein**e** ruhig**e** Katze
kein**e** rot**en** Äpfel

**Accusative**
ein**en** groß**en** Mann

**Dative**
ein**em** groß**en** Mann
ein**em** klein**en** Buch
ein**er** ruhig**en** Katze
kein**en** rot**en** Äpfel**n**

**Genitive**
ein**es** groß**en** Mann_es_
ein**es** klein**en** Buch_es_
kein**er** rot**en** Äpfel

Note how, within Oklahoma, adjectives take strong endings, and outside Oklahoma, they take weak endings. This is because indefinite articles provide primary endings only outside of Oklahoma. Also mein.., dein.., sein.., ihr.., unser.., euer.. and Ihr.. get the same ending as in the table above.

  


**Adjective Declension with no preceding article**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

**Nominative**
groß_er_ Mann
klein_es_ Buch
ruhig_e_ Katze
rot_e_ Äpfel

**Accusative**
groß_en_ Mann

**Dative**
groß_em_ Mann
klein_em_ Buch
ruhig_er_ Katze
rot_en_ Äpfel_n_

**Genitive**
groß_**en**_ Mann_es_
klein_**en**_ Buch_es_
rot_er_ Äpfel

Forms of nouns without articles are rare compared to those with definite and indefinite articles; however, one must still know the strong declension. Note that the strong adjective declension is almost the same as the der-word endings, with the exceptions of masculine and neuter in the genitive case (in bold).

## Adverbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-5)]

Adverbs based on adjectives are one of the simplest parts of German grammar. Any adjective can be used as an adverb simply by placing its uninflected form within the sentence, usually towards the end.
    
    
    Das Ehepaar ging gestern _fröhlich_ spazieren.
    (The married couple went for a walk joyfully yesterday.)
    

Other adverbs have no adjectival equivalent. Many of these express time.
    
    
    _Damals_ (at that time)
    Ich bin _gestern_ dort gewesen.  (I was there yesterday.)
    _Morgens_ bin ich normalerweise im Büro.  (I am normally in the office in the morning.)
    

Adverbs can also be based on participles (past and present). These are less common.
    
    
    Er betrachtete mich _bedrohlich_.  (He looked at me threateningly.)
    

Some adverbs are formed by adding _-weise_ to adjectives and nouns in the plural form, and mean "regarding", "with respect to", or "-wise" in English. Construction of new adverbs of this sort is usually frowned upon.

  


### Adverbs based on prepositions[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Adjectives_and_Adverbs&action=edit&section=T-6)]

_Much of the material in this section will be explained in greater detail in the chapter on prepositions._

German has a complex system of adverbs based on prepositions, which are used to indicate direction of motion, location, time, and other concepts. English also possesses such a system, though it is used less. Consider the following sentences in English:
    
    
    1) Could you take the garbage _out_?
    2) Come _over_ this evening if you get the chance.
    3) You should just give _up_.
    4) I will look you _up_ in the phone book.
    5) The contract, and the conditions contained _therein_, is _hereby_ declared null and 
       void. (Legalese)
    

In both English and German, prepositions and particles derived from prepositions are treated as adverbs. In many cases, these prepositional adverbs are associated with specific verbs.

In the first two examples, the italicized prepositions are used as adverbs of motion; in the first example, the word "out" indicates the direction "out of the apartment"; in the second case, "over" not only means means the direction "towards", but also implies visitation of a residence.

The third and fourth examples correspond to _separable-prefix verbs_ in German. The word "up" is integral to the verb, which would have a different meaning without the adverb. "To give up", whose infinitive in German would be "to up-give", means "to quit", in sharp contrast to "to give". In the fourth example, it is not even possible to "look someone", whereas it is possible to "look someone up," or "look a candidate's resume over". (English even has inseparable prepositional prefix verbs; compare "to look s.o. over" to "to overlook s.o." Many of these verbs have been replaced by verbs based on Latin and Greek.)

The adverbs in the fifth example correspond to _da-, wo-, hin- and her-_ compounds in German. Such compounds are often used in legal texts in English. In such compounds, the object of the preposition is replaced with the words "there" or "here", compounded with the preposition. "Therein" simply means "in it".

The German system of adverbs based on prepositions is considerably more rigorous, and forms the basis of a large part of the language's morphology. "To catch on" means "to begin" in English; In German, the primary word for "to begin" is literally "to catch on" (_anfangen_), from which the equivalent noun, _der Anfang_ (the beginning) is derived. A remnant of this in English can be found when describe a child's _upbringing_.

As in English, prepositional adverbs in German to varying degrees alter the meaning of their associated verb.

_Separable-prefix verbs_. This topic is better explored in the chapter on verbs. Separable prefixes are themselves _adverbs_. As in English, many of them are integral to the meaning of the verb. _Fangen_ means "to catch," whereas _anfangen_ means "to begin".

Most prepositional adverbs are treated as part of the root word in the infinitive, and are used as such in the construction of participles. However, not all possible separable-prefix verbs are lexical; "vorbeikommen" (to come over), "vorbeibringen" (to bring over), and so on, may not all be listed in a dictionary. It is better to learn "vorbei" as an adverb implying visitation.

The German prefix _in_ is of note. It has two adverbial forms. As _in_ it describes location; when describing movement, it becomes _ein_. Thus, for example, _darin_ means "in there", whereas _darein_ means "in(to) there". Another example is the word, _einleiten_, to introduce.

_Hin-_ and _her-_. Prepositional adverbs of motion are usually based on _hin-_, implying motion or direction away from the speaker, and _her-_, implying motion or direction towards the speaker. _Hin_ and _her_ are themselves stand-alone adverbs meaning the same thing, and describe less-specific motion or direction. (One example in which _hin_ is an integral separable prefix is the verb _hinrichten_, which means "to execute.) Not all verbs formed from _hin-_ and _her-_ compounds are lexical. Some examples of _hin-_ and _her-_ compounds are:
    
    
    _herab_ (down, down from)
    _hinein_ (in, inside)
    _hinaus_ (out, out of, onto)
    _darüber hinaus_ (furthermore, above all)
    _dahin_ (in the direction/towards of known location)
    

Mastery of _hin-_ and _her-_ requires considerable effort from the student.

_Da-_ compounds are also adverbs, corresponding to "there-" compounds in English. They replace specific prepositional objects. Although are used principally in legal texts and therefore sound formal in English, they are often employed in written and spoken German and are convenient replacements for long and complicated prepositional phrases. Their comprehension and active use are essential in German. _Da-_ compounds are formed by adding _da-_ before the preposition, with an "r" inserted before prepositions starting with a vowel. There are exceptions to this, and _da-_ compounds are given a fuller treatment in the chapter on prepositions.

_Hier-_ and _dort-_ compounds also exist in German, though they are used less frequently. As in English, they are considered formal, and are used primarily in academic and legal texts. They are best memorized as vocabulary.
    
    
    _hierhin und dorthin_ - hither and thither
    

# Articles[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=70)]

[German/Grammar/Articles](http://en.wikibooks.org/w/index.php?title=German/Grammar/Articles&action=edit&redlink=1)

# **Nouns**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=71)]

## What Is a Noun?[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-1)]

A word that can be used to refer to a person, place, thing, quality, or idea; part of speech. It can serve as the subject or object of a verb. For example a table or a computer. Nouns start with a capital letter in written language.

## Plurals[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-2)]

German, unlike English, has more than one way to make nouns plural, and plural form, like gender, must be memorized with every noun.

There are twelve different ways to form plurals in German. They are formed by affixes at the end of the word, and the umlaut of the vowel of the stem. They are - (changing nothing); -¨; -e; -¨e; -n; -¨n; -en; -¨en; -er; -¨er; -nen (to feminine suffix _-in_); -s (mainly with English loan-words); adding "foreign" endings (mainly Latin words); and changing suffixes (mainly Latin words).

When German nouns are used in the plural, their gender becomes irrelevant. The plural can almost be thought of as a gender on its own. In the plural, the definite article is always "die" when using the nominative and accusative cases.

When using the dative case, "den" is the definite article of all plurals. All plurals not ending in -n or -s affix an _-n_.

The definite article of the plural in the genitive case is "der".

**Examples**

Nominative: **_Die alten Männer_ spielen Schach.** _The old men_ are playing chess.

Accusative: **Ich sah _die alten Männer_ beim Schachspielen.** I saw _the old men_ as they played chess.

Dative: **Ich spielte mit _den alten Männern_ Schach.** I played chess with _the old men_.

Genitive: **Das Schachspiel _der alten Männer_ war nicht sehr spannend.** _The old men's_ chess game was not very exciting.

### Suffixes[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-3)]

Although gender and plural form are often arbitrary, there exist certain suffixes whose gender and plural form are regular. They are mainly feminine.

**-ung, -heit, -keit, -schaft, -ion, and -tät**

These are all feminine endings, which are pluralized by **-en**.

  * _Diskussion(en)_

    Discussion(s)

  * _Universtät(en)_

    University(ies)

**-unft**

This endings is feminine and is pluralized by **changing the stem vowel and adding -e**

  * _Unterkunft_

    Lodging

  * _Unterkünfte_

    Lodgings

**-ik**

This ending often doesn't have a plural. When it does however, you add '_-en_

  * _Technik(en)_

    Technique(s)

**Other**

When verb infinitives transform into nouns, they do not have a plural form.

  * _das Sprechen_

    Language

Many masculine nouns are formed by verbal stems without a suffix. Many of these receive an umlaut in their plural form.

## Gender[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-4)]

German, like many other languages, gives each noun a gender: Masculine, Feminine, and Neuter. Plural nouns also act differently not only with the verb of the sentence, but the article preceding it.

The way any particular word is classified may not be logical.

Examples:
    
    
    das Mädchen       the girl (neuter)
    die Person        the person (feminine - even when talking about a man)
    

However, not all German Nouns are randomly allocated a gender. The following notes will apply to most nouns but not all.

A note on Mädchen:

This is derived from the diminutive form of Maid (old, rarely used) - Maidchen. Grammatically it is neuter, but when referenced, nowadays the logical feminine gender takes over: Das Mädchen und ihr Hund. (Das Mädchen und sein Hund would be used in German slang but is rare and shouldn't be used.)

### Masculine[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-5)]

There are far more masculine nouns than of either of the other genders. The masculine nominative definite article is **der**.

### Semantic Groups Which Are Masculine[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-6)]
    
    
    days              z.B. der Montag
    times of the day  z.B. der Morgen
    months            z.B. der August
    seasons           z.B. der Sommer
    male persons*     z.B. der Mann, der König
    male animals      z.B. der Löwe, der Hahn, der Ochse
    alcohol**         z.B. der Wein, der Likör, der Alkohol, der Champagner
    car***            z.B. der Wagen, der Opel, der Mercedes, der BMW
    
    

* With, of course, the exception of **die Person** which remains feminine even when talking about a man.  
** However, it is **das Bier**, **die Spirituose**(because of the ending "-ose"), **das Pils**(because it is a beer), **das Methanol**(because it is a scientific term of a substance)  
*** Excepting "das Auto".  


#### Words with Certain Endings[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-7)]

These rules apply always
    
    
    **-ismus**: der Kommunismus, der Anglizismus, der Terrorismus
    **-ling**: der Lehrling (apprentice), der Liebling (darling), der Schmetterling (butterfly)
    **-or**: der Motor
    **-ant**: der Elefant
    

  
The following groups of nouns are usually (but not always) masculine
    
    
    Nouns ending in **-el**:     der Vogel
    Nouns ending in **-er**:     der Hamster
    Nouns ending in **-en**:     der Kuchen (**but not** infinitives used as nouns. They are neuter: das Rauchen, das Lachen)
    
    
    
    Nouns ending in **-aum**:
    

Examples:  
Baum, Traum, Schaum, Raum, Saum, Flaum
    
    
    Nouns ending in **-ang**:
    

Examples:  
Drang, Fang, Gang, Hang, Klang, Rang, Anfang, Empfang, Gesang, Tang
    
    
    Nouns ending in **-und**:
    

Examples:  
Bund, Grund, Schund, Hund, Fund, Schwund, Schlund, Mund

Exceptions:  
neuter: Pfund
    
    
    Nouns ending in **-all**:
    

Examples:  
Ball, Fall, Krawall, Drall, Hall, Wall, Aufprall, Kristall, Knall, Schall, Zufall, Abfall, Vorfall, Schwall

Exceptions:  
neuter: All, Metall, Intervall  
feminine: Nachtigall

### Feminine[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-8)]

The feminine Gender article is _die_. It is used in the nominative and accusative singular case. It is also used to indicate nominative and accusative plural for nouns of any gender.

e.g. die Katze — Feminine
    
    
                     —or—
           die Katzen — feminine plural
           die Männer - masculine plural
           die Mädchen - neuter plural
    

#### Semantic Groups[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-9)]

**Female persons and animals are usually feminine (very few exceptions).**

Examples:
    
    
    die Frau (woman)
    die Schwester (sister)
    die Mutter (mother)
    

To change a male designation to feminine, you often use the ending **-in**.
    
    
    der Lehrer - die Lehrerin (teacher)
    der Kaiser - die Kaiserin (emperor and empress)
    der König - die Königin (king and queen)
    der Arzt - die Ärztin (doctor)
    der Löwe - die Löwin (lion and lioness)
    

Exceptions
    
    
    das Mädchen (girl)
    das Kind (child)
    das Fräulein (old fashioned for Miss)
    

  
**A lot of plants and trees are also feminine**

Examples:
    
    
    die Buche (beech)
    die Eiche (oak)
    die Rose (rose)
    die Tulpe (tulip)
    die Nelke (carnation)
    

Exceptions:
    
    
    das Veilchen (violet), der Farn (fern) ...
    

#### Words With Certain Endings[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-10)]

The following rules always apply.

German words:
    
    
    **-heit**: die Gesundheit (health), die Wahrheit (truth)
    **-keit**: die Möglichkeit (possibility)
    **-schaft**: die Wirtschaft, die Freundschaft
    **-ei**: die Türkei, die Mongolei, die Bäckerei*
    
    
    
    Words derived from verbs with the ending **-ung**: 
     die Beobachtung (observation; v: beobachen), die Verfolgung (persecution; v: verfolgen)
    
    
    
    Words derived from verbs (mostly irregular verbs), ending in **-t**:
     die Handschrift (hand writing (n), derived from "schreiben),
     die Fahrt (journey, trip or ride, derived from fahren)
    

Exceptions
    
    
    * das Ei (egg) has nothing to do with the ending -ei.   
       _Das Ei_ is neuter, including all words derived from:
       z.B. das Spiegelei, das Rührei, das Vogelei (different types of eggs)
    

Foreign words: Words with the endings given below are always stressed on the last syllable.
    
    
    **-enz**: die Intelligenz (intelligence), die Konsequenz (consequence)
    **-ie**: die Philosophie (philosophy), die Melodie (melody)
    **-ik**: die Musik (music), die Politik (politics)
    **-ion**: die Nation, die Qualifikation (qualification)
    **-ur**: die Kultur (culture)
    
    
    
    **-tät**:
    Examples:  
    Universität, Majestät, Lokalität, Pietät, Integrität, Qualität, Aktivität, Priorität, Nationalität, Kapazität
    
    
    
    **-age**:
    Examples:  
    Garage, Montage, Etage, Spionage, Persiflage, Blamage
    

The following rule applies often.
    
    
     **-e**: die Lampe (lamp), die Karte (card, map)
    

Exceptions:
    
    
    semantic reasons: der Junge (boy), der Franzose (French man), der Löwe (Lion)
    others: der Käse (cheese)
    

### Neuter[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-11)]

The neutral Gender article is _das_ for the nominative and accusative case.

#### Semantic Groups[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-12)]
    
    
    names of colors: das Blau, das Rot, das Gelb, das Hellgrün, das Dunkelbraun
    

#### Words With Certain Endings[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-13)]

This rule applies always:
    
    
    diminutive endings **-lein** and **-chen**:
      das Mädchen (girl), das Häuschen (little house), das Büchlein (little book)
    

This rules apply often:
    
    
    ending **-um** if the word has Latin origin: : das Zentrum, das Museum
    ending **-ment**: das Parlament (parliament), das Fundament (base, basis), das Element (element)
    
    
    
    Words that end with **-em** and are stressed on the last syllable:
    

Examples:  
Problem, Theorem, System, Extrem
    
    
    Foreign words that end with **-ett** and are stressed on the last syllable:
    

Examples:  
Tablett, Etikett, Korsett, Parkett, Kabarett, Ballett
    
    
    Words that end with **-ma**:
    

Examples:  
Thema, Trauma, Drama, Dilemma, Prisma, Schema, Koma, Klima, Komma, Karma, Lama, Dogma, Paradigma

Exceptions:  
feminine: Firma
    
    
    Words that end with **-o**:
    

Examples:  
Auto, Radio, Video, Kino, Kilo, Büro, Sakko, Solo, Storno, Bistro, Manko, Banjo, Tempo, Motto, Fresko, Embargo, Esperanto, Studio, Ghetto, Foto, Echo, Piano, Cello, Kasino

Exceptions:  
masculine: Tango, Fango, Espresso, Embryo
    
    
    Foreign words that end with **-om**:
    

Examples:  
Syndrom, Palindrom, Phantom, Polynom, Binom, Monom, Atom, Axiom, Genom, Symptom, Diplom, Kondom, Chromosom

#### Words With Certain Beginnings[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-14)]
    
    
    Nouns that begin with **Ge-** are often neuter.
    

Examples: Gedicht, Gericht, Gesicht, Gewicht, Geheimnis, Gebirge, Geschirr, Gedächtnis, Gebiet, Gespenst, Gewissen, Gesetz, Getränk, Gewand, Gewitter, Geschenk, Gespräch, Gebäude, Gehäuse, Gemüse, Geschäft, Getreide, Gerücht, Gewerbe

Exceptions:  
masculine: Gedanke, Genuss, Geschmack, Gewinn, Geruch  
feminine: Gewalt, Gestalt, Geschichte, Gemeinde, Gefahr

#### Nouns Derived From Certain Verbclasses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-15)]
    
    
    Verbs used as noun (roughly corresponding to the gerund)
    das Rauchen (Smoking), das Lesen (Reading)
    

### Tips For Learning[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-16)]

As most German articles can not be attributed to certain rule, it is best to always learn the article when learning the noun. You may think of the article as necessary information belonging to every noun. You avoid a lot of looking-up-time that way.

### Looking Up Gender in Dictionaries[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-17)]

Most dictionaries do not give the article. Instead, you find different sets of abbreviations which tell you to which class the noun in question belongs.

The most common sets of abbreviations are:
    
    
    **r**, **e**, and **s**.
      **r**: de_r_, masculine; 
      **e**: di_e_, feminine; 
      **s**: da_s_, neuter.
    The abbreviations of this type are usually given before the noun.
    
    
    
    **m**, **f**, and **n**.   
      **m**: masculine; 
      **f**: feminine; 
      **n**: neuter. 
    The abbreviations of this type are usually given after the noun.
    
    
    
    **m**, **w**, and **s**.   
      **m**: **m**ännlich, masculine;
      **w**: **w**eiblich, feminine; 
      **s**: **s**ächlich, neuter. 
    The abbreviations of this type are usually given after the noun.
    

## Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns&action=edit&section=T-18)]

  * [Adjectival Nouns](http://en.wikibooks.org/w/index.php?title=German/Print_version/Adjectival_Nouns&action=edit&redlink=1)
  * [Weak Nouns](http://en.wikibooks.org/w/index.php?title=German/Print_version/Weak_Nouns&action=edit&redlink=1)
  * [Mixed Nouns](http://en.wikibooks.org/w/index.php?title=German/Print_version/Mixed_Nouns&action=edit&redlink=1)

  


# Gender[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=72)]

[German/Grammar/Nouns/Gender](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns/Gender&action=edit&redlink=1)

# Plurals[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=73)]

[German/Grammar/Nouns/Plurals](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns/Plurals&action=edit&redlink=1)

# Adjectival Nouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=74)]

[German/Grammar/Nouns/Adjectival nouns](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns/Adjectival_nouns&action=edit&redlink=1)

# Weak Nouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=75)]

[German/Grammar/Nouns/Weak nouns](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns/Weak_nouns&action=edit&redlink=1)

# Mixed Nouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=76)]

[German/Grammar/Nouns/Mixed nouns](http://en.wikibooks.org/w/index.php?title=German/Grammar/Nouns/Mixed_nouns&action=edit&redlink=1)

# Pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=77)]

**German Pronouns Declined**

Nominative Accusative Dative Genitive Possessive Pronoun

**Singular**

**I**
ich
mich
mir
meiner
mein-

**You** (informal singular)
du
dich
dir
deiner
dein-

**He**
er
ihn
ihm
seiner
sein-

**It**
es
es
ihm
seiner
sein-

**She**
sie
sie
ihr
ihrer
ihr-

**Plural**

**We** (us)
wir
uns
uns
unser
unser-

**You** (informal plural)
ihr
euch
euch
euer
euer- (shortened to eur- for "eure")

**They**
sie
sie
ihnen
ihrer
ihr-

**You** (formal - singular or plural)
Sie
Sie
Ihnen
Ihrer
Ihr-

Note: The possessive is not a case of the personal pronoun, rather it's a pronoun itself. This table shows the possessive pronoun's stem, which is declined as an ein-word (like the indefinite article).

The genitive case indicates possession or association, and is equivalent to, and replaces, the English word "of". "Des" and "der" (do not confuse with masculine singular nominative) mean "of the"; "eines" and "einer" mean "of a/an"; and, "der Sohn guten Weins" means "the son of good wine" (no article, M, Gen strong adj). Strict replacement of the genitive case with the word "of" maintains the word-order of the German nominal phrase: possessed - possessor (in genitive). The genitive case also replaces "'s" in English, though reversing the word-order (in English: possessor's possessed). German itself also uses an "s" (though without the apostrophe) to indicate possession, in the same word order as English. It is used mainly with proper nouns, such as "Goethes Heimat", as well as for compounding words.

Standard genitive constructions are used with nouns and modifiers of nouns such as articles and adjectives, and the inflection they receive implies possession. The first noun may be in any case and may occur in any part of the sentence; the second noun, which possesses the first noun, immediately follows the first noun, and is in the genitive case. The noun in the genitive case need not have any modifiers - e.g., Heimat Goethes, Heimat Katerina, which mean the homeland of Goethe and Katerina, respectively - though such constructions can be cumbersome and ambiguous.

Proper treatment of the genitive case, including all of the declensions, is found in another part of this book.

German pronouns have genitive forms, but they are used only rarely nowadays, mostly in archaic or formal German. In many cases, a preposition can be added to allow a different case to be used.
    
    
    Ich erinnere mich ihrer. (I remember her)
    Also possible: Ich erinnere mich an sie.
    
    
    
    Wir gedachten seiner. (We thought of him)
    Also possible: Wir dachten an ihn.
    
    
    
    Herr, erbarme dich unser! (Lord, have mercy upon us)
    Also possible: Herr, erbarme dich über uns.
    

The possessive pronouns (mein-, dein-, unser-, etc.) are almost identical in form to the genitive pronouns and but they directly modify their attribute and could be conceived of as adjectives, though they decline differently. Alternatively, one could think of possessive pronouns, e.g., "mein-", as replacing the phrase, "of me". Directly translated, "mein-" means "my" in English.

Examples:
    
    
    I want the teacher's book. Let's rewrite this as: I want the book of the teacher.
    -Ich will das Buch **des** Lehrer**s** (der Lehrerin).
    

\--The genitive case here is masculine (feminine) singular, inflecting the definite article (des/der) as well as the noun (Lehrer (+s), but not Lehrerin, which doesn't change because it is feminine).
    
    
    Without his friend's car, we cannot go home.
    -Ohne den Wagen seines Freundes können wir nicht nach Hause fahren.
    

\--Here, two possessive relationships are mentioned. The car belongs to the friend, and the friend belongs to "him". For illustrative purposes, one could conceivably re-write the prepositional phrase as "without the car (accusitive case) of the friend of him". German's rendering is far less awkward.
    
    
    The wall of the building is old and brown.
    -Die Wand des Gebäudes ist alt und braun.
    

\--As in the first example, the genitive case here is in the masculine singular, and inflects the definite article and the noun (M,N add +s/+es in the genitive case).

# Comparison of Pronouns to other Parts of Speech[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Pronouns&action=edit&section=T-1)]

Despite the difficulty many people have in learning German declensions, case-endings in German correspond to each other to a considerable degree. Specifically, the pronouns bear an obvious resemblance to their parent direct articles. Learning the corresponding 3rd-person declensions side-by-side allows some people to comprehend the declension pattern more easily.

As discussed above, possessive pronouns replace the genitive case for pronouns. In this table, they will be placed where the genitive case is, so that their similiarities to other parts of speech that actually are in the genitive case can become clear.

German is very rigorous in its use of gender, and will use the pronoun corresponding to the gender of the referential noun, regardless of whether the noun being referenced is a person (unlike English, which uses "it" for everything not a person or other entities (animals, ships) in certain contexts). _Der Liberalismus_ will be referred to as "er", or "he", whereas "das Mädchen" would be "es", or "it". Many English speakers have trouble with this, especially in spoken language. Mastery is nonetheless possible with a proper understanding of German declension and a considerable amount of practice.

  


**Side-by-side Declension of Definite Articles, der-word Endings, 3rd-Person Pronouns (and possessives), Strong Adjective Endings, and Interrogative Pronouns, to illustrate their similarities**

Gender and Case Definite Article der-word Endings Pronoun (possessive) Strong Adjective Endings Interrogative Pronouns, sometimes also used as relative pronouns

**Masculine**

Nominative
de**r**
-e**r**
e**r**
-e**r**
we**r** (who?)

Accusative
de**n**
-e**n**
ih**n**
-e**n**
we**n** (whom?)

Dative
de**m**
-e**m**
ih**m**
-e**m**
we**m** (to/for whom?)

Genitive
de**s** \+ s
-e**s**
(**s**ein-) (corresponding "s")
-en (M,N strong adjective endings in genitive case do not fit pattern)
(we**ssen**) (whose? - form similar to masculine, genitive relative pronoun). N.B.(1)

**Neuter**

Nominative
da**s**
-e**s**
e**s**
-e**s**
wa**s** (what?)

Accusative
da**s**
-e**s**
e**s**
-e**s**
wa**s** (what?)

Dative
de**m**
-e**m**
ih**m**
-e**m**

Genitive
de**s** \+ s
-e**s**
(**s**ein-) (corresponding "s")
-en (M,N strong adjective endings in genitive case do not fit pattern)

**Feminine**

Nominative
di**e**
-**e**
si**e**
-**e**

Accusative
di**e**
-**e**
si**e**
-**e**

Dative
de**r**
-e**r**
ih**r**
-e**r**

Genitive
de**r**
-e**r**
(ih**r**-)
-e**r**

**Plural**

Nominative
di**e**
-**e**
si**e**
-**e**

Accusative
di**e**
-**e**
si**e**
-**e**

Dative
de**n + n**
-e**n**
ih**nen** N.B.(2)
-**en**

Genitive
de**r**
-e**r**
(ih**r**-)
-e**r**

  
N.B.(1) The use of "wessen" is considered old-fashioned, though most Germans would find it endearing to hear a non-native speaker use the word. One is encouraged to use the "gehören + dativ (wem?)" construction, which means "to belong to s.o. (whom?)".

N.B.(2) The dative plural. Except for words whose plural form adds an "-s" (mainly loan-words), and words whose plural form already ends in "-n"/"-en", all nouns add an "-n/-en" in the dative plural. Like the s's added to masculine and neuter nouns in the genitive, this is a remnant from when German inflected all of its nouns, which other languages based on declension, such as Russian and Latin, retain. Sometimes one will notice an "-e" after masculine and neuter nouns in the dative case, such as the dedication on the Reichstag building - "Dem deutschen Volke", "for the German People".

This nominal declension is reflected in the dative plural pronoun (to/for them), "ihnen", instead of "ihn" (masculine, accusitive). For example,
    
    
    Helga: Können Sie bitte meinen Brüdern helfen?
    Olga: Natürlich, aber ich kann ihnen leider nur nach zwei Tagen helfen.
    Helga: Unsere Leben gehen trotzdem weiter.
    

Make a point of studying and getting used to the dative plural.

  


# Sentences[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=78)]

## Sentence Structure in Main clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-1)]

Here is the ultimate syntax guide for a main clause. German allows a considerable amount of syntactical freedom as parts of speech are indicated through case, rather than syntax. Nonetheless, there are conventions to follow, especially ones that reduce the ambiguity of pronouns.

**Word-Order in the Main Clause**

**First Position**
Anything
Used for emphasis. Sometimes people will even put a past participle or some other verb in the first position. You shouldn't do that until you know what you are doing. The first position is often used for the subject (Nominative), however.

**Second Position**
Conjugated Verb
"habe", "muss", "arbeitete"

**Mittelfeld**
Nominative Pronoun
"ich"

Reflexive Pronoun
"mich", "uns"

Accusative Pronoun
**A** "dich"

Dative Pronoun
**D** "dir", "mir"

(Temporal Expressions)
Expressions of time, especially short temporal adverbs, are often placed here.

Nominative Noun
"die Katze"

Dative Noun
**D** "meiner Mutter"

Accusative Noun
**A = ADDA** "meinen Vater"

Prepositional Phrases
Time, Manner, Place

Adverbs, Predicate Adjectives
Time, Manner Place

Verbal negation using "nicht"
see section on negation for proper treatment of this topic

**Final Position** All Remaining Verbs
Separable Prefixes
"Ich fange damit _an_!"

Past Participles (conjugated verb should be either "haben" od. "sein)
"Ich habe heute nicht _gearbeitet_."

Infinitives
Used with modal verb as conjugated verb. "Du sollst das nicht _tun_."

Used with modal-like verbs (sehen, hören, helfen, lassen) "Ich höre dich _atmen_."

Extended verb phrases: three verbs in sentence
Build Inwards

Translating a hypothetical English sentence with three verbs into German, the first English verb - the conjugated verb - would be in the second position in the German sentence. The second verb will be on the outside of the verb-phrase, at the end of the German sentence. The third verb will be immediately before that. Subj . 1 . [Mittelfeld] . 3 . 2.

"Ich _habe (1)_ seit dem Unfall nicht _arbeiten (3) können (2)_." "I have (1) not been able (2) to work (3) since the accident."

**Nachfeld**
The stuff you forgot to say, or that you just thought of after saying your verb. This happens to both native-speakers and those learning the language. However, try to avoid it.
This position is also used for comparisons. See below.

This is the officially-sanctioned syntax of a main clause. However, German syntax is not written in stone. One has considerable latitude in the way one constructs one's sentence. Before fleshing out the topic, here are some rules, conventions, and words of advice:

1) In terms of being placed in proper syntax, the pronouns are the most important, for they are the ones most liable to ambiguity ("sie" = which person, what part of speech, which case? Put it in its correct position).

2) It is not possible for a sentence to include all of the listed items, but it is still good to be able to reproduce that schema from memory.

3) You must be able to recognize an element of a sentence. For example, you must not split something like, "mit einem Buch", for that is a prepositional phrase, i.e., one and only one sentence element. Many other sentence elements are, however, only one word. You get a lot better at this as time goes on.

4) Two good mnemonics. Number one: pronouns before nouns. always. even if it feels weird to put both your accusative and dative objects before your subject (a noun), you must get used to it. It doesn't happen very often, though.

5) The second one is "ADDA" (i.e., NOT DAAD, the Deutsche Akademische Austausch Dienst). ADDA describes, first, the pronouns (Accusative, then Dative), and then the nouns (Dative, then Accusative). ADDA. think ABBA, but with D's instead of B's.

6) The first position is usually your subject, but can also draw attention to something you want to discuss.

7) As will be explained below, prepositional phrases and adverbs follow the "Time, Manner, Place" format.

8) Beyond reducing/eliminating ambiguity, you actually do have a fair amount of freedom. "Time, Manner, Place" is more a suggestion than a commandment, and most German textbooks tell you to learn the schema laid out above, but then to speak and write your sentences with items in _ascending order of importance_. Put the important stuff at the end. Then you get to your verb, which gives all of the words in the sentence meaning, resulting in a crescendo of emotion and understanding. Or not. But you see how that might work.

9) If you speak enough, your verbs start going to the right places. It will seem perfectly natural that the verb is in the second position, and that the other verbs are at the end. Getting used to subordinate clauses takes more time, but eventually your words go to the right place. Don't worry about making mistakes, but also try not to forget which verb you have waiting in your head until the sentence ends.

10) Banish the terms, "subject", "direct object", and "indirect object" from your head. Get used to explaining things in terms of "nominative", "accusative", "dative", and "genitive". Same goes for "linking-" and "helping-verbs". Start talking about modal verbs, and modal-like verbs.

In general, you have to learn how to talk about grammar to be able to study German successfully.

11) If you can do the declensions in your head, you can do the syntax in your head. Syntax is easier.

  


## Position of the Verb[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-2)]

### Clauses with one verb part - Sätze mit nur einem Verbteil[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-3)]

In a main clause (Hauptsatz), the conjugated verb is in _second position_.

  


**Clauses with one verb part**

First Position (I) (II) Mittelfeld Punctuation

1.
Er
geht
nach Hause
.

2.
Heute Abend
fahre
ich mit dem Auto nach Köln
.

3.
Im Park
machte
er einen langen Spaziergang
.

_Second position_ does not equal _second word_, as you can see above. However, there is only one group of words allowed before the conjugated verb. Such groups of words are called "phrases". While you can put very long phrases in front of the conjugated verb you mustn't use two. Therefore the sentence "Heute Abend ich fahre mit dem Auto nach Köln" is wrong. This is a big difference between English and German syntax.

### Clauses with two verb parts - Sätze mit zwei Verbteilen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-4)]

**Clauses with two verb parts**

First Position (I) (II) Mittelfeld Second Verb Punctuation

4.
Der Junge
zieht
den Mantel
an
.

5.
Der Junge
hat
den Mantel
angezogen
.

6.
Schüler
müssen
Hausaufgaben
machen
.

7.
Gestern
hat
sein Vater ein fantastisches Essen
gekocht
.

8.
Ein fantastisches Essen
hat
sein Vater gestern
gekocht
.

Sometimes you have to use more than one verb part in a clause. This is true for Perfekt forms, separable verbs, modals etc. Only one of these verbs is conjugated. The conjugated verb stays in second position, the other part goes to the end.

### Clauses with three verb parts - Sätze mit drei Verbteilen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-5)]

**Clauses with three verb parts**

First Position II Mittelfeld Third Verb Second Verb Punctuation

9.
Ich
werde
der morgen
nicht machen
können
.

10.
Du
hast
mich
nicht besuchen
dürfen
.

11.
Ich
kann
dir deinen Wagen übermorgen
umsetzen
helfen
.

Sometimes there are even three verbs in a sentence. These usually involve modals and perfect tenses. The conjugated verb is in the second position. The remaining two verbs are at the end of the clause, _building inwards_ that is to mean, what would be the second verb in English is placed at the end, and what would be the third verb is placed before the second verb.

## Order of phrases - Reihenfolge der Satzglieder[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-6)]

In English, you need the position of phrases to determine whether a noun phrase is a subject or an object. In German the cases tell you which role is assigned to a certain noun phrase. Therefore, the word order is less strict.

### First Position - erste Position[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-7)]

In neutral sentences the subject is most likely in the first position (Examples 1, 4, 5, 6).

However, you can put everything there you want to stress. This is very common with phrases about time or place (Examples 2, 3, 7). English speakers need to remember that the first position is restricted to exactly one phrase.

You can even put objects in first position (Example 8). You do it mostly, if you want to emphasize the object or if you have to repeat the sentence because your partner has not understood this particular part of it.

If the subject is not in first position, it goes directly after the conjugated verb (Examples 2, 3, 7, 8), unless preceded by a reflexive pronoun or an accusative or dative pronoun.

### Order of Phrases in the Middle of the clause - Reihenfolge der Satzglieder im Mittelfeld[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-8)]

#### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-9)]

In the middle of the sentence - the part between the two parts of the verb - word order is quite flexible.

Often the word order for a neutral sentence can be described like this:

  1. Time
  2. Objects
  3. Manner
  4. Place

The mnemonic is "STOMP" where S is for subject. However, when looking at wild German sentences you will find structures that do not follow these principles but are nonetheless correct. This is very frequent in spoken language. Mostly the deviation from the neutral structure is caused by a special focus. While they are not wrong, it would be inappropriate to use them all the time. Therefore it is best to learn the principles described here. If you have mastered them and can use them without thinking about it, you can try some of the deviations.

#### Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-10)]

Time seems to be a very important concept for German speaking people. It is mostly mentioned very early in the sentence, either at the very beginning in the first position which means that the subject goes directly after the conjugated verb (i.e.: Gestern war ich im Kino) or early in the middle field (i.e.: Ich war gestern im Kino). The sentence "Ich war im Kino gestern" is not exactly wrong, but it would sound weird in most situations. It could be used though in a casual conversation when putting special emphasis on "im Kino", but it's not the regular sentence pattern.

#### Order of Objects[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-11)]

The order of objects is different for nouns and pronouns. Pronouns always come before nouns, and reflexive pronouns come before everything except nominative pronouns. **ADDA**, mentioned above, is a good way to remember the prescribed order of cases for pronouns and then nouns. As sentences can contain only two objects, here are the three possible combinations deriving from ADDA:

Two pronouns: accusative before dative (_AD_)
    
    
    I   II    Acc. Dat.       
    Ich habe  sie  ihm  gegeben.
    Ich gab   sie  ihm         .
    

One noun, one pronoun: The pronoun goes first, regardless of the case
    
    
    I   II    Pronoun  Noun      
    Ich habe  ihm      die Kleider gegeben.
    Ich gab   sie      dem Jungen         .
    

Two nouns: dative before accusative (_DA_)
    
    
    I   II    Dat.           Acc.      
    Ich habe  dem Jungen     die Kleider gegeben.
    Ich gab   dem Jungen     die Kleider        .
    

#### Manner[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-12)]

This includes adverbs and prepositional phrases describing how, why, and by what methods the event of the sentence has taken place.

#### Place[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-13)]

This includes adverbs and prepositional phrases describing _location_ and _direction_

### Satzglieder im Nachfeld[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-14)]

In German grammar the term _Nachfeld_ is used to describe parts of the sentence that come **after** the second part of the verb. The _Nachfeld_ is neglected in most learner's grammars. It is mostly used in spoken language, when people add something to a sentence as an afterthought or with special emphasis. In **written language** it is important for comparisons. You put them almost exclusively in the nachfeld.

Consider the example _Peter verdient mehr Geld als Paul'_ (Peter earns more money than Paul). Now try to convert the sentence to the perfect. If you follow the normal sentence structure rules you would have to write: _Peter hat mehr Geld als Paul verdient_, but this is almost never done. The sentence best accepted by a majority of German speakers is: _Peter hat mehr Geld verdient als Paul_. The comparison is put **after** the past participle.

Note that the two items being compared must be in the same case. _Du verdienst mehr Geld als ich_. This is also correct grammar in English, though it is now almost obsolete among native English speakers.

## **Syntax of Interrogatives and Imperatives**[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-15)]

I am putting this up here for the sake of completion.

### Interrogatives[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-16)]

**Interrogatives** (questions) change word order in the first two fields or so. There are two kinds. In a question based on a verb, the conjugated verb comes first. Following that is the same string of pronouns first and nouns thereafter (and other sentence elements and finally the remaining verbs) that was detailed above. The main difference between questions and statements is that the freedom of the first position is eliminated; the item you wanted to emphasize must now find a different position in the sentence. The ascending-order-of-importance convention still holds.

Example:
    
    
    Q: Hast du schon "Fargo" gesehen?
    A: "Fargo" habe ich noch nicht gesehen.
    

The second kind of question involves a question word or wo-compound, which always comes at the beginning, and is immediately followed by the conjugated verb. They are then followed by the remaining parts of the sentence in the order outlined above. Be mindful of the case of the question word, and make sure never to use a wo-compound when referring to a person.
    
    
    Q: Warum hast du "Fargo" nie gesehen? (Why have you never seen "Fargo"?)
    A: Ich hatte keine Lust. (I had no interest.)
    
    
    
    Q: Wem hast du geholfen? (Wem = "whom?" in the dative case.) (Whom have you helped?)
    A: Ich habe meiner Mutter geholfen. (I have helped my mother.)
    
    
    
    Q: Bei wem hast du dich beworben?  (From whom have you applied [for a job]?)
    A: Beim Geschäft meines Onkels habe ich mich beworben. (I applied at my uncle's business.)
    
    
    
    Q: Worum hast du dich beworben? (For what did you apply?)
    A: Um eine Stelle habe ich mich beworben!  Bist du verrückt? (I applied for a job!  
    Are you insane?)
    

And so on.

### Imperatives[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-17)]

**Imperatives** (commands) also slightly alter the aforementioned main-clause sentence structure. Imperatives are formed in several ways:
    
    
    Geh', bitte!  (Please go, informal)
    Gehen Sie, bitte! (Please go, formal)
    Gehen wir, bitte! (Let's go! Within a group)
    

This sequence - verb in imperative form, perhaps followed by the person to whom it is directed in the nominative case (depending on the kind of imperative used, however) - is then followed by all of the other elements of the sentence, in the aforementioned order.

German-speakers, like English-speakers and the speakers of many other languages, consider the use of the imperative mood to be rude, and, as in English, use a conditional or subjunctive construction to convey requests. This will be dealt with in a different section of this book.

Both of these syntaxes are very easy to master once you understand main-clause syntax.

## Coordinating Conjunctions[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-18)]

Before moving on to subordinate and relative clauses, we must address **coordinating conjunctions** and parallel clauses. A coordinating conjunction is a conjunction that connects two clauses that are able to stand alone, i.e., two main clauses.

Here are some examples in English:
    
    
    I am here and I am glad to see you.
    You are grateful for this job, or you are a spoiled brat.
    

Commas are generally optional in English, whereas they used more often in German.

Here are the common coordinating conjunctions one would find in German:
    
    
    **German**   **English**
    
    
    
    aber     but, nevertheless, however 
    denn     for, because (rarely used in spoken German; not to be confused with _weil_)
    oder     or 
    sondern  but rather 
    und      and
    

As coordinating conjunctions connect two independent clauses, they do not affect word-order in the two clauses. The first clause is often separated from the second with a comma - especially if it is a long or complicated clause - after which follows the coordinating conjunction and the second clause.

Here are some examples in German:
    
    
    Ich hasse und ich liebe, und ich weiß nicht warum.  (Odi et amo - Catullus)
    Ich bin nicht jung, aber ich bin froh.
    

There are two more constructions to be aware of: _entweder/oder_ and _weder/noch_, which correspond to "either/or" and "neither/nor", respectively.
    
    
    Entweder bist du mit uns gemeinsam, oder du bist unser Feind.
    

_Entweder/oder_ and _weder/noch_ can also be employed to contrast two items as well as clauses. Note how "entweder" functions as an adverb.

English speakers should take note of the difference between _aber_ and _sondern_, both of which can be translated directly as "but". _Aber_ means "however". _Sondern_ means "rather". Many other languages make this distinction.

Coordinating conjunctions are rather straightforward, and the number of coordinating conjunctions is few.

## Dependent Clauses: Subordinate and Relative Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-19)]

### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-20)]

**Subordinate and relative clauses** introduce information regarding the main clause that needs to be expressed as a separate clause. They are collectively called "dependent clauses" because they are unable to stand by themselves as independent clauses. Usually, subordinate and relative clauses occupy a part of the main clause that was not fully explained; subordinate clauses tend to fulfill more abstract missing sentence elements than relative clauses do. Here are a few examples in English:

Subordinate Clauses:
    
    
    I know _that you are unhappy_.
    We came _because it was your birthday._
    We came _because we knew_ that you were having a rough time.
    

This last example has two subordinate clauses: _because we knew_ and _that you were having a rough time_.

Subordinate clauses are usually set off by a _subordinating conjunction_, such as _that_, _because_, _when_, _if_, and so on. In English, it is sometimes possible to omit the subordinating conjunction, specifically _that_, resulting in sentences such as, "I know you are unhappy," which is perfectly acceptable in English. Such an option does not exist in German.

Relative Clauses:
    
    
    I know the person _to whom you were talking_ (_who you were talking to_).
    God helps those _who help themselves_.
    You are the person _that got hit by the fly-ball at the game on Saturday._
    

Relative clauses relate one element of a clause to another clause by way of a _relative pronoun_. The system of relative pronouns in German is considerably more extensive than that of English.

In German, both subordinate clauses and relative clauses affect syntax, in most cases by moving the conjugated verb to the end of the clause. _Both subordinate clauses and relative clauses are set off by a comma in German,_ which can frequently be omitted in English. We should now examine the two types of clauses in greater detail, and then return to their syntax.

### Subordinate Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-21)]

Subordinate clauses are always set off by a comma, and begin with a subordinating conjunction. Here is a list of all subordinating conjunctions in German. Note how all of them answer a question presumably introduced in the main clause:

**Subordinating Conjunctions**

German English

als
as, when

bevor
before

bis
until

da
as, since (because)

damit
so that, with it

dass
that

ehe
before

falls
in case

indem
while; "by [do]ing..." See below.

nachdem
after

ob
whether

obgleich
although

obschon
although

obwohl
although

seit/seitdem
since (time)

sobald
as soon as

sodass / so dass
so that

solang(e)
as long as

trotzdem
despite the fact that

während
while, whereas

weil
because

wenn
if, when, whenever

Furthermore, all interrogative (question) words, such as _wie_, _wann_, _wer_, and _wo_, and wo-compounds, may be used as subordinating conjunctions. For example:
    
    
    Ich weiß nicht, wohin er gegangen ist.  (I don't know where he went.)
    Ich weiß nicht, wie das Fest sich entwickelt hat.  (I don't know how the party turned out)
    Ich weiß nicht, warum er dir so böse ist.  (I don't know why he is so mad at you.)
    

Subordinate clauses provide information missing in the main clause. Consider the previous two examples. In both cases, the subordinate clause answered the question, "what?", or what would have been the accusitive object. Other subordinate clauses provide information that would otherwise have been provided by one of the several parts of speech.
    
    
    Er hat mich geschlagen, als meine Frau im Klo war.  (He hit me when my wife was in the bathroom.)
    

In this example, the subordinate clause, set off by the conjunction, "als", answers the question, "when?", which would otherwise be answered adverbially.

The syntax regarding subordinate clauses will be discussed later. At this point, a property of subordinate clauses that is not altogether shared with relative clauses should be pointed out. Subordinate clauses are themselves _parts of speech_ for the main clause, and to a limited extent can be treated as such. Consider the following two sentences, which are equivalent:
    
    
    Ich darf in Kanada bleiben, solange wir noch verheiratet sind.
    Solange wir noch verheiratet sind, darf ich in Kanada bleiben.
    

Note how, in the second sentence, the subordinate clause occupied the _first position_, immediately followed by the conjugated verb. In reality, the use of subordinate clauses as parts of speech integrated into the main clause is limited; they are, for aesthetic reasons, restricted to the first position and to following the main clause. At both times they are set off from the main clause by a comma.

_Indem..., ist x passiert._ This subordinating conjunction accomplishes the same functions as the English construction, "by [do]ing something..., x happened."
    
    
    Indem er die Tür offen gelassen hat, hat er auch die Räuber ins Haus eingelassen.
    By leaving the door open, he let the robbers into the house.
    

By requiring a subject in the clause, the German construction is less susceptible to ambiguity than English is; consider the sentence, "by leaving the door open, the robbers were able to enter the house," which is lacking an agent for the door being left open, even though such a construction is common in spoken English.

This section must make note of the differences between the words, _als_, _wenn_, and _wann_, all of which can mean "when" in English.

_Als_ refers to a single event or condition in the past, usually expressed using the preterite tense.
    
    
    Als du mich anriefst, war ich noch nicht zu Hause.  (When you called me, I was not yet home.)
    

_Wann_ is the interrogative word for "when". It's use as a subordinating conjunction is limited to indirect questions and immediate temporal events.
    
    
    Ich weiß nicht, wann er nach Hause kommen wird.
    

_Wenn_ is the most versatile of the three, and has several other meanings beyond its temporal meaning. In the temporal space _wenn_ describes, events are less recognized, or focuses on a condition, rather than an event.

Finally, "wenn" has one other principal function. It also means, "if", and is used in conditional and subjunctive statements.
    
    
    Wenn ich einmal reich wär', ... (If i were ever rich...)
    

We will return to syntax later.

### Relative Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-22)]

In many ways, a relative clause is a lengthy description of an item in the main clause. Minimally, a relative clause takes a part of speech from the main clause, known as the _antecedent_ and uses it in the dependent clause. What connects the two is a _relative pronoun_. As should already be published in this book, the following declension table is provided:

**Relative Pronoun - Declension Summary**

**Case** **Masculine** **Neuter** **Feminine** **Plural**

**Nominative**
der
das
die
die

**Accusative**
den
das
die
die

**Dative**
dem
dem
der
**denen**

**Genitive**
**dessen**
**deren**
**dessen**
**deren**

Relative pronouns are similar to the definite article, with the exceptions of the dative plural and the genitive case being marked in bold.

Note that the distinctions between "that" and "which"; and "that" and "who" in English do not exist in German, where everything is described with a standard set of relative pronouns with no regard to how integral the qualities described in the relative clause are to the antecedent.

As relative clauses take one item from the main clause and use it in some way in a dependent clause, it is important to consider how relative pronouns work to avoid confusion. All words in German possess gender, number (singular or plural), and case. The _main clause_, as it relates to the _antecedent_, determines the _gender and number_ of the relative pronoun; the _relative clause_ determines its _case_.

In order to use relative clauses successfully, it is critical that this point be understood. Gender and number are "inherent" to the antecedent; no grammatical agent could conceivably change those properties. The relative pronoun's case is determined by its role in the relative clause, i.e., how it relates to the other parts of speech in the clause. Consider the following examples, all based on "the man", who is masculine and singular, and apparently not well-liked.

**Case of Relative Pronoun** **Example**

**Nominative**
Der Mann, _der_ nach Hause allein ging, ...

The man, _who_ went home alone, ...

**Accusitive**
Der Mann, _den_ mein Freund während der Hochzeit schlug, ...

The man, _whom_ my friend punched at the wedding, ...

**Dative**
Der Mann, _dem_ meine Mutter kein Weihnachtsgeschenk gegeben hat, ...

The man, _to whom_ my mother didn't give a Christmas present, ...

**Genitive**
Der Mann, _dessen_ Tochter arbeitslos ist, ...

The man, _whose_ daughter is unemployed, ...

In each of these examples, the gender and number of the relative pronoun were determined by the antecedent, while the case of the relative pronoun was determined by its role in the relative clause. Note particularly the genitive example, wherein the relative pronoun, meaning _whose_, modified a feminine noun, without his gender being affected.

Whenever you construct a relative clause, be mindful of this rule. Don't confuse yourself with its complexity, especially regarding the genitive case. As discussed in the chapter on personal pronouns, the word "whose", as well as other possessive pronouns such as "my", "your", and so forth, is a _pronoun_ and not an adjective. The pronoun always expresses the characteristics of its antecedent, viz., gender and number.

Relative pronouns offered within prepositional phrases are perfectly acceptable:
    
    
    Der Mann, mit dem meine Mutter wieder gestritten hat, ...
    The man, with whom my mother argued again, ...
    

However, if the antecedent is not a person, and the relative pronoun falls within a prepositional phrase, a wo-compound is frequently substituted:
    
    
    Das Flugzeug, worin ich nach Seattle geflogen bin, war fast kaputt.
    The airplane, in which I flew to Seattle, was almost broken.
    

Relative clauses almost invariably _follow_ the item that they are modifying or the main clause as a whole (with the gender and number of the relative pronoun indicating - to some extent - which potential antecedent it is referring to). Very rarely do they precede the main clause. Exceptions to this come in the form of aphorisms and proverbs:
    
    
    Der (oder Wer) heute abend ruhig einschläft, bekommt morgen Eiskrem und Keks.  
    (He who goes to bed quietly tonight will get ice-cream and cookies tomorrow 
    - something a mother might say to her children.)
    

This usage is relatively unimportant.

One final property of relative clauses should be discussed. Relative clauses in some way describe their antecedent. The rules governing attributes in German are considerably more flexible than in English, because the German case system reduces ambiguity. This allows the German speaker to turn a relative clause into an extended attribute, which is essentially a long adjective. Compare the following two sentences, which are equivalent:
    
    
    Der Mann, der jede Woche auf Dienstreise nach Seattle fährt, ist krank.
    The man, who drives to Seattle every week on business, is sick.
    
    
    
    Der jede Woche nach Seattle auf Dienstreise fahrende Mann ist krank.
    The to-Seattle-every-week-on-business driving man is sick.
    

Such a construction is ludicrious in English, but not-uncommon in German. The experienced reader of German will, with practice, be able to read through such an item without difficulty.

It would be best to review what we have learned about subordinate and relative pronouns before discussing their syntax. Dependent clauses - both subordinating and relative clauses - modify or in some other way describe the antecedent clause upon which they are based. Subordinating clauses provide a variety of ways in which new information can relate to the main clause, many of which are adverbial in nature (e.g., "weil/because", but not "dass/that", which, in the examples above, replaced the accusitive object). Relative clauses modify and describe entities already mentioned in the main clause. Generally speaking, only subordinate clauses have the ability to occupy the first position in a main clause.

Format:
    
    
    Main clause, subordinating conjunction + subordinate clause.
    Subordinating conjunction + subordinate clause, conjugated verb + main clause.
    
    
    
    Main clause including antecedent, relative pronoun based on antecedent + relative clause.
    

### Syntax of Dependent Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-23)]

Subordinate and relative clauses have similar syntax. Indeed, neglecting the verbs, they have a syntax similar to main clauses. Recall the syntax described at the beginning of this chapter. That syntax will form the basis of the Mittelfeld in dependent clauses.

**Syntax of Dependent Clauses**

**Field** **Items** **Examples**

**Comma**
All dependent clauses are set off with a comma unless occupying the first position of a main clause
,

**Conjunction**
For subordinate clauses, this is the _subordinating conjunction_. For relative clauses, this is the _relative pronoun._
"dass", "weil", "obwohl", "denen"

**Mittelfeld**
The Mittelfeld of a dependent clause follows the same syntax as the Mittelfeld of the main clause.

Nominative Pronoun
"ich", "wir"

Reflexive Pronoun
"mich", "uns"

Accusative Pronoun
**A** "dich"

Dative Pronoun
**D** "dir", "mir"

Nominative Noun
"die Katze"

Dative Noun
**D** "meiner Mutter"

Accusitive Noun
**A = ADDA** "meinen Vater"

Prepositional Phrases
Time, Manner, Place

Adverbs, Predicate Adjectives
Time, Manner, Place

**Verbs**
Verbs will be dealt with in greater detail below.
They are very complicated.

**Number of Verbs**
**Placement of Verbs** (always at end of clause}

**One** (conjugated)
At end of Clause

**Two** (conjugated - modal/-like or auxiliary; infinitive)
Build inwards. Infinitive, then conjugated verb

**Three**

Modal/-like is _conjugated_
3.2.1. Build inwards.

Modal/-like is _not conjugated_ (likely the second verb)
Conjugated verb (1); infinitive verb (3); modal verb (2)

  
Once again, no dependent clause will contain each of these elements. But understanding the position of pronouns is critical. The same conventions listed under the main clause schema apply.

  


#### Verbs in Dependent Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-24)]

The way the verbs are arranged depends on the number of verbs in the verb-phrase, and the presence of a modal verb.

  
**Dependent Clauses with One Verb**

This is the simplest case. Such a clause has one verb, conjugated based on the person and number of the subject of the sentence. This conjugated verb is placed at the end of the clause.

**Subordinate Clause**
Du weißt, dass ich dich _liebe_. (You know that I love you.)

**Relative Clause**
Er ist ein Mann, der oft Berlin _besucht_. (He is a man who often visits Berlin.)

  
**Dependent Clauses with Two Verbs**

A clause with two verbs has one conjugated verb and one verb in the infinitive. Such examples are clauses in a perfect tense (wherein the conjugated verb is the auxiliary verb, either "haben" or "sein"), the future tense ("werden"), ones with modal verbs, and ones with modal-like verbs (sehen, hören, helfen, lassen).

In a main clause, the conjugated verb will be in the second position, and the infinitive verb will be at the end of the clause.

In a dependent clause, both verbs will be at the end of the clause, with the conjugated verb _last_. This supports the principle of "building inwards".

**Subordinate Clause**
Du weißt, dass ich dich nicht _lieben kann_. (You know that I cannot love you.)

**Relative Clause**
Er ist ein Mann, der nach seiner absolvierten Prüfung Berlin besuchen wird. (He is a man who will visit Berlin after his graduation exam.)

  
**Dependent Clauses with Three Verbs**

Sentences with three verbs typically involve a modal verb, whose presence complicates matters terribly. Let us think of some examples in English.

1) I am not able to help you move your car. - können - helfen - bewegen

2) I will be able to go to the store with you. - werden - können - gehen

3) I have not been able to afford that. (haben + "sich (dat) etw. leisten können" = to be able to afford sth.)

4) I have not been able to reach you over the phone. - haben - können - erreichen

And so on. The problem is, after you've learned how to put your verb at the end of the sentence in a main clause, and after you've learned how to "build inwards" in dependent clauses, and after you've pulled your hair out, night after night, sitting in a cafe in Seattle declining relative pronouns, German grammar throws _yet another_ rule at you, this one so pointless and downright counter-productive, and it seems like German grammar is simply making fun of you at this point, that you leap out of your seat, scream "woo hoo!", and then get back to work.

The modal verb (or the modal-like verb) has to be at the end of the verb phrase, regardless of whether it has been conjugated. In cases where it has not, the conjugated verb moves to the beginning of the verb phrase. Let's look at our examples above.

_Du weißt, dass..._

1) ...ich dir dein Auto nicht _bewegen helfen kann_. This one is straightforward, because the modal verb is the conjugated verb, allowing the clause to follow the "build inwards" principle.

2) ...ich zum Markt mit dir nicht _werde gehen können_. The modal verb must come last. No semantic or logical reason for this.

3) ...ich mir das nicht _habe leisten können_. The modal verb must come last. Note here that the modal verb does not form a past participle when it has main verb to modify.

4) ...ich dich am Telefon nicht _habe erreichen können_. Note the somewhat sensible placement of "nicht".

And so...

**Verb-order in Dependent Clauses**

Number of Verbs Placement of Verbs (always at end of clause}

**One** (conjugated)
At end of Clause

**Two** (conjugated - modal/-like or auxiliary; infinitive)
Build inwards. Infinitive, then conjugated verb

**Three**

Modal/-like is _conjugated_
3.2.1. Build inwards.

Modal/-like is _not conjugated_ (likely the second verb)
Conjugated verb (1); infinitive verb (3); modal verb (2)

## Infinitive Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Sentences&action=edit&section=T-25)]

The reader is already familiar with several types of German verbs that require other verbs; these verbs are _modal_ verbs (_können, dürfen, wollen,_ etc.); _modal-like_ verbs (_sehen, hören, helfen, lassen_); _auxilliary_ verbs (_sein_, _haben_), used for the perfect tenses; and _werden_, used for future and passive constructions. Another verb that can take another verb without forming an infinitive clause is _bleiben_ (e.g., _stehenbleiben_, to remain standing). These verbs never form infinitive clauses, and the verbs that are used with them go at the end of the sentence.

**Infinitive clauses** are another kind of clause found in German, and are equivalent to infinitive clauses in English. Consider the following examples in English:
    
    
    I am here (in order) to help you clean your house.
    The car is ready to be driven.
    I work to be able to afford my car.
    

Infinitive clauses are formed after verbs that do not regularly take other verbs. They indicate purpose, intent, and meaning of the action in the main clause. As such, infinitive clauses have _no subject_, or no nouns in the nominative case. Here are the above examples in German:
    
    
    Ich bin hier, um dir dein Haus putzen zu helfen.
    Das Auto ist bereit, gefahren zu werden.
    Ich arbeite, um mir ein Auto leisten zu können.
    

Infinitive clauses are usually found after a main clause, though it is possible for them to occupy the first position of a main clause. They are always set off by a comma.

Of particular interest is the construction, "_um...zu..._"", which corresponds to the English construction, "in order to...". _Um_ is placed at the beginning of the clause, after which follows a standard infinitive clause. Whereas "in order" is frequently omitted from English infinitive clauses of this sort, "_um_" is always included such clauses in German.

The Mittelfeld follows the standard syntax of main clauses, though without nominative nouns and pronouns. At any rate, infinitive tend to be rather short.

Verbs (in the infinitive form) always come at the end, immediately preceded by the word _zu_. In the case of separable-prefix verbs, such a verb is written as one word, with the word _zu_ between the prefix and the main verb; e.g. _anzuschlagen_, _auszugehen_, _abzunehmen_, and so forth.

The syntax of infinitive clauses can thus be summarized as follows:

**Syntax of Infinitive Clauses**

**Position** **Contents** **Examples**

**Introduction**
Comma or Capital Letter (beginning of sentence)
"," "Um"

**Mittelfeld**
Reflexive Pronoun
"mich", "uns"

Accusative Pronoun
**A** "dich"

Dative Pronoun
**D** "dir", "mir"

(Temporal Expressions)
Expressions of time, especially short temporal adverbs, are often placed here.

Dative Noun
**D** "meiner Mutter"

Accusitive Noun
**A = ADDA** "meinen Vater"

Prepositional Phrases
Time, Manner, Place

Adverbs, Predicate Adjectives
Time, Manner Place

**Infinitive Verb Phrase**
**Verbs with no separable prefix**
_zu_ \+ Infinitive; e.g., "_zu gehen_"

**Verbs with separable prefix**
prefix-_zu_-infinitive, written as one word; e.g., "_anzufangen_"

**End**
Either a period to end the sentence, or a comma to introduce the main clause
","; "."

  


# Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=79)]

## Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-1)]

German verbs can be classified as _weak_ or as _strong_. Weak verbs are very regular in their forms, whereas strong verbs change the stem vowel.

Weak:
    
    
    kaufen, kaufte, gekauft
    

Strong:
    
    
    singen, sang, gesungen
    

With its Anglo-Saxon origin, this notion is also present in English.
    
    
    flip, flipped, flipped
    sing, sang, sung
    

Some German verbs have weak and strong forms. This may depend on meaning:
    
    
    Der Botschafter wurde nach Berlin gesandt.
    Der Süddeutsche Rundfunk sendete ein Konzert aus dem Gasteig.
    

Or on transitive vs. intransitive use:
    
    
    Das Hemd hing auf der Wäscheleine.
    Sie hängte das Hemd auf die Wäscheleine.
    

## Separable Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-2)]

Sometimes you will run into verbs such as anrufen, aufräumen, mitkommen. These verbs are examples of Separable Prefix Verbs. When you see these kinds of verbs, it will have a preposition prefix followed by a verb. These verbs separate when they are the main verb of a sentence.

EXAMPLES:

I am calling the butcher. Ich rufe den Metzger an.

I am trying on the boots. Ich probiere die Stiefel an.

## Reflexive Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-3)]

**Reflexive Verbs** are verbs involving the reflexive pronoun "sich" and its conjugations that reflect, or refer back, to the performer of the action. There are only accusative and dative reflexive pronouns.

Accusative reflexive pronouns are used when there is no direct object. Dative reflexive pronouns are used when a direct object is present. However, when using a direct object, the possessive is not used.

Examples:

    Accusative: _Ich **verletze mich**._ I injure myself.
    Dative: _Ich **verletze mir** die Hand._ I injure my hand.

    Accusative: _Er hat **sich verbrannt**._ He burned himself.
    Dative: _Er hat **sich** den Daumen **verbrannt**._ He burned his thumb.

  


Reflexiv Pronommen

Akkusativ (Wenfall) Dativ (Wemfall)

1st sg.
mich
mir

2nd sg. (informal)
dich
dir

1st pl.
uns
"

2nd pl. (informal)
euch
"

2nd sg. or pl. formal; 3rd.
sich
"

Notice that all reflexives are the same as the Akkusativ and Dativ Pronoun Declensions — _except_ for 3rd Person and 2nd sg./pl. Person formal (_man/sie/Sie_), in which case all reflexives are _sich_.

## Modals[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-4)]

### Dürfen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-5)]

_Dürfen_ means to be allowed/permitted, may.

Present Past Conjunctive II

ich
**darf** (I am allowed to)
**durfte**
**dürfte**

du
**darfst** (You are allowed to)
**durftest**
**dürftest**

er/sie/es
**darf** (He/She/It is allowed to)
**durfte**
**dürfte**

wir
**dürfen** (We are allowed to)
**durften**
**dürften**

ihr
**dürft** (You (plural) are allowed to)
**durftet**
**dürftet**

sie/Sie
**dürfen** (They are allowed to/You (formal) are allowed to)
**durften**
**dürften**

Examples:
    
    
    **Darf ich einen Freund zum Fest bringen?** May I bring a friend to the party.
    **Man darf hier nicht rauchen.** One is not allowed to smoke here.
    **Niemand durfte die Stadt verlassen.** No one was allowed to leave the city.
    

### Können[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-6)]

_können_ means 'to be able, capable'. It is cognate with the English word 'can'/'could'.

Present Past Conjunctive II

ich
**kann** (I can)
**konnte**
**könnte**

du
**kannst** (You can)
**konntest**
**könntest**

er/sie/es
**kann** (He/She/It can)
**konnte**
**könnte**

wir
**können** (We can)
**konnten**
**könnten**

ihr
**könnt** (You can)
**konntet**
**könntet**

sie/Sie
**können** (They can)
**konnten**
**könnten**

Examples:
    
    
    **Ich kann das nicht tun.** I can't do it.
    **Wir konnten sie nicht erreichen.** We could not reach them.
    

### Mögen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-7)]

_mögen_ expresses a pleasure, or desire. In the present tense, it is used transitively with people or food. e.g. 'Ich mag dich' 'I like you' or 'Ich mag Erdbeeren' 'I like strawberries'. The subjunctive (of the past) expresses preference to perform the action of a subordinate clause 'Ich möchte nach Frankreich reisen' _I would like to travel to France'. 'mögen' is cognate with the English verb 'may'/'might'._

Present Past Conjunctive II

ich
**mag** (I would like to)
**mochte**
**möchte** (I would like to)

du
**magst** (You like to)
**mochtest**
**möchtest** (You would like to)

er/sie/es
**mag** (He/She/It likes to)
**mochte**
**möchte** (He/She/It would like to)

wir
**mögen** (We like to)
**mochten**
**möchten** (We would like to)

ihr
**mögt** (You like to)
**mochtet**
**möchtet** (You would like to)

sie/Sie
**mögen** (They like to)
**mochten**
**möchten** (They would like to)

Example:
    
    
    **Ich möchte nach Deutschland reisen.** I would like to travel to Germany.
    

(There is also a present subjunctive _möge_, which is very formal:  
Der König sagte: "Er möge eintreten." - The king said: "He may enter.")

### Müssen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-8)]

_müssen_ expresses something forced on you. It is etymologically related to 'must'.

Present Past Conjunctive II

ich
**muss** gehen (I must/have to go)
**musste** (I had to)
**müsste**

du
**musst**
**musstest**
**müsstest**

er/sie/es
**muss**
**musste**
**müsste**

wir
**müssen**
**mussten**
**müssten**

ihr
**müsst**
**musstet**
**müsstet**

sie/Sie
**müssen**
**mussten**
**müssten**

Examples:
    
    
    Ich **muss nicht** arbeiten. ~ Ich **brauche nicht zu** arbeiten.  I **don't have to** work.
    Ich **darf nicht** arbeiten.  I **must not** work.
    

Note that the negative **nicht müssen** is not the English **must not**, but rather **need not** or **don't have/need to**. **must not** translates to **nicht dürfen**.

There are however some northern German uses like:
    
    
    Du **musst** das **nicht** tun meaning Du **solltest** das **nicht** tun.
    

### Sollen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-9)]

_sollen_ expresses an obligation or duty. It is etymologically related to 'shall'.

Present Past

ich
**soll** schwimmen (I am to swim)
**sollte** (I was to)

du
**sollst**
**solltest**

er/sie/es
**soll**
**sollte**

wir
**sollen**
**sollten**

ihr
**sollt**
**solltet**

sie/Sie
**sollen**
**sollten**

### Wollen[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-10)]

_wollen_ means to want.

Present Past

ich
**will** rennen (I want to run)
**wollte**

du
**willst**
**wolltest**

er/sie/es
**will**
**wollte**

wir
**wollen**
**wollten**

ihr
**wollt**
**wolltet**

sie/Sie
**wollen**
**wollten**

### Use in Perfect (and Pluperfect) Tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-11)]

Although all these modals have a normal perfect:
    
    
    **gedurft gekonnt gemocht gemusst gesollt**
    

in connection with other verbs, the infinitive form is used:
    
    
    Ich habe das tun **dürfen - können - mögen - müssen - sollen**.
    

Wrong:
    
    
    Ich habe das tun **gedurft - gekonnt - gemocht - gemusst - gesollt**.
    

It holds also for the verbs **sehen** and **hören**:
    
    
    Ich habe ihn kommen **sehen - hören**.
    

### Use of modal verbs as full verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-12)]

Modal verbs can be used as full verbs indicating motion.
    
    
    **Er muss nach Berlin** He must go to Berlin.
    

## Present Tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-13)]

### Use[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-14)]

The Present Tense is used for..

  * The Present Tense (="das Präsens") is used to describe situations that are happening and aren't the past.
  * For Ongoing Action, like _I'm swimming in the pool now_
  * Everyday Truths, like _The moon and stars will come at night._
  * Future meaning, if explicitly stated, like _I will run tomorrow morning_
  * Actions started in the past and still going on in the present _I've been cleaning the house all day_

### Progressive Forms[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-15)]

There is a present progressive tense in colloquial spoken German. Its use is optional.

Here is one example:

Ich bin am Fahren. (I am at the driving) I'm driving.

The person to say this would be driving during the time they say this and they would continue to drive after stating this for some time.

You nominalize the verb ("fahren" (driving) becomes "das Fahren") and add a "am". You can also do this with forms of the past.

Als er kam war ich gerade am Abwaschen. (When he arrived i was at "the dishwashing") I was washing the dishes when he arrived.

So the verb "sein" (to be) includes the information what tense he was doing what he did in.

Here the progressive meaning is also emphasized with the word "gerade" meaning something like: I was JUST ABOUT to wash the dishes(not the same though because it means he is already doing it and not about to start).

## Perfect Tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-16)]

The **Perfect Tense** or **das Perfekt** of verbs is used to talk about things in the past which have already happened. It is sometimes referred to as "Present Perfect Tense". This can cause confusion. While the formation is similar, the meaning and usage differs.

### Formation[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-17)]

As in English, the perfect tense consists of two parts. An auxiliary (Hilfsverb) and a past participle (Partizip Perfekt). Compare the examples given below with their English translations.

Er
hat
gelacht.

_He_
_has_
_laughed._

Sie
ist
gekommen

_She_
_has_
_come_.

Die Kinder
haben
gegessen.

_The children_
_have_
_eaten_.

  


### Past participle for regular verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-18)]

The **general rule** is simple:

verb prefix \+ 3rd-person sing. participle(er/sie/es)

lachen (laugh)
ge
\+ (er/sie/es) lacht
gelacht

kaufen (buy)
ge
\+ (er/sie/es) kauft
gekauft

mähen (mow)
ge
\+ (er/sie/es) mäht
gemäht

There are some groups of regular verbs that slightly differ from that pattern.

Some verbs **drop the prefix ge-**. Like the other regular verbs they end in -t. These are:

1\. Verbs with _unseparable prefixes_ (be-, ent-, er-, empf-, ge-, ver-, miss-, zer-)  
Examples:

verb past participle

besuchen (visit)
besucht

entfernen (remove)
entfernt

erreichen (achieve)
erreicht

gehören (belong)
gehört

verstecken (hide)
versteckt

missverstehen (misunderstand)
missverstanden

2\. Verbs _ending in -ieren_  
Examples:

verb past participle

kopieren (copy)
kopiert

polieren (polish)
poliert

3\. Another group is formed by **verbs with separable prefixes**  
With separable verbs, the prefix ge is placed between the prefix and the rest of the verb.  
Examples:

verb sep. pref.+ ge + 3rd-person sg. = past participle

aufmachen (open)
auf + ge + macht
= aufgemacht

abstellen (put down)
ab + ge + stellt
= abgestellt

**Separable** and **inseparable** verbs are distinguished by the **stressed syllable**:

verb past participle

über'setzen (to translate)
über'setzt

'übersetzen (to ferry across)
'übergesetzt
    
    
    Er hat das Buch ins Chinesische übersetzt.
    Der Fährmann hat den Passagier übergesetzt (über den Fluss gesetzt).
    

### Past Participle for Irregular Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-19)]

Irregular verbs always end in **-en**. The **vowel can be different** from the one in present tense. Look at some examples:

infinitive 3rd-person sg. past participle

gehen (go)
geht
gegangen

essen (eat)
isst
gegessen

schreiben (write)
schreibt
geschrieben

trinken (drink)
trinkt
getrunken

schlafen (sleep)
schläft
geschlafen

nehmen (take)
nimmt
genommen

You have to learn these forms by heart. How you can obtain the necessary information and how you should learn them is described in _section tips for learning_ below.

Note that irregular verbs can be combined with the same prefixes as described above. The same rules regarding the prefix _ge-_ apply. Therefore the forms for _schreiben_, _verschreiben_ and _aufschreiben_ are _geschrieben_, _verschrieben_ and _aufgeschrieben_ respectively.

#### Which verbs are irregular[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-20)]

A lot of verbs that are irregular in English are irregular in German, too. Unfortunately, this is not always true. It is most likely when the German and the English verb are related (i.e. look similar).

Examples:
    
    
    see:    irregular   sehen:    irregular
    buy:    irregular   kaufen:   regular
    get:    irregular   bekommen: irregular ;-)
    

Regular verbs are much more frequent than irregular ones, but a lot of the irregular verbs are used very frequently, for instance haben, sein, gehen, kommen etc.

When in doubt whether a verb is irregular or not, it is best to look it up in a dictionary (See below).

### _Haben_ or _sein_ as auxiliaries[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-21)]

**Whether a verb is irregular** or not **does not influence the choice of auxiliary.**

**Most verbs** take _haben_ as auxiliary.

A) Verbs which take an **accusative object** (transitive verbs)  
B) **Reflexive verbs** always take **haben** as auxiliary.

Examples A:
    
    
    trinken: Er hat ein Bier getrunken.
    lesen:   Sie hat ein Buch gelesen
    kochen   Sie haben gestern Spaghetti gekocht.
    

Examples B:
    
    
    sich freuen   Ich habe mich gefreut
    sich kämmen   Er hat sich gekämmt
    sich ärgern   Wir haben uns schon lange nicht mehr so geärgert.
    

The **auxiliary sein** is taken by verbs that describe  


    C) the relocation from one place to another or
    D) the change of a state 

    and with
    E) **sein** (be) and **bleiben** (stay)

**Note**: none of the verbs from groups C-E is combined with an accusative object.

Examples C: relocation verbs
    
    
    verb               aux.  irregular  sentence with perfect tense 
    kommen (come)      sein  yes        Ich bin gekommen.
    reisen (travel)    sein  no         Wir sind schon dreimal nach China gereist.
    fahren (drive)     sein  yes        Ich bin mit dem Auto nach Kalifornien gefahren.
    begegnen (meet)    sein  no         Er ist ihm gestern begegnet. 
    gehen (go)         sein  yes        Du bist gegangen.
    starten (take off) sein  yes        Das Flugzeug ist gestartet.
    

In southern German (mostly Bavarian) use, also stehen, sitzen und schwimmen are treated like a (non-)movement:
    
    
    Ich bin gestanden - gesessen - geschwommen. High German is: Ich habe gestanden - gesessen - geschwommen.
    Aber: Ich habe den See durchschwommen.
    

Examples D: change of state verbs
    
    
    verb                        aux.   irr.    sentence with perfect tense
    aufstehen (get up)          sein   yes     Ich bin heute früh aufgestanden.
    einschlafen (fall asleep)   sein   yes     Die Kinder sind endlich eingeschlafen.
    verblühen (whither)         sein   no      Die Blumen sind schon verblüht
    

Examples E: sein and bleiben
    
    
    Er ist nicht lange geblieben.  He didn't stay long.
    Er ist immer nett gewesen.     He has always been nice.
    

**Exceptions to the rules** Some of the verbs from group A can be used with an object in accusative case. In this case, they take **haben** as auxiliary.

Compare:
    
    
    Ich bin nach Kalifornien gefahren.                  I drove to California. 
    Ich bin mit dem Auto nach Kalifornien gefahren.     I drove to California by car (literally: with the car)
    Ich habe das Auto (Akk.) nach Kalifornien gefahren. I drove the car to California. 
    

The same applies to fliegen (fly), starten and reiten (ride a horse).

### Usage[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-22)]

Unlike in English the difference in meaning between Perfekt and Präteritum is rather small. The main difference between those two forms lies in usage. Perfekt is mostly used in spoken language, while Präteritum is mostly reserved for written texts. However, the _modals_, the verbs _haben_ and _sein_ and the expression _es gibt_ are almost exclusively used in Präteritum - even when speaking. One reason might be the frequency of those verbs, the other reason is most likely the very complex perfect forms for modals.

(This is in southern German use; in northern German, you'll hear the preterite also in spoken language.)

On the other hand, the perfect tense is used in writing too. The more oral the text is, the more perfect tense you will find (for example in personal letters etc.). If an action has happened very recently, it tends to be in perfect tense too.

Look at the following conversation and concentrate on the distribution of Präteritum and Perfekt.

_(1) Anna: Hallo Peter. Wo warst du denn? Ich habe dich schon lange nicht mehr gesehen.  
(2) Peter: Hallo Anna. Ich war die letzen zwei Wochen im Urlaub.  
(3) Anna: So? Wo warst du denn genau?  
(4) Peter: Auf der Insel Elba, in einem fantastischen Hotel. Es gab jeden Abend ein Büffet und man konnte essen, so viel man wollte!  
(5) Anna (lacht): Ich glaube dir sofort, dass dir das gefallen hat. Du hast aber nicht nur gegessen, oder? Was hast du denn den ganzen Tag gemacht?  
(6) Peter (lacht auch): Nein, natürlich nicht. Ich bin viel geschwommen, ich habe mir die Insel angeguckt und am Abend bin ich immer zum Tanzen in eine Disco gegangen.  
(7) Anna: Aha... Und? Hast du jemanden kennen gelernt?  
(8) Peter (grinst): Kein Kommentar.  
_

Vocablary to help you understand the text:
    
    
    der Urlaub, -e   vacation
    genau            exactly, precisely
    die Insel, -n    island
    das Büffet, -s   buffet
    gefallen         like
    angucken         to look at (colloquial)
    kennen lernen    get to know
    grinsen          grin
    

Used forms to talk about past events
    
    
    Präteritum         Perfekt
    du warst (1/3)     habe gesehen (1)
    ich war (2)        es hat gefallen (5)
    es gab (4)         du hast gegessen (5)
    konnte (4)         du hast gemacht (5)
    wollte (4)         ich bin geschwommen (6)
                       ich habe angeguckt (6)
                       ich bin gegangen (6)
                       du hast kennen gelernt
    

### How to find the forms in a dictionary[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-23)]

Unless you have a special dictionary for learners, not all the forms will be spelled out. Regular forms are often omitted. The same goes for the auxiliary _haben_. If no forms are indicated, you may assume that the verb is regular and has the verb haben as an auxiliary. However, if you find the abbreviation _itr_ or _i_. (for intransitive) behind the verb, the auxiliary is often **sein**. Intransitve verbs don't have an accusative object and these are often used with sein, while _transitive_ verbs (tr. or t.) are **always** conjugated with haben.

Sometimes not even the forms of irregular verbs are given in the lexicon entry. Irregular verbs are often indicated by _irr_. for irregular or a similar abbreviation. In that case, look for a list of irregular verb forms in the index of your dictionary.

To find the past participle of separable verbs you often have to cut the prefix and look for the base form of the verb. If you look for _aufstehen_ (get up), you probably find your answer in the entry of stehen. **Remember**: The prefix ge goes in between the prefix of the separable verb and the verb itself: auf + ge + standen.

When working online, you might consider using [Canoo](http://www.canoo.net). Enter an arbitrary form of the word you are interested in into the mask. Hit enter. On the results page, choose the link _Flexion_ behind the appropriate entry (or _inflection_ in the English version). You will get a table of all possible verb forms.

### Tips for learning[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-24)]

Irregular forms are just that - irregular. Therefore you have to learn them by heart. By learning four forms, you can construct every verb form for a given verb.

The forms you should know are:
    
    
    Infinitiv    Präsens          Präteritum    Hilfsverb  + Partizip Perfekt
    infinitiv    3rd person       preterite     auxiliary  + past participle
    gehen        geht             ging          ist        + gegangen
    nehmen       nimmt            nahm          hat        + genommen
    fahren       fährt            fuhr          ist        + gefahren
    lesen        liest            las           hat        + gelesen
    essen        isst             aß            hat        + gegessen
    kommen       kommt            kam           ist        + gekommen
    bleiben      bleibt           blieb         ist        + geblieben
    sein         ist              war           ist        + gewesen
    anfangen     fängt ... an     fing ... an   hat        + angefangen
    ...
    

All forms - besides the infinitive of course - should be in **3rd-person singular**.

A good way to learn those forms is to put them on small cards. On one side you write the infinitive and probably a sentence to illustrate the usage of the verb. On the backside you put the rest of the forms and - if needed - a translation of the verb. When learning, you look at the infinitve and try to remember the forms and the meaning. You can easily verify your hypothesis by flipping the card.

If you encounter a verb you want to learn, look it up in a dictionary. If it is irregular, learn the verb together with its defining forms. Like that, you spare yourself a lot of trouble later on.

## Sentence Structure[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-25)]

The perfect tense consists of two verb forms: an auxiliary and a past participle. Together they form the so called predicate. The predicate consists of all verb parts in one clause.

The sentence structure in perfect behaves as with every two parts predicate (modals plus infinitive, separable verbs etc.)

### Main Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-26)]

In a main clause (Hauptsatz), the conjugated verb (the auxiliary in this case) is in the second position and the past participle stands at the end of the clause.
    
    
       First Position (I)       (II)
    1) Sein Vater               hat  gestern    ein fantastisches Essen gekocht.
    2) Gestern                  hat  sein Vater ein fantastisches Essen gekocht.
       Both: _Yesterday, his father cooked a fantastic meal._
    3) Ein fantastisches Essen  hat  sein Vater gestern                 gekocht.*
       _It was a fantastic meal that his father cooked yesterday._
    

* The third example is correct, although not very frequent. You might use it if you want to stress what exactly his father has prepared or if you have to repeat the sentence because your partner has not understood this particular part of it.

_Second position_ does not equal _second word_, as you can see above. However, there is only one group of words allowed before the conjugated verb (the auxiliary in this case). Such groups of words are called "phrases". While you can put very long phrases in front of the conjugated verb, you must not use two. Therefore the sentence "Gestern sein Vater hat ein fantastisches Essen gekocht" is wrong.

### Subordinated Clauses[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-27)]

Subordinated clauses begin with a _subordinating conjunction_. Well known conjunctions of this kind are
    
    
    weil  dass  wenn. 
    

*In spoken language _weil_ is often used like _und_ or _aber_, which means that it is followed by a main clause. However, after _weil_, speakers often pause for a little while. There is no pause after either _und_ or _aber_.  
Weil + main clause is not allowed in written language. Therefore you may say: _Ich gehe, weil - (little pause) - ich bin müde._ But you wouldn't use it in a letter. At least not yet.  
The correct conjunction for a main clause is _denn_, which is rarely used in spoken language.

In subordinated clauses the conjugated verb, i.e. the auxiliary, stands at the very end of the sentence. The past participle stands directly in front of it. For example:
    
    
                      conj.    aux.                 participle  aux.
    Ich weiß,         dass  du      das             gemacht     hast.
    Ich glaube dir,   weil  du      bisher noch nie gelogen     hast.
    Ich glaube dir,   denn  du hast bisher noch nie gelogen.
    Ich gehe,         wenn  du                      gegangen    bist.
    

## Past tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-28)]

### Regular verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-29)]

Regular (or better, weak) verbs take the ending -te. The person endings are added afterwards. Note that the forms for 1st- and 3rd-person singular are the same.

lernen

ich
lern**te**

du
lern**test**

er/sie/es
lern**te**

wir
lern**ten**

ihr
lern**tet**

sie/Sie
lern**ten**

If the stem of a verb (infinitive minus -en) ends in -t (arbeit-en), -d (end-en) or consonant plus m or n (öffn-en, rechn-en) you add an -e before the preterite endings.

arbeiten

ich
arbeit**ete**

du
arbeit**etest**

er/sie/es
arbeit**ete**

wir
arbeit**eten**

ihr
arbeit**etet**

sie/Sie
arbeit**eten**

### Irregular verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-30)]

#### Without -te[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-31)]

The strong verbs belong to this group. The endings are easy to memorize. It is harder to know which vowel to use. The rule mentioned above for t/d, double-consonant + n/m applies also for irregular verbs.

fahren stehen

ich
fuhr
stand

du
fuhr**st**
stand**(e)st**

er/sie/es
fuhr
stand

wir
fuhr**en**
stand**en**

ihr
fuhr**t**
stand**et**

sie/Sie
fuhr**en**
stand**en**
    
    
    gehen, ging, gegangen
    stehen, stand, gestanden
    

#### With -te[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-32)]

Few irregular verbs take the -te ending. Examples are: nennen, rennen, kennen, bringen, denken and the irregular modals (können, dürfen and müssen).

nennen

ich
nann**te**

du
nann**test**

er/sie/es
nann**te**

wir
nann**ten**

ihr
nann**tet**

sie/Sie
nann**ten**

## Future Tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-33)]

### Talking about future with the present tense[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-34)]

German uses the Present Tense to talk about the future whenever it is clear to both speaker and listener that the future is meant. In the dialogue example:
    
    
    Wenn du zu Hause bleibst, kommen wir dich besuchen.
    _If you stay at home, we shall come and visit you._
    

The whole conversation is about the future, so there is no need to indicate it again in the tense of the verb.

Some more examples:
    
    
    Ich schreibe den Brief heute Abend.
    _I will write the letter this evening._
    
    Wir gehen nächstes Jahr nach Spanien.
    _We will go to Spain next year._
    

### Futur I[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-35)]

Where the meaning would not otherwise be clear, and in more formal language, e.g. to express an intention, German talks about the future tense by using **werden** plus the infinitive at the end of the clause. The forms of **werden** are:
    
    
    ich **werde**
    du **wirst**
    er/sie/es/man **wird**
    
    wir **werden**
    ihr **werdet**
    sie/Sie **werden**
    

Examples:
    
    
    Ich **werde** ein Haus **bauen**.
    _I shall build a house._ (an intention)
    
    Wir **werden sehen**.
    _We will see._
    

The future can also express some inescapable fate:
    
    
    Sie **werden** alle **umkommen**.
    _They will all perish._
    

### Future II[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Verbs&action=edit&section=T-36)]

The Future II is formed with added "sein" oder "haben" and expresses that one action will happen before another one.
    
    
    Wenn sie das Abendessen gekocht **haben** wird, werden sie kommen. 
    When she will have cooked the dinner, they will come.
    

In the colloquial language, the perfect is often used for that.

In the colloquial language expresses the Future II often a speculation about the past.
    
    
    Sie werden angekommen **sein**.
    literally "they will have arrived" - meaning "(I gather) they have arrived (by now)"
    
    
    
    Sie werden es gemacht **haben**.
    "they will have done it"
    

In the colloquial language, the _Futur II_ is normally used when speaking about something that should have happened already, but you are not sure or you can't prove it.

  


  


* * *

# **APPENDICES**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=80)]

# Contents[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=81)]

  * [#A.01 - Das Alphabet](Print_version.html#A.01_-_Das_Alphabet)
  * [#A.02 - Phrase Book](Print_version.html#A.02_-_Phrase_Book)
  * [#A.03 - Grammar Reference Table I](Print_version.html#A.03_-_Grammar_Reference_Table_I)
  * [#A.04 - Grammar Reference Table II](Print_version.html#A.04_-_Grammar_Reference_Table_II)
  * [#A.05 - Webseiten and other resources](Print_version.html#A.05_-_Webseiten_and_other_resources)
  * [#A.06 - Übungen zum Satzbau](Print_version.html#A.06_-_.C3.9Cbungen_zum_Satzbau)
  * [#A.07 - Namen](Print_version.html#A.07_-_Namen)
  * [#A.08 - False Friends](Print_version.html#A.08_-_False_Friends)
  * [#A.09 - Level I Vocabulary](Print_version.html#A.09_-_Level_I_Vocabulary)

# A.01 - Das Alphabet[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=82)]

## The Alphabet[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-1)]

The German alphabet, like English, consists of 26 basic letters. However, there are also combined letters and three umlauted forms (an _umlaut_ is the pair of dots placed over certain vowels; in German, _Umlaut_ describes the dotted letter, not just the dots.). The following table includes a listing of all these letters and a guide to their pronunciation. As in English, letter sounds can differ depending upon where within a word the letter occurs. The first pronunciation given below (second column) is that in English of the letter (or combination) itself. Reading down this column and pronouncing the "English" words will recite the alphabet _auf Deutsch_ ("in German"). Note that letter order is exactly the same as in English, but pronunciation is not for many of the letters. In the list of pronunciation notes, no entry means essentially "pronounced as in English".

Pronunciation: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) The alphabet — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Das Alphabet  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/2/24/German_alphabet.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

A
(a) /ɑː/
Long 'a' as 'a' in 'father' (ah).

B
(be) /beː/
Pronounced like 'p' when at the end of a word

C
(ce) /tseː/
See combination letter forms; 

without a following 'h': before 'e', 'i', 'y', 'ä', 'ö' like the German letter 'z' else like 'k'

D
(de) /deː/
Pronounced like 't' when at the end of a word; slightly more "dental"

E
(e) /eː/
Long 'e' as 'a' in 'late' (ay) without(!) the (y). Short 'e' as 'e' in 'pet'. In unstressed syllables like 'a' in 'about' or 'e' in 'garden'

F
(ef) /ɛf/
 

G
(ge) /geː/
Pronounced like 'g' in 'get'; pronounced like 'k' when at the end of a word; 

pronounced like 'ich'-sound (see below) in the suffix '-ig' at the end of words

H
(ha) /hɑː/
like 'h' in 'house' only at the beginning of words or a syllable 

before 'a', 'i', 'o', 'u', 'y', 'ä', 'ö', 'ü' (only if these vowels don't belong to a suffix), else silent

I
(i) /iː/
Long 'i' as 'e' in 'seen' (ee); short 'i' as 'i' in 'pit'

J
(jot) /jot/
Pronounced like 'y' in 'yard'

K
(ka) /kɑː/
 

L
(el) /ɛl/
Slightly more "dental"

M
(em) /ɛm/
 

N
(en) /ɛn/
Slightly more "dental"; 

before 'a', 'i', 'o', 'u', 'y', 'ä', 'ö', 'ü' (only if these vowels don't belong to a suffix)

O
(o) /oː/
Long 'o' as 'o' in 'open' (oh), there is no movement in the sound as in the English 

equivalent. Short 'o' as 'o' in 'pot'

P
(pe) /peː/
 

Q
(ku) /kuː/
Pronounced like 'k'; only occurs in the combination 'qu', which is pronounced like 

'kv' not like 'kw'

R
(er) /ɛʀ/
trilled with the front or back of the tongue, depending on area (see below)

S
(es) /ɛs/
In Germany, pronounced like 'z'; pronounced like 's' in 'sound' when at the end of a word, after consonants 

(except 'l', 'm', 'n', ng') and before consonants; in Austria, pronounced like 'z' only when it appears between two vowels, pronounced like 's' otherwise. Pronounced like 'sh' in the beginning of a word before 'p' or 't'

T
(te) /teː/
Slightly more "dental"

U
(u) /uː/
Long 'u' as 'oo' in 'moon' (oo); short 'u' as 'u' in 'put'

V
(vau) /fɑʊ/
Pronounced like 'f' when at the end of a word, in the prefixes 'ver-' and 'vor-' and in a few but often used words 

(in most cases of Germanic origin), in general at the beginning of German geographical and family names. In all other cases like 'v'

W
(ve) /veː/
Pronounced like 'v'

X
(iks) /ɪks/
Pronounced like 'ks'

Y
(üpsilon) /ʏpsɪlon/
Pronounced like 'ü' (see below), except in words of English origin, where it is 

pronounced like in English

Z
(zet) /tsɛt/
Pronounced like 'ts'

  


### Unique German Letters[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-2)]

#### Umlaut Letters[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-3)]

  * Umlauts were originally written as 'ae', 'oe', and 'ue'.

Pronunciation: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Umlauts — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Umlaute  


 

Sorry, your browser either has JavaScript disabled or does not have any supported player.  
You can [download the clip](http://upload.wikimedia.org/wikipedia/commons/c/c1/German_umlaut.ogg) or [download a player](http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Client_download) to play the clip in your browser.

Ä
(ä) //
Long ä pronounced similar to 'ai' in 'air'

Ö
(ö) //
No English equivalent sound (see below); somewhat similar to vowel in 'jerk', 'turn', or 'third', but it is critical to note that there is no "r" sound that is pronounced in conjunction with the ö.

Ü
(ü) //
No English equivalent sound (see below)

#### The ss-Ligature, ß[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-4)]

Pronunciation: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) ß-ligature — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Eszett  


 

(missing file: [File:German Pronunciation - ß-ligature.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Pronunciation_-_%C3%9F-ligature.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

ß
(es-zet or scharfes es) //
Pronounced like 's' in 'set' or 'c' in 'nice'; see below for uses.

#### Combined Letters[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-5)]

Pronunciation: ![English language.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/English_language.svg/32px-English_language.svg.png) Combined letters — ![Flag of Germany and Austria.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Flag_of_Germany_and_Austria.svg/25px-Flag_of_Germany_and_Austria.svg.png) Buchstabenkombinationen  


 

(missing file: [File:German Pronunciation - Combined letters.ogg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_Pronunciation_-_Combined_letters.ogg), [how to upload audio](http://en.wikibooks.org/wiki/German/Planning#Audio))

ch
(ce-ha) //
Pronounced various ways (see _Konsonanten_ sounds below)

ck
(ce-ka) //
 

tz
(te-zet) //
 

ie
(i-e) //
 

ei
(e-i) //
Pronounced like the 'ie' in 't**ie'** or simply the personal 'I'

eu
(e-u) //
Pronounced like the 'oi' in the English word '**oi**l'

äu
(ä-u) //
Pronounced like the 'oi' in the English word '**oi**l'

au
(a-u) //
Pronounced as a short 'ow' such as when experiencing pain

dt
(de-te) //
 

st
(es-te) //
Pronounced like English 'sh' followed by 't' when at the beginning of words or a syllable

sp
(es-pe) //
Pronounced like English 'sh' followed by 'p' when at the beginning of words or a syllable

sch
(es-ce-ha) //
Pronounced like English 'sh'

tsch, zsch, tzsch
 
Pronounced like English 'ch'

ph
(pe-ha) //
Pronounced like 'f'. Often used in the old orthography, now nearly always replaced: old: Photographie new: Fotografie

pf
(pe-ef) //
Difficult pronunciation for non-speakers. Both letters are pronounced.

qu
(ku-u) //
 

...
 
 

  * **Audio**: ![Gnome-speakernotes.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/24px-Gnome-speakernotes.png) [OGG](http://upload.wikimedia.org/wikipedia/commons/2/24/German_alphabet.ogg) (305KB) ~ _Das Alphabet_ oder _Das ABC_
  * **Audio**: ![Gnome-speakernotes.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/24px-Gnome-speakernotes.png) [OGG](http://upload.wikimedia.org/wikipedia/commons/c/c1/German_umlaut.ogg) (114KB) ~ _Die Umlaute_

## Deutsche Aussprache ~ German Pronunciation Guide[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-6)]

### Vokale ~ Vowels[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-7)]

German vowels are either long or short, but never drawled as in some English dialects. A simple method of recognizing whether a vowel is likely to be long or short in a German word is called the **Rule of double consonants**. If a vowel is followed by a single consonant — as in _h**a**ben_ (have), _d**i**r_ (you, _dat._), _P**e**ter_ (Peter), and _sch**o**n_ (already) — the vowel sound is usually **long**. If there are two or more consonants following the vowel — as in _f**a**lsch_ (false), _**e**lf_ (eleven), _**i**mmer_ (always), and _n**o**ch_ (still) — the vowel sound is usually **short**. There are some German words that are exceptions to the double consonant rule: _bin_, _bis_, _das_, _es_, _hat_, and _was_ all have short vowel sounds. It is also the case that the silent 'h' does not count as a consonant and the preceding vowel is always long. _Ihnen_ is an example.

This "rule" is applied to the use of 'ss' vs. 'ß' (see below), in that 'ß' is treated as 'hs'. Thus, the vowel before 'ß' in _der Fuß_ (foot) is long, while that before 'ss' in _das Fass_ (cask) is short.

  * **au** – 'Ah-oo' is pronounced like 'ow' in English 'c**ow**'. German examples are _blau_ (blue) and _auch_ (also see below under _ach_ ~ unique German sounds).
  * **äu** – 'Ah-umlaut-oo' is pronounced like the German **eu** (ay-oo; see next). In written and printed German, 'ae' can be an acceptable substitute for 'ä' if the latter is unavailable.
  * **eu** – 'Ay-oo' is pronounced like 'oi' in English word '**oi**l'. German examples are _neun_ (nine) and _heute_ (today).
  * **ie** and **ei** – 'Ee-ay' has exactly the same sound as a German long 'i'; that is, like the 'ee' in 'seen'. 'Ay-ee' is pronounced like the 'ei' in 'height'. Note that this appears to be the opposite for these two vowel combinations in English, where the rule is that the first vowel is long and the second is silent. Consider this word: 'die' — in German it is pronounced 'dee', in English like 'dye'. The word _mein_ in German is the English 'mine'. In effect, 'ie' follows the same rule as in English, with the first vowel long (ee in German) and the second vowel silent; 'ei' is the equivalent sound in German to the English long 'i' as in 'm**i**ne'.

### Konsonanten ~ Consonants[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-8)]

Most German consonants are pronounced similar to the way they are in English, with exceptions noted in column 3 above. Details of certain consonant sounds and uses are discussed further here:

  * **ch** – Pronounced like 'k' in many words of Greek origin like _Christ_ or _Charakter_, but like 'sh' in words of French origin, and 'tch' in words of English origin. The German _sechs_ (six) is pronounced very much similar to the English 'sex', but with a voiced 's' (so it's more like 'zex'). See also the discussion of "ich-sound" below. The pronunciation of words with an initial 'ch' followed by e or i, as in _China_ or _Chemie_ varies: in High German the "ich-sound" is the standard pronunciation, but in South German dialect and Austrian German 'k' is preferred.
  * **d**, **t**, **l**, and **n** – These letters are pronounced similarly in English and German. However, in pronouncing these letters, the German extends his tongue up to the back of the base of the teeth, creating a more **dental sound**. As noted above, 'd' is a 'dental d' except at the end of a word, where it becomes a 'dental t'.
  * **sch** – in German 'Ess-tsay-hah' is pronounced like 'sh', not 'sk' as in English. German word example: _Schüler_ (student).
  * **sp** and **st** – Where the combinations 'ess-pay' or 'ess-tay' appear at the beginning of a word, the 'ess' sound becomes an 'sh' sound. German examples are _spielen_ (play) and _spät_ (late). An interesting "exception" is a word like _Bleistift_ (pencil), where the inside 'sti' is pronounced 'shti' — however, this is a compound word from _Blei_ (lead) and _Stift_ (pen). Some local dialects however pronounce all occurrences "sharp" (with an 'ess' sound -- typical for North German dialects, especially near Hamburg) or "soft" (with an 'sh' sound -- typical for the Swabian dialect).
  * **ß** – The former ligature (of 'ss' or 'sz'), 'ess-tset' is widely used in German, but its use is somewhat more restricted in very modern German (always pronounced like 's' in 'sound'). 'ß' is used for the sound 's' in cases where 'ss' or 's' can't be used: this is especially after long vowels and diphthongs (cf. the English usage of 'c' like in 'vice' or 'grocery'). Thus, the vowel before 'ß' in _der Fuß_ (foot) is long, while that before 'ss' in _das Fass_ (cask) is short. 'ß' appears after diphthongs ('au', 'ei', 'eu') because they are long. In written and printed German, 'ss' can be an acceptable substitute for 'ß' if the letter is unavailable. The Greek letter, β, is not to be used as a substitute for 'ß'. Note that in Switzerland, 'ß' is always written as 'ss'.

### German Sounds not found in English[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-9)]

There are sounds in the German language that have no real equivalent in the English language. These are discussed here.

  * **r** – German language has two pronunciations for _r_: The more common is similiar to the French _r_, a guttural sound resembling a fractionated _g_, as found in Arabic _غ_ or some pronunciations of modern Greek _γ_, as well as modern Hebrew ר (the modern sound was affected by German). The second pronounciation is a "rolled" _r_ as in Spanish or Scots. Its use is limited to Switzerland and parts of Southern Germany.
  * **ö** (oh-umlaut) – The word "umlaut" means "change in sound" and an umlauted 'o' changes to a sound with no equivalent in English. An easy way to get this sound is to think of it as the 'u' in the British word 'murder'. Commonly, the 'long ö' is made by first sounding 'oo' as in moon, then pursing the lips as if to whistle, and changing the sound to 'a' as in 'l**a**te'. An example word is _schön_ (beautiful). The 'short ö' sound is made by first sounding 'oo', pursing the lips, and changing the sound to 'e' as in 'p**e**t. A 'short ö' sounds actually very similar to the 'i' in 's**i**r'. An example word is _zwölf_ (twelve). If you have problems pronouncing _ö_, do not replace it by "o" but by "e" (as in _e_lf) like in many German dialects. In written and printed German, 'oe' can be an acceptable substitute for 'ö' if the latter is unavailable.
  * **ü** (oo-umlaut) – As with 'ö', 'oo-umlaut' is a rounded vowel sound with no real English equivalent. The 'long ü' is made by first sounding 'oo' as in moon, then pursing the lips as if to whistle, and changing the sound to 'ee' as in 's**ee**n'. A simpler approach is to simply shape your lips as if you were to whistle, and then put some voice. An example word is _früh_. The 'short ü' sound is made by first sounding 'oo', pursing the lips, and changing the sound to 'i' as in 'p**i**t. An example word is _fünf_ (five). If you have problems pronouncing _ü_, do not replace it by "u" but by "i" (as in f_i_sh) like in many German dialects. In written and printed German, 'ue' can be an acceptable substitute for 'ü' if the latter is unavailable.
  * **ach** – The letter combination 'ch' as in _auch_ (also) is called the "ach-sound" and resembles a throat-clearing (guttural) sound. It is used after 'a', 'o', 'u', and 'au'. It is pronounced somewhat like "och" in L_och_ Ness (lock, not loke) in its original form. The Hebrew letter _ח_ and the Arabic letter _خ_ as well as continental Spanish _j_ are pronounced the same as the "ach-sound".
  * **ich** – The "ich-sound" in German is also somewhat guttural, like a more forceful 'h' in English "hue", "huge". Another approach is to say "sh" while (almost) touching the palpatine not with the tip but with the middle of your tongue. In the word _richtig_ ("correct") both the 'ich' and the final 'ig' have this sound. It is used after 'e', 'i', 'y', 'ä', 'ö', 'ü', 'ei', 'eu', 'äu', after consonant-letters and sometimes at the beginning of words (especially before 'e', 'i', 'y', 'ä', 'ö'). If you have problems pronouncing _ich_, replace with the sound of 'hue' or by 'sh' but never by a hard 'k' (never "ick")! In some parts of Germany "ich", as well as the final 'ig', is pronounced "ish". In Austria and some local dialects of Germany the final 'ig' (as in "richtig") is simply pronounced as in English "dig".

**Audio**: [OGG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=German_ach.ogg) (37KB) ~ **ach**, **auch**, **ich**, **richtig**

### Syllable Stress[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-10)]

The general rule in German is that words are stressed on the first syllable. However, there are exceptions. Almost all exceptions are of Latin, French, or Greek origin. Mostly these are words stressed on the last syllable, as shown by the following:
    
    
    Vo=`kal    Kon=so=`nant    Lek=ti=`on
    

These words (not stressed on the first syllable) appear in the (Level II and III) lesson vocabularies as _Vo**kal**_, _Lek**tion**_ (in some regions: _Lekti**on**_), etc.

Words starting in common prefixes (ge-, be-, ver-, etc.) stress the syllable following said prefix. Examples are Ge**mü**se, Be**am**te, and Ver**ein**igung.

## Links[[edit](http://en.wikibooks.org/w/index.php?title=German/Grammar/Alphabet_and_Pronunciation&action=edit&section=T-11)]

For very advanced Readers:

  * [w:de:Vokal#Vokale_im_Deutschen](http://en.wikipedia.org/wiki/de:Vokal#Vokale_im_Deutschen)
  * [w:de:ß](http://en.wikipedia.org/wiki/de:%C3%9F)

# A.02 - Phrase Book[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=83)]

## German Phrases[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-1)]

### Greetings[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-2)]
    
    
    _Hallo!_                      Hello!
    _Guten Tag!_                  Good day!
      _Tag_                        Day
    _Guten Morgen!_               Good morning!
    _Guten Abend!_                Good evening- this is for close friends and family
    

_Wie geht es Ihnen?_ How are you (formal)? How are you doing?
    
    
      _Wie geht's_                  How are you (informal) 
    _Es geht mir gut_             I'm doing fine, I'm well
      _Prima!_,                     Great!
      _Spitze!_                     Super!
      _Gut!_                        Good!
      _Sehr gut!_                   Very good!
      _Toll!_                       Terrific!
      _Ganz gut_                    Pretty good
      _So lala_                     OK
      _Es geht so_                  Going ok
      _Nicht gut_                   Not well
      _Schlecht_                    Bad     
      _Sehr schlecht_               Very bad
      _Miserabel_                   Miserable
    _Und Ihnen?_                  And you (formal)?
    
    
    
    _Auf Wiedersehen!_            Good bye!
      _Wiedersehen!_                Bye!
    _Tschüss!_                    See you!
    _Ciao!_                       Ciao! (Italian for 'see you')
    _Bis später!_                 Later! (until later)
    _Bis dann!_                   Later! (until whenever)
    _Wiederhören_                 (hear) again (used over the phone)
    

    Note: _How are you?_ is not a typical query in German greeting etiquette as it is in English, where the standard answer is _I'm Fine_. A German speaker will consider this to be an earnest question, and you may receive an honest answer that is longer than you expected.
    Note: _Wiedersehen_ directly translates as "to see again".

### Gespräche (conversations)[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-3)]
    
    
    Danke (sehr)!              Thanks, thank you
    Danke schön!               Thanks a lot!
    Bitte?                     Please?
    Bitte (sehr)!              You're welcome! (comes after danke)
    Entschuldigung!            Excuse me!
    Vielen Dank                Much thanks
    Gern geschehen             You are welcome
    

### Verstehen (understanding)[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-4)]
    
    
    Sprechen Sie bitte etwas langsamer.          Please, speak somewhat slower.
    Bitte sprechen Sie langsamer.                Please speak more slowly.
    Können Sie mich verstehen?                   Can you understand me?
    Ich verstehe Sie nicht.                      I don't understand you.
    Ich weiß nicht.                              I don't know
    Was haben Sie gesagt?                        What was that? What have you said?
    Können Sie das bitte wiederholen?            Can you say that again, please!
    Ich spreche kein deutsch.                    I don't speak German (literally: I speak no German)
    Ich spreche nur ein bisschen deutsch.        I speak only a little German
    Ich spreche nur wenig deutsch.               I speak a little German
    Ich spreche nur ein paar Wörter auf deutsch. I only speak a few words of German.
    Sprechen Sie deutsch?                        Do you speak German?
    Sprechen Sie englisch?                       Do you speak English?
    

## Positionen (Locations)[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-5)]
    
    
    Wo ist die Apotheke?                    Where is the drug store?
    Wo ist das Geschäft?                    Where is the shop?
    Wissen Sie, wo der Flughafen ist?       Do you know where the airport is? 
    Wie gelangt man zur Bowlingbahn?        How do you get to the bowling alley?
    

More commonly used is: (few people say "gelangt")
    
    
    Wie kommt man zur…                      How does one get to…? (for feminine words)
    Wie kommt man zur Apotheke?             How does one get to the chemist / pharmacy?
    
    Wie kommt man zum…                      How does one get to…? (for neuter or masculine words)
    Wie kommt man zum Flughafen?            How does one get to the airport?
    
    
    
    Gehen Sie nach links.                   Go left
    Gehen Sie nach rechts.                  Go right
    

## Common phrases[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Phrasebook&action=edit&section=T-6)]

Translation Phrase IPA Pronunciation Sound

German
_Deutsch_
/dɔɪ̯ʧ/
(doytsh)
([listen](http://upload.wikimedia.org/wikipedia/commons/9/95/CPIDL_German_-_Deutsch.ogg))

hello
_Hallo_
/ˈhaloː/
(HAH-loh)
([listen](http://upload.wikimedia.org/wikipedia/commons/0/0d/CPIDL_German_-_Hallo.ogg))

good-bye
_auf Wiedersehen_
/aʊ̯f ˈviːdɐzeːn/
(owf VEE-der-zayn)
([listen](http://upload.wikimedia.org/wikipedia/commons/3/30/CPIDL_German_-_Auf_Wiedersehen.ogg))

please
_bitte_
/ˈbɪtə/
(BIT-tuh)
([listen](http://upload.wikimedia.org/wikipedia/commons/f/f4/De-bitte-2.ogg))

you’re welcome
_bitte schön_
/ˈbɪtə ʃøːn/
(BIT-tuh shurn)

thank you
_danke_
/ˈdaŋkə/
(DAHNG-kuh)
([listen](http://upload.wikimedia.org/wikipedia/commons/7/74/CPIDL_German_-_Danke.ogg))

that one
_das da_
/das da/
(duss dah)
([listen](http://upload.wikimedia.org/wikipedia/commons/2/24/CPIDL_German_-_Das.ogg))

how much?
_wie viel?_
/vi fiːl/
(vee feel)
([listen](http://upload.wikimedia.org/wikipedia/commons/9/9d/CPIDL_German_-_Wie_viel.ogg))

English
_Englisch_
/ˈʔɛŋlɪʃ/
(ANG-lish)
([listen](http://upload.wikimedia.org/wikipedia/commons/8/8b/CPIDL_German_-_Englisch.ogg))

yes
_ja_
/jaː/
(yah)
([listen](http://upload.wikimedia.org/wikipedia/commons/f/f1/CPIDL_German_-_Ja.ogg))

no
_nein_
/naɪ̯n/
(nine)
([listen](http://upload.wikimedia.org/wikipedia/commons/5/5f/CPIDL_German_-_Nein.ogg))

I need help
_Ich brauche Hilfe_
/ʔiç ˈbʁaʊ̯χə ˈhɪlfə/
(ish BROW-khuh HEEL-fuh)

excuse me
_Entschuldigen Sie_
/ʔɛntˈʃʊldɪgən ziː/
(ent-SHOOL-dee-gen zee)

pardon me
_verzeihen Sie_
/fɐˈʦaɪ̯ən ziː/
(fair-TSEYE-en zee)

I am sick
_ich bin krank_
/ʔɪç bɪn kʁaŋk/
(ish bin krunk)

where’s the bathroom?
_Wo ist die Toilette?_
/voː ʔɪst diː toːˈlɛtə/
(vo ist dee toe-LET-tuh)
([listen](http://upload.wikimedia.org/wikipedia/commons/c/c6/CPIDL_German_-_Wo_ist_die_Toilette.ogg))

generic toast
_prosit_  
_prost_
/ˈpʁoziːt/  
/pʁoːst/
(PRO-zeet)  
(proast)
([listen](http://upload.wikimedia.org/wikipedia/commons/e/e6/CPIDL_German_-_Prosit.ogg))  
([listen](http://upload.wikimedia.org/wikipedia/commons/4/4c/CPIDL_German_-_Prost.ogg))

Do you speak English?
_Sprechen Sie Englisch?_
/ˈʃpʁɛçən ziː ˈʔɛŋlɪʃ/
(SHPRE-shen zee ANG-lish)
([listen](http://upload.wikimedia.org/wikipedia/commons/4/47/CPIDL_German_-_Sprechen_Sie_Englisch.ogg))

I don’t speak German
_Ich spreche kein Deutsch_
/ʔɪç ˈʃprɛçə kaɪ̯n dɔɪ̯ʧ/
(ish SHPRE-shuh kine doytsh)

I don’t understand
_Ich verstehe nicht._
/ʔɪç fɐˈʃteːə nɪçt/
(ish fair-SHTAY-uh nisht)
([listen](http://upload.wikimedia.org/wikipedia/commons/c/c5/CPIDL_German_-_Ich_verstehe_nicht.ogg))

Sorry
_Entschuldigung_
/ʔɛntˈʃʊldɪgʊŋ/
(ent-SHOOL-dee-gung)
([listen](http://upload.wikimedia.org/wikipedia/commons/f/f2/CPIDL_German_-_Entschuldigung.ogg))

I don’t know
_Ich weiß nicht_
/ʔɪç vaɪ̯s nɪçt/
(ish vice nisht)

Happy birthday
_Herzlichen Glückwunsch zum Geburtstag_
/ˈhɛɐ̯ʦlɪçən ˈglʏkvʊnʃ ʦʊm gəˈbʊɐ̯ʦtaːk/
(HAIRTS-lee-shen GLUKE-voonsh tsoom ge-BOORTS-tahk)
([listen](http://upload.wikimedia.org/wikipedia/commons/5/55/Herzlichen_Gl%C3%BCckwunsch_zum_Geburtstag.ogg))

  


# A.03 - Grammar Reference Table I[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=84)]

[Beginning German](http://en.wikibooks.org/wiki/German/Level_I) | [Basic German](http://en.wikibooks.org/wiki/German/Level_II) | [Intermediate German](http://en.wikibooks.org/wiki/German/Level_III)

* * *

## _Der_-word Case for German Nouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-1)]

Case

Gender   
Nominativ Genitiv       Dativ          Akkusativ

 masculine 

 _**der**_ 

 _**des**_ 

 _**dem**_ 

 _**den**_ 

 feminine

 _**die**_

 _**der**_

 _**der**_

 _**die**_

 neuter

 _**das**_

 _**des**_

 _**dem**_

 _**das**_

 plural*

 _**die**_

 _**der**_

 _**den**_

 _**die**_

* The same regardless of singular noun gender

## Personal Pronoun Tables: nominative, genitive, dative & accusative cases[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-2)]

### Nominative case personal pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-3)]

The **nominative case** is used as the subject of a verb.

  


Singular
Plural

1st person
 **ich** 
 I 
 **wir**
 we      

2nd person 
 **du** (**Sie***)
 you
 **ihr** (**Sie***)       
 you

3rd person
 **er, sie, es**    
 he, she, it    
 **sie**
 they       

***Polite** form.

* * *

### Genitive case personal pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-4)]

The **genitive** case corresponds to the **possessive** case in English or to the English objective case preceded by 'of' and denoting possession. The use of genitive personal pronouns is very rare in German and many Germans are unable to use them correctly.

  


Singular
Plural

1st person
 **meiner** 
 my 
 **unser**
 our      

2nd person
 **deiner** (**Ihrer***) 
 your 
 **eurer** (**Ihrer***)    
 your

3rd person
 **seiner**, **ihrer**, **seiner** 
 his, her, its 
 **ihrer**
 their      

***Polite** form.

Examples:

    _Ich erbarme mich **eurer**_. ~ I take pity on you(rs).
    _**meiner** unbedeutenden Meinung nach._ ~ in my humble opinion (IMHO)

* * *

### Dative case personal pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-5)]

The personal pronouns in the **dative** case are used as indirect objects of verbs and after the prepositions _**aus, außer, bei, mit, nach, seit, von, zu**_.

Singular
Plural

1st person
 **mir** 
 me 
 **uns**
 us

2nd person 
 **dir** (**Ihnen***)   
 you
 **euch** (**Ihnen***)   
 you

3rd person
 **ihm, ihr, ihm**
 him, her, it  
 **ihnen**
 them      

***Polite** form.

* * *

### Accusative case personal pronouns[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_I&action=edit&section=T-6)]

The personal pronouns in the **accusative** case are used as direct objects of transitve verbs and after the prepositions _**durch, für, gegen, ohne, um.**_

  


Singular
Plural

1st person
 **mich** 
 me 
 **uns**
 us

2nd person 
 **dich** (**Sie***)
 you
 **euch** (**Sie***)    
 you

3rd person
 **ihn, sie, es   **
 him, her, it  
 **sie**    
 them      

* **Polite** form.

# A.04 - Grammar Reference Table II[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=85)]

<< [Beginning German](http://en.wikibooks.org/wiki/German/Level_I) | [Basic German](http://en.wikibooks.org/wiki/German/Level_II) | [Intermediate German](http://en.wikibooks.org/wiki/German/Level_III)

* * *

## Conjugating 'to be'[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-1)]
    
    
    Ich bin groß.              I am tall.
    Du bist sehr groß.         You are very tall.
    Sie ist klein.             She is short.
    Sie sind groß.             They are tall.
    

In these cases, we use the correct form of _sein_ for each situation. Please notice the final two sentences both use 'Sie', and we must look at the verb to determine the difference between 'she' and 'they'.

In German, the English infinitive 'to be' is translated as _sein_.

This is the table of the forms of 'sein', with rough English translations. Note that in English, there are only three forms (am, is, are) while German has five (bin, bist, ist, sind, seid).

Also, the verb conjugation of the two you-formals are always the exact same.

**German**

**sein**

  


**Person**

**Singular Pronoun**

**Verb Form**

**Plural Pronoun**

**Verb Form**

**1st**

ich

bin

wir

sind

**2nd**

du

bist

ihr

seid

**3rd**

er / sie / es

ist

sie

sind

**Fml.**

Sie

sind

Sie

sind

**English**

**to be**

  


**1st**

I

am

we

are

**2nd**

you

are

y'all

are

**3rd**

he / she / it

is

they

are

**Fml.**

you (formal)

are

y'all (formal)

are

## Conjugating Normal Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-2)]
    
    
    Er spielt Volleyball.      He plays volleyball.
    Ich mache Hausaufgaben.    I do my homework.
    Wir kommen aus München.    We come from Munich.
    Was machst du?             What are you doing?
    

In these sentences, different verbs and endings are used. Note that the verb is always in second position.

When conjugating normal verbs, use the endings shown below (a memory hook is the _"best ten"_ endings). Note that in normal verbs, such as spielen and machen, ihr-form and er/sie/es-form are the same and the wir-form, sie (pl)-form and the formal are all the same as the infinitive.

**-en**

  


**1st**

ich

-e

wir

-en

**2nd**

du

-st

ihr

-t

**3rd**

er / sie / es

-t

sie

-en

**Fml.**

Sie

-en

Sie

-en

  
**spielen - to play**

  


**1st**

ich

spiele

wir

spielen

**2nd**

du

spielst

ihr

spielt

**3rd**

er / sie / es

spielt

sie

spielen

**Fml.**

Sie

spielen

Sie

spielen

**machen - to make/do**

  


**1st**

ich

mache

wir

machen

**2nd**

du

machst

ihr

macht

**3rd**

er / sie / es

macht

sie

machen

**Fml.**

Sie

machen

Sie

machen

## Conjugating Irregular Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-3)]
    
    
    Ich habe keine Zeit.       I have no time.
    Gib mir das Buch!          Give me the book.
    Sie wandert gern.          She likes to hike.
    Er liest einen Roman.      He is reading a novel.
    

In each of these sentences, we use an irregular verb. Irregularity occurs in the ich-form or the du-form and er/sie/es-forms. There are three types of irregularity.

### E in the first syllable[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-4)]

One form of irregularity occurs _sometimes_ when the verb contains an 'e' in the first syllable. The change is simple: the du-form and er/sie/es forms both change the 'e' to an 'i.e.' or an 'i'. Two common examples are shown. Note that the er/sie/es-form and ihr-form are no longer the same.

**sehen - to see**

  


**1st**

ich

sehe

wir

sehen

**2nd**

du

_siehst_

ihr

seht

**3rd**

er / sie / es

_sieht_

sie

sehen

**Fml.**

Sie

sehen

Sie

sehen

**geben - to give**

  


**1st**

ich

gebe

wir

geben

**2nd**

du

_gibst_

ihr

gebt

**3rd**

er / sie / es

_gibt_

sie

geben

**Fml.**

Sie

geben

Sie

geben

### Haben[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-5)]

A similar, yet different, change occurs in the verb "haben". As in the irregularity above, the du-form and er/sie/es-form change.

**haben - to have**

  


**1st**

ich

habe

wir

haben

**2nd**

du

_hast_

ihr

habt

**3rd**

er / sie / es

_hat_

sie

haben

**Fml.**

Sie

haben

Sie

haben

### Verbs ending in Consonant-N[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-6)]

Some verbs change the ich-form for obvious reasons. "Wandern" and "basteln" are two examples. Both drop the first e in the ich-form. **wandern - to hike**

  


**1st**

ich

_wandre_

wir

wandern

**2nd**

du

wanderst

ihr

wandert

**3rd**

er / sie / es

wandert

sie

wandern

**Fml.**

Sie

wanderen

Sie

wanderen

**basteln - to build**

  


**1st**

ich

_bastle_

wir

basteln

**2nd**

du

bastelst

ihr

bastelt

**3rd**

er / sie / es

bastelt

sie

basteln

**Fml.**

Sie

basteln

Sie

basteln

## Conjugating Modals[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-7)]
    
    
    Ich will ins Kino gehen.   I want to go to the movies.
    Dürfen wir hier essen?     May we eat here?
    Was kann ich für dich tun? What can I do for you?
    Er mag Romane lesen.       He likes to read books.
    

Modals are a new kind of verb. They are the equivalent to helping verbs in English. There are seven basic modals: können (can), mögen (like), dürfen (may), wollen (want), sollen (should), müssen (must), and möchten (would like). Möchten isn't technically a modal, but it acts like one in most aspects.

Modals are conjugated very differently. The ich-form and er/sie/es-form are always alike and singular has a different verb in the first syllable (except in sollen and möchten). Below are the conjugations of the six basic modals and möchten.

**können - can**

  


**1st**

ich

kann

wir

können

**2nd**

du

kannst

ihr

könnt

**3rd**

er / sie / es

kann

sie

können

**Fml.**

Sie

können

Sie

können

**mögen - like**

  


**1st**

ich

mag

wir

mögen

**2nd**

du

magst

ihr

mögt

**3rd**

er / sie / es

mag

sie

mögen

**Fml.**

Sie

mögen

Sie

mögen

**dürfen - may**

  


**1st**

ich

darf

wir

dürfen

**2nd**

du

darfst

ihr

dürft

**3rd**

er / sie / es

darf

sie

dürfen

**Fml.**

Sie

dürfen

Sie

dürfen

**wollen - want**

  


**1st**

ich

will

wir

wollen

**2nd**

du

willst

ihr

wollt

**3rd**

er / sie / es

will

sie

wollen

**Fml.**

Sie

wollen

Sie

wollen

**sollen - should**

  


**1st**

ich

soll

wir

sollen

**2nd**

du

sollst

ihr

sollt

**3rd**

er / sie / es

soll

sie

sollen

**Fml.**

Sie

sollen

Sie

sollen

**müssen - must**

  


**1st**

ich

muss

wir

müssen

**2nd**

du

musst

ihr

müsst

**3rd**

er / sie / es

muss

sie

müssen

**Fml.**

Sie

müssen

Sie

müssen

**möchten - would like**

  


**1st**

ich

möchte

wir

möchten

**2nd**

du

möchtest

ihr

möchtet

**3rd**

er / sie / es

möchte

sie

möchten

**Fml.**

Sie

möchten

Sie

möchten

## Separable Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Grammar_II&action=edit&section=T-8)]
    
    
    Du siehst schön aus!       You look good!
    Ich muss mein Zimmer aufräumen.
                               I have to clean my room.
    Komm mit!                  Come with!
    Probier diese Jeans an!    Try these jeans on.
    

Some verbs in German are separable: they have a prefix that can be separated from the base. When the verb is used with a modal, it regains the prefix at the end of the sentence. When it is the main verb of the sentence, the prefix is moved to the end of the sentence.

An "example" in English would be the word "intake". When it is used as a verb, it becomes "take ... in". When it is used as an adjective or a noun, it becomes "intake" again.

Two easy examples of separable verbs are _aussehen_ and _mitkommen_. Note that aussehen is also irregular.

**aussehen - to appear**

  


**1st**

ich

sehe aus

wir

sehen aus

**2nd**

du

siehst aus

ihr

seht aus

**3rd**

er / sie / es

sieht aus

sie

sehen aus

**Fml.**

Sie

sehen aus

Sie

sehen aus

**mitkommen - to come along/with**

  


**1st**

ich

komme mit

wir

kommen mit

**2nd**

du

kommst mit

ihr

kommt mit

**3rd**

er / sie / es

kommt mit

sie

kommen mit

**Fml.**

Sie

kommen mit

Sie

kommen mit

# A.05 - Webseiten and other resources[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=86)]

Appendix 3 ~ Online Resources for German Language Students

## Lists and directories to online resources[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-1)]

  * [bab.la](http://en.bab.la) \- Language Portal | Online Quizzes | Learn Languages
  * [German Flashcards](http://www.german-flashcards.com/) \- Flashcards with audiofiles and dictionary
  * [www.deutschlern.net](http://www.deutschlern.net) \- E-learning platform for beginning, intermediate and advanced students and teachers of German. Exercises based on authentic texts train reading comprehension, vocabulary, and grammar. Monitor function for teachers. Free of charge, requires free login.
  * [Learn German Online](http://learngerman.elanguageschool.net) \- Free German lessons online.
  * [Learn German for free](http://www.populearn.com/german/) \- Free German language lessons.
  * [Deutsch als Fremdsprache](http://www.cornelia.siteware.ch/daf.html) \- Useful links for German language learners. Site in German.
  * [German Language and Culture Resources](http://www.vistawide.com/german) \- Materials and resources for learning the German language and about German-speaking culture.
  * [Free Online German Tutorial](http://www.ielanguages.com/German.html) \- at ielanguages.com
  * [Free resources for language students](http://loquela-education.net) \- Practice speaking German with audio forums.
  * [Learn-German](http://learn-german.bravehost.com) \- Learn German quickly with our German tips, advice, and links.
  * [Mango](http://www.trymango.com) \- Mango Languages has free German Lessons for English speakers.
  * [lernsoware.de](http://lernsoware.de) Wiki German lessons online

## Über die deutsche Sprache - about German[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-2)]

  * [Ethnologue report for German](http://www.ethnologue.com/show_language.asp?code=GER)
  * [Verein Deutsche Sprache](http://www.vds-ev.de)

## Online Wörterbücher - Dictionary[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-3)]

  * [Free Online Dictionary](http://www.free-dictionary-translation.com) \- Languages of the world

### Deutsch-Englisch (German-English)[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-4)]

  * [Wiktionary - English](http://en.wiktionary.org)
  * [Wiktionary - German](http://de.wiktionary.org)
  * [bab.la German-English](http://en.bab.la/dictionary/german-english) \- Translations, synonyms, grammar, voice output, regional and colloquial expressions.
  * [dicologos](http://www.dicologos.org) really this is a multilanguage dictionary with ofer 7.000.000 lemmas in several languages.
  * [Babylon](http://online.babylon.com/combo/index.html) Babylon Online Dictionary
  * [LEO](http://dict.leo.org/) \- with audiofiles of most of the words and vocabulary trainer.
  * [Dict.cc](http://dict.cc/)
  * [Pons](http://www.pons.de/) \- Dictionary with vocabulary trainer.
  * [Ding](http://www-user.tu-chemnitz.de/~fri/ding/) \- Ding is a Dictionary lookup program for the X window system (Linux, Unix - not for Mac or MS Windows). It comes with a German-English Dictionary with approximately 180,000 entries.r.

### Nur Deutsch - German only[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-5)]

  * [DWDS- Das digitale Wörterbuch der deutschen Sprache](http://www.dwds.de/cgi-bin/dwds/test/query.cgi?wdg=1) \- German only dictionary for advanced learners.
  * [Deutsche Wörterbücher von Wahrig](http://www20.wissen.de/xt/default.do?MENUNAME=PS_W_S_Deutsche_Woerterbuecher) \- Orthography and foreign words
  * [Redensartenindex](http://www.redensarten-index.de/suche.php) \- German idioms and proverbs with explanations

### Slideshows with pictures and pronuciations[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-6)]

[Language courses German](http://commons.wikimedia.org/wiki/Category:Language_courses-German) at the time of insertion there is only one file about fruit - I will try to add new ones every week-end.

## Deutsche Grammatik und Rechtschreibung- German Grammar and Spelling[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-7)]

  * [Canoo](http://www.canoo.net) \- extensive database about inflection and word formation
  * [German Grammar Resource](http://www.ielanguages.com/German.html) \- Free German grammar lessons
  * [Free online German course](http://www.deutsch-lernen.com) \- new orthography, grammar, exercises, tests, example sentences, jokes, learning tips

## Aussprache - Pronunciation[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-8)]

  * [A Guide to German Pronunciation](http://userweb.port.ac.uk/~joyce1/abinitio/pronounce/) \- Pronunciation course for beginners.

## Blogs[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-9)]

  * [Deutschlernblog](http://www.deutschlern.net/blog/) Tips for learning German. Site entirely in German.
  * [DaF-Blog](http://www.cornelia.siteware.ch/blog/wordpress/) On German language and how to learn it. Parts of the Site are in English, but most of it in German.
  * [Deutsch-Happen](http://deutschhappen.blogspot.com/) small, bite-sized snaps of German language for the advancing learner

## Podcasts[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-10)]

### from learners[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-11)]

  * [Speaken Sie Deutsch?](http://speakensiedeutsch.blogspot.com/): Podcast from Canadian Hugh Gordon ([Rss-Feed](http://feeds.feedburner.com/SpeakenSieDeutsch)).

### for learners[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-12)]

  * [Guter Umgang](http://www.deutschlern.net/): German language learning blog about colloquial German ([RSS-Feed](http://www.deutschlern.net/podcast-deutsch-lernen-mit-umgangssprache)).
  * [Let's speak German](http://learninggerman.mschubertberlin.de/podblog/index.php): Jokes, poems, tonguetwisters and more in German ([RSS-Feed](http://learninggerman.mschubertberlin.de/podblog/rss.php)).
  * [Podcasts of Deutsche Welle](http://www.dw-world.de/dw/0,2142,9540,00.html): Nachrichten, Top-Thema, Stichwort, Sprachbar and Alltagsdeutsch are specifically made for language learners. Most of the texts can be found on the pages [Deutsch im Fokus](http://www.dw-world.de/dw/0,2142,9213,00.html) (Sprachbar, Stichwort and Alltagsdeutsch) and [Didaktuelles](http://www.dw-world.de/dw/0,2142,2146,00.html) (Nachrichten and Top-Thema). 
    * [DW: Slowly spoken news](http://www.dw.de/deutsch-lernen/nachrichten/s-8030) \- suitable for B2, C1
  * [Slow German](http://www.slowgerman.com/): Podcast in slowly spoken German across a variety of topics, ranging from absolute beginner to intermediate.

## Tandem[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Resources&action=edit&section=T-13)]

[Tandem by E-Mail](http://www.slf.ruhr-uni-bochum.de/)

[The Mixxer](http://www.language-exchanges.org) Tandem via [Skype](http://www.skype.com)

  


  


# A.07 - Namen[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=87)]

## Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-1)]

This is a list of common, modern German names. Please add to it.

### First Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-2)]

German names have undergone a drastic change in the last 60 years. Older, "typical" German names like **Hans**, **Fritz**, **Heinrich**, **Karl** or **Wilhelm** are now uncommon in contemporary Germany. Today many parents give their children names like (ten most popular names 2005):

  


**Boys**

  1. Alexander
  2. Maximilian
  3. Leon
  4. Lukas/Lucas
  5. Luca
  6. Paul
  7. Jonas
  8. Felix
  9. Tim
  10. David

**Girls**

  1. Marie
  2. Sophie/Sofie
  3. Maria
  4. Anna, Anne
  5. Leonie
  6. Lena
  7. Emily
  8. Lea/Leah
  9. Julia
  10. Laura

(Source: [Gesellschaft für deutsche Sprache](http://gfds.de/index.php?id=63))

#### Boys' Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-3)]

## Typical for young people[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-4)]

Boy's names
pet names

Alexander
Alex

André, Andreas
Andi

Axel
-

Christian, Christoph
Chris

David

Dennis, Denis

Edvin
Eddy

Fabian

Felix

Finn, Fynn

Florian
Flo, Flori

Jan

Jonas

Julian, Julius
Juli, Jule

Kevin

Lars

Leo, Leon

Luka, Luca, Lucas, Lukas
Luki

Manuel
Manu, Mani

Matthias
Matt, Matti

Max, Maximilian
Maxi

Michael
Micha, Michi

Moritz

Niko, Nick, Nikolas, Niklas, Nicolas

Noah

Patrick
Pat

Paul

Philipp
Phil

Robin

Sebastian
Sebi, Seb, Sebbe, Basti

Simon
Simi

Stefan, Stephan, Steffen
Steff

Sven
Svenni

Tim
Timmi

Tobias
Tobi

Tom
Tommi

Yannick, Yannik

older names:

  * Alfi, Alfred
  * Adolf
  * Albert, Bert, Kunibert
  * Anton
  * Achim, Joachim
  * Adam
  * Aaron
  * Armin
  * Björn
  * Bernard
  * Bennedikt
  * Bruno
  * Bodo
  * Boris
  * Berthold
  * Benjamin
  * Clemens
  * Carlo, Karlo, Karl
  * Carsten
  * Dieter, Dietrich
  * Daniel
  * Domian, Damian
  * Detlev
  * Dirk
  * Erik
  * Erwin
  * Emil
  * Eberhard
  * Eckart
  * Edmund
  * Ernst
  * Ewald
  * Franz, Frank
  * Fritz
  * Fridolin
  * Fred, Frederik
  * Friedrich, Friedhelm
  * Falko
  * Gustav
  * Gerhardt
  * Gert
  * Günther
  * Gregor
  * Gunnar
  * Hans, Hans-Jürgen, Hannes
  * Harald
  * Heinz
  * Heinrich, Heiner
  * Hugo
  * Hektor
  * Helge
  * Heiko
  * Hartmut
  * Herbert
  * Holger
  * Ingo, Ingolf
  * Jürgen, Jörg
  * Jens
  * Janosch
  * Jakob
  * Johann
  * Karl
  * Klaus
  * Knut
  * Kurt
  * Konrad
  * Kaspar
  * Ludwig
  * Leif
  * Manfred
  * Malte
  * Norbert
  * Nils
  * Olaf
  * Oliver
  * Otto, Ottfried
  * Paul
  * Peter
  * Rudi, Rüdiger, Rudolph
  * Roman
  * Robert
  * Rex
  * Reinhard, Rainer, Reiner
  * Sören
  * Siegfried
  * Sönke
  * Thomas
  * Till
  * Torsten
  * Ulf
  * Ulli
  * Uwe
  * Udo
  * Viktor
  * Werner
  * Wolfgang, Wolf, Welf
  * Wilhelm, Willi

#### Girls' Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-5)]

**young ones:**

  * Anna, Anne, Annika
  * Amelie
  * Angelina
  * Bianca
  * Christina, Christine
  * Daniela
  * Elea
  * Eva
  * Elisa
  * Emma
  * Emely, Emily
  * Franziska
  * Finja
  * Hannah, Hanna
  * Isabell, Isabelle
  * Julia, Jule, Juliane
  * Jana
  * Janine, Janina
  * Johanna
  * Jasmin
  * Klara
  * Katharina
  * Kim
  * Kira
  * Lena
  * Lara
  * Luise, Luisa
  * Lea
  * Lina
  * Larissa
  * Lisa
  * Lina
  * Leonie
  * Liv
  * Maike, Meike, Mareike
  * Melissa
  * Merle
  * Mercedes
  * Marie
  * Maja
  * Marlene, Marleen
  * Martina
  * Nina
  * Nicole
  * Nora
  * Petra
  * Paula
  * Pia
  * Ronja
  * Svenja
  * Sarah
  * Sofie, Sophie, Sophia
  * Samantha
  * Stella
  * Susie
  * Tabea
  * Tamara
  * Vivien
  * Vanessa

older ones:

  * Angela
  * Anita
  * Andschana
  * Antonia
  * Birgit
  * Brigitte
  * Berta
  * Christa, Christel
  * Doris
  * Diana
  * Fanny
  * Frieda
  * Gerta
  * Gisela
  * Gutrun
  * Hannelore
  * Helga
  * Heidi, Heide
  * Inga, Inge
  * Iris
  * Ilse
  * Ingrid
  * Josephine
  * Karin, Karen
  * Linda
  * Lydia
  * Marta
  * Monika
  * Nadja
  * Olivia
  * Roswitha
  * Renate
  * Susanne
  * Sabine
  * Sissi
  * Simone
  * Silke
  * Tina, Tine
  * Ursula
  * Ulla
  * Vera
  * Veronika
  * Winnifried
  * Wanda
  * Wilhelma

### Last Names[[edit](http://en.wikibooks.org/w/index.php?title=German/Appendices/Names&action=edit&section=T-6)]

The 51. most popular last names in Germany:

  1. Müller
  2. Schmidt
  3. Schneider
  4. Fischer
  5. Meyer
  6. Weber
  7. Wagner
  8. Becker
  9. Schulz
  10. Hoffmann
  11. Schäfer
  12. Koch
  13. Bauer
  14. Richter
  15. Klein
  16. Wolf
  17. Schröder
  18. Neumann
  19. Schwarz
  20. Zimmermann
  21. Braun
  22. Krüger
  23. Hofmann
  24. Hartmann
  25. Lange
  26. Schmitt
  27. Werner
  28. Schmitz
  29. Krause
  30. Meier
  31. Lehmann
  32. Schmid
  33. Schulze
  34. Maier
  35. Köhler
  36. Herrmann
  37. König
  38. Walter
  39. Mayer
  40. Huber
  41. Kaiser
  42. Fuchs
  43. Peters
  44. Lang
  45. Scholz
  46. Möller
  47. Weiß
  48. Jung
  49. Hahn
  50. Schubert
  51. Zächer

  


# A.08 - False Friends[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=88)]

There are some words which are spelled the same in English and in German, but have completely different meanings. Even though the words are spelled the same, they are usually pronounced completely differently. It can sometimes be dangerous to use these words (for both native English speakers and native German speakers.) Think of that, next time someone wants to give you a " [Gift](Print_version.html#Gift)" or opens a door and says " [After](Print_version.html#After) you!"

**Note**: This list contains some items of [etymological](http://en.wiktionary.org/wiki/etymology) interest. For example, the transformation of the consonant 't' in German to 'd' in English in word pairs like Bart->Beard, Bett->Bed, Gut->Good, Hart->Hard, Rot->Red, and Not->Need.

Word

German meaning (in English)

Englische Bedeutung (auf Deutsch)

After

Anus

Später, Nachher

also

thus

auch

Angel

Fishing Rod

Engel

Apart

Striking

Abgesondert, Abseits

Arm

Poor

Arm

Art

Kind, sort, species

Kunst, Künstlichkeit

Ass

Ace

Esel, Dumpfbacke, Knallkopf, Arsch (vulg.)

Bad

Bath

Schlecht, Schlimm

Bagger

Excavator

Angesteller im Supermarkt der die Einkäufe in Tüten packt

bald

Soon

Unbehaart, Kahlköpfig

bang

Afraid

Knall, Krach, Schall

bar

in Cash, Pure

Stab (see also: [Stab](Print_version.html#Stab)), Kneipe

Bart

Beard

Name eines Mannes

bat

asked politely, requested (past tense)

Fledermaus

Beet

Flower bed

Zuckerrübe, rote Rübe

bitten

to ask politely, request

gebissen

blank

Shiny, Shining

Unbeschriftet, Unausgefüllt

Blech

Sheet metal

Ausdruck des Ekels

bog

to Twist, Form, Bend (past tense)

Sumpf, Torfmoor

Brand

Fire

Markenprodukt

Brilliant, brillant

Diamond, prächtig, herrlich

Blendend, Geistvoll

Bug

Front of a boat or plane

Laus, Insekt, Störung

Danke

Thanks

Feucht

dick

Thick

Schnüffler, Schwanz, der steife Penis

Elf

Eleven, (coll. soccer team)

Elfe, Kobold

falls

If, in case

Wasserfälle

Fang, fang

Catch, to catch, to capture (imperative)

Reißzahn

fatal

Unfortunate

Verhängnisvoll, Unheilvoll, Tödlich

fast

Almost, Nearly

Schnell

fasten

Fast

Befestigen

Fee

Fairy

Preise, Gebühr

Fell

Coat (animal)

fällen

fern

Far away, Distant

Farnkraut

First

Ridge

Zuerst

flog

Flew

Peitschen, Auspeitschen

fort

Away, Off, Gone

Festung, Kastell

Funk

Radio

Drückeberger, Musik von 1970's

Gang

Walk, Gait, Way

Gruppe, Bande, Trupp

Gift

Poison

Gabe, Geschenk

Grab

Grave

Aufgreifen, Ergreifen

Grad

Degree (temperature)

einen akademischen Grad erlangen

grub

dug (past tense)

Futter

gut

Good

Darm (Schnecke und Kette)

Hack

ground meal, hash

Heib, Kerbe, Zerhacken

half

Helped (past tense)

Halb

Handy

Cell Phone

Praktisch, Passend, Handlich

Hang

Slope, Inclination

Hängen, Henken

Happen

Bit, Morsel

Zufällig Geschehen, Vorkommen, Passieren

hart

Hard

Hirsch

Heck

Back of a car, boat or plane

Was zum Teufel? (What the Heck?)

Held

Hero

Gehalten

hell

Bright

Hölle

Herd

Cooker, Oven, Range

Herde

Hose

Pants

Schlauch

Hub, hub

Throw, Lob, Swing (see also: [Lob](Print_version.html#Lob)), (past tense of) to lift

Wickelkern, Nabe

Hummer

Lobster

Jemand der summt

Hut

Hat

Hütte

Kind

child

Art, Sorte

Labor

Laboratory

Arbeit

Lack

Varnish

Knappheit, Mangel

lag

Lay

zurueckbleiben, zoegern

Last

Load, Burden, Weight

Zuletzt

Lied

Song

Gelogen

links

Left

Verknüpfung, Verbindungen

List

Cunning

Schlagseite

Lob

Praise

Werf, Hub (see also: [Hub](Print_version.html#Hub))

log

Lied

Block, Klotz

Lot

Plumb (line)

Pazille, die Menge, die Masse

Lust

To feel like doing something, desire (this can has the English meaning, depending on the situation)

Sinnliche Begierde

Made

Maggot

Hergestellt, Gemacht

Maul

Mouth (animal)

der Schlegel, Beschädigen, Durchprügeln

Mist

Manure, Trash

leichter Nebel

Not

distress, need

Nicht

Note

Grade (in school), musical note

bemerken, aufschreiben, kleiner Brief

nun

Now

die Schwester (im Kloster), Nonne

Pest

Plague

Nervensäge

Rang

Rank

Geklingelt, Geklungen

Rad

Wheel

Ausdruck der Bewunderung (wie Geil)

Rat

Advice

die Ratte

Regal

Shelves

Majestätisch, Königlich, Hoheitsvoll

Rind

Beef, Cattle

Schwarte, Schale

Rock

Skirt

Stein, Fels

Roman

Novel

der Römer

Rot

Red

Verrotten, Verwesung

Sage

History, Myth

Weise, Klug, Gescheit

See

Lake

Siehe

Sense

Scythe

Wahrnehmung, Bedeutung, Verstand, Sinn

Silvester

New Year's Eve

Name eines Mannes

Speck

Bacon

Fleck

Spur

Trace, Tracks, Lane

Schiffsschnabel, Sporn, Ansporn (see also: [Spore](Print_version.html#Spore))

Stab

Rod, Pole, Baton, Bar (see also: [Bar](Print_version.html#Bar))

Erstechen

Stare

Starlings

anstarren

stark

Strong

Völlig, Gänzlich

Stern

Star

Ernst, das Heck

Tag

Day

Markierstelle, Kennzeichnung

Tang

Seaweed

Amerikanisches Orangengetränk

Taste

Key (as in keyboard)

Kostprobe, Geschmackssinn

toll

Great! Super!

Zollabgabe, Straßenbenutzungsgebühr

Tod

Death, Dead

Name eines Mannes

Ton

Clay, a Sound

die Tonne

Tot

Dead

kleines Kind, kleiner Knirps

Wade

calf (of the leg)

waten

Wand

Wall

der Zauberstab

war

Was (see also: [Was](Print_version.html#Was))

Krieg

was

What?

wurde/war (see also: [War](Print_version.html#War))

Welt

World

Quaddel, Beule

Wetter

Weather

Nasser

wider

Against, Contrary to

Weiter, Breiter

will

Wants

Wille

Although not spelled identically in both languages, beginners are often confused by the similarity of the German "bekommen" and English "to become".

bekommen => to receive, to get

werden => to become

  


# A.09 - Level I Vocabulary[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=89)]

<< [Beginning German](http://en.wikibooks.org/wiki/German/Level_I) | [Basic German](http://en.wikibooks.org/wiki/German/Level_II) | [Intermediate German](http://en.wikibooks.org/wiki/German/Level_III)

* * *

Appendix 9 ~ Vocabulary for Level One

## Wie heißt du?[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-1)]

### Subject Pronouns in Nominative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-2)]

* * *
    
    
    I             Ich
    We            Wir
    You           Du
                  Sie (formal) 
    You All       Ihr
                  Sie (formal)
    He            Er
    She           Sie
    It            Es
    They          Sie
    

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-3)]

* * *

#### To Have[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-4)]

* * *
    
    
    Have          Habe (1st Person, Singular)
                  Hast (2nd Person, Singular)
                  Haben (1st & 3rd Person, Plural)
                  Habt (2nd Person, Plural)
    Has           Hat
    

#### To Be[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-5)]

* * *
    
    
    Am            Bin
    Are           Bist (1st Person, Singular)
                  Sind (1st & 3rd Person, Plural)
                  Seid (2nd Person, Plural)
    Is            Ist
    

### Greeting & Goodbyes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-6)]

* * *
    
    
    Hello!        Hallo!
                  Servus! (used in Bavaria and Austria)
                  Moin! or Moin Moin! (used in northern Germany)                    
                  Grüezi! (used in Switzerland)
    Good morning! Guten Morgen! or Morgen!
    Good day!     Guten Tag! or Tag!
    Good evening! Guten Abend! or N'Abend!
                  Grüß Gott! (used in southern Germany, Austria and South Tyrol)
    Goodbye!      Auf Wiedersehen! or Wiedersehen 
    Bye!          Tschüss! or Tschau!
                  Servus! (used in Bavaria, Austria)
    Later!        Bis später! or Bis dann!
    Good night!   Gute Nacht!
    

### How You Are[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-7)]

* * *
    
    
    Good          Gut
    Super!        Spitze!
    Great!        Prima!
    Very good!    Sehr gut!
    Bad           Schlecht
    Miserable     Miserabel
    

### Interrogative Adverbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-8)]

* * *
    
    
    Who           Wer
    What          Was
    Where         Wo
    When          Wann
    Why           Warum
    How           Wie
    

### Genders[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-9)]

* * *
    
    
    Boy           Der Junge
    Girl          Das Mädchen
    Man           Der Herr
    Woman         Die Frau
    Boys          Die Jungen
    Girls         Die Mädchen
    Men           Die Männer
    Women         Die Frauen
    

## Freizeit[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-10)]

### Sports & Activities[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-11)]

* * *
    
    
    Sport(s)      Sport
    Interests     Hobbys/Interessant
    Soccer        Fußball
    USA Football  Amerikan Football
    Volleyball    Volleyball
    Basketball    Basketball
    Tennis        Tennis
    Baseball      Baseball
    9-pin Bowling Kegeln
    Chess         Schach
    Board Game    Das Brettspiel
    Game          Das Spiel
    Homework      Hausaufgaben
    Television    Fernsehen
    Movie         Der Film, Filme
    

### Conjunctions[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-12)]

* * *
    
    
    And           Und
    But           Aber
    Or            Oder
    

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-13)]

* * *
    
    
    To Have       haben
    To Be         sein
    To Be Called  heißen
    To Play       spielen
    To Do/Make    machen
    To Read       lesen
    To Watch      schauen
    To See        sehen
    To Work       arbeiten
    To Write      schreiben
    To Swim       schwimmen
    

### Numbers[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-14)]

* * *
    
    
    One           Eins
    Two           Zwei
    Three         Drei
    Four          Vier
    Five          Fünf
    Six           Sechs
    Seven         Sieben
    Eight         Acht 
    Nine          Neun
    Ten           Zehn
    Eleven        Elf
    Twelve        Zwölf
    Thirteen      Dreizehn
    Fourteen      Vierzehn
    Fifteen       Fünfzehn
    Sixteen       Sechzehn
    Seventeen     Siebzehn
    Eighteen      Achtzehn
    Nineteen      Neunzehn
    Twenty        Zwanzig
    Thirty        Dreißig
    Forty         Vierzig
    Fifty         Fünfzig
    Sixty         Sechzig
    Seventy       Siebzig
    Eighty        Achtzig
    Ninety        Neunzig
    Hundred       Hundert
    Thousand      Tausend
    

### How to Read Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-15)]

* * *
    
    
    After         Nach
    Till          Vor
    Quarter       Viertel
    Half Before   Halb
    

### Times in the Day[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-16)]

* * *
    
    
    Day           Tag
    Today         Heute
    Tomorrow      Morgen
    Yesterday     Gestern
    Early Morning Morgen (use morgen früh for tomorrow morning)
    Morning       Vormittag
    Afternoon     Nachmittag
    Evening       Abend
    Night         Nacht
    Noon          Mittag
    Midnight      Mitternacht
    

### Days[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-17)]

* * *
    
    
    Monday        Montag
    Tuesday       Dienstag
    Wednesday     Mittwoch
    Thursday      Donnerstag
    Friday        Freitag
    Saturday      Samstag or Sonnabend
    Sunday        Sonntag
    

### Months[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-18)]

* * *
    
    
    January       Januar 
                 Jänner (used in Austria)
    February      Februar
    March         März
    April         April
    May           Mai
    June          Juni 
                 Juno (in spoken word only)
    July          Juli 
                 Julei (in spoken word only)
    August        August
    September     September
    October       Oktober
    November      November
    December      Dezember
    

### Seasons[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-19)]

* * *
    
    
    Spring        Frühling
    Summer        Sommer
    Autumn        Herbst
    Winter        Winter
    

### Time[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-20)]

* * *
    
    
    Time          Die Zeit
    Free Time     Die Freizeit
    Always        Immer
    Often         Oft
    Sometimes     Manchmal
    Seldom        Selten
    Never         Nie
    Only          Nur
    

## Essen[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-21)]

### Subject Pronouns in the Accusative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-22)]

* * *
    
    
    Me            Mich
    Us            Uns
    You           Dich
    You All       Euch
    Him           Ihn
    Her           Sie
    It            Es
    Them          Sie
    

### Food[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-23)]

* * *
    
    
    Appetizers    Vorspeisen
    Salad         Der Salat
    Bread         Das Brot
    Breadstick    Die Scheibe Brot
    Main Dishes   Hauptgerichte
    Sausage       Die Wurst
    Sausages      Die Würste
    Bratwurst     Die Bratwurst
    Hot Dog       Das Hot Dog
    Pizza         Die Pizza
    Pizzas        Die Pizzen
    Hamburger     Der Hamburger
    Hamburgers    Die Hamburger
    With          Mit (ignore article)
    Without       Ohne (ignore article)
    Tomatoes      Tomaten
    Lettuce       Der Salat
    Cheese        Der Käse
    Pickles       Die Gewürzgurken
    Onions        Die Zwiebeln
    Ketchup       Der Ketchup
    Mustard       Der Senf
    Chicken       Das Hähnchen
    Chickens      Die Hähnchen
    Seafood       Die Meeresfrüchte (plural)
    Fish          Der Fisch 
    Sides         Die Beilage (singular), die Beilagen (plural)
    Soup          Die Suppe
    Soups         Die Suppen
    Noodle Soup   Die Nudelsuppe
    French Fries  Die Pommes frites (plural)
    Fries         Die Fritten (Informal and plural)
    Pasta         Die Pasta or Die Nudeln
    Potato        Die Kartoffel
    Potatoes      Die Kartoffeln
    Corn          Mais
    Bean          Die Bohne
    Beans         Die Bohnen
    Desserts      Nachspeisen
    Gâteau        Die (Sahne-)Torte
    Strudel       Der Strudel
    Apple strudel Apfelstrudel
    Cake          Der Kuchen
    Piece of Cake Das Stück Kuchen
    Pie           Die Pastete
    Piece of Pie  Das Stück Pastete
    Apple Pie     Die Apfelpastete
    Ice Cream     Das Eis
    Pudding       Der Pudding
    Cookie        Der Keks
    Cookies       Die Kekse
    Fruit         Das Obst
    The Meal      Das Essen
    Lunch         Mittagessen
    Dinner        Abendessen
    Hunger        Der Hunger 
    Thirst        Der Durst
    

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-24)]

* * *
    
    
    To Eat        Essen
    To Drink      Trinken
    To Receive    Bekommen
    To Want       Wollen
    Would Like    Möchten
    

### Polite Conversation[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-25)]

* * *
    
    
    Danke         Thank you
    Bitte         Please & You're Welcome
    Dankeschön    Thank you very much
    Danke sehr    Thanks a lot
    Kein Problem! No problem
    

### Regional Foods[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-26)]

* * *
    
    
    Chinese Food  Chinesisch Essen
    Japanese Food Japanisch Essen
    American Food Amerikanisch Essen
    Mexican Food  Mexikanisch Essen
    Arabic Food   Arabisch Essen
    Italian Food  Italienisch Essen
    Indian Food   Indisch Essen
    French Food   Französich Essen
    Greek Food    Griechisch Essen
    

### Prepositions in the Accusative Case[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-27)]

* * *
    
    
    Durch         Through
    Für           For
    Gegen         Against
    Ohne          Without
    Um            At, Around
    

### Tastes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-28)]

* * *
    
    
    Delicious     Lecker
    Tasty         Schmackhaft
    Juicy         Saftig
    Crunchy       Knackig
    Crispy        Knusprig
    Spicy         Würzig
    Stale         Fade 
                  Fad (used in Austria)
    Salty         Salzig
    Sweet         Süß
    Bitter        Bitter
    Sour          Sauer
    Creamy        Cremig     
    Hot           Heiß
    Burnt         Angebrannt
    Cold          Kalt
    Disgusting    Schrecklich
    

### Paying at a Restaurant[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-29)]

* * *
    
    
    To Pay        Zahlen
    The Bill      Die Rechnung
    Waiter        Der Ober
    

## Kleidung[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-30)]

### Shopping[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-31)]

* * *
    
    
    Babywear                     Die Babyartikel (plural)    
    Children's Wear              Die Kinderbekleidung 
    Clearance Sale               Der Räumungsverkauf 
    Closed                       Geschlossen
    Clothing                     Die Kleidung
    Computer Section             Der Computershop 
    Cosmetics                    Die Kosmetik
    Customer                     Der Kunde
    Customer Service             Der Kundendienst 
    Electrical Appliance         Das Elektrogerät
    Escalator                    Die Rolltreppe   
    Fashion                      Die Mode 
    Furniture                    Das Möbel (no plural)
    Gift                         Der Geschenkartikel 
    Good Value (Adj.)             Preiswert
    Groceries                    Die Lebensmittel (plural)
    Jewellery                    Damenschuhe (plural) 
    Leather Goods                Die Lederwaren (plural) 
    Open                         Geöffnet 
    Opening Hours                Die Öffnungszeiten (plural) 
    Present                      Das Geschenk
    Reduced                      Reduziert
    Sales Receipt                Der Kassenbon 
    Souvenir                     Das Andenken 
    Special Offer                Das Sonderangebot 
    Sports Goods                 Sportartikel (plural)
    Stationery                   Schreibwaren (plural)
    Summer Sale                  Der Sommerschlussverkauf (abbr. SSV)  
    Video Store                  Die Videothek 
    Winter Sale                  Der Winterschlussverkauf (abbr. WSV) 
    

### Shopping 2[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-32)]

* * *
    
    
    Department Store             Warenhaus
    Retail Store                 Einzelhandelsgeschäft
    The Mall                     Einkaufszentrum
    Boutique                     Boutique
    Store                        Geschäft
    Manager                      Manager
    Employee                     Angestellter
    Sales Clerk                  Verkäufer               
    Cashier                      Kassierer
    Dressing Room                Umkleidekabine
    Men's Section                Männerabteilung
    Women's Section              Frauenabteilung
    First Floor                  Erstes Stockwerk
    Menswear                     Männerkleidung
    Second Floor                 Zweiter Stock
    Womenswear                   Frauenkleidung
    Third Floor                  Dritte Stock
    Kids Section                 Kinderabteilung
    Fourth Floor                 Vierter Stock
    Electronics                  Elektronik
    Kitchenware                  Küchenbedarf
    Fifth Floor                  Fünfter Stock
    Lighting                     Beleuchtung           
    Bedding                      Bettwäsche
    Toys                         Spielwaren
    Six Floor                    Sechster Stock
    Food                         Lebensmittel
    

### Items to Buy[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-33)]

* * *
    
    
    Electronics                  Elektronik           
    Television                   Fernsehen
    Digital Camera               Digitalkamera
    Telephone                    Telefon
    Cell phone                   Mobiltelefon, Handy
    Computer                     Computer, Rechner
    Speakers                     Lautsprecher
    DVDs                         DVD
    CDs                          CD
    DVD Player                   DVD-Player
    CD Player                    CD-Player
    Bedding                      Bettwäsche
    Blankets                     Decken
    Pillow                       Kopfkissen
    Pillow Case                  Kopfkissenbezug
    Sheets                       Blätter
    Bed Skirt                    Bett-Rock
    

### Money[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-34)]

* * *
    
    
    Price                        Preis
    Note                         Der Schein
    Coin                         Die Münze
    1 Euro Coin                  Das Eurostück
    2 Euro Coin                  Das Zweieurostück
    5 Euro Note                  Der Fünfeuroschein
    10 Euro Note                 Der Zehneuroschein
    100 Euro Note                Der Hunderteuroschein
    1 Cent Coin                  Das Centstück
    2 Cent Coin                  Das Zweicentstück
    5 Cent Coin                  Das Fünfcentstück
    10 Cent Coin                 Das Zehncentstück
    20 Cent Coin                 Das Zwanzigcentstück
    50 Cent Coin                 Das Fünfcentstück
    

### Clothes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-35)]

* * *
    
    
    Skirt                        Der Rock
    Pullover                     Der Pullover
    Scarf                        Das Tuch
    Coat                         Der Mantel
    Shirt                        Das Hemd
    Sweater                      Der Pullover
    Necktie                      Der Schlips
    Jacket                       Die Jacke
    Pants                        Die Hose
    Hat                          Der Hut
    Shoe                         Der Schuh
    Sock                         Die Socke
    Glove                        Der Handschuh
    Blouse                       Die Bluse
    

### Sizes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-36)]

* * *
    
    
    Size                         Die Größe
    Color                        Die Farbe
    Cotton                       Die Baumwolle
    Leather                      Das Leder
    Rayon                        Die Kuntseide
    Small                        Klein
    Medium                       Mittel
    Large                        Groß
    Extra-Large                  Extragroß
    

### Words That Describe[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-37)]

* * *
    
    
    Cheap                        Billig                               
    Expensive                    Teuer
    Pretty                       Schön
    Ugly                         Hässlich
    Soft                         Weich
    New                          Neu
    Broad                        Breit 
    Wide                         Weit 
    Tight                        Eng
    Comfortable                  Bequem
    

### Colors[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-38)]

* * *
    
    
    Red                          Rot     
    Blue                         Blau
    Green                        Grün  
    Orange                       Orange
    Violet                       Veilchen
    Yellow                       Gelb
    Brown                        Braun
    Indigo                       Indigo
    Gray                         Grau
    Black                        Schwarz
    White                        Weiß
    

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-39)]

* * *
    
    
    To Look                      Aussehen
    To Try On                    Anprobieren
    To Put On                    Anziehen
    To Take                      Nehmen
    To Buy                       Kaufen
    To Have On/Wear              Anhaben or Tragen
    

## Volk und Familie[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-40)]

### Family[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-41)]

* * *
    
    
    Sohn                         Son
    Tochter                      Daughter
    Vater                        Father
    Mutter                       Mother
    Großvater                    Grandfather
    Großmutter                   Grandmother
    Opa                          Grandpa  
    Oma                          Grandma
    Schwester                    Sister
    Bruder                       Brother
    Geschwister                  Brothers & Sisters
    Enkel                        Grandson
    Enkelin                      Granddaughter  
    Frau                         Wife
    Mann                         Husband
    Schwiegervater               Father-in-Law
    Schwiegertochter             Daughter-in-Law
    Schwager                     Brother-in-Law
    Schwägerin                   Sister-in-Law
    Schwiegermutter              Mother-in-Law
    Schwiegersohn                Son-in-Law
    Onkel                        Uncle
    Tante                        Aunt
    Geschenk                     Present
    

## Schule[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-42)]

### Verbs[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-43)]

* * *
    
    
    Nimmt                        To Take Away
    Lesen                        To Read
    Schreiben                    To Write
    Studieren                    To Study
    Lernen                       To Learn
    Zeichnen                     To Paint
    

### Classes[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-44)]

* * *
    
    
    Deutsch                      German
    Englisch                     English
    Russisch                     Russian
    Französisch                  French
    Latein                       Latin
    Mathematik                   Mathematics
    Sport                        PE or Gym
    Kunst or Zeichnen            Arts
    Musik                        Music
    Geschichte                   History
    Biologie                     Biology
    Geografie                    Geography
    Religion                     RE or Religion
    Chemie                       Chemistry
    Physik                       Physics
    Informatik                   Computer Science
    

### School Supplies and Ect.[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-45)]

* * *
    
    
    der Radiergummi              Eraser/Rubber
    der Bleistift                Pencil
    der Kuli/Kugelschreiber      Pen
    das Fach                     Subject
    die Klasse                   Class
    der Lehrer                   Teacher (male)
    die Lehrerin                 Teacher (female)
    die Schule                   School
    der Schüler                  Student (High/Secondary School and Lower)
    der Student                  Student (College/University)
    die Stunde/Schulstunde       Lesson
    die Pause                    Break
    die Schultasche              Backpack
    

## Die Fete[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-46)]

### Gifts[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-47)]

* * *
    
    
    das Spiel                   Game
    das Videospiel              Video Game
    

### Parties[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-48)]

* * *
    
    
    der Spaß                    Fun
    die Feier                   PartyFormal
    die Party                   Party
    die Musik                   Music
    die Torte                   Cake
    das Fass                    Keg
    das Bier                    Beer
    der Schnaps                 Hard Liquor
    der Wein                    Wine
    der Weißwein                White Wine
    der Rotwein                 Red Wine
    Feiern                      To Party
    Trinken                     Drinking
    Saufen                      To Get Drunk
    sich Erbrechen              To Throw Up
    Kotzen                      To Puke _(slang)_
    Tanzen                      To Dance
    der Geburtstag              Birthday
    Weihnachten                 Christmas
    Ostern                      Easter
    das Jubiläum                Anniversary
    

## Privileg und Verantwortung[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-49)]

### Careers[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-50)]

* * *
    
    
    Work                        Arbeit
    Doctor                      Arzt
    Buniness Man                Geschäftsmann
    Buniness Woman              Geschäftsfrau
    Teacher                     Lehrer
    Police Officer              Polizeibeamte
    Fireman                     Feuerwehrmann
    Actor                       Schauspieler         
    Artist                      Künstler    
    Author                      Schriftsteller      
    Bank Clerk                  Bankangestellter     
    Car Mechanic                Automechaniker       
    Chemist                     Chemiker     
    Civil Servant               Beamter              
    Engineer                    Ingenieur   
    Farmer                      Landwirt     
    Hairdresser                 Friseur      
    Journalist                  Journalist           
    Lawyer                      Rechtsanwalt         
    Lecturer                    Dozent       
    Nurse                       Krankenpfleger       
    Pensioner                   Rentner      
    Photographer                Fotograf     
    Politician                  Politiker    
    Postman                     Briefträger          
    Professor                   Professor    
    Salesperson                 Verkäufer    
    Secretary                   Sekretär     
    Student                     Student      
    Taxi Driver                 Taxifahrer            
    Waiter                      Kellner
    

### Tasks[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-51)]

* * *
    
    
    Cleaning                   Reinigung
    Cooking                    Kochen
    Homework                   Hausaufgaben 
    Tasks                      Aufgaben
    

### Locations[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-52)]

* * *
    
    
    **Germany**                 **Deutschland**
    Hamburg                    Hamburg
    Berlin                     Berlin
    Frankfurt                  Frankfurt
    Colonge                    Köln
    Munich                     München
    

## Wetter[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-53)]

### Weather[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-54)]
    
    
    Weather               Wetter
    Rain                  Regen
    Snow                  Schnee
    Snow Showers          Schneesch
    Showers               Schauer
    Thunder               Donner
    Storm                 Sturm
    Thunderstorm          Gewitter
    Cloudy                Bewölkt
    Overcast              Bedeckt
    Hail                  Hagel
    Drizzle               Nieseln
    Thaw                  Tauen
    Frost                 Frost
    

### Transportion[[edit](http://en.wikibooks.org/w/index.php?title=German/Level_I/Vocabulary&action=edit&section=T-55)]
    
    
    Car               Auto
    Train             Zug
    Trainstation      Bahnhof
    Airplane          Flugzeug
    Boat              Boot
    Highway           Landstraße
    Road              Straße
    

  


* * *

# **CONTRIBUTORS**[[edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit&section=90)]

[German/Contributors](http://en.wikibooks.org/w/index.php?title=German/Contributors&action=edit&redlink=1)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=German/Print_version&oldid=2175001](http://en.wikibooks.org/w/index.php?title=German/Print_version&oldid=2175001)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [German](http://en.wikibooks.org/wiki/Category:German)

Hidden categories: 

  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [Pages with deep filing](http://en.wikibooks.org/wiki/Category:Pages_with_deep_filing)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=German%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=German%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:German/Print_version)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=German/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=German/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
../../../upload.wikimedia.org/wikibooks/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/German/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/German/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=German/Print_version&oldid=2175001)
    * [Page information](http://en.wikibooks.org/w/index.php?title=German/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=German%2FPrint_version&id=2175001)

### In other languages

    * [Italiano](http://it.wikibooks.org/wiki/Tedesco/Declinazione_dell%27aggettivo)
    * [Português](http://pt.wikibooks.org/wiki/Alem%C3%A3o/Gram%C3%A1tica/Adjetivos_e_adv%C3%A9rbios)
    * [Polski](http://pl.wikibooks.org/wiki/Niemiecki/Wie_hei%C3%9Ft_du)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=German%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=German%2FPrint+version&oldid=2175001&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=German/Print_version&printable=yes)

    * This page was last modified on 3 October 2011, at 18:48.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/German/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
