# Introduction to Sociology/Print version

From Wikibooks, open books for an open world

< [Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Introduction_to_Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=purge&printable=yes) this page.

_Note: current version of this book can be found at <http://en.wikibooks.org/wiki/Introduction_to_Sociology>_

Remember to click "refresh" to view this version.

# Table of contents[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=1)]

  * Authors
  * Introduction
  * Sociological Methods
  * General Sociological Theory
  * Social Life
  * Society
  * Culture
  * Socialization
  * Groups
  * Demography
  * Deviance and Norms
  * Social Inequality
  * Race and Ethnicity
  * Gender
  * Stratification
  * Family
  * Religion
  * Education
  * Health and Medicine
  * Social Change
  * Collective Behavior
  * Social Movements

  


# Authors[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=2)]

  * [Rcragun](http://en.wikibooks.org/wiki/User:Rcragun) Ryan T. Cragun, Associate Professor of Sociology, University of Tampa 
    * Contribution: Initial book layout and the development of most of the first 15 chapters
  * [Deborahcragun](http://en.wikibooks.org/w/index.php?title=User:Deborahcragun&action=edit&redlink=1) Deborah Cragun, MS Human Genetics 
    * Contribution: Developed the chapters on health care and medicine and race and ethnicity.
  * [Piotrus](http://en.wikibooks.org/wiki/User:Piotrus) Piotr Konieczny, PhD student in sociology, University of Pittsburgh 
    * Contributions: various small changes, videos, slides and downloadable tools

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=3)]

**Sociology** is the study of human social life. Sociology has many sub-sections of study, ranging from the analysis of conversations to the development of theories to try to understand how the entire world works. This chapter will introduce you to sociology and explain why it is important, how it can change your perspective of the world around you, and give a brief history of the discipline.

## What is Sociology?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/24/Emile_Durkheim.jpg/200px-Emile_Durkheim.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Emile Durkheim, one of the founders of Sociology.

Sociology is a branch of the social sciences that uses systematic methods of empirical investigation and critical analysis to develop and refine a body of knowledge about human social structure and activity, sometimes with the goal of applying such knowledge to the pursuit of government policies designed to benefit the general social welfare. Its subject matter ranges from the micro level to the macro level. Microsociology involves the study of people in face-to-face interactions. Macrosociology involves the study of widespread social processes.

Sociology is a broad discipline in terms of both methodology and subject matter. Its traditional focuses have included social relations, social stratification, social interaction, culture and deviance, and its approaches have included both qualitative and quantitative research techniques. As much of what humans do fits under the category of social structure or social activity, sociology has gradually expanded its focus to such far-flung subjects as the study of economic activity, health disparities, and even the role of social activity in the creation of scientific knowledge.[[1]](Print_version.html#cite_note-Moore2008-1) The range of social scientific methods has also been broadly expanded. The "cultural turn" of the 1970s and 1980s brought more humanistic interpretive approaches to the study of culture in sociology. Conversely, the same decades saw the rise of new mathematically rigorous approaches, such as social network analysis.

The social world is changing. Some argue it is growing; others say it is shrinking.[[2]](Print_version.html#cite_note-Putnam2001-2) The important point to grasp is: society does not remain unchanged over time. As will be discussed in more detail below, sociology has its roots in significant societal changes (e.g., the [industrial revolution](http://en.wikipedia.org/wiki/Industrial_Revolution), the creation of [empires](http://en.wikipedia.org/wiki/empire), and the age of [enlightenment](http://en.wikipedia.org/wiki/Age_of_Enlightenment) of scientific reasoning). Early practitioners developed the discipline as an attempt to understand societal changes.

Some early sociological theorists (e.g., Marx, Weber, and Durkheim) were disturbed by the social processes they believed to be driving the change, such as the quest for solidarity, the attainment of social goals, and the rise and fall of classes, to name a few examples. The founders of sociology were some of the earliest individuals to employ what C. Wright Mills (a prominent mid-20th century American sociologist) labeled the sociological imagination: the ability to situate personal troubles within an informed framework of social issues.[[3]](Print_version.html#cite_note-Mills2000-3) Mills proposed that:

    "What people need... is a quality of mind that will help them to use information and to develop reason in order to achieve lucid summations of what is going on in the world and of what may be happening within themselves. The sociological imagination enables its possessor to understand the larger historical scene in terms of its meaning for the inner life and the external career of a variety of individuals."[[3]](Print_version.html#cite_note-Mills2000-3)

As Mills saw it, the sociological imagination could help individuals cope with the social world by helping them to step outside of their personal, self-centric view of the world. In employing the sociological imagination, people are able to see the events and social structures that influence behavior, attitudes, and culture.

The sociological imagination goes beyond armchair sociology or common sense. Many people believe they understand the world and the events taking place within it, even though they have not actually engaged in a systematic attempt to understanding the social world, as sociologists do. Humans like to attribute causes to events and attempt to understand what is taking place around them.[[4]](Print_version.html#cite_note-Boyer2002-4) This is why individuals have been using religious ceremonies for centuries to invoke the will of the gods - because they believed the gods controlled certain elements of the natural world (e.g., the weather). Just as sacrificing two goats to ensure the safe operation of a Boeing 757 (and propitiate Akash Bhairab, the Hindu sky god) is an attempt to influence the natural world without first trying to understand how it works,[[5]](Print_version.html#cite_note-Tierney2008-5) armchair sociology is an attempt to understand how the social world works without employing scientific methods.

It would be inaccurate to say sociologists never sit around (even sometimes in comfy armchairs) trying to figure out how the world works. But [induction](http://en.wikipedia.org/wiki/Inductive_reasoning) is just a first step in understanding the social world. In order to test their theories, sociologists get up from their armchairs and enter the social world. They gather [data](http://en.wikipedia.org/wiki/data) and evaluate their theories in light of the data they collect (a.k.a. [deduction](http://en.wikipedia.org/wiki/Deductive_reasoning)). Sociologists do not just propose theories about how the social world works. Sociologists test their theories about how the world works using the [scientific method](http://en.wikipedia.org/wiki/scientific_method).

Sociologists, like all humans, have [values](http://en.wikipedia.org/wiki/values), [beliefs](http://en.wikipedia.org/wiki/beliefs), and even pre-conceived notions of what they might find in doing their research. But, as [Peter Berger](http://en.wikipedia.org/wiki/Peter_Berger), a well-known sociologist, has argued, what distinguishes the sociologist from non-scientific researchers is that "[the] sociologist tries to see what is there. He may have hopes or fears concerning what he may find. But he will try to see, regardless of his hopes or fears. It is thus an act of pure perception..."[[6]](Print_version.html#cite_note-Berger1963-6)

Sociology, then, is an attempt to understand the social world by situating social events in their corresponding environment (i.e., social structure, culture, history) and trying to understand social phenomena by collecting and analyzing empirical data.

## History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-2)]

Sociology is a relatively new academic discipline. It emerged in the early 19th century in response to the challenges of [modernity](http://en.wikipedia.org/wiki/modernity). Increasing mobility and technological advances resulted in the increasing exposure of people to cultures and societies different from their own. The impact of this exposure was varied, but for some people included the breakdown of traditional [norms](http://en.wikipedia.org/wiki/norms) and customs and warranted a revised understanding of how the world works. Sociologists responded to these changes by trying to understand what holds social groups together and also exploring possible solutions to the breakdown of [social solidarity](http://en.wikipedia.org/wiki/social_solidarity).

### Auguste Comte and Other Founders[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b3/Auguste_Comte.jpg/200px-Auguste_Comte.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Auguste Comte](http://en.wikipedia.org/wiki/Auguste_Comte), who coined the term _sociology_

The term _sociology_ was recoined by [Auguste Comte](http://en.wikipedia.org/wiki/Auguste_Comte) (1798-1857) in 1838 from the [Latin](http://en.wikipedia.org/wiki/latin_language) term _socius_ (companion, associate) and the [Greek](http://en.wikipedia.org/wiki/greek_language) term _logia_ (study of, speech). Comte hoped to unify all the sciences under sociology; he believed sociology held the potential to improve society and direct human activity, including the other sciences.

While it is no longer a theory employed in Sociology, Comte argued for an understanding of society he labeled _The Law of Three Stages_. Comte, not unlike other enlightenment thinkers, believed society developed in stages. The first was the **theological stage** where people took a religious view of society. The second was the **metaphysical stage** where people understood society as natural (not [supernatural](http://en.wikipedia.org/wiki/supernature)). Comte's final stage was the [scientific](http://en.wikipedia.org/wiki/scientific) or **[positivist](http://en.wikipedia.org/wiki/positivism) stage**, which he believed to be the pinnacle of social development. In the scientific stage, society would be governed by reliable knowledge and would be understood in light of the knowledge produced by science, primarily sociology. While vague connections between Comte's _Law_ and human history can be seen, it is generally understood in Sociology today that Comte's approach is a highly simplified and ill-founded approach to understand social development (see instead [demographic transition theory](http://en.wikipedia.org/wiki/demographic_transition) and [Ecological-Evolutionary Theory](http://en.wikipedia.org/wiki/Ecological-Evolutionary_Theory)).

Other _classical_ theorists of sociology from the late 19th and early 20th centuries include [Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx), [Ferdinand Toennies](http://en.wikipedia.org/wiki/Ferdinand_Toennies), [Emile Durkheim](http://en.wikipedia.org/wiki/Emile_Durkheim), [Vilfredo Pareto](http://en.wikipedia.org/wiki/Vilfredo_Pareto), and [Max Weber](http://en.wikipedia.org/wiki/Max_Weber). As pioneers in Sociology, most of the early sociological thinkers were trained in other academic disciplines, including history, philosophy, and economics. The diversity of their trainings is reflected in the topics they researched, including [religion](http://en.wikipedia.org/wiki/religion), [education](http://en.wikipedia.org/wiki/education), [economics](http://en.wikipedia.org/wiki/economics), [psychology](http://en.wikipedia.org/wiki/psychology), [ethics](http://en.wikipedia.org/wiki/ethics), [philosophy](http://en.wikipedia.org/wiki/philosophy), and [theology](http://en.wikipedia.org/wiki/theology). Perhaps with the exception of Marx, their most enduring influence has been on sociology, and it is in this field that their theories are still considered most applicable.

### The Development of the Discipline[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-4)]

The first book with the term _sociology_ in its title was written in the mid-19th century by the English philosopher [Herbert Spencer](http://en.wikipedia.org/wiki/Herbert_Spencer). In the United States, the first _Sociology_ course was taught at the University of Kansas, Lawrence in 1890 under the title _Elements of Sociology_ (the oldest continuing sociology course in America). The first full fledged university department of sociology in the United States was established in 1892 at the University of Chicago by [Albion W. Small](http://en.wikipedia.org/wiki/Albion_W._Small), who in 1895 founded the [American Journal of Sociology](http://en.wikipedia.org/wiki/American_Journal_of_Sociology). The first European department of sociology was founded in 1895 at the University of Bordeaux by [Emile Durkheim](http://en.wikipedia.org/wiki/Emile_Durkheim), founder of [L'Année Sociologique](http://en.wikipedia.org/wiki/Ann%C3%A9e_Sociologique) (1896). In 1919 a sociology department was established in Germany at the Ludwig Maximilians University of Munich by [Max Weber](http://en.wikipedia.org/wiki/Max_Weber) and in 1920 in Poland by [Florian Znaniecki](http://en.wikipedia.org/wiki/Florian_Znaniecki). The first sociology departments in the United Kingdom were founded after the Second World War.

International cooperation in sociology began in 1893 when [Rene Worms](http://en.wikipedia.org/wiki/Rene_Worms) founded the small [Institut International de Sociologie](http://en.wikipedia.org/wiki/Institut_International_de_Sociologie) that was eclipsed by the much larger [International Sociologist Association](http://en.wikipedia.org/wiki/International_Sociologist_Association) starting in 1949. In 1905 the [American Sociological Association](http://en.wikipedia.org/wiki/American_Sociological_Association), the world's largest association of professional sociologists, was founded.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fc/Karl_Marx.jpg/200px-Karl_Marx.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx)

### Early Sociological Studies[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-5)]

Early sociological studies considered the field to be similar to the [natural sciences](http://en.wikipedia.org/wiki/natural_science), like [physics](http://en.wikibooks.org/wiki/Physics) or [biology](http://en.wikipedia.org/wiki/biology). As a result, many researchers argued that the [methodology](http://en.wikipedia.org/wiki/methodology) used in the natural sciences was perfectly suited for use in the social sciences. The effect of employing the [scientific method](http://en.wikipedia.org/wiki/scientific_method) and stressing [empiricism](http://en.wikipedia.org/wiki/empiricism) was the distinction of sociology from [theology](http://en.wikipedia.org/wiki/theology), [philosophy](http://en.wikipedia.org/wiki/philosophy), and [metaphysics](http://en.wikipedia.org/wiki/metaphysics). This also resulted in sociology being recognized as an empirical science. This early sociological approach, supported by August Comte, led to [positivism](http://en.wikipedia.org/wiki/positivism), a methodological approach based on [sociological naturalism](http://en.wikipedia.org/wiki/sociological_naturalism). The goal of positivism, like the natural sciences, is prediction. But in the case of sociology, it is prediction of human behavior, which is a complicated proposition.

The goal of predicting human behavior was quickly realized to be a bit lofty. Scientists like [Wilhelm Dilthey](http://en.wikipedia.org/wiki/Wilhelm_Dilthey) and [Heinrich Rickert](http://en.wikipedia.org/wiki/Heinrich_Rickert) argued that the natural world differs from the social world, as human society has [culture](http://en.wikipedia.org/wiki/culture), unlike the societies of most other animals (e.g., the behavior of ants, wolves, etc. is primarily based on genetic instructions and is not passed from generation to generation through _socialization_). As a result, an additional goal was proposed for sociology. Max Weber[[7]](Print_version.html#cite_note-Weber1997-7) and Wilhelm Dilthey[[8]](Print_version.html#cite_note-Dilthey1978-8) introduced the concept of **[verstehen](http://en.wikipedia.org/wiki/verstehen)**.[[9]](Print_version.html#cite_note-Glass2005-9) The goal of _verstehen_ is less to predict behavior than it is to understand behavior. Outside observers of a culture relate to an indigenous people on both the observer's and the observeds' own terms in order to comprehend the cultural conditions. While arriving at a verstehen-like understanding of a culture employs systematic methodologies like the positivistic approach of predicting human behavior, it is often a more subjective process.

The inability of sociology and other social sciences to perfectly predict the behavior of humans or to fully comprehend a different culture has led to the social sciences being labeled "soft sciences." While some might consider this label derogatory, in a sense it can be seen as an admission of the remarkable complexity of humans as social animals. Any animal as complex as humans is bound to be difficult to fully comprehend. What's more, humans, human society, and human culture are all constantly changing, which means the social sciences will constantly be works in progress.

### Quantitative vs. Qualitative Sociology[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-6)]

The contrast between positivist sociology and the verstehen approach has been reformulated in modern sociology as a distinction between **quantitative** and **qualitative** methodological approaches, respectively. Quantitative sociology is generally a numerical approach to understanding human behavior. Surveys with large numbers of participants are aggregated into data sets and analyzed using statistics, allowing researchers to discern patterns in human behavior. Qualitative sociology generally opts for depth over breadth. The qualitative approach uses in-depth interviews, focus groups, or analysis of content sources (books, magazines, journals, TV shows, etc.) as the data source. These sources are then analyzed systematically to discern patterns and to arrive at a better understanding of human behavior.

Drawing a hard and fast distinction between quantitative and qualitative sociology is a bit misleading. The first step in all sciences is the development of a theory and the generation of testable hypotheses. While there are some individuals who begin analyzing data without a theoretical orientation to guide their analysis,[[10]](Print_version.html#cite_note-Denzin2007-10) most begin with a theoretical idea or question and gather data to test that theory. The second step is the collection of data. This is really where the two approaches differ. Quantitative sociology focuses on numerical representations of the research subjects (e.g., Do [conservative Christian](http://en.wikipedia.org/wiki/conservative_Christian) fathers spend more time in child care than [secular](http://en.wikipedia.org/wiki/secular) fathers, when measured in hours?[[11]](Print_version.html#cite_note-Civettini2008-11)). Qualitative sociology focuses on the ideas found within the discourse and rhetoric of the research subjects (e.g., What is the narrative homosexual men use to explain their continued participation in religions that condemn their sexual orientation?[[12]](Print_version.html#cite_note-Loseke2001-12)). The goal of both approaches is to answer a question and/or test a theory.

## Sociology and Other Social Sciences[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-7)]

The **social sciences** comprise the application of [scientific methods](http://en.wikipedia.org/wiki/scientific_method) to the study of the human aspects of the world. [Psychology](http://en.wikipedia.org/wiki/Psychology) studies the human [mind](http://en.wikipedia.org/wiki/mind) and micro-level (or individual) behavior; sociology examines human society; [political science](http://en.wikipedia.org/wiki/political_science) studies the governing of groups and countries; [communication](http://en.wikipedia.org/wiki/communication) studies the flow of discourse via various media; [economics](http://en.wikipedia.org/wiki/economics) concerns itself with the production and allocation of wealth in society; and [social work](http://en.wikipedia.org/wiki/social_work) is the application of social scientific knowledge in society. Social sciences diverge from the [humanities](http://en.wikipedia.org/wiki/humanities) in that many in the social sciences emphasize the scientific method or other rigorous standards of evidence in the study of humanity.

### The Development of Social Science[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-8)]

In ancient philosophy, there was no difference between the liberal arts of mathematics and the study of history, poetry or politics. Only with the development of mathematical proof did there gradually arise a perceived difference between _scientific_ disciplines and the _humanities_ or _liberal arts_. Thus, [Aristotle](http://en.wikipedia.org/wiki/Aristotle) studied planetary motion and poetry with the same methods; [Plato](http://en.wikipedia.org/wiki/Plato) mixed geometrical proofs with his demonstration on the state of intrinsic knowledge.

This unity of science as descriptive remained, for example, in the time of [Thomas Hobbes](http://en.wikipedia.org/wiki/Thomas_Hobbes), who argued that deductive reasoning from axioms created a scientific framework. His book, _[Leviathan](http://en.wikipedia.org/wiki/Leviathan_\(book\))_, was a scientific description of a political commonwealth. Within decades of Hobbes' work a revolution took place in what constituted _science_, particularly with the work of [Isaac Newton](http://en.wikipedia.org/wiki/Isaac_Newton) in physics. Newton, by revolutionizing what was then called _natural philosophy_, changed the basic framework by which individuals understood what was _scientific_.

While Newton was merely the archetype of an accelerating trend, the important distinction is that for Newton the mathematical flowed from a presumed reality independent of the observer and it worked by its own rules. For philosophers of the same period, mathematical expression of philosophical ideals were taken to be symbolic of natural human relationships as well: the same laws moved physical and spiritual reality. For examples see [Blaise Pascal](http://en.wikipedia.org/wiki/Blaise_Pascal), [Gottfried Leibniz](http://en.wikipedia.org/wiki/Gottfried_Leibniz) and [Johannes Kepler](http://en.wikipedia.org/wiki/Johannes_Kepler), each of whom took mathematical examples as models for human behavior directly. In Pascal's case, the famous wager; for Leibniz, the invention of binary computation; and for Kepler, the intervention of angels to guide the planets.

In the realm of other disciplines, this created a pressure to express ideas in the form of mathematical relationships. Such relationships, called _Laws_ after the usage of the time (see [philosophy of science](http://en.wikipedia.org/wiki/philosophy_of_science)) became the model that other disciplines would emulate. In the late 19th century, attempts to apply equations to statements about human behavior became increasingly common. Among the first were the _Laws_ of philology, which attempted to map the change overtime of sounds in a language. In the early 20th century, a wave of change came to science. [Statistics](http://en.wikipedia.org/wiki/statistics) and [probability theory](http://en.wikipedia.org/wiki/probability) were sufficiently developed to be considered "scientific", resulting in the widespread use of statistics in the social sciences (they are also widely used in most other sciences as well, including biology).

The first thinkers to attempt to combine scientific inquiry with the exploration of human relationships were [Emile Durkheim](http://en.wikipedia.org/wiki/Emile_Durkheim) in France and [William James](http://en.wikipedia.org/wiki/William_James) in the United States. Durkheim's sociological theories and James' work on experimental psychology had an enormous impact on those who followed.

One of the most persuasive advocates for the view of scientific treatment of philosophy is [John Dewey](http://en.wikipedia.org/wiki/John_Dewey) (1859-1952). He began, as Marx did, in an attempt to weld Hegelian idealism and logic to experimental science, for example in his _Psychology_ of 1887. However, it is when he abandoned Hegelian constructs and joined the movement in America called [Pragmatism](http://en.wikipedia.org/wiki/Pragmatism) that he began to formulate his basic doctrine on the three phases of the process of inquiry:

  1. problematic situation, where the typical response is inadequate
  2. isolation of data or subject matter
  3. reflective, which is tested empirically

With the rise of the idea of quantitative measurement in the physical sciences (see, for example [Lord Rutherford](http://en.wikipedia.org/wiki/Lord_Rutherford)'s famous maxim that any knowledge that one cannot measure numerically "is a poor sort of knowledge"), the stage was set for the division of the study of humanity into the humanities and the _social sciences_.

## Sociology Today[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-9)]

Although sociology emerged from Comte's vision of a discipline that would subsume all other areas of scientific inquiry, that was not to be the future of sociology. Far from replacing the other sciences, sociology has taken its place as a particular perspective for investigating human social life.

In the past, sociological research focused on the organization of complex, [industrial societies](http://en.wikipedia.org/wiki/industrial_society) and their influence on individuals. Today, sociologists study a broad range of topics. For instance, some sociologists research [macro-structures](http://en.wikipedia.org/wiki/social_structure) that organize society, such as [race](http://en.wikipedia.org/wiki/race) or [ethnicity](http://en.wikipedia.org/wiki/ethnicity), [social class](http://en.wikipedia.org/wiki/social_class), [gender roles](http://en.wikipedia.org/wiki/gender_role), and institutions such as the [family](http://en.wikipedia.org/wiki/family). Other sociologists study social processes that represent the breakdown of macro-structures, including [deviance](http://en.wikipedia.org/wiki/deviance), [crime](http://en.wikipedia.org/wiki/crime), and [divorce](http://en.wikipedia.org/wiki/divorce). Additionally, some sociologists study micro-processes such as interpersonal interactions and the [socialization](http://en.wikipedia.org/wiki/socialization) of individuals. It should also be noted that recent sociologists, taking cues from anthropologists, have realized the _[Western](http://en.wikipedia.org/wiki/Western)_ emphasis of the discipline. In response, many sociology departments around the world are now encouraging multi-cultural research.

The next two chapters in this book will introduce the reader to more extensive discussions of the methods and theory employed in sociology. The remaining chapters are examinations of current areas of research in the discipline.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-10)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Introduction&action=edit&section=T-11)]

  * [American Sociological Association](http://www.asanet.org/)
  * [Analysing and Overcoming the Sociological Fragmentation in Europe: European Virtual Library of Sociology](http://www.anovasofie.net/vl/)
  * [A Century of Sociology at University of Kansas, by Alan Sica (Adobe Acrobat PDF file)](http://www.ku.edu/%7Esocdept/centuryofsoc.pdf)
  * [International Sociological Association](http://www.ucm.es/info/isa/)
  * [The Sociolog. Comprehensive Guide to Sociology](http://www.sociolog.com/)
  * [Social Science Virtual Library](http://www.clas.ufl.edu/users/gthursby/socsci/)
  * [An online reference for Sociology](http://edu.learnsoc.org/)

[Sociological Methods](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Methods) →

**[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Sociological Methods](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Methods) →

# Sociological methods[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=4)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-1)]

The goal of this chapter is to introduce the methods employed by sociologists in their study of social life. This is not a chapter on statistics nor does it detail specific methods in sociological investigation. The primary aim is to illustrate how sociologists go beyond common sense understandings in trying to explain or understand social phenomena.

## The Development of Social Science[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/Sigmund_Freud_LIFE.jpg/150px-Sigmund_Freud_LIFE.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sigmund Freud, one of the first people to explore human relationships scientifically.

In ancient philosophy, there was no difference between the liberal arts of mathematics and the study of history, poetry or politics - only with the development of mathematical proof did there gradually arise a perceived difference between _scientific_ disciplines and the _humanities_ or _liberal arts_. Thus, [Aristotle](http://en.wikipedia.org/wiki/Aristotle) studied planetary motion and poetry with the same methods, and [Plato](http://en.wikipedia.org/wiki/Plato) mixed geometrical proofs with his demonstration on the state of intrinsic knowledge.

This unity of science as descriptive remained, for example, in the time of [Thomas Hobbes](http://en.wikipedia.org/wiki/Thomas_Hobbes) who argued that deductive reasoning from axioms created a scientific framework; his book, _[Leviathan](http://en.wikipedia.org/wiki/Leviathan_\(book\))_, was a scientific description of a political commonwealth. Within decades of Hobbes' work a revolution took place in what constituted _science_, particularly with the work of [Isaac Newton](http://en.wikipedia.org/wiki/Isaac_Newton) in physics. Newton, by revolutionizing what was then called _natural philosophy_, changed the basic framework by which individuals understood what was _scientific_.

While Newton was merely the archetype of an accelerating trend, the important distinction is that for Newton the mathematical flowed from a presumed reality independent of the observer and it worked by its own rules. For philosophers of the same period, mathematical expression of philosophical ideals were taken to be symbolic of natural human relationships as well: the same laws moved physical and spiritual reality. For examples see [Blaise Pascal](http://en.wikipedia.org/wiki/Blaise_Pascal), [Gottfried Leibniz](http://en.wikipedia.org/wiki/Gottfried_Leibniz) and [Johannes Kepler](http://en.wikipedia.org/wiki/Johannes_Kepler), each of whom took mathematical examples as models for human behavior directly. In Pascal's case, the famous wager; for Leibniz, the invention of binary computation; and for Kepler, the intervention of angels to guide the planets.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/Wm_james.jpg/150px-Wm_james.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

William James was one of the first Americans to explore human relations scientifically.

In the realm of other disciplines, this created a pressure to express ideas in the form of mathematical relationships. Such relationships, called _Laws_ after the usage of the time (see [philosophy of science](http://en.wikipedia.org/wiki/philosophy_of_science)) became the model that other disciplines would emulate. In the late 19th century, attempts to apply equations to statements about human behavior became increasingly common. Among the first were the _Laws_ of philology, which attempted to map the change over time of sounds in a language. In the early 20th century, a wave of change came to science that saw _[statistical](http://en.wikipedia.org/wiki/statistics)_ study sufficiently mathematical to be _science_.

The first thinkers to attempt to combine scientific inquiry with the exploration of human relationships were [Sigmund Freud](http://en.wikipedia.org/wiki/Sigmund_Freud) in Austria and [William James](http://en.wikipedia.org/wiki/William_James) in the United States. Freud's theory of the functioning of the mind and James' work on experimental psychology had an enormous impact on those who followed.

With the rise of the idea of quantitative measurement in the physical sciences (see, for example [Lord Rutherford](http://en.wikipedia.org/wiki/Lord_Rutherford)'s famous maxim that any knowledge that one cannot measure numerically "is a poor sort of knowledge"), the stage was set for the conception of the humanities as being precursors to _social science_.

## The Scientific Method[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-3)]

A scientific method or process is considered fundamental to the scientific investigation and acquisition of new knowledge based upon verifiable evidence. In addition to employing the scientific method in their research, sociologists explore the social world with several different purposes in mind. Like the physical sciences (i.e., chemistry, physics, etc.), sociologists can be and often are interested in predicting outcomes given knowledge of the variables and relationships involved. This approach to _doing science_ is often termed _[positivism](http://en.wikipedia.org/wiki/positivism)_ (though perhaps more accurately should be called _[empiricism](http://en.wikipedia.org/wiki/empiricism)_). The positivist approach to social science seeks to explain and predict social phenomena, often employing a quantitative approach. But unlike the physical sciences, sociology (and other social sciences, like [anthropology](http://en.wikipedia.org/wiki/anthropology)) also often seek simply to understand social phenomena. Max Weber labeled this approach _[Verstehen](http://en.wikipedia.org/wiki/Verstehen)_, which is German for _understanding_. In this approach the goal is to understand a [culture](http://en.wikipedia.org/wiki/culture) or phenomenon on its own terms rather than trying to develop a theory that allow for prediction. Both approaches employ a scientific method as they make observations and gather data, propose hypotheses, and test their hypotheses in the formulation of theories. These steps are outlined in more detail below.

Sociologists use observations, hypotheses and deductions to propose explanations for social phenomena in the form of theories. Predictions from these theories are tested. If a prediction turns out to be correct, the theory survives. If not, the theory is modified or discarded. The method is commonly taken as the underlying logic of scientific practice. Science is essentially an extremely cautious means of building a supportable, evidenced understanding of our natural world.

The essential elements of a scientific method are iterations and recursions of the following four steps:

  1. Characterization (operationalization or quantification, observation and measurement)
  2. Hypothesis (a theoretical, hypothetical explanation of the observations and measurements)
  3. Prediction (logical deduction from the hypothesis)
  4. Experiment (test of all of the above; in the social sciences, _true experiments_ are often replaced with a different form of data analysis that will be discussed in more detail below)

### Characterization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-4)]

A scientific method depends upon a careful characterization of the subject of the investigation. While seeking the pertinent properties of the subject, this careful thought may also entail some definitions and observations; the observation often demands careful measurement and/or counting.

The systematic, careful collection of measurements or counts of relevant quantities is often the critical difference between [pseudo-sciences,](http://en.wikipedia.org/wiki/pseudoscience) such as [alchemy](http://en.wikipedia.org/wiki/alchemy), and a science, such as [chemistry](http://en.wikipedia.org/wiki/chemistry). Scientific measurements are usually tabulated, graphed, or mapped, and statistical manipulations, such as [correlation](http://en.wikipedia.org/wiki/correlation) and [regression](http://en.wikipedia.org/wiki/regression), performed on them. The measurements might be made in a controlled setting, such as a laboratory, or made on more or less inaccessible or unmanipulatable objects such as human populations. The measurements often require specialized scientific instruments such as thermometers, spectroscopes, or voltmeters, and the progress of a scientific field is usually intimately tied to their invention and development.

Measurements demand the use of _operational definitions_ of relevant quantities (a.k.a. _[operationalization](http://en.wikipedia.org/wiki/operationalization)_). That is, a scientific quantity is described or defined by how it is measured, as opposed to some more vague, inexact or _idealized_ definition. The operational definition of a thing often relies on comparisons with standards: the operational definition of _mass_ ultimately relies on the use of an artifact, such as a certain kilogram of platinum kept in a laboratory in France. In short, to operationalize a variable means creating an operational definition for a concept someone intends to measure. How this is done is very important as it should be done with enough precision that independent researchers should be able to use your description of your measurement and repeat it.

The scientific definition of a term sometimes differs substantially from its natural language usage. For example, _sex_ and _gender_ are often used interchangeably in common discourse, but have distinct meanings in sociology. Scientific quantities are often characterized by their units of measure which can later be described in terms of conventional physical units when communicating the work.

Measurements in scientific work are also usually accompanied by estimates of their uncertainty. The uncertainty is often estimated by making repeated measurements of the desired quantity. Uncertainties may also be calculated by consideration of the uncertainties of the individual underlying quantities that are used. Counts of things, such as the number of people in a nation at a particular time, may also have an uncertainty due to limitations of the method used. Counts may only represent a sample of desired quantities, with an uncertainty that depends upon the sampling method used and the number of samples taken (see the [central limit theorem](http://en.wikipedia.org/wiki/central_limit_theorem)).

### Hypothesis Development[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-5)]

A hypothesis includes a suggested explanation of the subject. It will generally provide a causal explanation or propose some association between two variables. If the hypothesis is a causal explanation, it will involve at least one _[dependent variable](http://en.wikipedia.org/wiki/dependent_variable)_ and one _[independent variable](http://en.wikipedia.org/wiki/independent_variable)_.

Variables are measurable phenomena whose values can change (e.g., class status can range from lower- to upper-class). A dependent variable is a [variable](http://en.wikipedia.org/wiki/variable_\(social_science\)) whose values are presumed to change as a result of the independent variable. In other words, the value of a dependent variable _depends_ on the value of the independent variable. Of course, this assumes that there is an actual relationship between the two variables. If there is no relationship, then the value of the _dependent variable_ does not depend on the value of the independent variable. An _independent variable_ is a variable whose value is manipulated by the experimenter (or, in the case of non-experimental analysis, changes in the society and is measured). Perhaps an example will help clarify. In a study of the influence of gender on promotion, the independent variable would be gender/sex. Promotion would be the dependent variable. Change in promotion is hypothesized to be dependent on gender.

Scientists use whatever they can — their own creativity, ideas from other fields, induction, systematic guessing, etc. — to imagine possible explanations for a phenomenon under study. There are no definitive guidelines for the production of new hypotheses. The history of science is filled with stories of scientists claiming a _flash of inspiration_, or a hunch, which then motivated them to look for evidence to support or refute their idea.

### Prediction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-6)]

A useful hypothesis will enable predictions, by deductive reasoning, that can be experimentally assessed. If results contradict the predictions, then the hypothesis under examination is incorrect or incomplete and requires either revision or abandonment. If results confirm the predictions, then the hypothesis might be correct but is still subject to further testing. Predictions refer to experimental designs with a currently unknown outcome. A prediction (of an unknown) differs from a consequence (which can already be known).

### Experiment[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-7)]

Once a prediction is made, an experiment is designed to test it. The experiment may seek either confirmation or falsification of the hypothesis.

Scientists assume an attitude of openness and accountability on the part of those conducting an experiment. Detailed record keeping is essential, to aid in recording and reporting on the experimental results, and providing evidence of the effectiveness and integrity of the procedure. They will also assist in reproducing the experimental results.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Milgram_Experiment.png/200px-Milgram_Experiment.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is a diagram of the famous [Milgram Experiment](http://en.wikipedia.org/wiki/Milgram_Experiment) which explored [obedience](http://en.wikipedia.org/wiki/obedience) and [authority](http://en.wikipedia.org/wiki/authority) in light of the crimes committed by the Nazis in World War II.

The experiment's integrity should be ascertained by the introduction of a control. Two virtually identical experiments are run, in only one of which the factor being tested is varied. This serves to further isolate any causal phenomena. For example in testing a drug it is important to carefully test that the supposed effect of the drug is produced only by the drug. Doctors may do this with a double-blind study: two virtually identical groups of patients are compared, one of which receives the drug and one of which receives a [placebo](http://en.wikipedia.org/wiki/placebo). Neither the patients nor the doctor know who is getting the real drug, isolating its effects. This type of experiment is often referred to as a _[true experiment](http://en.wikipedia.org/wiki/experiment)_ because of its design. It is contrasted with alternative forms below.

Once an experiment is complete, a researcher determines whether the results (or data) gathered are what was predicted. If the experimental conclusions fail to match the predictions/hypothesis, then one returns to the failed hypothesis and re-iterates the process - modifying one's theory or developing a new one. If the experiment appears _successful_ \- i.e. fits the hypothesis - the experimenter often will attempt to publish the results so that others (in theory) may reproduce the same experimental results, verifying the findings in the process.

An experiment is not an absolute requirement. In observation based fields of science actual experiments must be designed differently than for the classical laboratory based sciences. Due to ethical concerns and the sheer cost of manipulating large segments of society, sociologists often turn to other methods for testing hypotheses. In lieu of holding variables constant in laboratory settings, sociologists employ statistical techniques (e.g., [regression](http://en.wikipedia.org/wiki/regression)) that allow them to control the variables in the analysis rather than in the data collection. For instance, in examining the effects of gender on promotions, sociologists may _control_ for the effects of social class as this variable will likely influence the relationship. Unlike a _true experiment_ where these variables are held constant in a laboratory setting, sociologists use statistical methods to hold constant social class (or, better stated, partial out the variance accounted for by social class) so they can see the relationship between gender and promotions without the interference of social class. Thus, while the _true experiment_ is ideally suited for the performance of science, especially because it is the best method for deriving _causal relationships_, other methods of _hypothesis testing_ are commonly employed in the social sciences.

### Evaluation and Iteration[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-8)]

The scientific process is iterative. At any stage it is possible that some consideration will lead the scientist to repeat an earlier part of the process. For instance, failure of a hypothesis to produce interesting and testable predictions may lead to reconsideration of the hypothesis or of the definition of the subject.

It is also important to note that science is a social enterprise, and scientific work will become accepted by the community only if it can be verified. Crucially, experimental and theoretical results must be reproduced by others within the scientific community. All scientific knowledge is in a state of flux, for at any time new evidence could be presented that contradicts a long-held hypothesis. For this reason, scientific journals use a process of [peer review](http://en.wikipedia.org/wiki/peer_review), in which scientists' manuscripts are submitted by editors of scientific journals to (usually one to three) fellow (usually anonymous) scientists familiar with the field for evaluation. The referees may or may not recommend publication, publication with suggested modifications, or, sometimes, publication in another journal. This serves to keep the scientific literature free of unscientific work, helps to cut down on obvious errors, and generally otherwise improves the quality of the scientific literature.[[1]](Print_version.html#cite_note-Moghissi2010-13) Work announced in the popular press before going through this process is generally frowned upon. Sometimes peer review inhibits the circulation of unorthodox work, and at other times may be too permissive. The peer review process is not always successful, but has been very widely adopted by the scientific community.

The _[reproducibility](http://en.wikipedia.org/wiki/reproducibility)_ or replication of scientific observations, while usually described as being very important in a scientific method, is actually seldom reported, and is in reality often not done. Referees and editors often reject papers purporting only to reproduce some observations as being unoriginal and not containing anything new. Occasionally reports of a failure to reproduce results are published - mostly in cases where controversy exists or a suspicion of fraud develops. The threat of failure to replicate by others, however, serves as a very effective deterrent for most scientists, who will usually replicate their own data several times before attempting to publish.

Sometimes useful observations or phenomena themselves cannot be reproduced. They may be rare, or even unique events. Reproducibility of observations and replication of experiments is not a guarantee that they are correct or properly understood. Errors can all too often creep into more than one laboratory.

## Correlation and Causation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-9)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Correlation_vs_causation.png/250px-Correlation_vs_causation.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This diagram illustrates the difference between correlation and causation, as ice cream consumption is correlated with crime, but both are dependent on temperature. Thus, the correlation between ice cream consumption and crime is spurious.

In the scientific pursuit of prediction and explanation, two relationships between variables are often confused: [correlation](http://en.wikipedia.org/wiki/correlation) and [causation](http://en.wikipedia.org/wiki/causation). Correlation refers to a relationship between two (or more) variables in which they change together. A correlation can be positive/direct or negative/inverse. A positive correlation means that as one variable increases (e.g., ice cream consumption) the other variable also increases (e.g., crime). A negative correlation is just the opposite; as one variable increases (e.g., [socioeconomic status](http://en.wikipedia.org/wiki/socioeconomic)), the other variable decreases (e.g., [infant mortality rates](http://en.wikipedia.org/wiki/infant_mortality_rate)).

Causation refers to a relationship between two (or more) variables where one variable causes the other. In order for a variable to cause another, it must meet the following three criteria:

  * the variables must be correlated
  * change in the independent variable must precede change in the dependent variable in time
  * it must be shown that a different (third) variable is not causing the change in the two variables of interest (a.k.a., _[spurious correlation](http://en.wikipedia.org/wiki/spurious)_)

An example may help explain the difference. Ice cream consumption is positively correlated with incidents of crime.

Employing the scientific method outlined above, the reader should immediately question this relationship and attempt to discover an explanation. It is at this point that a simple yet noteworthy phrase should be introduced: _correlation is not causation_. If you look back at the three criteria of causation above, you will notice that the relationship between ice cream consumption and crime meets only one of the three criteria (they change together). The real explanation of this relationship is the introduction of a third variable: temperature. Ice cream consumption and crime increase during the summer months. Thus, while these two variables are correlated, ice cream consumption does not cause crime or vice versa. Both variables increase due to the increasing temperatures during the summer months.

It is important to not confound a correlation with a cause/effect relationship. It is often the case that correlations between variables are found but the relationship turns out to be spurious. Clearly understanding the relationship between variables is an important element of the scientific process.

# Quantitative and Qualitative[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-10)]

Like the distinction drawn between _positivist_ sociology and _Verstehen_ sociology, there is often a distinction drawn between two types of sociological investigation: _quantitative_ and _qualitative_.

[Quantitative methods](http://en.wikipedia.org/wiki/Quantitative_method) of sociological research approach social phenomena from the perspective that they can be measured and/or _quantified_. For instance, social class, following the quantitative approach, can be divided into different groups - upper-, middle-, and lower-class - and can be measured using any of a number of variables or a combination thereof: income, educational attainment, prestige, power, etc. Quantitative sociologists tend to use specific methods of data collection and hypothesis testing, including: [experimental designs](http://en.wikipedia.org/wiki/experiment), [surveys](http://en.wikipedia.org/wiki/survey), [secondary data analysis](http://en.wikipedia.org/wiki/secondary_data_analysis), and [statistical analysis](http://en.wikipedia.org/wiki/statistics).

[Qualitative methods](http://en.wikipedia.org/wiki/Qualitative_method) of sociological research tend to approach social phenomena from the _Verstehen_ perspective. They are used to develop a deeper understanding of a particular phenomenon. They also often deliberately give up on quantity - necessary for statistical analysis - in order to reach a depth in analysis of the phenomenon studied. Even so, qualitative methods can be used to propose relationships between variables. Qualitatively oriented sociologists tend to employ different methods of data collection and hypothesis testing, including: [participant observation](http://en.wikipedia.org/wiki/participant_observation), [interviews](http://en.wikipedia.org/wiki/interview), [focus groups](http://en.wikipedia.org/wiki/focus_group), [content analysis](http://en.wikipedia.org/wiki/content_analysis) and [historical comparison](http://en.wikipedia.org/wiki/historical_comparison).

While there are sociologists who employ and encourage the use of only one or the other method, many sociologists see benefits in combining the approaches. They view quantitative and qualitative approaches as complementary. Results from one approach can fill gaps in the other approach. For example, quantitative methods could describe large or general patterns in society while qualitative approaches could help to explain how individuals understand those patterns.

# Objective vs. Critical[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-11)]

Sociologists, like all humans, have values, beliefs, and even pre-conceived notions of what they might find in doing their research. Because sociologists are not immune to the desire to change the world, two approaches to sociological investigation have emerged. By far the most common is the _objective_ approach advocated by Max Weber. Weber recognized that social scientists have opinions, but argued against the expression of non-professional or non-scientific opinions in the classroom.[[2]](Print_version.html#cite_note-Weber1946-14) Weber took this position for several reasons, but the primary one outlined in his discussion of _Science as Vocation_ is that he believed it is not right for a person in a position of authority (a professor) to force his/her students to accept his/her opinions in order for them to pass the class. Weber did argue that it was acceptable for social scientists to express their opinions outside of the classroom and advocated for social scientists to be involved in politics and other social activism. The _objective_ approach to social science remains popular in sociological research and refereed journals because it refuses to engage social issues at the level of opinions and instead focuses intently on data and theories.

The _objective_ approach is contrasted with the _critical_ approach, which has its roots in Karl Marx's work on economic structures. Anyone familiar with Marxist theory will recognize that Marx went beyond describing society to advocating for change. Marx disliked capitalism and his analysis of that economic system included the call for change. This approach to sociology is often referred to today as _critical_ sociology (see also _[action research](http://en.wikipedia.org/wiki/action_research)_). Some sociological journals focus on critical sociology and some sociological approaches are inherently critical (e.g., feminism, black feminist thought).

# Ethics[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-12)]

Ethical considerations are of particular importance to sociologists because of the subject of investigation - people. Because ethical considerations are of so much importance, sociologists adhere to a rigorous set of ethical guidelines. The most important ethical consideration of sociological research is that participants in sociological investigation are not harmed. While exactly what this entails can vary from study to study, there are several universally recognized considerations. For instance, research on children and youth always requires parental consent. Research on adults also requires _[informed consent](http://en.wikipedia.org/wiki/informed_consent)_ and participants are never forced to participate. _[Confidentiality](http://en.wikipedia.org/wiki/Confidentiality)_ and _[anonymity](http://en.wikipedia.org/wiki/anonymity)_ are two additional practices that ensure the safety of participants when sensitive information is provided (e.g., sexuality, income, etc.). To ensure the safety of participants, most universities maintain an _[institutional review board](http://en.wikipedia.org/wiki/institutional_review_board)_ (IRB) that reviews studies that include human participants and ensures ethical rigor.

It has not always been the case that scientists interested in studying humans have followed ethical principles in their research. Several studies that, when brought to light, led to the introduction of ethical principles guiding human subjects research and [Institutional Review Boards](http://en.wikipedia.org/wiki/Institutional_review_board) to ensure compliance with those principles, are worth noting, including the [Tuskegee syphilis experiment](http://en.wikipedia.org/wiki/Tuskegee_syphilis_experiment), in which 399 impoverished black men with [syphilis](http://en.wikipedia.org/wiki/syphilis) were left untreated to track the progress of the disease and [Nazi experimentation on humans](http://en.wikipedia.org/wiki/Nazi_human_experimentation). A recent paper by Susan M. Reverby [[3]](Print_version.html#cite_note-Reverby2011-15) found that such unethical experiments were more widespread than just the widely known Tuskegee study and that the US Government funded a study in which thousands of Guatemalan prisoners were infected with syphilis to determine whether they could be cured with penicillin. Ethical oversight in science is designed to prevent such egregious violations of human rights today.

Sociologists also have professional ethical principles they follow. Obviously honesty in research, analysis, and publication is important. Sociologists who manipulate their data are ostracized and will have their memberships in professional organizations revoked. [Conflicts of interest](http://en.wikipedia.org/wiki/Conflict_of_interest) are also frowned upon. A conflict of interest can occur when a sociologist is given funding to conduct research on an issue that relates to the source of the funds. For example, if Microsoft were to fund a sociologist to investigate whether users of Microsoft's product users are happier than users of [open source](http://en.wikipedia.org/wiki/open_source) software (e.g., [Linux](http://en.wikipedia.org/wiki/Linux), [Openoffice.org](http://en.wikipedia.org/wiki/Openoffice)), the sociologist would need to disclose the source of the funding as it presents a significant conflict of interest. A comprehensive explanation of sociological guidelines is provided on the website of the [American Sociological Association](http://www.asanet.org/cs/root/leftnav/ethics/ethics).

# What Can Sociology Tell Us?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-13)]

Having discussed the sociological approach to understanding society, it is worth noting the limitations of sociology. Because of the subject of investigation (society), sociology runs into a number of problems that have significant implications for this field of inquiry:

  * human behavior is complex, making prediction - especially at the individual level - difficult or even impossible
  * the presence of researchers can affect the phenomenon being studied ([Hawthorne Effect](http://en.wikipedia.org/wiki/Hawthorne_effect))
  * society is constantly changing, making it difficult for sociologists to maintain current understandings; in fact, society might even change as a result of sociological investigation (for instance, sociologists testified in the [Brown v. Board of Education](http://en.wikipedia.org/wiki/Brown_v._Board_of_Education) decision to integrate schools)
  * it is difficult for sociologists to remain objective when the phenomena they study is also part of their social life

While it is important to recognize the limitations of sociology, sociology's contributions to our understanding of society have been significant and continue to provide useful theories and tools for understanding humans as social beings.

# References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-14)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This chapter also draws on the following Wikipedia articles:

  * [common sense](http://en.wikipedia.org/wiki/common_sense)
  * [scientific method](http://en.wikipedia.org/wiki/scientific_method)
  * [Induction (philosophy)](http://en.wikipedia.org/wiki/Induction_\(philosophy\))
  * [Deductive reasoning](http://en.wikipedia.org/wiki/Deductive_reasoning)
  * [qualitative method](http://en.wikipedia.org/wiki/qualitative_method)
  * [hypothesis](http://en.wikipedia.org/wiki/hypothesis)
  * [independent variable](http://en.wikipedia.org/wiki/Independent_variable)
  * [dependent variable](http://en.wikipedia.org/wiki/Dependent_variable)
  * [Philosophy of science](http://en.wikipedia.org/wiki/Philosophy_of_science)

# External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Methods&action=edit&section=T-15)]

  * [Resources for program evaluation and methods in social research](http://gsociology.icaap.org/methods/)
  * [Science as Vocation](http://www2.pfeiffer.edu/~lridener/DSS/Weber/scivoc.html)

← [Introduction](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Introduction) · [Sociological Theory](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Theory) →

← [Introduction](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Introduction) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Sociological Theory](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Theory) →

# General sociological theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=5)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-1)]

Sociologists develop theories to explain social phenomena. A _theory_ is a proposed relationship between two or more _concepts_. In other words, a theory is explanation for why a phenomenon occurs. An example of a sociological theory is the work of Robert Putnam on the decline of [civic engagement](http://en.wikipedia.org/wiki/civic_engagement).[[4]](Print_version.html#cite_note-Putnam2001-16) Putnam found that Americans involvement in civic life (e.g., community organizations, clubs, voting, religious participation, etc.) has declined over the last 40 to 60 years. While there are a number of factors that contribute to this decline (Putnam's theory is quite complex), one of the prominent factors is the increased consumption of television as a form entertainment. Putnam's theory proposes:

    The more television people watch, the lower their involvement in civic life will be.

This element of Putnam's theory clearly illustrates the basic purpose of sociological theory: it proposes a relationship between two or more concepts. In this case, the concepts are _civic engagement_ and _television watching._ The relationship is an _inverse_ one - as one goes up, the other goes down. What's more, it is an explanation of one phenomenon with another: part of the reason why civic engagement has declined over the last several decades is because people are watching more television. In short, Putnam's theory clearly encapsulates the key ideas of a sociological theory.

Sociological theory is developed at multiple levels, ranging from _grand theory_ to highly contextualized and specific _micro-range theories_. There are many _middle-range_ and _micro-range_ theories in sociology. Because such theories are dependent on context and specific to certain situations, it is beyond the scope of this text to explore each of those theories. The purpose of this chapter is to introduce some of the more well-known and most commonly used grand and middle-range theories in sociology.

### Importance of Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-2)]

In the theory proposed above, the astute reader will notice that the theory includes two components: The data, in this case the findings that civic engagement has declined and TV watching has increased, and the proposed relationship, that the increase in television viewing has contributed to the decline in civic engagement. Data alone are not particularly informative. If Putnam had not proposed a relationship between the two elements of social life, we may not have realized that television viewing does, in fact, reduce people's desire to and time for participating in civic life. In order to understand the social world around us, it is necessary to employ theory to draw the connections between seemingly disparate concepts.

Another example of sociological theorizing illustrates this point. In his now classic work, _Suicide_,[[5]](Print_version.html#cite_note-Durkheim1997-17) Emile Durkheim was interested in explaining a social phenomenon, [suicide](http://en.wikipedia.org/wiki/suicide), and employed both data and theory to offer an explanation. By aggregating data for large groups of people in Europe, Durkheim was able to discern patterns in suicide rates and connect those patterns with another concept (or variable): [religious affiliation](http://en.wikipedia.org/wiki/religious_affiliation). Durkheim found that [Protestants](http://en.wikipedia.org/wiki/Protestants) were more likely to commit suicide than were [Catholics](http://en.wikipedia.org/wiki/Catholics). At this point, Durkheim's analysis was still in the data stage; he had not proposed an explanation for the different suicide rates of the two groups. It was when Durkheim introduced the ideas of _[anomie](http://en.wikipedia.org/wiki/anomie)_ and _[social solidarity](http://en.wikipedia.org/wiki/social_solidarity)_ that he began to explain the difference in suicide rates. Durkheim argued that the looser social ties found in Protestant religions lead to weaker social cohesion and reduced social solidarity. The higher suicide rates were the result of weakening social bonds among Protestants.

While Durkheim's findings have since been criticized, his study is a classic example of the use of theory to explain the relationship between two concepts. Durkheim's work also illustrates the importance of theory: without theories to explain the relationship between concepts, we would not be able to understand cause and effect relationships in social life. And to find the cause and effect relationship is the major component of the sociological theory.

### Prominent Sociological Theories[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-3)]

As noted above, there are many theories in sociology. However, there are several broad theoretical perspectives that are prominent in the field (they are arguably [paradigms](http://en.wikipedia.org/wiki/paradigms)). These theories are prominent because they are quite good at explaining social life. They are not without their problems, but these theories remain widely used and cited precisely because they have withstood a great deal of criticism.

As the dominant theories in sociology are discussed below, you might be inclined to ask, "Which of these theories is _the best_?" As is often the case in sociology, just because things are different doesn't mean one is better than another. In fact, it is probably more useful and informative to view these theories as _complementary_. One theory may explain one element of society better than another. Or, both may be useful for explaining social life. In short, all of the theories are correct in the sense that they offer compelling explanations for social phenomena.

## Structural-Functionalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-4)]

**Structural-Functionalism** is a sociological theory that originally attempted to explain social institutions as collective means to meet individual biological needs (originally just _[functionalism](http://en.wikipedia.org/wiki/Functionalism_\(sociology\))_). Later it came to focus on the ways social institutions meet social needs ([structural-functionalism](http://en.wikipedia.org/wiki/Structural_functionalism)).

Structural-functionalism draws its inspiration primarily from the ideas of [Emile Durkheim](http://en.wikipedia.org/wiki/Emile_Durkheim).[[6]](Print_version.html#cite_note-Durkheim1997b-18) Durkheim was concerned with the question of how societies maintain internal stability and survive over time. He sought to explain social cohesion and stability through the concept of [solidarity](http://en.wikipedia.org/wiki/social_solidarity). In more "primitive" societies it was [mechanical solidarity](http://en.wikipedia.org/wiki/mechanical_solidarity), everyone performing similar tasks, that held society together. Durkheim proposed that such societies tend to be segmentary, being composed of equivalent parts that are held together by shared values, common symbols, or systems of exchanges. In modern, complex societies members perform very different tasks, resulting in a strong interdependence between individuals. Based on the metaphor of an organism in which many parts function together to sustain the whole, Durkheim argued that modern complex societies are held together by [organic solidarity](http://en.wikipedia.org/wiki/organic_solidarity) (think interdependent _organs_).

The central concern of structural-functionalism is a continuation of the Durkheimian task of explaining the apparent stability and internal cohesion of societies that are necessary to ensure their continued existence over time. Many functionalists argue that social institutions are functionally integrated to form a stable system and that a change in one institution will precipitate a change in other institutions. Societies are seen as coherent, bounded and fundamentally relational constructs that function like organisms, with their various parts (social institutions) working together to maintain and reproduce them. The various parts of society are assumed to work in an unconscious, quasi-automatic fashion towards the maintenance of the overall social _equilibrium_. All social and cultural phenomena are therefore seen as being _functional_ in the sense of working together to achieve this state and are effectively deemed to have a _life_ of their own. These components are then primarily analysed in terms of the function they play. In other words, to understand a component of society, one can ask the question, "What is the function of this institution?" A _function_, in this sense, is the contribution made by a phenomenon to a larger system of which the phenomenon is a part.[[7]](Print_version.html#cite_note-Hoult1969-19)

Thus, one can ask of education, "What is the function of education for society?" The answer is actually quite complex and requires a detailed analysis of the history of [education](http://en.wikipedia.org/wiki/education) (see, for instance, this article on the [history of education](http://en.wikipedia.org/wiki/History_of_education)), but one obvious answer is that education prepares individuals to enter the workforce.[[8]](Print_version.html#cite_note-Marsden1996-20)[[9]](Print_version.html#cite_note-Smith2003-21) By delineating the functions of elements of society, of the social structure, we can better understand social life.

Durkheim's strongly sociological perspective of society was continued by Radcliffe-Brown.[[10]](Print_version.html#cite_note-Radcliffe-Brown1965-22) Following [Auguste Comte](http://en.wikipedia.org/wiki/Auguste_Comte), Radcliffe-Brown believed that the social constituted a separate _level_ of reality distinct from both the biological and the inorganic (here _non-living_). Explanations of social phenomena therefore had to be constructed within this social level, with individuals merely being transient occupants of comparatively stable social roles. Thus, in structural-functionalist thought, individuals are not significant in and of themselves but only in terms of their [social status](http://en.wikipedia.org/wiki/social_status): their position in patterns of social relations. The social structure is therefore a network of statuses connected by associated roles.[[11]](Print_version.html#cite_note-Layton1997-23)

Structural-functionalism was the dominant perspective of sociology between World War II and the Vietnam War.

### Limitations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-5)]

Structural-functionalism has been criticized for being unable to account for social change because it focuses so intently on social order and equilibrium in society. For instance, in the late 19th Century, higher education transitioned from a training center for clergy and the elite to a center for the conduct of science and the general education of the masses.[[8]](Print_version.html#cite_note-Marsden1996-20)[[9]](Print_version.html#cite_note-Smith2003-21) In other words, education did not always serve the function of preparing individuals for the labor force (with the exception of the ministry and the elite). As structural-functionalism thinks about elements of social life in relation to their present function and not their past functions, structural-functionalism has a difficult time explaining why a function of some element of society might change or how such change occurs. However, structural-functionalism could, in fact, offer an explanation in this case. Also occurring in the 19th Century (though begun in the 18th) was the [industrial revolution](http://en.wikipedia.org/wiki/industrial_revolution). The industrial revolution, facilitated by capitalism, was increasingly demanding technological advances to increase profit. Technological advances and advanced industry both required more educated workforces. Thus, as one aspect of society changed - the economy and production - it required a comparable change in the educational system, bringing social life back into equilibrium.

Another philosophical problem with the structural-functional approach is the [ontological](http://en.wikipedia.org/wiki/ontological) argument that society does not have _needs_ as a human being does; and even if society does have needs they need not be met. The idea that society has _needs_ like humans do is not a tenable position because society is only alive in the sense that it is made up of living individuals. Thus, society cannot have wants and/or needs like humans do. What's more, just because a society has some element in it at the present that does not mean that it must necessarily have that element. For instance, in the United Kingdom, religious service attendance has declined precipitously over the last 100 years. Today, less than 1 in 10 British attend religious service in a given week.[[12]](Print_version.html#cite_note-Bruce2002-24) Thus, while one might argue that religion has certain functions in British society, it is becoming apparent that it is not necessary for British society to function.

Another criticism often leveled at structural-functionalist theory is that it supports the [status quo](http://en.wikipedia.org/wiki/status_quo). According to some opponents, structural-functionalism paints conflict and challenge to the status quo as harmful to society, and therefore tends to be the prominent view among [conservative](http://en.wikipedia.org/wiki/Conservatism) thinkers.

### Manifest and Latent Functions[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-6)]

[Merton](http://en.wikipedia.org/wiki/Robert_K._Merton) (1957) proposed a distinction between _manifest_ and _latent_ functions.[[13]](Print_version.html#cite_note-Merton1957-25) _Manifest_ functions are the intended functions of a phenomenon in a social system. _Latent_ functions are the unintended functions of a phenomenon in a social system. An example of manifest and latent functions is education. The manifest purpose of public education is to increase the knowledge and abilities of the citizenry to prepare them to contribute in the workforce. A latent function of the public education system is the development of a hierarchy of _the learned_. The most learned are often also the most affluent. Thus, while education's manifest function is to empower all individuals to contribute to the workforce and society, it also limits some people by creating boundaries of entry into occupations.

## Conflict Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-7)]

A prominent sociological theory that is often contrasted with structural-functionalism is **conflict theory**. Conflict theory argues that society is not best understood as a complex system striving for equilibrium but rather as a competition. Society is made up of individuals competing for limited resources (e.g., money, leisure, sexual partners, etc.). Broader social structures and organizations (e.g., religions, government, etc.) reflect the competition for resources in their inherent [inequalities](http://en.wikipedia.org/wiki/inequality); some people and organizations have more resources (i.e., power and influence) and use those resources to maintain their positions of power in society.

Conflict theory was developed in part to illustrate the limitations of structural-functionalism. The structural-functionalist approach argued that society tends toward equilibrium, focusing on stability at the expense of social change. This is contrasted with the conflict approach, which argues that society is constantly in conflict over resources. One of the primary contributions conflict theory presents over the structural-functional approach is that it is ideally suited for explaining social change, a significant problem in the structural-functional approach.

  
The following are three primary assumptions of modern conflict theory:

  * Competition over scarce resources is at the heart of all social relationships. Competition rather than consensus is characteristic of human relationships.
  * Inequalities in power and reward are built into all social structures. Individuals and groups that benefit from any particular structure strive to see it maintained.
  * Change occurs as a result of conflict between competing interests rather than through adaptation. Change is often abrupt and revolutionary rather than evolutionary.

A heuristic device to help you think about society from a conflict perspective is to ask, "Who benefits from this element of society?" Using the same example as we did above, we can ask, "Who benefits from the current higher educational system in the U.S.?" The answer, of course, is the wealthy. Why? Because higher education in the U.S. is not free. Thus, the educational system often screens out poorer individuals not because they are unable to compete academically but because they cannot afford to pay for their education. Because the poor are unable to obtain higher education, this means they are also generally unable to get higher paying jobs which means they remain poor. This can easily translate into a vicious cycle of poverty. Thus, while the function of education is to educate the workforce, it also has built into it an element of conflict and inequality, favoring one group (the wealthy) over other groups (the poor). Thinking about education this way helps illustrate why both structural-functionalist and conflict theories are helpful in understanding how society works.

Conflict theory was elaborated in the United Kingdom by [Max Gluckman](http://en.wikipedia.org/wiki/Max_Gluckman) and [John Rex](http://en.wikipedia.org/wiki/John_Rex), in the United States by [Lewis A. Coser](http://en.wikipedia.org/wiki/Lewis_A._Coser) and [Randall Collins](http://en.wikipedia.org/wiki/Randall_Collins), and in Germany by [Ralf Dahrendorf](http://en.wikipedia.org/wiki/Ralf_Dahrendorf), all of whom were influenced by [Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx), [Ludwig Gumplovicz](http://en.wikipedia.org/wiki/Ludwig_Gumplovicz), [Vilfredo Pareto](http://en.wikipedia.org/wiki/Vilfredo_Pareto), [Georg Simmel](http://en.wikipedia.org/wiki/Georg_Simmel), and other founding fathers of European sociology.

### Limitations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-8)]

Not surprisingly, the primary limitation of the social-conflict perspective is that it overlooks the stability of societies. While societies are in a constant state of change, much of the change is minor. Many of the broader elements of societies remain remarkably stable over time, indicating the structural-functional perspective has a great deal of merit.

As noted above, sociological theory is often complementary. This is particularly true of structural-functionalism and social-conflict theories. Structural-functionalism focuses on equilibrium and solidarity; conflict-theory focuses on change and conflict. Keep in mind that neither is better than the other; when combined, the two approaches offer a broader and more comprehensive view of society.

## Symbolic Interactionism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-9)]

In contrast to the rather broad approach toward society of structural-functionalism and conflict theory, **Symbolic Interactionism** is a theoretical approach to understanding the relationship between humans and society. The basic notion of symbolic interactionism is that human action and interaction are understandable only through the exchange of meaningful communication or symbols. In this approach, humans are portrayed as _acting_ as opposed to being _acted upon_.[[14]](Print_version.html#cite_note-Herman1994-26)

The main principles of symbolic interactionism are:[[15]](Print_version.html#cite_note-Blumer1986-27)

  1. human beings act toward things on the basis of the meanings that things have for them
  2. these meanings arise from social interaction
  3. social action results from a fitting together of individual lines of action

This approach stands in contrast to the strict [behaviorism](http://en.wikipedia.org/wiki/behaviorism) of psychological theories prevalent at the time it was first formulated (in the 1920s and 1930s). According to Symbolic Interactionism, humans are distinct from infrahumans (lower animals) because infrahumans simply respond to their environment (i.e., a stimulus evokes a response or stimulus -> response) whereas humans have the ability to interrupt that process (i.e., stimulus -> cognition -> response). Additionally, infrahumans are unable to conceive of alternative responses to gestures. Humans, however, can. This understanding should not be taken to indicate that humans never behave in a strict _stimulus -> response_ fashion, but rather that humans have the capability of not responding in that fashion (and do so much of the time).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/The_looking_glass_self.png/250px-The_looking_glass_self.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This drawing illustrates the idea of the "looking-glass self" by illustrating that we can internalize how other people view us and then reflect upon those external appraisals without having to actually converse with others.

This perspective is also rooted in phenomenological thought (see [social constructionism](http://en.wikipedia.org/wiki/social_constructionism) and [phenomenology](http://en.wikipedia.org/wiki/phenomenology)). According to symbolic interactionism, the objective world has no reality for humans, only subjectively-defined objects have meaning. Meanings are not entities that are bestowed on humans and learned by habituation. Instead, meanings can be altered through the creative capabilities of humans, and individuals may influence the many meanings that form their society.[[14]](Print_version.html#cite_note-Herman1994-26) Human society, therefore, is a social product.

Neurological evidence based on [EEGs](http://en.wikipedia.org/wiki/EEG) supports the idea that humans have a "social brain," that is, there are components of the human brain that govern social interaction.[[16]](Print_version.html#cite_note-Sabbagh2009-28) These parts of the brain begin developing in early childhood (the preschool years) and aid humans in understanding how other people think.[[16]](Print_version.html#cite_note-Sabbagh2009-28) In symbolic interactionism, this is known as "[reflected appraisals](http://en.wikipedia.org/wiki/reflected_appraisal)" or "[the looking glass self](http://en.wikipedia.org/wiki/looking_glass_self)" and refers to our ability to think about how other people will think about us. A good example of this is when people try on clothes before going out with friends. Some people may not think much about how others will think about their clothing choices, but others can spend quite a bit of time considering what they are going to wear. And while they are deciding, the dialogue that is taking place inside their mind is usually a dialogue between their "self" (that portion of their identity that calls itself "I") and that person's internalized understanding of their friends and society (a "[generalized other](http://en.wikipedia.org/wiki/generalized_other)"). An indicator of mature socialization is when an individual quite accurately predicts how other people think about him/her. Such an individual has incorporated the "social" into the "self."

It should also be noted that symbolic interactionists advocate a particular methodology. Because they see _meaning_ as the fundamental component of human and society interaction, studying human and society interaction requires _getting at_ that meaning. Thus, symbolic interactionists tend to employ more [qualitative](http://en.wikipedia.org/wiki/qualitative) rather than [quantitative](http://en.wikipedia.org/wiki/quantitative) methods in their research.

### Limitations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-10)]

The most significant limitation of the symbolic-interactionist perspective relates to its primary contribution: it overlooks macro social structures (e.g., norms, culture) as a result of focusing on micro-level interactions. Some symbolic interactionists, however, would counter that if _role theory_ (see below) is incorporated into symbolic interactionism - which is now commonplace - this criticism is addressed.

## Role Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-11)]

Another more micro-oriented approach to understanding social life that also incorporates the more structural elements of society is **Role Theory**.[[17]](Print_version.html#cite_note-Ebaugh1988-29) Role theory posits that human behavior is guided by expectations held both by the individual and by other people. The expectations correspond to different roles individuals _perform_ or _enact_ in their daily lives, such as secretary, father, or friend. For instance, most people hold pre-conceived notions of the role expectations of a secretary, which might include: answering phones, making and managing appointments, filing paperwork, and typing memos. These role expectations would not be expected of a professional soccer player.

Individuals generally have and manage many roles. Roles consist of a set of rules or norms that function as plans or blueprints to guide behavior. Roles specify what goals should be pursued, what tasks must be accomplished, and what performances are required in a given scenario or situation. Role theory holds that a substantial proportion of observable, day-to-day social behavior is simply persons carrying out their roles, much as actors carry out their roles on the stage or ballplayers theirs on the field. Role theory is, in fact, predictive. It implies that if we have information about the role expectations for a specified status (e.g., sister, fireman, prostitute), a significant portion of the behavior of the persons occupying that position can be predicted.

What's more, role theory also argues that in order to change behavior it is necessary to change roles; roles correspond to behaviors and vice versa. In addition to heavily influencing behavior, roles influence beliefs and attitudes; individuals will change their beliefs and attitudes to correspond with their roles. For instance, someone over-looked for a promotion to a managerial position in a company may change their beliefs about the benefits of management by convincing him/herself that they didn't want the additional responsibility that would have accompanied the position.

Many role theorists see _Role Theory_ as one of the most compelling theories bridging individual behavior and social structure. Roles, which are in part dictated by social structure and in part by social interactions, guide the behavior of the individual. The individual, in turn, influences the norms, expectations, and behaviors associated with roles. The understanding is reciprocal.

Role Theory includes the following propositions:

  1. people spend much of their lives participating as members of groups and organizations
  2. within these groups, people occupy distinct positions
  3. each of these positions entails a role, which is a set of functions performed by the person for the group
  4. groups often formalize role expectations as norms or even codified rules, which include what rewards will result when roles are successfully performed and what punishments will result when roles are not successfully performed
  5. individuals usually carry out their roles and perform in accordance with prevailing norms; in other words, role theory assumes that people are primarily conformists who try to live up to the norms that accompany their roles
  6. group members check each individual's performance to determine whether it conforms with the norms; the anticipation that others will apply sanctions ensures role performance

### Limitations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-12)]

Role theory has a hard time explaining social deviance when it does not correspond to a pre-specified role. For instance, the behavior of someone who adopts the role of bank robber can be predicted - she will rob banks. But if a bank teller simply begins handing out cash to random people, role theory would be unable to explain why (though _role conflict_ could be one possible answer; the secretary may also be a Marxist-Communist who believes the means of production should belong to the masses and not the bourgeoisie).

Another limitation of role theory is that it does not and cannot explain how role expectations came to be what they are. Role theory has no explanation for why it is expected of male soldiers to cut their hair short, but it could predict with a high degree of accuracy that if someone is a male soldier they will have short hair. Additionally, role theory does not explain when and how role expectations change.

### Impression Management[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-13)]

An extension of _role theory_, **impression management** is both a theory and process. The theory argues that people are constantly engaged in controlling how others perceive them. The process refers to the goal-directed conscious or unconscious effort to influence the perceptions of other people by regulating and controlling information in social interaction. If a person tries to influence the perception of her or his own image, this activity is called _self-presentation_.

Erving Goffman (1959), the person most often credited with formally developing impression management theory, cast the idea in a dramaturgical framework.[[18]](Print_version.html#cite_note-Goffman1959-30)[[19]](Print_version.html#cite_note-Goffman1961-31) The basic idea is that individuals in face-to-face situations are like actors on a stage performing roles (see role theory above). Aware of how they are being perceived by their audience, actors manage their behavior so as to create specific impressions in the minds of the audience. Strategic interpersonal behavior to shape or influence impressions formed by an audience is not a new idea. [Plato](http://en.wikipedia.org/wiki/Plato) spoke of the "great stage of human life" and [Shakespeare](http://en.wikipedia.org/wiki/Shakespeare) noted that "All the world is a stage, and all the men and women merely players".

## Social Constructionism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-14)]

**Social constructionism** is a school of thought introduced into sociology by [Peter L. Berger](http://en.wikipedia.org/wiki/Peter_L._Berger) and [Thomas Luckmann](http://en.wikipedia.org/wiki/Thomas_Luckmann) with their 1966 book _The Social Construction of Reality_.[[20]](Print_version.html#cite_note-Berger1967-32) Social constructionism aims to discover the ways that individuals and groups create their perceived reality. Social constructionism focuses on the description of institutions and actions and not on analyzing cause and effect. Socially constructed reality is seen as an on-going dynamic process; reality is re-produced by people acting on their interpretations of what they perceive to be the world external to them. Berger and Luckmann argue that social construction describes both subjective and objective reality - that is that no reality exists outside what is produced and reproduced in social interactions.

A clear example of social constructionist thought is, following [Sigmund Freud](http://en.wikipedia.org/wiki/Sigmund_Freud)[[21]](Print_version.html#cite_note-Freud2009-33) and [Émile Durkheim](http://en.wikipedia.org/wiki/%C3%89mile_Durkheim),[[22]](Print_version.html#cite_note-Durkheim2008-34) religion. Religion is seen as a socially constructed concept, the basis for which is rooted in either our psyche (Freud) or man's need to see some purpose in life or worship a higher presence. One of the key theorists of social constructionism, Peter Berger, explored this concept extensively in his book, _The Sacred Canopy_.[[23]](Print_version.html#cite_note-Berger1990-35)

Social constructionism is often seen as a source of the [postmodern](http://en.wikipedia.org/wiki/postmodernism) movement, and has been influential in the field of [cultural studies](http://en.wikipedia.org/wiki/cultural_studies).

## Integration Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-15)]

Recently, some sociologists have been taking a different approach to sociological theory by employing an integrationist approach - combining micro- and macro-level theories to provide a comprehensive understanding of human social behavior. Numerous models could be presented in this vein. George Ritzer's[[24]](Print_version.html#cite_note-Ritzer2003-36) Integration Model is a good example.

Ritzer proposes four highly interdependent elements in his sociological model: a macro-objective component (e.g., society, law, bureaucracy), a micro-objective component (e.g., patterns of behavior and human interaction), a macro-subjective component (e.g., culture, norms, and values), and a micro-subjective component (e.g., perceptions, beliefs). This model is of particular use in understanding society because it uses two axes: one ranging from objective (society) to subjective (culture and cultural interpretation); the other ranging from the macro-level (norms) to the micro-level (individual level beliefs).

![George Ritzer's macro/micro integration theory of social analysis.](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Ritzers_integration_theory.svg/848px-Ritzers_integration_theory.svg.png)

The integration approach is particularly useful for explaining social phenomenon because it shows how the different components of social life work together to influence society and behavior.

If used for understanding a specific cultural phenomenon, like the displaying of abstract art in one's home,[[25]](Print_version.html#cite_note-Halle1996-37) the integration model depicts the different influences on the decision. For instance, the model depicts that cultural norms can influence individual behavior. The model also shows that individual level values, beliefs, and behaviors influence macro-level culture. This is, in fact, part of what David Halle finds: while there are art consumption differences based on class, they are not predicted solely by class. Displayers of abstract art tend not only to belong to the upper-class, but also are employed in art-production occupations. This would indicate that there are multiple levels of influence involved in art tastes – both broad cultural norms and smaller level occupational norms in addition to personal preferences.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-16)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  
This chapter draws on the following Wikipedia articles:

  * [structural-functionalism](http://en.wikipedia.org/wiki/structural-functionalism)
  * [conflict theory](http://en.wikipedia.org/wiki/conflict_theory)
  * [solidarity](http://en.wikipedia.org/wiki/solidarity_\(sociology\))
  * [self](http://en.wikipedia.org/wiki/self_\(psychology\))
  * [role](http://en.wikipedia.org/wiki/role)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Sociological_Theory&action=edit&section=T-17)]

  * [Dramaturgy](http://en.wikipedia.org/wiki/Dramaturgy)
  * [Social Psychology](http://en.wikipedia.org/wiki/Social_Psychology)
  * [social constructionism](http://en.wikipedia.org/wiki/social_constructionism)

← [Sociological Methods](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Methods) · [Society](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Society) →

← [Sociological Methods](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Methods) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Society](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Society) →

# Society[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=6)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-1)]

The simplest definition of **society** is a group of people who share a defined territory and a culture. In sociology, we take that definition a little further by arguing that society is also the social structure and interactions of that group of people. Social structure is the relatively enduring patterns of behavior and relationships within a society.[[26]](Print_version.html#cite_note-Merton1938-38) Thus, a society is not only the group of people and their culture, but the relationships between the people and the institutions within that group.

In sociology, a distinction is made between society and culture. Culture refers to the norms, values, beliefs, behaviors, and meanings given to symbols in a society.[[27]](Print_version.html#cite_note-Swidler2003-39) Culture is distinct from society in that it adds meanings to relationships. For instance, what it means to be a "husband" to a gay couple in Boston is very different from what it means to be a husband to a polygamist man in rural southern Utah. Thus, while the relationship exists in both (i.e., they both have social structure), what the relationship means differs by culture.

All human societies have a culture and culture can only exist where there is a society. Sociologists distinguish between society and culture despite their close interconnectedness primarily for analytical purposes: It allows sociologists to think about societal development independent of culture and cultural change (which are discussed in the next chapter in greater detail) even though societal change and development are contingent upon culture.

This chapter presents a brief overview of some of the types of human societies that have existed and continue to exist. It will then present some classic approaches to understanding society and what changing social structure can mean for individuals.

## Societal Development[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-2)]

The sociological understanding of societal development relies heavily upon the work of [Gerhard Lenski](http://en.wikipedia.org/wiki/Gerhard_Emmanuel_Lenski).[[28]](Print_version.html#cite_note-Lenski1995-40) Lenski outlined some of the more commonly seen organizational structures in human societies. Classifications of human societies can be based on two factors: (1) the primary means of subsistence and (2) the political structure. This chapter focuses on the subsistence systems of societies rather than their political structures.

While it is a bit far-reaching to argue that all societies will develop through the stages outlined below, it does appear that most societies follow such a route. Human groups begin as hunter-gatherers, move toward pastoralism and/or horticulturalism, develop toward an agrarian society, and ultimately end up undergoing a period of industrialization (with the potential for developing a service industry following industrialization).[[29]](Print_version.html#cite_note-Diamond2005-41) Not all societies pass through every stage. Some societies have stopped at the pastoral or horticultural stage (e.g., Bedouin nomads), though these may be temporary pauses due to economic niches that will likely disappear over time. Some societies may also jump stages as a result of the introduction of technology from other societies. It is also worth noting that these categories aren't really distinct groups as there is often overlap in the subsistence systems used in a society. Some pastoralist societies also engage in some measure of horticultural food production and most industrial and post-industrial societies still have agriculture, just in a reduced capacity.

### Hunter-Gatherer[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-3)]

The **hunter-gatherer** way of life is based on the exploitation of wild plants and animals. Consequently, hunter-gatherers are relatively mobile, and groups of hunter-gatherers have fluid boundaries and composition. Typically in hunter-gatherer societies men hunt larger wild animals and women gather fruits, nuts, roots, and other edible plant-based food and hunt smaller animals. Hunter-gatherers use materials available in the wild to construct shelters or rely on naturally occurring shelters like overhangs. Their shelters give them protection from predators and the elements.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Maler_der_Grabkammer_des_Menna_005.jpg/200px-Maler_der_Grabkammer_des_Menna_005.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Ancient hunter.

The majority of hunter-gatherer societies are nomadic. It is difficult to be settled under such a subsistence system as the resources of one region can quickly become exhausted. Hunter-gatherer societies also tend to have very low population densities as a result of their subsistence system. Agricultural subsistence systems can support population densities 60 to 100 times greater than land left uncultivated, resulting in denser populations.

Hunter-gatherer societies also tend to have non-hierarchical social structures, though this is not always the case. Because hunter-gatherers tend to be nomadic, they generally do not have the possibility to store surplus food. As a result, full-time leaders, bureaucrats, or artisans are rarely supported by hunter-gatherer societies. The hierarchical egalitarianism in hunter-gatherer societies tends to extend to gender-based egalitarianism as well. Although disputed, many anthropologists believe gender egalitarianism in hunter-gatherer societies stems from the lack of control over food production, lack of food surplus (which can be used for control), and an equal gender contribution to kin and cultural survival.

Archeological evidence to date suggests that prior to 13,000BCE, all human beings were hunter-gatherers. While declining in number, there are still some hunter-gatherer groups in existence today. Such groups are found in the Arctic, tropical rainforests, and deserts where other forms of subsistence production are impossible or too costly. In most cases these groups do not have a continuous history of hunting and gathering; in many cases their ancestors were agriculturalists who were pushed into marginal areas as a result of migrations and wars. Examples of hunter-gatherer groups still in existence include:

  * [Sentinelese of the Andaman Islands (near India)](http://en.wikipedia.org/wiki/Sentinelese_people)

The line between agricultural and hunter-gatherer societies is not clear cut. Many hunter-gatherers consciously manipulate the landscape through cutting or burning useless (to them) plants to encourage the growth and success of those they consume. Most agricultural people also tend to do some hunting and gathering. Some agricultural groups farm during the temperate months and hunt during the winter.

### Pastoralist[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-4)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/The_Nomads_Simple_Life_\(266139764\).jpg/250px-The_Nomads_Simple_Life_\(266139764\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Iranian nomads in 2006.

A **pastoralist** society is a society in which the primary means of subsistence is domesticated livestock. It is often the case that, like hunter-gatherers, pastoralists are nomadic, moving seasonally in search of fresh pastures and water for their animals. Employment of a pastoralist subsistence system often results in greater population densities and the development of both social hierarchies and divisions in labor as it is more likely there will be a surplus of food.

Pastoralist societies still exist. For instance, in Australia, the vast semi-arid areas in the interior of the country contain pastoral runs called sheep stations. These areas may be thousands of square kilometers in size. The number of livestock allowed in these areas is regulated in order to reliably sustain them, providing enough feed and water for the stock. Other examples of pastoralists societies still in existence include:

  * [the Maasai of Kenya](http://en.wikipedia.org/wiki/Maasai_people)
  * [the Borana Oromo of southern Ethiopia](http://en.wikipedia.org/wiki/Borana_Oromo_people)
  * [the Turkana of Kenya](http://en.wikipedia.org/wiki/Turkana_people)
  * [the Bedouin of Northern Africa](http://en.wikipedia.org/wiki/Bedouin)

### Horticulturalist[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-5)]

**Horticulturalist** societies are societies in which the primary means of subsistence is the cultivation of crops using hand tools. Like pastoral societies, the cultivation of crops increases population densities and, as a result of food surpluses, allows for a division of labor in society.

Horticulture differs from agriculture in that agriculture employs animals, machinery, or some other non-human means to facilitate the cultivation of crops while horticulture relies solely on humans for crop cultivation.

### Agrarian[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-6)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Agriculture_\(Plowing\)_CNE-v1-p58-H.jpg/250px-Agriculture_\(Plowing\)_CNE-v1-p58-H.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A tractor ploughing an alfalfa field circa 1921.

![](../../../upload.wikimedia.org/wikipedia/commons/b/b7/Pineapple_230.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A pineapple farmer in Ghana.

**Agrarian** societies are societies in which the primary means of subsistence is the cultivation of crops using a mixture of human and non-human means (i.e., animals and/or machinery). **Agriculture** is the process of producing food, feed, fiber, and other desired products by the cultivation of plants and the raising of domesticated animals (livestock). _Agriculture_ can refer to subsistence agriculture or industrial agriculture.

**Subsistence agriculture** is agriculture carried out for the production of enough food to meet just the needs of the agriculturalist and his/her family. Subsistence agriculture is a simple, often organic, system using saved seed native to the ecoregion combined with crop rotation or other relatively simple techniques to maximize yield. Historically most farmers were engaged in subsistence agriculture and this is still the case in many developing nations.

In developed nations a person using such simple techniques on small patches of land would generally be referred to as a gardener; activity of this type would be seen more as a hobby than a profession. Some people in developed nations are driven into such primitive methods by poverty. It is also worth noting that large scale organic farming is on the rise as a result of a renewed interest in non-genetically modified and pesticide free foods.

In developed nations, a _farmer_ or _industrial agriculturalist_ is usually defined as someone with an ownership interest in crops or livestock, and who provides labor or management in their production. Farmers obtain their financial income from the cultivation of land to yield crops or the commercial raising of animals (animal husbandry), or both. Those who provide only labor but not management and do not have ownership are often called _farmhands_, or, if they supervise a leased strip of land growing only one crop, as _sharecroppers_.

Agriculture allows a much greater density of population than can be supported by hunting and gathering and allows for the accumulation of excess product to keep for winter use or to sell for profit. The ability of farmers to feed large numbers of people whose activities have nothing to do with material production was the crucial factor in the rise of surplus, specialization, advanced technology, hierarchical social structures, inequality, and standing armies.[[29]](Print_version.html#cite_note-Diamond2005-41)

#### Development of Horticulture and Agriculture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-7)]

Horticulture and agriculture as types of subsistence developed among humans somewhere between 10,000 and 8,000 B.C.E. in the Fertile Crescent region of the Middle East.[[30]](Print_version.html#cite_note-Price2000-42)[[31]](Print_version.html#cite_note-Harris1996-43) The reasons for the development of horticulture and agriculture are debated but may have included climate change and the accumulation of food surplus for competitive gift-giving. Most certainly there was a gradual transition from hunter-gatherer to agricultural economies after a lengthy period when some crops were deliberately planted and other foods were gathered from the wild. In addition to the emergence of farming in the Fertile Crescent, agriculture appeared by at least 6,800 B.C.E. in East Asia (rice) and, later, in Central and South America (maize and squash). Small scale agriculture also likely arose independently in early Neolithic contexts in India (rice) and Southeast Asia (taro).[[29]](Print_version.html#cite_note-Diamond2005-41)

Full dependency on domestic crops and animals (i.e. when wild resources contributed a nutritionally insignificant component to the diet) did not occur until the Bronze Age. If the operative definition of _agriculture_ includes large scale intensive cultivation of land, i.e., mono-cropping, organised irrigation, and use of a specialized labor force, the title "inventors of agriculture" would fall to the Sumerians, starting around 5,500 B.C.E.

By the early 1800s agricultural practices, particularly careful selection of hardy strains and cultivars, had so improved that yield per land unit was many times that seen in the Middle Ages and before, especially in the largely virgin lands of North and South America.

#### Agriculture Today[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-8)]

In the world, the use of crop breeding, better management of soil nutrients, and improved weed control have greatly increased yields per unit area. At the same time, the use of mechanization has decreased labor input. The developing world generally produces lower yields, having less of the latest science, capital, and technology base. More people in the world are involved in agriculture as their primary economic activity than in any other, yet it only accounts for four percent of the world's GDP. The rapid rise of mechanization in the 20th century, especially in the form of the tractor, reduced the necessity of humans performing the demanding tasks of sowing, harvesting, and threshing. With mechanization, these tasks could be performed with a speed and on a scale barely imaginable before. These advances have resulted in a substantial increase in the yield of agricultural techniques that have also translated into a decline in the percentage of populations in developed countries that are required to work in agriculture to feed the rest of the population. As the pie chart below indicates, less than 2% of Americans are employed in agriculture today and produce sufficient food to feed the other 98% of Americans.

![Employment by Industry in the US-2007.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/Employment_by_Industry_in_the_US-2007.png/400px-Employment_by_Industry_in_the_US-2007.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6b/Percent_in_agriculture_-_US.png/500px-Percent_in_agriculture_-_US.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Percent of the U.S. population employed in agriculture by Census District. Source: US Census 2000.

### Industrial[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-9)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Steenfabriek,_Tolkamer,_Netherlands.jpg/200px-Steenfabriek,_Tolkamer,_Netherlands.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A brick factory in the Netherlands is an example of industry.

An **industrial society** is a society in which the primary means of subsistence is _industry_. Industry is a system of production focused on mechanized manufacturing of goods. Like agrarian societies, industrial societies increase food surpluses, resulting in more developed hierarchies and significantly more division of labor.

The division of labor in industrial societies is often one of the most notable elements of the society and can even function to re-organize the development of relationships. Whereas relationships in pre-industrial societies were more likely to develop through contact at one's place of worship or through proximity of housing, industrial society brings people with similar occupations together, often leading to the formation of friendships through one's work.[[32]](Print_version.html#cite_note-DurkheimandCoser1997-44)

When capitalised, The Industrial Revolution refers to the first known industrial revolution, which took place in Europe during the 18th and 19th centuries. What is some times referred to as The Second Industrial Revolution describes later, somewhat less dramatic changes resulting from the widespread availability of electric power and the internal-combustion engine. Many developing nations began industrialisation under the influence of either the United States or the USSR during the Cold War.

Today, industry makes up only a relatively small percentage of highly developed countries' workforce (see the pie chart above), in large part due to advanced mechanization. The use of machines and robots to facilitate manufacturing reduces the number of people required to work in industry by increasing their efficiency. As a result, a single worker can produce substantially more goods in the same amount of time today than they used to be able to produce. This has also resulted in a transition in most highly developed countries into a post-industrial or service-oriented economy.

### Post-Industrial[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-10)]

A **post-industrial society** is a society in which the primary means of subsistence is derived from service-oriented work, as opposed to agriculture or industry.[[33]](Print_version.html#cite_note-Bell1973-45) It is important to note here that the term _post-industrial_ is still debated in part because it is the current state of society; it is difficult to name a phenomenon while it is occurring.

Post-industrial societies are often marked by:

  * an increase in the size of the service sector or jobs that perform services rather than creating goods (industry)
  * either the outsourcing of or extensive use of mechanization in manufacturing
  * an increase in the amount of information technology, often leading to an Information Age
  * information, knowledge, and creativity are seen as the new raw materials of the economy

Most highly developed countries are now post-industrial in that the majority of their workforce works in service-oriented industries, like finance, healthcare, education, business or sales, rather than in industry or agriculture. This is the case in the U.S., as depicted in the pie chart above.

_Post-industrial society_ is occasionally used critically by individuals seeking to restore or return to industrial development. Increasingly, however, individuals and communities are viewing abandoned factories as sites for new housing and shopping. Capitalists are also realizing the recreational and commercial development opportunities such locations offer.

### The Implications of Societal Development[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-11)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/41/Societal_development.png/400px-Societal_development.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The stages of societal development.

As noted throughout the above discussion of societal development, changes in the social structure of a society - in this case the primary means of subsistence - also affect other aspects of society. For instance, as hunters and gatherers make the transition into pastoralism and horticulture, they also develop a surplus in food stuffs. While it is common for people in the developed world today to have lots of surplus food, we rarely consider just how important that extra food is. To begin with, once a society has surplus food, that means more of their children will survive into adulthood. Additionally, as food yields increase in agricultural societies, smaller percentages of the population are required to produce the food for the rest of the population. This frees up those people not engaged in food production to specialize in other areas, like clothing or housing production. This results in specialists: some people become experts in growing crops or raising livestock while others become experts in clothing production, metal-working, home construction, etc. That specialization leads to rapid increases in technology as people are freed from having to spend the majority of their time finding or growing their food and can then spend their time improving at their speciality. The relationship between surplus and technology may not seem obvious, initially, but surplus is clearly the forerunner of technological development.

This is illustrated in the diagram to the right. The diagram shows societal development along the top and the implications of societal development along the bottom. The arrows running between the two rows illustrate the fact that these relationships are very complex. For instance, specialization not only results from agriculture but also from denser populations and surplus and helps spur industry. The point being, these are interdependent aspects of societal development that co-evolve.

One additional outcome of surplus that is included in the diagram is _inequality._ Inequality will be discussed in much greater detail later in this book, but it is important to note that as soon as there is surplus, there will be greater surplus for some people. Those with more surplus have an economic advantage relative to those with less surplus as they have greater bargaining power - et voilà, social inequality is born.

## Classical Views on Social Change[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-12)]

As Western societies transitioned from pre-industrial economies based primarily on agriculture to industrialized societies in the 19th century, some people worried about the impacts such changes would have on society and individuals. Three early sociologists, Weber, Marx, and Durkheim, perceived different impacts of the Industrial Revolution on the individual and society and described those impacts in their work.

### Weber and Rationalization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-13)]

Max Weber was particularly concerned about the rationalization and bureaucratization of society stemming from the Industrial Revolution and how these two changes would affect humanity's agency and happiness.[[34]](Print_version.html#cite_note-Weber1997-46) As Weber understood society, particularly during the industrial revolution of the late 19th century in which he lived, society was being driven by the passage of rational ideas into culture which, in turn, transformed society into an increasingly bureaucratic entity. _Bureaucracy_ is a type of organizational or institutional management that is, as Weber understood it, rooted in legal-rational authority. Bureaucracy is a complex means of managing life in social institutions that includes rules and regulations, patterns and procedures that both are designed to simplify the functioning of complex organizations. An example of bureaucracy would be the forms used to pay one's income taxes - they require specific information and procedures to fill them out. Included in that form, however, are countless rules and laws the dictate what can and can't be tied into one's taxes. Thus, bureaucracy simplifies the process of paying one's taxes by putting the process into a formulaic structure, but simultaneously complicates it by adding rules and regulations that govern the procedure. Weber did believe bureaucracy was the most rational form of institutional governance, but because Weber viewed rationalization as the driving force of society, he believed bureaucracy would increase until it ruled society. Society, for Weber, would become almost synonymous with bureaucracy.

As Weber did not see any alternative to bureaucracy, he believed it would ultimately lead to an _iron cage_: there would be no way to get out of it. Weber viewed this as a bleak outcome that would affect individuals' happiness as they would be forced to function in a highly rational society with rigid rules and norms without the possibility to change it. Because Weber could not envision other forces influencing the ultimate direction of society - the exception being temporary lapses into non-bureaucracy spurred by charismatic leaders - he saw no cure for the iron cage of rationality. Society would become a large bureaucracy that would govern people's lives. Weber was unable to envision a solution to his _iron cage of bureaucracy_ dilemma. Since a completely rational society was inevitable and bureaucracy was the most rational form of societal management, the iron cage, according to Weber, does not have a solution.

### Marx and Alienation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-14)]

Karl Marx took a different perspective on the impact of the Industrial Revolution on society and the individual.[[35]](Print_version.html#cite_note-Marx1906-47) In order to understand Marx's perspective, however, it is necessary to understand how Marx perceived _happiness_. According to Marx, _[species being](http://en.wikipedia.org/wiki/species_being)_ (or happiness) is the pinnacle of human nature. Species being is understood to be a type of self-realization or self-actualization brought about by meaningful work. But in addition to engaging in meaningful work, self-actualized individuals must also own the products of their labors and have the option of doing what they will with those products.

In a capitalist society (which was co-evolved with the Industrial Revolution), rather than owning the fruits of their labors, the proletariat or working class owns only their labor power, not the fruits of their labors (i.e., the results of production). The capitalists or bourgeoisie employ the proletariat for a living wage, but then keep the products of the labor. As a result, the proletariat is alienated from the fruits of its labor – they do not own the products they produce, only their labor power. Because Marx believed species being to be the goal and ideal of human nature and that species being could only be realized when individuals owned the results of their labors, Marx saw capitalism as leading toward increasingly unhappy individuals; they would be alienated from the results of their production and therefore would not be self-realized.

But the alienation from the results of their production is just one component of the alienation Marx proposed. In addition to the alienation from the results of production, the proletariat is also alienated from each other under capitalism. Capitalists alienate the proletariat from each other by forcing them to compete for limited job opportunities. Job opportunities are limited under capitalism in order for capitalists to keep wages down; without a pool of extraneous workers, capitalists would have to meet the wage demands of their workers. Because they are forced to compete with other members of the proletariat, workers are alienated from each other, compounding the unhappiness of the proletariat.

While Marx did have a solution to the problem of alienation, he seldom discussed it in detail. Marx's proposed solution was for the proletariat to unite and through protests or revolution (or legislation in democratic nations) overthrow the bourgeoisie and institute a new form of government – communism. This form of government would be based on communally owned and highly developed means of production and self-governance. The means of production would be developed – through capitalism – to the point that everyone in society would have sufficient 'free' time to allow them to participate in whatever governmental decisions needed to be made for the community as a whole. By re-connecting the individual with the fruits of their labor and empowering them toward true self-governance, _species being_ would be realized and happiness would be returned.

Two additional comments are in order here. First, the economic systems that developed in The Soviet Union and China - as well as other parts of the world - was not the communism envisioned by Marx. Rather, they had achieved a form of socialism, what Marx called the stage between capitalism and communism. Second, Marx believed capitalism, while harmful to _species being_, was necessary to advance the means of production to a stage where communism (as he envisioned it) could be realized. Thus, while Marx was highly critical of capitalism, he also recognized its utility in developing the means of production.

### Durkheim and Solidarity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-15)]

Durkheim's view of society and the changes it was undergoing as a result of industrialization also led him to believe unhappiness was a possible outcome. Durkheim believed that an important component of social life was social solidarity, which is understood as _a sense of community_. In his classic study, _Suicide_,[[5]](Print_version.html#cite_note-Durkheim1997-17) Durkheim argued that one of the root causes of suicide was a decrease in social solidarity – termed _anomie_ (French for _chaos_) by Durkheim. Durkheim also argued that the increasing emphasis on individualism found in Protestant religions – in contrast to Catholicism – contributed to an increase in anomie, which resulted in higher suicide rates among Protestants.

In another work, _The Division of Labor in Society_,[[32]](Print_version.html#cite_note-DurkheimandCoser1997-44) Durkheim proposed that pre-industrial societies maintained their social solidarity through a mechanistic sense of community and through their religious affiliations. Most people were generalists in their work – they farmed and created their own tools and clothing. Because they were alike in their generality, they were also more likely to share a sense of community, which Durkheim saw as an important component of happiness. In addition to their similarity in occupations, many individuals belonged to the same religious groups, which also fostered a sense of solidarity.

In industrializing societies, Durkheim recognized the inevitability of _specialization_. By definition, specialization means that individuals are going to have dissimilar occupations. This specialization would also affect religion. In industrial societies, religion would become just one aspect of lives that were increasingly divided into compartments – home, family, work, recreation, religion, etc.

Durkheim believed there were two components that would alleviate the decreasing social solidarity in industrializing societies: organic solidarity and conscientious attempts to find camaraderie through one's place of employment. Whereas social solidarity was maintained in pre-industrial societies through a mechanistic sense of similarity and dependence along with communal religious affiliations, in industrialized societies, social solidarity would be maintained by the interdependence of specialists on one another. If one individual specialized in treating the injured or ill, they would not have time to raise crops or otherwise produce food. Doctors would become dependent on farmers for their food while farmers would become dependent on doctors for their healthcare. This would force a type of organic solidarity — organic in the sense that the parts were interdependent like the organs of an animal are interdependent for their survival.

In addition to the inevitable interdependence a specialized society would warrant, Durkheim believed that a conscientious effort to develop and foster friendships would transition from a religious brotherhood to friendships developed at one's place of employment. Specialized individuals would have a great deal in common with their co-workers and, like members of the same religious congregations in pre-industrial societies, co-workers would be able to develop strong bonds of social solidarity through their occupations. Thus, for Durkheim, the answer to the decrease in mechanistic solidarity and the increasing anomie was organic solidarity and solidarity pursued within one's speciality occupation.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-16)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  


  
This chapter also draws on the following Wikipedia articles:

  * [society](http://en.wikipedia.org/wiki/society)
  * [hunter-gatherer](http://en.wikipedia.org/wiki/hunter-gatherer)
  * [agriculture](http://en.wikipedia.org/wiki/agriculture)
  * [farming](http://en.wikipedia.org/wiki/farming)
  * [pastoralist](http://en.wikipedia.org/wiki/pastoralist)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Society&action=edit&section=T-17)]

  * [Haferkamp, Hans, and Smelser, Neil J. Editors. 1992. Social Change and Modernity. Berkeley: University of California Press.](http://ark.cdlib.org/ark:/13030/ft6000078s/)
  * [FAO of the United Nations](http://www.fao.org)
  * [Current World Production, Market and Trade Reports of the U.S. Department of Agriculture's Foreign Agricultural Service](http://www.fas.usda.gov/currwmt.html)
  * [Winds of Change: Reforms and Unions](http://www.mccord-museum.qc.ca/en/keys/webtours/GE_P4_4_EN.html) \- The impacts of industrialization in Canada; illustrated with many late 19th century photographs.

  


![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[cultural evolution**_](http://en.wikipedia.org/wiki/Cultural_evolution)

← [Sociological Theory](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Theory) · [Culture](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Culture) →

← [Sociological Theory](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Sociological_Theory) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Culture](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Culture) →

# Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=7)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Culture.png/400px-Culture.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

These two avatars illustrate the basic concept of culture. One is simply a reflection of his biology; he is human. The other is a reflection of his biology and his culture; he is human and belongs to a cultural group.

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-1)]

The simplest way to think about culture is to think about the distinction between [nature](http://en.wikipedia.org/wiki/Nature_\(innate\)) (our [biology](http://en.wikipedia.org/wiki/biology) and [genetics](http://en.wikipedia.org/wiki/genetics)) and [nurture](http://en.wikipedia.org/wiki/Nature_versus_nurture) (our environment and surroundings that also shape our identities). Because of our biology and genetics, we have a particular form and we have certain abilities. But our biological nature does not exclusively determine who we are. For that, we need culture. Culture is the non-biological or social aspects of human life, basically anything that is learned by humans is part of culture.

The two avatars to the right help illustrate this idea. The avatar wearing nothing but shorts comes close to representing nothing but nature. The form of the avatar reveals several things about this person, but they are not necessarily tied to a specific culture. For instance, the fact that he has lighter colored skin suggests he has Caucasian ancestry, but that is biological, not social. Otherwise, there is very little about this avatar that reflects culture (the exceptions are his shorts and hair stylings, which do, in fact, reflect culture). The avatar wearing the colorful vest and pants stands in stark contrast to the other avatar. This second avatar is reflective of a particular culture. The colors of the vest - red, white, and blue - in the specific pattern they are in (stars and stripes) suggests this avatar is in some way associated with the United States of America. The cut of the avatar's top and pants suggest a particular time period - the late 1960s or early 1970s. The backdrop, with the words [Rock the Vote](http://en.wikipedia.org/wiki/Rock_the_Vote) scrawled across it, also suggest something about the avatar - perhaps that he is a musician participating in the Rock the Vote movement. Additionally, the avatar's hairstyle, [dreadlocks](http://en.wikipedia.org/wiki/dreadlocks), also suggest something about this second avatar as dreadlocks are prominent only in certain sub-cultures. In short, the first avatar is mostly a-cultural or lacking in culture while the second avatar is heavily enmeshed in culture.

Generally speaking, the following elements of social life are considered to be representative of human culture: "stories, beliefs, media, ideas, works of art, religious practices, fashions, rituals, specialized knowledge, and common sense" (p. xvi).[[36]](Print_version.html#cite_note-Griswold2004-48)

Yet, examples of culture do not, in themselves, present a clear understanding of the concept of culture; culture is more than the object or behavior. Culture also includes,

    …norms, values, beliefs, or expressive symbols. Roughly, norms are the way people behave in a given society, values are what they hold dear, beliefs are how they think the universe operates, and expressive symbols are representations, often representations of social norms, values, and beliefs themselves. (p. 3)[[36]](Print_version.html#cite_note-Griswold2004-48)

To summarize, culture encompasses objects and symbols, the meaning given to those objects and symbols, and the norms, values, and beliefs that pervade social life. "The definition is understood to include two elements - that which differentiates one group or society from others and the concept of acquired or learned behavior". (p. 43)[[37]](Print_version.html#cite_note-Gusfield2006-49)

Keep in mind that, in any given society, culture is not necessarily rigid and totally uniform. As is the case with most elements of social life, culture is relatively stable (thus it is functional in the structural-functionalist sense) but at the same time contested (in the conflict sense).[[38]](Print_version.html#cite_note-Butler2008-50) <s>Culture is in flux, especially in our modern world in which different cultures are in constant contact with each other.</s>

### 'High' Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/85/Jeziorolabedzie.JPG/250px-Jeziorolabedzie.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Ballet, traditionally considered _high_ culture.

Many people today think of _culture_ in the way that it was thought of in Europe during the 18th and early 19th centuries. This concept of culture reflected inequalities within European societies and their colonies around the world. This understanding of culture equates _culture_ with _civilization_ and contrasts both with _nature_ or non-civilization. According to this understanding of culture, some countries are more civilized than others, and some people are more cultured than others. Theorists like Matthew Arnold (1822-1888) believed that culture is simply that which is created by "the best that has been thought and said in the world" (p. 6).[[39]](Print_version.html#cite_note-Arnold1882-51) Anything that doesn't fit into this category is labeled as chaos or anarchy. From this perspective, culture is closely tied to cultivation, which is the progressive refinement of human behavior.

In practice, _culture_ referred to [elite](http://en.wikipedia.org/wiki/elite) goods and activities such as [haute cuisine](http://en.wikipedia.org/wiki/haute_cuisine), [high fashion](http://en.wikipedia.org/wiki/fashion) or [haute couture](http://en.wikipedia.org/wiki/haute_couture), museum-caliber art and classical music. The word _cultured_ referred to people who knew about and took part in these activities. For example, someone who used _culture_ in this sense might argue that classical music is more refined than music by working-class people, such as [jazz](http://en.wikipedia.org/wiki/jazz) or the indigenous music traditions of aboriginal peoples.

People who use _culture_ in this way tend not to use it in the plural. They believe that there are not distinct cultures, each with their own internal logic and values, but rather only a single standard of refinement to which all groups are held accountable. Thus people who differ from those who believe themselves to be _cultured_ in this sense are not usually understood as _having a different culture_; they are understood as being _uncultured_.

### The Changing Concept of Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-3)]

During the [Romantic Era](http://en.wikipedia.org/wiki/Romantic_era), scholars in Germany, especially those concerned with [nationalism](http://en.wikipedia.org/wiki/nationalism), developed a more inclusive notion of culture as _worldview_. That is, each ethnic group is characterized by a distinct and incommensurable world view. Although more inclusive, this approach to culture still allowed for distinctions between _civilized_ and _primitive_ or _tribal_ cultures.

By the late 19th century, [anthropologists](http://en.wikipedia.org/wiki/anthropology) had changed the concept of culture to include a wider variety of societies, ultimately resulting in the concept of culture outlined above - objects and symbols, the meaning given to those objects and symbols, and the norms, values, and beliefs that pervade social life.

This new perspective has also removed the evaluative element of the concept of culture and instead proposes distinctions rather than rankings between different cultures. For instance, the _high_ culture of elites is now contrasted with _[popular_ or _pop culture_](http://en.wikipedia.org/wiki/Popular_culture). In this sense, _high_ culture no longer refers to the idea of being _cultured_, as all people are cultured. _High_ culture simply refers to the objects, symbols, norms, values, and beliefs of a particular group of people; popular culture does the same.

Most social scientists today reject the _cultured vs. uncultured_ concept of culture. Instead, social scientists accept and advocate the definition of culture outlined above as being the "nurture" component of human social life. Social scientists recognize that non-elites are as cultured as elites (and that non-Westerners are just as civilized); they simply have a different culture.

#### The Origins of Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-4)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/18/Taipei_Eye_cropped_p1090701.jpg/250px-Taipei_Eye_cropped_p1090701.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chinese Opera, a culture tradition quite distinct from European Opera.

Attentive to the theory of [evolution](http://en.wikipedia.org/wiki/evolution), anthropologists assumed that all human beings are equally evolved, and the fact that all humans have cultures must in some way be a result of human evolution. They were also wary of using biological evolution to explain differences between specific cultures - an approach that either was a form of, or legitimized forms of, [racism](http://en.wikipedia.org/wiki/racism). Anthropologists believed biological evolution produced an inclusive notion of culture, a concept that anthropologists could apply equally to non-literate and literate societies, or to nomadic and to sedentary societies. They argued that through the course of their evolution, human beings evolved a universal human capacity to classify experiences, and encode and communicate them symbolically. Since these symbolic systems were learned and taught, they began to develop independently of biological evolution (in other words, one human being can learn a belief, value, or way of doing something from another, even if they are not biologically related). That this capacity for symbolic thinking and social learning is a product of human evolution confounds older arguments about [nature versus nurture](http://en.wikipedia.org/wiki/nature_versus_nurture). Thus, [Clifford Geertz](http://en.wikipedia.org/wiki/Clifford_Geertz)[[40]](Print_version.html#cite_note-Geertz1973-52) argued that human physiology and neurology developed in conjunction with the first cultural activities, and Middleton (1990:17 n.27) concluded that human "_instincts_ were culturally formed."

This view of culture argues that people living apart from one another develop unique cultures. However, elements of different cultures can easily spread from one group of people to another. Culture is dynamic and can be taught and learned, making it a potentially rapid form of [adaptation](http://en.wikipedia.org/wiki/adaptation_\(biology\)) to changes in physical conditions. Anthropologists view culture as not only a product of biological evolution but as a supplement to it; it can be seen as the main means of human adaptation to the natural world.

This view of culture as a symbolic system with adaptive functions, which varies from place to place, led anthropologists to conceive of different cultures as defined by distinct patterns (or structures) of enduring, although arbitrary, conventional sets of meaning, which took concrete form in a variety of artifacts such as [myths](http://en.wikipedia.org/wiki/myth) and [rituals](http://en.wikipedia.org/wiki/ritual), [tools](http://en.wikipedia.org/wiki/tool), the design of housing, and the planning of villages. Anthropologists thus distinguish between **material culture** and **symbolic culture**, not only because each reflects different kinds of human activity, but also because they constitute different kinds of data that require different methodologies to study.

This view of culture, which came to dominate anthropology between World War I and World War II, implied that each culture was bounded and had to be understood as a whole, on its own terms. The result is a belief in [cultural relativism](http://en.wikipedia.org/wiki/cultural_relativism), which suggests that there are no "better" or "worse" cultures, just different cultures.

Recent research suggests that human culture has reversed the causal direction suggested above and influence human evolution.[[41]](Print_version.html#cite_note-Laland2010-53) One well-known illustration of this is the rapid spread of genetic instructions that left on a gene that produces a protein that allows humans to digest lactose.[[41]](Print_version.html#cite_note-Laland2010-53) This adaptation spread rapidly in Europe around 4,000 BCE with the domestication of mammals, as humans began harvesting their milk for consumption. Prior to this adaptation, the gene that produces a protein allowing for the digestion of lactose was switched after children were weaned. Thus, the change in culture - drinking milk from other mammals - eventually led to changes in human genetics. Genetics has, therefore, resulted in culture, which is now acting back on genetics.

### Level of Abstraction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-5)]

Another element of culture that is important for a clear understanding of the concept is [level of abstraction](http://en.wikipedia.org/wiki/Abstraction_\(sociology\)). Culture ranges from the concrete, cultural object (e.g., the understanding of a work of art) to micro-level interpersonal interactions (e.g., the socialization of a child by his/her parents) to a macro-level influence on entire societies (e.g., the Puritanical roots of the U.S. that can be used to justify the exportation of democracy – a lá the Iraq War).[[42]](Print_version.html#cite_note-Wald2003-54) It is important when trying to understand the concept of culture to keep in mind that the concept can have multiple levels of meaning.

### The Artificiality of Cultural Categorization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-6)]

One of the more important points to understand about culture is that it is an artificial categorization of elements of social life. As Griswold puts it,

    There is no such thing as _culture_ or _society_ out there in the real world. There are only people who work, joke, raise children, love, think, worship, fight, and behave in a wide variety of ways. To speak of culture as one thing and society as another is to make an analytical distinction between two different aspects of human experience. One way to think of the distinction is that culture designates the expressive aspect of human existence, whereas society designates the relational (and often practical) aspect. (p. 4)[[36]](Print_version.html#cite_note-Griswold2004-48)

In the above quote, Griswold emphasizes that culture is distinct from society but affirms that this distinction is, like all classifications, artificial. Humans do not experience culture in a separate or distinct way from society. Culture and society are truly two-sides of a coin; a coin that makes up social life. Yet the distinction between the two, while artificial, is useful for a number of reasons. For instance, the distinction between culture and society is of particular use when exploring how norms and values are transmitted from generation to generation and answering the question of cultural conflict between people of different cultural backgrounds (say, the [Japanese](http://en.wikipedia.org/wiki/Japanese_people) and [Americans](http://en.wikipedia.org/wiki/American)).

## Subcultures & Countercultures[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-7)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/Trekkies_at_baycon_2003.jpg/150px-Trekkies_at_baycon_2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Trekkies (or fans of Star Trek) are a subculture; they share specific understandings and meanings that those outside their subculture may not understand.

A **subculture** is a culture shared and actively participated in by a minority of people within a broader culture. A culture often contains numerous subcultures. Subcultures incorporate large parts of the broader cultures of which they are part, but in specifics they may differ radically. Some subcultures achieve such a status that they acquire a name of their own. Examples of subcultures could include: [bikers](http://en.wikipedia.org/wiki/bikers), [military culture](http://en.wikipedia.org/wiki/military_of_the_United_States), and [Star Trek](http://en.wikipedia.org/wiki/Society_and_Star_Trek) fans ([trekkers or trekkies](http://en.wikipedia.org/wiki/trekkie)).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/02/Colorado_City_8-13-2008_2-06-58_PM.JPG/150px-Colorado_City_8-13-2008_2-06-58_PM.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The woman and children in this photo are members of [The Fundamentalist Church of Jesus Christ of Latter-Day Saints](http://en.wikipedia.org/wiki/The_Fundamentalist_Church_of_Jesus_Christ_of_Latter-Day_Saints) (or FLDS), which advocates the practice polygamy, making members part of a countercultural group (polygamy is illegal in the United States).

A **counterculture** is a subculture with the addition that some of its beliefs, values, or norms challenge or even contradict those of the main culture of which it is part.[[43]](Print_version.html#cite_note-Roszak1968-55) Examples of countercultures in the U.S. could include: [the hippie movement of the 1960s](http://en.wikipedia.org/wiki/hippie), [the green movement](http://en.wikipedia.org/wiki/green_movement), [polygamists](http://en.wikipedia.org/wiki/polygamy), and [and feminist groups](http://en.wikipedia.org/wiki/feminism).

Subcultures bring together like-minded individuals who feel neglected by societal standards and allow them to develop a sense of identity.[[44]](Print_version.html#cite_note-Hebdige1979-56) Subcultures can be distinctive because of the age, ethnicity, class, location, and/or gender of the members. The qualities that determine a subculture as distinct may be linguistic, aesthetic, religious, political, sexual, geographical, or a combination of factors. Members of a subculture often signal their membership through a distinctive and symbolic use of style, which includes fashions, mannerisms, and [argot](http://en.wikipedia.org/wiki/argot).[[44]](Print_version.html#cite_note-Hebdige1979-56)

## Ethnocentrism & Cultural Relativism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-8)]

**Ethnocentrism** is the tendency to look at the world primarily from the perspective of one's own culture. Many claim that ethnocentrism occurs in every society; ironically, ethnocentrism may be something that all cultures have in common.

The term was coined by William Graham Sumner, a social evolutionist and professor of Political and Social Science at Yale University. He defined it as, "The sentiment of cohesion, internal comradeship, and devotion to the in-group, which carries with it a sense of superiority to any out-group and readiness to defend the interests of the in-group against the out-group."[[45]](Print_version.html#cite_note-Sumner1919-57) Ethnocentrism often entails the belief that one's own race or ethnic group is the most important and/or that some or all aspects of its culture are superior to those of other groups. Within this ideology, individuals will judge other groups in relation to their own particular ethnic group or culture, especially with concern to language, behaviour, customs, and religion. It also involves an incapacity to acknowledge that cultural differentiation does not imply inferiority of those groups who are ethnically distinct from one's own.

Sociologists study ethnocentrism because of its role in various elements of social life, ranging from politics to terrorism.[[46]](Print_version.html#cite_note-Juergensmeyer2003-58) This is also an area where sociologists often become advocates as they attempt to reveal ethnocentric biases to those who hold them with the aim of helping people realize that such biases are seldom beneficial to social solidarity and peaceful human relations.

**Cultural relativism** is the belief that the concepts and values of a culture cannot be fully translated into, or fully understood in, other languages; that a specific [cultural artifact](http://en.wikipedia.org/wiki/cultural_artifact) (e.g. a ritual) has to be understood in terms of the larger symbolic system of which it is a part.

An example of cultural relativism might include slang words from specific languages (and even from particular dialects within a language). For instance, the word _tranquilo_ in Spanish translates directly to 'calm' in English. However, it can be used in many more ways than just as an adjective (e.g., the seas are calm). Tranquilo can be a command or suggestion encouraging another to _calm down_. It can also be used to ease tensions in an argument (e.g., everyone relax) or to indicate a degree of self-composure (e.g., I'm calm). There is not a clear English translation of the word, and in order to fully comprehend its many possible uses a cultural relativist would argue that it would be necessary to fully immerse oneself in cultures where the word is used.

## Theories of Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-9)]

While there are numerous theoretical approaches employed to understand 'culture', this chapter uses just one model to illustrate how sociologists understand the concept. The model is an integrationist model advocated by Ritzer.[[47]](Print_version.html#cite_note-Ritzer2004-59) Ritzer proposes four highly interdependent elements in his sociological model: a macro-objective component (e.g., society, law, bureaucracy), a micro-objective component (e.g., patterns of behavior and human interaction), a macro-subjective component (e.g., culture, norms, and values), and a micro-subjective component (e.g., perceptions, beliefs). This model is of particular use in understanding the role of culture in sociological research because it presents two axes for understanding culture: one ranging from objective (society) to subjective (culture and cultural interpretation); the other ranging from the macro-level (norms) to the micro-level (individual level beliefs).

![George Ritzer's macro/micro integration theory of social analysis.](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Ritzers_integration_theory.svg/848px-Ritzers_integration_theory.svg.png)

If used for understanding a specific cultural phenomenon, like the displaying of abstract art,[[48]](Print_version.html#cite_note-Halle1993-60) this model depicts how cultural norms can influence individual behavior. This model also posits that individual level values, beliefs, and behaviors can, in turn, influence the macro-level culture. This is, in fact, part of what David Halle finds: while there are certainly cultural differences based on class, they are not unique to class. Displayers of abstract art tend not only to belong to the upper-class, but also are employed in art-production occupations. This would indicate that there are multiple levels of influence involved in art tastes – both broad cultural norms and smaller level occupational norms in addition to personal preferences.

### The Function of Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-10)]

Culture can also be seen to play a specific function in social life. According to Griswold, "The sociological analysis of culture begins at the premise that culture provides orientation, wards off chaos, and directs behavior toward certain lines of action and away from others."[[36]](Print_version.html#cite_note-Griswold2004-48) Griswold reiterates this point by explaining that, "Groups and societies need collective representations of themselves to inspire sentiments of unity and mutual support, and culture fulfills this need."[[36]](Print_version.html#cite_note-Griswold2004-48) In other words, culture can have a certain utilitarian function – the maintenance of order as the result of shared understandings and meanings.

## Cultural Change[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-11)]

The belief that culture is symbolically coded and can thus be taught from one person to another means that cultures, although bounded, can change. Cultures are both predisposed to change and resistant to it. Resistance can come from habit, religion, and the integration and interdependence of cultural traits.[[49]](Print_version.html#cite_note-Emerson2001-61) For example, men and women have complementary roles in many cultures. One sex might desire changes that affect the other, as happened in the second half of the 20th century in western cultures (see, for example, the [women's movement](http://en.wikipedia.org/wiki/feminist_movement)), while the other sex may be resistant to that change (possibly in order to maintain a power imbalance in their favor).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Ankh-Mirror-TutanchamunTomb.JPG/200px-Ankh-Mirror-TutanchamunTomb.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The symbol of the ankh has its roots in Egyptian religious practice, but the symbol diffused over time and was adopted by other groups, including pagans, as a religious symbol.

Cultural change can have many causes, including: the environment, inventions, and contact with other cultures. For example, the end of the last ice age helped lead to the invention of agriculture.[[29]](Print_version.html#cite_note-Diamond2005-41) An invention that substantially changed culture was the development of the [birth control pill](http://en.wikipedia.org/wiki/birth_control_pill), which changed women's attitudes toward sex. Prior to the introduction of the birth control pill, women were at a high risk of pregnancy as a result of sex. After the introduction of the pill, their risk of pregnancy was substantially reduced, increasing their willingness to engage in sexual activity outside of wedlock.[[50]](Print_version.html#cite_note-Coontz2000-62) Likewise, the introduction of the television substantially reduced American involvement in civic life.[[4]](Print_version.html#cite_note-Putnam2001-16)

Several understandings of how cultures change come from Anthropology. For instance, in [diffusion theory](http://en.wikipedia.org/wiki/diffusion_\(anthropology\)), the form of something moves from one culture to another, but not its meaning. For example, the [ankh symbol](http://en.wikipedia.org/wiki/Ankh) originated in Egyptian culture but has diffused to numerous cultures. It's original meaning may have been lost, but it is now used by many practitioners of [New Age Religion](http://en.wikipedia.org/wiki/New_Age) as an arcane symbol of power or life forces.

Contact between cultures can also result in [acculturation](http://en.wikipedia.org/wiki/acculturation). Acculturation has different meanings, but in this context refers to replacement of the traits of one culture with those of another, such as what happened with many [Native American Indians](http://en.wikipedia.org/wiki/Native_American) as Europeans took over their lands. Many Native Americans were acculturated into European cultural norms, from religion to how to raise children. Related processes on an individual level are [assimilation](http://en.wikipedia.org/wiki/assimilation) and [transculturation](http://en.wikipedia.org/wiki/transculturation), both of which refer to adoption of a different culture by an individual.

Griswold outlined another sociological approach to cultural change.[[36]](Print_version.html#cite_note-Griswold2004-48) Griswold points out that it may seem as though culture comes from individuals, but there is also the larger, collective, and long-lasting culture that cannot have been the creation of single individuals as it predates and post-dates individual humans and contributors to culture. The author presents a sociological perspective to address this conflict,

    Sociology suggests an alternative to both the unsatisfying _it has always been that way_ view at one extreme and the unsociological _individual genius_ view at the other. This alternative posits that culture and cultural works are collective, not individual, creations. We can best understand specific cultural objects... by seeing them not as unique to their creators but as the fruits of collective production, fundamentally social in their genesis. (p. 53)

Griswold suggests, then, that culture changes through the contextually dependent and socially situated actions of individuals; macro-level culture influences the individual who, in turn, can influence that same culture. The logic is a bit circular, but it illustrates how culture can change over time yet remain somewhat constant.

It is, of course, important to recognize here that Griswold is talking about cultural change and not the actual origins of culture (as in, "there was no culture and then, suddenly, there was"). Because Griswold does not explicitly distinguish between the origins of cultural change and the origins of culture, it may appear as though Griswold is arguing here for the origins of culture and situating these origins in society. This is neither accurate nor a clear representation of sociological thought on this issue. Culture, just like society, has existed since the beginning of humanity (humans being social and cultural beings). Society and culture co-exist because humans have social relations and meanings tied to those relations (e.g. brother, lover, friend).[[51]](Print_version.html#cite_note-Leakey1996-63) Culture as a super-phenomenon has no real beginning except in the sense that humans (homo sapiens) have a beginning. This, then, makes the question of the origins of culture moot – it has existed as long as we have, and will likely exist as long as we do.

## Cultural Sociology: Researching Culture[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-12)]

How do sociologists study culture? One approach to studying culture falls under the label 'cultural sociology', which combines the study of culture with cultural understandings of phenomena. Griswold explains how cultural sociologists approach their research,

    ...if one were to try to understand a certain group of people, one would look for the expressive forms through which they represent themselves to themselves... The sociologist can come at this collective representation process from the other direction, from the analysis of a particular cultural object, as well; if we were to try to understand a cultural object, we would look for how it is used by some group as representing that group. (p. 59)[[36]](Print_version.html#cite_note-Griswold2004-48)

Cultural sociologists look for how people make meaning in their lives out of the different cultural elements that surround them. A particularly clear example of cultural sociology is the study of the Village-Northton by Elijah Anderson.[[52]](Print_version.html#cite_note-Anderson1990-64) Anderson is interested in a number of things in his book, but two cultural components stand out. First, Anderson is looking at the border of two culturally and socio-economically distinct neighborhoods. Because these two neighborhoods are distinct yet share a border, this research site provides numerous opportunities for the exploration of culture. Not surprisingly, cultural conflict is an optimal scenario for the exploration of culture and cultural interaction. Additionally, Anderson is interested in how individuals in these neighborhoods negotiate interpersonal interactions, especially when individuals from the Village (middle to upper-middle class and predominantly white) are forced to interact with members of the Northton area (lower class and poor blacks).

Anderson’s methodology is a combination of participant observation and interviews. But when viewed in light of the quote above by Griswold, it becomes apparent that Anderson’s focus in these interviews and observations is [self-presentation](http://en.wikipedia.org/wiki/self-presentation). Anderson regularly describes the individuals he interviews and observes in light of their clothing, behavior, attitudes, beliefs, and opinions. As he interacts with more and more individuals, patterns begin to develop. Specifically, individuals dressed in certain outfits behave in similar ways. For instance, those dressed in business attire (even when walking their dogs) – [the yuppies](http://en.wikipedia.org/wiki/yuppie) – have particular perspectives on the future of the Village: they are interested in increasing property values in order to maximize their investment. Another example of cultural significance of clothing is older black men who intentionally wear button-up shirts and ties because of the cultural symbolism of that particular outfit: it signifies to the cultural outsider that the wearer is refined and distinct from the athletic-suit-wearing drug dealers who control numerous Northton corners.

Ultimately, Anderson’s goal is to develop a sort of typology of _streetwise_ individuals: people who can manage awkward and uncomfortable interpersonal interactions on the street in such a fashion that they emerge from the interactions unharmed. While he does develop a loose description of these types of individuals, the important part to understand here is how he explores these aspects of culture. First, he found a cultural border that presented cultural conflict. When individuals have to negotiate meaning publicly, it makes it much easier for the sociologist to tease out culture. Additionally, Anderson observed both the transmission of culture from generation to generation (i.e., [socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization), but also the self-representation that is provided by cultural expressions (clothing, behavior, etc). Through years of observation, Anderson gained a familiarity with these elements of culture that allowed him to understand how they interacted.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-13)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  
This chapter drew on the following Wikipedia articles:

  * [culture](http://en.wikipedia.org/wiki/culture)
  * [ethnocentrism](http://en.wikipedia.org/wiki/ethnocentrism)
  * [cultural relativism](http://en.wikipedia.org/wiki/cultural_relativism)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Culture&action=edit&section=T-14)]

← [Society](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Society) · [Socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization) →

← [Society](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Society) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization) →

# Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=8)]

## Elements of Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-1)]

Socialization is a fundamental sociological concept, comprising a number of elements. While not every sociologist will agree which elements are the most important, or even how to define some of the elements of socialization, the elements outlined below should help clarify what is meant by socialization.

### Goals of Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d3/AF-kindergarten.jpg/250px-AF-kindergarten.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A kindergarten in Afghanistan.

Arnett,[[53]](Print_version.html#cite_note-Arnett1995-65) in presenting a new theoretical understanding of socialization (see below), outlined what he believes to be the three goals of socialization:

  1. impulse control and the development of a [conscience](http://en.wikipedia.org/wiki/conscience)
  2. role preparation and performance, including occupational roles, gender roles, and roles in institutions such as marriage and parenthood
  3. the cultivation of sources of meaning, or what is important, valued, and to be lived for

In short, socialization is the process that prepares humans to function in social life. It should be re-iterated here that socialization is culturally relative - people in different cultures are socialized differently. This distinction does not and should not inherently force an evaluative judgement. Socialization, because it is the adoption of culture, is going to be different in every culture. Socialization, as both process or an outcome, is not better or worse in any particular culture.

It should also be noted that, while socialization is a key sociological process in the development of individuals who can function in human society, not every aspect of human behavior is learned. For instance, there is evidence that most children have innate empathy for individuals who are wilfully injured and consider it wrong.[[54]](Print_version.html#cite_note--66) Thus, some aspects of human behavior that one might believe are learned, like empathy and morals, may, in fact, be biologically determined. To what extent human behavior is biologically determined vs. learned is still an open question in the study of human behavior.

### Primary and Secondary Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-3)]

Socialization is a life process, but is generally divided into two parts: _Primary socialization_ takes place early in life, as a child and adolescent. _Secondary socialization_ refers to the socialization that takes place throughout one's life, both as a child and as one encounters new groups that require additional socialization. While there are scholars who argue that only one or the other of these occurs, most social scientists tend to combine the two, arguing that the basic or core identity of the individual develops during primary socialization, with more specific changes occurring later - secondary socialization - in response to the acquisition of new group memberships and roles and differently structured social situations. The need for later life socialization may stem from the increasing complexity of society with its corresponding increase in varied roles and responsibilities.[[55]](Print_version.html#cite_note-Mortimer1978-67)

Mortimer and Simmons outline three specific ways these two parts of socialization differ:[[55]](Print_version.html#cite_note-Mortimer1978-67)

  1. content - Socialization in childhood is thought to be concerned with the regulation of biological drives. In adolescence, socialization is concerned with the development of overarching values and the self-image. In adulthood, socialization involves more overt and specific norms and behaviors, such as those related to the work role as well as more superficial personality features.
  2. context - In earlier periods, the _socializee_ (the person being socialized) more clearly assumes the status of _learner_ within the context of the family of orientation, the school, or the peer group. Also, relationships in the earlier period are more likely to be affectively charged, i.e., highly emotional. In adulthood, though the socializee takes the role of student at times, much socialization occurs after the socializee has assumed full incumbency of the adult role. There is also a greater likelihood of more formal relationships due to situational contexts (e.g., work environment), which moderates down the affective component.
  3. response - The child and adolescent may be more easily malleable than the adult. Also, much adult socialization is self-initiated and voluntary; adults can leave or terminate the process at any time.

Socialization is, of course, a social process. As such, it involves interactions between people. Socialization, as noted in the distinction between primary and secondary, can take place in multiple contexts and as a result of contact with numerous groups. Some of the more significant contributors to the socialization process are: parents, friends, schools, siblings, and co-workers. Each of these groups include a culture that must be learned and to some degree appropriated by the socializee in order to gain admittance to the group.

### Broad and Narrow Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-4)]

Arnett proposed an interesting though seldom used distinction in types of socialization.[[53]](Print_version.html#cite_note-Arnett1995-65) Arnett distinguishes between broad and narrow socialization:

  * broad socialization is intended to promote independence, individualism, and self-expression; it is dubbed _broad_ because this type of socialization has the potential of resulting in a broad range of outcomes
  * narrow socialization is intended to promote obedience and conformity; it is dubbed _narrow_ because there is a narrow range of outcomes

These distinctions correspond to Arnett's definition of socialization, which is:

    the whole process by which an individual born with behavioral potentialities of enormously wide range, is led to develop actual behavior which is confined with a much narrower range; the range of what is customary and acceptable for him according to the standards of his group

Arnett explains that his understanding of socialization should not be understood as having just two options, broad or narrow. Instead, the author argues that socialization can be broad or narrow within each of the seven socializing forces he outlines (e.g., family, friends, etc.). Because each force can be either broad or narrow, there is a wide variety of possible broad/narrow socialization combinations. Finally, Arnett notes two examples where his distinction is relevant. First, Arnett argues that there are often differences in socialization by gender. Where these differences exist, argues Arnett, socialization tends to be narrower for women than for men. Arnett also argues that Japanese socialization is narrow as there is more pressure toward conformity in that culture. Arnett argues that this may account for the lower crime rates in Japan.

### Total Institutions[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-5)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Friedrich_Wilhelm_Schadow_002.jpg/250px-Friedrich_Wilhelm_Schadow_002.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A painting of a prison.

Not all socialization is voluntary nor is all socialization successful. There are components of society designed specifically to resocialize individuals who were not successfully socialized to begin with. For instance, prisons and mental health institutions are designed to resocialize people who are deemed to have not been successfully socialized. Depending on the degree of isolation and resocialization that takes place in a given institution, some of these institutions are labeled _total institutions_. In his classic study of total institutions, Erving Goffman gives the following characteristics of total institutions:[[19]](Print_version.html#cite_note-Goffman1961-31)

  1. all aspects of life are conducted in the same place under the same authority
  2. the individual is a member of a large cohort, all treated alike
  3. all daily activities (over a 24-hour period) are tightly scheduled
  4. there is a sharp split between supervisors and lower participants
  5. information about the member's fate is withheld

The most common examples of total institutions include mental hospitals, prisons, and military boot camps, though there are numerous other institutions that could be considered total institutions as well. The goal of total institutions is to facilitate a complete break with one's old life in order for the institution to resocialize the individual into a new life.

Mortimer and Simmons note a difference in socialization methodologies in different types of institutions.[[55]](Print_version.html#cite_note-Mortimer1978-67) When the goal of an institution is socialization (primary or secondary), the institution tends to use normative pressures. When the goal of an institution is resocialization of deviants, [coercion](http://en.wikipedia.org/wiki/coercion) is frequently involved.

### The Importance of Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-6)]

One of the most common methods used to illustrate the importance of socialization is to draw upon the few unfortunate cases of children who were, through neglect, misfortune, or wilful abuse, not socialized by adults while they were growing up. Such children are called "[feral](http://en.wikipedia.org/wiki/Feral_child)" or wild. Some feral children have been confined by people (usually their own parents); in some cases this child abandonment was due to the parents' rejection of a child's severe intellectual or physical impairment. Feral children may have experienced severe child abuse or trauma before being abandoned or running away. Others are alleged to have been brought up by animals; some are said to have lived in the wild on their own. When completely brought up by non-human animals, the feral child exhibits behaviors (within physical limits) almost entirely like those of the particular care-animal, such as its fear of or indifference to humans.

Feral children lack the basic social skills which are normally learned in the process of socialization. For example, they may be unable to learn to use a toilet, have trouble learning to walk upright and display a complete lack of interest in the human activity around them. They often seem mentally impaired and have almost insurmountable trouble learning a human language. The impaired ability to learn language after having been isolated for so many years is often attributed to the existence of a critical period for language learning, and taken as evidence in favor of the [Critical Period Hypothesis](http://en.wikipedia.org/wiki/Critical_Period_Hypothesis). It is very difficult to socialize a child who became isolated at a very young age into a relatively normal member of society and such individuals often need close care throughout their lives.

There are, unfortunately, a number of examples of such children that have been well-documented, including:

  * [Genie](http://en.wikipedia.org/wiki/Genie_\(feral_child\))
  * [Traian Căldărar](http://en.wikipedia.org/wiki/Traian_C%C4%83ld%C4%83rar)
  * [Danielle Crockett, who was found in a Plant City, Florida home in 2005.](http://www.tampabay.com/features/humaninterest/article750838.ece)[[56]](Print_version.html#cite_note-DeGregory2008-68)

## Theoretical Understandings of Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-7)]

Socialization, as a concept in social scientific research, has evolved over time. While the basic idea outlined above has been a component of most understandings of socialization, there have been quite a variety of definitions and theories of socialization. Some of these approaches are presented here as definitional variety is often informative.[[57]](Print_version.html#cite_note-Holland1970-69)[[55]](Print_version.html#cite_note-Mortimer1978-67)[[58]](Print_version.html#cite_note-Long1985-70)

  * Symbolic Interactionism - the self develops as a result of social interactions; as a result, socialization is highly dependent on the situations in which the actor finds him/herself; this approach also argues that socialization is a continuous, lifelong process
  * Role Theory - socialization is seen as a process of acquisition of appropriate norms, attitudes, self-images, values, and role behaviors that enable acceptance in the group and effective performance of new roles; in this framework, socialization is seen as a conservative force, permitting the perpetuation of the social organization in spite of the turn-over of individual members through time
  * Reinforcement Theory - the self develops as a result of cognitive evaluations of costs and benefits; this understanding assumes that the socializee, in approaching new roles, is an independent and active negotiator for advantages in relationships with role partners and membership groups
  * Internalization Theory - socialization is a series of stages in which the individual learns to participate in various levels of organization of society; this theory contends that the child [internalizes](http://en.wikipedia.org/wiki/internalization) a cognitive frame of reference for interpersonal relations and a common system of expressive symbolism in addition to a moral conscience; this approach was advocated by [Talcott Parsons](http://en.wikipedia.org/wiki/Talcott_Parsons)

Recent research[[59]](Print_version.html#cite_note-Nielsen2010-71) suggests that human children are hard-wired to exactly imitate the roles of adults, including actions that are not pragmatic. This is referred to as "overimitation" and, while seemingly maladaptive from an evolutionary perspective, it is possible that this is one of the characteristics of humans that facilitates the transmission of culture from generation to generation.[[59]](Print_version.html#cite_note-Nielsen2010-71)

### Socialization as _Joining Groups_[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-8)]

Socialization has addressed the problem of individual adjustment to society. In all of the approaches outlined above, socialization has, in one way or another, referred to the idea that society shapes its members toward compliance and cooperation with societal requirements. In order to reduce confusion, develop a research methodology for measuring socialization, and potentially lead to the comparability of research findings from different studies, Long and Hadden proposed a revised understanding of socialization.[[58]](Print_version.html#cite_note-Long1985-70) Rather than referring to a vague adoption or learning of culture, Long and Hadden reframed socialization as "the medium for transforming newcomers into bona fide members of a group." Before discussing some of the specifics of this approach, it may be useful to outline some of the critiques Long and Hadden present of earlier approaches to socialization.

According to Long and Hadden, many earlier approaches to socialization extended socialization to every part of human social life. As a result, everyone becomes both a socializing agent (socializer) and a novice (socializee) in all encounters with others. This conceptualization leaves socialization without a social home; it is all around but no place in particular. Another criticism of previous approaches is that they allowed socialization to include anything, and anything which is part of the process at one time may be excluded at another. With this conceptualization, any phenomenon may shift its status in the socialization process without changing its own composition or expression. In other words, socialization includes virtually everything, excludes almost nothing, and shifts with circumstance and outcomes. Additionally, previous approaches to socialization lacked specificity about the nature of socialization activity. Defining socialization by its outcomes made it unnecessary to stipulate the nature of the process conceptually. Socialization could be attributed to _this or that_ but in order to truly understand what is taking place it is necessary to go beyond just pointing to socializing agents and specify what it is about those agents that is doing the socializing. Another serious drawback of earlier approaches is that they disregard the _process_ component of socialization. Doing so limits the socialization concept to employment primarily as a post hoc interpretive category that is used to lend significance to findings defined and developed in other terms.

As a result of these criticisms, Long and Hadden found themselves presented with a two-fold task:[[58]](Print_version.html#cite_note-Long1985-70)

  * locate socialization and its social boundaries more precisely
  * specify the distinctive properties which distinguish it from related phenomena

To accomplish this, Long and Hadden developed a new understanding of socialization, "socialization is the process of creating and incorporating new members of a group from a pool of newcomers, carried out by members and their allies". Under this understanding, the principal agents of socialization are certified and practicing members of the group to which novices are being socialized. It should be noted that _certified_ here is only a shortened way of saying "a socially approved member of the group." Thus, Long and Hadden's revised understanding of socialization sees it as both the process and outcome of joining groups.

## Research Examples[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-9)]

Numerous examples of research on socialization could be presented in this section. One important area of socialization research involves differences in gender socialization, but much of that research is summarized in the chapter on [gender](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Gender). The following three research examples are interesting in that they explore both primary and secondary socialization and do so from varying perspectives.

### Socialization and Social Class[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-10)]

Ellis, Lee, and Peterson,[[60]](Print_version.html#cite_note-Ellis1978-72) developing a research agenda begun by Melvin L. Kohn,[[61]](Print_version.html#cite_note-Kohn1969-73) explored differences in how parents raise their children relative to their [social class](http://en.wikipedia.org/wiki/social_class). Kohn found that lower class parents were more likely to emphasize conformity in their children whereas middle-class parents were more likely to emphasize creativity and self-reliance.[[61]](Print_version.html#cite_note-Kohn1969-73) Ellis et. al. proposed and found that parents value conformity over self-reliance in children to the extent that conformity superseded self-reliance as a criterion for success in their own endeavors. In other words, Ellis et. al. verified that the reason lower-class parents emphasize conformity in their children is because they experience conformity in their day-to-day activities. For example, factory work is far more about conforming than innovation.

Another study in this same area explored a slightly different component of this relationship. Erlanger was interested in a correlation between social class and physical violence.[[5]](Print_version.html#endnote_Erlanger1974) While he did not find a strong correlation indicating lower class individuals were more likely to employ physical violence in punishing their children, he did present evidence concerning several outdated propositions. Erlanger's findings include:

  * physical punishment _does not_ lead to _working class authoritarianism_
  * childhood punishment experiences _do not_ explain the greater probability that working class adults, as opposed to middle class adults, will commit homicide
  * general use of corporal punishment _is not_ a precursor to child abuse
  * use of corporal punishment _is not_ part of a subcultural positive evaluation of violence

It should be noted that this is an older study and that more recent findings may have shed more light on these issues. It should also be noted that Erlanger readily points out when his findings are strongly supported or weakly supported by his data. It behooves the interested party to read his paper directly rather than rely on the summary above for the specific nuances.

### Socialization and Death Preparation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-11)]

Marshall interviewed a number of retirement home residents to explore how their environment influenced their thinking about death.[[62]](Print_version.html#cite_note-Marshall1975-74) In essence, Marshall was examining secondary socialization concerning mortality. Marshall found that a combination of relationships, behavioral changes, and retirement home culture contributed to a conception of death that was both accepting and courageous.

Residents of this particular retirement home found themselves with more time on their hands - to think about death - because they no longer had to care for their own homes. Additionally, they found themselves surrounded by people in a situation similar to their own: they were basically moving into the retirement home to prepare for death. The prevalence of elderly people facilitated discussions of death, which also helped socialize the residents into their acceptance of mortality. Finally, the retirement home community encouraged a culture of life and fulfilment in part to counter-act the frequency of death. Some residents calculated there was one death per week in the retirement home. In light of such bad numbers, it was important to the success of the community to maintain a positive culture that embraced life yet accepted death. In summary, Marshall found that numerous factors contributed to the socialization of residents into a positive lifestyle that was also accepting of and preparatory for their impending deaths.

### Do College Preparation Classes Make a Difference?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-12)]

Rosenbaum was interested in the effects of high school tracks on [IQ](http://en.wikipedia.org/wiki/intelligence_quotient).[[63]](Print_version.html#cite_note-Rosenbaum1975-75) High school tracks are the different levels or types of courses students can take; for instance, many high schools now include college preparation tracks and general education tracks. Rosenbaum's hypothesis was that students who followed the lower tracks (non college-preparation) would score lower on IQ tests over time than would students who followed the higher tracks (college-preparation). Considering that school is one of the primary contributors to socialization, it makes sense that participation in a given track can also result in the adoption of the norms, values, beliefs, skills, and behaviors that correspond to that track. In other words, tracks can turn into a type of [self-fulfilling prophecy](http://en.wikipedia.org/wiki/self-fulfilling_prophecy): you may start out at the same level as someone in a higher track, but by the time you have completed the lower track you will have become like the other students in your track.

To reduce confounding variables and ensure notable test effects, Rosenbaum selected a homogeneous, white, working class public school with five different, highly stratified classes. Rosenbaum then compared IQ scores for individuals in the different tracks at two time points. As it turns out, _tracking_ does have a significant effect on IQ. People in lower tracks can actually see a decline in IQ compared to a possible increase among those in the upper track. In other words, tracks socialize their students into their corresponding roles.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-13)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-14)]

  * This page is adapted 9 April 2005 from the Wikipedia article, [socialization](http://en.wikipedia.org/wiki/socialization).

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Socialization&action=edit&section=T-15)]

← [Culture](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Culture) · [Groups](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Groups) →

← [Culture](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Culture) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Groups](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Groups) →

# Groups[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=9)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-1)]

In sociology, a **group** is usually defined as a number of people who identify and interact with one another. This is a very broad definition, as it includes groups of all sizes, from [dyads](http://en.wikipedia.org/wiki/dyad) to whole societies. While an [aggregate](http://en.wikipedia.org/wiki/aggregate) comprises merely a number of individuals, a group in sociology exhibits cohesiveness to a larger degree. Aspects that members in the group may share include: interests, values, ethnic/linguistic background, [roles](http://en.wikipedia.org/wiki/role) and kinship. One way of determining if a collection of people can be considered a group is if individuals who belong to that collection use the self-referent pronoun "we;" using "we" to refer to a collection of people often implies that the collection thinks of itself as a group. Examples of groups include: families, companies, circles of friends, clubs, local chapters of fraternities and sororities, and local religious congregations.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4b/US_Secret_Service_officers.jpg/200px-US_Secret_Service_officers.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A law enforcement official is a social category, not a group. However, law enforcement officials who all work in the same station and regularly meet to plan their day and work together would be considered part of a group.

Collections of people that do not use the self-referent pronoun "we" but share certain characteristics (e.g., roles, social functions, etc.) are different from groups in that they usually do not regularly interact with each other nor share similar interests or values. Such collections are referred to as _categories_ of people rather than groups; examples include: police, soldiers, millionaires, women, etc.

Individuals form groups for a variety of reasons. There are some rather obvious ones, like reproduction, protection, trade, and food production. But [social categorization](http://en.wikipedia.org/wiki/social_categorization) of people into groups and categories also facilitates behavior and action.[[64]](Print_version.html#cite_note-Hogg2003-76) An example may help explain this idea:

    Suppose you are driving somewhere in a car when you notice red lights flashing in your rearview mirror. Because you have been [socialized](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization) into society, you know that the red lights mean you should pull over, so you do. After waiting for a minute or two, an individual in a uniform walks toward your car door. You roll down your window and the individuals asks you for your "license and registration."

Because groups and categories help facilitate social behavior, you know who this individual is: a member of a law enforcement category like the [police](http://en.wikipedia.org/wiki/police) or [highway patrol](http://en.wikipedia.org/wiki/highway_patrol). In all likelihood, you do not have to question this individual as to why they are driving a special car with lights on it, why they are wearing a uniform, why they are carrying a gun, or why they pulled you over (you may ask why they pulled you over, but doing so often increases the likelihood they'll give you a ticket). In short, because you recognize that the individual driving the car belongs to a specific social category (or group), you can enter this interaction with a body of knowledge that will help guide your behavior. You do not have to learn how to interact in that situation every single time you encounter it. Social categorization of people into groups and categories is a [heuristic](http://en.wikipedia.org/wiki/heuristic) device that makes social interaction easier.

## Social Identity Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-2)]

**Social identity** is a theory developed by [Henri Tajfel](http://en.wikipedia.org/wiki/Henri_Tajfel) and [John Turner](http://en.wikipedia.org/wiki/John_Turner) to understand the psychological basis of intergroup [discrimination](http://en.wikipedia.org/wiki/discrimination). As developed by Tajfel, Social Identity Theory is a diffuse but interrelated group of social psychological theories concerned with when and why individuals identify with, and behave as part of, social groups, adopting shared attitudes to outsiders. It is also concerned with what difference it makes when encounters between individuals are perceived as encounters between group members. Social Identity Theory is thus concerned both with the psychological and sociological aspects of group behavior. According to Tajfel and Turner, social identities are composed of three elements.

### Categorization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-3)]

We categorize objects in order to understand them, in a very similar way we categorize people (including ourselves) in order to understand the social environment. We use social categories like black, white, Australian, Christian, Muslim, student, and busdriver because they are useful. If we can assign people to a category then that tells us things about those people. Without an understanding of people's groups and categories, we would have a very difficult time functioning in society. Similarly, we find out things about ourselves by knowing what categories we belong to. We define appropriate behaviour by reference to the norms of groups we belong to, but you can only do this if you can tell who belongs to your group.

### Identification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-4)]

We identify with groups that we perceive ourselves to belong to. Identification carries two meanings. Part of who we are is made up of our group memberships. That is, sometimes we think of ourselves as "us" vs. "them" or "we" vs. "they", and at other times we think of ourselves as "I" vs. "he or she" or "me" vs. "him or her". In other words, sometimes we think of ourselves as group members and at other times we think of ourselves as unique individuals. This varies situationally, so that we can be more or less a group member, depending upon the circumstances. What is crucial for our purposes is that thinking of yourself as a group member and thinking of yourself as a unique individual are both parts of your self-concept. The first is referred to as social identity, the latter is referred to as personal identity. In social identity theory, group membership is not something foreign which is tacked onto the person, it is a real, true and vital part of the person. Our groups make up part of who we are.

The other meaning implied by the concept of identity is the idea that we are, in some sense, the same, or identical to other people. This should not be misinterpreted, when we say that we are the same, we mean that for some purposes we treat members of our groups as being similar to ourselves in some relevant way. To take the most extreme example, in some violent conflict such as a war, the members of the opposite group - the [outgroup](http://en.wikipedia.org/wiki/Outgroup_\(sociology\)) \- are treated as identical and completely different to the those people in your group - the [ingroup](http://en.wikipedia.org/wiki/ingroup) \- which is made up of distinct individuals. Thinking about individuals in one's outgroup in such a fashion allows the individual to believe that the enemy is deserving of death by dehumanizing them (more on this below). Treating people this way allows us to justify otherwise unjustifiable behavior.

### Comparison[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-5)]

A positive self-concept is a part of normal psychological functioning. There is pretty good evidence that to deal effectively with the world we need to feel good about ourselves. The idea of social comparison is that in order to evaluate ourselves we compare ourselves with similar others. We often gain self-esteem by comparing ourselves with others in our group, particularly if we can claim membership in a prestigious group. The prestige of a group is also often created through comparisons that positively reflect on the group. In other words, people in groups choose to compare their groups with other groups in ways that reflect positively on themselves. In fact, people are motivated to see their own group as relatively better than similar (but inferior) groups (i.e., [positive distinctiveness](http://en.wikipedia.org/wiki/positive_distinctiveness)). Inversely, people in a group may minimize differences between their group and another, slightly more prestigious group so one's own group tends to be seen more favorably (i.e., [negative distinctiveness](http://en.wikipedia.org/wiki/negative_distinctiveness)).

Groups choose dimensions for comparison in order to maximize the positivity of their own group. Groups which perceive themselves to be of high status on particular dimensions will choose those as the basis of comparison. Groups of low status will minimize differences on those dimensions or choose new dimensions. For example, people from some Middle Eastern Islamic countries might regard their country as inferior to the West in terms of economic and technological advancement but might regard their way of life as being morally superior.

Intriguingly, the notion that inferior or "underdog" groups are hyper-motivated to succeed against superior groups turns out not to be true, generally. Members of a group or team will actually work harder when they are competing against a lower ranked group than when they are competing against a higher-ranked group.[[65]](Print_version.html#cite_note-Pettit2010-77) This makes sense when framed as a status issue: the superior group has more to lose if it is defeated by an inferior team while the inferior team, if it loses, has not lost anything but rather has affirmed the existing social order. Thus, members of higher status groups work harder when competing against lower status groups.

## Primary and Secondary Groups[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-6)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a7/1975family.jpg/200px-1975family.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This family from the 1970s would be an example of a primary group.

In sociology we distinguish between two types of groups based upon their characteristics. A **Primary group** is typically a small social group whose members share close, personal, enduring relationships. These groups are marked by concern for one another, shared activities and culture, and long periods of time spent together. The goal of primary groups is actually the relationships themselves rather than achieving some other purpose. Families and close friends are examples of primary groups

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Ian_Mackenzie_High_School_Classroom.jpg/200px-Ian_Mackenzie_High_School_Classroom.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A class of students is generally considered a secondary group.

**Secondary groups** are large groups whose relationships are impersonal and goal-oriented. Some secondary groups may last for many years, though most are short term. Such groups also begin and end with very little significance in the lives of the people involved. People in a secondary group interact on a less personal level than in a primary group. Rather than having as the goal the maintenance and development of the relationships themselves, these groups generally come together to accomplish a specific purpose. Since secondary groups are established to perform functions, people’s roles are more interchangeable. Examples of secondary groups include: classmates in a college course, athletic teams, and co-workers.

The distinction between primary and secondary groups was originally proposed by [Charles Horton Cooley](http://en.wikipedia.org/wiki/Charles_Horton_Cooley). He labeled groups as "primary" because people often experience such groups early in their life and such groups play an important role in the development of [personal identity](http://en.wikipedia.org/wiki/personal_identity). Secondary groups generally develop later in life and are much less likely to be influential on one's identity.

## Group Influence[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-7)]

The primary reason sociologists study groups is because of their power over individuals. A large body of research suggests that group membership strongly shapes the everyday behavior of individuals. Following are some of the many ways groups shape individual level behavior.

### Conformity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-8)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/47/Asch_experiment.png/200px-Asch_experiment.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An example of the types of cards used in the Solomon Asch line experiments.

If you've ever done something in a group that you would not do if you were alone, it's likely that you experienced conformity; your attitudes, beliefs, and/or behaviors were influenced by other people. One of the most well-known illustrations of conformity is [Solomon Asch's](http://en.wikipedia.org/wiki/Solomon_Asch) [conformity experiments](http://en.wikipedia.org/wiki/Asch_conformity_experiments). The experiment was set up as follows:

Research participants would enter a room and sit at a table with several other people (who were [confederates](http://en.wikipedia.org/wiki/confederates), meaning they were actually helping with the research). The participant and confederates would be shown one card that had a reference line and another card that had three comparison lines. Subjects were required to select the comparison line that corresponded in length to the reference line.

This seems like a relatively straightforward task. However, choosing the correct line becomes much more difficult when the confederates choose the wrong answer. Why? Because of our tendency to conform to those around us. Thus, when Asch has the confederates choose the wrong answer, participants also chose the wrong line 37% of the time.[[66]](Print_version.html#cite_note-Asch1956-78)[[67]](Print_version.html#cite_note-Asch1951-79) How do you think you would respond in such a situation?

Jason Chein and Laurence Steinberg have illustrated why people in groups are more likely to take risks (one form of conforming) using functional magnetic resonance imaging: the presence of peers heightens the benefits that result from risky decisions.[[68]](Print_version.html#cite_note-Chein2010-80) Participants in their research remained aware of the risks, but their brains exhibited heightened sensitivity to the benefits of succeeding. Thus, the presence of peers can facilitate risky behavior as it makes the reward more meaningful.

### Social Facilitation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-9)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Hpv-race.jpg/200px-Hpv-race.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

People often perform their best when competing with others, like in races, as a result of social facilitation. This is just one illustration of the influence of groups on individuals.

Social facilitation is the tendency for people to be aroused into better performance on simple tasks (or tasks at which they are expert or that have become autonomous) when under the eye of others,[[69]](Print_version.html#cite_note-Triplett1898-81) rather than while they are alone (i.e., the **audience effect**), or when competing against another (i.e., the **coactor effect**).[[70]](Print_version.html#cite_note-Zajonc1965-82) Complex tasks (or tasks at which people are not skilled), however, are often performed in an inferior manner in such situations.[[71]](Print_version.html#cite_note-Cottrell1968-83) This effect has been demonstrated in a variety of species. In humans, it is strongest among those who are most concerned about the opinions of others, and when the individual is being watched by someone he or she does not know, or cannot see well.[[72]](Print_version.html#cite_note-Bond1983-84)

### Social Loafing[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-10)]

**Social loafing** refers to the phenomenon that can occur when people in a group make less of an effort to achieve a goal than they would working alone. As a result of social loafing, groups can sometimes generate less total output than the combined performance of their members working as individuals.[[73]](Print_version.html#cite_note-Karau1993-85) Social loafing results from a lack of motivation when working in a group because individuals do not believe their specific contribution will be evaluated. As a result, they do not put in as much effort as they otherwise would. Social loafing is pervasive, but it does not occur when group members feel that their task or the group itself is important.example: CR7[[73]](Print_version.html#cite_note-Karau1993-85)

### Deindividuation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-11)]

**Deindividuation** refers to the phenomenon of relinquishing one's sense of [identity](http://en.wikipedia.org/wiki/identity), self-awareness, or evaluation apprehension. This can happen as a result of becoming part of a [group](http://en.wikipedia.org/wiki/group) that fosters obedience to group norms rather than an individual's norms, such as an [army](http://en.wikipedia.org/wiki/army) or [mob](http://en.wikipedia.org/wiki/mob).[[74]](Print_version.html#cite_note-Mullen1986-86) Once this happens, individuals no longer think about themselves before they act and may, in fact, be unaware of their own actions.

Deindividuation can have quite destructive effects, like increasing the odds someone will commit a crime[[75]](Print_version.html#cite_note-Diener1976-87), engaging in violence,[[76]](Print_version.html#cite_note-Diener1976-2-88)[[77]](Print_version.html#cite_note-Silke2003-89) or even over-enforce the law, such as police in riot situations.

### Group Polarization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-12)]

**Group polarization** refers to the finding that after participating in a discussion group, members tend to advocate more extreme positions and/or call for riskier courses of action than individuals who did not participate in any such discussion.[[78]](Print_version.html#cite_note-Moscovici1969-90)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/25/Jury_selection_-_Faulk.jpg/200px-Jury_selection_-_Faulk.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Juries can be influenced by group polarization, leading to more extreme punitive damage awards.

Group polarization results from two primary mechanisms: social comparison and informational influence.[[79]](Print_version.html#cite_note-Isenberg1986-91) [Social comparison](http://en.wikipedia.org/wiki/Social_comparison) refers to the drive of individuals to appear socially desirable. [Informational social influence](http://en.wikipedia.org/wiki/Informational_Social_Influence) occurs when a person is in a situation where he or she is unsure of the correct way to behave. In such situations, that person will often look to others for cues concerning the correct behavior. When "we conform because we believe that other's interpretation of an ambiguous situation is more accurate than ours and will help us choose an appropriate course of action,"[[80]](Print_version.html#cite_note-Aronson2005-92) it is informational social influence.

Group polarization has been used to explain the decision-making of [juries](http://en.wikipedia.org/wiki/jury), particularly when considering [punitive damages](http://en.wikipedia.org/wiki/punitive_damages) in a civil trial. Studies have shown that after deliberating together, mock jury members often decided on punitive damage awards that were larger or smaller than the amount any individual juror had favored prior to deliberation. The studies indicated that when the jurors favored a relatively low award, discussion would lead to an even more lenient result, while if the jury was inclined to impose a stiff penalty, discussion would make it even harsher.

### Diffusion of Responsibility[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-13)]

[Kitty Genovese's](http://en.wikipedia.org/wiki/Kitty_Genovese) murder is widely cited as an example of the diffusion of responsibility as numerous people observed (either heard or saw) her murder but no one called the police immediately, allowing the murderer to leave the scene of the initial attack then return to track her down and kill her and still get away.

**Diffusion of responsibility** (also called the **bystander effect**) is a social phenomenon which tends to occur in groups of people above a certain critical size when responsibility is not explicitly assigned. A common example would be observing a minor fender-bender on a busy freeway. Most people, when they observe something like that, do not stop and do not call the police, assuming someone else will do so. This phenomenon rarely ever occurs in small groups. In tests involving groups of three or fewer, everyone in the group took action as opposed to groups of over ten where in almost every test, no one took action.

### False Consensus and Illusory Superiority[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-14)]

**The false consensus effect** is the tendency for people to project their way of thinking onto other people.[[81]](Print_version.html#cite_note-Ross1977-93)[[82]](Print_version.html#cite_note-Fields1976-94) In other words, people often assume that everyone else thinks the same way they do. This belief is unsubstantiated by statistical data, leading to the perception of a consensus that does not exist. This logical fallacy involves a group or individual assuming that their own opinions, beliefs and predilections are more prevalent amongst the general public than they really are. This bias is commonly present in a group setting where one thinks the collective opinion of their own group matches that of the larger population. Since the members of a group reach a consensus and rarely encounter those who dispute it, they tend to believe that everybody thinks the same way. This is done to justify one's own beliefs.

**Illusory superiority** is a cognitive bias in which people overestimate the degree to which they possess desirable qualities, relative to others, or underestimate their negative qualities relative to others.[[83]](Print_version.html#cite_note-Hoorens1993-95) Such over- and under-estimations serve to bolster peoples' self-esteem. People who succumb to the illusory superiority bias have inflated views of their own characteristics. Some surveys have found all, or nearly all, the participants rate themselves as above the group average. The strongest effect has been found when people rate themselves on abilities at which they are totally incompetent. These subjects have the greatest disparity between their actual performance (at the low end of the distribution) and their self-rating (placing themselves above average). The effect has been found when people compare themselves to others on many different abilities and personality traits:

  * Sorority members perceive those in their sorority as far less likely to be conceited and snobby than those in other sororities[[84]](Print_version.html#cite_note-Biernat1996-96)
  * 53% of Dutch adults rate their marriage or partnership as better than most others; only 1% rate it as worse than most marriages[[85]](Print_version.html#cite_note-Buunk1997-97)
  * 66% of adult Americans grade their oldest child's public school with an A or B, but 64% give the nation's public schools a C or D[[86]](Print_version.html#cite_note-Whitman1996-98)

### Groupthink[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-15)]

**Groupthink** is a term coined by [psychologist](http://en.wikipedia.org/wiki/psychologist) [Irving Janis](http://en.wikipedia.org/wiki/Irving_Janis) [[87]](Print_version.html#cite_note-Janis1972-99) to describe a process by which a group can make bad or [irrational](http://en.wikipedia.org/wiki/irrationality) decisions. In a groupthink situation, each member of the group attempts to conform his or her opinions to what they believe to be the [consensus](http://en.wikipedia.org/wiki/consensus) of the group. In a general sense this seems to be a very rationalistic way to approach the situation. However this results in a situation in which the group ultimately agrees upon an action which each member might individually consider to be unwise (the [risky shift](http://en.wikipedia.org/wiki/risky_shift)).

Janis' original definition of the term was "a mode of thinking that people engage in when they are deeply involved in a cohesive in-group, when the members' strivings for unanimity override their motivation to realistically appraise alternative courses of action." The word _groupthink_ was intended to be reminiscent of [George Orwell](http://en.wikipedia.org/wiki/George_Orwell)'s coinages (such as _[doublethink](http://en.wikipedia.org/wiki/doublethink)_ and _[duckspeak](http://en.wikipedia.org/wiki/duckspeak)_) from the fictional language [Newspeak](http://en.wikipedia.org/wiki/Newspeak), which he portrayed in his novel _[Nineteen Eighty-Four](http://en.wikipedia.org/wiki/Nineteen_Eighty-Four)_.

Groupthink tends to occur on [committees](http://en.wikipedia.org/wiki/committee) and in large organizations. Janis originally studied the [Pearl Harbor](http://en.wikipedia.org/wiki/Pearl_Harbor) bombing, the [Vietnam War](http://en.wikipedia.org/wiki/Vietnam_War) and the [Bay of Pigs Invasion](http://en.wikipedia.org/wiki/Bay_of_Pigs_Invasion). Recently, in [2004](http://en.wikipedia.org/wiki/2004), the [US](http://en.wikipedia.org/wiki/United_States) [Senate Intelligence Committee](http://en.wikipedia.org/wiki/Senate_Intelligence_Committee)'s _Report on the U.S. Intelligence Community's Prewar Intelligence Assessments on Iraq_[[88]](Print_version.html#cite_note-SIC2004-100) blamed groupthink for failures to correctly interpret intelligence relating to Iraq's [weapons of mass destruction](http://en.wikipedia.org/wiki/weapons_of_mass_destruction) capabilities.

Janis[[89]](Print_version.html#cite_note-Janis1977-101) provides descriptions of groupthink:

antecedent conditions of groupthink symptoms indicative of groupthink symptoms of decisions affected by groupthink

Insulation of the group
Illusion of invulnerability
Incomplete survey of alternatives

High group cohesiveness
Unquestioned belief in the inherent morality of the group
Incomplete survey of objectives

Directive leadership
Collective [rationalization](http://en.wikipedia.org/wiki/rationalization) of group's decisions
Failure to examine risks of preferred choice

Lack of norms requiring methodical procedures
Shared [stereotypes](http://en.wikipedia.org/wiki/stereotype) of outgroup, particularly opponents
Failure to re-appraise initially rejected alternatives

Homogeneity of members' social background and ideology
Self-censorship; members withhold criticisms
Poor information search

High stress from external threats with low hope of a better solution than the one offered by the leader(s)
Illusion of unanimity (see [false consensus effect](http://en.wikipedia.org/wiki/false_consensus_effect))
[Selective bias](http://en.wikipedia.org/wiki/selection_bias) in processing information at hand (see also [confirmation bias](http://en.wikipedia.org/wiki/confirmation_bias))

Direct pressure on dissenters to [conform](http://en.wikipedia.org/wiki/conformity_\(psychology\))
Failure to work out contingency plans

Self-appointed "mindguards" protect the group from negative information

One mechanism which management consultants recommend to avoid groupthink is to place responsibility and authority for a decision in the hands of a single person who can turn to others for advice. Others advise that a pre-selected individual take the role of disagreeing with any suggestion presented, thereby making other individuals more likely to present their own ideas and point out flaws in others' — and reducing the stigma associated with being the first to take negative stances (see [Devil's Advocate](http://en.wikipedia.org/wiki/Devil%27s_Advocate)).

Anonymous feedback via suggestion box or [online chat](http://en.wikipedia.org/wiki/online_chat) has been found to be a useful remedy for groupthink — negative or dissenting views of proposals can be raised without any individual being identifiable by others as having lodged a critique. Thus the [social capital](http://en.wikipedia.org/wiki/social_capital) of the group is preserved, as all members have [plausible deniability](http://en.wikipedia.org/wiki/plausible_deniability) that they raised a dissenting point.

## Networks[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-16)]

A **social network** is a social structure between actors, either individuals or organizations. It indicates the ways in which they are connected through various social familiarities ranging from casual acquaintance to close familial bonds. The study of social networks is called both **social network analysis** and **social network theory.** Research in a number of academic fields has demonstrated that social networks operate on many levels, from families up to the level of nations, and play a critical role in determining the way problems are solved, organizations are run, and the degree to which individuals succeed in achieving their goals.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/68/Social-network.svg/340px-Social-network.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An example of a social network diagram

Social network theory views social relationships in terms of _nodes_ and _ties_. Nodes are the individual actors within the networks, and ties are the relationships between the actors. There can be many kinds of ties between the nodes. In its most simple form, a social network is a map of all of the relevant ties between the nodes being studied. The network can also be used to determine the [social capital](http://en.wikipedia.org/wiki/social_capital) of individual actors. These concepts are often displayed in a social network diagram, where nodes are the points and ties are the lines.

The shape of the social network helps determine a network's usefulness to its individuals. Smaller, tighter networks can be less useful to their members than networks with lots of loose connections ([weak ties](http://en.wikipedia.org/wiki/weak_tie)) to individuals outside the main network. More "open" networks, with many weak ties and social connections, are more likely to introduce new ideas and opportunities to their members than closed networks with many redundant ties. In other words, a group of friends who only do things with each other already share the same knowledge and opportunities. A group of individuals with connections to other social worlds is likely to have access to a wider range of information. It is better for individual success to have connections to a variety of networks rather than many connections within a single network. Similarly, individuals can exercise influence or act as brokers within their social networks by bridging two networks that are not directly linked (called filling social holes).

The power of social network theory stems from its difference from traditional sociological studies, which assume that it is the attributes of individual actors - whether they are friendly or unfriendly, smart or dumb, etc. - that matter. Social network theory produces an alternate view, where the attributes of individuals are less important than their relationships and ties with other actors within the network. This approach has turned out to be useful for explaining many real-world phenomena, but leaves less room for individual agency, the ability for individuals to influence their success, so much of it rests within the structure of their network. For instance, social networks have been used to examine how companies interact with each other, characterizing the many informal connections that link executives together, as well as associations and connections between individual employees at different companies. These networks provide ways for companies to gather information, deter competition, and even [collude](http://en.wikipedia.org/wiki/collusion) in setting prices or policies. Power within organizations has also been found to be tied to social networks. Powerful people in organizations often derive their power from their degree of connectedness within the organization (i.e., the degree to which an individual within a network is at the center of many relationships) rather than from job title or statuses. Social networks also play a key role in hiring, in business success for firms, and in job performance.

The so-called **[rule of 150](http://en.wikipedia.org/wiki/rule_of_150)** states that the size of a genuine social network is limited to about 150 members (sometimes called the [Dunbar Number](http://www.lifewithalacrity.com/2004/03/the_dunbar_numb.html)). The rule arises from cross-cultural studies in [sociology](http://en.wikipedia.org/wiki/sociology) and especially [anthropology](http://en.wikipedia.org/wiki/anthropology) of the maximum size of a [village](http://en.wikipedia.org/wiki/village) (in modern parlance an _[ecovillage](http://en.wikipedia.org/wiki/ecovillage)_). It is theorized in [evolutionary psychology](http://en.wikipedia.org/wiki/evolutionary_psychology) that the number may be some kind of limit of average human ability to [recognize](http://en.wikipedia.org/wiki/recognition) members and track emotional facts about all members of a group. However, it may be due to [economics](http://en.wikipedia.org/wiki/economics) and the need to track "[free riders](http://en.wikipedia.org/wiki/free_rider)", as larger groups tend to be easier for [cheats](http://en.wikipedia.org/wiki/cheat) and [liars](http://en.wikipedia.org/wiki/lying) to prosper in.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Six_degrees_of_separation.png/200px-Six_degrees_of_separation.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The "six degrees of separation" model.

The [small world phenomenon](http://en.wikipedia.org/wiki/small_world_phenomenon) is the [hypothesis](http://en.wikipedia.org/wiki/hypothesis) that the chain of social acquaintances required to connect one arbitrary person to another arbitrary person anywhere in the world is generally short. The concept gave rise to the famous phrase [six degrees of separation](http://en.wikipedia.org/wiki/six_degrees_of_separation) after a [1967](http://en.wikipedia.org/wiki/1967) _small world experiment_ by psychologist [Stanley Milgram](http://en.wikipedia.org/wiki/Stanley_Milgram) which found that two random [US](http://en.wikipedia.org/wiki/United_States) citizens were connected by an average of six acquaintances. Current internet experiments continue to explore this phenomenon, including the Ohio State [Electronic Small World Project](http://smallworld.sociology.ohio-state.edu/html/homepage.html) and Columbia's [Small World Project](http://smallworld.columbia.edu/). [As of 2005](http://en.wikipedia.org/wiki/As_of_2005), these experiments confirm that about five to seven degrees of separation are sufficient for connecting any two people through the internet.

Sociologists are interested in social networks because of their influence on and importance for the individual. Social networks are the basic tools used by individuals to meet other people, to recreate, and to find social support.[[4]](Print_version.html#cite_note-Putnam2001-16) Recent research suggests that the social networks of Americans are shrinking and more and more people have no close confidants or people with whom they can share their most intimate thoughts.[[90]](Print_version.html#cite_note-McPherson2006-102) In 1985, the mean network size of individuals in the U.S. was 2.94 people. Networks declined by almost an entire confidant by 2004, to 2.08 people. Almost half, 46.3% of Americans, say they have only one or no confidants with whom they can discuss important matters. The most frequently occurring response to the question of how many confidants one has was zero in 2004. The decline in confidants has been most notable among non-kin networks, putting greater emphasis on kin and spouses as social confidants. Most social confidants are similar in demographic characteristics to the person doing the sharing.[[90]](Print_version.html#cite_note-McPherson2006-102) The implications of these findings are potentially disturbing for American society as people have smaller [social support](http://en.wikipedia.org/wiki/social_support) networks, which are important for both social but also health reasons.[[4]](Print_version.html#cite_note-Putnam2001-16)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-17)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This chapter draws on the following Wikipedia articles:

  * [Group](http://en.wikipedia.org/wiki/Group)
  * [Social identity](http://en.wikipedia.org/wiki/Social_identity)
  * [Primary group/Secondary group](http://en.wikipedia.org/wiki/Primary_group/Secondary_group)
  * [Group Polarization](http://en.wikipedia.org/wiki/Group_Polarization)
  * [Deindividuation](http://en.wikipedia.org/wiki/Deindividuation)
  * [Social loafing](http://en.wikipedia.org/wiki/Social_loafing)
  * [Social network](http://en.wikipedia.org/wiki/Social_network)
  * [Groupthink](http://en.wikipedia.org/wiki/Groupthink)
  * [Reference group](http://en.wikipedia.org/wiki/Reference_group)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Groups&action=edit&section=T-18)]

  * [Social Identity](http://www.anu.edu.au/psychology/groups/categorisation/socialidentity.php) (Australian National University)
  * [Social Identity Theory](http://www.tcw.utwente.nl/theorieenoverzicht/Theory%20clusters/Interpersonal%20Communication%20and%20Relations/Social_Identity_Theory.doc/) (University of Twente)
  * ["Primary Groups" excerpt from Cooley's "Social Organization: A Study of the Larger Mind"](http://www2.pfeiffer.edu/~lridener/DSS/Cooley/PRIMGRP.HTML)
  * [Online Social Networking Research Report](http://tidbit.wildbit.com/2005/07/social_networks.html) \- A comparative analysis by Wildbit of the most popular online social networks with suggestions on creating and growing web communities.
  * [Knock, Knock, Knocking on Newton's Door](http://www.dau.mil/pubs/dam/03_04_2005/war-ma05.pdf) \- article published in Defense Acquisition University's journal _Defense AT&L_, based largely on _Six Degrees_ by Duncan Watts. Explores theory and practice of social networking, as related to military technology development.
  * [How to Do Social Network Analysis](http://www.orgnet.com/sna.html)
  * [Robin Dunbar and the Magic Number of 150](http://radio.weblogs.com/0107127/stories/2003/01/01/robinDunbarAndTheMagicNumberOf150.html)
  * [PieSpy](http://www.jibble.org/piespy/) \- Social Network [Bot](http://en.wikipedia.org/wiki/IRC_bot) Inferring and Visualizing Social Networks on [IRC](http://en.wikibooks.org/wiki/Internet_Relay_Chat)
  * [The Academic Robotics Community in the UK: Web based data construction and analysis of a distributed community of practice](http://www.druid.dk/wp/pdf_files/02-07.pdf) The social networks of this community are constructed wholly from web-based resources such as web pages, electronic CVs and bibliographic search engines
  * [The Augmented Social Network: Building Identity and Trust into the Next-Generation Internet](http://www.firstmonday.dk/issues/issue8_8/jordan/) by Ken Jordan, Jan Hauser, and Steven Foster
  * [The Social Web: Building an Open Social Network with XDI](http://journal.planetwork.net/article.php?lab=reed0704&page=1) by members of the [OASIS XDI Technical Committee](http://www.oasis-open.org/committees/xdi)7
  * [Pajek - Program for Large Network Analyis](http://vlado.fmf.uni-lj.si/pub/networks/pajek/)
  * [CASOS](http://www.casos.cs.cmu.edu/index.html) Dynamic Social Network Analysis being conducted at Carnegie Mellon University
  * <http://changingminds.org/explanations/theories/deindividuation.htm>
  * [Article on Groupthink](http://meatballwiki.org/wiki/GroupThink) from [MeatballWiki](http://en.wikipedia.org/wiki/MeatballWiki)
  * [Article on Groupthink](http://www.sourcewatch.org/wiki.phtml?title=Groupthink) from [SourceWatch](http://en.wikipedia.org/wiki/SourceWatch)

← [Socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization) · [Demography](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Demography) →

← [Socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Demography](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Demography) →

# Demography[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=10)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-1)]

**Demography** is the study of human population dynamics. It encompasses the study of the size, structure and distribution of populations, and how populations change over time due to births, deaths, migration, and aging. Demographic analysis can relate to whole societies or to smaller groups defined by criteria such as education, religion, or ethnicity.

## Why study demography?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-2)]

Before proposing complex theories to explain sociological phenomena (e.g., [World Systems Theory](http://en.wikipedia.org/wiki/World_Systems_Theory)), especially at the macro and/or societal levels, sociologists should first turn to demographic indicators for possible explanations. Demographic analysis is a powerful tool that can explain a number of sociological phenomena.

For instance, in examining the elements that led to the first [World War](http://en.wikipedia.org/wiki/World_War_I), most people turn to [political and diplomatic conflicts](http://en.wikipedia.org/wiki/World_war_1#Diplomatic_and_political_origins) but fail to consider the implications of expanding populations in the European countries involved. Expanding populations will result in increased competition for resources (i.e., food, land, access to trade routes and ports, etc.). Expanding populations may not be the primary cause of World War I, but it may have played a role in the increased hostilities leading up to the war. In this fashion, demographic indicators are often informative in explaining world events and should be turned to first as explanations.

## History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-3)]

The study of human populations has its roots, like sociology generally, in the societal changes that accompanied both the scientific and industrial revolutions. Some early mathematicians developed primitive forms of [life tables](http://en.wikipedia.org/wiki/life_table), which are tables of life expectancies, for life insurance and [actuarial](http://en.wikipedia.org/wiki/actuarial_science) purposes. [Censuses](http://en.wikipedia.org/wiki/Census), another demographic tool, were institued for primarily political purposes:

  * as a basis for taxation
  * as a basis for political representation

The development of demographic calculations started in the 18th century. Census taking, on the other hand, has a long history dating back close to 2,000 years among the Chinese and the Romans and even further back in history among some groups in the Middle East. Most modern censuses began in the late 18th century.

## Data and Methods[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-4)]

Demography relies on large data sets that are primarily derived from [censuses](http://en.wikipedia.org/wiki/census) and registration statistics (i.e., birth, death, marriage registrations). Large data sets over long periods of time (e.g., the U.S. census is conducted every 10 years) are required to develop trends in demographic indicators, like birth and death rates.

In many countries, particularly in developing nations, reliable demographic data are still difficult to obtain. In some locales this may be due to the association of _census_ with _taxation_.

### Demographic Indicators[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-5)]

Because demography is interested in changes in human populations, demographers focus on specific indicators of change. Two of the most important indicators are birth and death rates, which are also referred to as _[fertility_](http://en.wikipedia.org/wiki/fertility) (see also [fecundity](http://en.wikipedia.org/wiki/fecundity)) and _mortality_. Additionally, demographers are interested in migration trends or the movement of people from one location to another. Some of the specific measures used to explore these elements of population change are discussed below.

### Fertility and Fecundity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-6)]

**Fertility**, in demography, refers to the ability of females to produce healthy offspring in abundance. **Fecundity** is the potential reproductive capacity of a female. Some of the more common demographic measures used in relation to fertility and/or fecundity include:

  * **crude birth rate**: the annual number of live births per thousand people
  * **general fertility rate**: the annual number of live births per 1000 women of childbearing age (often taken to be from 15 to 49 years old, but sometimes from 15 to 44).
  * **age-specific fertility** rate: the annual number of live births per 1000 women in particular age groups (usually age 15-19, 20-24 etc.)
  * **total fertility rate**: the number of live births per woman completing her reproductive life if her childbearing at each age reflected current age-specific fertility rates
  * **gross reproduction rate**: the number of daughters who would be born to a woman completing her reproductive life at current age-specific fertility rates
  * **net reproduction rate**: the number of daughters who would be born to a woman according to current age-specific fertility and mortality rates

Another important demographic concept relating to fertility is _replacement level_. Replacement level fertility refers to the number of children that a woman (or monogamous couple) must have in order to replace the existing population. Sub-replacement fertility is a fertility rate that is not high enough to replace an existing population. Replacement level fertility is generally set at 2.1 children in a woman's lifetime (this number varies by geographic region given different mortality rates). Sub-replacement fertility is below approximately 2.1 children in a woman's life time. The reason the number is set to 2.1 children per woman is because two children are needed to replace the parents and an additional one-tenth of a child is needed to make up for the mortality of children and women who do not reach the end of their reproductive years.[[91]](Print_version.html#cite_note-Carr2009-103) Of course, women don't have one-tenth of a child; this results from statistical averaging between women who have more than two children and those who have two or fewer children.

The chart below illustrates trends in childbearing by region of the world. Fertility rates dropped earlier in the more developed regions of the world, followed by Asia and Latin America. Fertility rates are just starting to decline in Africa.

![Trends in TFR 1950-2050.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Trends_in_TFR_1950-2050.png/400px-Trends_in_TFR_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The chart below highlights the varied fertility rates of specific countries as some have very low fertility rates, many have moderate rates, and some have very high rates.

![Total Fertility Rate for Select Countries, 2010.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Total_Fertility_Rate_for_Select_Countries,_2010.png/400px-Total_Fertility_Rate_for_Select_Countries,_2010.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The following chart illustrates the relationship between contraceptive use and the total fertility rate by regions of the world. Increased contraceptive use is associated with lower numbers of children per woman.

![Scatterplot of contraceptive use and TFR by region 2010.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/31/Scatterplot_of_contraceptive_use_and_TFR_by_region_2010.png/400px-Scatterplot_of_contraceptive_use_and_TFR_by_region_2010.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

One of the strongest predictors of fertility rates is women's [educational attainment](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Education).[[92]](Print_version.html#cite_note-Mare2006-104) Almost universally, higher levels of educational attainment result in lower fertility rates. It is not, however, education itself that causes declines in fertility but rather its association with other factors that reduce fertility: women with higher levels of education delay marriage, have improved labor market opportunities, are more likely to use [contraception](http://en.wikipedia.org/wiki/contraception) during intercourse, and are less likely to adopt traditional childbearing roles.[[92]](Print_version.html#cite_note-Mare2006-104)

Fertility rates are also closely related to a country's level of development, which influences other factors.[[93]](Print_version.html#cite_note-carr2007-105) For instance, women who have kids in developed countries have increased opportunity costs, meaning they will make less money because of time spent outside the workforce raising kids. This is true in developed countries because women are more likely to be highly skilled and well-paid (relative to women in developing countries). Additionally, delayed childbearing, probability of a child reaching adulthood, norms about ideal family sizes, and pervasiveness of contraceptives will all reduce fertility rates. But one of the biggest factors is the cost of children. In undeveloped and developing countries, children are often an economic asset to parents as they serve as cheap labor on the farm; they don't require pay, just food and shelter. That is not the case in developed countries, where very few people work in agriculture (roughly 2% in the US). Instead, children are an economic liability, meaning they cost money while not generating money for the parents. The cost of raising a child from birth to 17 in a middle-income home in 2005 was $191,000.[[93]](Print_version.html#cite_note-carr2007-105) That cost goes up if parents pay for a child's college education, which averages between $12,000 and $30,000. Thus, the cost of raising children in developed countries reduces fertility rates in those countries.[[93]](Print_version.html#cite_note-carr2007-105)

### Mortality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-7)]

**Mortality** refers to the finite nature of humanity: people die. Mortality in demography is interested in the number of deaths in a given time or place or the proportion of deaths in relation to a population. Some of the more common demographic measures of mortality include:

  * **crude death rate**: the annual number of deaths per 1000 people
  * **infant mortality rate**: the annual number of deaths of children less than 1 year old per thousand live births
  * **life expectancy**: the number of years which an individual at a given age can expect to live at present mortality rates

Note that the crude death rate as defined above and applied to a whole population can give a misleading impression. For example, the number of deaths per 1000 people can be higher for developed nations than in less-developed countries, despite standards of health being better in developed countries. This is because developed countries have relatively more older people, who are more likely to die in a given year, so that the overall mortality rate can be higher even if the mortality rate at any given age is lower. A more complete picture of mortality is given by a [life table](http://en.wikipedia.org/wiki/Life_table) which summarizes mortality separately at each age.

This chart depicts infant mortality by region of the world. The less developed regions of the world have higher infant mortality rates than the more developed regions.

![Infant Mortality Rate by Region 1950-2050.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Infant_Mortality_Rate_by_Region_1950-2050.png/400px-Infant_Mortality_Rate_by_Region_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This chart depicts life expectancy by region of the world. Similar to infant mortality, life expectancies are higher in more developed regions of the world.

![Life Expectancy at Birth by Region 1950-2050.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Life_Expectancy_at_Birth_by_Region_1950-2050.png/400px-Life_Expectancy_at_Birth_by_Region_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

According to recent research,[[94]](Print_version.html#cite_note-Kolata2007-106) one of the best predictors of [longevity](http://en.wikipedia.org/wiki/longevity) (i.e., a long life) is education, even when other factors are controlled: the more educated you are, the longer you can expect to live. A few additional years of schooling can add several additional years to your life and vastly improve your health in old age. The mechanism through which this works is not the schooling itself, but schooling's influence on other health-related behaviors. The more education someone has, the lower his/her likelihood of smoking and engaging in unhealthy and high risk behaviors. Education also increases the probability of people engaging in healthy behaviors, like frequently exercising.[[94]](Print_version.html#cite_note-Kolata2007-106)

Other factors associated with greater longevity include:

  * wealth: money increases access to good healthcare, which improves health and increases longevity
  * race: whites live longer than blacks, though this is due to other social disparities, like income and education, and not to race itself
  * ability to delay gratification: with the ability to delay gratification people live healthier lives and engage in healthier behaviors (e.g., exercise)
  * larger social networks: having a large group of friends and close relationships with relatives increases your [social support](http://en.wikipedia.org/wiki/social_support), which positively influences health
  * job satisfaction: people in more powerful and more satisfying jobs tend to be healthier than people in less satisfying jobs

## The Demographic Transition[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-8)]

![Stage5.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5e/Stage5.svg/300px-Stage5.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The **demographic transition** is a model and theory describing the transition from high birth rates and death rates to low birth and death rates that occurs as part of the economic development of a country. In pre-industrial societies, population growth is relatively slow because both birth and death rates are high. In most post-industrial societies, birth and death rates are both low. The transition from high rates to low rates is referred to as _the demographic transition_. This understanding of societal changes is based on the work of Thompson,[[95]](Print_version.html#cite_note-Thompson1929-107) Blacker,[[96]](Print_version.html#cite_note-Blacker1947-108) and Notestein,[[97]](Print_version.html#cite_note-Notestein1945-109) who derived the model based on changes in demographics over the preceding two hundred years or so.

The beginning of the demographic transition in a society is indicated when death rates drop without a corresponding fall in birth rates (usually the result of improved sanitation and advances in healthcare). Countries in the second stage of the demographic transition (see diagram) experience a large increase in population. This is depicted in the diagram when death rates fall in stage two but birth rates do not fall until stage three. The red line begins its rapid upward growth in stage two and begins to level off at the end of stage three.

By the end of stage three, birth rates drop to fall in line with the lower death rates. While there are several theories that attempt to explain why this occurs (e.g., Becker and Caldwell, who view children as economic commodities),[[98]](Print_version.html#cite_note-Becker1960-110)[[99]](Print_version.html#cite_note-Caldwell1982-111) why birth rates decline in post-industrial societies is still being evaluated. Many developed countries now have a population that is static or, in some cases, [shrinking](http://en.wikipedia.org/wiki/population_decline).

As with all models, this is an idealized, composite picture of population change in these countries. The model is a generalization that applies to these countries as a group and may not accurately describe all individual cases. Whether or not it will accurately depict changes in developing societies today remains to be seen. For more information on the demographic transition, see [here](http://www.uwmc.uwc.edu/geography/Demotrans/demtran.htm).

## Population Growth and Overpopulation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-9)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/75/Time_Between_Billions_in_World_Population_Growth.png/400px-Time_Between_Billions_in_World_Population_Growth.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The time it takes to introduce additional billions of people has decreased since the first billion mark was reached.

**Overpopulation** indicates a scenario in which the population of a living species exceeds the [carrying capacity](http://en.wikipedia.org/wiki/carrying_capacity) of its [ecological niche](http://en.wikipedia.org/wiki/ecological_niche). Overpopulation is not a function of the number or density of the individuals, but rather the number of individuals compared to the resources they need to survive. In other words, it is a ratio: _population_ over _resources_. If a given environment has a population of 10, but there is food and drinking water enough for only 9 people, then that environment is overpopulated, while if the population is 100 individuals but there are food and water enough for 200, then it is not overpopulated. Resources to be taken into account when estimating if an ecological niche is overpopulated include clean water, food, shelter, warmth, etc. In the case of human beings, there are others such as [arable land](http://en.wikipedia.org/wiki/arable_land) and, for all but tribes with primitive lifestyles, lesser resources such as jobs, money, education, fuel, electricity, medicine, proper sewage and garbage management, and transportation.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c6/Growthbydevelopedvslessdeveloped.jpg/400px-Growthbydevelopedvslessdeveloped.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The majority of world population growth today is occurring in less developed countries.

Presently, every year the [world's human population](http://en.wikipedia.org/wiki/world_population) grows by approximately 80 million. About half the world lives in nations with [sub-replacement fertility](http://en.wikipedia.org/wiki/sub-replacement_fertility) and [population growth](http://en.wikipedia.org/wiki/population_growth) in those countries is due to immigration. The United Nations projects that the world human population will stabilize in 2075 at nine billion due to declining fertility rates.[[100]](Print_version.html#cite_note-UN-pop-112) All the nations of East Asia, with the exceptions of Mongolia, the Philippines, and Laos, are below replacement level. Russia and Eastern Europe are dramatically below replacement fertility. Western Europe also is below replacement. In the Middle East Iran, Tunisia, Algeria, Turkey, and Lebanon are below replacement. Canada, Australia, and New Zealand are similar to Western Europe, while the United States is just barely below replacement with about 2.0 births per woman. All four of these nations still have growing populations due to high rates of immigration.

Much of the projected growth is expected to come from African countries where birth rates remain high.[[101]](Print_version.html#cite_note-frost2009-113) While birth rates in most countries have fallen since 1990, in some parts of Africa birth rates have actually increased and the average woman has more than five children, well above the replacement rate.[[101]](Print_version.html#cite_note-frost2009-113)

### Early Projections of Overpopulation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-10)]

Early in the 19th century, [Thomas Malthus](http://en.wikipedia.org/wiki/Thomas_Malthus) argued in _An Essay on the Principle of Population_ that, if left unrestricted, human populations would continue to grow until they would become too large to be supported by the food grown on available agricultural land. He proposed that, while resources tend to grow arithmetically, population [grows exponentially](http://en.wikipedia.org/wiki/exponential_growth). At that point, the population would be restrained through mass famine and starvation. Malthus argued for [population control](http://en.wikipedia.org/wiki/population_control), through _moral restraint_, to avoid this happening.

The alternative to moral restraint, according to Malthus, is biological and natural population limitation. As the population exceeds the amount of available resources the population decreases through famine, disease, or war, since the lack of resources causes mortality to increase. This process keeps the population in check and ensures it does not exceed the amount of resources.

Over the two hundred years following Malthus's projections, famine has overtaken numerous individual regions. Proponents of this theory, [Neo-Malthusians](http://en.wikipedia.org/wiki/Neo-Malthusians) state that these famines were examples of [Malthusian catastrophes](http://en.wikipedia.org/wiki/Malthusian_catastrophe). On a global scale, however, food production has grown faster than population. It has often been argued that future pressures on food production, combined with threats to other aspects of the earth's habitat such as [global warming](http://en.wikipedia.org/wiki/global_warming), make overpopulation a still more serious threat in the future.

### Population as a function of food availability[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-11)]

There are some scholars who argue that human populations predictably grow and shrink according to their available food supply - populations grow when there is an abundance of food and shrink in times of scarcity. This idea is only slightly less problematic than the idea that human population growth is not guided by food production, as it suggestions that that every time food production is intensified to feed a growing population, the population responds by increasing even more. Some human populations throughout history support this theory, as consistent population growth began with the agricultural revolution, when food supplies consistently increased.

Critics of this idea point out that birth rates are voluntarily the lowest in developed nations, which also have the highest access to food. In fact, the population is decreasing in some countries with abundant food supply. Thus, human populations do not always grow to match the available food supply. Critics cite other factors that contribute to declining birth rates in developed nations, including: increased access to contraception, later ages of marriage, the growing desire of many women in such settings to seek careers outside of childrearing and domestic work, and the decreased economic 'utility' of children in industrialized settings.[[98]](Print_version.html#cite_note-Becker1960-110)[[99]](Print_version.html#cite_note-Caldwell1982-111) The latter explanation stems from the fact that children perform a great deal of work in small-scale agricultural societies, and work less in industrial ones; this interpretation may seem callous, but it has been cited to explain the drop-off in birthrates worldwide in all industrializing regions.

For some, the concept that human populations behave in the same way as do populations of bears and fish is hard to believe; for others it indicates a feasible solution to population issues. In either case, since populations are tied to the food they consume, discussions of populations should not take place without considering the role played by food supply. There is a substantial body of research that has considered the ability of the planet to provide sufficient food for the world's growing population.[[102]](Print_version.html#cite_note-Godfray2010-114) This research suggests that the planet can potentially provide sufficient food for the projected peak population of humans of 9 billion people, but only if agriculture is carefully managed. Factors that must be considered include: genetically modified crops, employing agricultural tools in correct, context-specific ways, aquaculture, and simultaneously working to limit harm to the environment.[[102]](Print_version.html#cite_note-Godfray2010-114)

### Effects of overpopulation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-12)]

In any case, many proponents of population control have averred that famine is far from being the only problem attendant to overpopulation. These critics point out ultimate shortages of energy sources and other natural resources, as well as the importance of serious communicable diseases in dense populations and war over scarce resources such as land area. A shortage of arable land (where food crops will grow) is also a problem.

The world's current agricultural production, if it were distributed evenly, would be sufficient to feed everyone living on the Earth today. However, many critics hold that, in the absence of other measures, simply feeding the world's population well would only make matters worse, natural growth will cause the population to grow to unsustainable levels, and will directly result in famines and deforestation and indirectly in pandemic disease and war.

Some of the other characteristics of overpopulation include:

  * Child poverty
  * High birth rates
  * Lower life expectancies
  * Lower levels of literacy
  * Higher rates of unemployment, especially in [urban](http://en.wikipedia.org/wiki/urban)
  * Insufficient arable land
  * Little surplus food
  * Poor diet with ill health and diet-deficiency diseases (e.g. [rickets](http://en.wikipedia.org/wiki/rickets))
  * Low per capita GDP
  * Increasingly unhygienic conditions
  * Government is stretched economically
  * Increased crime rates resulting from people stealing resources to survive
  * Mass extinctions of plants and animals as habitat is used for farming and human settlements

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c8/Percentage_of_Population_Living_in_urban_areas_1950-2050.png/400px-Percentage_of_Population_Living_in_urban_areas_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Urbanization results from both industrialization (increasing efficiency among farmers) and population growth.

Another point of view on population growth and how it effects the standard of living is that of [Virginia Abernethy](http://en.wikipedia.org/wiki/Virginia_Abernethy). In _Population Politics_ she shows evidence that declining fertility following industrialization only holds true in nations where women enjoy a relatively high status. In strongly patriarchal nations, where women enjoy few rights, a higher standard of living tends to result in population growth. Abernathy argues that foreign aid to poor countries must include significant components designed to improve the education, human rights, political rights, political power, and economic status and power of women.

### Possible Solutions to Overpopulation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-13)]

Some approach overpopulation with a _[survival of the fittest](http://en.wikipedia.org/wiki/survival_of_the_fittest)_, _[laissez-faire](http://en.wikipedia.org/wiki/laissez-faire)_ attitude, arguing that if the Earth's ecosystem becomes overtaxed, it will naturally regulate itself. In this mode of thought, disease or starvation are "natural" means of lessening population. Objections to this argument are:

  1. in the meantime, a huge number of plant and animal species become extinct
  2. this would result in terrible pollution in some areas that would be difficult to abate
  3. it obviously creates certain moral problems, as this approach would result in great suffering in the people who die

Others argue that economic development is the best way to reduce population growth as economic development can spur demographic transitions that seem to _naturally_ lead to reductions in fertility rates.

In either case, it is often held that the most productive approach is to provide a combination of help targeted towards population control and self-sufficiency. One of the most important measures proposed for this effort is the empowerment of women educationally, economically, politically, and in the family. The value of this philosophy has been substantially borne out in cases where great strides have been taken toward this goal. Where women's status has dramatically improved, there has generally been a drastic reduction in the birthrate to more sustainable levels. Other measures include effective [family planning](http://en.wikipedia.org/wiki/birth_control) programs, local [renewable energy](http://en.wikipedia.org/wiki/renewable_energy) systems, [sustainable agriculture](http://en.wikipedia.org/wiki/sustainable_agriculture) methods and supplies, [reforestation](http://en.wikipedia.org/wiki/reforestation), and measures to protect the local environment.

[David Pimentel](http://www.utne.com/web_special/web_specials_archives/articles/799-1.html), a Cornell University professor of ecology and agricultural sciences, sees several possible scenarios for the 22nd century:

  1. a planet with 2 billion people thriving in harmony with the environment
  2. or, at the other extreme, 12 billion miserable humans suffering a difficult life with limited resources and widespread famine

Spreading awareness of the issues is an important first step in addressing it.

### Underpopulation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-14)]

Once countries pass through the demographic transition, some experience fertility rate decreases so substantial that they fall well below replacement level and their populations begin to shrink (as has Russia's in recent years, though emigration has also played a role in Russia's population decline). A new fear for many governments, particularly those in countries with very low fertility rates, is that a declining population will reduce the GDP and economic growth of the country, as population growth is often a driving force of economic expansion.[[91]](Print_version.html#cite_note-Carr2009-103) To combat extremely low fertility rates, some of these governments have introduced pro-family policies, that include things like payments to parents for having children and extensive parental leave for parents. Such policies may reverse the low fertility rates, but they also seem to be shortsighted in light of the concerns associated with overall world population growth.

## Migration[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-15)]

The likelihood of a given individual in the U.S. moving to another place in the U.S. in any given year has declined over the last 40 years. Only about 1 in 10 Americans have moved in the last year, which is about half the proportion that changed residences annually in the 1960s.[[103]](Print_version.html#cite_note-Roberts2008-115)[[104]](Print_version.html#cite_note-USCensusPopSurvey2008-116) The reduction in moves is attributable to aging populations (older people are less likely to move) and an increase in dual-career couples. Those who do move are generally driven by jobs.[[103]](Print_version.html#cite_note-Roberts2008-115)

Close to 37% of Americans have never moved from the community in which they were born.[[103]](Print_version.html#cite_note-Roberts2008-115) There are wide variations in native inhabitants, however: 76% of Texans were born in-state while only 14% of Nevadans were born in-state. Some states lose a large number of people who were born in the state as well, like Alaska, where only 28% of the people born in that state have remained there.[[103]](Print_version.html#cite_note-Roberts2008-115) Immigration is often a controversial topic, for a variety of reasons, though many have to do with competition between those already living in the destination location and those arriving in that location. One recent study finds that one type of competition between immigrants and non-immigrants may be overstated. Some people have suggested that natives' opportunities to attend college are negatively impacted through competition with immigrants.[[105]](Print_version.html#cite_note-Neymotin2009-117) Neymotin (2009) finds that competition with immigrants does not harm the educational outcomes of U.S. natives and may in fact facilitate college attending.[[105]](Print_version.html#cite_note-Neymotin2009-117)

## Urbanization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-16)]

**Urbanization** is the physical growth of [urban areas](http://en.wikipedia.org/wiki/urban_area) as a result of global change. Urbanization is also defined by the United Nations as movement of people from [rural](http://en.wikipedia.org/wiki/rural) to urban areas with population growth equating to urban migration. The United Nations projected that half of the world's [population](http://en.wikipedia.org/wiki/World_population) would live in urban areas at the end of 2008.[[106]](Print_version.html#cite_note-InternationalHeraldTribune2008-118) Urbanization is closely linked to [modernization](http://en.wikipedia.org/wiki/modernization), [industrialization](http://en.wikipedia.org/wiki/industrialization), and the sociological process of [rationalization](http://en.wikipedia.org/wiki/rationalization_\(sociology\)).

### Movement[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-17)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Urbanized_population_2006.png/300px-Urbanized_population_2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Percentage of population which is urbanized, by country, as of 2006.[[107]](Print_version.html#cite_note-Unicef2008-119)

As more and more people leave villages and farms to live in cities, urban growth results. The rapid growth of cities like Chicago in the late 19th century and [Mumbai](http://en.wikipedia.org/wiki/Mumbai) a century later can be attributed largely to rural-urban migration and the demographic transition. This kind of growth is especially commonplace in [developing countries](http://en.wikipedia.org/wiki/developing_country).

The rapid urbanisation of the world’s population over the twentieth century is described in the 2005 Revision of the UN World Urbanization Prospects report. The global proportion of urban population rose dramatically from 13% (220 million) in 1900, to 29% (732 million) in 1950, to 49% (3.2 billion) in 2005. The same report projected that the figure is likely to rise to 60% (4.9 billion) by 2030.[[108]](Print_version.html#cite_note-UN2005-120). Urbanization rates vary between countries. The United States and United Kingdom have a far higher urbanization level than China, India, Swaziland or Niger, but a far slower annual urbanization rate, since much less of the population is living in a rural area.

### Causes[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-18)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/19/Manila_shanty.jpg/300px-Manila_shanty.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Urbanization is not always attributed to high density. In [Manila](http://en.wikipedia.org/wiki/Manila), the cost of living has forced residents to live in low quality [slums](http://en.wikipedia.org/wiki/slum) and [shanty towns](http://en.wikipedia.org/wiki/shanty_town)

People move into cities to seek economic opportunities. A major contributing factor is known as "[rural flight](http://en.wikipedia.org/wiki/rural_flight)". In rural areas, often on small family farms, it is difficult to improve one's standard of living beyond basic sustenance. Farm living is dependent on unpredictable environmental conditions, and in times of drought, flood or pestilence, survival becomes extremely problematic. In modern times, [industrialization](http://en.wikipedia.org/wiki/Factory_farming) of [agriculture](http://en.wikipedia.org/wiki/agriculture) has negatively affected the economy of small and middle-sized farms and strongly reduced the size of the rural labour market. Cities, in contrast, are known to be places where money, services and wealth are centralized. Cities are where fortunes are made and where social mobility is possible. Businesses, which generate jobs and capital, are usually located in urban areas. Whether the source is trade or tourism, it is also through the cities that foreign money flows into a country. Thus, as with immigration generally, there are factors that _push_ people out of rural areas and _pull_ them into urban areas.

There are also better basic services as well as other specialist services in urban areas that aren't found in rural areas. There are more job opportunities and a greater variety of jobs. Health is another major factor. People, especially the elderly are often forced to move to cities where there are doctors and hospitals that can address their health needs. Other factors include a greater variety of entertainment (e.g., restaurants, movie theaters, theme parks, etc.) and better quality of education in the form of universities. Due to their high populations, urban areas can also have much more diverse social communities allowing others to find people like them when they might not be able to in rural areas. These conditions are heightened during times of change from a pre-industrial society to an industrial one.

### Economic effects[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-19)]

As cities develop, effects can include a dramatic increase in costs, often pricing the local [working class](http://en.wikipedia.org/wiki/working_class) out of the real estate market. For example, Eric Hobsbawm's book _The age of the revolution: 1789–1848_ (published 1962 and 2005) chapter 11, stated "Urban development in our period [1789–1848] was a gigantic process of class segregation, which pushed the new labouring poor into great morasses of misery outside the centres of government and business and the newly specialised residential areas of the bourgeoisie. The almost universal European division into a 'good' west end and a 'poor' east end of large cities developed in this period." This is likely due the prevailing south-west wind which carries coal smoke and other airborne pollutants downwind, making the western edges of towns preferable to the eastern ones. Similar problems now affect the developing world; rising inequality results from rapid urbanization. The drive for growth and efficiency can lead to less equitable urban development[[109]](Print_version.html#cite_note-Grant2008-121).

Urbanization is often viewed as a negative trend, but can in fact, be perceived simply as a natural occurrence from individual and corporate efforts to reduce expense in commuting and transportation while improving opportunities for jobs, education, housing, and transportation. Living in cities permits individuals and families to take advantage of the opportunities of proximity, diversity, and marketplace competition.[[110]](Print_version.html#cite_note-Glaeser1998-122)

### Environmental effects[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-20)]

One environmental concern associated with urbanization is the [urban heat island](http://en.wikipedia.org/wiki/urban_heat_island). The urban heat island is formed when industrial and urban areas are developed and heat becomes more abundant. In rural areas, a large part of the incoming solar energy is used to evaporate water from vegetation and soil. In cities, where less vegetation and exposed soil exists, the majority of the sun’s energy is absorbed by urban structures and asphalt. Hence, during warm daylight hours, less evaporative cooling in cities allows surface temperatures to rise higher than in rural areas. Additional city heat is given off by vehicles and factories, as well as by industrial and domestic heating and cooling units.[[111]](Print_version.html#cite_note-Park1987-123) This effect causes the city to become 2 to 10o F (1 to 6o C) warmer than surrounding landscapes.[[112]](Print_version.html#cite_note-EPA-heat-124). Impacts also include reducing soil moisture and intensification of carbon dioxide emissions.[[113]](Print_version.html#cite_note-gtresearchnews-125)

The effects of urbanization may be an overall positive for the environment. Birth rates of new urban dwellers fall immediately to the replacement rate (2.1), and keep falling. This can prevent overpopulation (see discussion below). Additionally, it puts a stop to destructive subsistence farming techniques, like [slash and burn](http://en.wikipedia.org/wiki/slash_and_burn) agriculture. Finally, it minimizes land use by humans, leaving more for nature.[[114]](Print_version.html#cite_note-Brand-126)

### Changing forms of urbanization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-21)]

Different forms of urbanization can be classified depending on the style of architecture and planning methods as well as historic growth of areas. In cities of the [developed world](http://en.wikipedia.org/wiki/Developed_country) urbanization traditionally exhibited a concentration of human activities and settlements around the downtown area. Recent developments, such as inner-city redevelopment schemes, mean that new arrivals in cities no longer necessarily settle in the centre. In some developed regions, the reverse effect, originally called [counter urbanisation](http://en.wikipedia.org/wiki/counter_urbanisation) has occurred, with cities losing population to rural areas, and is particularly common for richer families. This has been possible because of improved communications and means of transportation, and has been caused by factors such as the fear of crime and poor urban environments. Later termed _"[white flight](http://en.wikipedia.org/wiki/white_flight)"_, the effect is not restricted to cities with a high ethnic minority population. When the residential area shifts outward, this is called [suburbanization](http://en.wikipedia.org/wiki/suburbanization). Some research suggests that suburbanization has gone so far to form new points of concentration outside the downtown both in developed and developing countries such as India [[115]](Print_version.html#cite_note-Sridhar2007-127).

Urbanization can be planned or organic. Planned urbanization, (e.g., [planned communities](http://en.wikipedia.org/wiki/planned_community)), is based on an advanced plan, which can be prepared for military, aesthetic, economic or [urban design](http://en.wikipedia.org/wiki/urban_design) reasons. Organic urbanization is not organized and happens haphazardly. [Landscape planners](http://en.wikipedia.org/wiki/Landscape_planning) are responsible for landscape infrastructure (e.g., [public parks](http://en.wikipedia.org/wiki/public_park), [sustainable urban drainage systems](http://en.wikipedia.org/wiki/sustainable_urban_drainage_systems), [greenways](http://en.wikipedia.org/wiki/Greenway_\(landscape\)), etc.) which can be planned before urbanization takes place, or afterward to revitalize an area and create greater [livability](http://en.wikipedia.org/wiki/livability) within a region. Planned urbanization and development is the aim of the [American Institute of Planners](http://en.wikipedia.org/wiki/American_Institute_of_Planners).

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-22)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  
This chapter also draws on the following Wikipedia articles:

  * [migration](http://en.wikipedia.org/wiki/migration)
  * [demography](http://en.wikipedia.org/wiki/demography)
  * [demographic transition](http://en.wikipedia.org/wiki/demographic_transition)
  * [overpopulation](http://en.wikipedia.org/wiki/overpopulation)
  * [urbanization](http://en.wikipedia.org/wiki/urbanization)

## External Links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Demography&action=edit&section=T-23)]

[[Brief Review of World Population Trends: Summary.](http://gsociology.icaap.org/reports.html)] Summary of trends in population, births, deaths, migration, total fertility, infant mortality, age distributions.

← [Groups](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Groups) · [Deviance](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Deviance) →

← [Groups](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Groups) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Deviance](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Deviance) →

# Aging[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=11)]

**Aging** (often spelt _ageing_) is the process of becoming older. Aging is a [biological process](http://en.wikipedia.org/wiki/senescence), but it is of interest to sociologists because it is accompanied by changes in how one is viewed and treated in society.

## Dividing the lifespan[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-1)]

Human life is often divided into various age spans, like the following:

  * [Infancy](http://en.wikipedia.org/wiki/Infancy)
  * [Toddler](http://en.wikipedia.org/wiki/Toddler)
  * [Childhood](http://en.wikipedia.org/wiki/Childhood)
  * [Adolescence](http://en.wikipedia.org/wiki/Adolescence)
  * [Young adult](http://en.wikipedia.org/wiki/Young_adult)
  * [Prime adulthood](http://en.wikipedia.org/wiki/Adult)
  * [Middle age](http://en.wikipedia.org/wiki/Middle_age)
  * [Old age](http://en.wikipedia.org/wiki/Old_age)

These divisions are somewhat arbitrary, but generally capture periods of life that reflect a certain degree of similarity. In many countries, such as Sweden, [adulthood](http://en.wikipedia.org/wiki/adult) legally begins at the age of eighteen. This is a major age milestone that is marked by significantly different attitudes toward the person who undergoes the transition.

## Socially Constructed Aspects of Aging[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/UPSTREAM_FITNESS-4.jpg/200px-UPSTREAM_FITNESS-4.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is a photo of an "older" person who is more physically fit than many "younger" people. While age will eventually take its toll on everyone, the association of vigor with youth is a cultural construct and does not necessarily reflect the reality of biological aging.

While aging, itself, is a biological process, what it means to be "old" or "young" and at what ages such distinctions are made varies by culture. In Western societies, where youth is highly valued, people are considered "old" at much younger ages than in Eastern societies where age is often seen to beget wisdom. This emphasis on youth translates into considerable expenditures on makeup, cosmetics, and surgeries to hide signs of aging, particularly among women, but also among men. Ironically, among adolescents, just the opposite approach is taken, as adolescents often try to appear "older", though obviously not too much older.

The labels of "old" and "young" also vary by life expectancy. In societies where lifespans are relatively short (e.g., [Chad](http://en.wikipedia.org/wiki/Chad)), one could be considered "old" or "middle-aged" by her mid-twenties, whereas in countries with longer lifespans (e.g., [Japan](http://en.wikipedia.org/wiki/Japan)), mid-twenties is still considered young-adulthood.

The activities that are expected of one at different ages is also socially constructed and relative to culture. For instance, retirement only became a "universal" American institution in the post-World War I era, as the growth of Social Security and private pensions dramatically expanded the safety net available to aging workers who were leaving the labor market.[[116]](Print_version.html#cite_note-Graebner1980-128) Likewise, the idea of childhood being an age of innocence when children should be kept from adult worries and spend their time pursuing education and recreating is only widely held in highly developed countries and is a relatively recent invention, following the industrial revolution and the introduction of [child-labor laws](http://en.wikipedia.org/wiki/child-labor_laws).[[117]](Print_version.html#cite_note-Parker2007-129)[[50]](Print_version.html#cite_note-Coontz2000-62)

## Differential Treatment by Age or Ageism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-3)]

**Ageism** is prejudice on the grounds of age.[[118]](Print_version.html#cite_note-Bytheway1995-130) While it can be targeted toward individuals of any age, two groups that are often targeted are the young and the elderly.

### Treatment of the Young[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-4)]

While most people are aware of the mistreatment of the elderly (see below), few people seem to realize that young people are often subjected to discrimination because of their age. Discrimination against young people is primarily in the area of behavioral restrictions, often by parents,[[119]](Print_version.html#cite_note-Matthews1999-131) but also in public places like malls and stores.[[120]](Print_version.html#cite_note-Breitbart-132) Some stores have gone so far as to limit the hours young people can be in their stores.[[121]](Print_version.html#cite_note-Lee2006-133)

While the above are clear examples of discrimination, there are other restrictions placed on young people based on the assumption that they are unable to make decisions for themselves. Examples of such restrictions include:[[118]](Print_version.html#cite_note-Bytheway1995-130)

  * inability to vote in elections
  * inability to legally imbibe alcohol or smoke cigarettes
  * inability to legally engage in sexual activity (this varies by region)
  * inability to hold public office
  * inability to determine whether or not one can marry
  * inability to determine whether or not one can get an abortion (varies by region)

All of the above restrictions hinge upon the idea that young people lack the maturity required to make such important decisions. While this is likely true for some young people, there are also some young people who are mature enough to make these decisions. The above restrictions are tied to specific ages for [legal reasons](http://en.wikipedia.org/wiki/Age_of_majority), but such restrictions may not always be followed, do vary substantially by region and culture, and may not always make sense. However, it is also the case that young people can lack the maturity to make important decisions. Legally, when young people make poor decisions, the [defense of infancy](http://en.wikipedia.org/wiki/defense_of_infancy) is used in such cases to argue that such individuals are too immature to be held responsible for their decisions.

Another way in which the young are treated differently is in the marketing practices of corporations. Children and teenagers have little money of their own, but of the money they have most of it is available for buying consumer goods (their parents cover their basic living needs). Children can also be heavily influential on how their parents' spend their discretionary income.[[122]](Print_version.html#cite_note-TheEconomist2006-134) Manufacturers of consumer goods and providers of services (e.g., [Disney](http://en.wikipedia.org/wiki/Disney)[[123]](Print_version.html#cite_note-Barnes2009-135)) are aware of the buying power of young people and target them specifically. The elderly are also targeted as a consumer demographic, but the approaches are different.[[124]](Print_version.html#cite_note-Williams-136)

Young people are also stereotyped as being both amusing, but at the same time potentially dangerous and disturbing.[[125]](Print_version.html#cite_note-Amit-Talai1995-137) It is stereotypes like these that translate into the discrimination toward young people described above.

### Treatment of the Elderly[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-5)]

While discrimination toward the young is primarily behavioral restrictions, discrimination toward the elderly ranges from behavioral restrictions to the realm of physical abuse. Elder abuse is a serious problem in the U.S. There are nearly 2 million cases of elder abuse and self-neglect in the U.S. every year.[[126]](Print_version.html#cite_note-Dong2009-138) [Abuse](http://en.wikipedia.org/wiki/Abuse) refers to psychological/emotional abuse, physical abuse, sexual abuse, caregiver neglect or financial exploitation while [self-neglect](http://en.wikipedia.org/wiki/self-neglect) refers to behaviors that threaten the person's own health and safety.

Elderly individuals who are subjected to abuse have at least two times higher risk of premature death than do other seniors.[[126]](Print_version.html#cite_note-Dong2009-138) And elders who suffer from self-neglect have an even higher risk (up to 5 times higher) of premature death than do elders who do not suffer from self-neglect. The higher risk of death associated with elder abuse effects both those who are physically and cognitively impaired and those who are more capable.[[126]](Print_version.html#cite_note-Dong2009-138)

Additionally, the elderly are often stereotyped. One stereotype of the elderly is that they are inflexible in their attitudes and that they tend to only become more conservative with time. This is not the case - the elderly are quite adept at changing their views and often they become more tolerant as they age.[[127]](Print_version.html#cite_note-Danigelis2007-139) Another stereotype of the elderly is that they are poorer drivers than younger people. This stereotype is also not backed by evidence, with some caveats. Up to about the age of 75, older drivers are actually safer than drivers of other ages. Beyond age 75 response times and visual acuity do begin to decline, leading to increases in accidents. Thus, many older drivers are actually much safer than the youngest drivers (under 18).[[128]](Print_version.html#cite_note-Horswill2009-140)

## Age and Income[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-6)]

Prior to the introduction of [Social Security](http://en.wikipedia.org/wiki/Social_Security_\(United_States\)) in the U.S. and other programs for the needy, the elderly were the poorest age group in the U.S. Social Security (technically _Old-Age, Survivors, and Disability Insurance_ or OASDI) is an income redistribution program that takes taxes from those working and distributes it to those who cannot work or who are elderly enough to be considered past the age at which they can retire. With the introduction of Social Security, the poverty rates of the elderly in the U.S. dropped dramatically, as illustrated in the figure below.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Poverty-by-age-1959-2005.gif/600px-Poverty-by-age-1959-2005.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This chart depicts the percentage of the respective age groups that fell below the poverty line over the last 40+ years.

Despite the success of the Social Security program in reducing poverty among the elderly, one unforeseen consequence has been the increasing poverty of people under 18. Conflict theory provides a clear theoretical argument to explain this: Since there are limited resources - in this case limited tax revenue - if those resources go to one group, they must necessarily come from another group. Thus, if the elderly see an increase in their total share of tax revenue, it is likely that some other age group will see a decrease in its total share of tax revenue. Thus, individuals under 18 have seen some programs cut that would have otherwise helped maintain their lower levels of poverty. Even so, poverty rates across all three age groups depicted in the figure above have declined from what they were prior to the introduction of tax redistribution policies like Social Security.

While generally considered a highly successful program at reducing poverty among the elderly, Social Security is currently experiencing problems. The chart below illustrates the problems with Social Security payments for retirees in the U.S. Currently, more money is received from Social Security taxes than is distributed to retirees.[[129]](Print_version.html#cite_note-SSA2009-141) However, that will change if Social Security is not modified by 2017. At that point, less will come in than will go out. For about 20 years following that, the Social Security Trust Fund, which is the money that was collected when there was a surplus in tax revenue, will make up the difference in payments. But by 2037, the Trust Fund reserves will be exhausted and payments to beneficiaries will drop to about 75% of what they would normally receive.

![Social Security Benefits - 2009-2083.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/Social_Security_Benefits_-_2009-2083.png/600px-Social_Security_Benefits_-_2009-2083.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Of additional concern is where the Trust Fund reserves were invested - in [Federal bonds](http://en.wikipedia.org/wiki/Federal_bonds). While Federal bonds are backed by the the U.S. Federal Government, it is the Federal Government that borrowed the money. Thus, the Federal Government of the United States actually owes itself the money - over $2 trillion. If the Federal Government is unable to or decides not to pay this money back, the reserves will run out sooner, reducing the payments to beneficiaries at an earlier date.

While the Social Security program in the U.S. is in trouble, the situation of Social Security is not as dire as is that of [Medicare](http://en.wikipedia.org/wiki/Medicare_\(United_States\)), which is a healthcare program for the elderly. The chart below replicates the chart above, but for Medicare. Medicare is worse off as tax income in 2009 was already insufficient to cover the expenses of the program and the Trust Fund reserves are already been tapped to offset the costs. The Trust Fund for Medicare will be exhausted by 2017, at which point the Federal Government will only be able to cover about 80% of the costs of medical treatments of senior citizens. That percentage will gradually decline to 50% by 2035, then to 30% by 2080.

![Medicare's Future Payments to Beneficiaries, 2009-2080.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Medicare's_Future_Payments_to_Beneficiaries,_2009-2080.png/600px-Medicare's_Future_Payments_to_Beneficiaries,_2009-2080.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is resulting from the lower ratio of employed workers to benefit recipients, a ratio that continues to decrease as the U.S. population grows more elderly (as shown in the figure below).

![Percentage of US Population Over Age 65 1950-2050.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/99/Percentage_of_US_Population_Over_Age_65_1950-2050.png/600px-Percentage_of_US_Population_Over_Age_65_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## Age and Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-7)]

While the elderly have seen substantial improvements in their economic situation in recent decades, those improvements have not equally affected men and women. Women, whether working or not, are more likely to fall below the federal poverty line than are men, as depicted in the figure below.

![Poverty Rates by Sex and Work Status for Americans 65+ in 2006.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Poverty_Rates_by_Sex_and_Work_Status_for_Americans_65+_in_2006.png/600px-Poverty_Rates_by_Sex_and_Work_Status_for_Americans_65+_in_2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is of special concern considering women live longer than men, as illustrated in the next figure.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/73/Life_Expectancy_at_Birth_for_Males_and_Females_-_USA_-_1950-2050.png/600px-Life_Expectancy_at_Birth_for_Males_and_Females_-_USA_-_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This chart depicts the increasing life expectancy at birth in the USA.

Why women live longer than men is not perfectly understood. Several factors may contribute to this. For instance, men do engage in riskier behaviors than women, reducing their life expectancy.[[130]](Print_version.html#cite_note-Williams2003-142) Men are also more "successful" when attempting suicide, which increases the rate of death among men of suicide.[[130]](Print_version.html#cite_note-Williams2003-142) Another factor that may contribute to the greater life expectancy of women is the different types of jobs men and women tend to have during their lifetimes.[[131]](Print_version.html#cite_note-Luv2003-143) Other biological factors likely play a role, including greater heart health among women,[[132]](Print_version.html#cite_note-TheEconomist2005-144) though how much they contribute to the greater longevity of women is not entirely clear.[[133]](Print_version.html#cite_note-Reebs2005-145) The combined effect of all these differences may or may not account for the longevity gap between men and women, but it is clear that women do live longer than men and that holds true around the world.

## Age and Race[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-8)]

Aging does not result in similar outcomes for members of different races. There is evidence that black senior citizens are more likely to be abused - both physically and psychologically and suffer greater financial exploitation than do white senior citizens.[[134]](Print_version.html#cite_note-Beach2010-146)

## Aging in the US[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-9)]

The geography of age in the US is quite intriguing. The map below illustrates that the elderly are not equally distributed throughout the U.S.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/USA_-_percent_over_65_-_2000.png/600px-USA_-_percent_over_65_-_2000.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This map depicts the percentage of the population that is over age 65 by census district (from the 2000 Census).

There are concentrations of the elderly in the Midwest and in the South, particularly in Florida. While the high concentration of the elderly in Florida may not come as much of a surprise to most Americans who are aware of the high rate at which people who retire move to Florida, the high concentration of the elderly in the Midwest may be more surprising. This higher concentration is not because the elderly are moving to the Midwest but rather because the young are moving out of the Midwest as they search for jobs. Thus, the two regions with the highest concentrations of the elderly in the US have high concentrations of elderly people for very different reasons.

The city of Pittsburgh offers an intriguing case study of the effects of an aging population on a city.[[103]](Print_version.html#cite_note-Roberts2008-115) As of 2008 more people are dying in Pittsburgh than are being born.[[103]](Print_version.html#cite_note-Roberts2008-115) Add to this the fact that many young people are moving away from Pittsburgh to find jobs, and you have the perfect recipe for both population decline and an aging population. One result of this demographic shift is that there is a greater demand for health care provision. Health care has replaced steel as Pittsburgh's biggest industry.[[103]](Print_version.html#cite_note-Roberts2008-115) Another result of these trends is the decline in students attending Pittsburgh schools. In the 1980s there were nearly 70,000 students in the public school; by 2008 there were only about 30,000 and the number is declining by about 1,000 every year.[[103]](Print_version.html#cite_note-Roberts2008-115) In short, as populations in specific locations age, the entire social structure must change to accommodate the new demographic, which supports the notion of equilibrium in structural-functionalist theory.

## Global Aging Trends[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-10)]

Globally, most countries are seeing the average life expectancy of their populations increase. This translates into a greater percentage of the world's population falling above the age of 65, as illustrated in the figure below.

![Percentage of the World Population Over 65 - 1950-2050.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/Percentage_of_the_World_Population_Over_65_-_1950-2050.png/600px-Percentage_of_the_World_Population_Over_65_-_1950-2050.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

However, the rate at which the world's population is aging is not uniform across countries, and some countries have actually seen decreasing life expectancies, largely as a result of [AIDS](http://en.wikipedia.org/wiki/AIDS). The varied life expectancies and younger populations are illustrated in the map below, which depicts the percentage of each country's population that is over 65.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/be/Percentage_of_Population_Above_65_-_2005.png/600px-Percentage_of_Population_Above_65_-_2005.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This map illustrates global trends in aging by depicting the percentage of each country's population that is over the age of 65. The more developed countries also have older populations as their citizens live longer. Less developed countries have much younger populations. [An interactive version of the map is available here.](http://manyeyes.alphaworks.ibm.com/manyeyes/visualizations/percent-of-population-over-65-by-c)

It is pretty clear from the map that more developed countries have much older populations and a greater percentage of their population is aged 65+. The least developed countries are also the youngest countries as life expectancies are substantially lower.

## Aging and Health[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-11)]

While aging is often associated with declining health, current research suggests there are some things people can do to remain healthy longer into old age. For instance, maintaining a positive attitude has been shown to be correlated with better health among the elderly.[[135]](Print_version.html#cite_note-Ong2010-147) Older individuals with more positive attitudes and emotions engage in less risky behavior and have lower levels of stress, both of which are correlated with better health.[[135]](Print_version.html#cite_note-Ong2010-147)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-12)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  * [Global Social Change Reports](http://gsociology.icaap.org/reports.html) One report describes global trends in ageing.

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Aging&action=edit&section=T-13)]

  * [Interactive graphics on aging and death in America](http://www.bloomberg.com/dataview/2014-04-17/how-americans-die.html)
  * [SAGE Crossroads](http://www.sagecrossroads.net) online forum for emerging issues of human ageing
  * [Alliance for Aging Research](http://www.agingresearch.org/)
  * [Biology of Aging at senescence.info](http://www.senescence.info/)
  * [Dr Aubrey de Grey: 'We will be able to live to 1,000'](http://news.bbc.co.uk/1/hi/uk/4003063.stm)
  * [Aging because lack of genetic info?](http://www.meucat.com/vi.html)
  * [ASFAR](http://www.asfar.org) Americans for a Society Free from Age Restrictions - NGO against ageism
  * [International Plan on Ageing](http://www.un.org/esa/socdev/ageing/waa/a-conf-197-9a.htm) of the UN, 2002, Madrid
  * [International Federation on Ageing](http://www.ifa-fiv.org) Promotes and improves the understanding of ageing policies and practice globally.
  * [Gerontology Research Group](http://www.grg.org) Site also has the official tables of known supercentenarians.

# Deviance and norms[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=12)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Nose_picking_in_progress.jpg/185px-Nose_picking_in_progress.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picking one's nose is an example of _informal deviance_

## Introduction to deviance[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-1)]

**Deviance** is any behavior that violates cultural norms. Deviance is often divided into two types of deviant activities. The first, crime is the violation of formally enacted laws and is referred to as _formal deviance_. Examples of formal deviance would include: robbery, theft, rape, murder, and assault, just to name a few. The second type of deviant behavior refers to violations of informal social norms, norms that have not been codified into law, and is referred to as _informal deviance_. Examples of informal deviance might include: picking one's nose, belching loudly (in some cultures), or standing too close to another unnecessarily (again, in some cultures).

As the last two examples in the preceding paragraph illustrate, deviance can vary quite dramatically from culture to culture. Cultural norms are relative; this makes deviant behavior relative as well. For instance, in general U.S. society it is uncommon for people to restrict their speech to certain hours of the day. In the Christ Desert Monastery there are specific rules about when the residents can and cannot speak, including a specific ban on speaking between 7:30 pm and 4:00 am. The norms and rules of the Christ Desert Monastery are examples of how norms are relative to cultures.

Current research on deviance by sociologists takes many forms. For example, Dr. Karen Halnon of Pennsylvania State University studies how some people exercise informal deviance. Her research focuses on what she calls "deviance vacations," where people of certain socioeconomic status descend to lower strata. For instance, heterosexual white males may become drag queens on the weekend. It is a vacation because heterosexual white males can afford to descend temporarily and then return to the advantages of their true socioeconomic status. Other examples include white hip-hop acts like Eminem and Nu-Metal bands like Limp Bizkit that mimic lower or middle class people in order to use their socioeconomic credentials for profit, despite their true socioeconomic status.

Sociological interest in deviance includes both interests in measuring formal deviance (statistics of criminal behavior; see below) and a number of theories that try to explain both the role of deviance in society and its origins. This chapter will cover the theories of deviance used by sociologists and will also cover current crime statistics.

## Theories of Deviance[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-2)]

### Psychological Explanations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-3)]

While the focus of this chapter is on sociological explanations of deviance, there are explanations from other disciplines as well. For instance, recent research in neurology and psychology finds that boys with conduct disorder have differences in their brain structure and that those differences exist during childhood and adolescence.[[136]](Print_version.html#cite_note-Fairchild2011-148) These differences likely contribute to their deviant behavior.

### Social-Strain Typology[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-4)]

Robert K. Merton, in his discussion of deviance, proposed a typology of deviant behavior. A typology is a classification scheme designed to facilitate understanding. In this case, Merton was proposing a typology of deviance based upon two criteria: (1) a person's motivations or her adherence to cultural goals; (2) a person's belief in how to attain her goals. These two criteria are shown in the diagram below. According to Merton, there are five types of deviance based upon these criteria:

![Mertons social strain theory.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/38/Mertons_social_strain_theory.svg/300px-Mertons_social_strain_theory.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

  * **conformity** involves the acceptance of the cultural goals and means of attaining those goals (e.g., a banker)
  * **innovation** involves the acceptance of the goals of a culture but the rejection of the traditional and/or legitimate means of attaining those goals (e.g., a member of the Mafia values wealth but employs alternative means of attaining her wealth)
  * **ritualism** involves the rejection of cultural goals but the routinized acceptance of the means for achieving the goals (e.g., a disillusioned bureaucrat - like Milton in the movie _Office Space_, who goes to work everyday because it is what he does, but does not share the goal of the company of making lots of money)
  * **retreatism** involves the rejection of both the cultural goals and the traditional means of achieving those goals (e.g., a homeless person who is homeless more by choice than by force or circumstance)
  * **rebellion** is a special case wherein the individual rejects both the cultural goals and traditional means of achieving them but actively attempts to replace both elements of the society with different goals and means (e.g., a communist revolution)

What makes Merton's typology so fascinating is that people can turn to deviance in the pursuit of widely accepted social values and goals. For instance, individuals in the U.S. who sell illegal drugs have rejected the culturally acceptable means of making money, but still share the widely accepted cultural value in the U.S. of making money. Thus, deviance can be the result of accepting one norm, but breaking another in order to pursue the first.

### Structural-Functionalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-5)]

The structural-functionalist approach to deviance argues that deviant behavior plays an important role in society for several reasons. First, deviance helps distinguish between what is acceptable behavior, and what is not. In a sense deviance is required in order for people to know what they can and cannot do. It draws lines and demarcates boundaries. This is an important function as it affirms the cultural values and norms of a society for the members of that society.

In addition to clarifying the moral boundaries of society, deviant behavior can also promote social unity, but it does so at the expense of the deviant individuals, who are obviously excluded from the sense of unity derived from differentiating the non-deviant from the deviants.

Finally, and quite out of character for the structural-functionalist approach, deviance is actually seen as one means for society to change over time. Deviant behavior can imbalance societal equilibrium. In the process of returning societal equilibrium, society is often forced to change. Thus, deviant behavior serves several important functions in society.

### Conflict Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-6)]

A clear example of how deviance reflects power imbalances is in the reporting and tracking of crimes. _White-collar_ crimes are typically committed by individuals in higher social classes.[[137]](Print_version.html#cite_note-Velez2003-149)[[138]](Print_version.html#cite_note-FBI2009-150) Examples of white-collar crimes include[[139]](Print_version.html#cite_note-151):

  * antitrust violations
  * computer, credit card, phone, telemarketing, bankruptcy, healthcare, insurance, mail, and government fraud
  * tax evasion
  * insider trading
  * bribery and public corruption
  * counterfeiting
  * money laundering
  * embezzlement
  * economic espionage
  * trade secret theft

As of 2009, the FBI and the Bureau of Justice Statistics do not provide clear statistics on white-collar crime, like they do with other types of crime. Most of the statistics provided are estimates of losses resulting from white-collar crime, which include:

  * unclear amount of money lost from corporate crime, but totalling in the billions[[138]](Print_version.html#cite_note-FBI2009-150)
  * at least $50 billion lost every year in the U.S. from health care fraud[[138]](Print_version.html#cite_note-FBI2009-150)
  * unclear amount of money lost from financial institution fraud, but totalling in the billions[[138]](Print_version.html#cite_note-FBI2009-150)
  * unclear amount of money lost from money laundering, but also totalling in the billions[[138]](Print_version.html#cite_note-FBI2009-150)
  * at least 10% of government funds for domestic programs may be lost to fraud every year, totalling in the billions[[138]](Print_version.html#cite_note-FBI2009-150)
  * unclear amount of money lost from insurance, telemarketing, and investment fraud every year, but also totalling in the billions[[138]](Print_version.html#cite_note-FBI2009-150)

That such crimes are not tracked more clearly suggests that there is less of an emphasis placed on prosecuting white collar crime than there is on prosecuting other types of crime (property and violent crime) in the U.S. It may also be the case that it is difficult to collect such statistics, but that is also likely due to the fact that a system for tracking such crimes has not been put into place because such crimes are not seen as warranting the same amount of attention as exists for other types of crimes.

That white-collar crimes are less likely to be tracked, less likely to be reported, less likely to be prosecuted, and are more likely to be committed by people in higher social classes suggests that the way crimes are punished in the U.S. tends to favor the affluent while punitively punishing the less affluent. Additionally, men benefit more from white-collar crime than do women, as they are more likely to attempt these crimes when they are in more powerful positions, allowing them to reap greater rewards.[[140]](Print_version.html#cite_note-Daly1989-152)

### Labeling Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-7)]

**Labeling Theory** refers to the idea that individuals become deviant when two things occur:

  1. a deviant label is applied to them (e.g., _loner_, _punk_)
  2. they adopt the label by exhibiting the behaviors, actions, and attitudes associated with the label

This approach to deviance recognizes its cultural relativity and is aware that deviance can result from power imbalances. But it takes the idea of deviance further by illustrating how a deviant [identity](http://en.wikipedia.org/wiki/identity) develops through the application and adoption of labels. Labeling theory argues that people become deviant as a result of people forcing that identity upon them and then adopting the identity.

Labels are understood to be the names associated with identities or role-sets in society. Examples of more innocuous labels might include _father_ or _lover_. Deviant labels refer to identities that are known for falling outside of cultural norms, like _loner_ or _punk_.

There are two additional ideas related to the labeling theory approach to understanding deviance. First, once a deviant identity is adopted, it is often the case that the past behaviors of the now deviant individual are re-interpreted in light of the new identity. The process of re-casting one's past actions in light of a current identity is referred to as _retrospective labeling_. A very clear example of retrospective labeling can be seen in how the perpetrators of the [Columbine High School massacre](http://en.wikipedia.org/wiki/Columbine_High_School_massacre), [Eric Harris and Dylan Klebold](http://en.wikipedia.org/wiki/Eric_Harris_and_Dylan_Klebold), were re-cast after the incident took place. Much of their behavior leading up to the school shootings has been re-interpreted in light of the deviant identity with which they were labeled as a result of the shootings.

Another important element of labeling theory involves the idea of _stigma_. Stigma refers to the situation of the individual who is disqualified from full social acceptance because of some mark of infamy or disgrace or a label that is often difficult to hide or disguise.[[141]](Print_version.html#cite_note-Goffman1963-153) Stigma extend the idea of labeling theory by illustrating how individual characteristics can be the basis for attaching labels that can be life-altering. A good example of a stigma that is now increasingly difficult to hide is the publishing of convicted sex offender identities and information on websites ([see here for an example](http://www.hcso.org/PublicServices/SexOffenders/offender.asp)). The stigma is the past behavior - the sex offense - but this identity is relatively easily hidden as it impossible to pick a sex offender out of a crowd. By pushing the sex offender identity into public purview, sex offenders, regardless of current behavior, are stigmatized; they are stuck with a deviant identity that overwhelms any other identity they may have. In sum, labeling theory argues that the application of labels (role-sets) to individuals is an important element leading to deviant behavior.

## Crime Statistics[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-8)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/61/Adult_Correctional_Population_-_1980-2007.png/250px-Adult_Correctional_Population_-_1980-2007.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Adult Correctional Population in the U.S.

Crime statistics are usually data collected by governments for the reporting of incidents of criminal activity. They are useful for a number of reasons, beyond simply giving an awareness of the extent of criminal activity. Presented below are statistics on criminal activity and the criminal justice system for both the U.S. and selected nations around the world (for comparisons). The statistics included in this section were chosen to provide a sampling of how crime statistics can be useful beyond simply reporting incidents of criminal behavior.

It is important to understand that crime statistics do not provide a perfect view of crime. Government statistics on crime only show data for crimes that have been reported to authorities. These crimes represent only a fraction of those crimes that have been acted upon by law enforcement, which in turn represents only a fraction of those crimes where people have made complaints to the police, which in turn represents only a fraction of the total crimes committed. However, it should also be noted that television presents an unrealistic picture of the frequency of crime, particularly violent crime.[[142]](Print_version.html#cite_note-Sparks2009-154) Heavy viewers of crime dramas on TV (e.g., [CSI](http://en.wikipedia.org/wiki/CSI:_Crime_Scene_Investigation), [Law & Order](http://en.wikipedia.org/wiki/Law_%26_Order), etc.) estimate that there are 2 1/2 times as many real world deaths due to murder than do non-viewers.[[142]](Print_version.html#cite_note-Sparks2009-154) Thus, while crimes are under-reported, they do tend to receive disproportionate attention in the media, leading people to think that crime is more prevalent than it actually is.

### Incarceration Rates and Populations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-9)]

One of the more interesting features of the U.S. is the extensive number of people who are currently in the correctional system. One explanation for this is the increasingly punitive approach of the criminal justice system. According to Western (2007)[[143]](Print_version.html#cite_note-Western2007-155), those who break laws in the U.S. today are twice as likely to be imprisoned as criminals a generation ago. While debated, the percentage of prison inmates who have been wrongly convicted of crimes is estimated to be somewhere between less than 1% all the way up to 9%, which could mean hundreds of thousands of prison inmates are actually innocent.[[144]](Print_version.html#cite_note-Liptak2008-156) The figure to the right breaks down the correctional system population by the status of individuals in the correctional system, including:

  * prison
  * probation
  * jail
  * parole

While the population of the United States is the third largest in the world (behind China and India), the percentage of the population that is in prison is the highest in the world, as illustrated by the map below.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/Prisoner_population_rate_world_map.png/600px-Prisoner_population_rate_world_map.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Map 1. Source: <http://hdr.undp.org/en/media/HDR_20072008_EN_Complete.pdf>

This map illustrates that the U.S. has both a lot of people in prison in sheer numbers but also as a percentage of the population. Comparing incarceration rates by countries goes beyond just reporting incidents of criminal activity (incidents of crime are not much higher in the U.S. than elsewhere) by highlighting differences in the correctional systems of countries. Countries differ in the restrictiveness of their laws and prison sentences. Differences of these types are seen when comparing incarceration rates and populations.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Recidivism_1994.jpg/250px-Recidivism_1994.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Recidivism rates in the U.S.

The U.S. has a relatively high [recidivism](http://en.wikipedia.org/wiki/recidivism) rate (recidivism refers to the frequency of repeat offenses). More than half (some estimate around 67%) of prison inmates will be convicted on another charge within three years of having been released and return to prison.[[145]](Print_version.html#cite_note-Silver2008-157) This statistic is revealing of the nature of the prison system in the U.S.: it is more interested in keeping people who commit crimes away from the rest of the population than it is in attempting to reform or resocialize individuals to make them productive members of society. One factor that contributes to the high recidivism rates is the social [stigma](http://en.wikipedia.org/wiki/stigma) that accompanies having been convicted of a [felony](http://en.wikipedia.org/wiki/felony) in the US. van Olphen et al. (2009)[[146]](Print_version.html#cite_note-vanOlphen2009-158) found that individuals convicted of drug offenses were very likely to be reincarcerated, largely due to punitive punishments that accompanied their "convicted felon" stigma. For instance, they were often denied access to public housing and food stamps, which led many of the participants in the study to sell drugs to survive, leading to future arrests and convictions. The lack of help given to convicts released from prison increases the odds of those convicts returning to prison. Another factor that significantly increases the odds of convicts returning to prison is their return to their former neighborhoods.[[147]](Print_version.html#cite_note-Kirk2009-159) Convicts who move away from their old neighborhood are substantially less likely to commit another crime; distancing themselves from the social environment that encouraged their criminal activity in the first place reduces their odds of reincarceration. Finally, the stigma associated with spending time in prison leads to substantially worse physical and mental health for ex-cons,[[148]](Print_version.html#cite_note-Massoglia2009-160) including higher rates of chronic illness, disability, psychiatric disorders, major depression, and anxiety.

A relatively recent innovation in criminal justice that has been shown to moderately reduce recidivism rates is "drug courts," or alternative sentencing systems that mandate treatment and therapy rather than jail time for drug offenses. Drug courts appear to reduce recidivism by somewhere between 8 and 10 percent.[[149]](Print_version.html#cite_note-Eckholm2008-161) That drug courts reduce recidivism is not all that surprising consider there is an actual intent to modify behavior rather than simply removing individuals from society.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/Justice_Expenditures_by_Criminal_Justice_Functions_-_1982-2006.png/600px-Justice_Expenditures_by_Criminal_Justice_Functions_-_1982-2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Justice Expenditures by Criminal Justice Function, 1982-2006.

Another interesting characteristic of the U.S. is the amount of money that is spent on the correctional system. Policing the nations streets is the most expensive component of the correctional system, followed by housing prison inmates. The average annual cost for one federal prisoner exceeds $20,000.[[145]](Print_version.html#cite_note-Silver2008-157) The judicial process is the least expensive, but the combined expenses of all three elements total over $200 billion annually (when you combine state, local, and federal expenditures).[[145]](Print_version.html#cite_note-Silver2008-157)

Even though billions of dollars are spent on the criminal justice system every year in the U.S., the financial outlays actually account for only part of the cost of mass incarceration. Millions of additional jobs and even lives are lost as a result of the stigma that follows prison inmates when released (which also explains the high recidivism rate). Convicted felons are barred from working in certain industries, have limited access to educational opportunities, and have limited access to welfare and housing benefits from the government.[[145]](Print_version.html#cite_note-Silver2008-157) All of these problems combine to concentrate former inmates in poor urban neighborhoods that have limited opportunities to move out of criminal circles. Reducing the consequences of felony convictions and providing occupational and drug counseling would go a long way toward alleviating the high recidivism rates.[[145]](Print_version.html#cite_note-Silver2008-157)

### Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-10)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/66/Violent_crime_rates_by_gender_1973-2003.jpg/250px-Violent_crime_rates_by_gender_1973-2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Violent crime rates by gender, 1973-2003.

Another way crime statistics can go beyond simply reporting incidents of criminal activity is in highlighting differences between different groups. One difference in criminal activity is seen in the number of violent crimes committed by gender (see chart). While the difference has narrowed in recent years, men are still more likely to commit violent crimes than are women.

Another telling crime statistic that is traditionally seen as highlighting power imbalances is the number of rapes in society. While the focus of this chapter is not on exploring the motivations behind rape, the number of rapes in the U.S. and internationally can be seen to reflect power imbalances between men and women as men are far more likely to rape women than vice versa. The figures below and to the right show that rape rates in the U.S. have declined in recent years and also compare rape rates from select countries around the world.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/38/Rapes_per_1000_people_1973-2003.jpg/250px-Rapes_per_1000_people_1973-2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Rape rates in the U.S. per 1000 people, 1973-2003.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/International_rape_rates_2002.jpg/600px-International_rape_rates_2002.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Comparison of selected countries' rape rates, 2002.

### Race[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-11)]

Regardless of one's views on the [War on Drugs](http://en.wikipedia.org/wiki/War_on_Drugs) in the U.S., one thing is certain, the war disproportionately targets African Americans. Since the inception of the war on drugs in 1980, 31 million drug related arrests have been made. African Americans are no more likely to use drugs than are whites,[[149]](Print_version.html#cite_note-Eckholm2008-161) but between 1980 and 2003, the arrest rates for African Americans for drug offenses has risen at three times the rate as it has for whites, 225% vs. 70%.[[150]](Print_version.html#cite_note-King2008-162) The reason: drug use and trafficking in the inner-city as opposed to suburbs has been the focus of the war.[[150]](Print_version.html#cite_note-King2008-162) Additionally, penalties for using drugs that are more often found among minorities have traditionally been harsher than for drugs used by whites. Crack and powder cocaine are very similar in effect, but possession of crack cocaine carries harsher penalties and is more likely to be used by blacks, who account for nearly 80% of crack convictions, than whites.[[151]](Print_version.html#cite_note-Eckholm2010-163) These laws were enacted in 1986 and mandated minimum sentencing - 5 years for possessing five grams of crack; 10 years for 10 grams. But the thresholds for powdered cocaine were 100 times as high - 500 grams of powdered cocaine got you just 5 years.[[151]](Print_version.html#cite_note-Eckholm2010-163) The discriminatory prosecution of African Americans for drug offenses is just one way in which the criminal justice system in the U.S. works against African American equality.

The criminal justice system in the U.S. has a significant impact on the life chances of racial and ethnic minorities, in particular, people of African descent. Serving time in prison has become a normative event for young, lower-class African-American males.[[143]](Print_version.html#cite_note-Western2007-155) The average African-American, male, high-school dropout born in the 1960s in the U.S. had a nearly 60% chance of serving time in prison by the end of the 1990s. (This probability drops precipitously for college-educated African-Americans.) A disproportionate percentage of African-Americans are in prison; African-Americans make up 12% of the U.S. population but nearly 46% of prison inmates.[[143]](Print_version.html#cite_note-Western2007-155) The long-lasting effects of criminal conviction and imprisonment (convicted felons are barred from many jobs), results in the disenfranchisement of many African-Americans - time spent in prison is time spent away from education and on-the-job training. As a result, many African-Americans end up unskilled and with criminal convictions and felony records.

Some scholars argue that the disproportionate imprisonment of African-Americans in the U.S. actually countermands the achievements of the civil rights movement. The criminal justice system in the U.S. is arguably a massive machine that results in the production of racial inequality.[[143]](Print_version.html#cite_note-Western2007-155) In fact, the inequality in the prison system is unmatched by that in other elements of society, as the following ratios indicate:

  * ratio of African-American unemployment to European-American unemployment - 2 to 1
  * ratio of African-Americans born to unwed mothers compared to European-American children born to unwed mothers - 3 to 1
  * ratio of African-American infants who die compared to European-American infants who die - 2 to 1
  * ratio of African-American to European-American wealth - 1 to 5
  * ratio of African-American incarceration rate to European-American incarceration rate - 8 to 1

Another result of the disproportionate imprisonment of African-Americans in the U.S. is that imprisoned African-Americans are not included in calculations of unemployment rates. African-American are substantially more likely to be unemployed than European-American, but most statistics do not include prison populations.

Another illustration of the disparity in punishment in the US based on race is tied to the death penalty. Only 10% of individuals in the US sentenced to death are ever actually executed, but which ones are executed is intimately tied to race. Individuals convicted of killing a European-American are five times more likely to be executed than individuals who killed a racial or ethnic minority.[[152]](Print_version.html#cite_note-Jacobs2007-164) This suggests that the criminal justice system in the US values white victims above minority victims.

All of these elements combined lead to the conclusion that one of the most racially disparate elements of U.S. society is the criminal justice system.

### Homicide[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-12)]

The chart below tracks homicide rates in the U.S. for the past 100 years. There has been an increase over time, though it is not clear whether that increase represents an actual increase in homicides or an increase in confounding factors, such as: stricter law enforcement, an increased willingness to report crimes, or changes in the definition of homicide itself.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Homicide_rates1900-2001.jpg/600px-Homicide_rates1900-2001.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Homicide rates in the US, 1900-2001.

The U.S. does not have the highest homicide rates in the world, but the rates in the U.S. are still relatively high compared to other countries (see chart).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/International_homicide_rates_2002.jpg/600px-International_homicide_rates_2002.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Comparison of selected countries' homicide rates, 2002.

Homicide rates also vary the age of the victim, as shown in the chart below. Note the similarity in homicide rates between the 14-17 age group and 18-24 age group.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Homicide_rates_by_age_1970-2003.jpg/600px-Homicide_rates_by_age_1970-2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Homicide rates by age group, 1970-2002.

### High Crime Neighborhoods[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-13)]

Traditionally people have thought of crime being the result of negative characteristics of a neighborhood (e.g., low incomes, high residential turnover rates, etc.).[[153]](Print_version.html#cite_note-Hipp2010-165) However, there is some evidence to suggest that crime and the negative characteristics that were believed to cause high crime reinforce each other.[[153]](Print_version.html#cite_note-Hipp2010-165) This research finds that higher crime rates actually leads to more concentrated poverty, declining retail presence, and more residential turnover. This findings suggests that it is crime that drives away businesses and residents who have more money to safer areas, which then concentrates poverty and crime in that area.

## Social Control[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-14)]

**Social control** refers to the various means used by a society to bring its members back into line with cultural norms. There are two general types of social control:

  * _formal social control_ refers to components of society that are designed for the resocialization of individuals who break formal rules; examples would include prisons and mental health institutions
  * _informal social control_ refers to elements of society that are designed to reinforce informal cultural norms; examples might include parental reminders to children not to pick their nose.

Some researchers have outlined some of the motivations underlying the formal social control system. These motivations include:

  * _retribution_ \- some argue that people should pay for the crime they committed
  * _deterrence_ \- some argue that punishments, e.g., prison time, will prevent people from committing future crimes
  * _rehabilitation_ \- some argue that formal social controls should work to rehabilitate criminals, eventually turning them into productive members of society
  * _societal protection_ \- finally, some argue that the motivation for formal social controls is nothing more than removing the deviant members of society from the non-deviant members

## Current Research[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-15)]

### Video Games and Deviance[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-16)]

Another area of current research that is of great interest to many people is the alleged effects of violent video games on behavior. Karen Sternheimer[[154]](Print_version.html#cite_note-Sternheimer2007-166) explains that a lot of the concern around video games is illustrative of the social construction of deviance.[[155]](Print_version.html#cite_note-167) According to Sternheimer, "Politicians and other moral crusaders frequently create "folk devils," individuals or groups defined as evil and immoral. Folk devils allow us to channel our blame and fear, offering a clear course of action to remedy what many believe to be a growing problem. Video games, those who play them, and those who create them have become contemporary folk devils because they seem to pose a threat to children." (p. 13) The assumption is that playing violent video games will lead children to act out violently. However, there is a growing body of literature that is either inconclusive on this issue or that contradicts this assumption: it does not appear as though playing violent video games results in violent behavior.

The reason why the assumption that playing violent video games is not accurate is because it decontextualizes violence. Those who claim violent video games lead to violence fail to realize that violence is context dependent and most players of video games are fully aware of this. Individuals who play video games recognize that violence in the context of the game is okay and that it is not okay to be violent outside of that context. Additionally, many of the studies that have claimed to have found a connection between playing video games and violent behavior have failed to control for other influences on violent individuals, influences that are more likely to translate into violent behavior: neighborhood violence and instability, family violence, and even mental illness. Seldom is a connection made between adult shooting sprees in the workplace (which are far more common than school shooting sprees)[[154]](Print_version.html#cite_note-Sternheimer2007-166) and video games. Instead, people look toward contextual influences like those described above (i.e., job loss, family problems, etc.). In other words, violent video games are the folk devils for violent behavior in children, but not for adults.

Finally, the video game explanation is also illustrative of social-conflict and racial discrimination. Seldom is the explanation of a black violent offender's behavior playing violent video games. The assumption is that black culture encourages violence; as a result, violent behavior by young black men is not "shocking," so it does not require a folk devil to explain it. This is, of course, discriminatory. In contrast, it is generally white, middle-class violent offenders whose behavior is explained by alleging a video game connection. The fact that these violent offenders are white and middle class threatens the "innocence and safety of suburban America," (p. 17)[[154]](Print_version.html#cite_note-Sternheimer2007-166) which means it requires a folk devil culprit, absolving white, middle-class America of the blame.

### Tattoos[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-17)]

One area of current research into deviance that highlights the socially constructed nature of norms is tattoos. In 2003 a survey found that 15% of the U.S. adult population had at least one tattoo; that number jumps to 28% for adults under 25.[[156]](Print_version.html#cite_note-Kang2007-168) However, tattoos are a very complicated illustration of the intricacies of deviance. Many of the individuals getting tattoos do not fit the stereotypes of individuals who get tattoos (e.g., soldiers, sailors, bikers, etc.); many of those tattooing their bodies are high-achieving students.[[156]](Print_version.html#cite_note-Kang2007-168) Additionally, tattooing is on the rise among women - 15% of women have tattoos while 16% of men do. Intriguingly, men and women get tattoos for different reasons. For men it is to reinforce their masculinity and for women it is to enhance their femininity. This differences illustrates another way in which gender is an action.

Another interesting aspect of tattoos is their changing meanings. While it is probably not the case that the meaning (think symbolic interactionism) of tattoos to those who get them is changing (tattoos have traditionally been used to express one's self or commemorate events), how tattoos are viewed is changing. In the early 1900s tattoos were so stigmatized that they could literally result in prosecution and served as evidence of ill intent and disrepute.[[156]](Print_version.html#cite_note-Kang2007-168) Such extreme stigmatization is no longer the cause, probably because 88% of Americans know someone with a tattoo. As a result, tattoos are decreasingly seen as deviant. But tattoos also illustrate that deviance is not determined by the action but by those perceiving the action. While a tattoo may mean one thing to the person with the tattoo, it is still the case that others interpret the tattoo in a multitude of ways, and those don't always align with the intended meanings. Still today, tattoos are often equated with: drug use, troublemakers, and gang affiliation. This is probably why many people who get tattoos get them in locations that can easily be covered in regular business attire - that way they can still pass when not in the company of those who are more understanding of their tattoos. Tattoos, then, illustrate the sociological understanding of deviance quite well.

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-18)]

Two additional theories that might be discussed in future versions of this text include:

  * differential association
  * deviant subcultures theory

## Recommended Reading[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-19)]

[This article in the New York Times Magazine on stopping the transmission of violence in gang retributions](http://www.nytimes.com/2008/05/04/magazine/04health-t.html) offers a fascinating insight into both gang life and measures being taken to curb gang violence.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Deviance&action=edit&section=T-20)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  


← [Demography](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Demography) · [Race and Ethnicity](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Race_and_Ethnicity) →

← [Demography](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Demography) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Race and Ethnicity](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Race_and_Ethnicity) →

# Race and ethnicity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=13)]

## Race and Ethnicity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-1)]

A **race** is a human population that is believed to be distinct in some way from other humans based on real or imagined _physical_ differences.[[157]](Print_version.html#cite_note-Cavalli1996-169) Racial classifications are rooted in the idea of biological classification of humans according to morphological features such as skin color or facial characteristics. An individual is usually externally classified (meaning someone else makes the classification) into a racial group rather than the individual choosing where they belong as part of their identity. Conceptions of race, as well as specific racial groupings, are often [controversial](http://en.wikipedia.org/wiki/controversial_issue) due to their impact on [social identity](http://en.wikipedia.org/wiki/social_identity) and how those identities influence someone's position in social hierarchies (see [identity politics](http://en.wikipedia.org/wiki/identity_politics)).

Ethnicity, while related to race, refers not to physical characteristics but social traits that are shared by a human population. Some of the social traits often used for ethnic classification include:

  * nationality
  * tribe
  * religious faith
  * shared language
  * shared culture
  * shared traditions

Unlike race, ethnicity is not usually externally assigned by other individuals. The term ethnicity focuses more upon a group's connection to a perceived shared past and culture.

## The Changing Definitions of Race[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-2)]

The division of humanity into distinct _races_ can be traced as far back as the Ancient Egyptian sacred text the [Book of Gates](http://en.wikipedia.org/wiki/Book_of_Gates), which identified four races according to the Egyptians. This early treatment merged racial and ethnic differences, combining skin-color with tribal and national identities. Ancient Greek and Roman authors also attempted to explain and categorize visible biological differences between peoples known to them. [Medieval](http://en.wikipedia.org/wiki/Medieval) models of race mixed Classical ideas with the notion that humanity as a whole was descended from Shem, Ham and Japheth, the three [sons of Noah](http://en.wikipedia.org/wiki/sons_of_Noah), producing distinct [Semitic](http://en.wikipedia.org/wiki/Semitic), (Asian), [Hamitic](http://en.wikipedia.org/wiki/Hamitic) (African), and [Japhetic](http://en.wikipedia.org/wiki/Japhetic) (European) peoples. The first scientific attempts to categorize race date from the 17th century; these early attempts developed along with European imperialism and colonisation around the world.[[157]](Print_version.html#cite_note-Cavalli1996-169)

In the 19th century a number of natural scientists wrote on race: [Georges Cuvier](http://en.wikipedia.org/wiki/Georges_Cuvier), [James Cowles Pritchard](http://en.wikipedia.org/wiki/James_Cowles_Pritchard), [Louis Agassiz](http://en.wikipedia.org/wiki/Louis_Agassiz), [Charles Pickering](http://en.wikipedia.org/wiki/Charles_Pickering_NMI), and [Johann Friedrich Blumenbach](http://en.wikipedia.org/wiki/Johann_Friedrich_Blumenbach). These scientists made three claims about race:

  1. races are objective, naturally occurring divisions of humanity
  2. there is a strong relationship between biological races and other human phenomena (such as social behavior and culture, and by extension the relative material success of cultures)
  3. race is therefore a valid scientific category that can be used to explain and predict individual and group behavior

Races were distinguished by [skin color](http://en.wikipedia.org/wiki/human_skin_color), facial type, cranial profile and size, and texture and color of hair. Races were almost universally considered to reflect group differences in moral character and intelligence.

These early understandings of race were usually both [essentialist](http://en.wikipedia.org/wiki/essentialism) and [taxonomic](http://en.wikipedia.org/wiki/taxonomic); essentialism refers to unchanging and inherent characteristics of individuals and taxonomic refers to classificatory (also usually hierarchical) in nature. The advent of [Darwinian](http://en.wikipedia.org/wiki/Charles_Darwin) models of [evolution](http://en.wikipedia.org/wiki/evolution) and [Mendelian](http://en.wikipedia.org/wiki/Gregor_Mendel) [genetics](http://en.wikipedia.org/wiki/genetics), however, called into question the scientific validity of both characteristics and required a radical reconsideration of race.[[157]](Print_version.html#cite_note-Cavalli1996-169)

The table below illustrates both how early definitions included essentialist and taxonomic elements and how definitions have changed over time.

**Biological definitions of race (adapted from Long & Kittles 2003).**[[158]](Print_version.html#cite_note-Long2003-170)

Concept Reference Definition

Essentialist
Hooton (1926)[[159]](Print_version.html#cite_note-Hooton1926-171)
"A great division of mankind, characterized as a group by the sharing of a certain combination of features, which have been derived from their common descent, and constitute a vague physical background, usually more or less obscured by individual variations, and realized best in a composite picture."

Taxonomic
[Mayr](http://en.wikipedia.org/wiki/Ernst_Mayr) (1969)[[160]](Print_version.html#cite_note-Mayr1969-172)
"An aggregate of phenotypically similar populations of a species, inhabiting a geographic subdivision of the range of a species, and differing taxonomically from other populations of the species."

Population
[Dobzhansky](http://en.wikipedia.org/wiki/Theodosius_Dobzhansky) (1970)[[161]](Print_version.html#cite_note-Dobzhansky1970-173)
"Races are genetically distinct Mendelian populations. They are neither individuals nor particular genotypes, they consist of individuals who differ genetically among themselves."

Lineage
Templeton (1998)[[162]](Print_version.html#cite_note-Templeton1998-174)
"A subspecies (race) is a distinct evolutionary lineage within a species. This definition requires that a subspecies be genetically differentiated due to barriers to genetic exchange that have persisted for long periods of time; that is, the subspecies must have historical continuity in addition to current genetic differentiation."

Because racial differences continue to be important issues in social and political life, racial classifications continue. The United States government has attempted its own definitions of race and ethnicity (see for example [U.S. Census](http://en.wikipedia.org/wiki/Race_\(U.S._Census\))) for such classifications and comparisons.

## Social Construct or Biological Lineage?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-3)]

### Social Construction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-4)]

Debates continue in and among academic disciplines as to how race should be understood. Some sociologists and biologists believe race is a [social construct](http://en.wikipedia.org/wiki/social_construction), meaning it does not have a basis in the natural world but is simply an artificial distinction created by humans.[[157]](Print_version.html#cite_note-Cavalli1996-169) As a result of this understanding, some researchers have turned from conceptualizing and analyzing human variation by race to doing so in terms of [populations](http://en.wikipedia.org/wiki/population_genetics), dismissing racial classifications altogether. In the face of the increasing rejection of race as a valid classification scheme, many social scientists have replaced the word _race_ with the word _[ethnicity](http://en.wikipedia.org/wiki/Ethnic_group)_ to refer to self-identifying groups based on shared religion, nationality, or culture.

The understanding of race as a social construct is well-illustrated by examining race issues in two countries, the U.S. and Brazil.

#### Constructing Race in the U.S.[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-5)]

Since the early days of the United States, Native Americans, African-Americans and European-Americans were classified as belonging to different races. But the criteria for membership in these races were radically different. For Africans, the government considered anyone with African appearance to be purely African. Native Americans, on the other hand, were classified based on a certain percentage of _Indian blood_. Finally, European-Americans had to have purely white ancestry. The differing criteria for assigning membership to particular races had relatively little to do with biology; it had far more to do with maintaining a group's defined roles and position.

![Racial makeup of the us 2007.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Racial_makeup_of_the_us_2007.png/600px-Racial_makeup_of_the_us_2007.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Some researchers and historians have proposed that the intent of the differing criteria for racial designations was to concentrate power, wealth, privilege, and land in the hands of European-Americans.[[163]](Print_version.html#cite_note-Fields1990-175)[[164]](Print_version.html#cite_note-Sider1993-176) As a result, the offspring of an African slave and European master or mistress would be considered an African. Significant in terms of the economics of slavery, the mixed-race child of a slave mother also would be a slave, adding to the wealth of the slaveowner.

Contrast the African criteria with that of Native Americans; a person of Native American and African parentage automatically was classified as African. But the offspring of only a few generations of Native Americans and Europeans were not considered Indian at all - at least not in a legal sense. Native Americans had treaty rights to land, but individuals with only one Indian great-grandparent were no longer classified as Native American, disenfranchising them from their claims to Native American lands. Of course, the same individuals who could be denied legal claim to Native American lands because they were _too White_, were still Native American enough to be considered _half-breeds and were stigmatized as a result._

In an economy benefitting from slave labor, it was useful to have as many African slaves as possible. Conversely, in a nation bent on westward expansion, it was advantageous to diminish the numbers of those who could claim title to Indian lands by classifying them out of existence. Both schemes benefitted the third group, the _racially pure_ whites. The point being, of course, that the classifications of race in the early U.S. were socially constructed in a fashion that benefitted one _race_ over the others.

The earliest blacks in the U.S. were brought from Africa as [slaves](http://en.wikipedia.org/wiki/slaves) primarily to help in agricultural in the southern U.S. While migration since then has substantially altered the distribution of African Americans in the U.S., African Americans remain concentrated in the southern U.S., as depicted in the map below.

![Percent black in U.S. by census district - 2000.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b3/Percent_black_in_U.S._by_census_district_-_2000.png/600px-Percent_black_in_U.S._by_census_district_-_2000.png)

Native Americans in the U.S. are concentrated on [reservations](http://en.wikipedia.org/wiki/Indian_reservation), as depicted in the map below:

![Percent native american in the U.S. by census district 2000.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f0/Percent_native_american_in_the_U.S._by_census_district_2000.png/600px-Percent_native_american_in_the_U.S._by_census_district_2000.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

#### Constructing Race in Brazil[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-6)]

![Race in brazil 2006.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Race_in_brazil_2006.png/400px-Race_in_brazil_2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The [Brazilian Institute of Geography and Statistics](http://en.wikipedia.org/wiki/IBGE) classifies the Brazilian population in five categories: white, black, [pardo](http://en.wikipedia.org/wiki/pardo) or ([brown](http://en.wikipedia.org/wiki/Brown_people)), [yellow](http://en.wikipedia.org/wiki/Asian_people), and [Indigenous](http://en.wikipedia.org/wiki/Indigenous_peoples_in_Brazil), based on skin color as given by the individual being interviewed in the census.

  * [White](http://en.wikipedia.org/wiki/White_Brazilian) (49.4% of the population):[[165]](Print_version.html#cite_note-IBGE2006-177) usually a Brazilian of full or predominant European ancestry or other ancestry (such as [German Brazilian](http://en.wikipedia.org/wiki/German_Brazilian)) who considers himself or herself to be White.
  * [Pardo](http://en.wikipedia.org/wiki/Pardo) or [Brown](http://en.wikipedia.org/wiki/Brown_people) (42.3%):[[165]](Print_version.html#cite_note-IBGE2006-177) usually a Multiracial Brazilian of mixed-race features who considers himself or herself to be "_Pardo_". In practice, most of the "_Pardo_" people are of mixed European and African (mulatos), but this category also includes people of mixed European and Amerindian (caboclos) and Amerindian and African (cafusos) genetic ancestry[[166]](Print_version.html#cite_note-178).
  * [Black](http://en.wikipedia.org/wiki/Afro-Brazilian) (7.4%):[[165]](Print_version.html#cite_note-IBGE2006-177) usually a dark-skinned Brazilian of full or predominant [Black](http://en.wikipedia.org/wiki/Black_people) African ancestry who considers himself or herself to be Black.
  * Yellow: (0.5%) usually a Brazilian of [East Asian](http://en.wikipedia.org/wiki/East_Asia) descent, mostly [Japanese](http://en.wikipedia.org/wiki/Japanese_Brazilian).
  * [Indigenous](http://en.wikipedia.org/wiki/Indigenous_peoples_in_Brazil) (0.3%):[[167]](Print_version.html#cite_note-Brazzil2003-179) usually a Brazilian of full or predominant Amerindian ancestry who considers himself or herself to be Amerindian.

Of particular interest to the discussion of race in this chapter is the fact that there is a racial classification that falls between "white" and "black": "pardo" or "brown." That Brazilians have more racial classifications than do people in the United States illustrates the socially constructed nature of race. Additionally, racial classification in Brazil, because it is based on self-classification and there are no objective criteria for what it means to belong to one race or another, is inconsistent about 21% of the time.[[168]](Print_version.html#cite_note-Telles2002-180) Because of the mixing of the races, race is not inherited but determined purely by physical characteristics (i.e., a white father and black mother could have a "white", "black," or "pardo" child). Additionally, because race is self-determined and there is discrimination based on race (white are favored),[[168]](Print_version.html#cite_note-Telles2002-180) Brazilians have a tendency to "self-lighten,"[[169]](Print_version.html#cite_note-Mangels2007-181) or report their race as being lighter than an independent observer may suggest. That people can "self-lighten" illustrates that race is not a fixed construct but rather that it is socially constructed.

### Biology and Genetics[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-7)]

The social constructionist approach has not completely occluded other perspectives. Some sociologists (and other researchers) still believe that race is a valid and useful measure when understood as [fuzzy sets](http://en.wikipedia.org/wiki/fuzzy_set), [clusters](http://en.wikipedia.org/wiki/Data_clustering), or [extended families](http://en.wikipedia.org/wiki/Kinship_and_descent).

Genetic data can be used to infer population structure and assign individuals to groups that often correspond with their self-identified geographical ancestry (e.g., African, Asian, etc.). Recent research indicates that self-described race is a very good indicator of an individual's genetic profile, at least in the United States. Using 326 genetic markers, Tang _et al._ (2005)[[170]](Print_version.html#cite_note-Tang2005-182) identified 4 genetic clusters among 3,636 individuals sampled from 15 locations in the United States, and were able to correctly assign individuals to groups that correspond with their self-described race (white, African American, East Asian, and Hispanic) for all but 5 individuals (an error rate of 0.14%). They concluded that ancient ancestry/geography, which correlates highly with self-described race and not current place of residence, is the major determinant of genetic structure in the US population. The implications of such research are significant and can be seen in different health conditions prevalent among racial and ethnic groups (see extended discussion below).

In general, genetic variation within racial groups is greater than genetic variation between them.[[157]](Print_version.html#cite_note-Cavalli1996-169) However, the existence of genetic differences among races is well accepted. In general, genetic clusters exist that correspond tightly to the census definition of race and to self-identified ancestry. Certain genetic conditions are more common among certain races. For example, approximately 1 in 29 individuals of Northern European descent are carriers of a mutation that causes cystic fibrosis, whereas only about 1 in 65 African Americans is a carrier ([source](http://www.acog.org/from_home/wellness/cf001.htm)). There is a subset of conditions for which individuals of Ashkenazi Jewish descent are at increased risk (see [here](http://en.wikipedia.org/wiki/Ashkenazi#Genetics)). Based on this knowledge individuals can be offered genetic testing based on their race, which can determine whether they are at increased risk to have a child with one of these conditions. The association between race and genetics breaks down for groups, such as [Hispanics](http://en.wikipedia.org/wiki/Hispanic), that exhibit a pattern of geographical stratification of ancestry.

There is an active debate among biomedical researchers about the meaning and importance of race in their research. Proponents of using race in biomedical research argue that ignoring race will be detrimental to the health of minority groups. They argue that disease risk factors differ substantially between racial groups, that relying only on genotypical classes - differences in genes - ignores non-genetic racial factors that impact health (e.g., poverty rates) and that minorities would be poorly represented in clinical trials if race were ignored. However, some fear that the use of racial labels in biomedical research runs the risk of unintentionally exacerbating health disparities, so they suggest alternatives to the use of racial taxonomies.

The primary impetus for considering race in biomedical research is the possibility of improving the prevention and treatment of [diseases](http://en.wikipedia.org/wiki/disease) by predicting hard-to-ascertain factors on the basis of more easily ascertained characteristics. Indeed, the first medication marketed for a specific racial group, [BiDil](http://www.google.com/url?sa=U&start=1&q=http://www.nitromed.com/BiDil.shtml&e=9888) was recently approved by the U.S. FDA. A large study of African American males showed a 43% reduction in deaths and a 39% decrease in hospitalizations compared to a placebo. Interestingly, this drug would never have been approved if the researchers had not taken note of racial groups and realized that although the medication was not effective in previous clinical trials, it appeared to be effective for the small proportion of African-Americans males who were part of the study ([source](http://www.cbsnews.com/stories/2005/06/23/health/main703873.shtml)). Despite the controversy, it is clear that race is associated with differential disease susceptibility. Examples of some of these differences are illustrated in the table below.

**Diseases that differ in frequency by race or ethnicity (adapted from Halder & Shriver, 2003).**[[171]](Print_version.html#cite_note-Halder2003-183)

Disease High-risk groups Low-risk groups Reference(s)

[Obesity](http://en.wikipedia.org/wiki/Obesity)
African women, Native Americans South Asians, Pacific Islanders, Aboriginal Australians
Europeans
McKeigue, et al. (1991)[[172]](Print_version.html#cite_note-McKeigue1991-184); Hodge & Zimmet (1994)[[173]](Print_version.html#cite_note-Hodge1994-185)

Non-insulin dependent [diabetes](http://en.wikipedia.org/wiki/diabetes)
South Asians, West Africans, Peninsular Arabs, Pacific Islanders and Native Americans
Europeans
Songer & Zimmet (1995)[[174]](Print_version.html#cite_note-Songer1995-186); Martinez (1993)[[175]](Print_version.html#cite_note-Martinez1993-187)

[Hypertension](http://en.wikipedia.org/wiki/Hypertension)
African Americans, West Africans
Europeans
Douglas et al. (1996);[[176]](Print_version.html#cite_note-Douglas1996-188) Gaines & Burke (1995)[[177]](Print_version.html#cite_note-Gaines1995-189)

[Coronary heart disease](http://en.wikipedia.org/wiki/Coronary_heart_disease)
South Asians
West African men
McKeigue, et al. (1989)[[178]](Print_version.html#cite_note-McKeigue1989-190); Zoratti (1998)[[179]](Print_version.html#cite_note-Zoratti1998-191)

End-stage [renal disease](http://en.wikipedia.org/wiki/renal_disease)
Native Americans and African populations
Europeans
Ferguson & Morrissey (1993)[[180]](Print_version.html#cite_note-Ferguson1993-192)

[Dementia](http://en.wikipedia.org/wiki/Dementia)
Europeans
African Americans, Hispanic Americans
Hargrave, et al. (2000)[[181]](Print_version.html#cite_note-Hargrave2000-193)

Systemic [lupus erythematosus](http://en.wikipedia.org/wiki/lupus_erythematosus)
West Africans, Native Americans
Europeans
Molokhia & McKeigue (2000)[[182]](Print_version.html#cite_note-Molokhia2000-194)

[Skin cancer](http://en.wikipedia.org/wiki/Skin_cancer)
Europeans
 
Boni, et al. (2002)[[183]](Print_version.html#cite_note-B.C3.B6ni2002-195)

[Lung cancer](http://en.wikipedia.org/wiki/Lung_cancer)
Africans, European Americans(Caucasians)
Chinese, Japanese
Schwartz & Swanson (1997)[[184]](Print_version.html#cite_note-Schwartz1997-196); Shimizu, et al. (1985)[[185]](Print_version.html#cite_note-Shimizu1985-197)

[Prostate cancer](http://en.wikipedia.org/wiki/Prostate_cancer)
Africans and African Americans
 
Hoffman, et al. (2001)[[186]](Print_version.html#cite_note-Hoffman2001-198)

[Multiple sclerosis](http://en.wikipedia.org/wiki/Multiple_sclerosis)
Europeans
Chinese, Japanese, African Americans, Turkmens, Uzbeks, Native Siberians, New Zealand Maoris
Rosati (2001)[[187]](Print_version.html#cite_note-Rosati2001-199)

[Osteoporosis](http://en.wikipedia.org/wiki/Osteoporosis)
European Americans
African Americans
Bohannon (1999)[[188]](Print_version.html#cite_note-Bohannon1999-200)

### Combining Approaches[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-8)]

Perhaps the best way to understand race is to recognize that the socially constructed boundaries and biological/genetic elements overlap. There are clearly biological differences between races, though they are small and, as noted above, there is greater variation within races than between races. But the actual criteria used for racial classifications are artificial and socially constructed, as was shown in the cases of the U.S. and Brazil.

By recognizing the overlap between the two, we are presented with a better understanding of race. However, distinctions between racial groups are declining due to intermarriage and have been for years. For instance, self-described African Americans tend to have a mix of West African and European ancestry. Shriver _et al_. (2003)[[189]](Print_version.html#cite_note-Shriver2003-201) found that on average African Americans have ~80% African ancestry. Likewise, many white Americans have mixed European and African ancestry; ~30% of whites have less than 90% European ancestry. If intermarrying of races and ethnicities continues, the biological and genetic distinctions will grow increasingly minute and undetectable. If a completely heterogeneous population ultimately develops, any racial classifications in that population would be nothing more than social constructs.

Controversies surrounding the definition of _race_ will likely continue for some time. But there are important considerations that go beyond the definition of race. Race and race-related issues continue to impact society. Racial discrimination in employment and housing still occurs (source). Because race remains a significant factor in social life, sociologists feel compelled to study its effects at multiple levels.

## Prejudice, Bias, and Discrimination[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-9)]

**Prejudice** is, as the name implies, the _pre-judging_ of something. Prejudice involves coming to a judgment on a subject before learning where the preponderance of evidence actually lies. Alternatively, prejudice can refer to the formation of a judgment without direct or actual experience. Prejudice generally refers to negative views of an individual or group of individuals, often based on [social stereotypes](http://en.wikipedia.org/wiki/social_stereotypes). At its most extreme, prejudicial attitudes advocate denying groups benefits and rights without warrant and based solely on the unfounded views of the individual. It should be kept in mind that prejudice is a belief and may not translate into **discrimination**, which is the actual mistreatment of a group or individual based upon some criteria or characteristic. Although prejudice can lead to discrimination, the two are separate concepts.

Technically, prejudice should be differentiated from viewpoints accumulated through direct life experience. Such viewpoints or beliefs are not pre-judgments but post-judgments. If the assertion is made that no amount of experience ever entitles a person to a viewpoint then this precipitates a logical absurdity since anyone who opposes strongly-held views must, by their own definition, also be prejudiced, invalidating their own proposition on the grounds of... _prejudice_. Post-judgments or beliefs and viewpoints derived from experience that maintain unfair or stereotypical perspectives on a group of people is more accurately referred to as **bias**. Prejudice can be taught, socialized, or conveyed through other means, like mass media. Bias can develop through pronounced negative interactions with the stereotyped groups.

Both bias and prejudice are generally viewed as negative. However, some sociologists have argued that prejudices and biases can be seen as necessary human adaptations facilitating survival. In fact, there is evidence to suggest that humans have an innate or basic preference for people who are like them, specifically when it comes to race.[[190]](Print_version.html#cite_note-Xu2009-202) Humans express more empathy when members of their own racial group experience pain compared to when individuals of other racial groups experience pain. This suggests prejudice and biases may have a biological component. Since humans do not always have sufficient time to form personal views on every other group of people, particularly people in opposition to one's own group(s), prejudices and biases may facilitate interactions (although negatively). Prejudice may also be detrimental to the individual personally by pre-judging a potential ally (e.g. refusing to patronize the only doctor in a town because he or she is black). Despite having innate preferences towards individuals who look like we do, there is substantial evidence that suggests most prejudicial attitudes and biases are learned and can be unlearned.

## Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-10)]

**Racism** can refer to any or all of the following beliefs and behaviors:

  * race is the primary determinant of human capacities (prejudice or bias)
  * a certain race is inherently superior or inferior to others (prejudice or bias)
  * individuals should be treated differently according to their racial classification (prejudice or bias)
  * the actual treating of individuals differently based on their racial classification (discrimination)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4a/"Colored"_drinking_fountain_from_mid-20th_century_with_african-american_drinking.jpg/250px-"Colored"_drinking_fountain_from_mid-20th_century_with_african-american_drinking.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An African-American drinks out of a water cooler designated for use by _colored_ patrons in 1939 at a streetcar terminal in Oklahoma City.

Racism is recognised by many as an affront to basic human dignity and a violation of [human rights](http://en.wikipedia.org/wiki/human_rights). Racism is opposed by almost all mainstream voices in the United States. A number of international treaties have sought to end racism. The United Nations uses a definition of _racist discrimination_ laid out in the _International Convention on the Elimination of All Forms of Racial Discrimination_ and adopted in 1965:

    ...any distinction, exclusion, restriction or preference based on race, colour, descent, or national or ethnic origin which has the purpose or effect of nullifying or impairing the recognition, enjoyment or exercise, on an equal footing, of human rights and fundamental freedoms in the political, economic, social, cultural or any other field of public life. [source](http://www.unhchr.ch/html/menu3/b/d_icerd.htm)

### Expressions of Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-11)]

Racism may be expressed individually and consciously, through explicit thoughts, feelings, or acts, or socially and unconsciously, through institutions that promote inequalities among _races_.

#### Individual-Level Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-12)]

Individual-level racism is prejudice, bias, or discrimination displayed in an interaction between two or more people. Examples of individual-level racism could include:

  * a person believing people of other races/ethnicities are intellectually inferior and that the inferiority is a characteristic of the race
  * a person holding the belief that all young African males are dangerous
  * an employer firing someone because of his/her race

Children develop an awareness of race and racial stereotypes quite young (between the ages of 5 and 11) and these racial stereotypes affect behavior.[[191]](Print_version.html#cite_note-McKown2009-203) For instance, children who identify with a racial minority that is stereotyped as not doing well in school tend to not do well in school once they learn about the stereotype associated with their race.[[191]](Print_version.html#cite_note-McKown2009-203) Another illustration of individual-level racism in society is the resistance of Americans to classify mixed-race individuals as white if they have even "one-drop" of black ancestry.[[192]](Print_version.html#cite_note-Ho2011-204) While most Americans may believe the "[one-drop rule](http://en.wikipedia.org/wiki/One-drop_rule)" is no longer relevant in society today, recent research suggests that it persists in racial classifications, even if they are informal.

#### Structural Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-13)]

_Structural_ racism refers to inequalities built into an organization or system. An example of structural racism can be seen in recent research on workplace discrimination.[[193]](Print_version.html#cite_note-Bertrand2004-205) There is widespread discrimination against job applicants whose names were merely perceived as "sounding black." These applicants were 50% less likely than candidates perceived as having "white-sounding names" to receive callbacks for interviews, no matter their level of previous experience. The researchers view these results as strong evidence of unconscious biases rooted in the country's long history of discrimination. This is an example of structural racism as it shows a widespread established belief system that treats people differently based upon their race. Additional examples of structural racism include [apartheid](http://en.wikipedia.org/wiki/apartheid) in South Africa, the system of [Jim Crow](http://en.wikipedia.org/wiki/Jim_Crow) laws in the U.S., and the inequitable lending practices of banks (i.e., [redlining](http://en.wikipedia.org/wiki/redlining)). The figure below illustrates structural racism by illustrating how blacks and Hispanics, even when they have the same income as whites, are less likely to be approved for home mortgages (as a result of practices like redlining).

![Race-ethnicity and mortgages.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Race-ethnicity_and_mortgages.png/600px-Race-ethnicity_and_mortgages.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Another example of structural racism is the discrimination faced by Asian Americans in attaining leadership positions in corporations. While Asian Americans are over-represented in professional occupations in the US, they are under-represented among corporate elite. Approximately 5% of the US population is Asian American, but just .3% of of corporate officers are Asian American.[[194]](Print_version.html#cite_note-Sy2010-206) The under-representation of Asian Americans is particularly surprising considering they are perceived to be highly capable, particularly in technical occupations. But they are also perceived to be less capable leaders due to a perception that they lack charisma. The result is structural racism: corporate advancement is structured such that Asian Americans are over-looked for leadership positions.

#### Cultural Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-14)]

_Cultural_ racial discrimination, a variation of structural racism, occurs when the assumption of inferiority of one or more races is built into the culture of a society. In this perspective, racism is an expression of culture and is also passed on through the transmission of culture (i.e., socialization). An interesting twist on this type of prejudice can be seen in how high achieving secondary school students are treated. African American and Native American students with high GPAs are rejected by their peers while Asian American and white students with high GPAs experience greater social acceptance.[[195]](Print_version.html#cite_note-Fuller-Rowell2010-207) This suggests that different racial and ethnic groups are rewarded for academic achievement while others are punished, potentially leading to members of those groups to pursue academic success while others are discouraged from doing so.

#### Historical Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-15)]

_Historical economic or social disparity_ is a form of inequality caused by past racism, affecting the present generation through deficits in the formal education and other kinds of preparation in the parents' generation, and, through primarily unconscious racist attitudes and actions on members of the general population. This perspective argues that African-Americans, in particular, in the U.S. have had their opportunities in life adversely affected due to the mistreatment of their ancestors (see [slavery](http://en.wikipedia.org/wiki/slavery)). Disparities in wealth, [net worth](http://en.wikipedia.org/wiki/net_worth) and education lend credence to this idea.[[196]](Print_version.html#cite_note-Wilson1978-208)[[197]](Print_version.html#cite_note-Wilson1990-209) The figure below illustrates how historical racism has resulted in lower odds of inter-generational transmission of wealth, which, in turn, reduces net worth for racial and ethnic minorities in the U.S.

![Net worth by race ethnicity - 2002.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Net_worth_by_race_ethnicity_-_2002.png/600px-Net_worth_by_race_ethnicity_-_2002.png)

One response to racial disparity in the U.S. has been _[Affirmative Action](http://en.wikipedia.org/wiki/Affirmative_action)_. Affirmative Action is the practice of favoring or benefiting members of a particular race in areas such as college admissions and workplace advancement, in an attempt to create atmospheres of racial [diversity](http://en.wikipedia.org/wiki/diversity) and racial equality. Though lauded by many as a boon to society, giving the less privileged a chance at success and working to overcome historical social disparity, the practice is condemned as racially discriminatory by others.

#### Racial Profiling[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-16)]

Another type of racism is [racial profiling](http://en.wikipedia.org/wiki/Racial_profiling). Racial profiling involves the singling out of individuals based upon their race for differential treatment, usually harsher treatment. Two examples of racial profiling in the United States are often discussed. The disparate treatment of minorities by law enforcement officials is a common example of racial profiling. Another example is the disparate treatment of young, male Arabs in airports who are more likely to be subjected to extensive screening. Many critics of racial profiling claim that it is an unconstitutional practice because it amounts to questioning individuals on the basis of what crimes they might commit or could possibly commit, instead of what crimes they have actually committed.

#### Color-Blind Racism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-17)]

In the US, the avoidance of racial language by European-Americans has been used to suggest that racism is no longer an issue. However, the continued prevalence of institutional racism has led some scholars like Bonilla-Silva to argue a "new racism" exists, that has arisen during the post-Civil Rights era. Bonilla-Silva suggests that a "color-blind racism" ideology supports racism while avoiding any reference to race.

#### Genocide[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-18)]

While not exclusively the result of racial or ethnic tension, [genocide](http://en.wikipedia.org/wiki/genocide), the attempt to completely destroy a group of people based on a characteristic they share by another group of people who do not share that characteristic, is often the result of racism.[[198]](Print_version.html#cite_note-Hagan2008-210) One technique that is often used by individuals engaged in genocide and even in war is [racial epithets](http://en.wikipedia.org/wiki/racial_epithet) that [dehumanize](http://en.wikipedia.org/wiki/dehumanize) the enemy, making it easier to kill them.[[198]](Print_version.html#cite_note-Hagan2008-210)

## Minorities[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-19)]

Racism is usually directed against a **minority** population, but may also be directed against a **majority** population. The definition of a minority group can vary, depending on specific context, but generally refers to either a sub-group that does not form either a majority or a plurality of the total population, or a group that, while not necessarily a numerical minority, is disadvantaged or otherwise has less power (whether political or economic) than a dominant group. A majority is that segment of the population that outnumbers all others combined or one that is dominant.

The issue of establishing minority groups, and determining the extent of privileges they might derive from their status, is controversial. There are some who argue that minorities are owed special recognition and rights, while others feel that minorities are unjustified in demanding special rights, as this amounts to preferential discrimination and could hamper the ability of the minority to integrate itself into mainstream society (i.e. they may have difficulty finding work if they do not speak the predominant language for their geographic area).

The assimilation of minority groups into majority groups can be seen as a form of racism. In this process, the minority group sheds its distinctive traits and is absorbed into the dominant group. This presumes a loss of all characteristics which make the newcomers different. Assimilation can be voluntary or forced. Voluntary assimilation is usually the case with immigrants, who often adopt the dominant culture established earlier. Reasons that have been postulated for voluntary assimilation include:

  1. it is seen as an avenue to upward social mobility
  2. it is a way to escape prejudice and discrimination

Socially pressured to adapt, the immigrant is generally the one who takes the steps to integrate into the new environment. Learning the language of the country or region, making new friends, new contacts, finding a job or going to school. The adaptation is made more difficult when the immigrant does not speak the language of his or her new home.

Assimilation can have negative implications for national minorities or aboriginal cultures, in that after assimilation the distinctive features of the original culture will be minimized and may disappear altogether. This is especially true in situations where the institutions of the dominant culture initiate programs to assimilate or integrate minority cultures. Many [indigenous peoples](http://en.wikipedia.org/wiki/indigenous_people), such as [First Nations](http://en.wikipedia.org/wiki/First_Nations) of Canada, Native Americans of the US, [Taiwanese aborigines](http://en.wikipedia.org/wiki/Taiwanese_aborigines), and [Australian Aborigines](http://en.wikipedia.org/wiki/Australian_Aborigine) have mostly lost their traditional culture (most evidently language) and replaced it with the dominant new culture.

An example of a minority population discriminating against a majority population is seen in the racial [apartheid](http://en.wikipedia.org/wiki/apartheid) that existed until just recently in South Africa. South Africans of European descent (the minority) discriminated against the majority African population (the majority). Additional examples of minorities discriminating against majorities include two instances of colonial rule:

  * the treatment of the [Vietnamese](http://en.wikipedia.org/wiki/Vietnam) people by the [French](http://en.wikipedia.org/wiki/France)
  * the treatment of [Indians](http://en.wikipedia.org/wiki/India) by the [the British](http://en.wikipedia.org/wiki/United_Kingdom)

[Racial discrimination](http://en.wikipedia.org/wiki/Racial_discrimination) is and has been official government policy in many countries. In the 1970s, [Uganda](http://en.wikipedia.org/wiki/Uganda) expelled tens of thousands of ethnic [Indians](http://en.wikipedia.org/wiki/India). Until 2003, [Malaysia](http://en.wikipedia.org/wiki/Malaysia) enforced discriminatory policies limiting access to university education for ethnic Chinese and [Indian](http://en.wikipedia.org/wiki/Indian) students who are citizens by birth of Malaysia. Today, many other policies explicitly favoring [bumiputras](http://en.wikipedia.org/wiki/bumiputra) (Malays) remain in force. Russia launched anti-Semitic [pogroms](http://en.wikipedia.org/wiki/pogroms) against Jews in 1905 and after. During the 1930s and 1940s, attempts were made to prevent Jews from immigrating to the Middle East. Following the creation of [Israel](http://en.wikipedia.org/wiki/Israel), land-ownership in many Israeli towns was limited to [Jews](http://en.wikipedia.org/wiki/Jew), and many [Muslim](http://en.wikipedia.org/wiki/Muslim) countries expelled Jewish residents, and continue to refuse entry to Jews.

## Racial Stratification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-20)]

While race itself is a social construction, race continues to play a prominent role in societies around the world. Race is often the basis for different types of stratification. Following are some of the ways society is stratified by race.

### Race and Pollution[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-21)]

Pollution and polluting facilities are not evenly distributed in the U.S. Communities made up predominantly of racial minorities are significantly more likely to be polluted and to house factories and business that pollute extensively.[[199]](Print_version.html#cite_note-Pellow2007-211) While it might seem that this is inadvertent and not intentionally racist, the evidence suggest otherwise: these communities are systematically targeted as locations for situating polluting businesses.[[199]](Print_version.html#cite_note-Pellow2007-211)

### Interracial Marriage[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-22)]

Not until 1967 were laws outlawing interracial marriage abolished in the United States. Prior to that time, an individual from one race who married an individual from another could be jailed and fined. These laws were referred to as [miscegenation](http://en.wikipedia.org/wiki/miscegenation) laws (miscegenation means "mixing races"). This was the experience of Mildred and Richard Loving, who married in 1958 in Washington D.C., a district in the US that no longer had a law against interracial marriage.[[200]](Print_version.html#cite_note-Martin2008-212) Mildred was black; Richard was white. When they moved to Virginia shortly after their wedding, law enforcement decided to prosecute them, breaking into their home in the middle of the night and carrying them off to jail.[[200]](Print_version.html#cite_note-Martin2008-212) Both Mildred and Richard were from Virginia, where their extended family still lived. The judge who heard their case, Leon M. Bazile, told the Lovings during their trial for miscegenation that, 'if God had meant for whites and blacks to mix, he would have not placed them on different continents.'[[200]](Print_version.html#cite_note-Martin2008-212) He also seemed to take pride in telling the Lovings, "as long as you live you will be known as a felon."[[200]](Print_version.html#cite_note-Martin2008-212) The Lovings eventually contacted the [American Civil Liberties Union](http://en.wikipedia.org/wiki/American_Civil_Liberties_Union), who took their case to the Supreme Court in 1967, resulting in [Loving v. Virginia](http://en.wikipedia.org/wiki/Loving_v._Virginia), which abolished miscegenation laws in the U.S. Even so, as the diagram to the right indicates, attitudes toward interracial marriage did not immediately improve. Still as late as 2002, close to 10% of people in the U.S. favored a law prohibiting interracial marriage.

![Public opinion of interracial marriage in the United States.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Public_opinion_of_interracial_marriage_in_the_United_States.png/600px-Public_opinion_of_interracial_marriage_in_the_United_States.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## A Research Example[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-23)]

Devah Pager and Lincoln Quillian [[201]](Print_version.html#cite_note-Pager2005-213) compared employers' responses on questions involving race-related hiring practices to their actual hiring practices by sending matched pairs of young men to apply for jobs, either both of European descent or both of African descent, but one of the men had a criminal record. Pager and Quillian found that employers claimed they would be much more willing to hire an ex-offender than they were. Additionally, while the survey results showed no difference in hiring preferences between African-Americans and European-Americans, employers were more than three times as likely to call job applicants with a European lineage back in comparison to Americans with an African lineage. In short, Pager and Quillian found that employers, in their survey responses, were more open to the idea of hiring both African-Americans and ex-offenders than they were to the actual practice.

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-24)]

  * The word _race_ was introduced to English from the French in the late 16th century.
  * It is worth noting that many historical scientists, philosophers, and statesmen appear _racist_ by late-20th century standards. Contextualizing these people, their views and opinions in the cultural milieu of their day should allow the astute reader to avoid the pitfall of judging historic figures from present moral standards (i.e., whiggish historicism).

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-25)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## Recommended Readings for Students[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-26)]

  * Dugger, Celia W. 2009. “Apartheid Legacy’s in South African Schools.” The New York Times, September 20 [http://www.nytimes.com/2009/09/20/world/africa/20safrica.html?partner=rss&emc=rss](http://www.nytimes.com/2009/09/20/world/africa/20safrica.html?partner=rss&emc=rss) (Accessed September 20, 2009). 
    * This article discusses the continuing legacy of racial discrimination in South Africa. The school system under apartheid favored whites, but even since the end of apartheid, the school system continues to favor whites and the few blacks who make it into the formerly white-only schools. As a result, blacks in South Africa who attend the formerly all-black schools remain poorly educated and unable to find good work.

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Race_and_Ethnicity&action=edit&section=T-27)]

  * Times Online, ["Gene tests prove that we are all the same under the skin"](http://www.timesonline.co.uk/article/0,,8122-1331319,00.html), 27 October 2004.
  * Catchpenny mysteries of ancient Egypt, ["What race were the ancient Egyptians?"](http://www.catchpenny.org/race.html), Larry Orcutt.
  * Judy Skatssoon, ["New twist on out-of-Africa theory"](http://www.abc.net.au/science/news/stories/s1153697.htm), _ABC Science Online_, Wednesday, 14 July 2004.
  * Michael J. Bamshad, Steve E. Olson ["Does Race Exist?"](http://www.sciam.com/article.cfm?chanID=sa006&colID=1&articleID=00055DC8-3BAA-1FA8-BBAA83414B7F0000), _Scientific American_, December 2003
  * OMB Statistical Directive 15, ["Standards for Maintaining, Collecting, and Presenting Federal Data on Race and Ethnicity"](http://www.doi.gov/diversity/doc/racedata.htm), _Federal Register_, 30 October 1997.
  * Sandra Soo-Jin Lee, Joanna Mountain, and Barbara A. Koenig, ["The Reification of Race in Health Research"](http://academic.udayton.edu/health/08Research/research01.htm)
  * Michael Root, ["The Use of Race in Medicine as a Proxy for Genetic Differences"](http://philsci-archive.pitt.edu/archive/00001094/)
  * [Richard Dawkins](http://en.wikipedia.org/wiki/Richard_Dawkins): [Race and creation](http://www.prospect-magazine.co.uk/article_details.php?id=6467) (extract from [The Ancestor's Tale: A Pilgrimage to the Dawn of Life](http://en.wikipedia.org/wiki/The_Ancestor%27s_Tale:_A_Pilgrimage_to_the_Dawn_of_Life)) - On race, its usage and a theory of how it evolved. ([Prospect Magazine](http://www.prospect-magazine.co.uk/) October 2004) (see also [longer extract here](http://www.amren.com/mtnews/archives/2004/09/race_and_creati.php#))
  * From _Nova Online_: George W. Gill [argues here for the biological concept of "race"](http://www.pbs.org/wgbh/nova/first/gill.html) and, in a matching article, C. Loring Brace [argues against the existence of "race" as a biological entity](http://www.pbs.org/wgbh/nova/first/brace.html).
  * From _California Newsreel_: [Race: The Power of an Illusion](http://www.pbs.org/race), an in-depth website (companion to a [California Newsreel film](http://www.newsreel.org/nav/title.asp?tc=CN0149)), presenting the argument that while race is a biological fiction, racism permeates the structure of society. And from _[American Renaissance](http://en.wikipedia.org/wiki/American_Renaissance_\(magazine\))_, a "pro-white" publication, [Race Denial: The Power of a Delusion](http://www.amren.com/0306issue/0306issue.html#article1), a detailed critique seeking to refute the film.

See the following Wikipedia articles for more information:

  * [Clan](http://en.wikipedia.org/wiki/Clan)
  * [Ethnicity](http://en.wikipedia.org/wiki/Ethnicity)
  * [Human race](http://en.wikipedia.org/wiki/Human_race)
  * [Master race](http://en.wikipedia.org/wiki/Master_race)
  * [Miscegenation](http://en.wikipedia.org/wiki/Miscegenation)
  * [Race baiting](http://en.wikipedia.org/wiki/Race_baiting)
  * [Race card](http://en.wikipedia.org/wiki/Race_card)
  * [Racial purity](http://en.wikipedia.org/wiki/Racial_purity)
  * [Racial discrimination](http://en.wikipedia.org/wiki/Racial_discrimination)
  * [Racial superiority](http://en.wikipedia.org/wiki/Racial_superiority)
  * [Racism](http://en.wikipedia.org/wiki/Racism)

← [Deviance](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Deviance) · [Gender](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Gender) →

← [Deviance](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Deviance) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Gender](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Gender) →

# Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=14)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Kathoy1649.jpg/400px-Kathoy1649.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Transgender women performing in Thailand (known as [Kathoey](http://en.wikipedia.org/wiki/Kathoey) )

## Gender vs. Sex[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-1)]

Sociologists make a distinction between **gender** and **sex**. _Gender_ is the perceived or projected component of human sexuality while _sex_ is the [biological](http://en.wikipedia.org/wiki/biological) or genetic component.

Why do sociologists differentiate between gender and sex? Differentiating gender from sex allows social scientists to study influences on [sexuality](http://en.wikipedia.org/wiki/sexuality) without confusing the social and psychological aspects with the biological and genetic aspects. As discussed below, gender is a [social construction](http://en.wikipedia.org/wiki/social_construction). If a social scientist were to continually talk about the social construction of sex, which biologists understand to be a genetic trait, this could lead to confusion.

### Sex[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-2)]

Many [species](http://en.wikipedia.org/wiki/species) of living things are divided into two or more categories called **sexes**. These refer to complementary groups that combine genetic material in order to reproduce, a process called [sexual reproduction](http://en.wikipedia.org/wiki/sexual_reproduction). Typically, a species will have two sexes: _male_ and _female_. The female sex is defined as the one which produces the larger [gamete](http://en.wikipedia.org/wiki/gamete) (i.e., reproductive cell) and which bears the offspring. The categories of sex are, therefore, reflective of the reproductive functions that an individual is capable of performing at some point during its life cycle, and not of the mating types, which genetically can be more than two.

In [mammals](http://en.wikipedia.org/wiki/Mammalia) (and many other species) sex is determined by the sex chromosomes, called X and Y. For mammals, males typically have one of each (XY), while females typically have two X chromosomes (XX). All individuals have at least one X chromosome, the Y chromosome is generally shorter than the X chromosome with which it is paired, and is absent in some species. In humans, _sex_ is conventionally perceived as a dichotomous state or identity for most biological purposes, such that a person can only be _female_ or _male_.

### Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-3)]

Gender is the socially constructed component of human sexuality. _Gender_ is an inner feeling that you are male, female, both, neither, or somewhere in between. Perhaps the best way to understand gender is to understand it as a process of social presentation. Because [gender roles](http://en.wikipedia.org/wiki/gender_role) are delineated by behavioral expectations and norms, once individuals know those expectations and norms, the individual can adopt behaviors that project the gender he/she wishes to portray. One can think of gender like a role in a theatrical play - there are specific behaviors and norms associated with genders just like there are lines and movements associated with each character in a play. Adopting the behaviors and norms of a gender leads to the perception that someone belongs in that gender category. Gender roles are, unlike sex, mutable, meaning they can change. Gender is not, however, as simple as just choosing a role to play but is also influenced by parents, peers, culture, and society.

Some examples may help illustrate the distinction between gender and sex. Parents may socialize a biological boy (XY chromosomes) into what is perceived as a traditionally masculine role, that includes characteristics like: independence, courage, and aggressiveness. Likewise, parents may socialize a biological female (XX chromosomes) into what is perceived as a traditionally feminine role, that includes characteristics like: submissiveness, emotionality, and empathy. Assuming both children feel like their gender roles fit their [identities](http://en.wikipedia.org/wiki/identity), the masculine boy and feminine girl will behave in ways that reflect their genders. For instance, the boy may play with toy soldiers and join athletic teams. The girl, on the other hand, may play with dolls and bond with other girls in smaller groups.

**Traditional Gender Characteristics**

feminine characteristics masculine characteristics

submissive
dominant

dependent
independent

emotional
rational

receptive
assertive

intuitive
analytical

timid
brave

passive
active

sensitive
insensitive

However, gender is fluid and can change. This can be seen by continuing the above example. It is possible for the boy to decide later in life that he no longer wishes to portray himself as traditionally masculine. The boy may adopt some traditionally feminine characteristics and become [androgynous](http://en.wikipedia.org/wiki/androgyny), or may adopt a feminine persona altogether (see the photos of cross-dressing drag queens for an example of this type of gender construction). Either change would involve adopting the behaviors and norms that go along with the intended gender. The same is true for the girl, who may adopt masculine characteristics.

### Gender Discordance[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-4)]

A significant proportion of the human population does not correspond exclusively to either _female_ or _male_ genders or sexes. When gender identity and biological sex conflict, the result is sex _[discordance](http://en.wikipedia.org/wiki/discordance)_. Some discordances are purely biological, such as when the sex of the chromosomes (_genetic sex_) does not match the sex of the external genitalia (_anatomic sex_). For more extensive discussion of this type of discordance, see this article on [intersex](http://en.wikipedia.org/wiki/Intersex).

![](../../../upload.wikimedia.org/wikipedia/commons/9/98/Dragqueens.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Men dressed in [drag](http://en.wikipedia.org/wiki/Drag_\(clothing\)) in Montreal, Canada.

Discordances between the biological (sex) and psychosocial (gender) components of gender, such as when the gender does not match the anatomic sex, are even more common but less well understood. The vast majority of people who are discordant in some aspect of psyche or behavior do not have any detectable biological intersex condition. Human societies respond to, or accommodate, these behavioral and psychological discordances in many different ways, ranging from suppression and denial of difference to acknowledging various forms of _third sex_ (see the [Kothoey](http://en.wikipedia.org/wiki/Kothoey) pictured above).[[202]](Print_version.html#cite_note-Bilefsky2008-214)[[203]](Print_version.html#cite_note-Lacey2008-215)

Some societies identify youths with atypical behavioral characteristics and, instead of giving them corrective therapy or punishing them, socialize them in such a way that their individual characteristics let them provide a useful function for the society in a recognized and respected role. Some of the roles these individuals may assume include: [shaman](http://en.wikipedia.org/wiki/shaman), [medicine man](http://en.wikipedia.org/wiki/medicine_man), [tong-ki](http://en.wikipedia.org/wiki/tong-ki), [berdache](http://en.wikipedia.org/wiki/berdache), [hijra](http://en.wikipedia.org/wiki/hijra_\(India\)), [xanith](http://en.wikipedia.org/wiki/xanith), and [transgender](http://en.wikipedia.org/wiki/transgender).

Gender discordance leads to the understanding that what we traditionally understand to be feminine and masculine characteristics are social (and cultural) constructions. Some people have sought to define their sexuality and sexual identity in non-polar terms in the belief that the simple division of all humans into _males_ and _females_ does not fit their individual conditions. A proponent of this movement away from polar oppositions, [Anne Fausto-Sterling](http://en.wikipedia.org/wiki/Anne_Fausto-Sterling), once suggested we recognize five sexes: male, female, merm, ferm and herm. Although quickly rejected as a bizarre flouting of human nature and social reality and inimical to the interests of those whom she was attempting to champion, it expresses the difficulty and imperfection of the current social responses to these variations.

## Biological Differences[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-5)]

While much of this chapter focuses on the socially constructed differences between men and women, it is also important to note there are some clear [physiological](http://en.wikipedia.org/wiki/physiology) differences between the two sexes. In addition to different sex organs and sex chromosomes, the average male is 10 percent taller, 20 percent heavier, and 35 percent stronger in the upper body than the average female[[204]](Print_version.html#cite_note-Ehrenreich1999-216) Some researchers believe that these physiological differences may have been influenced by social/cultural decisions in our evolutionary past.[[205]](Print_version.html#cite_note-Buss2003-217) Even so, when measured against their own body size, rather than on an absolute scale (e.g., how much women can carry relative to their body size versus how much men can carry relative to their body size), actual strength differences are minimal.[[206]](Print_version.html#cite_note-Ebben1998-218)

Women, for reasons still somewhat undetermined, tend to outlive men. Women's life expectancy in the U.S. is 79.8 years; men's is 74.4.[[207]](Print_version.html#cite_note-CDC2003-219) Some believe this difference is due to the riskier lifestyles of men, especially earlier in life, combined with their typically more physically stressing occupations.[[130]](Print_version.html#cite_note-Williams2003-142)

Behaviorally, age of sitting, teething, and walking all occur at about the same time in men and women. However, men enter [puberty](http://en.wikipedia.org/wiki/puberty) on average two years later than do women.[[208]](Print_version.html#cite_note-Plant1995-220) There are no significant differences in intelligence, happiness, or self-esteem between men and women.[[6]](Print_version.html#endnote_Diener1999) However, women are, statistically, twice as vulnerable to anxiety disorders and depression, but only one-third as vulnerable to suicide and one-fifth as vulnerable to alcoholism.[[209]](Print_version.html#cite_note-Cantor2000-221) Women attempt suicide more often than men but have lower rates of "success", because their preferred methods do not involve firearms, unlike men. Women are also less likely to suffer hyperactivity or speech disorders as children or to display antisocial personalities as adults.[[210]](Print_version.html#cite_note-Myers1996-222) Finally, women have slightly more olfactory receptors on average and are more easily re-aroused immediately after orgasm.[[210]](Print_version.html#cite_note-Myers1996-222)

Much evidence has shown that there are differences in male and female brains. In fact, the temporal lobe, which is the part of the brain associated with language and emotion, develops up to 4 years earlier in girls in comparison to boys[[211]](Print_version.html#cite_note-Steinberg2008-223) On the other hand, the left parietal lobe, which is associated with mathematical and spatial reasoning, is thought to develop up to 4 years earlier in boys. This difference could account for the fact that girls are sometimes thought to be better when it comes to language and are more emotional, while boys are thought to be better in math. As well, some say that girls are better at hearing than boys. A typical teenaged girl hears up to 7 times better than a typical teenaged boy. This could possibly explain why boys are diagnosed with ADHD more often.[[212]](Print_version.html#cite_note-CDC2008-224). Lastly there is a difference between sight for girls and boys. Girls are able to see facial expressions / emotions better while boys are able to see motion better. Girls use the p-cells in the retina, which are associated with texture and color, while boys use m-cells, which are associated with motion.

## Social and Psychological Differences[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-6)]

As the previous section outlined, some gender differences are attributable to biology. However, there are a number of gender differences that vary by society, environment, and/or culture, indicating they are social constructions. For example, in work group situations in the U.S., men tend to focus on the task at hand whereas women tend to focus more on personal relationships.[[213]](Print_version.html#cite_note-Gabriel1999-225) When eating, women eating with men tend to eat fewer calories than when they are eating with women.[[214]](Print_version.html#cite_note-Young2009-226) Both of these differences in behavior vary by culture and are therefore believed to be socially constructed. Two detailed examples of socially constructed gender differences are presented below: workforce differences and education.

### Work and Occupations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-7)]

![Labor force participation rates - 1960-2045.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/05/Labor_force_participation_rates_-_1960-2045.png/300px-Labor_force_participation_rates_-_1960-2045.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An often discussed and debated difference between men and women involves work and occupations. Women's participation in the workforce has varied significantly over time. Prior to the development of capitalism and factory-type work, women played a significant role in food production and household maintenance. With the advent of capitalism and labor outside of the home, women continued to play a significant role, though their participation in paid labor outside the home initially diminished. Also, women's participation in the labor force varied (and varies) depending on marital status and social class.

![Employed civilians by occupation and sex - 2007.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/72/Employed_civilians_by_occupation_and_sex_-_2007.png/300px-Employed_civilians_by_occupation_and_sex_-_2007.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Current U.S. labor force statistics illustrate women's changing role in the labor force. For instance, since 1971, women's participation in the labor force has grown from 32 million (43.4% of the female population 16 and over) to 68 million (59.2% of the female population 16 and over).[[7]](http://www.bls.gov/cps/cpsaat2.pdf) Women also make, on average, $17,000 less than do men.[[8]](http://www.census.gov/prod/2004pubs/censr-15.pdf) Women tend to be concentrated in less prestigious and lower paying occupations[[215]](Print_version.html#cite_note-Bose1983-227) that are traditionally considered _women's jobs_ (also referred to as _pink collar_ jobs).[[9]](http://www.census.gov/prod/2004pubs/censr-15.pdf) Finally, women are not paid the same wages as men for similar work. This difference is often illustrated as a ratio, as shown in the graph below. Women tend to make between 75% and 91% of what men make for comparable work, though it depends on how the comparison is made. For instance, college educated women between 26 and 45 earned 74.7 cents in hourly pay for every dollar men in the same group made in 2005.[[216]](Print_version.html#cite_note-Leonhardt2006-228) However, if you compare women and men with similar profiles and qualifications, the gap is smaller: women make about 91% of what men make, at least they have since the 1980s.[[216]](Print_version.html#cite_note-Leonhardt2006-228) In the 1970s, similarly qualified women made only 82% as much as their male counterparts.

However, at all educational and skill levels, women still make less than men, as illustrated in the figure below. That women earn less than men with equal qualifications helps explain why women are enrolling in college at higher rates than are men - they require a college education to make the same amount as men with a high school diploma.

![Average earnings of workers by education and sex - 2006.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Average_earnings_of_workers_by_education_and_sex_-_2006.png/600px-Average_earnings_of_workers_by_education_and_sex_-_2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/1999_earnings_ratio.jpg/300px-1999_earnings_ratio.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Ratio of Women's Earnings to Men's Earnings by Earnings Precentile: 1999

The gap between men's and women's wages narrowed during the 1980s and mid 1990s, but that momentum has fallen off and the distance now appears to have stagnated.[[216]](Print_version.html#cite_note-Leonhardt2006-228) The gap in income between genders used to be similar between middle-class and affluent workers, but it is now widest among the most highly paid. A woman making in the 95th percentile in 2006 would earn about $95,000 per year; a man in the 95th earning percentile would make about $115,000, a 28% difference (and that's not including the highest earners, who are predominantly men).[[216]](Print_version.html#cite_note-Leonhardt2006-228) The narrowing of the gap in pay has also been called into question.[[217]](Print_version.html#cite_note-Mulligan2008-229) While it appears there has been a narrowing of the gap in pay between men and women, Mulligan and Rubinstein[[217]](Print_version.html#cite_note-Mulligan2008-229) show that much of the narrowing is actually the result of the most able women entering the workforce and not decreases in the pay gap between men and women. Thus, even the apparent narrowing of pay between the sexes likely overestimates the actual differences in pay.

![Changes in percentages of professionals by gender.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1e/Changes_in_percentages_of_professionals_by_gender.png/300px-Changes_in_percentages_of_professionals_by_gender.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

It is quite difficult for women to climb to the top in the business world. For instance, only 3% of tech firms and just 1% of high-tech firms were founded by women and very few are headed by women.[[218]](Print_version.html#cite_note-Wadhwa2010-230) But the women who do climb to the top of the organizational ladder in business also experience both overt and covert discrimination.[[219]](Print_version.html#cite_note-Haslam2009-231) For instance, companies with women on the board of directors have lower stock evaluations than do companies with exclusively male boards.[[219]](Print_version.html#cite_note-Haslam2009-231) This is likely a reflection of the lack of shareholder trust in women. Women are also often put into leadership positions in corporations when companies are in a crisis and have little hope for recovery, resulting in poorer evaluations of women in leadership positions.[[220]](Print_version.html#cite_note-Ryan2005-232) The phenomenon of putting women into leadership positions when companies are in trouble is referred to as "the glass cliff" and is also observed in politics, as women are disproportionately chosen to run in elections when it is almost guaranteed that the incumbent male candidate will win.[[221]](Print_version.html#cite_note-Ryan2010-233)

The most common explanation for the wage gap between men and women is the finding that women pay a motherhood wage penalty[[222]](Print_version.html#cite_note-Budig2001-234), regardless of whether or not they are actually mothers. You can think about this from the perspective of a potential employer: If you have two equally qualified candidates for a position, both are in their mid-twenties, married, and straight out of college, but one is a male and the other is female, which would you choose? Many employers choose men over women because women are "at risk" of having a child, even though they may not want to have children. And, of course, to the potential employer accommodating a pregnant woman and mother is more cumbersome than a male turned father (despite the obvious need for children to continue our species). Thus, women pay a penalty for their ability to give birth. Additionally, when women do have children, this often requires a period of time outside the workforce, whether it's six weeks or several months. Employers take the time off into account when considering raises. The "Mommy track" often results in women making less money than equally qualified men who have been in the same job for the same amount of time because women take time off to have children and are often responsible for taking care of children while men rarely do so. Thus, women are often paid less despite having the same qualifications because they are (1) at risk of having children or (2) do have children and are penalized for doing so.

Another possible explanation for the wage gap between men and women has recently been proposed - customer bias towards white males.[[223]](Print_version.html#cite_note-Hekman2009-235) Hekman et al. (2009) found that customers who viewed videos featuring a black male, a white female, or a white male actor playing the role of an employee helping a customer were 19% more satisfied with the white male employee's performance and also were more satisfied with the store's cleanliness and appearance, despite the fact that all three actors performed identical, read the same script, and were in the exact same location with identical camera angles and lighting. They provide further evidence to support this claim by noting that white male doctors are rated as more approachable and competent than other doctors. They interpret their findings to suggest that employers are willing to pay more for white male employees because employers are customer driven and customers are happier with white male employees. They also suggest that what is required to solve the problem of wage inequality isn't necessarily paying women more but changing customer biases. Additional reasons for disparity in pay are discussed below.

Another factor that may contribute to the higher wages of white men is the number of job leads they receive.[[224]](Print_version.html#cite_note-McDonald2009-236) White men, particularly those in management positions, receive more job leads from friends and colleagues than do white women and Hispanic men and women. Black men and women receive about as many job leads and tips, but only for non-management jobs. As many jobs result from social networking, white males are advantaged by their higher number of job leads, potentially contributing to their higher salaries and more prestigious jobs.

### Education[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-8)]

Another often studied difference between men and women is educational attainment. For a long time, higher education (undergraduate and graduate education) was an exclusively male bastion. Women did eventually gain access to institutions of higher learning, but parity or equality on a number of levels has still not been achieved. One measure of educational attainment where women have made great inroads is in college attendance. In 1960, 37.9% of female high school graduates enrolled in college, compared with 54.0% of male high school graduates. In 2002, more female high school graduates were enrolling in college than males, 68.4% of females vs. 62.1% males.[[10]](http://nces.ed.gov/programs/digest/d03/tables/pdf/table186.pdf) Women have, in fact, made significant progress in this respect. Women now earn more Bachelors and Masters degrees than do men, and for the first time in 2009, they earned more PhDs.[[11]](http://www.cgsnet.org/portals/0/pdf/N_pr_ED2009.pdf) Women have made significant inroads into some of the traditionally most prestigious professions as well: 40% of medical school graduates are women and women make up large percentages of law school students as well.[[216]](Print_version.html#cite_note-Leonhardt2006-228)

Despite the progress, there are still problems. While women are entering college at higher rates and even earning more degrees, the degrees are in less prestigious areas (e.g., social sciences and humanities compared to physical sciences) and women with degrees still earn less than do men with comparable degrees.[[225]](Print_version.html#cite_note-Jacobs1996-237) For instance, in medicine, women tend to concentrate in lower paying specialties (e.g., dermatology and family medicine). The highest paid specialties are dominated by men and will be for decades to come, based on the pipeline of residents: 28% of radiology residents in 2004-5 were women, and only 10% of orthopedic surgery residents were.[[216]](Print_version.html#cite_note-Leonhardt2006-228)

At the primary and secondary levels, girls don't often do as well as boys, particularly in math and the sciences. One recent study offers a partial explanation for why this might be the case: highly math-anxious female teachers in elementary school pass their math-anxiety on to the girls in the classroom, but not to the boys.[[226]](Print_version.html#cite_note-Beilock2010-238) At the beginning of the class, there were no differences in math anxiety between the boys and girls, but in classes taught by female math-anxious teachers, girls developed math anxiety and boys did not. This anxiety led girls to believe boys were better at math than girls, though there is no evidence to suggest that is actually the case.[[226]](Print_version.html#cite_note-Beilock2010-238)

## Sexism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-9)]

**Sexism** is [discrimination](http://en.wikipedia.org/wiki/discrimination) against people based on their sex or gender. Sexism can refer to three subtly different beliefs or attitudes:

  * The belief that one sex is superior to the other.
  * The belief that men and women are very different and that this should be strongly reflected in society, language, the right to have sex, and the law.
  * It can also refer to simple hatred of men ([misandry](http://en.wikipedia.org/wiki/misandry)) or women ([misogyny](http://en.wikipedia.org/wiki/misogyny)).

Many peoples' beliefs on this topic range along a continuum. Some people believe that women should have equal access to all jobs. Others believe that while women are superior to men in a few aspects, in most aspects men are superior to women.

![](../../../upload.wikimedia.org/wikipedia/commons/0/05/Votingwomen.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Women voting in [Bangladesh](http://en.wikipedia.org/wiki/Bangladesh).

Sexist beliefs are an example of [essentialist](http://en.wikipedia.org/wiki/essentialism) thought, which holds that individuals can be understood (and often judged) based on the characteristics of the group to which they belong; in this case, their sex group (male or female). Essentialism assumes that all individuals clearly fit into the category of _male_ or _female_, which is not the case. It also assumes characteristics are immutable, which is also not the case.

A good example of sexism against women is a question that has been asked in numerous surveys over the years in the US, "Would you vote for a female candidate for president?" A 2005 Gallup poll found that 92% of Americans would vote for a female candidate, but follow-up research[[227]](Print_version.html#cite_note-Streb2008-239) found that this percentage was the result of [response bias](http://en.wikipedia.org/wiki/response_bias). When you use research techniques that allow people to express how they really feel toward women, the actual percentage who would not vote for a female candidate because she is female is closer to 26%.[[227]](Print_version.html#cite_note-Streb2008-239) Intriguingly, it is not just men who feel that way, but some women, too. In short, nearly 1/4 of Americans maintain sexist attitudes against women.

Sexism against women is often called _[chauvinism](http://en.wikipedia.org/wiki/chauvinism)_, though chauvinism is actually a wider term for any extreme and unreasonable partisanship toward a group to which one belongs, especially when the partisanship includes malice and hatred towards a rival group. Many forms of [radical feminism](http://en.wikipedia.org/wiki/radical_feminism) can legitimately be referred to as _chauvinism_. This is not common usage, however, and the term is most often used to refer to [male chauvinism](http://en.wikipedia.org/wiki/male_chauvinism).

While the view that women are superior to men is also sexism, only in recent years has an awareness of this _[reverse sexism](http://en.wikipedia.org/wiki/reverse_sexism)_ begun to develop in public discourse. Certain forms of sexual discrimination are illegal in many countries, but nearly all countries have laws that give special rights, privileges, or responsibilities to one sex.

Recent research illustrates the pervasiveness of sexism in the media.[[228]](Print_version.html#cite_note-Messner2006-240) Messner et al.[[228]](Print_version.html#cite_note-Messner2006-240) found that sports coverage on major television networks focuses predominantly on men, despite the increase in female participation in sports since the passage of [Title IX](http://en.wikipedia.org/wiki/Title_IX) in 1972. In 1971, 294,000 high school girls played interscholastic sports, compared to 3.7 million boys. By 1989 that ratio changed substantially - 1.8 million girls played sports compared to 3.4 million boys. By 2004 the ratio had changed even more - 2.9 million girls compared to 4.0 million boys. At the collegiate level, the change was also substantial. In 1972, the average college in the U.S. had two women's sports teams. In just the four years between 2000 and 2004, universities in the U.S. added 631 new women's teams.

Despite the increase in participation in sports, major network news coverage of women's sports has changed very little over the last 15 years. In 1989 women garnered only 5% of air time; in 1999 that increased to 9%, but it fell back to 6% by 2005. Sports highlights shows (e.g., ESPNS's [SportsCenter](http://en.wikipedia.org/wiki/sportscenter)) are even less accommodating, giving only 2% to 3% of air time to women. What's more, the little amount of air time given to women often portrays women's sports as "novelties" or pseudo-sports and often includes gags, like the women's nude [bungee](http://en.wikipedia.org/wiki/bungee) jump in 1999. Additionally, much of the coverage of women in sports is sexualized, as attention is often only given to women deemed "attractive" by the news anchors (e.g., [Anna Kournikova](http://en.wikipedia.org/wiki/Anna_Kournikova) and [Maria Sharapova](http://en.wikipedia.org/wiki/Maria_Sharapova)). Whether this treatment of women in sport is intentional or not, it is a clear example of sexism in the media.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Oprah_Winfrey_\(2004\).jpg/300px-Oprah_Winfrey_\(2004\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Oprah Winfrey](http://en.wikipedia.org/wiki/Oprah_Winfrey) is one of the wealthiest women in the world, an exception to the findings of Tickamyer.

Another example of gender discrimination is the disparity in wealth between men and women.[[229]](Print_version.html#cite_note-Tickamyer1981-241) Using biographical data published in magazines and books as well as IRS income reports, Tickamyer found:

  * there are fewer wealthy women than there are wealthy men
  * it is not entirely clear as to whether sources of wealth differ, but it does appear that women are more likely than men to inherit their wealth (especially from husbands)
  * the forms of women's holdings differ from men's; many women have their money in trusts, which is a safer form of investment than those used by men (e.g., stocks and bonds)
  * women are less likely to have control over their wealth than men and are less likely to be actively engaged in increasing their wealth through investments as, say, the head of a company is engaged in growing his wealth

The author attributed the differences in wealth distribution to historical instances of gender discrimination. Up until the 19th Century most women could not own property and women's participation in the paid labor force outside the home was limited. It is possible that wealth among the elite may be redistributed toward a more equal balance between the sexes with increasing numbers of women entering the workforce and moving toward more financially lucrative positions in major corporations.

The differences in income between men and women mentioned above are partially due to discrimination, but also due, in part, to some women (including highly educated women) choosing to leave the labor force and stay home with their young children. Leaving the labor force doubly impacts income: (1) It takes away immediate income, and (2) reduces experience and tenure, lowering future earning potential. Additionally, while women have made significant inroads into many highly paid fields (e.g., medicine, law), the influx of women into those fields has slowed since 2000.[[216]](Print_version.html#cite_note-Leonhardt2006-228)

Women in some organizations are suing their employers claiming gender discrimination.[[216]](Print_version.html#cite_note-Leonhardt2006-228) For instance, [Wal-Mart](http://en.wikipedia.org/wiki/Wal-Mart) is currently facing a lawsuit by some of its female employees who allege gender discrimination. Part of the plaintiffs' argument rests on the fact that, while roughly 75% of intra-store department heads are women, only 20% of store managers (who make close to $100,000 per year) are women. It is difficult to prove discrimination in such cases. In fact, many researchers point out that there may and probably are other root causes, including: differences in gender socialization (men believe they need to support their families as the primary breadwinners, leading to greater job commitment) and emphasis by the government on equality in pay and opportunity between genders.[[216]](Print_version.html#cite_note-Leonhardt2006-228)

### Violence[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-10)]

Sexism can take many forms, including preventing women from attending college and paying women less than men for comparable work. Another common form of sexism is violence, especially violence toward women. In 2002, women were the victims of over 900,000 violent crimes and over 200,000 rapes or sexual assaults.[[12]](http://www.ojp.usdoj.gov/bjs/pub/pdf/cvus02.pdf) Men are more likely to be the victims of violent crime, but far less likely to be the victims of rapes or sexual assaults.

## Theories of Gender Differences[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-11)]

### Gender Socialization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-12)]

Sociologists and other social scientists generally attribute many of the behavioral differences between genders to socialization. [As discussed in the chapter on socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization), socialization is the process of transferring norms, values, beliefs, and behaviors to future group members. In gender socialization, the groups people join are the gender categories, _males_ and _females_. Thus, gender socialization is the process of educating and instructing potential males and females as to the norms, behaviors, values, and beliefs of group membership.

Preparations for gender socialization begin even before the birth of the child. One of the first questions people ask of expectant parents is the _sex_ of the child. This is the beginning of a social categorization process that continues throughout life. Preparations for the birth often take the infant's sex into consideration (e.g., painting the room blue if the child is a boy, pink for a girl). Many of the gender differences just described are attributed to differences in socialization, though it is possible genetic and biological factors play some role. It is important to keep in mind that gender differences are a combination of social and biological forces; sometimes one or the other has a larger influence, but both play a role in dictating behavior.[[230]](Print_version.html#cite_note-Dobash1979-242)

One illustration of early life gender socialization can be seen in preschool classrooms. Children in preschool classrooms where teachers were told to emphasize gender differences saw an increase in stereotyped views of what activities are appropriate for boys and girls, while children with teachers who did not emphasize gender showed no increase.[[231]](Print_version.html#cite_note-Hilliard2010-243) This study supports the idea that subtle cues that surround us in our everyday lives strongly influence gender socialization.

Research[[232]](Print_version.html#cite_note-Greenberg1983-244) finds that gender differences in work and occupations begin with adolescents' first jobs:

  * first jobs are significantly segregated by sex
  * girls work fewer hours per week than boys
  * girls earn less per hour than boys
  * hourly wages are higher in job types dominated by males
  * girls are assigned more housework than are boys[[233]](Print_version.html#cite_note-Gerson2001-245)

Researchers attribute these differences to gender socialization and differential opportunities for boys and girls.

Another example of research finding differences in behavior between genders can be seen in the differences in self-ratings of attractiveness.[[234]](Print_version.html#cite_note-Rand1983-246) Using fifty-five Johns Hopkins University undergraduates (24 females), the authors had the students fill out questionnaires they designed as self-appraisals of attractiveness. The authors then used a panel to rate the attractiveness of the participants (an objective measure). The researchers found that women are fairly accurate in their assessments of their attractiveness but men are not. They explained their findings by discussing the salience of attractiveness for women, a characteristic learned through socialization: Attractiveness is a more important component of women's lives then men's. This is seen in the disparity between men and women in the number of cosmetic surgeries they undergo.[[235]](Print_version.html#cite_note-Carr2007-247) Of the 11.5 million cosmetic surgeries performed in 2005, women accounted for 85% to 90% of them.[[235]](Print_version.html#cite_note-Carr2007-247) Because attractiveness is so important for women, they are more attuned to their actual attractiveness than are men.

### Sociobiology[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-13)]

[Sociobiologists](http://en.wikipedia.org/wiki/sociobiology) and [evolutionary psychologists](http://en.wikipedia.org/wiki/evolutionary_psychology) argue that much of social life as we know it today has roots in human evolution and biology. According to these theories, some of the gender differences in behavior are attributable to differences in physiology. For instance, differences in sexuality and sex drives may be due to human evolution. Women, who physically invest more in the creation and bearing of children (through pregnancy), may have a greater propensity toward [monogamous](http://en.wikipedia.org/wiki/monogamy) relationships as having a partner to help them improves the chances of their child's survival. Men, on the other hand, may be inclined less toward monogamy and more toward polygamous relationships as their investment in offspring can be (and often is) far smaller than that of women. Evolutionary psychologists and sociobiologists use this theory to explain differences in sexual behavior, attitudes, and attractions between men and women: women tend to be attracted to men who can provide support (i.e., protection and resources) and prefer fewer sexual partners than do men; men, on the other hand, are attracted to fertile women (the symbols of which have changed over time) and prefer more sexual partners.[[236]](Print_version.html#cite_note-Buss1994-248)

### Structural Functionalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-14)]

In this perspective, which was developed in the 1940s and 1950s,[[237]](Print_version.html#cite_note-Parsons1964-249) genders are viewed as complementary - women take care of the home while men provide for the family. Much current research, especially after the women's movement of the 1960s and 1970s, criticizes this approach for supporting the status quo and condoning the oppression of women

### Conflict Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-15)]

In contrast to the status quo supporting structural functionalist approach, social conflict theory argues that gender is best understood in terms of power relationships. Men's dominance of women is seen as an attempt to maintain power and privilege to the detriment of women. This approach is normative in that it prescribes changes to the power structure, advocating a balance of power between genders. (See also [feminist theory](http://en.wikipedia.org/wiki/feminist_theory).)

## Research Example[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-16)]

A powerful example of how gender affects every day life comes from the recently published research of Kristen Schilt on female-to-male (FTM) transexuals in the workplace.[[238]](Print_version.html#cite_note-Schilt2006-250) Schilt interviewed FTM transsexuals after they had undergone their sexual identity changes and found that, following their change to a male identity, two-thirds of the FTM transsexuals saw increased benefits in the workplace, including receiving greater rewards for doing less work. They were also treated differently. They found that their opinions had greater authority and received more recognition for their work. The FTMs who did not experience these benefits tended to be smaller and minorities. In short, white males are privileged in the workplace, even when those "white males" were formerly white females. The lesson: Perceived gender has a powerful influence on every day social interaction.

## Additional Reading[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-17)]

[The End of Gender?](http://www.npr.org/2011/06/24/137342682/the-end-of-gender?sc=fb&cc=fp) \- This is an article that discusses some recent attempts to illustrate how gender is at least partially socially constructed.

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-18)]

"Gender" is derived from the [Old French](http://en.wikipedia.org/wiki/French_language) word _genre_, meaning "kind of thing". It goes back to the [Latin](http://en.wikipedia.org/wiki/Latin) word _genus_ (meaning "kind")

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-19)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This chapter draws heavily on the following Wikipedia articles:

  * [gender](http://en.wikipedia.org/wiki/gender)
  * [gender role](http://en.wikipedia.org/wiki/gender_role)
  * [human sexuality](http://en.wikipedia.org/wiki/human_sexuality)
  * [sex](http://en.wikipedia.org/wiki/sex)
  * [sexism](http://en.wikipedia.org/wiki/sexism)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Gender&action=edit&section=T-20)]

  * <http://www.catalystwomen.org/>
  * <http://www.census.gov/>
  * <http://www.cdc.gov/nchs/Default.htm>

Additional Information:

  * [female circumcision](http://en.wikipedia.org/wiki/Female_circumcision)
  * [feminism](http://en.wikipedia.org/wiki/feminism)
  * [human sexuality](http://en.wikipedia.org/wiki/human_sexuality)
  * [pornography](http://en.wikipedia.org/wiki/pornography)
  * [reproduction](http://en.wikipedia.org/wiki/reproduction)
  * [sexual harassment](http://en.wikipedia.org/wiki/sexual_harassment)

← [Race and Ethnicity](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Race_and_Ethnicity) · [Stratification](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Stratification) →

← [Race and Ethnicity](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Race_and_Ethnicity) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Stratification](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Stratification) →

# Stratification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=15)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/60/Pic_1_cape_verde_children_carrying_loads.jpg/400px-Pic_1_cape_verde_children_carrying_loads.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 1. Cape Verde is geographically and economically isolated from the rest of the world.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Pic_2_cape_verde_water.jpg/400px-Pic_2_cape_verde_water.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 2. Most of the population in Cape Verde collects water at public water channels.

![](../../../upload.wikimedia.org/wikipedia/commons/5/53/Pic_3_cape_verde_woman_pounding_corn.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 3. Corn is crushed with pestle and mortar in Cape Verde. Women’s daily chores in the rural areas consist of crushing corn, collecting water, cleaning fish, and washing clothes by hand.

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-1)]

Stratification affects our everyday lives.[[239]](Print_version.html#cite_note-Hurst2010-251)[[240]](Print_version.html#cite_note-Roberts2007-252)

Stratification refers to the hierarchical arrangement of people in a society. This chapter focuses on economic stratification; meaning how people are differentiated based upon their wealth (and/or power). Sociology has a long history of studying stratification and teaching about various kinds of inequality, including economic inequality, racial/ethnic inequality, gender inequality, and other types of inequality. Inequality means people have unequal access to scarce and valued resources in society. These resources might be economic or political, such as health care, education, jobs, property and land ownership, housing, and ability to influence government policy.

Statistics on United States and global inequality are widespread and alarming. Consider this:

  * Just 400 Americans have the same wealth as half of all Americans combined[[241]](Print_version.html#cite_note-Moore2011-253)
  * Just 25 Americans have a combined income almost as great as the combined income of 2 billion of the world’s poor.[[242]](Print_version.html#cite_note-Sernau2005-254)
  * In 2007, more than 37 million U.S. citizens, or 12.5 percent of the population, were classified as poor by the Census Bureau.[[239]](Print_version.html#cite_note-Hurst2010-251)
  * In 2007, CEO’s in the fortune 500 received an average of $10.5 million, 344 times the pay of the average worker.[[239]](Print_version.html#cite_note-Hurst2010-251)
  * Four of the wealthiest people in the world come from one family, the Walton’s. They are the four children who inherited Sam Walton’s company Wal-Mart. Together, they are worth $83.6 billion.[[243]](Print_version.html#cite_note-Aulette2011-255)
  * Half of American children will reside in a household that uses food stamps at some point during childhood.[[244]](Print_version.html#cite_note-Rank2011-256)
  * Life expectancy in Harlem is shorter than in Bangladesh.[[244]](Print_version.html#cite_note-Rank2011-256)

Although inequality is everywhere, there are many controversies and questions about inequality that sociologists are interested in such as where did inequality come from? Why does it continue? Do we justify inequality? Can we eliminate inequality? Can we make a society in which people are equal? Before answering these complex questions, we will broadly define socioeconomic status and social class in America. The chapter then turns to dominant theories on stratification, and explores class, race, and gender inequality in more detail. We look at how capitalism is an important context in inequality. We end with consequences of inequality and theories explaining global inequality.

## Socioeconomic Status[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-2)]

Building on the ideas of Max Weber, who saw three main dimensions of stratification (class, status, and party), contemporary sociologists often define stratification in terms of socioeconomic status (or SES). There are a variety of ways to measure SES, including educational attainment, income, wealth, and occupational prestige. These measures reflect three characteristics of individuals: power, property, and prestige. These three characteristics combine to indicate someone’s social class or socioeconomic status.

### Power[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-3)]

Power refers to someone’s ability to get others to do his/her will, regardless of whether or not they want to. Legitimate power, power given to individuals willingly by others, is called authority. Illegitimate power, power taken by force or the threat of force, is called coercion.

### Property[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-4)]

Property, as used in this context, refers to the sum total of one’s possessions as well as their regular income. Property goes beyond income as a measure of social class as it reflects the accumulated wealth (e.g., homes, stocks, bonds, savings and how many children you have) in addition to one’s earning potential. Property is a better overall measure of social class than income as many individuals who are considered wealthy actually have very small incomes.

### Prestige[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-5)]

Prestige refers to the reputation or esteem associated with one’s position in society. Prestige used to be associated with one's family name, but for most people in developed countries, prestige is now generally tied to one's occupation. Occupations like physicians or lawyers tend to have more prestige associated with them than occupations like bartender or janitor. An individual’s prestige is closely tied to their social class – the higher the prestige of an individual (through their occupation or maybe family name), the higher the social class.

These three indicators tend to go hand-in-hand or lead to each other, such as a Supreme Court justice who is usually wealthy, enjoys a great deal of prestige, and exercises significant power. In some cases, however, a person ranks differently on these indicators, such as funeral directors. Their prestige is fairly low, but most have higher incomes than college professors, who are among the most educated people in America and have high prestige.[[245]](Print_version.html#cite_note-Benokraitis2010-257)

## Social class in America[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-6)]

![PovertyratesinUS1959-2003.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/PovertyratesinUS1959-2003.jpg/400px-PovertyratesinUS1959-2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

![Povertythresholds-census2003.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Povertythresholds-census2003.jpg/400px-Povertythresholds-census2003.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sociologists Dennis Gilbert and Joseph Kahl developed a model of the American class social class structure. Briefly, the upper class in America (3% of the population) is divided into upper-upper class (1% of the U.S. population), earning hundreds of millions to billions in income per year while the lower-upper class (2%) earns millions in annual income. The middle class (40%) is divided into upper-middle class (14%) earning $76,000 or more per year while the lower-middle class (26%) earns $46,000 to $75,000. The working class (30%) earns $19,000 to $45,000. The lower class (27%) is divided into working poor (13%, earning $9000 to 18,000) and underclass (14%, earning under $9000).[[245]](Print_version.html#cite_note-Benokraitis2010-257)

Among America’s working class and working poor are hotel housekeepers, waitresses, house maids, and retail clerks. In _Nickel and Dimed: On (Not) Getting by in America_, Barbara Ehrenreich describes her experience of working a series of low-wage jobs in 1998 and trying to survive on her wages. Among other low-wage jobs, she worked in Wal-Mart, earning $6.00 per hour. In addition to trying to survive on her wages, she described how working overtime without pay was the custom at Wal-Mart. Managers informed workers to punch out of the time clock and to begin some additional work (without pay).[[246]](Print_version.html#cite_note-Ehrenreich2002-258)

Because of the [Great Recession](http://en.wikipedia.org/wiki/Great_Recession) from 2007-2009, the gap between the rich and poor has increased in America. Today, the richest one percent of Americans earn nearly a quarter of the country’s income and control 40 percent of its wealth. The gap between the wealth of white families and the wealth of African-American families and Hispanics has also increased. The average wealth of a white family in 2009 was 20 times greater than that of the average black family, and 18 times greater than the average Hispanic family. In other words, the average white family had $113,149 in net worth, compared to $6,325 for Hispanics and $5,677 for African-Americans.[[247]](Print_version.html#cite_note-Rakesh2011-259)

Let’s take a step back now and see where inequality really began.

### Origins of Inequality and private property[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-7)]

The origins of inequality can be found in the transition from hunter/gatherer societies to horticultural/pastoralist societies. Here, it might be useful to describe a few characteristics of these societies.

In hunter/gather societies, (around 50,000 B.C.), small groups of people gathered what they could find and they also hunted and fished. People grew and collected their food for all of their needs. There was very little trading between the groups and there were not many inequalities between groups. There was not a surplus of goods. Everyone possessed basically the same as everyone else. The division of labor was small. People did almost the same jobs as each other. Food gathering and food production was the focus of work.

In horticultural/pastoralist societies (around 12,000 B.C.), groups grew to be very large and humans settled down in one place. For the first time, people had more time to do other work besides producing food, such as making leather and making weapons and other special skills. This new division of labor led to surplus of goods. The groups then traded with each other. This led to inequality because some people accumulated more possessions than others.

Fast forward many millennia later to just before Industrialization began. In the 14th, 15th, and 16th centuries, there was collectivity in the space and land in Europe. Life was brutal and harsh, but there was a joint and shared responsibility in the way people lived their lives and went about their work. People farmed land in a collective way because they saw it as something for everyone to take care of and for everyone to enjoy the fruits of their labor.[[248]](Print_version.html#cite_note-Achbar2004-260)

The concept of private taking and private property began to flourish in the late 15th century beginning in Europe and spreading around the world. Jean-Jacques Rousseau linked private property with inequality in his book, _Discourse on Inequality_. Collective land and space, once shared by all, began to be divided up into private takings and private ownership (and this continues today). Land, oceans, and air, once shared by everyone in the world, began being bought and sold like products in a store. The great land masses of the world were reduced to private property. Laws and regulations were created that allowed a country to claim a certain amount of water for exploitation. Air was divided into air corridors that were bought and sold for commercial traffic for airplanes. Today, the right to private property is an important value in most societies. With deregulation, privatization, and free trade, we continue to see a private taking and private ownership of entities once shared by everyone.[[248]](Print_version.html#cite_note-Achbar2004-260)

The idea that there should be equality in society emerged in the 17th and 18th centuries in the writings of Hobbes and Locke. Their thinking helped people consider that inequality was the result of the actions and intentions of social institutions and specific groups and not the will of God. Even so, the question of the origin of inequality remains today in addition to why inequality continues.

### The persistence of inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-8)]

Sociologist Joel Charon[[249]](Print_version.html#cite_note-Charon2007-261) offers a few reasons why inequality continues in society. His arguments reflect social reproduction theory, which focuses on the roles of institutions and cultures in the perpetuation of inequality and the process by which the social class structure is maintained. First, the rich and powerful protect the system of inequality. They are typically the owners of the means of production (factories, machinery, land, transportation) and have the resources to protect themselves and their positions. This control is heightened in societies with advanced technology as more developed technology facilitates the ability of the wealthy to pass on their wealth to their offspring.[[250]](Print_version.html#cite_note-Mulder2009-262) For instance, in modern societies, the transition of wealth is basically as simple as changing the names on the bank accounts or transferring stock from parents to children, which can be done at the push of a button. But in less developed economies - like hunter-gatherer or pastoralist - the transmission of wealth is far more difficult as it involves the physical transferring of goods. Thus, technology has the potential to substantially heighten inequality by facilitating the intergenerational transmission of wealth.

Karl Marx argued that the rich and powerful have control over the means of production, which is economic power, and they also have great influence on government power, including the rules governments follow, the people who work for the government, and the laws governments make. The rich and powerful also have control over the media, the schools, the courts, and many other parts of society and they support institutions (religion, economy, and education) that favor them. For example, the Walton family made $3.2 million in political contributions in 2004.[[251]](Print_version.html#cite_note-BraveNewFilms2005-263) The Waltons have great economic power and also the ability to influence government through large donations to political actors that protect their positions and their businesses. Inequality continues because those at the top protect their positions and use their power to influence other parts of society.[[249]](Print_version.html#cite_note-Charon2007-261)

Second, culture teaches the acceptance of inequality. Research shows that Americans believe in equality. Research also shows that Americans view inequality as justified.[[239]](Print_version.html#cite_note-Hurst2010-251) One belief system that people commonly embrace--mistakenly, according to contemporary economic research-- is that the rich and powerful are more talented, hardworking, and intellectually superior and thus more deserving. The poor are poor because they are lazy or irresponsible or unmotivated. If they can’t make it, it is their fault. These are ideologies that protect the system of inequality. These ideologies legitimatize the position of the rich and powerful and explain and justify the position of the poor.[[249]](Print_version.html#cite_note-Charon2007-261)[[252]](Print_version.html#cite_note-Johnson2006-264) People tend to accept inequality, not because they are happy with their situation, but because over time people believe their situation is natural and normal and it is what they expect from life.

In the United States, important cultural values are taught early on which support the system of inequality. These include a focus on the individual, a value of hard work, measurable achievement, and the ‘sacred’ ideal of equal opportunity. People accept as truth these beliefs: ‘If you work hard, you can rise to the top.’ ‘You can be anything you want to be.’ ‘Where there’s a will, there’s a way.’ ‘America is the land of opportunity; anyone can make it if they try hard enough.’ ‘Work hard, get an education, and don’t give up when the going gets rough.’ These values support the inequality that already exists and these values deny the impacts of inequality.[[249]](Print_version.html#cite_note-Charon2007-261)[[252]](Print_version.html#cite_note-Johnson2006-264)

The American dream contains the belief that every individual can achieve prosperity and success through hard work and self discipline. For example, U.S. President Barack Obama said in a speech in 2005, “…whether chance of birth or circumstance decides life’s big winners and losers, or whether we build a community where, at the very least, everyone has a chance to work hard, get ahead, and reach their dreams.”[[253]](Print_version.html#cite_note-Obama2005-265) While these might be inspirational words, they focus on the individual and leave out the social structural causes of inequality and poverty, such as the high unemployment rate, inheritance laws that allow families to pass on wealth, lack of state supported child care or health care, and tax policies that favor the wealthy. As a startling example, the Walton family received a federal tax cut of $91,500 per hour during the 2004 tax year.[[251]](Print_version.html#cite_note-BraveNewFilms2005-263)

Third, people are socialized to accept their position in life. The rich and powerful socialize their children to expect wealth and power. Parents, teachers, and friends show us our position in society and teach us to expect that same level.[[249]](Print_version.html#cite_note-Charon2007-261) Parents who attended prestigious boarding schools and Ivy League colleges such as Harvard, Yale, or Princeton expect their future offspring will attend such schools. Harvard researcher Michael Hurwitz found that legacy students were 45% more likely to be admitted to elite colleges.[[254]](Print_version.html#cite_note-Hurwitz2011-266)

Ivy League colleges, private country clubs, debutante balls (a formal introduction and presentation of young women to society) and the social register (a book listing the most important and famous American families) are ways that the wealthy maintain their cohesion and pass on their prestigious positions to their children.[[255]](Print_version.html#cite_note-Higley2003-267)

In addition, education helps to reinforce an acceptance of inequality and education prepares each social class differently, depending on the roles they will play when leaving school.[[249]](Print_version.html#cite_note-Charon2007-261) This means teaching the appropriate skills but also the appropriate values for each social class. Elementary and high schools in the U.S., in particular, teach different values to different social classes. Working-class students learn obedience; upper-middle class students learn leadership and creativity.[[239]](Print_version.html#cite_note-Hurst2010-251) Upper-middle class students participate in activities that focus on public performance and skill development. Working-class students participate in informal play, visiting family, and ‘hanging out.’[[256]](Print_version.html#cite_note-Lareau2000-268) Socialization brings the acceptance of a culture that justifies inequality, and it normally brings an acceptance of one’s relative position in the system of inequality.

Finally, police, courts, and prisons work together to protect the system of inequality. Research has shown that the criminal justice system in the U.S. is biased against the poor from start to finish, from the definition of what constitutes a crime through the process of arrest, trial, and sentencing.[[257]](Print_version.html#cite_note-Reiman2006-269)

Much of society seems to encourage and protect the system of inequality. Given all of these ways inequality is perpetuated in a society, is it at all possible to eliminate it?

### Can we eliminate inequality?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-9)]

Inequality and poverty didn’t just drop down from the sky, like an apple does from a tree. The previous section shows it is embedded in society in many ways, but if the conditions that generate social inequality are conscious and intentional creations of human actions, they can be changed. We will examine this complex issue in the next section.

## Dominant Perspectives[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-10)]

Two classic approaches to stratification provide interesting insights into this phenomenon, structural-functionalism and conflict theories.

### Structural-Functionalism on stratification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-11)]

The structural-functional approach to stratification asks the same question that it does of the other components of society: What function or purpose does it serve? The answer is that all parts of society, even poverty, contribute in some way to the larger system’s overall stability, according to this theory. Stratification and inequalities are inevitable and beneficial to society. The layers (stratification) are the inevitable sorting of unequal people. The layering is useful because it ensures that the best people are at the top and those who are less worthy are further down the pyramid and therefore have less power and are given fewer rewards than the high quality people at the top. Inequality ensures that the most functionally important jobs are filled by the best qualified people. In other words, it makes sense for the CEO of a company whose position is more important functionally to make more money than a janitor working for the same company. A job’s functional importance is determined by the degree to which the job is unique, meaning whether few other people can perform the same function adequately. Garbage collectors are important to public sanitation, but do not need to be rewarded highly, because little training or talent is required to perform their job. Doctors should be rewarded highly, because great training is required to do their job. It is logical that society must offer greater rewards (e.g., income, vacations, promotion) to motivate the most qualified people to fill the most important positions.[[239]](Print_version.html#cite_note-Hurst2010-251)

There are several obvious problems with this approach to stratification. First, it is difficult to determine the functional importance of any job, as the accompanying specialization and inter-dependence make every position necessary to the overall operation. The engineers in a factory for example are just as important as the other workers in the factory to the success of a project. In another example, a primary school teacher in the U.S. earns $29,000 per year whereas a National Basketball Association Player can earn as much as $21 million per year. Are basketball players more essential to society than teachers? Are basketball players more functionally important than teachers? In 2009, comedian Jerry Seinfeld earned $85 million. Do his earnings demonstrate his contribution to society? If NBA players or famous comedians went on strike and decided not to work, most people would not notice. However, if teachers, bus drivers, nurses, cleaners, garbage collectors, or waitresses stopped working, society would close down. There is little connection between income and jobs that are functionally important in a society.[[239]](Print_version.html#cite_note-Hurst2010-251)[[245]](Print_version.html#cite_note-Benokraitis2010-257)

Second, this approach assumes that the system of stratification is fair and rational, and that the ‘best’ people end up on top because of their superiority. But, in real life, the system does not work so easily or perfectly. Former U.S. president [George W. Bush](http://en.wikipedia.org/wiki/George_W._Bush), for example, was not the smartest or most politically talented individual but he was well connected and born at the top of the stratification system (white, male, wealthy, American), and therefore was elected to a position with great power – the U.S. presidency.

Another problem with this approach is that it assumes that only a few ‘chosen’ people should have all the power and all the material wealth, rather than distributing it equitably, or distributing it to those who need it most.

### Conflict Theorists on stratification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-12)]

Conflict theorists argue that stratification is dysfunctional and harmful in society. Stratification benefits the rich and powerful at the expense of the poor. For example, many wealthy families pay low wages to nannies to care for their children, gardeners to attend to their rose gardens and maids to pick up their dirty socks. Capitalism, in particular, benefits the rich. Corporate welfare is one example where an arrangement of direct subsidies, tax breaks, and other support that the government has created for big businesses.[[245]](Print_version.html#cite_note-Benokraitis2010-257) As mentioned previously, the Walton family receives enormous tax breaks. Inequality is inevitable within a system that has individual competition at its core, and therefore, ‘winners’ and ‘losers.’ Conflict theorists believe that this competitive system, together with the way the game is ‘fixed’, ends up creating and perpetuating stratification systems. Competition and inequality are not inevitable but are created and maintained by people.

Functionalists criticize this approach by arguing that people do not always act largely out of economic self-interest. For example, Chuck Feeney, the creator of Duty Free Shoppers, has given $4 billion to charities.[[245]](Print_version.html#cite_note-Benokraitis2010-257) Bill Gates has given 58% of his wealth to charity. In contrast, the Walton family has given less than 1% of their wealth to charity.[[251]](Print_version.html#cite_note-BraveNewFilms2005-263) Functionalists also argue that conflict theorists underestimate people’s ability to move upward in society. They argue that if people really want to succeed, they can do so through hard work.[[245]](Print_version.html#cite_note-Benokraitis2010-257)

### Can we make a society in which people are equal?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-13)]

Societies could be redesigned so that they are based on cooperation. [Marxists](http://en.wikipedia.org/wiki/Marxists) argue that a central component of a more equitable and humane society would be based on the idea, “from each according to their ability, to each according to their need.” In other words, each person should produce or work to the best of their ability according to their talents, and each person should receive the fruits of this labor according to their need, irrespective of what they have produced. Conflict theorists also believe that democracy or some sort of group decision making is more humane and more effective. Stratification systems that concentrate decision making and power in the hands of a few are destined to not serve the interests of most people at the bottom of the pyramid.

## Intersections of Class, Race, and Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-14)]

![Poorestquintilebysurvivingondollar.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Poorestquintilebysurvivingondollar.jpg/400px-Poorestquintilebysurvivingondollar.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Economic class, in conjunction with race and gender, shape the opportunities, the privileges, and the inequalities experienced for individuals and groups. The United States continues to be greatly stratified along these three lines. This was seen when Hurricane Katrina hit in 2005. In New Orleans, the roles of class, race, and gender were made apparent to the U.S. public. Many of the televised images showed poor, African Americans, many who were women and their children, abandoned in the storm, without resources for several days and without basic necessities of food and water. Though the storm displaced hundreds of people from all backgrounds, classes, colors and gender ‘equally,’ all were not affected the same.[[258]](Print_version.html#cite_note-Andersen2007-270) The wealthy had cars to leave New Orleans, and credit cards and bank accounts for emergency hotels and supplies. They also had insurance policies for rebuilding. The unequal impact of this tragedy was not unique. In the sinking of the Titanic in 1912 for example, 60% of first class passengers survived, while only 24% of third class passengers survived. One child in first class died, while 49 children in third class died. The poor in the U.S. and around the world are most likely to suffer from ‘natural’ and human tragedies.[[259]](Print_version.html#cite_note-Bowman2008-271)[[260]](Print_version.html#cite_note-Titanic2011-272)

## Capitalism, class, privilege, and oppression[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-15)]

Class plays an important role in the forms of privilege and oppression. Capitalism produces enormous amounts of wealth, in addition to increasing levels of inequality, both within the U.S. and around the world. These inequalities result from a class system based on increasing gaps in income, wealth, and power between the few people on top and the masses of people at the bottom. Capitalism is a system that produces cruel consequences. For those at the bottom, the costs are great, with living conditions among the poor comparable to those found in developing countries. Capitalism causes competition, stress, and anxiety among members of the working class and middle class, as people do not have any control over their work and whether they can keep their jobs.[[252]](Print_version.html#cite_note-Johnson2006-264) Despite the myth that hard work leads to getting ahead and making it, for the most part people have little power to improve their class position. Research shows people are as likely to move downward as they are upward in the class system. Currently, corporate downsizing, the loss of industrial jobs going overseas, the expansion of low-paying service occupations, and the Great Recession beginning in 2007, have combined to result in many people struggling to keep the jobs that they have, rather than being able to move upward.[[252]](Print_version.html#cite_note-Johnson2006-264)

## Capitalism, race and gender inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-16)]

The increase of immigrants in the U.S. and the loss of jobs to other countries illustrate a core belief that the greatest problem American workers experience is unfair competition from immigrants in the U.S. and workers abroad. The belief, ‘they are taking our jobs’ ignores the capitalist system itself, which by its nature increases the wealth of the few owners by controlling workers and keeping wages as low as possible, and it allows a few owners to control the majority of wealth, leaving a tiny share to be distributed among everyone else.[[252]](Print_version.html#cite_note-Johnson2006-264)

Capitalism also takes advantage of gender inequality. Women workers are exploited for cheap labor as nannies and maids in New York, in clothing sweatshops in Los Angeles, and on rose farms in Ethiopia which pay women a dollar a day. Wal-Mart, the nation’s largest private employer, in particular has been accused of discrimination against women. Although over seventy percent of Wal-Mart’s hourly workers are female, they account for only a third of all management. Wal-Mart has been sued for unfair practices in the training, payment, and promotion of its female employees.[[261]](Print_version.html#cite_note-Hunt2001-273) Capitalism would no longer function if the mass of women stopped doing the shopping, cooking, cleaning, and caretaking. For the most part, women raise the next generation of workers on which capitalism depends. Women do this work without receiving any extra pay or benefits.[[252]](Print_version.html#cite_note-Johnson2006-264)

## Points of View: Micro-Meso-Macro[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-17)]

We now turn to three levels of analysis on stratification.

### Micro-level prestige and influence[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-18)]

Stratification occurs in small groups and face-to-face interaction. At the beginning of the chapter, we looked at how stratification begins when we are young. Clothing, expensive toys, a new bicycle, a fancy car, and what job our parents had were symbols that differentiated us and separated us in elementary schools and impacted which friends we played with and the interactions we had.

Throughout our lives, wealth, power, and prestige are given to individuals who have knowledge and access to important information and influential people in society. Gender and race influence our degrees of networks, as well as individual qualities of leadership, self confidence, and physical attractiveness.[[240]](Print_version.html#cite_note-Roberts2007-252)

### Meso-level access to resources[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-19)]

Our positions and connections in organizations and institutions lie within the stratification system. This impacts how we experience life and how we interact with other individuals and groups.[[240]](Print_version.html#cite_note-Roberts2007-252) As mentioned earlier, parents, teachers, and friends show us our position in society and teach us to expect that same level. Education prepares each social class differently, with different skills and values taught to each class. The police, courts, and prisons reinforce the stratification system. Our position in the system reflects the type of health care we receive. All of these institutions support the stratification system by favoring the rich and powerful.

### Macro-level factors influencing stratification[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-20)]

Our position in the international economic system in the world shapes our opportunities throughout our life and our access to important resources. Let’s look at Cape Verde as an example. Located 450 kilometers off the coast of Senegal, West Africa, it is geographically and economically isolated from the rest of the world. (See Picture 1.) About one quarter of the population remains unemployed and an additional 26 percent are underemployed. The poverty rate in 2003 was 37 percent including 20 percent who are identified as extremely poor. The country is ranked 38 in the Human Poverty Index by the United Nations. Cape Verde is a debtor nation with a total external debt of $360 million at the end of 2002. Besides being in debt to countries of the North, (the U.S. and Europe) Cape Verde is part of the global economy in other ways. The country’s major industries are owned by nations of the North. Forty-nine percent of the banks, hotels, airlines and shipping lines formerly owned by the Cape Verdean government have been sold to foreign investors. In addition, Portuguese investors own forty percent of the state telecommunications company. The dominance of foreigner investors in even the industries that supply the most basic needs, such as water, are a result of policies of privatization, a key element of [neoliberal](http://en.wikipedia.org/wiki/neoliberal) and Washington Consensus economic “reforms.” (See Picture 2). And the [International Monetary Fund](http://en.wikipedia.org/wiki/International_Monetary_Fund) continues to push its privatization drive demanding that Cape Verde privatize its few remaining public enterprises, including the national airlines, the national oil supply company, the national transportation company, and others. Both the country’s private sector business class and low-income households have been greatly impacted, experiencing job loss and price hikes. On one island, the increased cost of privatized energy has forced people who cannot afford the electricity to return to traditional oil lamps. Low-income women especially have been impacted from structural adjustment programs, which have cut governmental provisions on health, education, and food. Macro level factors such as policies implemented by the World Bank and International Monetary fund impact the job opportunities, prices of food, water, and electricity, and day to day life for citizens in Cape Verde and around the world.[[262]](Print_version.html#cite_note-Carter2009-274) (See picture 3).

### Consequences of Inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-21)]

In the opening paragraph and throughout this chapter, we presented many consequences of inequality. What class we belong to directly relates to our individual life chances. Let’s look at a few more points in detail. The wealthy and well-educated are much more likely to be in good health, and have access to good medical care than the poor. The poor have shorter life expectancies and are at greater risk for chronic illnesses. Children born into poor families are at much greater risk of dying during their first year of life from disease, accidents, or violence. When medical attention is needed, its huge cost prevents the poor from seeking care. For many, the high cost of insurance prevents Americans from having good medical care. Approximately 45.7 million people in the United States were without health insurance coverage in 2007. Hunger is also connected to class. It is estimated that 13 percent of children under age 12 are hungry or at risk of being hungry. Among the working poor, almost 75% of the children are thought to be in this category. In addition to the high cost of food, the lack of affordable housing is a critical concern for poor families and many families live in weekly hotels which are cheaper than paying monthly rent. In Orange County, California, low-income parents working full-time at Disneyland for $9 per hour still struggle to find affordable housing, so parents with young children live across the street in motels.[[263]](Print_version.html#cite_note-Pelosi2010-275)[[264]](Print_version.html#cite_note-Kendall2011-276)

The poor are not able to provide the same educational opportunities for their children as the wealthy are. School districts in wealthy suburban areas tend to pay higher teachers’ salaries, have newer buildings, and provide sophisticated equipment. Students in central city schools and poverty stricken rural areas often attend rundown schools that lack necessary equipment and teaching materials.[[264]](Print_version.html#cite_note-Kendall2011-276)

Private tutors, SAT preparation courses, and charter schools allow children from wealthy families to gain entrance to elite colleges and find jobs more quickly after graduation. And, as previously mentioned, their children have a good chance of attending the same elite college. The cycle of wealth, power, and prestige continues.

Our final section explores global inequality.

## Global Inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-22)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Pic_4_ethiopian_children.jpg/400px-Pic_4_ethiopian_children.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 4. Children enjoying traditional bread during a celebration in Ethiopia.

Almost half the world, over 3 billion people, lives on less than $2.50 a day. 78 percent of Ethiopians earn less than $2.00 a day. (See Pictures 4, 5, and 6). 86% of the population in Zambia lives in poverty while 4% of the population in Belgium lives in poverty.[[265]](Print_version.html#cite_note-Empowering2011-277)[[266]](Print_version.html#cite_note-Ferrante2011-278) Why is there such a large gap between Zambia and Belgium? Why are the poor still poor? Who is to blame for poverty? Social scientists offer a few theories which help to explain the causes and consequences of global inequality.

### Development and Modernization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-23)]

This theory blames tradition for global poverty. These theorists argue poor societies stay poor because they hold onto traditional attitudes and beliefs, technologies and institutions, such as traditional economic systems and forms of government. In contrast, in the modern world, the rise of capitalism brought modern attitudes, modern technologies such as machinery and electronics, and modern institutions which helped countries progress and have a higher standard of living. Given enough time, modernization will occur everywhere in the world. Eventually global capitalism and its modern corporations will hold these modern ideas, technical innovations, and efficient institutions everywhere. Modernists believe large economic growth is the key to reducing poverty in poor countries.

### Dependency[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-24)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f2/Pic_5_ethiopia_traditional_houses.jpg/400px-Pic_5_ethiopia_traditional_houses.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 5. Traditional huts near Wondo Genet, Ethiopia.

This theory blames colonialism and neocolonialism (continuing economic dependence on former colonial countries) for global poverty. Countries have developed at an uneven rate because wealthy countries have exploited poor countries in the past and today through foreign debt and transnational corporations (TNCs). Historically, wealthy nations have taken a great quantity of materials from poor countries such as minerals and metals necessary to make automobiles, weapons, and jewelry in wealthy countries. In addition, large amounts of agricultural products that can only be grown in the hot climates of the poor countries have been taken and exported and manufactured in the wealthy countries such as coffee, tea, sugar, and cocoa. Wealthy countries would not be as rich as they are today if they did not have these materials. Also, wealthy countries increased their own profits by organizing cheap labor through slavery. King Leopold II, for example, who was King of Belgium from 1865-1909, forced hundreds of thousands of men, women, and children to work as slaves in the Democratic Republic of Congo. The invention of the bicycle tire in the 1890’s and later the automobile tire meant that rubber was in high demand, and wild rubber vines were widespread in the Congo, earning Leopold millions.[[267]](Print_version.html#cite_note-Genocide2011-279) The Democratic Republic of Congo is still suffering today from the plunder of resources and the torture and killing of millions during Leopold’s rule.

Dependency theorists believe large economic growth is not necessarily the key to reducing poverty and developing. Instead, poor countries are trapped by large debts which prevent them from developing. For example, between 1970 and 2002, the continent of Africa received $540 billion in loans from wealthy nations and from the World Bank and IMF. African countries have paid back $550 billion of their debt but they still owe $295 billion. The difference, of course, is a result of compound interest. Countries cannot focus on economic or human development when they are constantly paying off debt. In addition, economic relationships between countries tend to benefit the wealthier countries. Some of the land in Cape Verde for example, could be planted and harvested to feed people but is planted instead with cash crops for foreign exchange. Due to indebtedness and foreign dependence, fresh produce is regularly sold or changed to a nonperishable type such as canned tuna for export rather than consumed by the population. Widespread malnutrition is one of the effects of this foreign dependency.[[262]](Print_version.html#cite_note-Carter2009-274) This is common around the globe. Brazil is the second largest exporter of agricultural products but 50% of its population is malnourished. Although Ethiopia has one of the largest populations of cattle in Africa, and much of the population suffers from malnutrition, the government continues to export large numbers of cattle to the Middle East. Even during the peak of the infamous 1985 famine, the government was sending dried meat to Egypt. Sen and Grown[[268]](Print_version.html#cite_note-Sen1987-280) call this denationalizing of the Global South. Foreign trade and business get in the way of the freedom of local governments.

### World Systems Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-25)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1c/Pic_6_ethiopia_simple_house.jpg/400px-Pic_6_ethiopia_simple_house.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Picture 6. A simple house in Bahir Dar, Ethiopia.

This theory, similar to dependency theory, suggests that wealthy countries benefit from other countries and also exploit their citizens. This reflects Immanuel Wallerstein’s theory that suggests that how a country is integrated into the capitalist world system is the key feature in determining how economic development takes place in that country. The world economy is a system divided into a hierarchy of three types of countries: core, semiperipheral, and peripheral. Core countries (e.g., U.S., Japan, Germany) are dominant capitalist countries characterized by high levels of industrialization and urbanization. Semiperipheral countries (e.g., South Korea, Taiwan, Mexico, Brazil, India, Nigeria, South Africa) are less developed than core nations but are more developed than peripheral nations. Peripheral countries (e.g., most African countries and low income countries in South America) are dependent on core countries for capital, and have very little industrialization and urbanization. Core countries own most of the world’s capital and technology and have great control over world trade and economic agreements. Semiperipheral countries generally provide labor and materials to core countries. Semiperipheral countries exploit peripheral countries, just as core countries exploit both semiperipheral and peripheral countries. Core countries extract raw materials with little cost. They can also set the prices for the agricultural products that peripheral countries export regardless of market prices, forcing small farmers to abandon their fields because they can’t afford to pay the labor and fertilizer. The wealthy in peripheral countries benefit from the labor of poor workers and from their own economic relations with core country capitalists.[[245]](Print_version.html#cite_note-Benokraitis2010-257)[[264]](Print_version.html#cite_note-Kendall2011-276)

### The New International Division of Labor theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-26)]

Based on the changing nature of the world economy, production is divided into small pieces, each of which can be moved by a Transnational Corporation (TNC) to any country in the world that can provide the best deal on capital and labor. When moving businesses and factories to cheap labor locations, effort is not made to create better quality of living and development projects in poor countries. Strict laws protecting the environment and the rights of workers, which must be followed in the U.S. and Europe, do not have to be followed in many poor countries. This is attractive for a TNC so that bottom line profits can increase. In many factories, workers are often exploited by low wages, long hours, and poor working conditions. Wal-Mart factory workers in China report working fourteen hours a day for less than $3 per day in a hot room with only one fan. One woman described that rent was deducted from her wages, even after she moved out of the dormitory. During official inspection from outsiders, workers were taught how to lie about working hours and how to present fake pay slips. Workers also faced the threat of physical harassment from managers.[[251]](Print_version.html#cite_note-BraveNewFilms2005-263) There are about 65,000 TNCs across the world today. TNCs continue to take materials and cheap labor from underdeveloped countries.

## Consequences of Inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-27)]

There are many consequences that result from inequality, including reduced access to education and limited social capital. Inequality also appears to affect physical abilities. For instance, children raised in less affluent homes have a reduced likelihood of reaching their cognitive potential due to their access to limited resources.[[269]](Print_version.html#cite_note-TuckerDrob2009-281) In other words, children in poorer homes are sometimes less intelligent not because they do not have the same genetic intelligence but because their resource-poor environment limits their genetic potential. Another consequence of inequality is slower physical development. Children from disadvantaged homes are more likely to be delayed in fundamental motor skills, like running, catching, throwing, and kicking.[[270]](Print_version.html#cite_note-Goodway2010-282) One consequence of these delays is a lower likelihood of participating in both sports and exercise.

## Questions for Discussion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-28)]

  1. Think about the jobs you have held. What factors do you think led you to getting the job and what factors affected the salary that you received?
  2. How do you think your gender, race, and socioeconomic position have affected your path through life so far?
  3. How does a functionalist understand inequality? How does a conflict theorist understand inequality?
  4. If our actions and behaviors mostly reproduce the condition in which we live, how can we change inequality?
  5. What can be done to lessen the negative effects of inequality on people’s lives?

## Applying Knowledge[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-29)]

Students studying sociology can apply their knowledge of inequality and poverty by serving in a number of organizations in the U.S. and around the world. Check out the following organizations:

  * [AmeriCorps](http://www.americorps.org) helps those in need through organizations such as Habitat for Humanity, the American Red Cross, and Big Brothers Big Sisters.
  * [The Hunger Project](http://www.thp.org) is committed to ending hunger around the world.
  * [CARE International](http://www.care.org) assists the world’s poor in their efforts to achieve social and economic well-being.
  * [Peace Corps](http://www.peacecorps.gov) volunteers help individuals and communities around the world improve their quality of life.

Also, the U.S. Census Bureau collects data on income and poverty in the United States. Check out their site at [www.census.gov](http://www.census.gov).

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-30)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## Recommended Reading for Students[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-31)]

  * Rosenberg, Tina. 2008. “A Payoff Out of Poverty?.” The New York Times, December 21 <http://www.nytimes.com/2008/12/21/magazine/21cash-t.html> (Accessed July 3, 2009).
  * Martin, Andrew. 2009. “So Much Food. So Much Hunger..” The New York Times, September 20 <http://www.nytimes.com/2009/09/20/weekinreview/20martin.html> (Accessed September 20, 2009). 
    * This article discusses the reasons why nearly 1 billion people continue to suffer chronic hunger despite the fact that there is sufficient food to feed everyone on the planet. It would serve as a good launching point for a discussion on global inequality.
  * Where Children Sleep. James Mollison. <http://issuu.com/chrisboot/docs/where_children_sleep_by_james_mollison> (Accessed April 8, 2011). 
    * This photobook depicts the locations where children sleep around the world and highlights the substantial inequality in the modern world.
  * Grusky, D., 2008. Social Stratification: Class, Race, and Gender in Sociological Perspective, 3rd edition. New York: Westview Press.
  * Held, D. & Kaya, A., eds., 2007. Global Inequality: Patterns and Explanations. Cambridge: Polity.
  * Kerbo, H., 2011. Social Stratification and Inequality, 8th edition. Boston: McGraw-Hill.
  * Milanovic, B., 2010. The Haves and the Have-Nots: A Brief and Idiosyncratic History of Global Inequality. New York: Basic Books.
  * Munger, F., ed., 2007. Laboring Below the Line: The New Ethnography of Poverty, Low-Wage Work, and Survival in the Global Economy. New York: Russell Sage Foundation.

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-32)]

The following Wikipedia pages have additional information on stratification:

  * [social stratification](http://en.wikipedia.org/wiki/social_stratification)
  * [economic inequality](http://en.wikipedia.org/wiki/Economic_inequality)
  * [poverty line](http://en.wikipedia.org/wiki/poverty_line)
  * [Positive freedom](http://en.wikipedia.org/wiki/Positive_freedom)
  * [Negative freedom](http://en.wikipedia.org/wiki/Negative_freedom)
  * [Millennium Development Goals](http://en.wikipedia.org/wiki/Millennium_Development_Goals) from the United Nations
  * [Caste system](http://en.wikipedia.org/wiki/Caste_system)
  * [Social inequality](http://en.wikipedia.org/wiki/Social_inequality)
  * [Elitism](http://en.wikipedia.org/wiki/Elitism)
  * [Theodor Geiger](http://en.wikipedia.org/wiki/Theodor_Geiger)
  * [Marxism](http://en.wikipedia.org/wiki/Marxism)
  * [Three-component theory of stratification](http://en.wikipedia.org/wiki/Three-component_theory_of_stratification)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Stratification&action=edit&section=T-33)]

  * [Inequality topic at Worldrevolution.org](http://www.worldrevolution.org/guide/inequality)
  * [An introduction to dependency theory](http://www.mtholyoke.edu/acad/intrel/depend.htm)

← [Gender](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Gender) · [Family](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Family) →

← [Gender](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Gender) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Family](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Family) →

# Economy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=16)]

**Economy** refers to the ways people use their environment to meet their material needs. It is the realized economic system of a country or other area. It includes the [production](http://en.wikipedia.org/wiki/Manufacturing), [exchange](http://en.wikipedia.org/wiki/Trade), [distribution](http://en.wikipedia.org/wiki/Distribution_\(economics\)), and [consumption](http://en.wikipedia.org/wiki/Consumption_\(economics\)) of [goods](http://en.wikipedia.org/wiki/goods_\(economics\)) and services of that area. A given economy is the end result of a process that involves its [technological evolution](http://en.wikipedia.org/wiki/technological_evolution), history and social organization, as well as its geography, natural resource endowment, and [ecology](http://en.wikipedia.org/wiki/ecology), among other factors. These factors give context, content, and set the conditions and parameters in which an economy functions.

## History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/BMC_06.jpg/200px-BMC_06.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A 640 BC one-third stater coin from Lydia, shown larger.

As long as someone has been making and distributing goods or services, there has been some sort of economy; economies grew larger as societies grew and became more complex. The ancient economy was mainly based on [subsistence farming](http://en.wikipedia.org/wiki/subsistence_farming). According to [Herodotus](http://en.wikipedia.org/wiki/Herodotus), and most modern scholars, the [Lydians](http://en.wikipedia.org/wiki/Lydians) were the first people to introduce the use of gold and silver coin.[[271]](Print_version.html#cite_note-HerodotusI-283) It is thought that these first stamped coins were minted around 650-600 BC.[[272]](Print_version.html#cite_note-Goldsborough-284)

For most people the exchange of goods occurred through social relationships. There were also traders who bartered in the marketplaces. The Babylonians and their city state neighbors developed economic ideas comparable to those employed today.[[273]](Print_version.html#cite_note-yale2-285) They developed the first known codified legal and administrative systems, complete with courts, jails, and government records.[[274]](Print_version.html#cite_note-Sheila-286)

Several centuries after the invention of [cuneiform](http://en.wikipedia.org/wiki/cuneiform), the use of writing expanded beyond debt/payment certificates and inventory lists to be applied for the first time, about 2600 BC, to messages and mail delivery, history, legend, mathematics, and astronomical records. Ways to divide private property, when it is contended, amounts of interest on debt, rules as to property and monetary compensation concerning property damage or physical damage to a person, fines for 'wrong doing', and compensation in money for various infractions of formalized law were standardized for the first time in history.[[274]](Print_version.html#cite_note-Sheila-286)

In [Medieval](http://en.wikipedia.org/wiki/Medieval) times, what we now call economy was not far from the subsistence level. Most exchange occurred within social groups. On top of this, the great conquerors raised [venture capital](http://en.wikipedia.org/wiki/venture_capital) to finance their land captures. The capital investment would be returned to the investor when goods from the newly discovered or captured lands were returned by the conquerors. The discoveries of [Marco Polo](http://en.wikipedia.org/wiki/Marco_Polo) (1254-1324), [Christopher Columbus](http://en.wikipedia.org/wiki/Christopher_Columbus) (1451-1506) and [Vasco de Gama](http://en.wikipedia.org/wiki/Vasco_de_Gama) (1469-1524) set the foundations for a [global](http://en.wikipedia.org/wiki/globalization) economy. The first [enterprises](http://en.wikipedia.org/wiki/Company) were trading establishments. In 1513 the first [stock exchange](http://en.wikipedia.org/wiki/stock_exchange) was founded in [Antwerpen](http://en.wikipedia.org/wiki/Antwerpen).

The European captures became branches of the European states, the so-called "colonies". The rising nation-states Spain, Portugal, France, Great Britain, and the Netherlands tried to control the trade through [custom duties](http://en.wikipedia.org/wiki/custom_duties) and [taxes](http://en.wikipedia.org/wiki/taxes) in order to protect their national economy. [Mercantilism](http://en.wikipedia.org/wiki/Mercantilism) was a first approach to intermediate between private wealth and [public interest](http://en.wikipedia.org/wiki/public_interest).

The first [economist](http://en.wikipedia.org/wiki/economist) in the true meaning of the word was the Scotsman [Adam Smith](http://en.wikipedia.org/wiki/Adam_Smith) (1723-1790). He defined the elements of a national economy: [products](http://en.wikipedia.org/wiki/Product_\(business\)) are offered at a [natural price](http://en.wikipedia.org/wiki/natural_price) generated by the use of [competition](http://en.wikipedia.org/wiki/competition) \- [supply and demand](http://en.wikipedia.org/wiki/supply_and_demand) \- and the [division of labour](http://en.wikipedia.org/wiki/division_of_labour). He maintained that the basic motive for [free trade](http://en.wikipedia.org/wiki/free_trade) is human [self interest](http://en.wikipedia.org/wiki/self_interest). In Europe, capitalism (see below) started to replace the system of [mercantilism](http://en.wikipedia.org/wiki/mercantilism) and led to [economic growth](http://en.wikipedia.org/wiki/economic_growth). The period today is called the [industrial revolution](http://en.wikipedia.org/wiki/industrial_revolution) because the system of [production](http://en.wikipedia.org/wiki/Production,_costs,_and_pricing) and division of labour enabled the [mass production](http://en.wikipedia.org/wiki/mass_production) of [goods](http://en.wikipedia.org/wiki/goods).

## Capitalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-2)]

**Capitalism** is an [economic](http://en.wikipedia.org/wiki/Economic_system) and [social system](http://en.wikipedia.org/wiki/social_system) in which [capital](http://en.wikipedia.org/wiki/Capital_\(economics\)) and the non-labor [factors of production](http://en.wikipedia.org/wiki/Factors_of_production) or the [means of production](http://en.wikipedia.org/wiki/means_of_production) are [privately controlled](http://en.wikipedia.org/wiki/Private_property); [labor](http://en.wikipedia.org/wiki/labor), goods and capital are [traded](http://en.wikipedia.org/wiki/trade) in [markets](http://en.wikipedia.org/wiki/market); [profits](http://en.wikipedia.org/wiki/Profit_\(economics\)) are taken by owners or invested in [technologies](http://en.wikipedia.org/wiki/technology) and [industries](http://en.wikipedia.org/wiki/industry); and wages are paid to labor.

Capitalism as a system developed incrementally from the 16th century on in Europe, although capitalist-like organizations existed in the [ancient world](http://en.wikipedia.org/wiki/Ancient_history), and early aspects of [merchant capitalism](http://en.wikipedia.org/wiki/merchant_capitalism) flourished during the [Late Middle Ages](http://en.wikipedia.org/wiki/Late_Middle_Ages).[[275]](Print_version.html#cite_note-Braudel1982-287)[[276]](Print_version.html#cite_note-Banaji2007-288) Capitalism gradually spread throughout Europe and other parts of the world. In the 19th and 20th centuries, it provided the main means of [industrialization](http://en.wikipedia.org/wiki/industrialization) throughout much of the world.[[277]](Print_version.html#cite_note-Scott2005-289)

### History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-3)]

The origins of modern markets can be traced back to the Roman Empire[[278]](Print_version.html#cite_note-Erdkamp2005-290) and the [Islamic Golden Age](http://en.wikipedia.org/wiki/Islamic_Golden_Age) and [Muslim Agricultural Revolution](http://en.wikipedia.org/wiki/Muslim_Agricultural_Revolution)[[279]](Print_version.html#cite_note-Hasan1987-291)[[280]](Print_version.html#cite_note-Cambridge-292) where the first [market economy](http://en.wikipedia.org/wiki/market_economy) and earliest forms of [merchant capitalism](http://en.wikipedia.org/wiki/merchant_capitalism) took root between the 8th–12th centuries.[[281]](Print_version.html#cite_note-Subhi1969-293)

A vigorous [monetary economy](http://en.wikipedia.org/wiki/monetary_economy) was created by Muslims on the basis of the expanding levels of [circulation](http://en.wikipedia.org/wiki/List_of_circulating_currencies) of a stable high-value [currency](http://en.wikipedia.org/wiki/currency) and the integration of monetary areas that were previously independent. Innovative new business techniques and forms of business organisation were introduced by economists, merchants and traders during this time. Such innovations included the earliest [trading companies](http://en.wikipedia.org/wiki/Trading_company), big businesses, [contracts](http://en.wikipedia.org/wiki/contract), [bills of exchange](http://en.wikipedia.org/wiki/bills_of_exchange), long-distance [international trade](http://en.wikipedia.org/wiki/international_trade), the first forms of [partnerships](http://en.wikipedia.org/wiki/partnership), and the earliest forms of [credit](http://en.wikipedia.org/wiki/Credit_\(finance\)), [debt](http://en.wikipedia.org/wiki/debt), [profit](http://en.wikipedia.org/wiki/profit_\(accounting\)), [loss](http://en.wikipedia.org/wiki/loss), [capital](http://en.wikipedia.org/wiki/Capital_\(economics\)), [capital accumulation](http://en.wikipedia.org/wiki/capital_accumulation),[[282]](Print_version.html#cite_note-Banaji-294) [circulating capital](http://en.wikipedia.org/wiki/circulating_capital), [capital expenditure](http://en.wikipedia.org/wiki/capital_expenditure), [revenue](http://en.wikipedia.org/wiki/revenue), [cheques](http://en.wikipedia.org/wiki/cheque), [promissory notes](http://en.wikipedia.org/wiki/promissory_note),[[283]](Print_version.html#cite_note-Lopez2001-295) [trusts](http://en.wikipedia.org/wiki/trusts), [startup companies](http://en.wikipedia.org/wiki/startup_companies),[[284]](Print_version.html#cite_note-Kuran2005-296) [savings accounts](http://en.wikipedia.org/wiki/savings_account), [pawning](http://en.wikipedia.org/wiki/pawn), [loaning](http://en.wikipedia.org/wiki/loan), [exchange rates](http://en.wikipedia.org/wiki/exchange_rate), [bankers](http://en.wikipedia.org/wiki/bank), [money changers](http://en.wikipedia.org/wiki/money_changer), [deposits](http://en.wikipedia.org/wiki/deposit), the [double-entry bookkeeping system](http://en.wikipedia.org/wiki/double-entry_bookkeeping_system)],[[285]](Print_version.html#cite_note-Labib1969-297) and [lawsuits](http://en.wikipedia.org/wiki/lawsuit).[[286]](Print_version.html#cite_note-Spier2002-298) Organizational enterprises similar to [corporations](http://en.wikipedia.org/wiki/corporation) independent from the state also existed in the medieval Islamic world.[[287]](Print_version.html#cite_note-Arjomand1999-299)[[288]](Print_version.html#cite_note-Amin1978-300) Many of these early capitalist concepts were adopted and further advanced in medieval Europe from the 13th century onwards.[[282]](Print_version.html#cite_note-Banaji-294)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Lorrain.seaport.jpg/200px-Lorrain.seaport.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A painting of a French seaport from 1638 at the height of mercantilism.

The economic system employed between the 16th and 18th centuries is commonly described as [mercantilism](http://en.wikipedia.org/wiki/mercantilism).[[289]](Print_version.html#cite_note-Burnham2003-301) This period was associated with geographic discoveries by merchant overseas traders, especially from England, and the rapid growth in overseas trade. Mercantilism was a system of trade for profit, although commodities were still largely produced by non-capitalist production methods.[[277]](Print_version.html#cite_note-Scott2005-289) While some scholars see mercantilism as the earliest stage of modern capitalism, others argue that modern capitalism did not emerge until later. For example, [Karl Polanyi](http://en.wikipedia.org/wiki/Karl_Polanyi), noted that "mercantilism, with all its tendency toward commercialization, never attacked the safeguards which protected [the] two basic elements of production - labor and land - from becoming the elements of commerce"; thus mercantilist attitudes towards economic regulation were closer to feudalist attitudes, "they disagreed only on the methods of regulation." Moreover Polanyi argued that the hallmark of capitalism is the establishment of generalized markets for what he referred to as the "fictitious commodities": land, labor, and money. Accordingly, "not until 1834 was a competitive labor market established in England, hence industrial capitalism as a social system cannot be said to have existed before that date."[[290]](Print_version.html#cite_note-Polanyi1944-302)

The commercial stage of capitalism begin with the founding of the British [East India Company](http://en.wikipedia.org/wiki/East_India_Company) and the [Dutch East India Company](http://en.wikipedia.org/wiki/Dutch_East_India_Company).[[282]](Print_version.html#cite_note-Banaji-294) During this era, merchants, who had traded under the previous stage of mercantilism, invested capital in the East India Companies and other colonies, seeking a [return on investment](http://en.wikipedia.org/wiki/return_on_investment), setting the stage for capitalism.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/London.bankofengland.arp.jpg/200px-London.bankofengland.arp.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The [Bank of England](http://en.wikipedia.org/wiki/Bank_of_England) is one of the oldest [central banks](http://en.wikipedia.org/wiki/central_bank). It was founded in 1694 and nationalised in 1946.

During the [Industrial Revolution](http://en.wikipedia.org/wiki/Industrial_Revolution), the industrialist replaced the merchant as a dominant actor in the capitalist system and effected the decline of the traditional handicraft skills of [artisans](http://en.wikipedia.org/wiki/artisan), [guilds](http://en.wikipedia.org/wiki/guild), and [journeymen](http://en.wikipedia.org/wiki/journeyman). Also during this period, the surplus generated by the rise of commercial agriculture encouraged increased mechanization of agriculture. Industrial capitalism marked the development of the [factory](http://en.wikipedia.org/wiki/factory) system of manufacturing, characterized by a complex [division of labor](http://en.wikipedia.org/wiki/division_of_labor) between and within the work process and the routinization of work tasks.[[289]](Print_version.html#cite_note-Burnham2003-301)

In the late 19th century, the control and direction of large areas of industry came into the hands of trusts, [financiers](http://en.wikipedia.org/wiki/financiers) and [holding companies](http://en.wikipedia.org/wiki/holding_company). This period was dominated by an increasing number of oligopolistic firms earning supernormal profits.[[291]](Print_version.html#cite_note-EconomyProfessor-303) Major characteristics of capitalism in this period included the establishment of large industrial [monopolies](http://en.wikipedia.org/wiki/monopoly); the ownership and management of industry by financiers divorced from the production process; and the development of a complex system of banking, an [equity market](http://en.wikipedia.org/wiki/equity_market), and corporate holdings of capital through [stock](http://en.wikipedia.org/wiki/stock) ownership.[[277]](Print_version.html#cite_note-Scott2005-289) Inside these [corporations](http://en.wikipedia.org/wiki/corporation), a division of labor separates [shareholders](http://en.wikipedia.org/wiki/shareholder), owners, managers, and actual laborers.[[277]](Print_version.html#cite_note-Scott2005-289)

By the last quarter of the 19th century, the emergence of large industrial trusts had provoked legislation in the US to reduce the monopolistic tendencies of the period. Gradually, during this era, the US government played a larger and larger role in passing [antitrust](http://en.wikipedia.org/wiki/United_States_antitrust_law) laws and regulation of industrial standards for key industries of special public concern. By the end of the 19th century, [economic depressions](http://en.wikipedia.org/wiki/Depression_\(economics\)) and [boom and bust](http://en.wikipedia.org/wiki/boom_and_bust) business cycles had become a recurring problem. In particular, the [Long Depression](http://en.wikipedia.org/wiki/Long_Depression) of the 1870s and 1880s and the [Great Depression](http://en.wikipedia.org/wiki/Great_Depression) of the 1930s affected almost the entire capitalist world, and generated discussion about capitalism’s long-term survival prospects. During the 1930s, Marxist commentators often posited the possibility of capitalism's decline or demise, often in contrast to the ability of the Soviet Union to avoid suffering the effects of the global depression.[[292]](Print_version.html#cite_note-Engerman2001-304)

In his book _[The Protestant Ethic and the Spirit of Capitalism](http://en.wikipedia.org/wiki/The_Protestant_Ethic_and_the_Spirit_of_Capitalism)_ (1904-1905), Max Weber sought to trace how a particular form of religious spirit, infused into traditional modes of economic activity, was a condition of possibility of modern western capitalism. For Weber, the 'spirit of capitalism' was, in general, that of ascetic Protestantism; this ideology was able to motivate extreme rationalization of daily life, a propensity to accumulate capital by a religious ethic to advance economically, and thus also the propensity to reinvest capital: this was sufficient, then, to create "self-mediating capital" as conceived by Marx. This is pictured in Proverbs 22:29, “Seest thou a man diligent in his calling? He shall stand before kings” and in Colossians 3:23, "Whatever you do, do your work heartily, as for the Lord rather than for men." In the _Protestant Ethic_, Weber further stated that “moneymaking – provided it is done legally – is, within the modern economic order, the result and the expression of diligence in one’s calling…” And, "If God show you a way in which you may lawfully get more than in another way (without wrong to your soul or to any other), if you refuse this, and choose the less gainful way, you cross one of the ends of your calling, and you refuse to be God's steward, and to accept His gifts and use them for him when He requierth it: you may labour to be rich for God, though not for the flesh and sin" (p. 108).

### How capitalism works[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-4)]

The economics of capitalism developed out of the interactions of the following five items:

1\. [Commodities](http://en.wikipedia.org/wiki/Commodities): There are two types of commodities: [capital goods](http://en.wikipedia.org/wiki/capital_goods) and [consumer goods](http://en.wikipedia.org/wiki/consumer_goods). Capital goods are products not produced for immediate consumption (i.e. land, raw materials, tools machines and factories), but serve as the raw materials for consumer goods (i.e. televisions, cars, computers, houses) to be sold to others.

2\. [Money](http://en.wikipedia.org/wiki/Money): Money is primarily a standardized means of exchange which serves to reduce all goods and commodities to a standard value. It eliminates the cumbersome system of [barter](http://en.wikipedia.org/wiki/barter) by separating the transactions involved in the exchange of products, thus greatly facilitating specialization and trade through encouraging the exchange of commodities.

3\. [Labour power](http://en.wikipedia.org/wiki/Labour_power): Labour includes all mental and physical human resources, including entrepreneurial capacity and management skills, which are needed to transform one type of commodity into another.

4\. [Means of production](http://en.wikipedia.org/wiki/Means_of_production): All manufacturing aids to production such as tools, machinery, and buildings.

5\. [Production](http://en.wikipedia.org/wiki/Production,_costs,_and_pricing): The act of making goods or services through the combination of labour power and means of production.[[293]](Print_version.html#cite_note-Ragan2008-305)[[294]](Print_version.html#cite_note-Robbins2007-306)

Individuals engage in the economy as [consumers](http://en.wikipedia.org/wiki/consumers), [labourers](http://en.wikipedia.org/wiki/labourers), and [investors](http://en.wikipedia.org/wiki/investors), providing both money and labour power. For example, as consumers, individuals influence production patterns through their purchase decisions, as producers will change production to produce what consumers want to buy. As labourers, individuals may decide which jobs to prepare for and in which markets to look for work. As investors they decide how much of their income to save and how to invest their savings. These savings, which become investments, provide much of the money that businesses need to grow.

Business firms decide what to produce and where this production should occur. They also purchase capital goods to convert them into consumer goods. Businesses try to influence consumer purchase decisions through [marketing](http://en.wikipedia.org/wiki/marketing) as well as the creation of new and improved products. What drives the capitalist economy is the constant search for profits (revenues minus expenses). This need for profits, known as the _[profit motive](http://en.wikipedia.org/wiki/profit_motive)_, ensures that companies produce the goods and services that consumers desire and are able to buy. In order to be successful, firms must sell a certain quantity of their products at a price high enough to yield a profit. A business may consequently lose money if sales fall too low or costs are incurred that are too high. The profit motive also encourages firms to operate efficiently by using their resources in the most productive manner. By using less materials, labour or capital, a firm can cut its production costs which can lead to increased profits.

Following [Adam Smith](http://en.wikipedia.org/wiki/Adam_Smith), Karl Marx distinguished the [use value](http://en.wikipedia.org/wiki/use_value) of commodities from their [exchange value](http://en.wikipedia.org/wiki/exchange_value) in the market. Capital, according to Marx, is created with the purchase of commodities for the purpose of creating new commodities with an exchange value higher than the sum of the original purchases. For Marx, the use of [labor power](http://en.wikipedia.org/wiki/labor_power) had itself become a commodity under capitalism; the exchange value of labor power, as reflected in the wage, is less than the value it produces for the capitalist. This difference in values, he argues, constitutes [surplus value](http://en.wikipedia.org/wiki/surplus_value), which the capitalists extract and accumulate. The extraction of surplus value from workers is called [exploitation](http://en.wikipedia.org/wiki/exploitation). In his book _[Capital](http://en.wikipedia.org/wiki/Das_Kapital)_, Marx argues that the [capitalist mode of production](http://en.wikipedia.org/wiki/capitalist_mode_of_production) is distinguished by how the owners of capital extract this surplus from workers: all prior class societies had extracted [surplus labor](http://en.wikipedia.org/wiki/surplus_labor), but capitalism was new in doing so via the sale-value of produced commodities.[[295]](Print_version.html#cite_note-Marx1894-307) Marx argues that a core requirement of a capitalist society is that a large portion of the population must not possess sources of self-sustenance that would allow them to be independent, and must instead be compelled, in order to survive, to sell their labor for a living wage.[[296]](Print_version.html#cite_note-Marx25-308)[[297]](Print_version.html#cite_note-Dobb1947-309)[[298]](Print_version.html#cite_note-Harvey1989-310) In conjunction with his criticism of capitalism was Marx's belief that exploited labor would be the driving force behind a revolution to a socialist-style economy.[[299]](Print_version.html#cite_note-Wheen2006-311) For Marx, this cycle of the extraction of the surplus value by the owners of capital or the bourgeoisie becomes the basis of [class struggle](http://en.wikipedia.org/wiki/class_struggle). This argument is intertwined with Marx's version of the [labor theory of value](http://en.wikipedia.org/wiki/labor_theory_of_value) asserting that labor is the source of all value, and thus of profit. How capitalists generate profit is illustrated in the figure below.

![Capitalism generates profit for capitalists, who own the means of production, through exploitation, or paying workers less than they are worth.](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/02/Graphic_depiction_of_capitalism.png/600px-Graphic_depiction_of_capitalism.png)

The [market](http://en.wikipedia.org/wiki/market) is a term used by economists to describe a central exchange through which people are able to buy and sell goods and services.[[300]](Print_version.html#cite_note-swedberg2007-312) In a capitalist economy, the prices of goods and services are controlled mainly through _[supply and demand](http://en.wikipedia.org/wiki/supply_and_demand)_ and _[competition](http://en.wikipedia.org/wiki/competition)_. Supply is the amount of a good or service produced by a firm and available for sale. Demand is the amount that people are willing to buy at a specific price. Prices tend to rise when demand exceeds supply and fall when supply exceeds demand, so that the market is able to coordinate itself through pricing until a new equilibrium price and quantity is reached. Competition arises when many producers are trying to sell the same or similar kinds of products to the same buyers. Competition is important in capitalist economies because it leads to innovation and more reasonable prices as firms that charge lower prices or improve the quality of their product can take buyers away from competitors (i.e., increase [market share](http://en.wikipedia.org/wiki/market_share). Furthermore, without competition, a _[monopoly](http://en.wikipedia.org/wiki/monopoly)_ or _[cartel](http://en.wikipedia.org/wiki/cartel)_ may develop. A monopoly occurs when a firm supplies the total output in the market. When this occurs, the firm can limit output and raise prices because it has no fear of competition. A cartel is a group of firms that act together in a monopolistic manner to control output and raise prices. Many countries have [competition laws](http://en.wikipedia.org/wiki/competition_law) and [anti-trust laws](http://en.wikipedia.org/wiki/anti-trust) that prohibit monopolies and cartels from forming. In many capitalist nations, public utilities (communications, gas, electricity, etc), are able to operate as a monopoly under government regulation due to high economies of scale.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Supply-and-demand.svg/240px-Supply-and-demand.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The price P of a product is determined by a balance between production at each price (supply S) and the desires of those with [purchasing power](http://en.wikipedia.org/wiki/purchasing_power) at each price (demand D). This results in a market equilibrium, with a given quantity (Q) sold of the product. A rise in demand from D1 to D2 would result in an increase in price from P1 to P2 and an increase in output from Q1 to Q2.

Income in a capitalist economy depends primarily on what skills are in demand and what skills are currently being supplied. People who have skills that are in scarce supply are worth a lot more in the market and can attract higher incomes. Competition among employers for workers and among workers for jobs, helps determine wage rates. Firms need to pay high enough wages to attract the appropriate workers; however, when jobs are scarce workers may accept lower wages than when jobs are plentiful. [Labour unions](http://en.wikipedia.org/wiki/Labour_unions) and the government also influence wages in capitalist nations. Unions act to represent labourers in negotiations with employers over such things as wage rates and acceptable working conditions. Most countries have an established minimum wage and other government agencies work to establish safety standards. [Unemployment](http://en.wikipedia.org/wiki/unemployed) is a necessary component of a capitalist economy to insure an excessive pool of laborers. Without unemployed individuals in a capitalist economy, capitalists would be unable to exploit their workers because workers could demand to be paid what they are worth. What's more, when people leave the employed workforce and experience a period of unemployment, the longer they stay out of the workforce, the longer it takes to find work and the lower their returning salaries will be when they return to the workforce.[[301]](Print_version.html#cite_note-Arranz2010-313) Thus, not only do the unemployed help drive down the wages of those who are employed, they also suffer financially when they do return to the paid workforce.

In capitalist nations, the government allows for [private property](http://en.wikipedia.org/wiki/private_property) and individuals are allowed to work where they please. The government also generally permits firms to determine what wages they will pay and what prices they will charge for their products. The government also carries out a number of important economic functions. For instance, it issues money, supervises public utilities and enforces private contracts. Laws, such as policy competition, protect against competition and prohibit unfair business practices. Government agencies regulate the standards of service in many industries, such as airlines and broadcasting, as well as financing a wide range of programs. In addition, the government regulates the flow of capital and uses things such as the interest rate to control factors such as inflation and unemployment.

### Criticisms of Capitalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-5)]

Critics argue that capitalism is associated with the unfair [distribution of wealth](http://en.wikipedia.org/wiki/distribution_of_wealth) and power; a tendency toward market monopoly or [oligopoly](http://en.wikipedia.org/wiki/oligopoly) (and government by [oligarchy](http://en.wikipedia.org/wiki/oligarchy)); [imperialism](http://en.wikipedia.org/wiki/imperialism), [counter-revolutionary](http://en.wikipedia.org/wiki/counter-revolutionary) wars and various forms of economic and cultural [exploitation](http://en.wikipedia.org/wiki/exploitation); repression of workers and [trade unionists](http://en.wikipedia.org/wiki/trade_union), and phenomena such as [social alienation](http://en.wikipedia.org/wiki/social_alienation), [economic inequality](http://en.wikipedia.org/wiki/economic_inequality), [unemployment](http://en.wikipedia.org/wiki/unemployment), and economic instability. Critics have argued that there is an inherent tendency towards oligopolistic structures when laissez-faire laws are combined with capitalist private property. Capitalism is regarded by many socialists to be irrational in that production and the direction of the economy are unplanned, creating inconsistencies and internal contradictions and thus should be controlled through public policy.[[302]](Print_version.html#cite_note-Brander2006-314)

In the early 20th century, [Vladimir Lenin](http://en.wikipedia.org/wiki/Vladimir_Lenin) argued that state use of military power to defend capitalist interests abroad was an inevitable corollary of monopoly capitalism.[[303]](Print_version.html#cite_note-Lenin1916-315) Economist [Branko Horvat](http://en.wikipedia.org/wiki/Branko_Horvat) states, "it is now well known that capitalist development leads to the concentration of capital, employment and power. It is somewhat less known that it leads to the almost complete destruction of economic freedom."[[304]](Print_version.html#cite_note-Horvat-316) [Ravi Batra](http://en.wikipedia.org/wiki/Ravi_Batra) argues that excessive income and wealth inequalities are a fundamental cause of financial crisis and economic depression, which will lead to the [collapse of capitalism](http://en.wikipedia.org/wiki/The_Downfall_of_Capitalism_and_Communism) and the emergence of a new social order.

[Environmentalists](http://en.wikipedia.org/wiki/Environmentalist) have argued that capitalism requires continual economic growth, and will inevitably deplete the finite natural resources of the earth, and other broadly utilized resources. [Murray Bookchin](http://en.wikipedia.org/wiki/Murray_Bookchin) has argued that capitalist production [externalizes](http://en.wikipedia.org/wiki/Externalities) environmental costs to all of society, and is unable to adequately mitigate its impact upon ecosystems and the biosphere at large. [Labor historians](http://en.wikipedia.org/wiki/Labor_history_\(discipline\)) and scholars, such as [Immanuel Wallerstein](http://en.wikipedia.org/wiki/Immanuel_Wallerstein) have argued that [unfree labor](http://en.wikipedia.org/wiki/Unfree_labour) — by [slaves](http://en.wikipedia.org/wiki/Slavery), [indentured servants](http://en.wikipedia.org/wiki/indentured_servant), prisoners, and other coerced persons — is compatible with capitalist relations.[[305]](Print_version.html#cite_note-Cass1999-317)

A common response to the criticism that capitalism leads to inequality is the argument that capitalism also leads to economic growth and generally improved standards of living. Capitalism's does promote economic growth, as measured by [Gross Domestic Product or GDP](http://en.wikipedia.org/wiki/Gross_Domestic_Product)), [capacity utilization](http://en.wikipedia.org/wiki/capacity_utilization) or [standard of living](http://en.wikipedia.org/wiki/standard_of_living). This argument was central, for example, to Adam Smith's advocacy of letting a free market control production and price, and allocate resources. Many theorists have noted that this increase in global GDP over time coincides with the emergence of the modern world capitalist system.[[306]](Print_version.html#cite_note-Lucas2003-318)[[307]](Print_version.html#cite_note-DeLong-319) While the measurements are not identical, proponents argue that increasing GDP (per capita) is empirically shown to bring about improved standards of living, such as better availability of food, housing, clothing, and health care.[[308]](Print_version.html#cite_note-Nardinelli-320)

## Socialism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-6)]

**Socialism** refers to various theories of economic organization advocating public or direct worker ownership and administration of the [means of production](http://en.wikipedia.org/wiki/means_of_production) and allocation of resources, and a society characterized by equal access to resources for all individuals with a method of compensation based on the amount of labor expended.[[309]](Print_version.html#cite_note-Newman2005-321) Most socialists share the view that capitalism unfairly concentrates power and wealth among a small segment of society that controls [capital](http://en.wikipedia.org/wiki/Capital_\(economics\)) and derives its wealth through [w:exploitation](http://en.wikipedia.org/wiki/exploitation), creates an [unequal](http://en.wikipedia.org/wiki/Social_equality) society, does not provide equal opportunities for everyone to maximise their potentialities[[310]](Print_version.html#cite_note-322) and does not utilise technology and resources to their maximum potential nor in the interests of the public.[[311]](Print_version.html#cite_note-323)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a3/Socialism_in_pictures.png/600px-Socialism_in_pictures.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This figure illustrates the basic ideas of socialism. The government (which is the people) owns the means of production. Through centralized planning, it determines what should be produced then dictates production quotas to the factories and workers. The goods that are produced are owned by the government (which is the people) and are then divided up among the workers.

In one example of socialism, the [Soviet Union](http://en.wikipedia.org/wiki/economy_of_the_Soviet_Union), state ownership was combined with central planning. In this scenario, the government determined which goods and services were produced, how they were to be produced, the quantities, and the sale prices. Centralized planning is an alternative to allowing the market ([supply and demand](http://en.wikipedia.org/wiki/supply_and_demand)) to determine prices and production. In the West, neoclassical [liberal economists](http://en.wikipedia.org/wiki/Economic_liberalism) such as [Friedrich Hayek](http://en.wikipedia.org/wiki/Friedrich_Hayek) and [Milton Friedman](http://en.wikipedia.org/wiki/Milton_Friedman) said that socialist planned economies would fail because planners could not have the business information inherent to a market economy (cf. [economic calculation problem](http://en.wikipedia.org/wiki/economic_calculation_problem)), nor could managers in Soviet-style socialist economies match the motivation of profit. Consequent to Soviet economic stagnation in the 1970s and 1980s, socialists began to accept parts of these critiques. Polish economist [Oskar Lange](http://en.wikipedia.org/wiki/Oskar_Lange), an early proponent of [market socialism](http://en.wikipedia.org/wiki/market_socialism), proposed a central planning board establishing prices and controls of investment. The prices of producer goods would be determined through trial and error. The prices of consumer goods would be determined by supply and demand, with the supply coming from state-owned firms that would set their prices equal to the [marginal cost](http://en.wikipedia.org/wiki/marginal_cost), as in [perfectly competitive](http://en.wikipedia.org/wiki/Perfect_competition) markets. The central planning board would distribute a "social dividend" to ensure reasonable income equality.[[312]](Print_version.html#cite_note-Rosser2004-324)

In western Europe, particularly in the period after World War II, many socialist parties in government implemented what became known as mixed economies. In the biography of the 1945 UK Labour Party Prime Minister Clement Attlee, Francis Beckett states: "the government... wanted what would become known as a mixed economy".[[313]](Print_version.html#cite_note-Beckett2007-325) Beckett also states that "Everyone called the 1945 government 'socialist'." These governments [nationalised](http://en.wikipedia.org/wiki/Nationalisation) major and economically vital industries while permitting a free market to continue in the rest. These were most often monopolistic or infrastructural industries like mail, railways, power and other utilities. In some instances a number of small, competing and often relatively poorly financed companies in the same sector were nationalised to form one government monopoly for the purpose of competent management, of economic rescue (in the UK, [British Leyland](http://en.wikipedia.org/wiki/British_Leyland), [Rolls Royce](http://en.wikipedia.org/wiki/Rolls_Royce)), or of competing on the world market.

Typically, this was achieved through compulsory purchase of the industry (i.e. with compensation). In the UK, the nationalisation of the coal mines in 1947 created a coal board charged with running the coal industry commercially so as to be able to meet the interest payable on the bonds which the former mine owners' shares had been converted into.[[314]](Print_version.html#cite_note-SocialistParty1985-326)[[315]](Print_version.html#cite_note-Hardcastle1947-327)

Marxist and non-Marxist social theorists agree that socialism developed in reaction to modern industrial capitalism, but disagree on the nature of their relationship. [Émile Durkheim](http://en.wikipedia.org/wiki/%C3%89mile_Durkheim) posits that socialism is rooted in the desire to bring the state closer to the realm of individual activity, in countering the [anomie](http://en.wikipedia.org/wiki/anomie) of a capitalist society. In socialism, [Max Weber](http://en.wikipedia.org/wiki/Max_Weber) saw acceleration of the rationalisation started in capitalism. As a critic of socialism, he warned that placing the economy entirely in the state's bureaucratic control would result in an "[iron cage](http://en.wikipedia.org/wiki/iron_cage) of future bondage".

The Marxist conception of socialism is that of a specific historical phase that will displace capitalism and be a precursor to communism. The major characteristics of socialism are that the proletariat will control the means of production through a [workers' state](http://en.wikipedia.org/wiki/socialist_state) erected by the workers in their interests. Economic activity is still organised through the use of incentive systems and social classes would still exist but to a lesser and diminishing extent than under capitalism.[[316]](Print_version.html#cite_note-economictheories-328) For orthodox Marxists, socialism is the lower stage of communism based on the principle of "[from each according to his ability, to each according to his contribution](http://en.wikipedia.org/wiki/To_each_according_to_his_contribution)" while upper stage communism is based on the principle of "[from each according to his ability, to each according to his need](http://en.wikipedia.org/wiki/from_each_according_to_his_ability,_to_each_according_to_his_need)"; the upper stage becoming possible only after the socialist stage further develops economic efficiency and the automation of production has led to a superabundance of goods and services.[[317]](Print_version.html#cite_note-Schaff2001-329)[[318]](Print_version.html#cite_note-Walicki1995-330)

Socialism is not a concrete philosophy of fixed doctrine and program; its branches advocate a degree of [social interventionism](http://en.wikipedia.org/wiki/social_interventionism) and economic rationalisation (usually in the form of economic planning), sometimes opposing each other. Some socialists advocate complete [nationalisation](http://en.wikipedia.org/wiki/nationalisation) of the means of production, distribution, and exchange; others advocate [state control](http://en.wikipedia.org/wiki/State_ownership) of capital within the framework of a market economy.

Socialists inspired by the [Soviet model of economic development](http://en.wikipedia.org/wiki/Economy_of_the_Soviet_Union) have advocated the creation of [centrally planned economies](http://en.wikipedia.org/wiki/Planned_economy) directed by a state that owns all the means of production. Others, including Yugoslavian, Hungarian, German and Chinese Communists in the 1970s and 1980s, instituted various forms of [market socialism](http://en.wikipedia.org/wiki/market_socialism), combining co-operative and state ownership models with the free market [exchange](http://en.wikipedia.org/wiki/trade) and [free price system](http://en.wikipedia.org/wiki/free_price_system) (but not free prices for the means of production).[[319]](Print_version.html#cite_note-Calhoun2002-331)[[320]](Print_version.html#cite_note-McLean2003-332)[[321]](Print_version.html#cite_note-Stiglitz1995-333)

[Social democrats](http://en.wikipedia.org/wiki/Social_democracy) propose selective nationalisation of key national industries in [mixed economies](http://en.wikipedia.org/wiki/Mixed_economy), while maintaining private ownership of capital and private business enterprise. Social democrats also promote tax-funded welfare programs and regulation of markets. Many social democrats, particularly in European [welfare states](http://en.wikipedia.org/wiki/welfare_state), refer to themselves as socialists, introducing a degree of ambiguity to the understanding of what the term means.

Modern socialism originated in the late 18th-century intellectual and [working class](http://en.wikipedia.org/wiki/working_class) political movement that criticised the effects of industrialisation and [private ownership](http://en.wikipedia.org/wiki/Private_enterprise) on society. The [utopian socialists](http://en.wikipedia.org/wiki/Utopian_socialism), including [w:Robert Owen](http://en.wikipedia.org/wiki/Robert_Owen) (1771–1858), tried to found self-sustaining communes by secession from a [capitalist](http://en.wikipedia.org/wiki/Capitalism) society. [Henri de Saint Simon](http://en.wikipedia.org/wiki/Henri_de_Saint_Simon) (1760–1825), the first individual to coin the term _socialisme_, was the original thinker who advocated [technocracy](http://en.wikipedia.org/wiki/Technocracy_\(bureaucratic\)) and industrial planning.[[322]](Print_version.html#cite_note-fsmitha-334) The first socialists predicted a world improved by harnessing technology and better social organisation; many contemporary socialists share this belief. Early socialist thinkers tended to favour an authentic [meritocracy](http://en.wikipedia.org/wiki/meritocracy) combined with rational social planning.

The [Financial crisis of 2007–2009](http://en.wikipedia.org/wiki/Financial_crisis_of_2007%E2%80%932009) led to mainstream discussions as to whether "Marx was right".[[323]](Print_version.html#cite_note-TheTimes2008-335)[[324]](Print_version.html#cite_note-TheHerald2008-336) [Time magazine](http://en.wikipedia.org/wiki/Time_\(magazine\)) ran an article titled "Rethinking Marx" and put Karl Marx on the cover of its 28th of January 2009 European edition.[[325]](Print_version.html#cite_note-Gumbell2009-337) While the mainstream media tended to conclude that Marx was wrong, this was not the view of socialists and left-leaning commentators.[[326]](Print_version.html#cite_note-TheSocialist2008-338)[[327]](Print_version.html#cite_note-Cox2007-339)

### Examples of Socialism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-7)]

#### Asia[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-8)]

The People's Republic of China, North Korea, Laos and Vietnam are Asian states remaining from the first wave of socialism in the 20th century. States with socialist economies have largely moved away from centralised economic planning in the 21st century, placing a greater emphasis on markets, as in the case of the Chinese [Socialist market economy](http://en.wikipedia.org/wiki/Socialist_market_economy) and Vietnamese [Socialist-oriented market economy](http://en.wikipedia.org/wiki/Socialist-oriented_market_economy). In China, the [Chinese Communist Party](http://en.wikipedia.org/wiki/Chinese_Communist_Party) has led a transition from the command economy of the [Mao](http://en.wikipedia.org/wiki/Mao) period to an economic program called the [socialist market economy](http://en.wikipedia.org/wiki/socialist_market_economy) or "[socialism with Chinese characteristics](http://en.wikipedia.org/wiki/socialism_with_Chinese_characteristics)." Under [Deng Xiaoping](http://en.wikipedia.org/wiki/Deng_Xiaoping), the leadership of China embarked upon a program of market-based reform that was more sweeping than had been Soviet leader [Mikhail Gorbachev](http://en.wikipedia.org/wiki/Mikhail_Gorbachev)'s [perestroika](http://en.wikipedia.org/wiki/perestroika) program of the late 1980s. Deng's program, however, maintained state ownership rights over land, state or cooperative ownership of much of the heavy industrial and manufacturing sectors and state influence in the banking and financial sectors.

Elsewhere in Asia, some elected socialist parties and communist parties remain prominent, particularly in India and Nepal. The Communist Party of Nepal in particular calls for multi-party democracy, social equality, and economic prosperity.[[328]](Print_version.html#cite_note-CPNM-340) In Singapore, a majority of the GDP is still generated from the state sector comprised of government-linked companies.[[329]](Print_version.html#cite_note-countryrisk-341) In Japan, there has been a resurgent interest in the [Japanese Communist Party](http://en.wikipedia.org/wiki/Japanese_Communist_Party) among workers and youth.[[330]](Print_version.html#cite_note-Telegraph2008-342)[[331]](Print_version.html#cite_note-BBC2009-343)

#### Europe[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-9)]

In Europe, [the Left Party](http://en.wikipedia.org/wiki/The_Left_\(Germany\)) in Germany has grown in popularity,[[332]](Print_version.html#cite_note-WSWS2008-344) becoming the fourth biggest party in parliament in the general election on 27 September 2009.[[333]](Print_version.html#cite_note-Greenleft2009-345) Communist candidate [Dimitris Christofias](http://en.wikipedia.org/wiki/Dimitris_Christofias) won a crucial presidential runoff in [w:Cyprus](http://en.wikipedia.org/wiki/Cyprus), defeating his conservative rival with a majority of 53% of the vote.[[334]](Print_version.html#cite_note-ElPasoTimes-346) In Greece, in the general election on 4 October 2009, the Communist KKE got 7.5% of the votes and the new Socialist grouping, [Syriza](http://en.wikipedia.org/wiki/Coalition_of_the_Radical_Left) or "Coalition of the Radical Left", won 4.6% or 361,000 votes.

In Ireland, in the [2009 European election](http://en.wikipedia.org/wiki/European_Parliament_election,_2009_\(Ireland\)), Joe Higgins of the [Socialist Party](http://en.wikipedia.org/wiki/Socialist_Party_\(Ireland\)) took one of four seats in the capital [Dublin European constituency](http://en.wikipedia.org/wiki/Dublin_\(European_Parliament_constituency\)). In Denmark, the [Socialist People's Party](http://en.wikipedia.org/wiki/Socialist_People%27s_Party_\(Denmark\)) more than doubled its parliamentary representation to 23 seats from 11, making it the fourth largest party.[[335]](Print_version.html#cite_note-BBC_Danish-347)

In France, the [Revolutionary Communist League](http://en.wikipedia.org/wiki/Revolutionary_Communist_League_\(France\)) candidate in the 2007 presidential election, [Olivier Besancenot](http://en.wikipedia.org/wiki/Olivier_Besancenot), received 1,498,581 votes, 4.08%, double that of the Communist candidate.[[336]](Print_version.html#cite_note-SocialismToday-348) The LCR abolished itself in 2009 to initiate a broad anti-capitalist party, the [New Anticapitalist Party](http://en.wikipedia.org/wiki/New_Anticapitalist_Party), whose stated aim is to "build a new socialist, democratic perspective for the twenty-first century".[[337]](Print_version.html#cite_note-AgenceFrancePresse2008-349)

#### Latin America[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-10)]

In some Latin American countries, socialism has re-emerged in recent years, with an [anti-imperialist](http://en.wikipedia.org/wiki/anti-imperialist) stance, the rejection of the policies of [neoliberalism](http://en.wikipedia.org/wiki/neoliberalism), and the [nationalisation](http://en.wikipedia.org/wiki/nationalisation) or part nationalisation of oil production, land and other assets. Venezuelan President [Hugo Chávez](http://en.wikipedia.org/wiki/Hugo_Ch%C3%A1vez), Bolivian President [Evo Morales](http://en.wikipedia.org/wiki/Evo_Morales), and Ecuadorian president [Rafael Correa](http://en.wikipedia.org/wiki/Rafael_Correa) for instance, refer to their political programs as socialist.

#### United States[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-11)]

An April 2009 Rasmussen Reports poll conducted during the [Financial crisis of 2007–2009](http://en.wikipedia.org/wiki/Financial_crisis_of_2007%E2%80%932009) suggested there had been a growth of support for socialism in the United States. The poll results stated that 53% of American adults thought capitalism was better than socialism, and that "Adults under 30 are essentially evenly divided: 37% prefer capitalism, 33% socialism, and 30% are undecided". The question posed by Rasmussen Reports did not define either capitalism or socialism.[[338]](Print_version.html#cite_note-Rasmussen-350)

### Criticisms of Socialism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-12)]

Criticisms of socialism range from claims that socialist economic and political models are inefficient or incompatible with [civil liberties](http://en.wikipedia.org/wiki/civil_liberties) to condemnation of specific [socialist states](http://en.wikipedia.org/wiki/socialist_state). In the [economic calculation debate](http://en.wikipedia.org/wiki/Economic_calculation_problem), [classical liberal](http://en.wikipedia.org/wiki/classical_liberalism) [Friedrich Hayek](http://en.wikipedia.org/wiki/Friedrich_Hayek) argued that a socialist [command economy](http://en.wikipedia.org/wiki/command_economy) could not adequately transmit information about prices and productive quotas due to the lack of a [price mechanism](http://en.wikipedia.org/wiki/price_mechanism), and as a result it could not make rational economic decisions. [Ludwig von Mises](http://en.wikipedia.org/wiki/Ludwig_von_Mises) argued that a socialist economy was not possible at all, because of the impossibility of rational pricing of capital goods in a socialist economy since the state is the only owner of the capital goods. Hayek further argued that the social control over distribution of wealth and private property advocated by socialists cannot be achieved without reduced prosperity for the general populace, and a loss of political and economic freedoms.[[339]](Print_version.html#cite_note-Hayek1994-351)[[340]](Print_version.html#cite_note-Hopppe-352)

## Economic measures[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-13)]

There are a number of ways to measure economic activity of a nation. These methods of measuring economic activity include:

  * [Consumer spending](http://en.wikipedia.org/wiki/Consumer_spending)
  * [Exchange Rate](http://en.wikipedia.org/wiki/Exchange_Rate)
  * [Gross domestic product](http://en.wikipedia.org/wiki/Gross_domestic_product)
  * [GDP per capita](http://en.wikipedia.org/wiki/GDP_per_capita)
  * [GNP or Gross National Product](http://en.wikipedia.org/wiki/GNP)
  * [Stock Market](http://en.wikipedia.org/wiki/Stock_Market)
  * [Interest Rate](http://en.wikipedia.org/wiki/Interest_Rate)
  * [National Debt](http://en.wikipedia.org/wiki/National_Debt)
  * [Rate of Inflation](http://en.wikipedia.org/wiki/Inflation)
  * [Unemployment](http://en.wikipedia.org/wiki/Unemployment)
  * [Balance of Trade](http://en.wikipedia.org/wiki/Balance_of_Trade)

### GDP[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-14)]

The [Gross Domestic Product or GDP](http://en.wikipedia.org/wiki/GDP) of a country is a measure of the size of its economy. While often useful, it should be noted that GDP only includes economic activity for which money is exchanged. GDP and GDP per capita are widely used indicators of a country's wealth. The map below shows GDP per capita of countries around the world:

![GDP PPP Per Capita IMF 2008.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/GDP_PPP_Per_Capita_IMF_2008.png/600px-GDP_PPP_Per_Capita_IMF_2008.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## Informal economy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-15)]

An informal economy is economic activity that is neither taxed nor monitored by a government and is contrasted with the formal economy as described above. The informal economy is thus not included in a government's [Gross National Product or GNP](http://en.wikipedia.org/wiki/Gross_National_Product). Although the informal economy is often associated with [developing countries](http://en.wikipedia.org/wiki/developing_countries), all economic systems contain an informal economy in some proportion. Informal economic activity is a dynamic process which includes many aspects of economic and social theory including exchange, regulation, and enforcement. By its nature, it is necessarily difficult to observe, study, define, and measure. The terms "under the table" and "off the books" typically refer to this type of economy. The term [black market](http://en.wikipedia.org/wiki/black_market) refers to a specific subset of the informal economy. Examples of informal economic activity include: the sale and distribution of illegal drugs and unreported payments for house cleaning or baby sitting.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Economy&action=edit&section=T-16)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This page also draws heavily on the following Wikipedia articles:

  * [economy](http://en.wikipedia.org/wiki/economy)
  * [capitalism](http://en.wikipedia.org/wiki/capitalism)
  * [socialism](http://en.wikipedia.org/wiki/socialism)
  * [communism](http://en.wikipedia.org/wiki/communism)

# Family[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=17)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Family67.JPG/200px-Family67.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A large family from the U.S., circa 1984.

Most people have a network of others they consider their family. But what exactly is a family? How do family structures vary from culture to culture or subculture to subculture? Is what we consider the traditional family changing over time? Why do families exist? These are the questions sociologists ask when discussing families.

## What is a family?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-1)]

You may think this is a fairly straightforward question with a simple answer. But think about it for a minute then ask yourself, "Who and what do I include in my family?" You might say your parents, your siblings, and/or your spouse. But what about the family pet? What if you were raised by your grandparents and your parents played little to no role in your life? Who, then, do you consider your family? Is family limited to genetically related individuals; those we typically think of as kin?

Questioning the basic concept of family is a relatively new phenomenon, though variations in what we consider a "family" are not. There are so many variations of "family" today that it is hard to define what, exactly, a family is. Generally, we think of a **family** as a domestic [group](http://en.wikipedia.org/wiki/group_\(sociology\)) of people, or a number of domestic groups linked through descent from: (1) a common ancestor, (2) marriage, or (3) adoption. Families generally have some degree of kinship.

But society increasingly accepts a number of variations on traditional family forms. Consider each of the following examples:

  * an elderly man and his twelve cats
  * a cohabiting homosexual couple with three foster children
  * a mixed group of singles sharing a town home in a large city
  * a close knit fraternity or sorority
  * a small group of soldiers fighting in a foreign country

Each of the above groups differs from the traditional form of family: a man, a woman, and their children. This traditional notion of parents and children as family is called a _[nuclear family](http://en.wikipedia.org/wiki/nuclear_family)_ and is an invention of the Western World. It is a social construct that does not necessarily reflect the reality of family life for many people. In fact, with recent developments in the U.S., the nuclear family is no longer the primary form of social life in the U.S. According to recent census data, more adult women now live alone or are raising their children alone than are living with a spouse or raising their children with a spouse.[[341]](Print_version.html#cite_note-Roberts2006-353) What many people consider a family is not the only family form; families are diverse in both form and function.

### Cultural Variations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9e/Polygamy_world_map.png/300px-Polygamy_world_map.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A map of the world regions where polygamy is a common form of family structure.

The structure of families traditionally hinges on relations between parents and children, between spouses, or both. Consequently, there is substantial variation in family forms around the world, varying from culture to culture. The most common form of family structure in the Western World is monogamy, which is the practice of having only one spouse at a time. A variety of other family structures exist. One prevalent form is polygamy, which broadly refers to any form of marriage in which a person has more than one spouse. Historically, polygamy has been practiced as polygyny (one man having more than one wife), as polyandry (one woman having more than one husband), or, less commonly, as "polygamy" (having many wives and many husbands at one time).

Another factor that leads to cultural variations in family forms is attitudes toward endogamy. Endogamy is the practice of marrying within a social group. Cultures that practice endogamy require marriage between specified social groups, classes, or ethnicities. Many people tend to marry members of their own social group, but there are some societies that practice endogamy very strictly and as part of their moral values, traditions, or religious beliefs. An example of a strictly endogamous religious group is the Yazidi in Northern Iraq, who prohibit any inter-clan marrying. Endogamy is a common practice among displaced cultures attempting to make roots in new countries as it encourages group solidarity and ensures greater control over group resources (which may be important to preserve where a group is attempting to establish itself within an alien culture).

### Changes Over Time[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Types_of_us_households_2002.png/300px-Types_of_us_households_2002.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This figure illustrates the changing structure of families in the U.S. Only 7% of families in the U.S. in 2002 were "traditional" families in the sense that the husband worked and earned a sufficient income for the wife and kids to stay home. Many families are now dual-earner families. The "other" group includes the many households that are headed by a single parent.

Family structures of some kind are found in every society. Pairing off into formal or informal marital relationships originated in hunter-gatherer groups to forge networks of cooperation beyond the immediate family.[[342]](Print_version.html#cite_note-Coontz2006-354) Intermarriage between groups, tribes, or clans was often political or strategic and resulted in reciprocal obligations between the two groups represented by the marital partners. Even so, marital dissolution was not a serious problem as the obligations resting on marital longevity were not particularly high.

The development of horticultural or agriculture-based societies fundamentally changed the nature of marriage. With the advent of sedentary societies, marriage became one of the central institutions for forging economic and political relationships and was no longer viewed, at least among the aristocracy, as a relationship that should be based on love, companionship, or sexual attraction.[[342]](Print_version.html#cite_note-Coontz2006-354) Among the aristocratic elite, marriage became a means of developing alliances or amassing wealth. For the non-elites, marriage was a pragmatic way of supporting oneself: it was easier to survive if resources (i.e., food, labor power, childcare responsibilities, etc.) were pooled between several people.

You can see a good example of the changing nature of families in the family structure of Ancient Rome. In Ancient Rome the family structure was centered on the father (see _[paterfamilias](http://en.wikipedia.org/wiki/paterfamilias)_). In this structure, fathers held great power (_patria potestas_) over those living with them: They could force marriage and divorce, sell children into slavery, claim dependents' property as their own, and possibly even claim the right to kill family members. _Patria potestas_ extended over adult sons with their own households: A man was not considered a _paterfamilias_ while his own father lived. A daughter, when she married, usually fell under the authority of the _paterfamilias_ of her husband's household, although this was not always the case, as she could choose to continue recognizing her father's family as her true family. However, as Romans reckoned descent through the male line, any children she had would belong to her husband's family. Groups of related households formed a family. Families were based on blood ties (or adoption), but were also used for political and economic alliances. Ancient Roman marriage was often regarded more as a financial and political alliance than as a romantic association, especially in the upper classes.

Modern forms of family structure and marriage in the West have their roots in Christian philosophy and practice. The [nuclear family](http://en.wikipedia.org/wiki/nuclear_family) emerged during the late medieval period[[343]](Print_version.html#cite_note-Greif2005-355) and was formalized during the Council of Trent, in which marriage was defined as, "The conjugal union of man and woman, contracted between two qualified persons, which obliges them to live together throughout life."[[344]](Print_version.html#cite_note-Witte1997-356) While a variety of family structures continue to exist around the world today, including polygamous and polygynous families in many societies (including the U.S.[[345]](Print_version.html#cite_note-Olaiz2006-357), the predominant form is monogamy (though, as noted above, this is no longer the majority form). As described below, variations on monogamous relationships are increasingly prevalent (i.e., same-sex marriage), as are alternatives to monogamy (e.g., single-parent households).

## Families and Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-4)]

### The Function of Families[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-5)]

The primary function of the family is to reproduce society, both biologically, through procreation, and socially, through socialization. Given these functions, one's experience of one's family shifts over time. From the perspective of children, the family is a **family of orientation**: the family functions to locate children socially, and plays a major role in their socialization. From the point of view of the parent(s), the family is a **family of procreation**: the family functions to produce and socialize children. In some cultures marriage imposes upon women the _obligation_ to bear children. In northern Ghana, for example, payment of [bridewealth](http://en.wikipedia.org/wiki/bridewealth) signifies a woman's requirement to bear children, and women using birth control face substantial threats of physical abuse and reprisals.[[346]](Print_version.html#cite_note-Bawah1999-358)

Producing offspring is not the only function of the family. Marriage sometimes establishes the legal father of a woman's child; establishes the legal mother of a man's child; gives the husband or his family control over the wife's sexual services, labor, and/or property; gives the wife or her family control over the husband's sexual services, labor, and/or property; establishes a joint fund of property for the benefit of children; establishes a relationship between the families of the husband and wife. No society does all of these; no one of these is universal.[[347]](Print_version.html#cite_note-Bohannan1968-359) In societies with a sexual division of labor, marriage, and the resulting relationship between a husband and wife, is necessary for the formation of an economically productive household. In modern societies marriage entails particular rights and privilege that encourage the formation of new families even when there is no intention of having children.

### The Sociobiology of Families[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-6)]

In almost all societies, marriage between brothers and sisters is forbidden, with Ancient Egyptian, Hawaiian, and Inca royalty being the rare exceptions. In many societies, marriage between some first cousins is preferred, while at the other extreme, the medieval Catholic church prohibited marriage even between distant cousins. The present day Catholic Church still maintains a standard of required distance (in both consanguinity and affinity) for marriage.

These sorts of restrictions are a form of [exogamy](http://en.wikipedia.org/wiki/exogamy). One exception to this pattern is in ancient Egypt, where marriage [between brothers and sisters](http://en.wikipedia.org/wiki/incest) was permitted in the royal family — as it was also permitted in Hawaii and among the Inca. This privilege was denied commoners and may have served to concentrate wealth and power in one family. The consequence of the incest-taboo is exogamy, the requirement to marry someone from another group. The incest taboo may serve to promote social solidarity.

## The Family Life Cycle[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-7)]

### Courtship[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-8)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/20/Youth_and_suitors.jpg/200px-Youth_and_suitors.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Youth conversing with suitors_  
from the _Haft Awrang_ of [Jami](http://en.wikibooks.org/w/index.php?title=Jami&action=edit&redlink=1), in the story _A Father Advises his Son About Love._

**Courtship** is the traditional dating period before engagement and marriage. It is an alternative to [arranged marriages](http://en.wikipedia.org/wiki/arranged_marriage) in which the couple doesn't meet before the wedding. During a courtship, a couple gets to know each other and decides if there will be an engagement. Courting includes activities such as dating where couples go together for some activity (e.g., a meal or movie). Courting can also take place without personal contact, especially with modern technology. [Virtual dating](http://en.wikipedia.org/wiki/Virtual_dating), chatting on-line, sending text messages, conversing over the telephone, instant messaging, writing [letters](http://en.wikipedia.org/wiki/Letter_\(message\)), and sending gifts are all modern forms of courting.

Courtship varies both by time period and by region of the world. One way courtship varies is in the duration; courting can take days or years. In the United Kingdom, a poll of 3,000[[348]](Print_version.html#cite_note-mc-360) engaged or married couples suggested in an average duration between first meeting and engagement of 2 years and 11 months,[[348]](Print_version.html#cite_note-mc-360)[[349]](Print_version.html#cite_note-metro-361)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/73/44-aspetti_di_vita_quotidiana,_stagione_calda,Taccuino_Sanit.jpg/200px-44-aspetti_di_vita_quotidiana,_stagione_calda,Taccuino_Sanit.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Courting, [Tacuinum Sanitatis](http://en.wikibooks.org/w/index.php?title=Tacuinum_Sanitatis&action=edit&redlink=1) (XIV century)

While the date is fairly casual in most European-influenced cultures, in some traditional societies, courtship is a highly structured activity, with very specific formal rules. In some societies, the parents or community propose potential partners, and then allow limited dating to determine whether the parties are suited. In Japan, some parents hire a matchmaker to provide pictures and résumés of potential mates, and if the couple agrees, there will be a formal meeting with the matchmaker and often parents in attendance; this is called [Omiai](http://en.wikipedia.org/wiki/Miai). In more closed societies, courtship is virtually eliminated altogether by the practice of arranged marriages, where partners are chosen for young people, typically by their parents. Forbidding experimental and serial courtship and sanctioning only arranged matches is partly a means of guarding the chastity of young people and partly a matter of furthering family interests, which in such cultures may be considered more important than individual romantic preferences. Another variation of courtship is the [bundling tradition](http://en.wikipedia.org/wiki/Bundling_\(tradition\)), which likely originated in Scandinavia and was carried to the U.S. by immigrants. Bundling involved potential mates spending the night together in the same bed, though the couple was not supposed to engage in sexual relations. This practice ceased in the late 19th Century.

In earlier centuries, young adults were expected to court with the intention of finding a marriage partner, rather than for social reasons. However, by the 1920s, dating for fun was becoming an expectation, and by the 1930s, it was assumed that any popular young person would have lots of dates. This form of dating, though, was usually more chaste than is seen today, since pre-marital sex was not considered the norm even though it was widespread. As a result of social changes spurred by the [sexual revolution](http://en.wikipedia.org/wiki/sexual_revolution) of the 1960s and 1970s, the taboo of sex during dating began to wane. Couples today are more likely to "hook up" or "hang out" with large groups rather than go on old-fashioned, paired dates. In recent years, a number of college newspapers have featured editorials where students decry the lack of "dating" on their campuses. This may be a result of a highly-publicized 2001 study and campaign sponsored by the conservative American women's group [Independent Women's Forum](http://en.wikipedia.org/wiki/Independent_Women%27s_Forum), which promotes "traditional" dating.[[350]](Print_version.html#cite_note-362) Also, in recent years traditional dating has evolved and taken on the metamorphic properties necessary to sustain itself in today's world. This can be seen in the rise in internet dating, speed dating or gradual exclusivity dating (a.k.a. slow dating). Some theorize that courtship as it was known to prior generations has seen its last days and the next closest thing is gradual exclusivity, where the partners respect and value each other's individual lives but still maintain the ultimate goal of being together even if time or space does not permit it now.

Courtship is used by a number of theorists to explain gendering processes and sexual identity. Scientific research into courtship began in the 1980s after which time academic researchers started to generate theories about modern dating practices and norms. Both Moore and Perper found that, contrary to popular beliefs, courtship is normally triggered and controlled by women[[351]](Print_version.html#cite_note-Perper1985-363)[[352]](Print_version.html#cite_note-364), driven mainly by non-verbal behaviours to which men respond. This is generally supported by other theorists who specialise in the study of body language[[353]](Print_version.html#cite_note-Pease2004-365). Feminist scholars, however, continue to regard courtship as a socially constructed (and male-led) process organised to subjugate women[[354]](Print_version.html#cite_note-Hearn1987-366)[[355]](Print_version.html#cite_note-367). The main weakness in this argument, however, lies in the continuing empirical evidence that the institutions of courtship are more strongly supported by women than men. Farrell reports, for example, that magazines about marriage and romantic fiction continue to attract a 98% female readership[[356]](Print_version.html#cite_note-Farrell2000-368).

Systematic research into courtship processes inside the workplace[[357]](Print_version.html#cite_note-Williams1999-369)[[358]](Print_version.html#cite_note-Ridley-Duff2007-370) as well two 10-year studies examining norms in different international settings[[359]](Print_version.html#cite_note-Molloy2003-371)[[360]](Print_version.html#cite_note-Buss1990-372) continue to support a view that courtship is a social process that socialises **both** sexes into accepting forms of relationship that maximise the chances of successfully raising children. This may negatively impact women, particularly those seeking independence and equality at work.[[361]](Print_version.html#cite_note-ITUC2008-373)[[362]](Print_version.html#cite_note-374).

### Marriage[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-9)]

**Marriage** is a governmentally, socially, or religiously recognized interpersonal relationship, usually intimate and sexual, that is often created as a form of contract.[[363]](Print_version.html#cite_note-375) The most frequently occurring form of marriage is between a woman and a man, where the feminine term _wife_ and the masculine _husband_ are generally used to describe the parties to the contract. Other forms of marriage also exist. For example, polygamy, in which a person takes more than one spouse, is present in many societies.[[364]](Print_version.html#cite_note-Murdoch1949-376) (See, for instance, the [Kaingang](http://en.wikipedia.org/wiki/Kaingang), of Brazil, where close to 40% of the marriages were not monogamous but included multiple spousal partners.) Currently, the legal concept of marriage is expanding to include [same-sex marriage](http://en.wikipedia.org/wiki/same-sex_marriage) in some areas.[[365]](Print_version.html#cite_note-Arce2004-377)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Bride_and_groom_signing_the_book.jpg/300px-Bride_and_groom_signing_the_book.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A bride and groom at their wedding.

The [ceremony](http://en.wikipedia.org/wiki/ceremony) in which a marriage is enacted and announced to the community is called a wedding. The ways in which marriages are enacted have changed over time. In Europe during the [Middle Ages](http://en.wikipedia.org/wiki/Middle_Ages), marriage was enacted by the couple promising verbally that they would be married to each other; the presence of a priest or other witnesses was not required. This promise was known as the "verbum". If made in the present tense (e.g. "I marry you"), it was unquestionably binding; if made in the future tense ("I will marry you"), it would, by itself constitute a [betrothal](http://en.wikipedia.org/wiki/betrothal). If the couple proceeded to have sexual relations, the union was a marriage. As part of the [Reformation](http://en.wikipedia.org/wiki/Reformation), the role of recording marriages and setting the rules for marriage passed to the state; by the 1600s many of the [Protestant](http://en.wikipedia.org/wiki/Protestantism) European countries had heavy state involvement in marriage. As part of the [Counter-Reformation](http://en.wikipedia.org/wiki/Counter-Reformation), the [Catholic Church](http://en.wikipedia.org/wiki/Roman_Catholic_Church) added a [requirement](http://en.wikipedia.org/wiki/Clandestinity_\(in_Canon_Law\)) of witnesses to the promise, which under normal circumstances had to include the priest.

![Marriage and Divorce Rates in the US 1990-2007.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Marriage_and_Divorce_Rates_in_the_US_1990-2007.png/300px-Marriage_and_Divorce_Rates_in_the_US_1990-2007.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The reasons people marry vary widely, but usually include: to publicly and formally declare their [love](http://en.wikipedia.org/wiki/love), the formation of a single household unit, legitimizing sexual relations and [procreation](http://en.wikipedia.org/wiki/procreation), social and economic stability, and the education and nurturing of children.[[366]](Print_version.html#cite_note-Krier2006-378)[[367]](Print_version.html#cite_note-Gallagher2002-379) A marriage can be declared by a wedding ceremony, which may be performed either by a religious officiator or through a similar government-sanctioned secular process. The act of marriage creates obligations between the individuals involved, and, in some societies, between the parties' extended families. Marriages are perpetual agreements with legal consequences, terminated only by the death of one party or by formal dissolution processes, such as divorce and annulment.

Schwartz and Mare[[368]](Print_version.html#cite_note-Schwartz2005-380) examined trends in marriage over time and found that the old maxim, "opposites attract" is less accurate of marriage than the maxim "birds of a feather flock together." Their research focused on one specific similarity in marital partners: education. They found that the educational levels of American married couples decreased in similarity slightly after World War II but has since increased substantially. As of 2003, one's level of educational attainment was a significant predictor of the educational attainment of one's spouse. People without a high school diploma are unlikely to marry someone with more educational attainment, and people with a college degree are likely to marry people with a similar level of educational attainment. Part of the reason why education is so influential in determining the level of education of one's spouse is because people tend to form groups based on levels of education. First there are the groups formed in the process of becoming educated (many people meet their spouses in school). But jobs after one completes his/her education also tend to be grouped by level of education. As a result, people spend more time with individuals of a similar level of educational attainment. As most people tend to marry or partner with individuals with whom they spend a lot of time, it is not surprising that there is significant educational similarity between spouses.

One well-known attribute of marriage is that it tends to have health benefits. Happily married people tend to be healthier than unmarried people.[[369]](Print_version.html#cite_note-Holt-Lunstad2008-381)[[370]](Print_version.html#cite_note-Gallacher2011-382) However, unhappily married couples may not receive the same health benefits and may actually be less healthy than their single peers.[[369]](Print_version.html#cite_note-Holt-Lunstad2008-381)

### Children[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-10)]

Kids raised in families with only one parent or with step-parents are more likely to have behavior problems than are kids raised with both parents. Previous research has attributed this to the fact that single-parent households tend to be poorer than dual-parent households and poverty is related to behavior problems. A recent study by Marcia Carlson[[371]](Print_version.html#cite_note-Carlson2006-383) adds a clue as to why children raised in single-parent households or households with step-parents might have more behavior problems. According to Carlson's study of nearly 3,000 teens, children whose fathers are more involved in their lives are less likely to have behavior problems. When the relationship between a child and the father is missing, children in single-parent and step-parent families are more likely to act out in negative ways. One way to reduce behavior problems in teenagers is to encourage a close relationship between them and their fathers. There is also some evidence that the gender of children increases father involvement in the home.[[372]](Print_version.html#cite_note-Raley2006-384) Thus, while having an active father helps improve behavior problems, fathers having sons helps improve their dedication and devotion to their families.

Another recent finding related to children is that parents have less influence on their childs' mate selections now than they used to. Rosenfeld and Kim[[373]](Print_version.html#cite_note-Rosenfeld2005-385) found that a new life stage has developed in the latter half of the 20th century that they call the "independent life stage." This life stage is a period of time in which young adults leave home and live alone (often to go to college). Children used to remain in their parents home until they left to start their own family, but the independent life stage is a period of single-living prior to the formation of one's own family. As a result of this life stage, which also overlaps with the time in most children's' lives when they are beginning to look for life partners, parents are decreasingly involved in the decision-making process. Rosenfeld and Kim attribute the increase in interracial and same-sex marriages to the increasing prevalence of this life stage.

How parents raise children and childhood autonomy have also changed over time.[[374]](Print_version.html#cite_note-Rutherford2009-386) Analyzing back issues of Parents magazine, Markella Rutherford found that parents face a difficult task of trying to balance authority with childhood autonomy. Children have gained more autonomy in private spaces in their homes (e.g., they are allowed to decorate their own rooms) but have lost autonomy in public areas outside the home (e.g., they are not allowed to go to the park alone). Some of the loss of autonomy is the result of a growing fear among parents of child predators, which is generally over-stated. This same factor may help explain the increase in autonomy in the home, as parents are trying to compensate for heightened supervision outside the home by allowing children greater freedom inside the home. It is also now known that most parents regularly lie to their children, though this is typically done in the interest of getting kids to behave in positive ways. Known as "parenting by lying," the practice appears to be widespread and ironic, considering most parents also tell their kids not to lie.[[375]](Print_version.html#cite_note-Heyman2009-387)

Kids are closely connected to a family's socioeconomic status as well. Kids are expensive to raise, and the more kids a family has, on average, the lower the social class (though this is a complicated relationship as the causal direction goes both ways). One illustration of this is the upward mobility of Catholics in the U.S. over the past few decades.[[376]](Print_version.html#cite_note-Keister2007-388) Catholics in the U.S. used to be among the lower-middle sector of the population in terms of income and wealth. But as of the 1990s and 2000s, Catholics in the U.S. rank higher, just above the middle. Part of the reason for this has been a decrease in the size of Catholic families; Catholics are having about the same number of children as are non-Catholics in the U.S. With smaller families, Catholics are able to retain more of their income and turn it into savings, improving their socioeconomic status. Thus, the reduction in the number of kids among Catholics has actually improved their socioeconomic status on average.

### Divorce[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-11)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Catherine_de_Medicis.jpg/200px-Catherine_de_Medicis.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

In some cultures, when a spouse dies, it is customary for the widow or widower to indicate their loss by dressing in specific ways and following certain behavioral guidelines. This is a painting of [Catherine de Medicis](http://en.wikipedia.org/wiki/Catherine_de_Medicis) wearing the clothing of a widow from the 16th Century.

Numerous studies have tried to determine why 50 per-cent of marriages end in divorce within the first 25 years in the United States.[[50]](Print_version.html#cite_note-Coontz2000-62) Carrie Yodanis[[377]](Print_version.html#cite_note-Yodanis2005-389) takes a different approach, analyzing marriages that remain intact. Her cross-national study of 22 countries suggests that where there is more tolerance of divorce, there is greater gender equality within marriage. Most researchers think that women are disadvantaged by the ease of divorce. Where divorce is an option, women may feel more insecure and are therefore reluctant to push for change within a marriage. Contradicting these claims, Yodanis shows that the ease of divorce increases women's equality within marriage. Divorce is a negotiating tool for women who seek change in their relationships. In countries with greater acceptance of divorce, there is a more equal division of household work. Men risk losing their wives if they refuse to shape up and help out around the house. Thus, while divorce has helped many women leave unhealthy marriages in which they are at risk of great physical and mental harm, the ability to get a divorce easily may also strengthen marriages.

Another factor that contributes to high divorce rates is the change in laws that made divorce easier in the 1970s in the U.S.[[50]](Print_version.html#cite_note-Coontz2000-62) The introduction of "[No-fault divorce](http://en.wikipedia.org/wiki/No-fault_divorce)" laws removed the burden of proving that one's spouse had caused irreparable damage to the relationship (through adultery, battery, etc.). Women's rights advocates pushed for this change as it facilitated women's ability to exit unhealthy marriages.[[50]](Print_version.html#cite_note-Coontz2000-62) Other factors that may have also contributed to the rise in divorces is a cultural mystique that suggests marriage should be blissful and not have any problems.[[50]](Print_version.html#cite_note-Coontz2000-62) This is a common depiction of marriage in media, but is far from an accurate portrayal.[[50]](Print_version.html#cite_note-Coontz2000-62) The unrealistic expectations many couples bring to marriage heightens the probability of divorce if things don't align with those expectations.

The increasing participation of women in the workforce has provided women with greater financial security. With financial security comes independence. Thus, women's workforce participation also increases the odds of divorce, though this is similar to Yodanis's argument - it really just empowers women who are in bad marriages to feel like they can leave the marriage and not experience a dramatic decline in quality of life.

Finally, there is a social-psychological component to divorce as well. People have a tendency to unfairly judge other peoples' behavior as being "part of who they are" or part of their identity. However, they do not hold themselves to the same critical judgment; when they do something that is mean, it is situationally determined and doesn't reflect their identity. This is known as the [fundamental attribution error](http://en.wikipedia.org/wiki/fundamental_attribution_error) and can lead to the dissolution of relationships. This occurs when the parties in the relationship attribute the negative behaviors they dislike to fundamental characteristics of the person rather than to the situation.[[378]](Print_version.html#cite_note-Tavris2007-390) There is evidence to suggest that specific types of couple therapy can help couples see where they are committing the fundamental attribution error and substantially reduce the odds of divorce.[[379]](Print_version.html#cite_note-Anker2009-391)

Divorce and widowhood carry with them the burden of reduced health.[[380]](Print_version.html#cite_note-Waite2009-392) Divorced people have 20% more chronic health conditions (e.g., heart disease, diabetes, cancer) than do married people. They also have 23% more mobility limitations (e.g., climbing stairs or walking a block). Divorcees experience declines in health because of two things that accompany divorce: reduced income[[381]](Print_version.html#cite_note-Angier2009-393) and stresses over the dissolution of the marriage (e.g., things like negotiating child care). These differences in health remain even after an individual remarries.[[380]](Print_version.html#cite_note-Waite2009-392)

### Death and Widowing[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-12)]

In most societies, the death of one of the partners terminates the marriage, and in monogamous societies this allows the other partner to remarry. A spouse who outlives the other is referred to as a [widow](http://en.wikipedia.org/wiki/widow) (female) or [widower](http://en.wikipedia.org/wiki/widower) (male).

## Families and Inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-13)]

### Social Class[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-14)]

![Probability of First Marriage Dissolution by race and income 1995.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Probability_of_First_Marriage_Dissolution_by_race_and_income_1995.png/400px-Probability_of_First_Marriage_Dissolution_by_race_and_income_1995.png)

Families and family stability are strongly influenced by social class.[[382]](Print_version.html#cite_note-Bramlett2002-394) As the figure to the right illustrates, the probability of a first marriage ending is substantially higher for couples that live in poorer communities. It is also higher for blacks than for whites and Hispanics. The higher rates of divorce for individuals in lower social classes is largely attributable the greater stresses these couples face, particularly financial stress.

### Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-15)]

While marriage does increase the socioeconomic status of women, men reap many benefits from this type of living arrangement. For instance, while many women manage a household's finances, men generally retain control of the money.[[383]](Print_version.html#cite_note-Burgoyne2006-395) As a result, when heterosexual couples divorce, women are much less affluent and a large percentage of divorced, single women fall below poverty lines. Men also obtain greater mental health benefits from marriage than do women and report greater marital satisfaction than do women.[[384]](Print_version.html#cite_note-Fowers1991-396) The greater marital satisfaction men report is likely the result of the benefits they receive from marriage - companionship and household labor - while not having to sacrifice occupational success or career advancement.[[385]](Print_version.html#cite_note-Horwitz1991-397) Married women, on the other hand, do often have to sacrifice occupational success or career advancement, leading to many highly skilled women leaving the workforce.[[386]](Print_version.html#cite_note-stone2007-398) Many of these women leave because the work environment does not allow for a balance between work and family; the lack of flexible work options for highly skilled women results in many of them "opting out" of the workforce, which is not a problem for men.[[386]](Print_version.html#cite_note-stone2007-398) Married women also have higher rates of mental illness than do single, widowed, and divorced women.[[387]](Print_version.html#cite_note-Gove1972-399) Women who marry at younger ages generally have lower educational attainment (though the causal direction here goes both ways), have more kids, and are also more dependent on their husbands financially.[[388]](Print_version.html#cite_note-Singh1996-400) In short, the benefits of marriage tend to favor men over women.

### Race and Ethnicity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-16)]

Societies have also at times required marriage from within a certain group. Anthropologists refer to these restrictions as [endogamy](http://en.wikipedia.org/wiki/endogamy). An example of such restrictions would be a requirement to marry someone from the same tribe. [Racist](http://en.wikipedia.org/wiki/Racism) laws adopted by some societies in the past, such as [Nazi](http://en.wikipedia.org/wiki/Nazism)-era [w:Germany](http://en.wikipedia.org/wiki/Germany), [apartheid-era](http://en.wikipedia.org/wiki/History_of_South_Africa_in_the_apartheid_era) [South Africa](http://en.wikipedia.org/wiki/South_Africa) and most of the [United States](http://en.wikipedia.org/wiki/United_States) in the first half of the 20th century, which prohibited [marriage between persons of different races](http://en.wikipedia.org/wiki/miscegenation), could also be considered examples of endogamy. In the U.S., these laws were largely repealed between 1940 and 1960. The U.S. Supreme Court declared all such laws unconstitutional in the case of [Loving v. Virginia](http://en.wikipedia.org/wiki/Loving_v._Virginia) in 1967.

Cultures that practiced [slavery](http://en.wikipedia.org/wiki/slavery) might admit that slave marriages formed but grant them no legal status. This was the practice under the Roman empire, so that in the [Acts of Perpetua and Felicitas](http://en.wikipedia.org/wiki/Saints_Perpetua_and_Felicitas), the freewoman Perpetua could be described as "a married matron" but Felicitas as the "fellow-servant" of Revocatus — even though the Christians regarded, religiously, such marriages as binding. Likewise, slave marriages in the United States were not binding, so that many [contrabands](http://en.wikipedia.org/wiki/Contraband_\(American_Civil_War\)) escaping slavery during the [American Civil War](http://en.wikipedia.org/wiki/American_Civil_War) sought official status for their marriages. Among the rights distinguishing [serfdom](http://en.wikipedia.org/wiki/serfdom) from slavery was the right to enter a legally recognizable marriage.

### Religion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-17)]

The participants in a marriage usually seek social recognition for their relationship, and many societies require official approval of a religious or civil body. In the Protestant tradition, Calvin and his colleagues reformulated marriage through enactment of The Marriage Ordinance of Geneva, imposing, "The dual requirements of state registration and church consecration to constitute marriage."[[344]](Print_version.html#cite_note-Witte1997-356) In England and Wales, it was [Lord Hardwicke's Marriage Act](http://en.wikipedia.org/wiki/Lord_Hardwicke%27s_Marriage_Act) that first required a formal ceremony of marriage, thereby curtailing the practice of [Fleet Marriage](http://en.wikipedia.org/wiki/Fleet_Marriage).

In many jurisdictions, the civil marriage ceremony may take place during the religious marriage ceremony, although they are theoretically distinct. In most American states, the marriage may be officiated by a [priest](http://en.wikipedia.org/wiki/priest), [minister](http://en.wikipedia.org/wiki/Religious_minister), [rabbi](http://en.wikipedia.org/wiki/rabbi) or other religious authority, and in such a case the religious authority acts simultaneously as an agent of the state. In some countries, such as [France](http://en.wikipedia.org/wiki/France), [Spain](http://en.wikipedia.org/wiki/Spain), [Germany](http://en.wikipedia.org/wiki/Germany), [Turkey](http://en.wikipedia.org/wiki/Turkey), [Argentina](http://en.wikipedia.org/wiki/Argentina), and [Russia](http://en.wikipedia.org/wiki/Russia), it is necessary to be married by the state before having a religious ceremony.

Conversely, there people who have religious ceremonies that are not recognized by civil authorities. Examples include [widows](http://en.wikipedia.org/wiki/widow) who stand to lose a pension if they remarry and so undergo a marriage only in the eyes of God and the community; homosexual couples (where same-sex marriage is not legally recognized); some sects which recognize polygamy (see, [Mormon fundamentalism](http://en.wikipedia.org/wiki/Mormon_fundamentalism)), retired couples who would lose pension benefits if legally married, Muslim men who wish to engage in polygamy that is condoned in some situations under [Islam](http://en.wikipedia.org/wiki/Islam), and immigrants who do not wish to alert the immigration authorities that they are married either to a spouse they are leaving behind or because the complexity of immigration laws may make it difficult for spouses to visit on a tourist visa.

In [Europe](http://en.wikipedia.org/wiki/Europe), it has traditionally been the churches' office to make marriages official by registering them. It was a significant step towards a clear [separation of church and state](http://en.wikipedia.org/wiki/separation_of_church_and_state) and advance toward a secular society when German Chancellor [Otto von Bismarck](http://en.wikipedia.org/wiki/Otto_von_Bismarck) introduced the _Zivilehe_ (civil marriage) in 1875. This law made the declaration of the marriage before an official clerk of the civil administration (both spouses affirming their will to marry) the procedure to make a marriage legally valid and effective, and reduced the clerical marriage to a private ceremony.

Most of the world's major religions tell couples they should marry before having [sexual intercourse](http://en.wikipedia.org/wiki/sexual_intercourse).[[389]](Print_version.html#cite_note-Ontario2006-401) They teach that unmarried people should not have sex, which they refer to as [fornication](http://en.wikipedia.org/wiki/fornication). Fornication is sometimes socially discouraged or even criminalized. Sex with a married person other than one's spouse, called [adultery](http://en.wikipedia.org/wiki/adultery), is generally condemned by most religions and has even been criminalized in some countries. Despite this condemnation, it is a widespread practice. About 10-15% of women and 20-25% of men in the U.S. engage in extramarital sex.[[390]](Print_version.html#cite_note-Clements1994-402)[[391]](Print_version.html#cite_note-Laumann1994-403)[[392]](Print_version.html#cite_note-Wiederman1997-404)

For the most part, religious traditions in the world reserve marriage to heterosexual unions but there are exceptions including the [Unitarian Universalists](http://en.wikipedia.org/wiki/Unitarian_Universalist) and [Metropolitan Community Church](http://en.wikipedia.org/wiki/Metropolitan_Community_Church).[[393]](Print_version.html#cite_note-Columbus2002-405)

## New Developments in Families[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-18)]

### One-Parent Households[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-19)]

One recent trend illustrating the changing nature of families is the rise in prevalence of single-parent or one-parent households. While somewhat more common prior to the 20th century due to the more frequent deaths of spouses, in the late 19th and early 20th century, the nuclear family (husband, wife, and kids) became the societal norm in most Western nations. But what was the prevailing norm for much of the 20th century is no longer the actual norm,[[341]](Print_version.html#cite_note-Roberts2006-353) nor is it perceived as such.

In the 1950s, most people believed that single-parent households were "immoral," but by 1978, only 25% of Americans held that belief.[[342]](Print_version.html#cite_note-Coontz2006-354) Legal reforms in the 1960s and 1970s expanded the rights of nonmarital children and unwed mothers, breaking down the distinction between "legitimate" and "illegitimate". Additionally, the declining purchasing power of male wages in the 1970s along with the increased levels of education among women led to an increasing percentage of married women (with and without kids) to enter the workforce. This change in the economic structure of the U.S. (i.e., the inability to support a nuclear family on a single wage), had significant ramifications on family life. Women and men began delaying the age of first marriage in order to invest in their earning power before marriage by spending more time in school. The increased levels of education among women - women now earn more than 50% of bachelor's degrees - positioned women to survive, economically, without the support of a husband. By 1997, 40% of births to unmarried American women were intentional, and, despite a still prominent gender gap in pay, women are able to survive as single mothers.[[342]](Print_version.html#cite_note-Coontz2006-354)

However, despite their ability to support their children, single parents often struggle financially to make ends meet.[[394]](Print_version.html#cite_note-Mutchler2009-406) There is some evidence, however, that when single parents move in with their parents (i.e., the child's grandparents), the odds of the single-parent led family falling under the poverty line are reduced by 80%. Thus, three generation households are more financially secure environments for raising children than are two generation households if it is a single parent who is trying to raise children alone.[[394]](Print_version.html#cite_note-Mutchler2009-406)

### Cohabitation[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-20)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Household_types_in_the_us_2006.png/300px-Household_types_in_the_us_2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This figure shows that roughly 5% of households in the U.S. are made up of cohabiting couples of various types: heterosexual, gay, or lesbian.

[Cohabitation](http://en.wikipedia.org/wiki/Cohabitation) is an intimate relationship which includes a common living place and which exists without the benefit of legal, cultural, or religious sanction. It can be seen as an alternative form of marriage, in that, in practice, it is similar to marriage, but it does not receive the same formal recognition by religions, governments, or cultures.

The cohabiting population, although inclusive of all ages, is mainly made up of those between the ages of 25 and 34.[[395]](Print_version.html#cite_note-USAToday2005-407) Several common reasons that lead couples to decide to live together include:

  * wanting to test compatibility or establish financial security before marrying
  * a desire to live as married when [same-sex marriages](http://en.wikipedia.org/wiki/same-sex_marriages) are not legal
  * living with someone before marriage as a way to avoid divorce
  * a way for polygamists to avoid anti-polygamy laws
  * a way to avoid the higher income taxes paid by some 2-income married couples (in the United States)
  * seeing little difference between the commitment to live together and the commitment of marriage

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/33/Us_births_by_mother's_living_situation.png/300px-Us_births_by_mother's_living_situation.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This figure illustrates that, while the number of children being born to "unwed" mothers has increased over time, many of those children are born to women who are cohabiting.

While cohabitation does address all of the issues above, it does not improve the quality or duration of marriages.[[396]](Print_version.html#cite_note-Rhoades2009-408) Individuals who cohabit before engagement (about 43% of all couples) report slightly lower marital satisfaction, dedication, and confidence as well as more negative communication as compared with individuals who cohabit after engagement (16.4% of all couples in the US) and those who cohabit after marriage (40.5% of couples in the US). Early cohabitors also have a great potential for divorce. The differences are generally small, but are not attributable to demographic differences between the three groups.[[396]](Print_version.html#cite_note-Rhoades2009-408)

Some couples prefer cohabitation because it does not legally commit them for an extended period of time, and because it is easier to establish and dissolve. In some countries (such as [Scotland](http://en.wikipedia.org/wiki/Scotland)) and some states in the United States, cohabiting is viewed as a legal relationship and is referred to as a [common-law marriage](http://en.wikipedia.org/wiki/common-law_marriage) after the duration of a specified period or the birth of a child to the couple. In California, such couples are defined as people who "have chosen to share one another's lives in an intimate and committed relationship of mutual caring," including having a "common residence."[[397]](Print_version.html#cite_note-CaliforniaCode-409) This recognition led to the creation of a Domestic Partners Registry,[[398]](Print_version.html#cite_note-DomesticPR-410) which is available to same-sex couples and opposite-sex couples in which at least one of the partners is age 62 or older, granting them limited legal recognition and some rights similar to those of married couples. Today, seven states (North Carolina, Mississippi, Virginia, West Virginia, Florida, Idaho and Michigan) still criminalize cohabitation by opposite-sex couples, although anti-cohabitation laws are generally not enforced.[[399]](Print_version.html#cite_note-Wetzel1997-411)

In most States of the United States, there is no legal registration or definition of cohabitation, so demographers have developed various methods of identifying cohabitation and measuring its prevalence. The most important of these is the [Census Bureau](http://en.wikipedia.org/wiki/Census), which currently describes an "unmarried partner" as "A person age 15 years and over, who is not related to the householder, who shares living quarters, and who has a close personal relationship with the householder."[[400]](Print_version.html#cite_note-CensusHTR-412) Before 1995, the Bureau euphemistically identified any "unrelated" opposite-sex couple living with no other adults as [POSSLQs](http://en.wikipedia.org/wiki/POSSLQ), or Persons of Opposite Sex Sharing Living Quarters (these numbers are still reported to show historical trends).[[401]](Print_version.html#cite_note-CensusDE-413) Cohabitation often does not have clear start and end dates, as people move in and out of each other's homes and sometimes do not agree on the definition of their living arrangement at a particular moment in time.[[402]](Print_version.html#cite_note-Manning2005-414)

In 2005, the U.S. Census Bureau reported 4.85 million cohabiting couples, up more than 1,000 percent from 1960, when there were 439,000 such couples.[[400]](Print_version.html#cite_note-CensusHTR-412) More than half of couples in the US lived together, at least briefly, before walking down the aisle.[[396]](Print_version.html#cite_note-Rhoades2009-408) In [Sweden](http://en.wikipedia.org/wiki/Sweden), [Denmark](http://en.wikipedia.org/wiki/Denmark) and [Norway](http://en.wikipedia.org/wiki/Norway), cohabitation is very common; roughly 50% of all children are born into families of unmarried couples. In late 2005, 21% of families in [Finland](http://en.wikipedia.org/wiki/Finland) consisted of cohabiting couples (all age groups). Of couples with children, 18% were cohabiting. Generally, cohabitation amongst Finns is most common for people under 30. Legal obstacles for cohabitation were removed in 1926 in a reform of the Finnish penal code. In the [UK](http://en.wikipedia.org/wiki/UK) 25% of children are now born to cohabiting parents. In [France](http://en.wikipedia.org/wiki/France), 17.5% of couples were cohabiting as of 1999. In contrast to Europe and the U.S., cohabitation rates in the Middles East are much lower. In Israel, less than 3% of all couples cohabit.[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_] Cohabitation runs contrary to Islamic Law and is not common in predominantly Muslim countries.[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_]

### Same-Sex Unions[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-21)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/75/Hendricks-leboeuf.jpg/200px-Hendricks-leboeuf.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A homosexual couple at their marriage ceremony.

While homosexuality has existed for thousands of years among both humans and other animals,[[403]](Print_version.html#cite_note-Bagemihl1999-415) formal marriages between homosexual partners is a relatively recent phenomenon. As of 2009, only two states in the United States recognized marriages between same-sex partners, Massachusetts & Iowa, where same-sex marriage was formally allowed as of May 17, 2004 and April 2009, respectively.[[404]](Print_version.html#cite_note-GLAAD2004-416) Three additional states allow same-sex [civil unions](http://en.wikipedia.org/wiki/civil_union), New Jersey, Connecticut, and Vermont.[[405]](Print_version.html#cite_note-PlanetOut2007-417) Between May 2004 and December 2006, 7,341 same-sex couples married in Massachusetts. Assuming the percentage of homosexuals in Massachusetts is similar to that of the rest of the nation (roughly 2.3% of men and 1.3% of women), the above number indicates that 16.7% of homosexuals in Massachusetts married during that time.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Samesex_marriage_in_USA.svg/200px-Samesex_marriage_in_USA.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

U.S. map showing same-sex marriage laws for individual states.

Given how recent same-sex marriage is in the U.S., there is very little existing data on marital dissolution rates. There is, however, data on marital dissolution rates (i.e., divorce) in other countries where same-sex marriage has been legally allowed for a longer period of time. Andersson et al.[[406]](Print_version.html#cite_note-Andersson2006-418) examined precisely this issue in Norway and Sweden, where same-sex marriages or civil unions have been legally recognized since the mid-1990s. Andersson et al. found several ways in which homosexual unions differ from heterosexual unions in these countries:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/53/World_homosexuality_laws.svg/200px-World_homosexuality_laws.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

World map illustrating laws regulating homosexuality by country.

  * the average same-sex couple is older than the average heterosexual couple
  * the average same-sex couple is more educated than the average heterosexual couple
  * while divorce rates are higher for couples that marry younger generally (see discussion of divorce above), the divorce rate is slightly higher for same-sex couples than heterosexual couples
  * female same-sex couples are more likely to divorce than are male same-sex couples

Andersson et al. attribute the higher divorce rate to a combination of factors, including: less support from the community and less encouragement or pressure from family and friends to make the marriage last.

One question often raised about same-sex unions is how it influences any children raised in these households. Are children raised by same-sex parents more likely to be homosexual? The answer is surprising to some: No. Children raised in same-sex parented households are no more or less likely to be homosexual than children raised in heterosexual parented households. Even so, there are some differences. For instance, children raised in same-sex households have more complex perspectives on sexuality and have well-articulated responses to discrimination.[[407]](Print_version.html#cite_note-O.27Brien2006-419)

### Childfree[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-22)]

Some married couples remain [childless by choice](http://en.wikipedia.org/wiki/childfree) or due to [infertility](http://en.wikipedia.org/wiki/infertility), age, or other factors preventing reproduction.

## Recommended Reading[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-23)]

Some couples have made a concerted effort to balance home and work responsibilities so they literally split everything 50/50. Yet, doing so is difficult. This [New York Times Magazine](http://www.nytimes.com/2008/06/15/magazine/15parenting-t.html) article examines this relatively new trend.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-24)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## See also[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-25)]

  * [Age at first marriage](http://en.wikipedia.org/wiki/Age_at_first_marriage) \- average ages of people when they first marry
  * [Ancestor](http://en.wikipedia.org/wiki/Ancestor)
  * [Complex family](http://en.wikipedia.org/wiki/Complex_family)
  * [Dysfunctional family](http://en.wikipedia.org/wiki/dysfunctional_family)
  * [Family law](http://en.wikipedia.org/wiki/Family_law)
  * [Family life in literature](http://en.wikipedia.org/wiki/Family_life_in_literature)
  * [Family name](http://en.wikipedia.org/wiki/Family_name)
  * [Family relationship](http://en.wikipedia.org/wiki/Family_relationship)
  * [Family as a model for the state](http://en.wikipedia.org/wiki/Family_as_a_model_for_the_state)
  * [Genealogy](http://en.wikibooks.org/wiki/Genealogy)
  * [Household](http://en.wikipedia.org/wiki/Household)
  * [Illegitimacy](http://en.wikipedia.org/wiki/Illegitimacy)
  * [List of people with longest marriages](http://en.wikipedia.org/wiki/List_of_people_with_longest_marriages)
  * [List of people with multiple marriages](http://en.wikipedia.org/wiki/List_of_people_with_multiple_marriages)
  * [Marriage](http://en.wikipedia.org/wiki/Marriage)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Family&action=edit&section=T-26)]

  * [The National Marriage Project](http://marriage.rutgers.edu/publicat.htm) at Rutgers University
  * [John Boswell's Same-Sex Unions in Pre-Modern Europe](http://www.ualberta.ca/~di/csh/csh12/Boswell.html)
  * [Alternatives to marriage project](http://www.unmarried.org/common.html)

← [Stratification](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Stratification) · [Religion](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Religion) →

← [Stratification](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Stratification) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Religion](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Religion) →

# Religion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=18)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Pagan-Shwezigon-Pagoda-main-Buddhas-Dec-2000-01.JPG/400px-Pagan-Shwezigon-Pagoda-main-Buddhas-Dec-2000-01.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Shwezigon Pagoda Buddha in Myanmar.

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-1)]

Sociologists study religion the same way they study other social institutions, like education or government. The aim is primarily to understand religions, but included in trying to understand religions is the aim of trying to predict what religions will eventually do (or what will become of religions). To do this, sociologists employ demographic techniques, survey analysis, ethnography, and various other methodological approaches. It is important to note at the beginning of this chapter that sociologists study religion not to prove, disprove or normatively evaluate religion. Sociologists aren't interested in whether a religion is right or wrong. This requires sociologists to assume a relativistic perspective that basically takes a neutral stance toward issues of right or wrong or true or false. That said, the social scientific study of religion can be challenging from a faith standpoint as it provides alternative, naturalistic explanations for many elements of religion (e.g., the sources of conversion experiences[[408]](Print_version.html#cite_note-Batson1993-420)).

## Definitions of Religion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-2)]

The starting point for any study of religion should begin with a definition of the concept. This is particularly important in the study of religion because the definition determines which groups will be included in the analysis. Three general definitions have been proposed, each of which will be discussed briefly. Each definition has its merits and detriments, but what one often finds is that the definition of religion employed by a particular researcher or in the investigation of a particular topic depends on the question being asked.

### Sacred vs. Profane[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-3)]

Perhaps the most well known definition of religion is that provided by [Emile Durkheim](http://en.wikipedia.org/wiki/Durkheim).[[409]](Print_version.html#cite_note-Durkheim1995-421) Durkheim argued that the definition of religion hinged on the distinction between things that are sacred (set apart from daily life) and things that are profane (everyday, mundane elements of society). The sacred elements of social life are what make up religion.

For example, the Torah in Judaism is sacred and treated with reverence and respect. The reverential treatment of the Torah would be contrasted with all sorts of more mundane things like cars or toys, which, for most people, are not considered sacred. Yet, the acute reader will be quick to point out that for some, cars (and even toys) are considered sacred and treated almost as reverentially as the Torah is treated in Judaism. This introduces one of the most significant criticisms of this definition - the typology can include things that are not traditionally understood to be religious (like cars or toys). As a result, the definition is extremely broad and can encompass substantial elements of social life. For instance, while most people in the United States would not consider their nationalism to be religious, they do hold the flag, the nation's capitol, and other national monuments to be sacred. Under this definition, nationalism would be considered religion.

### Religion as Existential Questioning[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-4)]

Another definition of religion among social scientists (particularly social psychologists) views religion as any attempt to answer existential questions (e.g., 'Is there life after death?[[408]](Print_version.html#cite_note-Batson1993-420)[[410]](Print_version.html#cite_note-Yinger1970-422)). This definition casts religion in a functional light as it is seen as serving a specific purpose in society. As is the case with the sacred/profane typology, this definition is also often critiqued for being broad and overly encompassing. For instance, using this definition, someone who attends religious services weekly but makes no attempt to answer existential questions would not be considered religious. At the other extreme, an atheist who believes that existence ends with physical death, would be considered religious because he/she has attempted to answer a key existential question. (For a critique of this definition, see Dobbelaere[[411]](Print_version.html#cite_note-Dobbelaere2002-423).)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c6/Statue_of_Zeus.jpg/250px-Statue_of_Zeus.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Greek god Zeus.

### Religion as Supernature[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-5)]

The third social scientific definition views religion as the collective beliefs and rituals of a group relating to supernature.[[412]](Print_version.html#cite_note-Tylor1976-424) This view of religion draws a sometimes ambiguous line between beliefs and rituals relating to empirical, definable phenomena and those relating to undefinable or unobservable phenomena, such as spirits, god(s), and angels. This definition is not without its problems as well, as some argue it can also include atheists who have a specific position against the existence of a god (or gods). Yet because the beliefs and rituals are understood to be shared by a group, this definition could be argued to exclude atheists. Despite the problems with this last definition, it does most closely adhere to the traditional (and popular) view of what constitutes a religion.[[413]](Print_version.html#cite_note-Stark2000-425)

## The Church-Sect Typology[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-6)]

Having defined religion, we now move to one of the most common classification schemes employed in sociology for differentiating between different types of religions.[[414]](Print_version.html#cite_note-Johnson1963-426)[[415]](Print_version.html#cite_note-Troeltsch1931-427) This scheme has its origins in the work of Max Weber, but has seen numerous contributions since then. The basic idea is that there is a continuum along which religions fall, ranging from the protest-like orientation of _sects_ to the equilibrium maintaining _churches_. Along this continuum are several additional types, each of which will be discussed in turn. The reader may notice that many of the labels for the types of religion are commonly employed by non-sociologists to refer to religions and tend to be used interchangeably. Sociologists, when speaking technically, will not use these labels interchangeably as they are designations for religions with very specific characteristics.

Before describing these different religions, it is important for the reader to understand that these classifications are a good example of what sociologists refer to as _ideal types_. Ideal types are _pure_ examples of the categories. Because there is significant variation in each religion, how closely an individual religion actually adheres to their _ideal type_ classification will vary. Even so, the classification scheme is useful as it also outlines a sort of developmental process for religions.

![Church-sect continuum.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Church-sect_continuum.svg/600px-Church-sect_continuum.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

### Church and Ecclesia[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-7)]

The first type of religion is the _church_. The _church_ classification describes religions that are all-embracing of religious expression in a society. Religions of this type are the guardians of religion for all members of the societies in which they are located and tolerate no religious competition. They also strive to provide an all-encompassing worldview for their adherents and are typically enmeshed with the political and economic structures of society.

Johnstone[[416]](Print_version.html#cite_note-Johnstone1997-428) provides the following seven characteristics of churches:

  1. claim universality, include all members of the society within their ranks, and have a strong tendency to equate 'citizenship' with 'membership
  2. exercise religious monopoly and try to eliminate religious competition
  3. very closely allied with the state and secular powers - frequently there is overlapping of responsibilities and much mutual reinforcement
  4. extensively organized as a hierarchical bureaucratic institution with a complex division of labor
  5. employ professional, full-time clergy who possess the appropriate credentials of education and formal ordination
  6. almost by definition gain new members through natural reproduction and the socialization of children into the ranks
  7. allow for diversity by creating different groups within the church (e.g., orders of nuns or monks) rather than through the formation of new religions

The classical example of a _church_ is the Roman Catholic Church, especially in the past. Today, the Roman Catholic Church has been forced into the denomination category because of religious pluralism or competition among religions. This is especially true of Catholicism in the United States. The change from a _church_ to a _denomination_ is still underway in many Latin American countries where the majority of citizens remain Catholics.

A slight modification of the _church_ type is that of _ecclesia_.[[417]](Print_version.html#cite_note-vonWiese1932-429) Ecclesias include the above characteristics of churches with the exception that they are generally less successful at garnering absolute adherence among all of the members of the society and are not the sole religious body. The state churches of some European countries would fit this type.

### Denominations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-8)]

The _denomination_ lies between the church and the sect on the continuum. Denominations come into existence when churches lose their religious monopoly in a society. A denomination is one religion among many. When churches and/or sects become denominations, there are also some changes in their characteristics. Johnstone provides the following eight characteristics of denominations:[[416]](Print_version.html#cite_note-Johnstone1997-428)

  1. similar to churches, but unlike sects, in being on relatively good terms with the state and secular powers and may even attempt to influence government at times
  2. maintain at least tolerant and usually fairly friendly relationships with other denominations in a context of religious pluralism
  3. rely primarily on birth for membership increase, though it will also accept converts; some even actively pursue evangelization
  4. accept the principle of at least modestly changing doctrine and practice and tolerate some theological diversity and dispute
  5. follow a fairly routinized ritual and worship service that explicitly discourages spontaneous emotional expression
  6. train and employ professional clergy who must meet formal requirements for certification
  7. accept less extensive involvement from members than do sects, but more involvement than churches
  8. often draw disproportionately from the middle and upper classes of society

Most of the major religious bodies in the U.S. are denominations (e.g., Baptists, Methodists, Lutherans).

### Sects[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-9)]

_Sects_ are newly formed religious groups that form to protest elements of their parent religion (generally a denomination). Their motivation tends to be situated in accusations of apostasy or heresy in the parent denomination; they are often decrying liberal trends in denominational development and advocating a return to _true_ religion.

Interestingly, leaders of sectarian movements (i.e., the formation of a new sect) tend to come from a lower socio-economic class than the members of the parent denomination, a component of sect development that is not entirely understood. Most scholars believe that when sect formation does involve social class distinctions they involve an attempt to compensate for deficiencies in lower social status. An often seen result of such factors is the incorporation into the theology of the new sect a distaste for the adornments of the wealthy (e.g., jewelry or other signs of wealth).

Another interesting fact about sects is that after their formation, they can take only three paths - dissolution, institutionalization, or eventual development into a denomination. If the sect withers in membership, it will dissolve. If the membership increases, the sect is forced to adopt the characteristics of denominations in order to maintain order (e.g., bureaucracy, explicit doctrine, etc.). And even if the membership does not grow or grows slowly, norms will develop to govern group activities and behavior. The development of norms results in a decrease in spontaneity, which is often one of the primary attractions of sects. The adoption of denomination-like characteristics can either turn the sect into a full-blown denomination or, if a conscious effort is made to maintain some of the spontaneity and protest components of sects, an _institutionalized sect_ can result. Institutionalized sects are halfway between sects and denominations on the continuum of religious development. They have a mixture of sect-like and denomination-like characteristics. Examples include: Hutterites and the Amish.

Most of the well-known denominations of the U.S. existing today originated as sects breaking away from denominations (or Churches, in the case of Lutheranism). Examples include: Methodists, Baptists, and Seventh-day Adventists.

### Cults or New Religious Movements[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-10)]

_Cults_ are, like sects, new religious groups. But, unlike sects, they can form without breaking off from another religious group (though they often do). The characteristic that most distinguishes cults from sects is that they are not advocating a return to _pure_ religion but rather the embracement of something new or something that has been completely lost or forgotten (e.g., lost scripture or new prophecy). Cults are also more likely to be led by _charismatic leaders_ than are other religious groups and the charismatic leaders tend to be the individuals who bring forth the new or lost component that is the focal element of the cult.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Falungongmay2005-2.jpg/250px-Falungongmay2005-2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Falun Gong practitioners in London; Falun Gong is a new religious movement.

Cults, like sects, often integrate elements of existing religious theologies, but cults tend to create more esoteric theologies from many sources. Cults emphasize the individual and individual peace. Cults also tend to attract the socially disenchanted or unattached (though this isn't always the case; see Aho 1990 and Barker 1984). Cults tend to be located in urban centers where they can draw upon large populations for membership. Finally, cults tend to be transitory as they often dissolve upon the death or discrediting of their founder and charismatic leader.

Cults, like sects, can develop into denominations. As cults grow, they bureaucratize and develop many of the characteristics of denominations. Some scholars are hesitant to grant cults denominational status because many cults maintain their more esoteric characteristics (e.g., Temple Worship among Mormons). But given their closer semblance to denominations than to the _cult_ type, it is more accurate to describe them as denominations. Some denominations in the U.S. that began as cults include: Christian Science, and The Nation of Islam.

Finally, it should be noted that there is a push in the social scientific study of religion to begin referring to _cults_ as _New Religious Movements_ or _NRMs_. The reasoning behind this is because _cult_ has made its way into popular language as a derogatory label rather than as a specific type of religious group. Most religious people would do well to remember the social scientific meaning of the word _cult_ and, in most cases, realize that three of the major world religions originated as cults, including: Islam, Christianity, and Buddhism.

## Theories of Religion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-11)]

Many of the early sociological theorists[[409]](Print_version.html#cite_note-Durkheim1995-421)[[418]](Print_version.html#cite_note-Marx2000-430) proposed theories attempting to explain religion. In addition to these classical approaches to understanding religion, one modern explanation for the continued high levels of religiosity will be proposed along with a social psychological explanation that will attempt to explain the continued attraction of religion. These theories approach religion from slightly different perspectives, trying to explain: (1) the function of religion in society; (2) the role of religion in the life of the individual; and (3) the nature (and origin) of religion.

### Structural-Functional[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-12)]

The _Structural-Functional_ approach to religion has its roots in Emile Durkheim's work on religion.[[409]](Print_version.html#cite_note-Durkheim1995-421) Durkheim argued that religion is, in a sense, the celebration and even (self-) worship of human society. Given this approach, Durkheim proposed that religion has three major functions in society:

  1. social cohesion - religion helps maintain social solidarity through shared rituals and beliefs
  2. social control - religious based morals and norms help maintain conformity and control in society; religion can also legitimize the political system
  3. providing meaning and purpose - religion can provide answers to existential questions (see the social-psychological approach below)

The primary criticism of the structural-functional approach to religion is that it overlooks religion's dysfunctions. For instance, religion can be used to justify terrorism and violence.[[419]](Print_version.html#cite_note-Juergensmeyer2000-431) Religion has often been the justification of and motivation for war. In one sense, this still fits the structural-functional approach as it provides social cohesion among the members of one party in a conflict (e.g., the social cohesion among the members of a terrorist group is high), but in a broader sense, religion is obviously resulting in conflict, not the resolution of such.

### Social-Conflict[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-13)]

The social-conflict approach is rooted in Marx's analysis of capitalism.[[418]](Print_version.html#cite_note-Marx2000-430) According to Marx, religion plays a significant role in maintaining the status quo. Marx argued that religion was actually a tool of the bourgeoisie to keep the proletariat content. Marx argued that religion is able to do this by promising rewards in the after-life rather than in this life. It is in this sense that Marx said, "Religion is the sigh of the oppressed creature, the feeling of a heartless world, and the soul of soulless circumstances. It is the opium of the people... The abolition of religion as the illusory happiness of the people is the demand for their real happiness" (p. 72).[[418]](Print_version.html#cite_note-Marx2000-430) What Marx meant is that it would be necessary for the proletariat to throw off religion and its deceit about _other-worldly_ rewards in order for the proletariat to rise up against the bourgeoisie and gain control over the means of production so they could realize _this-worldly_ rewards. Thus, the social-conflict approach to religion highlights how it functions to maintain social inequality by providing a worldview that justifies oppression.

It should be reiterated here that Marx's approach to sociology was critical in the sense that it advocated change (in contrast to the _knowledge for knowledge's sake_ approach). Because criticism of the system in place when he was writing was inherent in Marx's approach, he took a particular stand on the existence of religion, namely, that it should be done away with.

### Social Constructionist[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-14)]

The _social constructionist_ approach to religion presents a naturalistic explanation of the origins of religion. Berger[[20]](Print_version.html#cite_note-Berger1967-32) laid a framework for this approach, "Religion is the human enterprise by which a sacred cosmos is established. Put differently, religion is cosmization in a sacred mode. Use of the word sacred in this context refers to a quality of mysterious and awesome power, other than man and yet related to him, which is believed to reside in certain objects of experience" (p. 25). In other words, for the social constructionist, religion is not created by (or for) supernatural beings but rather is the result of societies delineating certain elements of society as sacred. In the social constructionist frame of mind, these elements of society are then objectified in society so they seem to take on an existence of their own. As a result, they can then act back on the individual (e.g., the influence of a religion on the individual).

Another important element of religion discussed by Berger[[20]](Print_version.html#cite_note-Berger1967-32) in his outline of the social constructionist approach is the idea of _plausibility structures_. According to Berger,

    The reality of the Christian world depends upon the presence of social structures within which this reality is taken for granted and within which successive generations of individuals are socialized in such a way that this world will be real to them. When this plausibility structure loses its intactness or continuity, the Christian world begins to totter and its reality ceases to impose itself as self-evident truth. (p. 46)[[20]](Print_version.html#cite_note-Berger1967-32)

In short, plausibility structures are the societal elements that provide the support for a set of beliefs (not necessarily religious), including people, institutions, and the processes by which the beliefs are spread, e.g. socialization. Another important element to consider of plausibility structures is mentioned by Berger, "When an entire society serves as the plausibility structure for a religiously legitimated world, all the important social processes within it serve to confirm and reconfirm the reality of this world" (p. 47).[[20]](Print_version.html#cite_note-Berger1967-32) In other words, in certain societies, every component of society functions to reinforce the belief system. A good example of this may be Iran, where everything is structured to reinforce the Islamic faith as _reality_.

### Religious Pluralism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-15)]

Religious pluralism is the belief that one can overcome religious differences between different religions and denominational conflicts within the same religion. For most religious traditions, religious pluralism is essentially based on a non-literal view of one's religious traditions, allowing for respect to be engendered between different traditions on core principles rather than more marginal issues. It is perhaps summarized as an attitude which rejects focus on immaterial differences and instead gives respect to those beliefs held in common.

The existence of religious pluralism depends on the existence of freedom of religion. Freedom of religion is when different religions of a particular region possess the same rights of worship and public expression. Freedom of religion is consequently weakened when one religion is given rights or privileges denied to others, as in certain European countries where Roman Catholicism or regional forms of Protestantism have special status. (For example see the Lateran Treaty and Church of England; also, in Saudi Arabia the public practice of religions other than Islam is forbidden.) Religious freedom has not existed at all in some communist countries where the state restricts or prevents the public expression of religious belief and may even actively persecute individual religions (see for example North Korea).

Religious Pluralism has also been argued to be a factor in the continued existence of religion in the U.S. This theoretical approach[[420]](Print_version.html#cite_note-Moore1994-432) proposes that because no religion was guaranteed a monopoly in the U.S., religious pluralism led to the conversion of religions in the U.S. into capitalist organizations. As a result, religions are now better understood as capitalist corporations peddling their wares in a highly competitive market than they are as monopolistic Churches like Roman Catholicism was prior to [The Reformation](http://en.wikipedia.org/wiki/Reformation) (or, some might argue, still is in Latin America) or as small, fervent, protest-like sects are. The result of religious pluralism is, like capitalism generally in the U.S., a _consumer_ attitude: people _consume_ religion like they do other goods. Because religions are good at marketing themselves as the providers of social psychological compensators (see below), they have been successful.

### Social-Psychological[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-16)]

The primary social-psychological reason why religion continues to exist is because it answers existential questions that are difficult, if not impossible, to address scientifically. For instance, science may not be able to address the question of what happens when someone dies other than to provide a biological explanation (i.e., the body's cells eventually die due to lack of nutrition, the body then decomposes, etc.). Science is also unable to address the question of a _higher_ purpose in life other than simply to reproduce. Finally, science cannot disprove or prove the existence of a higher being. Each of these existential components are discussed below in greater detail.

Studies have found that fear is a factor in religious conversion. Altemeyer and Hunsberger (1997), in their book _Amazing Conversions_, note that one of the primary motivations for people to seek religion was fear of the unknown; specifically, fear of the after-life and what it portends. While fear likely does not motivate all religious people, it certainly is a factor for some. Religion can provide a _non-falsifiable_ answer to the question of what happens after people die. Such answers can provide comfort for individuals who want to know what will happen when they die.

Religion providing a purpose in life was also a motivation found by Altemeyer and Hunsberger (1997) in their analysis of religious converts. Batson et. al.[[408]](Print_version.html#cite_note-Batson1993-420) and Spilka, Hunsberger, Gorsuch, and Hood[[421]](Print_version.html#cite_note-Spilka2003-433) also point to this factor as an explanation for the continued interest in religiosity. Interestingly, Diener,[[422]](Print_version.html#cite_note-Diener1999-434) in his research on subjective well-being (SWB) notes that one of the keys to high SWB (a.k.a. happiness) is a goal or purpose in life. However, he introduces a caveat that is particularly telling for religious individuals – for the most positive impact on SWB, goals should be difficult but attainable. _Difficult but attainable_ is a good description of salvation for religious people. People have to work toward salvation, but they believe it can be achieved. Thus, religion can provide a goal and purpose in life for people who believe they need one.

Belief in God is attributable to a combination of the above factors (i.e., God's existence alleviates fear of death and provides meaning), but is also informed by a discussion of [socialization](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Socialization). The biggest predictor of adult religiosity is parental religiosity; if a person's parents were religious when he was a child, he is likely to be religious when he grows up. Children are socialized into religion by their parents and their peers and, as a result, they tend to stay in religions. Alternatively, children raised in secular homes tend not to convert to religion. This is the underlying premise of Altemeyer and Hunsberger's (1997) main thesis – they found some interesting cases where just the opposite seemed to happen; secular people converted to religion and religious people became secular. Despite these rare exceptions, the process of socialization is certainly a significant factor in the continued existence of religion.

Combined, these three social-psychological components explain, with the help of religious pluralism, the continued high levels of religiosity in the U.S. People are afraid of things they do not understand (death), they feel they need a purpose in life to be happy (a.k.a. SWB), and they are socialized into religion and believing in God by parents.

## World Religions and Religious History[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-17)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Alte_Synagoge_Essen.jpg/250px-Alte_Synagoge_Essen.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A Jewish synagogue.

If one were to ask any sociologist of religion which are the _world_ religions, they would likely give the standard answer that there are five world religions:

  * Christianity
  * Hinduism
  * Islam
  * Buddhism
  * Judaism

Traditionally, these have been considered _world_ religions due to their size and/or influence on society. A detailed description of these religions is beyond the scope of this chapter and the interested reader is encouraged to follow the above links for more information.

One note is, however, in order concerning these religious groups. The classification of these groups as _world_ religions is, like all classifications, artificial. Considering the remarkable dissimilarity between these five religious bodies, that they are grouped together at all is remarkable. Three are _religions of the book_ and can be practiced somewhat distinctly from one’s primary cultural identity (e.g., being an American and Episcopalian), while two are better understood as synonymous with culture (Buddhism and Hinduism). Additionally, the religions of the book have numerous branches, some so dissimilar that there is more contention within the world religions than between them (e.g., Mormons vs. fundamentalist Christians, Catholics vs. Episcopalians). Finally, while four of these religious groups are very populous, Judaism is not. In short, classification as a world religion seems a little arbitrary. Even so, most people should make an effort to familiarize themselves with these religious groups to facilitate understanding.

## Religion and Other Social Factors[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-18)]

### Religion and Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-19)]

Batson et. al.[[408]](Print_version.html#cite_note-Batson1993-420) provide a clear summary of the differences in religiosity between men and women:

    There is considerable evidence that women are more likely to be interested and involved in religion than men. Women rate their religious beliefs as important more than do men, and they are more likely to report having had a religious or mystical experience... More women than men report having attended religious services in the past week (46% compared with 33%); more women hold membership in a church or synagogue (74% compared with 63%); and more women report watching religious programs (53% compared with 44%). Women are more likely than men to read the Bible at least monthly (56% compared with 41%) and to report having "a great deal of confidence" in organized religion (62% compared with 52%)... Among Christian denominations, as one moves away from the established, traditional churches (e.g., Catholic, Eastern Orthodox, Episcopal) toward newer, less traditional ones (e.g., Assembly of God, Pentecostal) the proportion of women members relative to men increases... In sum, although the differences are not always large, they are remarkably consistent: Women appear to be more religious-than-men. (p. 33)

One explanation for the greater involvement of women in religion is socialization. Batson et. al.[[408]](Print_version.html#cite_note-Batson1993-420) discuss the idea that women may be socialized into roles in which religion is more highly emphasized than it is in men's roles.

Counter-intuitively, even though women are more religious than men, many religions continue to disenfranchise women. Roughly 50% of the major denominations in the U.S. today do not allow women to be ordained or otherwise serve in ways that are equal to men.[[423]](Print_version.html#cite_note-Chaves1999-435) Denominations that do not allow female ordination include: Roman Catholicism, Southern Baptists, and Mormons. The primary reasons these religions refuse to allow women to be ordained are Biblical literalism (believing the Bible is the literal word of god and not believing that it is a historical work written in a different time) and sacramentalism (the belief that the person performing sacramental rituals must represent Jesus in his "manliness").[[423]](Print_version.html#cite_note-Chaves1999-435) However, Chaves, who delineated these reasons in his book on female ordination, notes that these are more akin to "manifest" reasons and the real or latent reason is because these religions continue to cater to a specific market niche - individuals who oppose modernity.[[423]](Print_version.html#cite_note-Chaves1999-435) Fundamentalist religions in general - including fundamentalist Islam and fundamentalist Christianity - aim primarily to retain the power of men and subjugate women.[[423]](Print_version.html#cite_note-Chaves1999-435)

Even within the religions that do allow women equal rights and ordination, women experience discrimination. Women who pursue ordination in these religions find it harder to find a job pastoring a congregation, are more likely to be assistant pastors than are men, and are more likely to find jobs in congregations that are smaller, rural, and/or pay less.[[423]](Print_version.html#cite_note-Chaves1999-435) As of 2006, women make up about 15% of clergy in the U.S.[[424]](Print_version.html#cite_note-StatisticalAbstract2009-436)

### Religion and Race[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-20)]

Batson et. al.[[408]](Print_version.html#cite_note-Batson1993-420) provide a clear summary of differences in religiosity by race (limited presently to Americans of African and European descent). They include five distinctions in their discussion. If you are an American of African descent, you are more likely to:

  1. attend religious services
  2. hold traditional religious beliefs
  3. feel strongly about your religious beliefs
  4. report having had religious experiences
  5. consider religion to be important in your life - both when you were growing up and as an adult

Batson et. al.[[408]](Print_version.html#cite_note-Batson1993-420) attributes this to the religious institutions' role in the lives of Americans of African descent. Religion has been one of the primary resources that African descendants have drawn upon since their arrival in the U.S. Religion has provided a sense of community and support for African-Americans and was also extremely influential in the Civil Rights Movement[[425]](Print_version.html#cite_note-Morris1984-437) As a result, religion has a more prominent role in the day-to-day lives of African-Americans.

Religion is also divided by race. Only 8% to 10% of congregations in the U.S. today are multi-racial (meaning no one race/ethnicity makes up more than 80% of the congregation).[[49]](Print_version.html#cite_note-Emerson2001-61) There are complicated historical reasons for this. During the U.S. period of slavery, blacks and whites worshiped in the same churches, though blacks were relegated to the balcony and primarily taught to be obedient to their masters. After the American Civil War, former slaves left the white-dominated religions and created their own as they were mistreated in the white-dominated churches. Today, predominately black churches and predominately white churches remain distinct with very few churches catering to mixed race congregations (though megachurches tend to be more multi-racial).[[49]](Print_version.html#cite_note-Emerson2001-61)

Emerson and Smith[[49]](Print_version.html#cite_note-Emerson2001-61) convincingly argue that white Evangelical Christians in the U.S., because of their belief in individualism, actually contribute to racial inequality. This is the result of white Evangelicals refusing to see structural factors that contribute to inequality and their proclivity to blame poor blacks for their poverty. White Evangelical Christians are more likely to attribute black/white inequality it to innate biological inferiority or laziness than are white Mainline Christians and the non-religious.[[49]](Print_version.html#cite_note-Emerson2001-61)

### Religion and Class[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-21)]

Socioeconomic status (SES) or class tends to be associated more with how religion is practiced rather than degree of religiosity (i.e., very religious vs. not very religious). Members of lower classes tend to associate with more fundamentalist religions and sect-like groups. Members of the middle class tend to belong to more formal churches. "In the United States, Presbyterians and Episcopalians tend to be above average in SES; Methodists and Lutherans about average; and Baptists and members of Protestant fundamentalist sects below average" (pp.38-39).[[408]](Print_version.html#cite_note-Batson1993-420) These variations in SES by religious groups are illustrated in the figure below.

![Income Ranking by Religious Group - 2000.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Income_Ranking_by_Religious_Group_-_2000.png/600px-Income_Ranking_by_Religious_Group_-_2000.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

### Religion and Education[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-22)]

Like income, educational attainment tends to vary by religious group. People in more fundamentalist religious groups tend to have lower levels of educational attainment while people in more liberal religious groups tend to have higher levels of educational attainment. This relationship between education and religion is illustrated in the figure below.

![Educational Ranking by Religious Group - 2001.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Educational_Ranking_by_Religious_Group_-_2001.png/600px-Educational_Ranking_by_Religious_Group_-_2001.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An important study by Johnson[[426]](Print_version.html#cite_note-Johnson1997-438) draws a complex but interesting picture of the relationship between religion and education attainment. Johnson found a dichotomization of religiosity as a result of college education. Those who make it through college with their religious beliefs intact tend to be more devout than those who do not attend college to begin with yet remain religious. On the other side, those who don't make it through college with their religious beliefs intact end up far less orthodox and are more likely to disavow religion altogether. The relationship between education and religiosity is a dichotomization – college education strengthens both religiosity and irreligiosity, it just depends on where you end up. Johnson's finding is particularly insightful in light of the social psychological theory of [cognitive dissonance](http://en.wikipedia.org/wiki/cognitive_dissonance), which argues that religious people will (at least initially) reinforce their beliefs in light of disconfirming evidence.

### Religion and Health[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-23)]

According to Batson et. al.,[[408]](Print_version.html#cite_note-Batson1993-420) the relationship between religion and mental health is highly nuanced. In order to understand this nuanced relationship, it is necessary to clarify the different types of religiosity Batson et. al. are studying. Batson et. al. distinguish between three types of religiosity. These types or orientations stem from the work of Gordon Allport who distinguished two types of religiosity and provided their corresponding labels: intrinsic and extrinsic religiosity. Extrinsic religiosity refers to people who use religion as a means to an end (e.g., social contacts). Intrinsic religiosity refers to people who see religion as the end (e.g., religion is the answer to life's questions). Batson et. al. add a third – quest religiosity. Quest religiosity refers to the religious seeker who constantly asks questions and may not believe there are any clear answers to them.

If one does not take into consideration the different types of religiosity (i.e., extrinsic, intrinsic, and quest), religion tends to be associated with poorer mental health (p. 240). Specifically, Batson et. al. find a negative relationship between religion and three components of mental health, "personal competence and control, self-acceptance or self-actualization, and open-mindedness and flexibility" (p. 240).

However, if one does take into consideration the different types of religiosity, then intrinsic and quest oriented individuals tend to see mental health benefits from their religious involvement. Extrinsically-oriented individuals, on the other hand, find that their religious involvement results in a negative influence on their mental health (p. 289).

## The Future of Religion[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-24)]

Despite the claims of many classical theorists and sociologists, religion continues to play a vital role in the lives of individuals. In America, for example, church attendance has remained relatively stable in the past 40 years. In Africa and South America, the emergence of Christianity has occurred at a startling rate. While Africa could claim roughly 10 million Christians in 1900, recent estimates put that number closer to 200 million. The rise of Islam as a major world religion, especially its newfound influence in the West, is another significant development. In light of these developments, sociologists have been forced to reconsider the early proclamations of the demise of religion. In addition to discussing secularization and how the theory has been modified due to the continued existence of religion, religious fundamentalism is briefly touched upon as it is playing a significant role in society today.

### Secularization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-25)]

**Secularization** is a varied term with multiple definitions and levels of meaning. It should also be noted that in addition to multiple definitions, secularization is both a _theory_ and a _process_. By theory, it is meant that some scholars[[409]](Print_version.html#cite_note-Durkheim1995-421)[[418]](Print_version.html#cite_note-Marx2000-430) (e.g. [Freud](http://en.wikipedia.org/wiki/Sigmund_Freud), [Weber](http://en.wikipedia.org/wiki/Max_Weber)) believed that as society modernized it would also see a decline in levels of [religiosity](http://en.wikipedia.org/wiki/religiosity). This understanding of classical secularization theory is currently being refined and modified (see discussion below). The 'process' component of secularization would refer to how the theory is actualized. It is in this sense that secularization has multiple definitions. The most common meaning is in reference to the decline of levels of religiosity in society, but this is a broad and diffuse meaning that should be clarified by referring to one of the more specific meanings outlined below.

Sommerville[[427]](Print_version.html#cite_note-Sommerville1998-439) outlined six (6) uses of the term _secularization_ in the scientific literature. The first five are more along the lines of _definitions_ while the sixth application of the term is more of a 'clarification of use' issue:

  1. When discussing social structures, secularization can refer to [differentiation](http://en.wikipedia.org/wiki/differentiation). Differentiation (or specialization) is a reference to the increasing division of labor and occupational specialization in society. While some might consider this a foray into social _progress_, few would argue that modern societies are less differentiated than more primitive, tribal societies (following the work of [Gerhard Emmanuel Lenski](http://en.wikipedia.org/wiki/Gerhard_Emmanuel_Lenski)).
  2. When discussing institutions, secularization can refer to the transformation of an institution that had once been considered religious in character into something not thought of as religious. A good example of this type of secularization (and differentiation, for that matter) is the transition of Harvard University from a predominantly religious institution into a secular institution (with a divinity school now housing the religious element illustrating differentiation).
  3. When discussing activities, secularization refers to the transfer of activities from institutions of a religious nature to others without that character. While the trend toward government assistance in social welfare seems to be reversing in recent years, for much of the 20th century activities that had been in the religious domain (e.g. soup kitchens) were slowly moving into the secular (or a-religious) realm, often that of government.
  4. When discussing mentalities, secularization can refer to the transition from _ultimate_ concerns to _proximate_ concerns. This is the most common understanding and usage of the term at the individual level and refers specifically to personal religious decline or movement toward a [secular](http://en.wikipedia.org/wiki/secular) lifestyle.
  5. When discussing populations, secularization can refer to a societal decline in levels of religiosity (as opposed to the individual-level secularization of definition four). It should be noted that this understanding of secularization is distinct from definition one (1) in that it refers specifically to religious decline rather than societal differentiation. A clear example of this definition of secularization would be the declining religious affiliations in much of modern Europe.
  6. When discussing religion generally, secularization can only be used unambiguously when referring to religion in a generic sense. For example, to argue that Christianity is 'secularizing' is not clear unless one specifies exactly which elements of which version of Christianity are being discussed. What's more, depending on the venue of the discussion, these elements of Christianity may not be recognized by other 'Christian' groups as elements of their version of Christianity. Thus, if you are interested in discussing religious decline within a specific denomination or religion, you need to specify which elements of that specific group you believe are declining, as Christianity is too variably defined to allow for generalizations for a specific denomination.

### Current Issues in the Study of Secularization[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-26)]

At present, secularization (as understood in definition five above) is being debated in the sociology of religion. Some scholars[[428]](Print_version.html#cite_note-Stark2002-440) have argued that levels of religiosity are not declining (though their argument tends to be limited to the U.S., an admitted anomaly in the developed world). As there appears to be some merit to this position, other scholars[[429]](Print_version.html#cite_note-Chaves1994-441) have countered by introducing the idea of neo-secularization, which broadens the definition of individual level religious decline by arguing that secularization can also refer to the decline of religious authority. In other words, rather than using a-religious apostates as the solitary measure of a population's secularity, neo-secularization theory argues that individuals are increasingly looking outside of religion for authoritative positions on different topics. Neo-secularizationists would argue that religion is no longer the authority on issues like whether to use birth control and would therefore argue that while religious affiliation may not be declining in the U.S. (a debate still taking place), religion's authority is declining and secularization is taking place.

### Religious Fundamentalism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-27)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Wtc-2004-memorial.jpg/250px-Wtc-2004-memorial.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The destruction of the World Trade Centers in 2001 was inspired by the extreme views of religion.

_Fundamentalism_ describes a movement to return to what is considered the defining or founding principles of a religion. It has especially come to refer to any religious enclave that intentionally resists identification with the larger religious group in which it originally arose, on the basis that fundamental principles upon which the larger religious group is supposedly founded have become corrupt or displaced by alternative principles hostile to its identity. A full analysis of what constitutes religious fundamentalism is beyond the scope of this chapter. However, the interested reader is encouraged to explore this topic further by reading the Wikipedia article on [fundamentalism](http://en.wikipedia.org/wiki/fundamentalism).

Religious fundamentalism is of great importance to sociologists because of its increasingly prominent role in social life, especially politics. Kenneth Wald[[42]](Print_version.html#cite_note-Wald2003-54) points out how religious fundamentalism can be detrimental to politics, specifically a democratic system. The fundamentalist approach to politics can hurt a democratic system because of fundamentalists' unwillingness to compromise. Religious fundamentalists tend to take the view that 'God said it, so it will have to be this way.' Because anything short of God’s will is unacceptable, religious fundamentalists don't allow for a middle ground - which is a vital element of the democratic process. While widely associated with religious fundamentalism, suicide bombers are not exclusively religious; only 43% are identifiably religious.[[430]](Print_version.html#cite_note-brym2007-442) Most suicide bombings are for strategic, political reasons, and usually involve a dispute over resources. Religion can serve as a justification and can even help motivate the bombers, but not all terrorism is inspired by religion and religious fundamentalists.[[430]](Print_version.html#cite_note-brym2007-442)

What the future of religious fundamentalism holds for human society is unknown, but because of the impact of this particular religious approach on society today, religious fundamentalism warrants continued study.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-28)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Religion&action=edit&section=T-29)]

  * [American Religion Data Archive](http://www.thearda.com)
  * [Hadden: Religion and the Quest for Meaning and Order](http://cti.itc.virginia.edu/~jkh8x/soc203/paradigm.html)
  * [A test of the Stark-Bainbridge theory of affiliation with cults and sects](http://www.holysmoke.org/sdhok/joining.htm)
  * [Adherents.com](http://www.adherents.com/)

← [Family](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Family) · [Health and Medicine](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Health_and_Medicine) →

← [Family](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Family) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Health and Medicine](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Health_and_Medicine) →

# Health and medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=19)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/be/Hoact21.jpg/250px-Hoact21.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A doctor conducting a pre-natal examination of a patient in El Salvador.

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-1)]

The [World Health Organization](http://en.wikipedia.org/wiki/World_Health_Organization) (WHO) defines **health** as "a state of complete physical, mental and social well-being, and does not consist only of the absence of disease or infirmity" ([source](http://w3.whosea.org/aboutsearo/const.htm)) Though this is a useful definition, some would consider it idealistic and non-realistic because using the WHO definition classifies 70-95% of people as unhealthy. There can also be other definitions of health, e.g. statistical (systolic blood pressure and diastolic blood pressure) and functional (ability to carry out Activities of Daily Living or ADLs). The WHO definition also overlooks the fact that several factors influence both the definition of health and standards of health.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/Babyimmunization.jpg/200px-Babyimmunization.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Immunizations from various diseases have improved health worldwide.

What it means to be healthy can vary from culture to culture and is often connected with advances in technology. In some cultures, larger body sizes are seen as a sign of healthiness as it indicates an individual has a preponderance of food. In other cultures, largeness is more closely associated with unhealthy lifestyles (e.g., lack of exercise, poor eating habits, etc.). Advances in technology have also expanded the idea of what it means to be healthy. What are understood today to be healthy practices were not emphasized prior to clear understandings of disease and the contributions of lifestyles to health.

**Health care** (or **healthcare**) is an industry associated with the prevention, treatment, and management of [illness](http://en.wikipedia.org/wiki/illness) along with the promotion of mental and physical well-being through the services offered by the [medical](http://en.wikipedia.org/wiki/medical) and [allied health](http://en.wikipedia.org/wiki/allied_health) professions. Healthcare is one of the world's largest and fastest-growing industries, consuming over 10 percent of [gross domestic product](http://en.wikipedia.org/wiki/gross_domestic_product) of most developed nations. In 2000, health care costs paid to hospitals, doctors, diagnostic laboratories, pharmacies, [medical device](http://en.wikipedia.org/wiki/medical_device) manufacturers and other components of the health care system, consumed an estimated 14 percent of the [gross national product](http://en.wikipedia.org/wiki/GNP) of the United States, the largest of any country in the world. For the [G8](http://en.wikipedia.org/wiki/G8) countries (eight of the most developed countries in the world) the average is about nine percent.

The sociology of health and medicine is concerned with the distribution of healthcare services globally, in particular inequalities in healthcare, and how conceptions of health have changed over time.

## Health Disparities[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Tobias-AIDS-test.jpg/300px-Tobias-AIDS-test.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

In an effort to dispel the stigma associated with HIV/AIDS testing in Ethiopia, Randall Tobias, U.S. Global AIDS Coordinator, was publicly tested.

While technology has advanced the practice of medicine and generally improved health, not all people have the same access to health care or the same quality of health care. According to the [Health Resources and Services Administration](http://en.wikipedia.org/wiki/Health_Resources_and_Services_Administration) of the U.S., _health disparities_ are the "population-specific differences in the presence of disease, health outcomes, or access to health care" ([source](http://www.google.com/url?sa=U&start=4&q=http://www.hrsa.gov/OMH/OMH/disparities/pages07to08.pdf&e=9888)). Of particular interest to sociologists are the differences in health and quality of health care across racial, socioeconomic, and ethnic groups.

In the United States, health disparities are well documented in minority populations such as [African Americans](http://en.wikipedia.org/wiki/), [Native Americans](http://en.wikipedia.org/wiki/Native_Americans), [Asian Americans](http://en.wikipedia.org/wiki/Asian_Americans), and [Hispanics](http://en.wikipedia.org/wiki/Hispanics). When compared to European Americans, these minority groups have higher incidents of chronic diseases, higher mortality, and poorer health outcomes. Among the disease-specific examples of racial and ethnic disparities in the United States is the cancer incidence rate among African Americans, which is 10 percent higher than among European Americans. In addition, American adults of African and Hispanic lineage have approximately twice the risk of developing diabetes than American adults of European lineage . Minorities also have higher rates of [cardiovascular disease](http://en.wikipedia.org/wiki/cardiovascular_disease), [HIV/AIDS](http://en.wikipedia.org/wiki/HIV/AIDS), and [infant mortality](http://en.wikipedia.org/wiki/infant_mortality) than whites. There are also substantial differences in health based on social class or socioeconomic status.[[431]](Print_version.html#cite_note-Simon2009-443) As of 2009, diseases that were common only in the developed world (e.g., [toxocariasis](http://en.wikipedia.org/wiki/toxocariasis), [cysticercosis](http://en.wikipedia.org/wiki/cysticercosis), [chagas](http://en.wikipedia.org/wiki/chagas), and [cytomegalovirus](http://en.wikipedia.org/wiki/cytomegalovirus)) were becoming a serious concern among economically disadvantaged populations in the U.S.[[431]](Print_version.html#cite_note-Simon2009-443)

![HealthAssess.jpeg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/HealthAssess.jpeg/500px-HealthAssess.jpeg)

### Causes of Health Disparities[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-3)]

There is debate about what causes health disparities between ethnic and racial groups. However, it is generally accepted that disparities can result from three main areas:

  * From the differences in [socioeconomic](http://en.wikipedia.org/wiki/socioeconomic) and [environmental](http://en.wikipedia.org/wiki/environmental) characteristics of different ethnic and racial groups. For instance, American Africans and Hispanics tend to live in poorer neighborhoods that are near to industrial areas and are older than new suburban subdivisions. Industrial pollutants and lead-paint, common in older homes, can both lead to increased incidents of disease.
  * From the barriers certain racial and ethnic groups encounter when trying to enter into the health care delivery system.
  * From the quality of health care different ethnic and racial groups receive.

Most attention on the issue has been given to the health outcomes that result from differences in access to medical care among groups and the quality of care different groups receive. Reasons for disparities in access to health care are many, but can include the following:

  * Lack of insurance coverage. Without health insurance, patients are more likely to postpone medical care, more likely to go without needed medical care, and more likely to go without prescription medicines. Minority groups in the United States lack insurance coverage at higher rates than whites.

![%NoInsuranceRace.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c5/%25NoInsuranceRace.svg/400px-%25NoInsuranceRace.svg.png)

  * Lack of a regular source of care. Without access to a regular source of care, patients have greater difficulty obtaining care, fewer doctor visits, and more difficulty obtaining prescription drugs. Compared to whites, minority groups in the United States are less likely to have a doctor they go to on a regular basis and are more likely to use emergency rooms and free or reduced rate, government subsidized [clinics](http://en.wikipedia.org/wiki/clinics) as their regular source of care.
  * Lack of financial resources. Although the lack of financial resources is a barrier to health care access for many Americans, the impact on access appears to be greater for minority populations.
  * Structural barriers. Structural barriers to health care include poor transportation, an inability to schedule appointments quickly or during convenient hours, and excessive time spent in the waiting room, all of which affect a person's ability and willingness to obtain needed care.
  * The health financing system. The [Institute of Medicine](http://en.wikipedia.org/wiki/Institute_of_Medicine) in the United States says fragmentation of the U.S. health care delivery and financing system is a barrier to accessing care. Racial and ethnic minorities are more likely to be enrolled in health insurance plans which place limits on covered services and offer a limited number of health care providers.
  * Scarcity of providers. In inner cities, rural areas, and communities with high concentrations of minority populations, access to medical care can be limited due to the scarcity of primary care practitioners, specialists, and diagnostic facilities. In addition more private practices are putting limits on the number of medicaid and medicare patients that they will accept because these programs reimburse at a much lower percentage than private insurers. Finding physicians who accept [Medicaid](http://en.wikipedia.org/wiki/Medicaid) and [Medicare](http://en.wikipedia.org/wiki/Medicare) is becoming increasingly difficult.
  * Linguistic barriers. Language differences restrict access to medical care for minorities in the United States who are not English-proficient.
  * Low Health literacy. This is where patients have problems obtaining, processing, and understanding basic health information. For example, patients with a poor understanding of good health may not know when it is necessary to seek care for certain symptoms. Similarly, they may not understand the medical jargon that is used by health professionals and, consequently, are unable to accurately follow medical instructions. While problems with health literacy are not limited to minority groups, the problem can be more pronounced in these groups than in whites due to socioeconomic and educational factors.
  * Lack of [diversity](http://en.wikipedia.org/wiki/diversity) in the health care workforce. Cultural differences between predominantly white health care providers and minority patients is also often cited as a barrier to health care. Only 4% of physicians in the United States are African American; Hispanics represent just 5%. These percentages are much lower than these groups' respective proportions of the United States population.
  * Provider discrimination. This is where health care providers either unconsciously or consciously treat certain racial and ethnic patients differently than they treat their white patients. Some research suggests that minorities are less likely than whites to receive a kidney transplant once on dialysis or to receive pain medication for bone fractures. Critics question this research and say further studies are needed to determine how doctors and patients make their treatment decisions. Others argue that certain diseases cluster by ethnicity and that clinical decision making does not always reflect these differences.

### Examples of Health Disparities[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-4)]

There are a number of ways in which health disparities play out based on different systems of stratification. Health disparities resulting from economic stratification are wide-ranging. Poorer women have reduced access to mammograms to detect breast cancer, even when they are better candidates for screening.[[432]](Print_version.html#cite_note-Williams2008-444) Wealthier people live longer than poorer people. Wealthier people in the U.S. today live about 4.5 years longer than poorer people (79.2 vs. 74.7, respectively).[[433]](Print_version.html#cite_note-Pear2008-445) Additionally, affluent and more educated people are more likely to take advantages of advances in medical science and technology and have seen a more rapid decline in smoking rates, which directly improves health.[[433]](Print_version.html#cite_note-Pear2008-445) Disparities in health care between the rich and poor are not inevitable - they are directly correlated with disparities in wealth. The differential and unequal treatment of the rich and poor follows the gap between the rich and the poor: From 1966 to 1980, socioeconomic disparities declined in tandem with a decline in mortality rates, but the disparity has since increased as income stratification has.[[433]](Print_version.html#cite_note-Pear2008-445)

Financial access to health care is not the only factor that affects health; poorer people are generally less likely to exercise, resulting in overall poorer health as well.[[434]](Print_version.html#cite_note-Wen2007-446) This is probably due to fewer opportunities to exercise and a less well-developed understanding of the importance exercise. Poorer individuals also live in more dangerous neighborhoods and are more likely to eat unhealthy food and engage in risky or unhealthy behavior, all of which contributes to poorer health.[[433]](Print_version.html#cite_note-Pear2008-445)

Researchers also find health disparities based on gender stratification. One study found that women are less likely than men to be recommended for knee replacement surgery, even when they have the same symptoms.[[435]](Print_version.html#cite_note-Borkhoff2008-447) While it was unclear what role the sex of the recommending physicians played, the authors of this study encourage women to challenge their doctors in order to get care equivalent to men.

Health disparities based on race also exist. Similar to the difference in life expectancy found between the rich and the poor, affluent white women live 14 years longer in the U.S. (81.1 years) than poor black men (66.9 years).[[433]](Print_version.html#cite_note-Pear2008-445)[[436]](Print_version.html#cite_note-Griffith2010-448) There is also evidence that blacks receive less aggressive medical care than whites, similar to what happens with women compared to men.[[433]](Print_version.html#cite_note-Pear2008-445) Black men describe their visits to doctors as stressful and report that physicians do not provide them with adequate information to implement the recommendations they are given.[[436]](Print_version.html#cite_note-Griffith2010-448) Another contributor to the overall worse health of blacks is the incident of HIV/AIDS - the rate of new AIDS cases is 10 times higher among blacks than whites and blacks are 20 times as likely to have HIV/AIDS as are whites.[[437]](Print_version.html#cite_note-Adimora2009-449)

## Paying for Medical Care[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-5)]

As noted in the previous section, disparities in health care are often related to an individual's or a group's ability to pay for health care. This section discusses the costs of healthcare and the different approaches to health care that have been taken by governments around the world.

### Health Insurance[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-6)]

**Health insurance** is a type of insurance whereby the insurer pays the medical costs of the insured if the insured becomes sick due to covered causes or accidents. The insurer may be a private organization or a government agency. According to the 2005 United States Census Bureau, approximately 85% of Americans have health insurance. Approximately 60% obtain health insurance through their place of employment or as individuals and various government agencies provide health insurance to 25% of Americans.

![%NoInsurance.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/09/%25NoInsurance.svg/400px-%25NoInsurance.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

While the rising cost of health care is debated, some contributing causes are accepted. Aging populations require more health care as a result of increased life expectancy. Advances in medical technology have arguably driven up the prices of procedures, especially cutting edge and experimental procedures. Poor health choices also increase health care costs by increasing the incident of disease and disability. Preventable health issues are related to:

  * insufficient exercise
  * [unhealthy food choices](http://en.wikipedia.org/wiki/junk_food)
  * excessive alcohol consumption
  * [smoking](http://en.wikipedia.org/wiki/smoking)
  * [obesity](http://en.wikipedia.org/wiki/obesity) (more on this below)

![%NoCareCost.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0a/%25NoCareCost.svg/400px-%25NoCareCost.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

In theory, people could lower health insurance prices by exercising, eating healthy food, and avoiding addictive substances that are damaging to the body. Healthier lifestyles protect the body from disease, and with fewer diseases, there would be fewer health care related expenses.

Another element of high health care costs is related to the private management of healthcare by large corporations. While this is discussed in greater detail below, it is worth noting that corporate profits have also played a role in increased health care premiums.

### Private Insurance and Free-Market Health Care[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-7)]

Two types of health insurance have developed in modern society: private health insurance (or free-market) models and publicly funded health insurance models. The benefits and drawbacks of each of these models are discussed in this and the following section.

Private insurance refers to health insurance provided by a non-governmental organization, usually a privately owned or publically traded corporation. Private insurance as the primary provider of health care in a developed nation is really only found in the United States. It is important to note that while the United States is the most private of any system, there is a substantial public component. Of every dollar spent on health care in the United States, 44 cents comes from some level of government. In addition, government also increases private sector costs by imposing licensing and regulatory barriers to entry into both the practice of medicine and the drug trade within America. Private practitioners also face inflated costs through the government's use of [protectionist](http://en.wikipedia.org/wiki/protectionist) measures against foreign companies, to uphold the [intellectual property rights](http://en.wikipedia.org/wiki/intellectual_property_rights) of the U.S. [pharmaceutical](http://en.wikipedia.org/wiki/pharmaceutical) industry.

Advocates of the private model argue that this approach to health care has the following benefits:

  * Some economists argue that the free market is better able to allocate discretionary spending where consumers value it the most. There is variation among individuals about how much they value peace of mind and a lower risk of death. For example, while a public-funded system (see below) might decide to pay for a pap smear only once every five years if the patient was not positive for the human papilloma virus based on cost efficiency, in a private system a consumer can choose to be screened more often and enjoy the luxury of greater peace of mind and marginally reduced risk. When evaluating the pool of current medical spending available to fund cost effective care for the uninsured, this discretionary spending might be moved to non-medical luxury goods. Also, since current private plans are not very good at limiting spending to cost effective procedures and schedules, those consumers exploiting this will view the transition to a public system as a reduction in their compensation or benefits, and will question whether a society that will allow them to buy a better car or a European vacation, but not better health care, is truly free.
  * Advocates also point to the remarkable advances in medical technology that have accompanied the private insurance/free-market approach to health care. When health care is privately funded, the opportunity for making large amounts of money is an attractive proposition for researchers in medical technology and pharmaceuticals. Thus, the private insurance system, while it may not provide adequate care for everyone (see the criticisms below), does provide cutting edge technology for those who can afford it.
  * Advocates also argue that private industry is more efficient than government, which can be quite susceptible to bloat and bureaucracy. However, as is discussed below, this is not always true.

Despite these possible benefits, the private insurance approach is not without its drawbacks. Following are some of the more common criticisms of the private health insurance approach to health care:

  * As noted above, private insurance can be a boon to those who can afford the cutting edge technology. But the flipside to this boon is that the United States, the only mostly-private health delivery system in a developed country, is below average among developed nations by almost every health measure, including: [infant mortality](http://en.wikipedia.org/wiki/infant_mortality), [life expectancy](http://en.wikipedia.org/wiki/life_expectancy), [chronic diseases](http://en.wikipedia.org/wiki/chronic_disease) and [cancer](http://en.wikipedia.org/wiki/cancer) survival rates.[[438]](Print_version.html#cite_note-Banks2006-450) As evidence of this, people in lower socioeconomic classes in the US are significantly more likely to contract a preventable disease than are people in higher socioeconomic classes, which is not the case in Canada, where they have universal healthcare.[[439]](Print_version.html#cite_note-Willson2009-451) This is directly attributable to reduced access to healthcare in the US for those with less money.
  * More than half of the people with chronic conditions in the US regularly skip pills and doctors' appointments for conditions like diabetes, heart disease, cancer, and depression because of the cost of the care.[[440]](Print_version.html#cite_note-Schoen2009-452)
  * Another significant criticism of the private system is that it ends up being more costly than publicly funded systems. In 2001 the United States government spent $4,887 per person on health care. That is more than double the rate of any other [G8](http://en.wikipedia.org/wiki/G8) country, except Japan which spends close to $2,627 per capita annually. Considering private insurers are supposed to cover the majority of health care costs in the U.S., it is somewhat surprising that the United States spends a greater fraction of its national budget on health than Canada, Germany, France, or Japan. One explanation for the higher health care costs in the U.S. is the billing approach: in the U.S., many doctors work on a fee-for-service basis, which means they earn more if they do more tests or are consulted more frequently. In contrast, doctors who are salaried have no financial incentive to perform unnecessary tests. This was the explanation given for the wide disparity in Medicare spending for patients in the last two years of their lives at top teaching hospitals: per patient costs at UCLA were $93,000, but only $53,000 at the Mayo Clinic. When doctors are salaried, they are not inclined to perform unnecessary tests just to increase their income, which is what doctors using fee-for-service approaches do.[[441]](Print_version.html#cite_note-Wennberg2008-453) The quality of care and patient life expectancy did not differ between these two hospitals, despite the substantial difference in costs.
  * Most experts believe that significant [market failure](http://en.wikipedia.org/wiki/market_failure) occurs in health markets, thereby leading free market insurance models to operate inefficiently. The consumers of health care are vastly less knowledgeable than the medical professionals they buy it from. An individual is especially less likely to make rational choices about his/her own health care in a case of emergency. The extreme importance of health matters to the consumer adds to the problem of the information gap. This gives the medical profession the ability to set rates that are well above free market value. The need to ensure competence and qualifications among medical professionals also means that they are inevitably closely controlled by professional associations that can exert [monopolistic](http://en.wikipedia.org/wiki/monopoly) control over prices. Monopolies are made even more likely by the sheer variety of specialists and the importance of geographic proximity. Patients in most markets have no more than one or two heart specialists or brain surgeons to choose from, making competition for patients between such experts very limited.
  * In theory when a government sets billing rates it can negotiate with the professional societies with equal heft and knowledge, reaching a total cost that is closer to the ideal than an unregulated market. In private insurance systems, each insurance company is responsible for negotiating its own salaries. A possible result of this approach is the higher pay in doctors' salaries. Doctors' salaries do tend to be much lower in public systems. For instance, doctors' salaries in the United States are twice those in Canada.
  * The private insurance or free-market approach also fails to provide an efficient delivery for health care because prevention is such an essential component, but one that most people misjudge. Screening for diseases such as cancer saves both lives and money, but there is a tendency within the general population to not correctly assess their risk of disease and thus to not have regular check ups. Many people are only willing to pay a doctor when they are sick, even though this care may be far more expensive than regular preventative care would have been. Delaying treatment until the condition is too severe to be treated can result, often with serious and lamentable consequences.[[442]](Print_version.html#cite_note-Krugman2008-454) The one exception is when extensive publicity, such as that for [mammograms](http://en.wikipedia.org/wiki/mammogram), is undertaken. Making regular appointments cheaper, or even free (as is done in public systems), has been shown to reduce both rates of illness and costs of health care. Conversely, placing the cost of a visit to a general practitioner too low will lead to excessive visits wasting both a patient's and a doctor's time. Thus while some experts believe free doctor visits produce ideal results, most believe that forcing people to pay some fraction of the cost of an appointment is better.
  * When a claim is made, particularly for a sizeable amount, the use of paperwork and bureaucracy can allow insurance companies to avoid payment of the claim or, at a minimum, greatly delay it. Some people simply give up pursuing their claims with their insurance provider. This is a cost-cutting technique employed by some companies; fighting claims legally is actually less expensive in some instances than paying the claims outright.
  * Insurance companies usually do not announce their health insurance premiums more than one year in advance. This means that, if one becomes ill, he or she may find that the premiums have greatly increased. This largely defeats the purpose of having insurance in the eyes of many. However, this is not a concern in many group health plans because there are often laws that prevent companies from charging a single individual in the plan more than others who are enrolled in the same insurance plan.
  * Health insurance is often only widely available at a reasonable cost through an employer-sponsored group plan. This means that unemployed individuals and self-employed individuals are at an extreme disadvantage and will have to pay for more for their health care.
  * Experimental treatments or particularly expensive drugs are often not covered.[[443]](Print_version.html#cite_note-Kolata2008-455) This practice is especially criticized by those who have already tried, and not benefited from, all _standard_ medical treatments. Because insurance companies can avoid paying claims for experimental procedures, this has lead some insurers to claim that procedures are still _experimental_ well after they have become standard medical practice. This phenomenon was especially prevalent among private insurance companies after [organ transplants](http://en.wikipedia.org/wiki/organ_transplants), particularly kidney transplants, first became standard medical practice, due to the tremendous costs associated with this procedure and other organ transplantation. This approach to avoiding paying premiums can also undermine medical advances.
  * [Health Maintenance Organizations](http://en.wikipedia.org/wiki/Health_Maintenance_Organization) or (HMO) types of health insurance are often criticized for excessive cost-cutting policies that include accountants or other administrators making medical decisions for customers. Rather than allowing such decisions to be made by health care professionals who know which procedures or treatments are necessary, these health plan administrators are dictating medical practice through their refusal to cover claims.
  * As the health care recipient is not directly involved in payment of health care services and products, they are less likely to scrutinize or negotiate the costs of the health care they receive. To care providers (health care professionals, not the insurers), insured care recipients are viewed as customers with relatively limitless financial resources who do not consider the prices of services. To address this concern, many insurers have implemented a program of bill review in which insured individuals are allowed to challenge items on a bill (particularly an inpatient hospital bill) as being for goods or services _not received_. If a challenge is proven accurate, insured individuals are awarded with a percentage of the amount that the insurer would have otherwise paid for this disputed item or service.

Concerns about health insurance are prevalent in the United States. A June 2005 survey of a random national sample by the [Kaiser Family Foundation](http://en.wikipedia.org/wiki/Kaiser_Family_Foundation) found that twice as many United Statesians are more worried about rising health care costs than losing their job or being the victim of a terrorist attack ([source](http://my.webmd.com/content/Article/108/108740.htm)).

### Publicly Funded Health Care[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-8)]

An alternative to private health insurance and the free-market approach to health care is publicly funded health care. Publicly funded medicine is health care that is paid wholly or mostly by public funds (i.e., [taxes](http://en.wikipedia.org/wiki/tax)). Publicly funded medicine is often referred to as _socialized medicine_ by its opponents, whereas supporters of this approach tend to use the terms _universal healthcare_, _single payer healthcare_, or _[National Health Services](http://en.wikipedia.org/wiki/National_Health_Service)_. It is seen as a key part of a [welfare state](http://en.wikipedia.org/wiki/welfare_state).

This approach to health care is the most common and popular among developed (and developing) nations around the world today. The majority of [developed nations](http://en.wikipedia.org/wiki/developed_country) have publicly funded health systems that cover the great majority of the population. For some examples, see the [British National Health Service](http://en.wikipedia.org/wiki/British_National_Health_Service), [medicare Canada](http://en.wikipedia.org/wiki/medicare_\(Canada\)) and [medicare Australia](http://en.wikipedia.org/wiki/Medicare_\(Australia\)).

Even among countries that have publicly funded medicine, different countries have different approaches to the funding and provision of medical services. Some areas of difference are whether the system will be funded from general government revenues (e.g. Italy, Canada) or through a government social security system (France, Japan, Germany) on a separate budget and funded with special separate taxes. Another difference is how much of the cost of care will be paid for by government or social security system, in Canada all hospital care is paid for by the government while in Japan patients must pay 10 to 30% of the cost of a hospital stay. What will be covered by the public system is also important; for instance, the Belgian government pays the bulk of the fees for dental and eye care, while the Australian government covers neither.

The United States has been virtually alone among developed nations in not maintaining a publicly-funded health-care system since South Africa adopted a publicly-funded system after toppling its [apartheid](http://en.wikipedia.org/wiki/apartheid) regime. However, a few states in the U.S. have taken serious steps toward achieving this goal, most notably Minnesota. Other states, while not attempting to insure all of their residents strictly speaking, cover large numbers of people by reimbursing hospitals and other health-care providers using what is generally characterized as a [charity care](http://en.wikipedia.org/wiki/charity_care) scheme, which often includes levies. A 2007 New York Times/CBS Poll found that a majority of Americans support some form of universal healthcare (59%), and just as many Americans support it even if it means raising their taxes.[[444]](Print_version.html#cite_note-Toner2007-456) Support is mixed between Democrats, Republicans, and Independents: 63% of Democrats support universal healthcare, 49% of Independents do, and 30% of Republicans do.

Publicly funded medicine may be administered and provided by the [government](http://en.wikipedia.org/wiki/government), but in some systems that is not an obligation: there exist systems where medicine is publicly funded, yet most health providers are private entities. The organization providing public health insurance is not necessarily a public administration, and its budget may be isolated from the main state budget. Likewise, some systems do not necessarily provide universal healthcare, nor restrict coverage to public health facilities.

Proponents of publicly funded medicine cite several advantages over private insurance or free-market approaches to health care:

  * Publicly funded approaches provide universal access to health care to all citizens, resulting in equality in matters of life and death.
  * Publicly funded health care reduces contractual paperwork.
  * Publicly funded health care facilitates the creation of uniform standards of care.
  * Publicly funded health care may help reduce illnesses associated with job loss. As many people in the US rely on their jobs for health insurance, losing their jobs increases stress and, as a result, increases illness.[[445]](Print_version.html#cite_note-Strully2009-457)
  * It is also the case that publicly funded systems result in a reduction in the percentage of societal resources devoted to medical care; meaning public systems cost less than private systems.

Publicly funded health care is not without its criticisms. Some purported disadvantages of the public system include:

  * Some critics argue there is a greater likelihood of lower quality health care than privately funded systems. However, because of the universal accessibility of health care, this claim is generally not true.[[438]](Print_version.html#cite_note-Banks2006-450)
  * Another criticism of publicly funded health care is that there is less motivation for medical innovation and invention and less motivation for society's most skilled people to become doctors, because of the lower amount of monetary compensation.
  * Price no longer influences the allocation of resources, thus removing a natural self-corrective mechanism for avoiding waste and inefficiency (though the redundancy of the private system - competing insurers - often results in more inefficiency than a single, public system).
  * Health care workers' pay is often not related to quality or speed of care. Thus very long waits can occur before care is received.
  * Because publicly funded medicine is a form of [socialism](http://en.wikipedia.org/wiki/socialism), many of the general concerns about socialism can be applied to this approach.
  * People are afraid that they can't choose their own doctor. The state chooses for them. This also tends to be an over-exaggerated and ill-founded concern as there is some degree of freedom in choosing medical practitioners in public systems.

### Parallel Public/Private Systems[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-9)]

Almost every country that has a publicly funded health care system also has a parallel private system, generally catering to the wealthy. While the goal of public systems is to provide equal service, the [egalitarianism](http://en.wikipedia.org/wiki/egalitarianism) tends to be closer to _partial egalitarianism_. Every nation either has parallel private providers or its citizens are free to travel to a nation that does, so there is effectively a [two-tier healthcare](http://en.wikipedia.org/wiki/two-tier_healthcare) system that reduces the [equality](http://en.wikipedia.org/wiki/social_equality) of service. Since private providers are typically better paid, those medical professionals motivated by remunerative concerns migrate to the private sector while the private hospitals also get newer and better equipment and facilities. A number of countries such as Australia attempt to solve the problem of unequal care by insisting that doctors divide their time between public and private systems.

Proponents of these parallel private systems argue that they are necessary to provide flexibility to the system and are a way to increase funding for the health care system as a whole by charging the wealthy more. Opponents believe that they are allowed to exist mainly because politicians and their friends are wealthy and would prefer better care. They also argue that all citizens should have access to high quality healthcare. The only country not to have any form of parallel private system for basic health care is Canada. However, wealthy Canadians can and travel to the United States for care.

Also, in some cases, doctors are so well paid in both systems that prestige is often more important to them than remuneration. This is very much the case in the United Kingdom where private medicine is seen as less prestigious than public medicine by much of the population. As a result, the best doctors tend to spend the majority of their time working for the public system, even though they may also do some work for private healthcare providers. The British in particular tend to use private healthcare to avoid waiting lists rather than because they believe that they will receive better care from it.

### Difficulties of analysis[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-10)]

Cost-benefit analysis of healthcare is extremely difficult to do accurately, or to separate from emotional entanglement. For instance, prevention of smoking or obesity is presented as having the potential to save the costs of treating illnesses arising from those choices. Yet, if those illnesses are fatal or life shortening, they may reduce the eventual cost to the system of treating that person through the rest of their life, and it is possible that they will die of an illness every bit as expensive to treat as the ones they avoided by a healthy lifestyle.

This has to be balanced against the loss of taxation or insurance revenue that might come should a person have a longer productive (i.e. working and tax or insurance-paying) life. The cost-benefit analysis will be very different depending on whether you adopt a whole-life accounting, or consider each month as debits and credits on an insurance system. In a system financed by taxation, the greatest cost benefit comes from preserving the working life of those who are likely to pay the most tax in the future, i.e. the young and rich.

Few politicians would dare to present the big picture of costs in this way, because they would be condemned as callous. Nevertheless, behind the scenes, a responsible government must be performing cost analysis in order to balance its budget; it is not likely, however, to take the most purely cost effective route. It may choose to provide the _best_ health care according to some other model, but the cost of this still must be estimated and funded, and there is no uncontroversial definition of _best_.

In producing a definition of quality of healthcare, there is an implication that quality can be measured. In fact, the effectiveness of healthcare is extremely difficult to measure, not only because of medical uncertainty, but because of intangible quantities like _quality of life_. This is likely to lead to systems that measure _only_ what is easy to measure (such as length of life, waiting times or infection rates). As a result, the importance of treating chronic, but non-fatal conditions, or of providing the best care for the terminally ill may be reduced. Thus, it is possible for personal satisfaction with the system to go down, while metrics go up.

## Behavior and Environmental Influences on Health[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-11)]

The following sections explore some of the ways behaviors and environment can impact human health.

### Smoking[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-12)]

The [Centers for Disease Control and Prevention](http://en.wikipedia.org/wiki/Centers_for_Disease_Control_and_Prevention) describes tobacco use as "the single most important preventable risk to human health in developed countries and an important cause of premature death worldwide" ([source](http://www.cdc.gov/tobacco/quit/canquit.htm)). A person's increased risk of contracting disease is directly proportional to the length of time that a person continues to smoke as well as the amount smoked. However, if someone stops smoking the risks of developing diseases steadily decline, although gradually, as the damage to their body is repaired.

The main health risks from tobacco smoking pertain to diseases of the cardiovascular system, in particular smoking is a major risk factor for: [myocardial infarction](http://en.wikipedia.org/wiki/myocardial_infarction) (heart attack); diseases of the [respiratory tract](http://en.wikipedia.org/wiki/Respiratory_system), such as [Chronic Obstructive Pulmonary Disease](http://en.wikipedia.org/wiki/Chronic_Obstructive_Pulmonary_Disease) (COPD) and [emphysema](http://en.wikipedia.org/wiki/emphysema); and [cancer](http://en.wikipedia.org/wiki/cancer), particularly [lung cancer](http://en.wikipedia.org/wiki/lung_cancer) and cancers of the [larynx](http://en.wikipedia.org/wiki/larynx) and [tongue](http://en.wikipedia.org/wiki/tongue). Prior to [World War I](http://en.wikipedia.org/wiki/World_War_I), lung cancer was considered to be a rare disease, one most physicians would never see during their career. With the postwar rise in popularity of cigarette smoking came a virtual epidemic of lung cancer.

### Alcohol[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-13)]

**Alcoholism** is a dependency on alcohol characterized by craving (a strong need to drink), loss of control (being unable to stop drinking despite a desire to do so), physical dependence and withdrawal symptoms, and tolerance (increasing difficulty of becoming drunk).

Although acceptance of the _[American Disease Model](http://en.wikipedia.org/wiki/American_Disease_Model)_ is not without controversy, the [American Medical Association](http://en.wikipedia.org/wiki/American_Medical_Association), the [American Psychiatric Association](http://en.wikipedia.org/wiki/American_Psychiatric_Association), the [American Hospital Association](http://en.wikipedia.org/wiki/American_Hospital_Association), the [American Public Health Association](http://en.wikipedia.org/wiki/American_Public_Health_Association), the [National Association of Social Workers](http://en.wikipedia.org/wiki/National_Association_of_Social_Workers), the [World Health Organization](http://en.wikipedia.org/wiki/World_Health_Organization), and the [American College of Physicians](http://en.wikipedia.org/wiki/American_College_of_Physicians) have all classified alcoholism as a [disease](http://en.wikipedia.org/wiki/disease).

In a 1992 [JAMA](http://en.wikipedia.org/wiki/JAMA) article, the [Joint Committee of the National Council on Alcoholism and Drug Dependence](http://en.wikipedia.org/wiki/Joint_Committee_of_the_National_Council_on_Alcoholism_and_Drug_Dependence) and the [American Society of Addiction Medicine](http://en.wikipedia.org/wiki/American_Society_of_Addiction_Medicine) published this definition for alcoholism: "Alcoholism is a primary chronic disease with genetic, psychosocial, and environmental factors influencing its development and manifestations. The disease is often progressive and fatal. It is characterized by impaired control over drinking, preoccupation with the drug alcohol, use of alcohol despite adverse consequences, and distortions in thinking, mostly denial. Each of these symptoms may be continuous or periodic."

Symptoms of a person's dependence on alcohol may include, but are not limited to, a feeling of necessity in regards to consumption of alcohol, or an inability to resist alcohol if offered. Though these symptoms often arise from a physical dependence on the substance, it is not uncommon for individuals, especially teenagers and adolescents between the ages of fifteen and twenty, to rely on alcohol as a means of social interaction. If a person cannot refuse alcohol in the presence of others, insists on drinking alcohol excessively for fear of alienation and neglect, or feels they cannot socially interact with others unless under the influence then this person is considered socially dependent on the substance. These traits can be noticed in individuals who relocate (such as students attending a new university) whereby an individual with no past history of alcohol consumption begins to consume alcohol in order to associate and relate to others. Social dependence, though not physically threatening in early stages, can lead to physical dependence if the person cannot control their urges and more so their reasons for drinking.

The causes for alcohol abuse and dependence cannot be easily explained, but the long-standing, unscientific prejudice that alcoholism is the result of moral or ethical weakness on the part of the sufferer has been largely altered. Recent polls show that 90% of Americans currently believe that alcoholism is, in fact, a [disease](http://en.wikipedia.org/wiki/disease) (source?). Of the two thirds of the North American population who consume alcohol, 10% are alcoholics and 6% consume more than half of all alcohol. Stereotypes of alcoholics are often found in fiction and [popular culture](http://en.wikipedia.org/wiki/popular_culture). In modern times, the recovery movement has led to more realistic portraits of alcoholics and their problems.

The social problems arising from alcoholism can include loss of employment, financial problems, marital conflict and divorce, convictions for crimes such as drunk driving or public disorder, loss of accommodation, and loss of respect from others who may see the problem as self-inflicted and easily avoided. Exhaustive studies, including those by author [Wayne Kritsberg](http://en.wikipedia.org/wiki/Wayne_Kritsberg), show that alcoholism affects not only the addicted but can profoundly impact the family members around them. Children of alcoholics can be affected even after they are grown. This condition is usually referred to as _The Adult Children of Alcoholics Syndrome_. [Al-Anon](http://en.wikipedia.org/wiki/Al-Anon), a group modelled after [Alcoholics Anonymous](http://en.wikipedia.org/wiki/Alcoholics_Anonymous), offers aid to friends and family members of alcoholics.

#### Moderate Drinking[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-14)]

Of course, not everyone who consumes alcohol is an alcoholic or is at danger of becoming an alcoholic. In fact, there is some debate as to whether there are some benefits derived from moderate consumption of alcohol. The controversy over moderate drinking is an ongoing debate about the claimed benefit or harm to human health from moderate consumption of [alcoholic beverages](http://en.wikipedia.org/wiki/alcoholic_beverage). Moderate consumption typically means the consumption of 1 to 3 drinks of an alcoholic beverage a day; the number varies with age and gender. There is wide consensus that over-drinking is harmful: [alcohol](http://en.wikipedia.org/wiki/ethanol) damages human cells and organs such as the [brain](http://en.wikipedia.org/wiki/brain), [liver](http://en.wikipedia.org/wiki/liver) and [kidney](http://en.wikipedia.org/wiki/kidney).

Many studies show that consumers of up to 3 drinks a day have a 10% to 40% lower risk of [coronary heart disease](http://en.wikipedia.org/wiki/coronary_heart_disease) than those who abstain. Rimm _et al._[[446]](Print_version.html#cite_note-Rimm1999-458) predict a 24.7% decrease in the risk of coronary heart disease based upon 30g alcohol/day.

Critics of moderate drinking claim that any benefits are far outweighed by the possible consequences of over consumption and that these benefits can be had by less risky means. Scientists also note that studies supporting the benefits of moderate drinking do not control for other factors, such as lifestyle differences between moderate drinkers and nondrinkers. There is evidence that moderate drinkers are more affluent than nondrinkers and as such lead lifestyles that are more conducive to good health in general.

Research on the effects of moderate drinking is in its early stages. No long term studies have been done and control groups would be difficult to establish because of the many variables. The current medical recommendation[[447]](Print_version.html#cite_note-Abdulla1997-459) regarding being a moderate drinker is that it is "not only meaningless but also irresponsible" to become a moderate drinker if you don't already drink given that the many obvious health hazards of alcohol outweigh "the benefits of alcohol [which] are small and ill-understood" particularly when so many other cardiovascular treatments are available (p. 651).

#### Effects of fetal alcohol exposure[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-15)]

Fetal alcohol exposure is regarded by researchers as the leading known cause of mental and physical birth defects, surpassing both [spina bifida](http://en.wikipedia.org/wiki/spina_bifida) and [Down syndrome](http://en.wikipedia.org/wiki/Down_syndrome), producing more severe abnormalities than [heroin](http://en.wikipedia.org/wiki/heroin), [cocaine](http://en.wikipedia.org/wiki/cocaine), or [marijuana](http://en.wikipedia.org/wiki/marijuana), and is the most common preventable cause of birth defects in the United States ([source](http://kidshealth.org/parent/medical/brain/fas.html)).

It can cause [mental retardation](http://en.wikipedia.org/wiki/mental_retardation), facial deformities, stunted physical and emotional development, behavioral problems, [memory](http://en.wikipedia.org/wiki/memory) deficiencies, attention deficits, impulsiveness, an inability to reason from cause to effect; a failure to comprehend the concept of time; and an inability to tell reality from fantasy. Secondary disabilities develop over time because of problems fitting into the environment.

Researchers believe that the risk is highest early in the pregnancy, but there are risks throughout because the fetus' brain develops throughout the entire pregnancy. No amount of alcohol, during any trimester, is absolutely safe.

### Obesity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-16)]

**Obesity** is a condition in which the natural energy reserve of humans, which is stored in [fat tissue](http://en.wikipedia.org/wiki/adipose_tissue), is expanded far beyond usual levels to the point where it impairs health. While cultural and scientific definitions of obesity are subject to change, it is accepted that excessive body weight predisposes to various forms of disease, particularly [cardiovascular disease](http://en.wikipedia.org/wiki/cardiovascular_disease).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d1/VenusWillendorf.jpg/300px-VenusWillendorf.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Venus of Willendorf

There is continuous debate over obesity, at several levels. The [scientific evidence](http://en.wikipedia.org/wiki/evidence_based_medicine) informing these debates is more contradictory than most simple arguments assume. Statistics demonstrating correlations are typically misinterpreted in public discussion as demonstrating causation, a fallacy known as the [spurious relationship](http://en.wikipedia.org/wiki/spurious_relationship).

In several human cultures, obesity is (or has been) associated with attractiveness, strength, and fertility. Some of the earliest known cultural artifacts, known as [Venuses](http://en.wikipedia.org/wiki/Venus_of_Willendorf), are pocket-sized statuettes representing an obese female figure. Although their cultural significance is unrecorded, their widespread use throughout pre-historic Mediterranean and European cultures suggests a central role for the obese female form in magical rituals and implies cultural approval of (and perhaps reverence for) this body form.

Obesity functions as a symbol of wealth and success in cultures prone to food scarcity. Well into the early modern period in European cultures, it still served this role. Contemporary cultures which approve of obesity, to a greater degree than European and Western cultures, include African, Arabic, Indian, and Pacific Island cultures. The implication of these cultural variations in attitudes toward obesity is that ideal body shape is culturally relative. Another illustration of this is the finding that feminists are less likely to consider "ultra-thin" the ideal body image than non-feminists, indicating the culture and philosophy of feminism countermands the effects of popular media.[[448]](Print_version.html#cite_note-Swami2008-460) In Western cultures, obesity has come to be seen more as a medical condition than as a social statement.

![ObesitySexRace.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/68/ObesitySexRace.jpg/600px-ObesitySexRace.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Various stereotypes of obese people have found their way into expressions of popular culture. A common stereotype is the obese character who has a warm and dependable personality, presumedly in compensation for social exclusion, but equally common is the obese vicious [bully](http://en.wikipedia.org/wiki/bullying). [Gluttony](http://en.wikipedia.org/wiki/Gluttony) and obesity are commonly depicted together in works of fiction. It can be argued that depiction in popular culture adds to and maintains commonly perceived stereotypes, in turn harming the [self esteem](http://en.wikipedia.org/wiki/self_esteem) of obese people. A charge of prejudice and/or discrimination on the basis of appearance could be leveled against these depictions.

#### Causes of Obesity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-17)]

Conventional wisdom holds that obesity is caused by over-indulgence in fatty or sugary foods, portrayed as either a failure of will power or a species of addiction. Various specialists strongly oppose this view. For example, Professor [Thomas Sanders](http://en.wikipedia.org/wiki/Thomas_Sanders), the director of the Nutrition, Food & Health Research Centre at [King's College London](http://en.wikipedia.org/wiki/King%27s_College_London), emphasises the need for balance between activity and consumption:

    _In trials, there is no evidence suggesting that reducing fat intake has an effect on obesity. As long as your expenditure equals what you eat, you won't put on weight, regardless of how high the fat content is in your diet_ (_[The Times](http://en.wikipedia.org/wiki/The_Times)_, London, 10 March 2004).

Obesity is generally a result of a combination of factors:

  * [Genetic](http://en.wikipedia.org/wiki/Genetic) predisposition
  * Energy-rich [diet](http://en.wikipedia.org/wiki/diet_\(nutrition\))
  * Limited exercise and sedentary lifestyle
  * [Weight cycling](http://en.wikipedia.org/wiki/Weight_cycling), caused by repeated attempts to lose weight by dieting
  * Underlying illness
  * Certain [eating disorders](http://en.wikipedia.org/wiki/eating_disorders)

Some eating disorders can lead to obesity, especially [binge eating disorder](http://en.wikipedia.org/wiki/binge_eating_disorder) (BED). As the name indicates, patients with this disorder are prone to overeat, often in binges. A proposed mechanism is that the eating serves to reduce anxiety, and some parallels with substance abuse can be drawn. An important additional factor is that BED patients often lack the ability to recognize hunger and satisfaction, something that is normally learned in childhood. [Learning theory](http://en.wikipedia.org/wiki/Learning_theory_\(education\)) suggests that early childhood conceptions may lead to an association between food and a calm mental state.

While it is often quite obvious why a certain individual gets fat, it is far more difficult to understand why the average weight of certain societies have recently been growing. While genetic causes are central to who is obese, they cannot explain why one culture grows fatter than another.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/06/PrevalenceOverweightAge6-19.GIF/400px-PrevalenceOverweightAge6-19.GIF)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Increase in Overweight among US Children and Adolescents.

Although there is no definitive explanation for the recent epidemic of obesity, the [evolutionary](http://en.wikipedia.org/wiki/evolution) hypothesis comes closest to providing some understanding of this phenomenon. In times when food was scarce, the ability to take advantage of rare periods of abundance and use such abundance by storing energy efficiently was undoubtedly an evolutionary advantage. This is precisely the opposite of what is required in a sedentary society, where high-energy food is available in abundant quantities in the context of decreased exercise. Although many people may have a genetic propensity towards obesity, it is only with the reduction in physical activity and a move towards high-calorie diets of modern society that it has become so widespread.

The obesity epidemic is most notable in the United States. In the years from just after the Second World War until 1960 the average person's weight increased, but few were obese. In 1960 almost the entire population was well fed, but not overweight. In the two and a half decades since 1980 the growth in the rate of obesity has accelerated markedly and is increasingly becoming a [public health](http://en.wikipedia.org/wiki/public_health) concern. There are a number of theories as to the cause of this change since 1980. Most believe it is a combination of various factors:

  * Obese people appear to be less active in general than lean people, and not just because of their obesity. A controlled increase in calorie intake of lean people did not make them less active, nor, correspondingly, when obese people lost weight did they become more active. Weight change does not affect activity levels, but the converse seems to be the case.[[449]](Print_version.html#cite_note-Levine2005-461)
  * Another important contributor to the current obesity concern is the much lower relative cost of foodstuffs: agricultural [subsidies](http://en.wikipedia.org/wiki/subsidy) in the United States and Europe have led to lower food prices for consumers than at any other point in history.
  * Marketing may also play a role. In the early 1980s the [Reagan](http://en.wikipedia.org/wiki/Ronald_Reagan) administration lifted most regulations for advertising to children. As a result, the number of commercials seen by the average child increased greatly, and a large proportion of these were for [fast food](http://en.wikipedia.org/wiki/fast_food) and [candy](http://en.wikipedia.org/wiki/candy). There is now compelling evidence that children's exposure to food commercials on television increases the odds of childhood obesity.[[450]](Print_version.html#cite_note-Zimmerman2010-462)
  * Changes in the price of [gasoline](http://en.wikipedia.org/wiki/gasoline) may also have had an effect, as unlike during the 1970s it is now affordable in the United States to drive everywhere, curtailing both foot traffic and the riding of bikes. An indication of the reliance on cars in the U.S. is the increasing number of areas that are built without sidewalks and parks.
  * Increases in the service sector of the economy have resulted in a greater percentage of the population spending most of their workday behind a desk or computer.
  * A social cause that is believed by many to play a role is the increasing number of _two income households_ where one parent no longer remains home to look after the house. This increases the number of restaurant and take-out meals.
  * Urban sprawl may also contribute to the increase in obesity rates, possibly due to less walking and less time for cooking.[[451]](Print_version.html#cite_note-Lopez2004-463)
  * Since 1980 both sit-in and fast food restaurants have seen dramatic growth in terms of the number of outlets and customers served. Low food costs and intense competition for market share led to increased portion sizes. For example, [McDonalds'](http://en.wikipedia.org/wiki/McDonalds) french fries portions rose from 200 calories in 1960 to over 600 calories today.
  * Increasing [affluence](http://en.wikipedia.org/wiki/affluence) itself may be a cause or contributing factor since obesity tends to flourish as a [disease of affluence](http://en.wikipedia.org/wiki/diseases_of_affluence) in countries which are developing and becoming westernised (for more information on this factor, see [here)](http://www.iotf.org/). This is supported by the observation of a dip in American GDP after 1990, the year of the [Gulf War](http://en.wikipedia.org/wiki/Gulf_War), followed by an exponential increase. U.S. obesity statistics followed the same pattern, offset by two years ([source](http://www.cdc.gov/brfss/)).

Some obesity co-factors are resistant to the theory that the _epidemic_ is a new phenomenon. In particular, a [class](http://en.wikipedia.org/wiki/social_class) co-factor consistently appears across many studies. Comparing net worth with BMI scores, a 2004 study (Zagorsky 2004) found obese American subjects approximately half as wealthy as thin ones. When income differentials were factored out, the inequity persisted: thin subjects were inheriting more wealth than fat ones. Another study finds women who married into a higher status were thinner than women who married into lower status.

#### Policy Responses to Obesity[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-18)]

On top of controversies about the causes of obesity, and about its precise health implications, come controversies about the correct [policy](http://en.wikipedia.org/wiki/policy) approach to obesity. The main debate is between _personal responsibility_ advocates, who resist regulatory attempts to intervene in citizen's private dietary habits, and _public interest_ advocates, who promote regulations on the same public health grounds as the restrictions applied to tobacco products. There is some evidence that the public interest approach may help, though it is clearly not the solution to the problem. A recent study found that parents order items for their children from fast food menus that total to just over 100 fewer calories when each item's calories are clearly labeled.[[452]](Print_version.html#cite_note-Tandon2010-464) This suggests that raising awareness and educating consumers about the calorie content may help reduce the number of calories consumed.

In the U.S., a recent bout in this controversy involves the so-called [Cheeseburger Bill](http://en.wikipedia.org/wiki/Cheeseburger_Bill), an attempt to indemnify food industry businesses from frivolous law suits by obese clients. On July 16, 2004, the U.S. Department of Health and Human Services officially classified obesity as a disease. Speaking to a Senate committee, [Tommy Thompson](http://en.wikipedia.org/wiki/Tommy_Thompson), the Secretary of Health and Human Services, stated that Medicare would cover obesity-related health problems. However, reimbursement would not be given if a treatment was not proven to be effective.

## The Evolution of Health Care and Medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-19)]

All human societies have beliefs that provide explanations for, and responses to, childbirth, death, and disease. Throughout the world, illness has often been attributed to [witchcraft](http://en.wikipedia.org/wiki/witchcraft), [demons](http://en.wikipedia.org/wiki/demons), or the will of the gods, ideas that retain some power within certain cultures and communities (see [faith healing](http://en.wikipedia.org/wiki/faith_healing)). However, the rise of scientific medicine in the past two centuries has altered or replaced many historic health practices.

### Folk Medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-20)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Healer_street_vendor_in_Dhaka.jpg/250px-Healer_street_vendor_in_Dhaka.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The man pictured here is a shaman or traditional healer in Dhaka, the capital of Bangladesh. He is selling various animal parts as cures.

Folk medicine refers collectively to procedures traditionally used for treatment of illness and injury, aid to childbirth, and maintenance of wellness. It is a body of knowledge distinct from modern, _scientific medicine_ but may coexist in the same culture. It is usually unwritten and transmitted orally until someone _collects_ it. Within a given culture, elements of folk medicine may be diffusely believed by many adults or may be gathered and applied by those in a specific role of [healer](http://en.wikipedia.org/wiki/healer), [shaman](http://en.wikipedia.org/wiki/shaman), [midwife](http://en.wikipedia.org/wiki/midwife), [witch](http://en.wikipedia.org/wiki/witch), or dealer in herbs. Elements in a specific culture are not necessarily integrated into a coherent system and may be contradictory. Folk medicine is sometimes associated with [quackery](http://en.wikipedia.org/wiki/quackery) when practiced as theatrics or otherwise practiced fraudulently, yet it may also preserve important cultural tradition from the past.

Herbal medicine is an aspect of folk medicine that involves the use of gathered plant parts to make teas, [poultices](http://en.wikipedia.org/wiki/poultice), or powders that purportedly effect cures. Many effective treatments adopted by physicians over the centuries were derived from plants (e.g. aspirin), and botany was an important part of the _materia medica_ of professional medical training before the 20th century. Attention has been paid to the folk medicine of indigenous peoples of remote areas of the world in the interest of finding new pharmaceuticals. Of concern is the extinction of many species by the clearing of formerly wild rainforests. Such activity may lead to the loss of species of plants that could provide aids to modern medicine. Attitudes toward this type of knowledge gathering and plant preservation vary and political conflicts have increasingly arisen over _ownership_ of the plants, land, and knowledge in several parts of the world.

While potentially important as cultural tradition, folk medicine should not be considered a reliable or proven form of healthcare; anyone considering trying folk medicine should always consult with a scientifically trained doctor first.

### Alternative Medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-21)]

**Alternative medicine** describes methods and practices used in place of, or in addition to, [conventional](http://en.wikipedia.org/wiki/medicine) or scientific treatments. There is some debate as to what is included under the label "alternative," as these practices include things as far ranging as: spiritual, metaphysical, or religious treatments; Eastern and Asian traditional treatments; and a variety of unproven treatments, like [acupuncture](http://en.wikipedia.org/wiki/acupuncture), [chiropractic](http://en.wikipedia.org/wiki/chiropractic), [healing-touch](http://en.wikipedia.org/wiki/healing-touch), and [homeopathy](http://en.wikipedia.org/wiki/homeopathy). One popular definition of alternative medicine is provided by [Richard Dawkins](http://en.wikipedia.org/wiki/Richard_Dawkins), an Oxford biologist: "that set of practices that cannot be tested, refuse to be tested or consistently fail tests."[[453]](Print_version.html#cite_note-Dawkins2003-465)

The widespread acceptance of various forms of alternative medicine is a good illustration of a combination of social-psychological ideas, including: [fads](http://en.wikipedia.org/wiki/fads), [scientific illiteracy](http://www.aaas.org/spp/scifree/articles/102700.shtml), the power of marketing in a capitalistic economy, the influence of misinformed politicians on public policy [e.g., The National Center for Complementary and Alternative Medicine at the National Institutes of Health](http://www.quackwatch.org/01QuackeryRelatedTopics/nccam.html) and the willingness of people without "alternatives" to turn to unproven therapies when modern medicine informs them [there is nothing else that can be done](http://www.quackwatch.org/01QuackeryRelatedTopics/quacksell.html).

#### Criticisms of Alternative Medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-22)]

Some of the criticisms of alternative medicine include:

  * Lack of proper testing. Many of the studies allegedly supporting the claims of alternative medicine are not controlled, double-blind peer-reviewed experiments, which is considered the gold standard in science and modern medicine. The efficacy of these treatments has not been demonstrated through double-blind [randomized controlled trials](http://en.wikipedia.org/wiki/randomized_controlled_trial). Where alternative methods provide temporary symptomatic relief, this can usually be explained as being due to the [placebo effect](http://en.wikipedia.org/wiki/placebo_effect), to natural healing, or to the cyclical nature of some illnesses.
  * Not proven to be an alternative. The term _alternative medicine_ is misleading, as these treatments have not been proven to be an effective alternative to regulated [conventional medicine](http://en.wikipedia.org/wiki/conventional_medicine).
  * Safety issues. Some _alternative_ practices have killed people.[[454]](Print_version.html#cite_note-Willmsen2007-466) [[455]](Print_version.html#cite_note-Imrie2008-467) While not all alternative medicine treatments are potentially lethal, many are. The lack of oversight by government regulators like the Food and Drug Administration allows those selling these products virtually free-reign to employ whatever techniques they can sell. The result is a buyer beware situation in which consumers must discern whether the treatment is harmful. Proponents of alternative medicine say that people should be free to choose whatever method of healthcare they want. Critics agree that people should be free to choose, but when choosing, people must be certain that whatever method they choose will be safe and effective. People who choose alternative medicine may think they are choosing a safe, effective medicine, while they may only be getting [quack](http://en.wikipedia.org/wiki/quackery) remedies. This issue is particularly important in the treatment of children and individuals whose capacity to evaluate the treatment is impaired.
  * Delay in seeking conventional medical treatment. There is a concern that patients may delay seeking conventional medicine that could be more effective, while they undergo alternative therapies, potentially resulting in harm.
  * Poor diagnosis. Medical doctors hold that alternative medical practitioners sometimes fail to correctly diagnose illnesses and therefore do not provide safe therapies. With a minor illness this may not be a serious concern, but with more serious illness it can lead to [injury, disfigurement, or death](http://www.quackwatch.org/01QuackeryRelatedTopics/harmquack.html).
  * Cost. In countries where healthcare is state-funded or funded by medical insurance, alternative therapies are often not covered, and must be paid for by the patient. Costs for some therapies are relatively inexpensive, just several dollars for a medication. But others can be thousands of dollars and require continued payments for years and years.[[454]](Print_version.html#cite_note-Willmsen2007-466)
  * Issues of regulation. Alternative medicine are not properly regulated. As a result, there is no governmental control on who practices alternative medicine and no real way of knowing what training or expertise they possess. In the United States, herbal remedies, vitamins, and supplements are not regulated by the [Food and Drug Administration](http://en.wikipedia.org/wiki/Food_and_Drug_Administration) (FDA).[[456]](Print_version.html#cite_note-Brody2008-468)[[457]](Print_version.html#cite_note-CSPI2007-469) This means that companies are not required to prove that these supplements are either effective or safe. The failure to regulate supplements has lead to serious health issues for some, including some deaths.[[456]](Print_version.html#cite_note-Brody2008-468) Such problems did ultimately lead [the FDA to ban the sale](http://www.fda.gov/oc/initiatives/ephedra/december2003/) of [ephedra](http://en.wikipedia.org/wiki/ephedra).
  * Testing and studies. The scientific community argues that many studies carried out by alternative medicine promoters are flawed, as they often use testimonials and [hearsay](http://en.wikipedia.org/wiki/hearsay) as evidence, leaving the results open to observer bias. They argue that the only way to counter observer bias is to run a double-blind experiment in which neither the patient nor the practitioner knows whether the real treatment is being given or if a [placebo](http://en.wikipedia.org/wiki/placebo) has been administered. This research should then be reviewed by peers to determine the validity of the research methodology. Testimonials are particularly disturbing in this regard because, by chance alone, some people may see some improvement in the ailment for which they are being treated and will proceed to testify that the method helped them when the method was not the true cause of improvement.[[458]](Print_version.html#cite_note-Beyesrstein2008-470)

### Modern Medicine[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-23)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Tahril-neonatal.jpg/250px-Tahril-neonatal.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Modern medicine has substantially improved quality of life around the world.

Healthcare improves as a result of advancements in [medical science](http://en.wikipedia.org/wiki/medical_science). Modern medicine approaches health care from two angles. The first, the medical model, focuses on the eradication of illness through [diagnosis](http://en.wikipedia.org/wiki/diagnosis) and effective treatment. The second, the [social model](http://en.wikipedia.org/wiki/social_model), focuses on changes that can be made in society and in people's own lifestyles to make the population healthier. Modern, scientific medicine has proven uniquely effective at treating and preventing disease. It is increasingly widespread and more widely accepted than other forms of medicine. Modern medicine is notably secular, indifferent to ideas of the supernatural or the spirit, and concentrates on the body and society to determine causes and cures. Modern, scientific medicine is the most effective contributor to the health of humans in the world today.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-24)]

  1. [↑](Print_version.html#cite_ref-Moghissi2010_13-0) Moghissi, A. Alan. 2010. “Peer Review and Scientific Assessment.” Technology & Innovation 12:187-188.
  2. [↑](Print_version.html#cite_ref-Weber1946_14-0) Weber, Max. 1946. Science As Vocation. Gerth, H. H. and Mills, C. Wright, Editors and Translators. From Max Weber: Essays in Sociology. New York: Oxford University Press; pp. 129-156.
  3. [↑](Print_version.html#cite_ref-Reverby2011_15-0) Reverby, Susan M. 2011. "Normal Exposure" and Inoculation Syphilis: A PHS "Tuskegee" Doctor in Guatemala, 1946-48. Journal of Policy History.
  4. ↑ _**[a**_](Print_version.html#cite_ref-Putnam2001_16-0) _**[b**_](Print_version.html#cite_ref-Putnam2001_16-1) _**[c**_](Print_version.html#cite_ref-Putnam2001_16-2) _**[d**_](Print_version.html#cite_ref-Putnam2001_16-3) Putnam, Robert D. 2001. Bowling Alone : The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  5. ↑ _**[a**_](Print_version.html#cite_ref-Durkheim1997_17-0) _**[b**_](Print_version.html#cite_ref-Durkheim1997_17-1) Durkheim, Emile. 1997. Suicide. Free Press.
  6. [↑](Print_version.html#cite_ref-Durkheim1997b_18-0) Durkheim, Emile, and Lewis A. Coser. 1997. The Division of Labor in Society. Free Press.
  7. [↑](Print_version.html#cite_ref-Hoult1969_19-0) Hoult, Thomas Ford (1969). _Dictionary of Modern Sociology_. p. 139.
  8. ↑ _**[a**_](Print_version.html#cite_ref-Marsden1996_20-0) _**[b**_](Print_version.html#cite_ref-Marsden1996_20-1) Marsden, George M. 1996. The Soul of the American University: From Protestant Establishment to Established Nonbelief. Oxford University Press, USA.
  9. ↑ _**[a**_](Print_version.html#cite_ref-Smith2003_21-0) _**[b**_](Print_version.html#cite_ref-Smith2003_21-1) Smith, Christian. 2003. The Secular Revolution: Power, Interests, and Conflict in the Secularization of American Public Life. 1st ed. University of California Press.
  10. [↑](Print_version.html#cite_ref-Radcliffe-Brown1965_22-0) Radcliffe-Brown, A.R. 1965. Structure and Function in Primitive Society. illustrated edition. Free Press.
  11. [↑](Print_version.html#cite_ref-Layton1997_23-0) Layton, R. 1997. An Introduction to Theory in Anthropology. Cambridge: Cambridge University Press. pp. 37-38. [ISBN 0521629829](http://en.wikibooks.org/wiki/Special:BookSources/0521629829)
  12. [↑](Print_version.html#cite_ref-Bruce2002_24-0) Bruce, Steve. 2002. God is Dead: Secularization in the West. Wiley-Blackwell.
  13. [↑](Print_version.html#cite_ref-Merton1957_25-0) Merton, Robert (1957). _Social Theory and Social Structure_, revised and enlarged. London: The Free Press of Glencoe.
  14. ↑ _**[a**_](Print_version.html#cite_ref-Herman1994_26-0) _**[b**_](Print_version.html#cite_ref-Herman1994_26-1) Herman, Nancy J. and Reynolds, Larry T. 1994. Symbolic Interaction: An Introduction to Social Psychology. Altamira Press. [ISBN 1882289226](http://en.wikibooks.org/wiki/Special:BookSources/1882289226)
  15. [↑](Print_version.html#cite_ref-Blumer1986_27-0) Blumer, H. 1986. Symbolic Interactionism: Perspective and Method. University of California Press. [ISBN 0520056760](http://en.wikibooks.org/wiki/Special:BookSources/0520056760)
  16. ↑ _**[a**_](Print_version.html#cite_ref-Sabbagh2009_28-0) _**[b**_](Print_version.html#cite_ref-Sabbagh2009_28-1) Sabbagh, Mark A., Lindsay C. Bowman, Lyndsay E. Evraire, and Jennie M. B. Ito. 2009. “Neurodevelopmental Correlates of Theory of Mind in Preschool Children.” Child Development 80:1147-1162.
  17. [↑](Print_version.html#cite_ref-Ebaugh1988_29-0) Ebaugh, Helen Rose Fuchs. 1988. Becoming an Ex: The Process of Role Exit. 1st ed. University Of Chicago Press.
  18. [↑](Print_version.html#cite_ref-Goffman1959_30-0) Goffman, Erving. 1959. The Presentation of Self in Everyday Life. Anchor Books. [ISBN 0385094027](http://en.wikibooks.org/wiki/Special:BookSources/0385094027)
  19. ↑ _**[a**_](Print_version.html#cite_ref-Goffman1961_31-0) _**[b**_](Print_version.html#cite_ref-Goffman1961_31-1) Goffman, Erving. 1961. Encounters: Two Studies in the Sociology of Interaction. MacMillan Publishing Co. [ISBN 0023445602](http://en.wikibooks.org/wiki/Special:BookSources/0023445602)
  20. ↑ _**[a**_](Print_version.html#cite_ref-Berger1967_32-0) _**[b**_](Print_version.html#cite_ref-Berger1967_32-1) _**[c**_](Print_version.html#cite_ref-Berger1967_32-2) _**[d**_](Print_version.html#cite_ref-Berger1967_32-3) _**[e**_](Print_version.html#cite_ref-Berger1967_32-4) Berger, Peter L., and Thomas Luckmann. 1967. The Social Construction of Reality: A Treatise in the Sociology of Knowledge. First Thus. Anchor.
  21. [↑](Print_version.html#cite_ref-Freud2009_33-0) Freud, Sigmund. 2009. The Future of An Illusion. CreateSpace.
  22. [↑](Print_version.html#cite_ref-Durkheim2008_34-0) Durkheim, Emile. 2008. The Elementary Forms of Religious Life. abridged edition. Oxford University Press, USA.
  23. [↑](Print_version.html#cite_ref-Berger1990_35-0) Berger, Peter L. 1990. The Sacred Canopy: Elements of a Sociological Theory of Religion. Anchor.
  24. [↑](Print_version.html#cite_ref-Ritzer2003_36-0) Ritzer, George, and Douglas J. Goodman. 2003. Sociological Theory. 6th ed. McGraw-Hill Humanities/Social Sciences/Languages. P. 357.
  25. [↑](Print_version.html#cite_ref-Halle1996_37-0) Halle, David. 1996. Inside Culture: Art and Class in the American Home. University Of Chicago Press.
  26. [↑](Print_version.html#cite_ref-Merton1938_38-0) Merton, Robert. 1938. Social Structure. Filipino Sociological Review, Vol. 3, No.5, pp.672-682
  27. [↑](Print_version.html#cite_ref-Swidler2003_39-0) Swidler, A. (2003). Talk of Love: How Culture Matters. University Of Chicago Press.
  28. [↑](Print_version.html#cite_ref-Lenski1995_40-0) Lenski, Gerhard; Nolan, Patrick; and Lenski, Jean. 1995. Human Societies: An Introduction to Macrosociology. 7th edition. New York: McGraw-Hill. [ISBN 1594510237](http://en.wikibooks.org/wiki/Special:BookSources/1594510237)
  29. ↑ _**[a**_](Print_version.html#cite_ref-Diamond2005_41-0) _**[b**_](Print_version.html#cite_ref-Diamond2005_41-1) _**[c**_](Print_version.html#cite_ref-Diamond2005_41-2) _**[d**_](Print_version.html#cite_ref-Diamond2005_41-3) Diamond, Jared. 2005. Guns, Germs, and Steel: The Fates of Human Societies. 1st ed. W.W. Norton & Co.
  30. [↑](Print_version.html#cite_ref-Price2000_42-0) Price, T. Douglas [ed.]. 2000. Europe's First Farmers. Cambridge University Press. [ISBN 0521665728](http://en.wikibooks.org/wiki/Special:BookSources/0521665728)
  31. [↑](Print_version.html#cite_ref-Harris1996_43-0) Harris, David R. [ed.]. 1996. The Origins and Spread of Agriculture in Eurasia. UCL Press. [ISBN 1560986751](http://en.wikibooks.org/wiki/Special:BookSources/1560986751)
  32. ↑ _**[a**_](Print_version.html#cite_ref-DurkheimandCoser1997_44-0) _**[b**_](Print_version.html#cite_ref-DurkheimandCoser1997_44-1) Durkheim, Emile, and Lewis A. Coser. 1997. The Division of Labor in Society. Free Press.
  33. [↑](Print_version.html#cite_ref-Bell1973_45-0) Bell, D. (1973). The Coming of Post-Industrial Society : a Venture in Social Forecasting. Basic Books.
  34. [↑](Print_version.html#cite_ref-Weber1997_46-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  35. [↑](Print_version.html#cite_ref-Marx1906_47-0) Marx, Karl. 1906. Capital: A Critique of Political Economy. Modern Library Giant. The Modern Library.
  36. ↑ _**[a**_](Print_version.html#cite_ref-Griswold2004_48-0) _**[b**_](Print_version.html#cite_ref-Griswold2004_48-1) _**[c**_](Print_version.html#cite_ref-Griswold2004_48-2) _**[d**_](Print_version.html#cite_ref-Griswold2004_48-3) _**[e**_](Print_version.html#cite_ref-Griswold2004_48-4) _**[f**_](Print_version.html#cite_ref-Griswold2004_48-5) _**[g**_](Print_version.html#cite_ref-Griswold2004_48-6) Griswold, Wendy. 2004. Cultures and Societies in a Changing World. Thousand Oaks, CA: Pine Forge Press.
  37. [↑](Print_version.html#cite_ref-Gusfield2006_49-0) Gusfield, Joseph R. Culture. Contexts. 2006; 5(1):43-44.
  38. [↑](Print_version.html#cite_ref-Butler2008_50-0) Butler, Judith. 2008. “Sexual politics, torture, and secular time.” The British Journal of Sociology 59:1-23.
  39. [↑](Print_version.html#cite_ref-Arnold1882_51-0) Arnold, Matthew, Culture and Anarchy, 1882. Macmillan and Co., New York. Online at [[1]](http://www.library.utoronto.ca/utel/nonfiction_u/arnoldm_ca/ca_titlepage.html).
  40. [↑](Print_version.html#cite_ref-Geertz1973_52-0) Geertz, Clifford. (1973). The Interpretation of Cultures: Selected Essays. New York. [ISBN 0465097197](http://en.wikibooks.org/wiki/Special:BookSources/0465097197).
  41. ↑ _**[a**_](Print_version.html#cite_ref-Laland2010_53-0) _**[b**_](Print_version.html#cite_ref-Laland2010_53-1) Laland, Kevin N., John Odling-Smee, and Sean Myles. 2010. “How culture shaped the human genome: bringing genetics and the human sciences together.” Nat Rev Genet 11:137-148.
  42. ↑ _**[a**_](Print_version.html#cite_ref-Wald2003_54-0) _**[b**_](Print_version.html#cite_ref-Wald2003_54-1) Wald, Kenneth D. 2003. Religion and Politics in the United States. Fourth ed. New york: Rowman & Littlefield Publishers, Inc.
  43. [↑](Print_version.html#cite_ref-Roszak1968_55-0) Roszak, Theodore, The Making of a Counter Culture: Reflections on the Technocratic Society and Its Youthful Opposition, 1968/1969, Doubleday, New York, [ISBN 0385073291](http://en.wikibooks.org/wiki/Special:BookSources/0385073291); [ISBN 978-0385073295](http://en.wikibooks.org/wiki/Special:BookSources/9780385073295).
  44. ↑ _**[a**_](Print_version.html#cite_ref-Hebdige1979_56-0) _**[b**_](Print_version.html#cite_ref-Hebdige1979_56-1) Hebdige, Dick (1979). Subculture: The Meaning of Style (Routledge, March 10, 1981; softcover [ISBN 0-415-03949-5](http://en.wikibooks.org/wiki/Special:BookSources/0415039495)).
  45. [↑](Print_version.html#cite_ref-Sumner1919_57-0) William Graham Sumner, War and Other Essays, ed. Albert Galloway Keller (New Haven: Yale University Press, 1919).
  46. [↑](Print_version.html#cite_ref-Juergensmeyer2003_58-0) Juergensmeyer, Mark. 2003. Terror in the Mind of God: The Global Rise of Religious Violence, 3rd Edition. 3rd ed. University of California Press.
  47. [↑](Print_version.html#cite_ref-Ritzer2004_59-0) Ritzer, George and Douglas J. Goodman. 2004. Modern Sociological Theory. sixth ed. Boston, MA: McGraw Hill.
  48. [↑](Print_version.html#cite_ref-Halle1993_60-0) Halle, David. 1993. Inside Culture: Art and Class in the American Home. Chicago, IL: University of Chicago Press.
  49. ↑ _**[a**_](Print_version.html#cite_ref-Emerson2001_61-0) _**[b**_](Print_version.html#cite_ref-Emerson2001_61-1) _**[c**_](Print_version.html#cite_ref-Emerson2001_61-2) _**[d**_](Print_version.html#cite_ref-Emerson2001_61-3) _**[e**_](Print_version.html#cite_ref-Emerson2001_61-4) Emerson, Michael O., and Christian Smith. 2001. Divided by Faith: Evangelical Religion and the Problem of Race in America. Oxford University Press, USA.
  50. ↑ _**[a**_](Print_version.html#cite_ref-Coontz2000_62-0) _**[b**_](Print_version.html#cite_ref-Coontz2000_62-1) _**[c**_](Print_version.html#cite_ref-Coontz2000_62-2) _**[d**_](Print_version.html#cite_ref-Coontz2000_62-3) _**[e**_](Print_version.html#cite_ref-Coontz2000_62-4) _**[f**_](Print_version.html#cite_ref-Coontz2000_62-5) _**[g**_](Print_version.html#cite_ref-Coontz2000_62-6) Coontz, Stephanie. 2000. The Way We Never Were: American Families and the Nostalgia Trap. Basic Books.
  51. [↑](Print_version.html#cite_ref-Leakey1996_63-0) Leakey, Richard. 1996. The Origin of Humankind. New York: BasicBooks.
  52. [↑](Print_version.html#cite_ref-Anderson1990_64-0) Anderson, Elijah. 1990. Streetwise: Race, Class, and Change in an Urban Community. Chicago, IL: University of Chicago Press.
  53. ↑ _**[a**_](Print_version.html#cite_ref-Arnett1995_65-0) _**[b**_](Print_version.html#cite_ref-Arnett1995_65-1) Arnett, Jeffrey J. 1995. Broad and Narrow Socialization: The Family in the Context of a Cultural Theory. _Journal of Marriage and the Family_ 57( 3):617-28.
  54. [↑](Print_version.html#cite_ref-_66-0) Decety, Jean, Kalina J. Michalska, and Yuko Akitsuki. 2008. Who caused the pain? An fMRI Investigation of Empathy and Intentionality in Children. Neuropsychologia. 46, 11:2607-2614.
  55. ↑ _**[a**_](Print_version.html#cite_ref-Mortimer1978_67-0) _**[b**_](Print_version.html#cite_ref-Mortimer1978_67-1) _**[c**_](Print_version.html#cite_ref-Mortimer1978_67-2) _**[d**_](Print_version.html#cite_ref-Mortimer1978_67-3) Mortimer, Jeylan T. and Roberta G. Simmons. 1978. Adult Socialization. _Annual Review of Sociology_ 4:421-54.
  56. [↑](Print_version.html#cite_ref-DeGregory2008_68-0) DeGregory, Lane (2008-08-04). "The Girl in the Window". St. Petersburg Times. <http://www.tampabay.com/features/humaninterest/article750838.ece>. Retrieved 2008-08-04.
  57. [↑](Print_version.html#cite_ref-Holland1970_69-0) Holland, David. 1970. Familization, Socialization, and the Universe of Meaning: An Extension of the Interactional Approach to the Study of the Family. _Journal of Marriage and the Family_ 32(3):415-27.
  58. ↑ _**[a**_](Print_version.html#cite_ref-Long1985_70-0) _**[b**_](Print_version.html#cite_ref-Long1985_70-1) _**[c**_](Print_version.html#cite_ref-Long1985_70-2) Long, Theodore E. and Jeffrey K. Hadden. 1985. A Reconception of Socialization. _Sociological Theory_ 3(1):39-49.
  59. ↑ _**[a**_](Print_version.html#cite_ref-Nielsen2010_71-0) _**[b**_](Print_version.html#cite_ref-Nielsen2010_71-1) Mark Nielsen and Keyan Tomaselli “Overimitation in Kalahari Bushman Children and the Origins of Human Cultural Cognition” in Psychological Science, May 2010, 21: 729-736.
  60. [↑](Print_version.html#cite_ref-Ellis1978_72-0) Ellis, Godfrey J., Gary R. Lee, and Larry R. Petersen. 1978. Supervision and Conformity: A Cross-Cultural Analysis of Parental Socialization Values. _American Journal of Sociology_ 84(2):386-403.
  61. ↑ _**[a**_](Print_version.html#cite_ref-Kohn1969_73-0) _**[b**_](Print_version.html#cite_ref-Kohn1969_73-1) Kohn, Melvin L. 1969. _Class and Conformity, A Study in Values._ Homewood, IL: Dorsey Press.
  62. [↑](Print_version.html#cite_ref-Marshall1975_74-0) Marshall, Victor W. 1975. Socialization for Impending Death in a Retirement Village. _American Journal of Sociology_ 80(5):1124-44.
  63. [↑](Print_version.html#cite_ref-Rosenbaum1975_75-0) Rosenbaum, James E. 1975. The Stratification of Socialization Processes. _American Sociological Review_ 40(1):48-54.
  64. [↑](Print_version.html#cite_ref-Hogg2003_76-0) Hogg, Michael A. Social Categorization, Depersonalization, and Group Behavior. Hogg, Michael A. and Tindale, Scott, Editors. Blackwell Handbook of Social Psychology: Group Processes. Malden, MA: Blackwell Publishers; 2003; pp. 56-85.
  65. [↑](Print_version.html#cite_ref-Pettit2010_77-0) Pettit, Nathan C., Kevyn Yong, and Sandra E. Spataro. 2010. Holding Your Place: Reactions to the Prospect of Status Gains and Losses. Journal of Experimental Social Psychology. 46, 2:396-401.
  66. [↑](Print_version.html#cite_ref-Asch1956_78-0) Asch, S. E. (1956). Studies of independence and conformity: A minority of one against a unanimous majority. Psychological Monographs, 70 (Whole no. 416).
  67. [↑](Print_version.html#cite_ref-Asch1951_79-0) Asch, S. E. (1951). Effects of group pressure upon the modification and distortion of judgment. In H. Guetzkow (ed.) Groups, leadership and men. Pittsburgh, PA: Carnegie Press.
  68. [↑](Print_version.html#cite_ref-Chein2010_80-0) Chein, Jason, Dustin Albert, Lia O’Brien, Kaitlyn Uckert, and Laurence Steinberg. 2010. “Peers increase adolescent risk taking by enhancing activity in the brain’s reward circuitry.” Developmental Science no.
  69. [↑](Print_version.html#cite_ref-Triplett1898_81-0) Triplett, N. (1898). The dynamogenic factors in pacemaking and competition. American Journal of Psychology, 9, 507-533.
  70. [↑](Print_version.html#cite_ref-Zajonc1965_82-0) Zajonc, R. B. (1965). Social facilitation. Science, 149, 269-274.
  71. [↑](Print_version.html#cite_ref-Cottrell1968_83-0) Cottrell, N.B., Wack, D.L., Sekerak, G.J., & Rittle, R.M. (1968). Social facilitation of dominant responses by the presence of an audience and the mere presence of others. Journal of Personality and Social Psychology, 9, 245-250.
  72. [↑](Print_version.html#cite_ref-Bond1983_84-0) Bond, Charles F., Titus, L. J. (1983). Social facilitation: a meta-analysis of 241 studies. Psychological Bulletin. 94(2), Sep 1983, 265-292.
  73. ↑ _**[a**_](Print_version.html#cite_ref-Karau1993_85-0) _**[b**_](Print_version.html#cite_ref-Karau1993_85-1) Karau, S. J. & Williams, K. D. (1993). Social loafing: A meta-analytic review and theoretical integration. _Journal of Personality and Social Psychology, 65_, 681-706.
  74. [↑](Print_version.html#cite_ref-Mullen1986_86-0) Mullen, B. 1986. Atrocity as a function of lynch mob composition: A self-attention perspective. Personality and Social Psychology Bulletin, 13, 187-197.
  75. [↑](Print_version.html#cite_ref-Diener1976_87-0) Diener, E., Fraser, S. C., Beaman, A. L. and Kelem, R. T. (1976). Effects of deindividuation variables on stealing among Halloween trick-or-treaters. Journal of Personality and Social Psychology, 33(2), 178-183.
  76. [↑](Print_version.html#cite_ref-Diener1976-2_88-0) Diener, E. (1976). Effects of prior destructive behavior, anonymity, and group presence on deindividuation and aggression. Journal of Personality and Social Psychology, 33, 497-507
  77. [↑](Print_version.html#cite_ref-Silke2003_89-0) Silke, A. (2003). Deindividuation, anonymity, and violence: Findings from Northern Ireland. Journal of Social Psychology, 143, 493-499
  78. [↑](Print_version.html#cite_ref-Moscovici1969_90-0) Moscovici, S., & Zavalloni, M. (1969). The group as a polarizer of attitudes. _Journal of Personality and Social Psychology_ 12, 125-135.
  79. [↑](Print_version.html#cite_ref-Isenberg1986_91-0) Isenberg, Daniel J. 1986. "Group Polarization: A Critical Review and Meta-Analysis," Journal of Personality and Social Psychology, 50 (6), 1141-1151.
  80. [↑](Print_version.html#cite_ref-Aronson2005_92-0) Aronson, E., Wilson, T.D., & Akert, A.M. (2005). Social Psychology (5th ed.). Upper Saddle River, NJ: Prentice Hall.
  81. [↑](Print_version.html#cite_ref-Ross1977_93-0) Ross L., Greene D. & House, P. (1977). The false consensus effect: An egocentric bias in social perception and attribution processes. Journal of Experimental Social Psychology 13, 279-301.
  82. [↑](Print_version.html#cite_ref-Fields1976_94-0) Fields, James M., and Howard Schuman, (1976-77) "Public Beliefs about the Beliefs of the Public," Public Opinion Quarterly, 40: 427-448.
  83. [↑](Print_version.html#cite_ref-Hoorens1993_95-0) Hoorens, Vera (1993). "Self-enhancement and Superiority Biases in Social Comparison". European Review of Social Psychology (Psychology Press) 4 (1): 113—139.
  84. [↑](Print_version.html#cite_ref-Biernat1996_96-0) Biernat, M., Vescio, T.K., & Theno, S.A. (1996). Violating American Values: A "Value congruence" approach to understanding outgroup attitudes. Journal of Experimental Social Psychology, 32, 387-410.
  85. [↑](Print_version.html#cite_ref-Buunk1997_97-0) Buunk, B.P., & van der Eijnden, R.J.J.M. (1997). Perceived prevalence, perceived superiority, and relationship satisfaction: Most relationships are good, but ours is the best. Personality and Social Psychology Bulletin, 23, 219-228.
  86. [↑](Print_version.html#cite_ref-Whitman1996_98-0) Whitman, D. (1996, December, 16). Im OK, you're not. U.S. News and World Report, p. 24.
  87. [↑](Print_version.html#cite_ref-Janis1972_99-0) Janis, I. (1972). _Victims of Groupthink: A Psychological Study of Foreign-Policy Decisions and Fiascoes_. Boston: Houghton Mifflin. [ISBN 0395140447](http://en.wikibooks.org/wiki/Special:BookSources/0395140447)
  88. [↑](Print_version.html#cite_ref-SIC2004_100-0) Senate Intelligence Committee. 2004. Report on the U.S. Intelligence Community's Prewar Intelligence Assessments on Iraq <http://intelligence.senate.gov/conclusions.pdf>
  89. [↑](Print_version.html#cite_ref-Janis1977_101-0) Janis, I. & Mann, L. (1977). _Decision Making: A Psychological Analysis of Conflict, Choice and Commitment_. New York: The Free Press.
  90. ↑ _**[a**_](Print_version.html#cite_ref-McPherson2006_102-0) _**[b**_](Print_version.html#cite_ref-McPherson2006_102-1) McPherson, J. Miller, Lynn Smith-Lovin, and Matthew E. Brashears. 2006. "Social Isolation in America: Changes in Core Discussion Networks over Two Decades." American Sociological Review. 71(3): 353-375.
  91. ↑ _**[a**_](Print_version.html#cite_ref-Carr2009_103-0) _**[b**_](Print_version.html#cite_ref-Carr2009_103-1) carr, deborah. 2009. “worries over a population implosion.” Contexts 8:58-59.
  92. ↑ _**[a**_](Print_version.html#cite_ref-Mare2006_104-0) _**[b**_](Print_version.html#cite_ref-Mare2006_104-1) Mare, R.D., & Maralani, V. (2006). The Intergenerational Effects of Changes in Women's Educational Attainments. _American Sociological Review_, 71(4), 542-564.
  93. ↑ _**[a**_](Print_version.html#cite_ref-carr2007_105-0) _**[b**_](Print_version.html#cite_ref-carr2007_105-1) _**[c**_](Print_version.html#cite_ref-carr2007_105-2) carr, deborah. 2007. “the cost of kids.” Contexts 6:62.
  94. ↑ _**[a**_](Print_version.html#cite_ref-Kolata2007_106-0) _**[b**_](Print_version.html#cite_ref-Kolata2007_106-1) Kolata, G. (2007). A Surprising Secret to a Long Life: Stay in School. The New York Times. Retrieved January 3, 2007. [[2]](http://www.nytimes.com/2007/01/03/health/03aging.html)
  95. [↑](Print_version.html#cite_ref-Thompson1929_107-0) Thompson, W. C. 1929. The American Journal of Sociology 34:959-75.
  96. [↑](Print_version.html#cite_ref-Blacker1947_108-0) Blacker, C. P. 1947. Eugenics Review 39:88-101.
  97. [↑](Print_version.html#cite_ref-Notestein1945_109-0) Notestein, F. W. 1945. Pp. 36-57 in Food for the World, Editor T. W. Schultz. Chicago: University of Chicago Press.
  98. ↑ _**[a**_](Print_version.html#cite_ref-Becker1960_110-0) _**[b**_](Print_version.html#cite_ref-Becker1960_110-1) Becker, Gary S. 1960. "An Economic Analysis of Fertility." Pp. 209-31 in Demographic and Economic Change in Developed Countries, Edited Princeton: Princeton University Press.
  99. ↑ _**[a**_](Print_version.html#cite_ref-Caldwell1982_111-0) _**[b**_](Print_version.html#cite_ref-Caldwell1982_111-1) Caldwell, John C. 1982. Theory of Fertility Decline. Sydney: Academic Press.
  100. [↑](Print_version.html#cite_ref-UN-pop_112-0) <http://www.un.org/esa/population/unpop.htm>
  101. ↑ _**[a**_](Print_version.html#cite_ref-frost2009_113-0) _**[b**_](Print_version.html#cite_ref-frost2009_113-1) frost, ashley e., and f. nii-amoo dodoo. 2009. “men are missing from african family planning.” Contexts 8(1):44-49.
  102. ↑ _**[a**_](Print_version.html#cite_ref-Godfray2010_114-0) _**[b**_](Print_version.html#cite_ref-Godfray2010_114-1) Godfray, H. Charles J. et al. 2010. “Food Security: The Challenge of Feeding 9 Billion People.” Science 327:812-818.
  103. ↑ _**[a**_](Print_version.html#cite_ref-Roberts2008_115-0) _**[b**_](Print_version.html#cite_ref-Roberts2008_115-1) _**[c**_](Print_version.html#cite_ref-Roberts2008_115-2) _**[d**_](Print_version.html#cite_ref-Roberts2008_115-3) _**[e**_](Print_version.html#cite_ref-Roberts2008_115-4) _**[f**_](Print_version.html#cite_ref-Roberts2008_115-5) _**[g**_](Print_version.html#cite_ref-Roberts2008_115-6) _**[h**_](Print_version.html#cite_ref-Roberts2008_115-7) Roberts, Sam. 2008. “Data Show Steady Drop in Americans on Move.” The New York Times, December 21 <http://www.nytimes.com/2008/12/21/us/21mobility.html?_r=1> (Accessed December 1, 2009).
  104. [↑](Print_version.html#cite_ref-USCensusPopSurvey2008_116-0) Source: U.S. Census Bureau, Current Population Survey, 2008 Annual Social and Economic Supplement
  105. ↑ _**[a**_](Print_version.html#cite_ref-Neymotin2009_117-0) _**[b**_](Print_version.html#cite_ref-Neymotin2009_117-1) Neymotin, Florence. 2009. Immigration and Its Effect on the College-Going Outcomes of Natives. Economics of Education Review. 28, 5:538-550.
  106. [↑](Print_version.html#cite_ref-InternationalHeraldTribune2008_118-0) <http://www.iht.com/articles/ap/2008/02/26/news/UN-GEN-UN-Growing-Cities.php> The Associated Press. February 26, 2008. UN says half the world's population will live in urban areas by end of 2008. International Herald Tribune.
  107. [↑](Print_version.html#cite_ref-Unicef2008_119-0) <http://www.unicef.org/sowc08/docs/sowc08_table_StatisticalTables.pdf>
  108. [↑](Print_version.html#cite_ref-UN2005_120-0) [World Urbanization Prospects: The 2005 Revision, Pop. Division, Department of Economic and Social Affairs, UN](http://www.un.org/esa/population/publications/WUP2005/2005wup.htm)
  109. [↑](Print_version.html#cite_ref-Grant2008_121-0) Grant, Ursula (2008) Opportunity and exploitation in urban labour markets [[3]](http://www.odi.org.uk/resources/download/1969.pdf) London: [Overseas Development Institute](http://en.wikibooks.org/w/index.php?title=Overseas_Development_Institute&action=edit&redlink=1)
  110. [↑](Print_version.html#cite_ref-Glaeser1998_122-0) Glaeser, Edward. 1998. "Are Cities Dying?" The Journal of Economic Perspectives. 12(2):139–160
  111. [↑](Print_version.html#cite_ref-Park1987_123-0) Park, H.-S. (1987). Variations in the urban heat island intensity affected by geographical environments. Environmental Research Center papers, no. 11. Ibaraki, Japan: Environmental Research Center, The University of Tsukuba.
  112. [↑](Print_version.html#cite_ref-EPA-heat_124-0) ["Heat Island Effect"](http://www.epa.gov/heatisland/)
  113. [↑](Print_version.html#cite_ref-gtresearchnews_125-0) "Heating Up: Study Shows Rapid Urbanization in China Warming the Regional Climate Faster than Other Urban Areas" [[4]](http://gtresearchnews.gatech.edu/newsrelease/china-climate.htm)
  114. [↑](Print_version.html#cite_ref-Brand_126-0) Brand, Stewart. Whole Earth Discipline.
  115. [↑](Print_version.html#cite_ref-Sridhar2007_127-0) Sridhar, K. 2007. Density gradients and their determinants: Evidence from India. Regional Science and Urban Economics 37(3):314-344
  116. [↑](Print_version.html#cite_ref-Graebner1980_128-0) Graebner, William. 1980. A History of Retirement: The Meaning and Function of an American Institution 1885-1978. Yale University Press.
  117. [↑](Print_version.html#cite_ref-Parker2007_129-0) Parker, David. 2007. Before Their Time: The World of Child Labor. Quantuck Lane.
  118. ↑ _**[a**_](Print_version.html#cite_ref-Bytheway1995_130-0) _**[b**_](Print_version.html#cite_ref-Bytheway1995_130-1) Bytheway, B. (1995). Ageism. Buckingham: Open University Press.
  119. [↑](Print_version.html#cite_ref-Matthews1999_131-0) Matthews, H., & Limb, M. (1999). Defining an agenda for the geography of children: Review and prospect. Progress in Human Geography, 23(1), 61-90.
  120. [↑](Print_version.html#cite_ref-Breitbart_132-0) Breitbart, M. M. (1998). "Dana's mystical tunnel": Young people's designs for survival and change in the city. In T. Skelton & G. Valentine (Eds.), Cool places: Geographies of youth culture (pp. 305-327). London: Routledge.
  121. [↑](Print_version.html#cite_ref-Lee2006_133-0) Lee, Louise. 2006. “Kick out the kids, bring in the sales.” BusinessWeek 42.
  122. [↑](Print_version.html#cite_ref-TheEconomist2006_134-0) The Economist. 2006. “Trillion-dollar kids..” Economist 381:66.
  123. [↑](Print_version.html#cite_ref-Barnes2009_135-0) Barnes, Brooks. 2009. “Disney Expert Uses Science to Draw Boy Viewers.” The New York Times, April 14 <http://www.nytimes.com/2009/04/14/arts/television/14boys.html?_r=1> (Accessed October 7, 2009).
  124. [↑](Print_version.html#cite_ref-Williams_136-0) Williams, Kimberly D. 2007. “How to target older demos.” Advertising Age 78:8.
  125. [↑](Print_version.html#cite_ref-Amit-Talai1995_137-0) Amit-Talai, V., & Wulff, H. (Eds.). (1995). Youth cultures: A cross-cultural perspective. London: Routledge.
  126. ↑ _**[a**_](Print_version.html#cite_ref-Dong2009_138-0) _**[b**_](Print_version.html#cite_ref-Dong2009_138-1) _**[c**_](Print_version.html#cite_ref-Dong2009_138-2) Dong, XinQi et al. 2009. “Elder Self-neglect and Abuse and Mortality Risk in a Community-Dwelling Population.” JAMA 302:517-526.
  127. [↑](Print_version.html#cite_ref-Danigelis2007_139-0) Danigelis, Nicholas L., and Stephen J. Cutler. 2007. “Population Aging, Intracohort Aging, and Sociopolitical Attitudes..” American Sociological Review 72:812-830.
  128. [↑](Print_version.html#cite_ref-Horswill2009_140-0) Horswill, Mark S. et al. 2009. “A comparison of the hazard perception ability of matched groups of healthy drivers aged 35 to 55, 65 to 74, and 75 to 84 years..” Journal of the International Neuropsychological Society 15:799-802.
  129. [↑](Print_version.html#cite_ref-SSA2009_141-0) <http://www.ssa.gov/OACT/TRSUM/index.html>
  130. ↑ _**[a**_](Print_version.html#cite_ref-Williams2003_142-0) _**[b**_](Print_version.html#cite_ref-Williams2003_142-1) _**[c**_](Print_version.html#cite_ref-Williams2003_142-2) Williams, David R. 2003. “The Health of Men: Structured Inequalities and Opportunities.” Am J Public Health 93:724-731.
  131. [↑](Print_version.html#cite_ref-Luv2003_143-0) Luv, Marc. 2003. “Causes of Male Excess Mortality: Insights from Cloistered Populations..” Population & Development Review 29:647-676.
  132. [↑](Print_version.html#cite_ref-TheEconomist2005_144-0) The Economist. 2005. “The stronger sex..” Economist 374:75.
  133. [↑](Print_version.html#cite_ref-Reebs2005_145-0) Reebs, Stéphan. 2005. “Female Radicals..” Natural History 114:14.
  134. [↑](Print_version.html#cite_ref-Beach2010_146-0) Beach, Scott R, Richard Schulz, Nicholas G Castle, and Jules Rosen. 2010. “Financial exploitation and psychological mistreatment among older adults: differences between African Americans and non-African Americans in a population-based survey.” The Gerontologist 50(6):744-757. Retrieved January 19, 2012.
  135. ↑ _**[a**_](Print_version.html#cite_ref-Ong2010_147-0) _**[b**_](Print_version.html#cite_ref-Ong2010_147-1) Ong, Anthony D. 2010. “Pathways Linking Positive Emotion and Health in Later Life.” Current Directions in Psychological Science 19:358 -362.
  136. [↑](Print_version.html#cite_ref-Fairchild2011_148-0) Fairchild G, Passamonti L, Hurford G, Hagan CC, von dem Hagen EA, van Goozen SH, Goodyer IM, Calder AJ (2011), “Brain structure abnormalities in early-onset and adolescent-onset conduct disorder.” Am J Psychiatry 168(6):624-33
  137. [↑](Print_version.html#cite_ref-Velez2003_149-0) Velez, Maria B., Lauren J. Krivo, and Ruth D. Peterson. 2003. “Structural Inequality and Homicide: An Assessment of Black-White Gap in Killings.” Criminology 41:645-672.
  138. ↑ _**[a**_](Print_version.html#cite_ref-FBI2009_150-0) _**[b**_](Print_version.html#cite_ref-FBI2009_150-1) _**[c**_](Print_version.html#cite_ref-FBI2009_150-2) _**[d**_](Print_version.html#cite_ref-FBI2009_150-3) _**[e**_](Print_version.html#cite_ref-FBI2009_150-4) _**[f**_](Print_version.html#cite_ref-FBI2009_150-5) _**[g**_](Print_version.html#cite_ref-FBI2009_150-6) <http://web.archive.org/20040811015632/www.fbi.gov/publications/strategicplan/stategicplantext.htm#whitecollar>
  139. [↑](Print_version.html#cite_ref-151) <http://straylight.law.cornell.edu/topics/white_collar.html>
  140. [↑](Print_version.html#cite_ref-Daly1989_152-0) Daly, Kathleen. 1989. “Gender and Varieties of White-Collar Crime.” Criminology 27:769-794.
  141. [↑](Print_version.html#cite_ref-Goffman1963_153-0) Goffman, Erving. 1963. Stigma: Notes on the Management of Spoiled Identity.
  142. ↑ _**[a**_](Print_version.html#cite_ref-Sparks2009_154-0) _**[b**_](Print_version.html#cite_ref-Sparks2009_154-1) Sparks, Glenn and Susan Huelsing Sarapin. October 2009. The CSI Effect: The Relationship Between Exposure to TV Crime Dramas and Perceptions of the Criminal Justice System. Paper presented at the International Crime, Media & Popular Culture Studies Conference. Indian State University, Terre Haute, Indiana.
  143. ↑ _**[a**_](Print_version.html#cite_ref-Western2007_155-0) _**[b**_](Print_version.html#cite_ref-Western2007_155-1) _**[c**_](Print_version.html#cite_ref-Western2007_155-2) _**[d**_](Print_version.html#cite_ref-Western2007_155-3) Western, Bruce. 2007. Punishment and Inequality in America. Russell Sage Foundation Publications.
  144. [↑](Print_version.html#cite_ref-Liptak2008_156-0) Liptak, Adam. 2008. “Consensus on Counting the Innocent: We Can’t.” The New York Times, March 25 <http://www.nytimes.com/2008/03/25/us/25bar.html> (Accessed March 25, 2008).
  145. ↑ _**[a**_](Print_version.html#cite_ref-Silver2008_157-0) _**[b**_](Print_version.html#cite_ref-Silver2008_157-1) _**[c**_](Print_version.html#cite_ref-Silver2008_157-2) _**[d**_](Print_version.html#cite_ref-Silver2008_157-3) _**[e**_](Print_version.html#cite_ref-Silver2008_157-4) Silver, Howard. 2008. “The Costs of Mass Incarceration Examined by Congressional Panel.” Footnotes, February 2008, 5.
  146. [↑](Print_version.html#cite_ref-vanOlphen2009_158-0) van Olphen, Juliana, Michele Eliason, Nicholas Freudenberg, and Marilyn Barnes. 2009. “Nowhere to go: How stigma limits the options of female drug users after release from jail.” Substance Abuse Treatment, Prevention, and Policy 4:10.
  147. [↑](Print_version.html#cite_ref-Kirk2009_159-0) Kirk, David S. 2009. A Natural Experiment on Residential Change and Recidivism: Lessons from Hurricane Katrina. American Sociological Review. 74(3):484-500.
  148. [↑](Print_version.html#cite_ref-Massoglia2009_160-0) massoglia, michael, and jason schnittker. 2009. “no real RELEASE.” Contexts 8:38-42.
  149. ↑ _**[a**_](Print_version.html#cite_ref-Eckholm2008_161-0) _**[b**_](Print_version.html#cite_ref-Eckholm2008_161-1) Eckholm, Erik. 2008. “Courts Give Addicts a Chance to Straighten Out.” The New York Times, October 15 <http://www.nytimes.com/2008/10/15/us/15drugs.html> (Accessed February 19, 2010).
  150. ↑ _**[a**_](Print_version.html#cite_ref-King2008_162-0) _**[b**_](Print_version.html#cite_ref-King2008_162-1) King, Ryan S. 2008. Disparity by Geography: The War on Drugs in America's Cities. The Sentencing Project. Washington. D.C. <http://www.sentencingproject.org/doc/publications/dp_drugarrestreport.pdf>
  151. ↑ _**[a**_](Print_version.html#cite_ref-Eckholm2010_163-0) _**[b**_](Print_version.html#cite_ref-Eckholm2010_163-1) Eckholm, Erik. 2010. “Congress Moves to Narrow Sentencing Disparities for Crack and Powdered Cocaine.” The New York Times, July 28 [http://www.nytimes.com/2010/07/29/us/politics/29crack.html?_r=2&partner=rss&emc=rss](http://www.nytimes.com/2010/07/29/us/politics/29crack.html?_r=2&partner=rss&emc=rss) (Accessed August 18, 2010).
  152. [↑](Print_version.html#cite_ref-Jacobs2007_164-0) Jacobs, David; Qian, Zhenchao; Carmichael, Jason T. and Kent, Stephanie L. 2007. Who Survives on Death Row? An Individual and Contextual Analysis. American Sociological Review. 72:4, 610-632.
  153. ↑ _**[a**_](Print_version.html#cite_ref-Hipp2010_165-0) _**[b**_](Print_version.html#cite_ref-Hipp2010_165-1) Hipp, John R. 2010. “A Dynamic View of Neighborhoods: The Reciprocal Relationship between Crime and Neighborhood Structural Characteristics.” Social Problems 57:205-230.
  154. ↑ _**[a**_](Print_version.html#cite_ref-Sternheimer2007_166-0) _**[b**_](Print_version.html#cite_ref-Sternheimer2007_166-1) _**[c**_](Print_version.html#cite_ref-Sternheimer2007_166-2) Sternheimer, Karen. 2007. "Do video games kill?." Contexts: Understanding People in Their Social Worlds 6:13-17.
  155. [↑](Print_version.html#cite_ref-167) Erich Goode and Nachman Ben-Yehuda. Moral Panics: The Social Construction of Deviance (Blackwell, 1994).
  156. ↑ _**[a**_](Print_version.html#cite_ref-Kang2007_168-0) _**[b**_](Print_version.html#cite_ref-Kang2007_168-1) _**[c**_](Print_version.html#cite_ref-Kang2007_168-2) Kang, Miliann, and Katherine Jones. 2007. “Why Do People Get Tattoos?.” Contexts: Understanding People in Their Social Worlds 6:42-47.
  157. ↑ _**[a**_](Print_version.html#cite_ref-Cavalli1996_169-0) _**[b**_](Print_version.html#cite_ref-Cavalli1996_169-1) _**[c**_](Print_version.html#cite_ref-Cavalli1996_169-2) _**[d**_](Print_version.html#cite_ref-Cavalli1996_169-3) _**[e**_](Print_version.html#cite_ref-Cavalli1996_169-4) Cavalli-Sforza, Luca; Menozzi, Paolo; and Piazza, Alberto. 1996. The History and Geography of Human Genes. Princeton University Press. Princeton, NJ.
  158. [↑](Print_version.html#cite_ref-Long2003_170-0) Long, J.C. and Kittles, R.A. 2003. Human genetic diversity and the nonexistence of biological races. Human Biology. 75:449-71.
  159. [↑](Print_version.html#cite_ref-Hooton1926_171-0) Hooton, E.A. 1926. Methods of racial analysis. Science 63:75-81.
  160. [↑](Print_version.html#cite_ref-Mayr1969_172-0) Mayr, E. 1969. Principles of Systematic Zoology. New York, NY: McGraw-Hill.
  161. [↑](Print_version.html#cite_ref-Dobzhansky1970_173-0) Dobzhansky, Theodosius. 1970. Genetics of the Evolutionary Process. Unknown.
  162. [↑](Print_version.html#cite_ref-Templeton1998_174-0) Templeton, A.R. 1998. Human races: A genetic and evolutionary perspective. American Anthropologist, 100:632-650.
  163. [↑](Print_version.html#cite_ref-Fields1990_175-0) Fields, Barbara Jean. 1990. Slavery, Race, and Ideology in the United States of America. New Left Review 181:95-118.
  164. [↑](Print_version.html#cite_ref-Sider1993_176-0) Sider, Gerald. 1993. Lumbee Indian Histories: Race, Ethnicity, and Indian Identity in the Southern United States.
  165. ↑ _**[a**_](Print_version.html#cite_ref-IBGE2006_177-0) _**[b**_](Print_version.html#cite_ref-IBGE2006_177-1) _**[c**_](Print_version.html#cite_ref-IBGE2006_177-2) [<http://www.ibge.gov.br/home/estatistica/populacao/condicaodevida/indicadoresminimos/sinteseindicsociais2006/indic_sociais2006.pdf> Sintese_2006_semlinks.indd
  166. [↑](Print_version.html#cite_ref-178) <http://prado38.sites.uol.com.br/castrofaria3.html>
  167. [↑](Print_version.html#cite_ref-Brazzil2003_179-0) [<http://www.brazzil.com/p119jan03.htm> Brazil - Brasil - BRAZZIL - News from Brazil - The life and death of Orlando Villas Boas - Brazilian Indians, Ecology, Amazon- January 2003
  168. ↑ _**[a**_](Print_version.html#cite_ref-Telles2002_180-0) _**[b**_](Print_version.html#cite_ref-Telles2002_180-1) Telles, Edward E. 2002. “Racial ambiguity among the Brazilian population..” Ethnic & Racial Studies 25:415-441.
  169. [↑](Print_version.html#cite_ref-Mangels2007_181-0) Mangels, Laura, and Laura Neves. 2007. “Racial Classification in Brazil: Discrepancies between Observed and Self-Identified Race..” Conference Papers -- American Sociological Association.
  170. [↑](Print_version.html#cite_ref-Tang2005_182-0) Tang, H.; Quertermous, T.; Rodriguez, B.; Kardia, S.L.; Zhu, X.; Brown, A.; Pankow, J.S.; Province, M.A.; Hunt, S.C.; Boerwinkle, E.; Schork, N.J.; Risch, N.J. 2005. Genetic structure, self-identified race/ethnicity, and confounding in case-control association studies. American Journal of Human Genetics. 76:268-75.
  171. [↑](Print_version.html#cite_ref-Halder2003_183-0) Halder, Indrani, and Mark D Shriver. 2003. “Measuring and using admixture to study the genetics of complex diseases.” Human Genomics 1:52-62.
  172. [↑](Print_version.html#cite_ref-McKeigue1991_184-0) McKeigue, P M, B Shah, and M G Marmot. 1991. “Relation of central obesity and insulin resistance with high diabetes prevalence and cardiovascular risk in South Asians.” Lancet 337:382-386.
  173. [↑](Print_version.html#cite_ref-Hodge1994_185-0) Hodge, A M, and P Z Zimmet. 1994. “The epidemiology of obesity.” Baillière's Clinical Endocrinology and Metabolism 8:577-599.
  174. [↑](Print_version.html#cite_ref-Songer1995_186-0) Songer, T J, and P Z Zimmet. 1995. “Epidemiology of type II diabetes: an international perspective.” PharmacoEconomics 8 Suppl 1:1-11.
  175. [↑](Print_version.html#cite_ref-Martinez1993_187-0) Martinez, N C. 1993. “Diabetes and minority populations. Focus on Mexican Americans.” The Nursing Clinics of North America 28:87-95.
  176. [↑](Print_version.html#cite_ref-Douglas1996_188-0) Douglas, J G, M Thibonnier, and J T Wright. 1996. “Essential hypertension: racial/ethnic differences in pathophysiology.” Journal of the Association for Academic Minority Physicians: The Official Publication of the Association for Academic Minority Physicians 7:16-21.
  177. [↑](Print_version.html#cite_ref-Gaines1995_189-0) Gaines, K, and G Burke. 1995. “Ethnic differences in stroke: black-white differences in the United States population. SECORDS Investigators. Southeastern Consortium on Racial Differences in Stroke.” Neuroepidemiology 14:209-239.
  178. [↑](Print_version.html#cite_ref-McKeigue1989_190-0) McKeigue, P M, G J Miller, and M G Marmot. 1989. “Coronary heart disease in south Asians overseas: a review.” Journal of Clinical Epidemiology 42:597-609.
  179. [↑](Print_version.html#cite_ref-Zoratti1998_191-0) Zoratti, R. 1998. “A review on ethnic differences in plasma triglycerides and high-density-lipoprotein cholesterol: is the lipid pattern the key factor for the low coronary heart disease rate in people of African origin?.” European Journal of Epidemiology 14:9-21.
  180. [↑](Print_version.html#cite_ref-Ferguson1993_192-0) Ferguson, R, and E Morrissey. 1993. “Risk factors for end-stage renal disease among minorities.” Transplantation Proceedings 25:2415-2420.
  181. [↑](Print_version.html#cite_ref-Hargrave2000_193-0) Hargrave, R, M Stoeklin, M Haan, and B Reed. 2000. “Clinical aspects of dementia in African-American, Hispanic, and white patients.” Journal of the National Medical Association 92:15-21.
  182. [↑](Print_version.html#cite_ref-Molokhia2000_194-0) Molokhia, M, and P McKeigue. 2000. “Risk for rheumatic disease in relation to ethnicity and admixture.” Arthritis Research 2:115-125.
  183. [↑](Print_version.html#cite_ref-B.C3.B6ni2002_195-0) Böni, Roland, Christian Schuster, Britta Nehrhoff, and Günther Burg. 2002. “Epidemiology of skin cancer.” Neuro Endocrinology Letters 23 Suppl 2:48-51.
  184. [↑](Print_version.html#cite_ref-Schwartz1997_196-0) Schwartz, A G, and G M Swanson. 1997. “Lung carcinoma in African Americans and whites. A population-based study in metropolitan Detroit, Michigan.” Cancer 79:45-52.
  185. [↑](Print_version.html#cite_ref-Shimizu1985_197-0) Shimizu, H, A H Wu, L C Koo, Y T Gao, and L N Kolonel. 1985. “Lung cancer in women living in the Pacific Basin area.” National Cancer Institute Monograph 69:197-201.
  186. [↑](Print_version.html#cite_ref-Hoffman2001_198-0) Hoffman, R M et al. 2001. “Racial and ethnic differences in advanced-stage prostate cancer: the Prostate Cancer Outcomes Study.” Journal of the National Cancer Institute 93:388-395.
  187. [↑](Print_version.html#cite_ref-Rosati2001_199-0) Rosati, G. 2001. “The prevalence of multiple sclerosis in the world: an update.” Neurological Sciences: Official Journal of the Italian Neurological Society and of the Italian Society of Clinical Neurophysiology 22:117-139.
  188. [↑](Print_version.html#cite_ref-Bohannon1999_200-0) Bohannon, A D. 1999. “Osteoporosis and African American women.” Journal of Women's Health & Gender-Based Medicine 8:609-615.
  189. [↑](Print_version.html#cite_ref-Shriver2003_201-0) Shriver, M.D. _et al._ 2003\. Skin pigmentation, biogeographical ancestry, and admixture mapping. Human Genetics. 112:387-399.
  190. [↑](Print_version.html#cite_ref-Xu2009_202-0) Xu, Xiaojing, Xiangyu Zuo, Xiaoying Wang, and Shihui Han. 2009. “Do You Feel My Pain? Racial Group Membership Modulates Empathic Neural Responses.” J. Neurosci. 29:8525-8529.
  191. ↑ _**[a**_](Print_version.html#cite_ref-McKown2009_203-0) _**[b**_](Print_version.html#cite_ref-McKown2009_203-1) McKown, Clark, and Michael J. Strambler. 2009. “Developmental Antecedents and Social and Academic Consequences of Stereotype-Consciousness in Middle Childhood.” Child Development 80:1643-1659.
  192. [↑](Print_version.html#cite_ref-Ho2011_204-0) Ho, A. K., Sidanius, J., Levin, D. T. & Banaji, M. R. (2011). Evidence for Hypodescent and Racial Hierarchy in the Categorization and Perception of Biracial Individuals. Journal of Personality and Social Psychology, 100, 492-506.
  193. [↑](Print_version.html#cite_ref-Bertrand2004_205-0) Bertrand, Marianne and Mullainathan, Sendhil. “Are Emily and Greg More Employable Than Lakisha and Jamal? A Field Experiment on Labor Market Discrimination.” American Economic Review, September 2004, Vol. 94, No. 4, pp. 991-1,013.
  194. [↑](Print_version.html#cite_ref-Sy2010_206-0) Sy, Thomas et al. 2010. “Leadership Perceptions as a Function of Race–occupation Fit: The Case of Asian Americans.” Journal of Applied Psychology 95(5):902–19.
  195. [↑](Print_version.html#cite_ref-Fuller-Rowell2010_207-0) Fuller-Rowell, Thomas E., and Stacey N. Doan. 2010. “The Social Costs of Academic Success Across Ethnic Groups.” Child Development 81:1696-1713.
  196. [↑](Print_version.html#cite_ref-Wilson1978_208-0) Wilson, William Julius. 1978. The Declining Significance of Race.
  197. [↑](Print_version.html#cite_ref-Wilson1990_209-0) Wilson, William Julius. 1990. The Truly Disadvantaged.
  198. ↑ _**[a**_](Print_version.html#cite_ref-Hagan2008_210-0) _**[b**_](Print_version.html#cite_ref-Hagan2008_210-1) Hagan, John, and Wenona Rymond-Richmond. 2008. “The Collective Dynamics of Racial Dehumanization and Genocidal Victimization in Darfur.” American Sociological Review 73:875-902.
  199. ↑ _**[a**_](Print_version.html#cite_ref-Pellow2007_211-0) _**[b**_](Print_version.html#cite_ref-Pellow2007_211-1) Pellow, David Naguib, and Robert J. Brulle. 2007. “poisoning the planet: the struggle for environmental justice..” Contexts: Understanding People in Their Social Worlds 6:37-41.
  200. ↑ _**[a**_](Print_version.html#cite_ref-Martin2008_212-0) _**[b**_](Print_version.html#cite_ref-Martin2008_212-1) _**[c**_](Print_version.html#cite_ref-Martin2008_212-2) _**[d**_](Print_version.html#cite_ref-Martin2008_212-3) Martin, Douglas. 2008. “Mildred Loving, Who Battled Ban on Mixed-Race Marriage, Dies at 68.” The New York Times, May 6 <http://www.nytimes.com/2008/05/06/us/06loving.html> (Accessed July 20, 2008).
  201. [↑](Print_version.html#cite_ref-Pager2005_213-0) Pager, Devah and Quillian, Lincoln. 2005. Walking the Talk? What Employers Say Versus What They Do. American Sociological Review. 70(3):355-380.
  202. [↑](Print_version.html#cite_ref-Bilefsky2008_214-0) Bilefsky, Dan. 2008. “Albanian Custom Fades: Woman as Family Man.” The New York Times, June 25 <http://www.nytimes.com/2008/06/25/world/europe/25virgins.html> (Accessed July 3, 2009).
  203. [↑](Print_version.html#cite_ref-Lacey2008_215-0) Lacey, Marc. 2008. “A Lifestyle Distinct: The Muxe of Mexico.” The New York Times, December 7 <http://www.nytimes.com/2008/12/07/weekinreview/07lacey.html> (Accessed February 22, 2010).
  204. [↑](Print_version.html#cite_ref-Ehrenreich1999_216-0) Ehrenreich, Barbara. 1999. "The Real Truth about the Female Body." Time. Vol. 153, No. 9, pages 56-65.
  205. [↑](Print_version.html#cite_ref-Buss2003_217-0) Buss, David M. 2003. The Evolution Of Desire - Revised Edition 4. Basic Books.
  206. [↑](Print_version.html#cite_ref-Ebben1998_218-0) Ebben, William P. and Randall Jensen. 1998. "Strength Training for Women: myths that block opportunity". The Physician and Sports Medicine 26(5): np.
  207. [↑](Print_version.html#cite_ref-CDC2003_219-0) [U.S. National Center for Health Statistics](http://www.cdc.gov/nchs/Default.htm)
  208. [↑](Print_version.html#cite_ref-Plant1995_220-0) Plant TM, Lee PA, eds. The Neurobiology of Puberty. Bristol: Society for Endocrinology, 1995.
  209. [↑](Print_version.html#cite_ref-Cantor2000_221-0) Cantor CH. Suicide in the Western World. In: Hawton K, van Heering K, eds. International handbook of suicide and attempted suicide. Chichester: John Wiley & Sons, 2000: 9-28.
  210. ↑ _**[a**_](Print_version.html#cite_ref-Myers1996_222-0) _**[b**_](Print_version.html#cite_ref-Myers1996_222-1) Myers, David G. 1996. Social Psychology (Fifth Edition). McGraw Hill. [ISBN 0071145087](http://en.wikibooks.org/wiki/Special:BookSources/0071145087)
  211. [↑](Print_version.html#cite_ref-Steinberg2008_223-0) Steinberg, Laurence D. Adolescence. Boston: McGraw-Hill Higher Education, 2008. Print.
  212. [↑](Print_version.html#cite_ref-CDC2008_224-0) [Diagnosed Attention Deficit Hyperactivity Disorder and Learning Disability: United States, 2004–2006](http://www.cdc.gov/nchs/data/series/sr_10/sr10_237.pdf)
  213. [↑](Print_version.html#cite_ref-Gabriel1999_225-0) Gabriel, S. & Gardner, W.L. (1999). Are there "his" and "hers" types of interdependence? The implications of gender differences in collective versus relational interdependence for affect, behavior, and cognition. Journal of Personality and Social Psychology, 77, 642-655.
  214. [↑](Print_version.html#cite_ref-Young2009_226-0) Young, Meredith E., Madison Mizzau, Nga T. Mai, Abby Sirisegaram, Margo Wilson. 2009. What you eat depends on your sex and eating companions. Appetite. Available online 29 July 2009
  215. [↑](Print_version.html#cite_ref-Bose1983_227-0) Bose, Christine E. and Peter H. Rossi. (1983). Gender and Jobs: Prestige Standings of Occupations as Affected by Gender. American Sociological Review, Vol. 48, No. 3, pp. 316-330.
  216. ↑ _**[a**_](Print_version.html#cite_ref-Leonhardt2006_228-0) _**[b**_](Print_version.html#cite_ref-Leonhardt2006_228-1) _**[c**_](Print_version.html#cite_ref-Leonhardt2006_228-2) _**[d**_](Print_version.html#cite_ref-Leonhardt2006_228-3) _**[e**_](Print_version.html#cite_ref-Leonhardt2006_228-4) _**[f**_](Print_version.html#cite_ref-Leonhardt2006_228-5) _**[g**_](Print_version.html#cite_ref-Leonhardt2006_228-6) _**[h**_](Print_version.html#cite_ref-Leonhardt2006_228-7) _**[i**_](Print_version.html#cite_ref-Leonhardt2006_228-8) Leonhardt, D. (2006). Gender Pay Gap, Once Narrowing, Is Stuck in Place. The New York Times. December 24, 2006.
  217. ↑ _**[a**_](Print_version.html#cite_ref-Mulligan2008_229-0) _**[b**_](Print_version.html#cite_ref-Mulligan2008_229-1) Mulligan, Casey B., and Yona Rubinstein. 2008. “Selection, Investment, and Women's Relative Wages Over Time*.” Quarterly Journal of Economics 123:1061-1110.
  218. [↑](Print_version.html#cite_ref-Wadhwa2010_230-0) Wadhwa, Vivek. February 7, 2010. Silicon Valley: You and Some of Your VC's Have a Gender Problem. TechCrunch.com. <http://www.techcrunch.com/2010/02/07/silicon-valley-you%E2%80%99ve-got-a-gender-problem-and-some-of-your-vc%E2%80%99s-still-live-in-the-past/> (Accessed: February 7th, 2010.
  219. ↑ _**[a**_](Print_version.html#cite_ref-Haslam2009_231-0) _**[b**_](Print_version.html#cite_ref-Haslam2009_231-1) Haslam, S. Alexander, Michelle K. Ryan, Clara Kulich, Grzegorz Trojanowski, and Cate Atkins. 2009. “Investing with Prejudice: the Relationship Between Women's Presence on Company Boards and Objective and Subjective Measures of Company Performance.” British Journal of Management 9999. <http://dx.doi.org/10.1111/j.1467-8551.2009.00670.x> (Accessed August 18, 2009).
  220. [↑](Print_version.html#cite_ref-Ryan2005_232-0) Ryan, Michelle K., and S. Alexander Haslam. 2005. “The Glass Cliff: Evidence that Women are Over-Represented in Precarious Leadership Positions.” British Journal of Management 16:81-90.
  221. [↑](Print_version.html#cite_ref-Ryan2010_233-0) Ryan, Michelle K., S. Alexander Haslam, and Clara Kulich. 2010. Politics and the Glass Cliff: Evidence that Women are Preferentially Selected to Contest Hard-to-Win Seats. Psychology of Women Quarterly. 34:56-64.
  222. [↑](Print_version.html#cite_ref-Budig2001_234-0) Budig, M. and England, P. 2001. The Wage Penalty for Motherhood. American Sociological Review. 66:204-25.
  223. [↑](Print_version.html#cite_ref-Hekman2009_235-0) Hekman, David R.; Aquino, Karl; Owens, Brad P.; Mitchell, Terence R.; Schilpzand, Pauline; Leavitt, Keith. 2009. An Examination of Whether and How Racial and Gender Biases Influence Customer Satisfaction. Academy of Management Journal.
  224. [↑](Print_version.html#cite_ref-McDonald2009_236-0) McDonald, Steve, Nan Lin, and Dan Ao. 2009. “Networks of Opportunity: Gender, Race, and Job Leads.” Social Problems 56:385.
  225. [↑](Print_version.html#cite_ref-Jacobs1996_237-0) Jacobs, Jerry A. 1996. Gender Inequality and Higher Education. Annual Review of Sociology. 22:153-185.
  226. ↑ _**[a**_](Print_version.html#cite_ref-Beilock2010_238-0) _**[b**_](Print_version.html#cite_ref-Beilock2010_238-1) Beilock, S. L., E. A. Gunderson, G. Ramirez, and S. C. Levine. 2010. “Female teachers' math anxiety affects girls' math achievement.” Proceedings of the National Academy of Sciences.
  227. ↑ _**[a**_](Print_version.html#cite_ref-Streb2008_239-0) _**[b**_](Print_version.html#cite_ref-Streb2008_239-1) Streb, Matthew J., Barbara Burrell, Brian Frederick, and Michael A. Genovese. 2008. “Social Desirability Effects and Support for a Female American President.” Public Opin Q 72:76-89.
  228. ↑ _**[a**_](Print_version.html#cite_ref-Messner2006_240-0) _**[b**_](Print_version.html#cite_ref-Messner2006_240-1) Messner, M.A., Duncan, M.C., & Willms, N. (2006). This Revolution Is Not Being Televised. Contexts: Understanding People in their Social Worlds, 5(3), 34-38.
  229. [↑](Print_version.html#cite_ref-Tickamyer1981_241-0) Tickamyer, Ann R. 1981. Wealth and Power: A Comparison of Men and Women in the Property Elite. Social Forces. 60(2):463-481.
  230. [↑](Print_version.html#cite_ref-Dobash1979_242-0) Dobash, R. Emerson, and Russell Dobash. 1979. Violence Against Wives. Macmillan USA.
  231. [↑](Print_version.html#cite_ref-Hilliard2010_243-0) Hilliard, Lacey J., and Lynn S. Liben. 2010. “Differing Levels of Gender Salience in Preschool Classrooms: Effects on Children’s Gender Attitudes and Intergroup Bias.” Child Development 81:1787-1798.
  232. [↑](Print_version.html#cite_ref-Greenberg1983_244-0) Greenberg, Ellen and Steinberg, Laurence D. 1983. Sex Differences in Early Labor Force Experience: Harbinger of Things to Come. Social Forces. 62(2):467-486.
  233. [↑](Print_version.html#cite_ref-Gerson2001_245-0) Gerson, Kathleen. “Children of the Gender Revolution: Some Theoretical Questions and Findings from the Field.” Pp. 446-461 in Restructuring Work and the Life Course, edited by Victor W. Marshall, Walter R. Heinz, Helga Krueger, and Anil Verma. Toronto: University of Toronto Press.
  234. [↑](Print_version.html#cite_ref-Rand1983_246-0) Rand, Cynthia S. and Hall, Judith A. 1983. Sex Differences in the Accuracy of Self-Perceived Attractiveness. Social Psychology Quarterly. 46(4):359-363.
  235. ↑ _**[a**_](Print_version.html#cite_ref-Carr2007_247-0) _**[b**_](Print_version.html#cite_ref-Carr2007_247-1) Carr, Deborah. 2007. “Body Work.” Contexts: Understanding People in Their Social Worlds 6:58.
  236. [↑](Print_version.html#cite_ref-Buss1994_248-0) Buss, David M. 1994. The Evolution of Desire: Strategies of Human Mating. New York: Basic Books. [ISBN 046500802X](http://en.wikibooks.org/wiki/Special:BookSources/046500802X)
  237. [↑](Print_version.html#cite_ref-Parsons1964_249-0) Parsons, Talcott. 1964. Social System. Free Press. [ISBN 0029241901](http://en.wikibooks.org/wiki/Special:BookSources/0029241901)
  238. [↑](Print_version.html#cite_ref-Schilt2006_250-0) Schilt, Kristen. "Just One of the Guys?: How Transmen Make Gender Visible in the Workplace." Gender & Society. 20 (4) 2006, 465-490.
  239. ↑ _**[a**_](Print_version.html#cite_ref-Hurst2010_251-0) _**[b**_](Print_version.html#cite_ref-Hurst2010_251-1) _**[c**_](Print_version.html#cite_ref-Hurst2010_251-2) _**[d**_](Print_version.html#cite_ref-Hurst2010_251-3) _**[e**_](Print_version.html#cite_ref-Hurst2010_251-4) _**[f**_](Print_version.html#cite_ref-Hurst2010_251-5) _**[g**_](Print_version.html#cite_ref-Hurst2010_251-6) Hurst, E., 2010. Social Inequality: Forms, Causes, and Consequences. Boston: Allyn & Bacon.
  240. ↑ _**[a**_](Print_version.html#cite_ref-Roberts2007_252-0) _**[b**_](Print_version.html#cite_ref-Roberts2007_252-1) _**[c**_](Print_version.html#cite_ref-Roberts2007_252-2) Roberts, K., 2007. Our Social World. Thousand Oaks: Pine Forge Press.
  241. [↑](Print_version.html#cite_ref-Moore2011_253-0) Moore, M., 2011. America is NOT broke. [Online]. Available at: www.truth-out.org/michael-moore-america-is-not-broke68265 [accessed August 26, 2011].
  242. [↑](Print_version.html#cite_ref-Sernau2005_254-0) Sernau, S., 2005. Worlds apart: social inequalities in a global economy. Newbury Park: Pine Forge Press.
  243. [↑](Print_version.html#cite_ref-Aulette2011_255-0) Aulette, J.R. & Wittner, J., 2011. Gendered Worlds, 2nd edition. New York: Oxford University.
  244. ↑ _**[a**_](Print_version.html#cite_ref-Rank2011_256-0) _**[b**_](Print_version.html#cite_ref-Rank2011_256-1) Rank, M., 2011. Rethinking American poverty. Contexts, 10 (2), 16-21.
  245. ↑ _**[a**_](Print_version.html#cite_ref-Benokraitis2010_257-0) _**[b**_](Print_version.html#cite_ref-Benokraitis2010_257-1) _**[c**_](Print_version.html#cite_ref-Benokraitis2010_257-2) _**[d**_](Print_version.html#cite_ref-Benokraitis2010_257-3) _**[e**_](Print_version.html#cite_ref-Benokraitis2010_257-4) _**[f**_](Print_version.html#cite_ref-Benokraitis2010_257-5) _**[g**_](Print_version.html#cite_ref-Benokraitis2010_257-6) Benokraitis, N., 2010. SOC, 2nd edition. Belmont: Wadsworth.
  246. [↑](Print_version.html#cite_ref-Ehrenreich2002_258-0) Ehrenreich, B., 2002. Nickel and Dimed: On (Not) Getting By in America. New York: Henry Holt.
  247. [↑](Print_version.html#cite_ref-Rakesh2011_259-0) Rakesh K., Fry, R., & Taylor, P., 2011. Wealth Gaps Rise to Record Highs Between Whites, Blacks, Hispanics. [Online]. Available at: <http://pewsocialtrends.org/2011/07/26/wealth-gaps-rise-to-record-highs-between-whites-blacks-hispanics/> Pew Research Center. [accessed September 5, 2011].
  248. ↑ _**[a**_](Print_version.html#cite_ref-Achbar2004_260-0) _**[b**_](Print_version.html#cite_ref-Achbar2004_260-1) Achbar, M., Abbott J., & Bakan J., 2004. The Corporation. Zeitgeist Video.
  249. ↑ _**[a**_](Print_version.html#cite_ref-Charon2007_261-0) _**[b**_](Print_version.html#cite_ref-Charon2007_261-1) _**[c**_](Print_version.html#cite_ref-Charon2007_261-2) _**[d**_](Print_version.html#cite_ref-Charon2007_261-3) _**[e**_](Print_version.html#cite_ref-Charon2007_261-4) _**[f**_](Print_version.html#cite_ref-Charon2007_261-5) Charon, J., 2007. 10 questions. A Sociological Perspective, 6th edition. Belmont: Thomson Wadsworth.
  250. [↑](Print_version.html#cite_ref-Mulder2009_262-0) Mulder, Monique Borgerhoff et al. 2009. “Intergenerational Wealth Transmission and the Dynamics of Inequality in Small-Scale Societies.” Science 326(5953):682–88.
  251. ↑ _**[a**_](Print_version.html#cite_ref-BraveNewFilms2005_263-0) _**[b**_](Print_version.html#cite_ref-BraveNewFilms2005_263-1) _**[c**_](Print_version.html#cite_ref-BraveNewFilms2005_263-2) _**[d**_](Print_version.html#cite_ref-BraveNewFilms2005_263-3) Wal-Mart-the high cost of low price, 2005. Brave new films.
  252. ↑ _**[a**_](Print_version.html#cite_ref-Johnson2006_264-0) _**[b**_](Print_version.html#cite_ref-Johnson2006_264-1) _**[c**_](Print_version.html#cite_ref-Johnson2006_264-2) _**[d**_](Print_version.html#cite_ref-Johnson2006_264-3) _**[e**_](Print_version.html#cite_ref-Johnson2006_264-4) _**[f**_](Print_version.html#cite_ref-Johnson2006_264-5) Johnson, A. 2006. Privilege, Power, and Difference, 2nd edition. Boston: McGraw Hill.
  253. [↑](Print_version.html#cite_ref-Obama2005_265-0) Obama, B., 2005. [Online]. Available at <http://www.notable-quotes.com/o/obama_barack.html> [accessed August 1, 2011].
  254. [↑](Print_version.html#cite_ref-Hurwitz2011_266-0) Huwitz, Michael. 2011. Legacy students up to 45% more likely to be admitted to elite colleges. [Online]. Available at: <http://www.huffingtonpost.com/2011/01/06/legacy-students-45-percen_n_805272.html> [accessed August 1, 2011].
  255. [↑](Print_version.html#cite_ref-Higley2003_267-0) Higley, S., 2003. The U.S. Upper Class. In J. Henslin, ed. Down to Earth Sociology,12th edition. New York: The Free Press. 347-359.
  256. [↑](Print_version.html#cite_ref-Lareau2000_268-0) Lareau, A., 2000. Social class and the daily lives of children: a study from the United States. Childhood, 7 (2), 155-171.
  257. [↑](Print_version.html#cite_ref-Reiman2006_269-0) Reiman, J., 2006. The rich get richer and the poor get prison: ideology, class, and criminal justice, 8th edition. London: Pearson.
  258. [↑](Print_version.html#cite_ref-Andersen2007_270-0) Andersen, M., & Collins, P.H., 2007. Why race, class, and gender still matter. In M. Andersen & P.H. Collins, eds. Race, Class and Gender. An Anthology, 6th edition. Belmont: Thomson Wadsworth.
  259. [↑](Print_version.html#cite_ref-Bowman2008_271-0) Bowman, J., 2008. Guided Fantasy: The Titanic Game. In K. McKinney & B. Heyl, eds. Sociology through active learning: student exercises. Newbury Park: Pine Forge Press. 105-108.
  260. [↑](Print_version.html#cite_ref-Titanic2011_272-0) The Titanic Page. [Online]. Available at: <http://www.eszlinger.com/titanic/titanfacts.html> [accessed September 10, 2011].
  261. [↑](Print_version.html#cite_ref-Hunt2001_273-0) Hunt, J., 2001. Perspective: Barbara Ehrenreich on the Wal-Mart Suit. Time U.S. [Online]. Available at: <http://www.time.com/time/nation/article/0,8599,132362,00.html> [accessed September 8, 2011].
  262. ↑ _**[a**_](Print_version.html#cite_ref-Carter2009_274-0) _**[b**_](Print_version.html#cite_ref-Carter2009_274-1) Carter, K., & Aulette, J., 2009. Cape Verdean women and globalization: the politics of gender, culture and resistance. New York: Palgrave Macmillan.
  263. [↑](Print_version.html#cite_ref-Pelosi2010_275-0) Pelosi, A., 2010. Homeless: The motel kids of Orange County. HBO Summer Series. [Online]. Available at: <http://www.hbo.com/documentaries/homeless-the-motel-kids-of-orange-county/index.html> [accessed August 29, 2011].
  264. ↑ _**[a**_](Print_version.html#cite_ref-Kendall2011_276-0) _**[b**_](Print_version.html#cite_ref-Kendall2011_276-1) _**[c**_](Print_version.html#cite_ref-Kendall2011_276-2) Kendall, D., 2011. Sociology in our times, 8th ed. Belmont: Wadsworth.
  265. [↑](Print_version.html#cite_ref-Empowering2011_277-0) Empowering women and men to end their own hunger. [Online]. Available at: <http://www.thp.org/where_we_work/africa/ethiopia/overivew?gclid=CL-U8L7UiqsCFQXxzAodZAEXwA> [accessed September 7, 2011].
  266. [↑](Print_version.html#cite_ref-Ferrante2011_278-0) Ferrante, J., 2011. Seeing Sociology: an Introduction. Belmont: Wadsworth.
  267. [↑](Print_version.html#cite_ref-Genocide2011_279-0) Genocide and crimes against humanity. [Online]. Available at: <http://www.enotes.com/genocide-encyclopedia/king-leopold-ii-congo> [accessed August 30, 2011].
  268. [↑](Print_version.html#cite_ref-Sen1987_280-0) Sen, G. & Grown, C., 1987. Development, crises, and alternative visions. New York: Monthly Review.
  269. [↑](Print_version.html#cite_ref-TuckerDrob2009_281-0) Tucker-Drob, Elliot M., K. Paige Harden, and Eric Turkheimer. 2009. “Combining Nonlinear Biometric and Psychometric Models of Cognitive Abilities.” Behavior genetics 39(5):461-471.
  270. [↑](Print_version.html#cite_ref-Goodway2010_282-0) Goodway, Jacqueline D., Leah E. Robinson, and Heather Crowe. 2010. “Gender Differences in Fundamental Motor Skill Development in Disadvantaged Preschoolers From Two Geographical Regions.” Research Quarterly for Exercise and Sport 81(1):17–24.
  271. [↑](Print_version.html#cite_ref-HerodotusI_283-0) Herodotus. _Histories_, I, 94
  272. [↑](Print_version.html#cite_ref-Goldsborough_284-0) <http://rg.ancients.info/lion/article.html> Goldsborough, Reid. "World's First Coin"
  273. [↑](Print_version.html#cite_ref-yale2_285-0) Charles F. Horne, Ph.D. (1915). ["The Code of Hammurabi : Introduction"](http://www.yale.edu/lawweb/avalon/medieval/hammint.htm). Yale University. <http://www.yale.edu/lawweb/avalon/medieval/hammint.htm>. Retrieved September 14 2007. 
  274. ↑ _**[a**_](Print_version.html#cite_ref-Sheila_286-0) _**[b**_](Print_version.html#cite_ref-Sheila_286-1) Sheila C. Dow (2005), "Axioms and Babylonian thought: a reply", _Journal of Post Keynesian Economics_ **27** (3), p. 385-391.
  275. [↑](Print_version.html#cite_ref-Braudel1982_287-0) Braudel, Fernand. 1982. _The Wheels of Commerce, Vol. 2, Civilization & Capitalism 15th-18th Century._ University of California Press. Los Angeles.
  276. [↑](Print_version.html#cite_ref-Banaji2007_288-0) Banaji, Jairus. 2007. Islam, the Mediterranean and the rise of capitalism. Journal of Historical Materialism. 15, 47–74.
  277. ↑ _**[a**_](Print_version.html#cite_ref-Scott2005_289-0) _**[b**_](Print_version.html#cite_ref-Scott2005_289-1) _**[c**_](Print_version.html#cite_ref-Scott2005_289-2) _**[d**_](Print_version.html#cite_ref-Scott2005_289-3) Scott, John. 2005. _Industrialism: A Dictionary of Sociology_ Oxford University Press.
  278. [↑](Print_version.html#cite_ref-Erdkamp2005_290-0) Erdkamp, Paul (2005), "The Grain Market in the Roman Empire", (Cambridge University Press)
  279. [↑](Print_version.html#cite_ref-Hasan1987_291-0) Hasan, M (1987) "History of Islam". Vol 1. Lahore, Pakistan: Islamic Publications Ltd. p. 160.
  280. [↑](Print_version.html#cite_ref-Cambridge_292-0) _The Cambridge economic history of Europe_, p. 437. Cambridge University Press, [ISBN 0521087090](http://en.wikibooks.org/wiki/Special:BookSources/0521087090).
  281. [↑](Print_version.html#cite_ref-Subhi1969_293-0) Subhi Y. Labib (1969), "Capitalism in Medieval Islam", _The Journal of Economic History_ **29** (1), pp. 79–96.
  282. ↑ _**[a**_](Print_version.html#cite_ref-Banaji_294-0) _**[b**_](Print_version.html#cite_ref-Banaji_294-1) _**[c**_](Print_version.html#cite_ref-Banaji_294-2) Banaji, Jairus. (2007), "Islam, the Mediterranean and the rise of capitalism", _Historical Materialism_ **15** (1), pp. 47–74, Brill Publishers.
  283. [↑](Print_version.html#cite_ref-Lopez2001_295-0) Lopez, Robert Sabatino, Irving Woodworth Raymond, Olivia Remie Constable (2001), _Medieval Trade in the Mediterranean World: Illustrative Documents_, Columbia University Press, [ISBN 0231123574](http://en.wikibooks.org/wiki/Special:BookSources/0231123574).
  284. [↑](Print_version.html#cite_ref-Kuran2005_296-0) Kuran, Timur (2005), "The Absence of the Corporation in Islamic Law: Origins and Persistence", _American Journal of Comparative Law_ **53**, pp. 785–834 [798–9].
  285. [↑](Print_version.html#cite_ref-Labib1969_297-0) Labib, Subhi Y. (1969), "Capitalism in Medieval Islam", _The Journal of Economic History_ **29** (1), pp. 79–96 [92–3].
  286. [↑](Print_version.html#cite_ref-Spier2002_298-0) Spier, Ray. (2002), "The history of the peer-review process", _Trends in Biotechnology_ **20** (8), p. 357-358 [357].
  287. [↑](Print_version.html#cite_ref-Arjomand1999_299-0) Arjomand, Said Amir. (1999), "The Law, Agency, and Policy in Medieval Islamic Society: Development of the Institutions of Learning from the Tenth to the Fifteenth Century", _Comparative Studies in Society and History_ **41**, pp. 263–93. Cambridge University Press.
  288. [↑](Print_version.html#cite_ref-Amin1978_300-0) Amin, Samir. (1978), "The Arab Nation: Some Conclusions and Problems", _MERIP Reports_ **68**, pp. 3–14 [8, 13].
  289. ↑ _**[a**_](Print_version.html#cite_ref-Burnham2003_301-0) _**[b**_](Print_version.html#cite_ref-Burnham2003_301-1) Burnham, Peter (2003). Capitalism: The Concise Oxford Dictionary of Politics. Oxford University Press.
  290. [↑](Print_version.html#cite_ref-Polanyi1944_302-0) Polanyi, Karl. 1944. The Great Transformation. Beacon Press,Boston.
  291. [↑](Print_version.html#cite_ref-EconomyProfessor_303-0) [Economy Professor <http://www.economyprofessor.com/economictheories/monopoly-capitalism.php>]
  292. [↑](Print_version.html#cite_ref-Engerman2001_304-0) Engerman, Stanley L. 2001. The Oxford Companion to United States History. Oxford University Press.
  293. [↑](Print_version.html#cite_ref-Ragan2008_305-0) Ragan, Christopher T.S., and Richard G. Lipsey. Microeconomics. Twelfth Canadian Edition ed. Toronto: Pearson Education Canada, 2008. Print.
  294. [↑](Print_version.html#cite_ref-Robbins2007_306-0) Robbins, Richard H. Global problems and the culture of capitalism. Boston: Allyn & Bacon, 2007. Print.
  295. [↑](Print_version.html#cite_ref-Marx1894_307-0) [Capital. v. 3. Chapter 47: Genesis of capitalist ground rent](http://www.marxists.org/archive/marx/works/1894-c3/ch47.htm)
  296. [↑](Print_version.html#cite_ref-Marx25_308-0) Karl Marx. Chapter Twenty-Five: The General Law of Capitalist Accumulation. _Das Kapital_.
  297. [↑](Print_version.html#cite_ref-Dobb1947_309-0) Dobb, Maurice. 1947. _Studies in the Development of Capitalism._ New York: International Publishers Co., Inc.
  298. [↑](Print_version.html#cite_ref-Harvey1989_310-0) Harvey, David. 1989. _The Condition of Postmodernity._
  299. [↑](Print_version.html#cite_ref-Wheen2006_311-0) Wheen, Francis _Books That Shook the World: Marx's Das Kapital_1st ed. London: Atlantic Books, 2006
  300. [↑](Print_version.html#cite_ref-swedberg2007_312-0) swedberg, richard. 2007. “the market.” Contexts 6:64-66.
  301. [↑](Print_version.html#cite_ref-Arranz2010_313-0) Arranz, Jose M., Carlos Garcia-Serrano, and Maria A. Davia. 2010. “Worker Turnover and Wages in Europe: The Influence of Unemployment and Inactivity.” The Manchester School 78:678-701.
  302. [↑](Print_version.html#cite_ref-Brander2006_314-0) Brander, James A. Government policy toward business. 4th ed. Mississauga, Ontario: John Wiley & Sons Canada, Ltd., 2006. Print.
  303. [↑](Print_version.html#cite_ref-Lenin1916_315-0) [<http://www.marxists.org/archive/lenin/works/1916/imp-hsc/index.htm> Lenin, Vladimir. 1916. Imperialism: The Highest Stage of Capitalism
  304. [↑](Print_version.html#cite_ref-Horvat_316-0) Horvat, B. The Political Economy of Socialism. Armonk, NY. M.E.Sharpe Inc.
  305. [↑](Print_version.html#cite_ref-Cass1999_317-0) Cass. 1999. _Towards a Comparative Political Economy of Unfree Labor_
  306. [↑](Print_version.html#cite_ref-Lucas2003_318-0) Lucas, Robert E. Jr. The Industrial Revolution: Past and Future. Federal Reserve Bank of Minneapolis 2003 Annual Report. <http://www.minneapolisfed.org/pubs/region/04-05/essay.cfm>
  307. [↑](Print_version.html#cite_ref-DeLong_319-0) DeLong, J. Bradford. Estimating World GDP, One Million B.C. – Present. <http://www.j-bradford-delong.net/TCEH/1998_Draft/World_GDP/Estimating_World_GDP.html> Accessed: 2008-02-26
  308. [↑](Print_version.html#cite_ref-Nardinelli_320-0) Nardinelli, Clark. Industrial Revolution and the Standard of Living. <http://www.econlib.org/library/Enc/IndustrialRevolutionandtheStandardofLiving.html> Accessed: 2008-02-26
  309. [↑](Print_version.html#cite_ref-Newman2005_321-0) Newman, Michael. 2005. _Socialism: A Very Short Introduction_, Oxford University Press, [ISBN 0-19-280431-6](http://en.wikibooks.org/wiki/Special:BookSources/0192804316)
  310. [↑](Print_version.html#cite_ref-322) Socialism, (2009), in Encyclopædia Britannica. Retrieved October 14, 2009, from Encyclopædia Britannica Online: <http://www.britannica.com/EBchecked/topic/551569/socialism>, "Main" summary: "Socialists complain that capitalism necessarily leads to unfair and exploitative concentrations of wealth and power in the hands of the relative few who emerge victorious from free-market competition—people who then use their wealth and power to reinforce their dominance in society."
  311. [↑](Print_version.html#cite_ref-323) Marx and Engels Selected Works, Lawrence and Wishart, 1968, p. 40. Capitalist property relations put a "fetter" on the productive forces.
  312. [↑](Print_version.html#cite_ref-Rosser2004_324-0) John Barkley Rosser and Marina V. Rosser, _Comparative Economics in a Transforming World Economy_ (Cambridge, MA.: MIT Press, 2004).
  313. [↑](Print_version.html#cite_ref-Beckett2007_325-0) Beckett, Francis, _Clem Attlee_, (2007) Politico's.
  314. [↑](Print_version.html#cite_ref-SocialistParty1985_326-0) Socialist Party of Great Britain. 1985. _The Strike Weapon: Lessons of the Miners’ Strike._ Socialist Party of Great Britain. London. <http://www.worldsocialism.org/spgb/pdf/ms.pdf>
  315. [↑](Print_version.html#cite_ref-Hardcastle1947_327-0) Hardcastle, Edgar. 1947. _The Nationalisation of the Railways_ Socialist Standard. 43:1 <http://www.marxists.org/archive/hardcastle/1947/02/railways.htm>
  316. [↑](Print_version.html#cite_ref-economictheories_328-0) <http://www.economictheories.org/2008/07/karl-marx-socialism-and-scientific.html>
  317. [↑](Print_version.html#cite_ref-Schaff2001_329-0) Schaff, Kory. 2001. Philosophy and the problems of work: a reader. Rowman & Littlefield. Lanham, MD. [ISBN 0-7425-0795-5](http://en.wikibooks.org/wiki/Special:BookSources/0742507955)
  318. [↑](Print_version.html#cite_ref-Walicki1995_330-0) Walicki, Andrzej. 1995. Marxism and the leap to the kingdom of freedom: the rise and fall of the Communist utopia. Stanford University Press. Stanford, CA. ISBAN 0-8047-2384-2
  319. [↑](Print_version.html#cite_ref-Calhoun2002_331-0) "Market socialism," _Dictionary of the Social Sciences_. Craig Calhoun, ed. Oxford University Press 2002
  320. [↑](Print_version.html#cite_ref-McLean2003_332-0) "Market socialism" _The Concise Oxford Dictionary of Politics_. Ed. Iain McLean and Alistair McMillan. Oxford University Press, 2003
  321. [↑](Print_version.html#cite_ref-Stiglitz1995_333-0) Stiglitz, Joseph. "Whither Socialism?" Cambridge, MA: MIT Press, 1995
  322. [↑](Print_version.html#cite_ref-fsmitha_334-0) <http://www.fsmitha.com/h3/h44-ph.html>
  323. [↑](Print_version.html#cite_ref-TheTimes2008_335-0) _Karl Marx: did he get it all right?, The Times (UK), October 21, 2008, <http://www.timesonline.co.uk/tol/news/politics/article4981065.ece>_
  324. [↑](Print_version.html#cite_ref-TheHerald2008_336-0) _Capitalism has proven Karl Marx right again, The Herald (Scotland), 17 Sep 2008, <http://www.heraldscotland.com/capitalism-has-proven-karl-marx-right-again-1.889708>_
  325. [↑](Print_version.html#cite_ref-Gumbell2009_337-0) Gumbell, Peter. _Rethinking Marx_, Time magazine, 28 January 2009, <http://www.time.com/time/specials/packages/article/0,28804,1873191_1873190_1873188,00.html>
  326. [↑](Print_version.html#cite_ref-TheSocialist2008_338-0) _Capitalist crisis - Karl Marx was right_ Editorial, The Socialist, 17 Sep 2008, www.socialistparty.org.uk/articles/6395
  327. [↑](Print_version.html#cite_ref-Cox2007_339-0) Cox, David. _Marx is being proved right_. The Guardian, 29 January 2007, <http://www.guardian.co.uk/commentisfree/2007/jan/29/marxisbeingprovedright>
  328. [↑](Print_version.html#cite_ref-CPNM_340-0) _[Communist Party of Nepal'_](http://www.cpnm.org/)
  329. [↑](Print_version.html#cite_ref-countryrisk_341-0) [<http://www.countryrisk.com/editorials/archives/cat_singapore.html> CountryRisk Maintaining Singapore's Miracle
  330. [↑](Print_version.html#cite_ref-Telegraph2008_342-0) [Japan's young turn to Communist Party as they decide capitalism has let them down](http://www.telegraph.co.uk/news/worldnews/asia/japan/3218944/Japans-young-turn-to-Communist-Party-as-they-decide-capitalism-has-let-them-down.html) \- Daily Telegraph October 18, 2008
  331. [↑](Print_version.html#cite_ref-BBC2009_343-0) ["Communism on rise in recession-hit Japan"](http://news.bbc.co.uk/2/hi/asia-pacific/8027397.stm), BBC, May 4, 2009
  332. [↑](Print_version.html#cite_ref-WSWS2008_344-0) _[Germany’s Left Party woos the SPD'_](http://www.wsws.org/articles/2008/feb2008/hess-f15.shtml)
  333. [↑](Print_version.html#cite_ref-Greenleft2009_345-0) _Germany: Left makes big gains in poll_ <http://www.greenleft.org.au/2009/813/41841>
  334. [↑](Print_version.html#cite_ref-ElPasoTimes_346-0) _[Christofias wins Cyprus presidency'_](http://www.elpasotimes.com/nationworld/ci_835244)
  335. [↑](Print_version.html#cite_ref-BBC_Danish_347-0) _Danish centre-right wins election_ <http://news.bbc.co.uk/1/hi/world/europe/7091941.stm>
  336. [↑](Print_version.html#cite_ref-SocialismToday_348-0) _Has France moved to the right?_ <http://www.socialismtoday.org/110/france.html>
  337. [↑](Print_version.html#cite_ref-AgenceFrancePresse2008_349-0) [Le Nouveau parti anticapitaliste d'Olivier Besancenot est lancé](http://www.lepoint.fr/actualites-politique/le-nouveau-parti-anticapitaliste-d-olivier-besancenot-est-lance/917/0/256540) Agence France-Presse, June 29, 2008
  338. [↑](Print_version.html#cite_ref-Rasmussen_350-0) Rasmussen Reports <http://www.rasmussenreports.com/public_content/politics/general_politics/april_2009/just_53_say_capitalism_better_than_socialism> , accessed October 23, 2009.
  339. [↑](Print_version.html#cite_ref-Hayek1994_351-0) Hayek, Friedrich. 1994. The Road to Serfdom. University of Chicago Press. [ISBN 0-226-32061-8](http://en.wikibooks.org/wiki/Special:BookSources/0226320618)
  340. [↑](Print_version.html#cite_ref-Hopppe_352-0) Hoppe, Hans-Hermann _[A Theory of Socialism and Capitalism_](http://www.mises.org/etexts/Soc&Cap.pdf). Kluwer Academic Publishers. page 46 in PDF.
  341. ↑ _**[a**_](Print_version.html#cite_ref-Roberts2006_353-0) _**[b**_](Print_version.html#cite_ref-Roberts2006_353-1) Roberts, S. (2006). It’s Official: To Be Married Means to Be Outnumbered. The New York Times. Retrieved October 15, 2006, from <http://www.nytimes.com/2006/10/15/us/15census.html>
  342. ↑ _**[a**_](Print_version.html#cite_ref-Coontz2006_354-0) _**[b**_](Print_version.html#cite_ref-Coontz2006_354-1) _**[c**_](Print_version.html#cite_ref-Coontz2006_354-2) _**[d**_](Print_version.html#cite_ref-Coontz2006_354-3) Coontz, Stephanie. 2006. Marriage, a History: How Love Conquered Marriage. Penguin. ISBN: 014303667X
  343. [↑](Print_version.html#cite_ref-Greif2005_355-0) Greif, Avner. 2005. Family Structure, Institutions, and Growth: The Origin and Implications of Western Corporatis <http://www.aeaweb.org/annual_mtg_papers/2006/0106_0800_1104.pdf>
  344. ↑ _**[a**_](Print_version.html#cite_ref-Witte1997_356-0) _**[b**_](Print_version.html#cite_ref-Witte1997_356-1) Witte, John Jr. 1997. From Sacrament to Contract: Marriage, Religion, and Law in the Western Tradition. Westminster John Knox Press. (pp. 39-40). [ISBN 0664255434](http://en.wikibooks.org/wiki/Special:BookSources/0664255434)
  345. [↑](Print_version.html#cite_ref-Olaiz2006_357-0) Olaiz, H. (2006). Warren Jeffs and the Mormon Art of Forgetting. Sunstone(142), 68-70.
  346. [↑](Print_version.html#cite_ref-Bawah1999_358-0) Bawah, A.A.; Akweongo, P.; Simmons, R.; and Phillips, J.F. 1999. Women's Fears and Men's Anxieties: The Impact of Family Planning on Gender Relations in Northern Ghana. Studies in Family Planning. 30:1, 54-66. <http://www.popcouncil.org/pdfs/councilarticles/sfp/SFP301Bawah.pdf>
  347. [↑](Print_version.html#cite_ref-Bohannan1968_359-0) Bohannan, Paul and Middleton, Jon. 1968. Marriage, Family, and Residence. Natural History Press. ASIN: B006D7FBI
  348. ↑ _**[a**_](Print_version.html#cite_ref-mc_360-0) _**[b**_](Print_version.html#cite_ref-mc_360-1) [marieclaire.co.uk > News > World News > Average man proposes after three years](http://www.marieclaire.co.uk/news/world/181134/average-man-proposes-after-three-years.html) Monday 18 February 2008
  349. [↑](Print_version.html#cite_ref-metro_361-0) [Average man takes 3 years to propose](http://www.metro.co.uk/metrosexual/article.html?in_article_id=99603&in_page_id=8) Metrosexual, Sunday, February 17, 2008
  350. [↑](Print_version.html#cite_ref-362) [Hooking Up, Hanging Out, and Hoping for Mr. Right: College Women on Dating and Mating Today](http://www.iwf.org/campuscorner/hookingup.asp) (Retrieved 18:35, [12 January](http://en.wikibooks.org/w/index.php?title=12_January&action=edit&redlink=1) [2007](http://en.wikibooks.org/w/index.php?title=2007&action=edit&redlink=1))
  351. [↑](Print_version.html#cite_ref-Perper1985_363-0) Perper, T. (1985) _Sex Signals: The Biology Of Love_, Philadelphia, ISI Press.
  352. [↑](Print_version.html#cite_ref-364) Moore, N. (1985) “Nonverbal courtship patterns in women: contact and consequences”, _Ethology and Sociobiology_, 6: 237-247.
  353. [↑](Print_version.html#cite_ref-Pease2004_365-0) Pease, A. and Pease, B. (2004) _The Definitive Book Of Body Language_, London: Orion Books.
  354. [↑](Print_version.html#cite_ref-Hearn1987_366-0) Hearn, J. & Parkin, W. (1987) _Sex at work: The power and paradox of organisation sexuality_, Brighton: Wheatsheaf.
  355. [↑](Print_version.html#cite_ref-367) Connell, R. W (1995) _Gender and Power_, Cambridge: Polity Press.
  356. [↑](Print_version.html#cite_ref-Farrell2000_368-0) Farrell, W. (2000) _Women Can’t Hear What Men Don’t Say_, New York: Tarcher/Putnam.
  357. [↑](Print_version.html#cite_ref-Williams1999_369-0) Williams, C. L., Guiffre, P. A. & Dellinger, K. (1999) "Sexuality in the Workplace: Organizational Control, Sexual Harassment and the Pursuit of Pleasure", _Annual Sociology Review_, 25: 73-93.
  358. [↑](Print_version.html#cite_ref-Ridley-Duff2007_370-0) [Ridley-Duff, R. J. (2007) _Emotion, Seduction and Intimacy: Alternative Perspectives on Organisation Behaviour_, Bracknell: Men's Hour Books](http://www.scribd.com/doc/4912718/Emotion-Seduction-and-Intimacy-Alternative-Perspectives-on-Organisation-Behaviour), [ISBN 978-0975430019](http://en.wikibooks.org/wiki/Special:BookSources/9780975430019)
  359. [↑](Print_version.html#cite_ref-Molloy2003_371-0) Molloy, J. (2003) _Why Men Marry Some Women and Not Others_, London: Element.
  360. [↑](Print_version.html#cite_ref-Buss1990_372-0) Buss, D.M., Abbott, M., Angleitner, A., Biaggio, A., Blanco-Villasenor, A., BruchonSchweittzer, M. [& 45 additional authors] (1990). “International preferences in selecting mates: A study of 37 societies”. _Journal of Cross Cultural Psychology_, 21: 5-47.
  361. [↑](Print_version.html#cite_ref-ITUC2008_373-0) ITUC (2008) _The Global Gender Pay Gap_, Brussels: International Trades Union Congress.
  362. [↑](Print_version.html#cite_ref-374) Hakim, C. (2006) “Women, Careers and Work-Life Preferences”, _British Journal of Marriage and Counselling_, 34(3): 279-294.
  363. [↑](Print_version.html#cite_ref-375) "Elmer" Social Science Dictionary <http://www.elissetche.org/dico/M.htm>
  364. [↑](Print_version.html#cite_ref-Murdoch1949_376-0) Murdoch, George Peter. 1949. Social Structure. The MacMillan Company: New York. [ISBN 0-02-922290-7](http://en.wikibooks.org/wiki/Special:BookSources/0029222907).
  365. [↑](Print_version.html#cite_ref-Arce2004_377-0) Arce, Rose. Massachusetts court upholds same-sex marriage. February 6, 2004. <http://www.cnn.com/2004/LAW/02/04/gay.marriage/>
  366. [↑](Print_version.html#cite_ref-Krier2006_378-0) Krier, James E., Alexander, Gregory S., Schill, Michael H., and Dukeminier, Jesse. 2006. Property. Aspen Publishers. [ISBN 0735557926](http://en.wikibooks.org/wiki/Special:BookSources/0735557926)
  367. [↑](Print_version.html#cite_ref-Gallagher2002_379-0) Gallagher, Maggie. 2002. What is Marriage For? The Public Purposes of Marriage Law. Louisiana Law Review. <http://www.marriagedebate.com/pdf/What%20is%20Marriage%20For.pdf>
  368. [↑](Print_version.html#cite_ref-Schwartz2005_380-0) Schwartz, Christine R. and Mare, Robert D. 2005. Trends in Educational Assortative Marriage From 1940 to 2003.
  369. ↑ _**[a**_](Print_version.html#cite_ref-Holt-Lunstad2008_381-0) _**[b**_](Print_version.html#cite_ref-Holt-Lunstad2008_381-1) Holt-Lunstad, Julianne, Birmingham, Wendy, and Jones, Brandon Q. 2008. Is There Something Unique about Marriage? The Relative Impact of Marital Status, Relationship Quality, and Network Social Support on Ambulatory Blood Pressure and Mental Health. Annals of Behavioral Medicine.
  370. [↑](Print_version.html#cite_ref-Gallacher2011_382-0) Gallacher, David and John Gallacher. 2011. Are Relationships Good For Your Health? Choose Your Partner Carefully. Student BMJ.
  371. [↑](Print_version.html#cite_ref-Carlson2006_383-0) Carlson, Marcia J. 2006. Family Structure, Father Involvement, and Adolescent Behavioral Outcomes. Journal of Marriage and the Family. 68:1, 137-154.
  372. [↑](Print_version.html#cite_ref-Raley2006_384-0) Raley, Sara, and Suzanne Bianchi. 2006. “Sons, Daughters, and Family Processes: Does Gender of Children Matter?.” Annual Review of Sociology 32:401-421.
  373. [↑](Print_version.html#cite_ref-Rosenfeld2005_385-0) Rosenfeld, Michael J. and Kim, Byung-Soo. 2005. The Independence of Young Adults and the Rise of Interracial and Same-Sex Unions. American Sociological Review. 70:4, 541-562.
  374. [↑](Print_version.html#cite_ref-Rutherford2009_386-0) Rutherford, Markella. n.d. “Children’s Autonomy and Responsibility: An Analysis of Childrearing Advice.” Qualitative Sociology. <http://dx.doi.org/10.1007/s11133-009-9136-2> (Accessed August 6, 2009).
  375. [↑](Print_version.html#cite_ref-Heyman2009_387-0) Heyman, Gail D., Diem H. Luu, and Kang Lee. 2009. “Parenting by Lying.” Journal of Moral Education 38(3):353–69.
  376. [↑](Print_version.html#cite_ref-Keister2007_388-0) Keister, Lisa A. 2007. Upward Wealth Mobility: Exploring the Roman Catholic Advantage. Social Forces. 85(3):1195-1225
  377. [↑](Print_version.html#cite_ref-Yodanis2005_389-0) Yodanis, Carrie. 2005. “Divorce Culture and Marital Gender Equality: A Cross-National Study.” Gender Society 19:644-659.
  378. [↑](Print_version.html#cite_ref-Tavris2007_390-0) Tavris, Carol, and Elliot Aronson. 2007. Mistakes Were Made (But Not by Me): Why We Justify Foolish Beliefs, Bad Decisions, and Hurtful Acts. 1st ed. Houghton Mifflin Harcourt.
  379. [↑](Print_version.html#cite_ref-Anker2009_391-0) Anker, M. G., Duncan, B. L., & Sparks, J. A. (2009). Using client feedback to improve couple therapy outcomes: A randomized clinical trial in a naturalistic setting. Journal of Consulting and Clinical Psychology, 77(4), 693-704.
  380. ↑ _**[a**_](Print_version.html#cite_ref-Waite2009_392-0) _**[b**_](Print_version.html#cite_ref-Waite2009_392-1) Waite, Linda and Mary Elizabeth Hughes. 2009. Marital Biography and Health Midlife. Journal of Health and Social Behavior. 50 (3).
  381. [↑](Print_version.html#cite_ref-Angier2009_393-0) Angier, Natalie. 2009. “Skipping Spouse to Spouse Isn’t Just a Man’s Game.” The New York Times, September 1 [http://www.nytimes.com/2009/09/01/science/01angi.html?partner=rss&emc=rss](http://www.nytimes.com/2009/09/01/science/01angi.html?partner=rss&emc=rss) (Accessed February 22, 2010).
  382. [↑](Print_version.html#cite_ref-Bramlett2002_394-0) Bramlett MD and Mosher WD. Cohabitation, Marriage, Divorce, and Remarriage in the United States. National Center for Health Statistics. Vital Health Stat 23(22). 2002.
  383. [↑](Print_version.html#cite_ref-Burgoyne2006_395-0) Burgoyne, Carole B., Victoria Clarke, Janet Reibstein, and Anne Edmunds. “‘All my worldly goods I share with you’? Managing money at the transition to heterosexual marriage..” Sociological Review 54, no. 4 (November 2006): 619-637.
  384. [↑](Print_version.html#cite_ref-Fowers1991_396-0) Fowers, Blaine J. “His and Her Marriage: A Multivariate Study of Gender and Marital Satisfaction..” Sex Roles 24, no. 3/4 (February 1991): 209-221.
  385. [↑](Print_version.html#cite_ref-Horwitz1991_397-0) Horwitz, Allan V., and Helene Raskin White. “Becoming Married, Depression, and Alcohol Problems Among Young Adults..” Journal of Health & Social Behavior 32, no. 3 (1991): 221-237.
  386. ↑ _**[a**_](Print_version.html#cite_ref-stone2007_398-0) _**[b**_](Print_version.html#cite_ref-stone2007_398-1) stone, pamela. 2007. “the rhetoric and reality of “opting out”.” Contexts 6:14-19.
  387. [↑](Print_version.html#cite_ref-Gove1972_399-0) Gove, Walter R. “The Relationship Between Sex Roles, Marital Status, and Mental Illness..” Social Forces 51, no. 1 (1972): 34-44.
  388. [↑](Print_version.html#cite_ref-Singh1996_400-0) Susheela Singh and Renee Samara, “Early Marriage Among Women in Developing Countries,” December 1996, <http://www.guttmacher.org/pubs/journals/2214896.pdf>
  389. [↑](Print_version.html#cite_ref-Ontario2006_401-0) Ontario Consultants on Religious Tolerance. December 31, 2006. Human Sexuality and Gender Topics: Subjects of major concern to many faith groups. <http://www.religioustolerance.org/chr_sex.htm>. Accessed February 4, 2007.
  390. [↑](Print_version.html#cite_ref-Clements1994_402-0) Clements, M. 1994. Sex in America today: A new national survey reveals how our attitudes are changing. Parade Magazine, August 7, pp. 4-6.
  391. [↑](Print_version.html#cite_ref-Laumann1994_403-0) Laumann, E. O.; Gagnon, J. H.; Michael, R. T.; and Michaels, S. 1994. The social organization of sexuality: Sexual practices in the United States. Chicago: University of Chicago Press.
  392. [↑](Print_version.html#cite_ref-Wiederman1997_404-0) Wiederman, M. W. 1997. Extramarital sex: Prevalence and correlates in a national survey. Journal of Sex Research, 34, 167-174.
  393. [↑](Print_version.html#cite_ref-Columbus2002_405-0) Columbus School of Law at The Catholic University of America. "World Religions and Same Sex Marriage." Washington, DC. July, 2002. <http://marriagelaw.cua.edu/publications/wrr.pdf>
  394. ↑ _**[a**_](Print_version.html#cite_ref-Mutchler2009_406-0) _**[b**_](Print_version.html#cite_ref-Mutchler2009_406-1) Mutchler, Jan E., and Lindsey A. Baker. 2009. “The Implications of Grandparent Coresidence for Economic Hardship Among Children in Mother-Only Families.” Journal of Family Issues 0192513X09340527.
  395. [↑](Print_version.html#cite_ref-USAToday2005_407-0) USA Today. July 17, 2005. Cohabitation is replacing dating. <http://www.usatoday.com/life/lifestyle/2005-07-17-cohabitation_x.htm>
  396. ↑ _**[a**_](Print_version.html#cite_ref-Rhoades2009_408-0) _**[b**_](Print_version.html#cite_ref-Rhoades2009_408-1) _**[c**_](Print_version.html#cite_ref-Rhoades2009_408-2) Rhoades, Galena K., Scott M. Stanley, and Howard J. Markman. 2009. “The pre-engagement cohabitation effect: A replication and extension of previous findings..” Journal of Family Psychology 23:107-111.
  397. [↑](Print_version.html#cite_ref-CaliforniaCode_409-0) See California Family Code Section 297 [http://www.leginfo.ca.gov/cgi-bin/displaycode?section=fam&group=00001-01000&file=297-297.5](http://www.leginfo.ca.gov/cgi-bin/displaycode?section=fam&group=00001-01000&file=297-297.5)
  398. [↑](Print_version.html#cite_ref-DomesticPR_410-0) <http://www.ss.ca.gov/dpregistry> "Domestic Partners Registry"
  399. [↑](Print_version.html#cite_ref-Wetzel1997_411-0) Wetzel, Dale. 1997. Anti-Cohabitation Law Repealed. Time Magazine. March 1st, 2007. <http://www.time.com/time/nation/article/0,8599,1595319,00.html>
  400. ↑ _**[a**_](Print_version.html#cite_ref-CensusHTR_412-0) _**[b**_](Print_version.html#cite_ref-CensusHTR_412-1) <http://www.census.gov/acs/www/UseData/Def/Hhld_rel.htm> "Household Type and Relationship"
  401. [↑](Print_version.html#cite_ref-CensusDE_413-0) <http://www.census.gov/population/www/cps/cpsdef.html> "Current Population Survey (CPS) - Definitions and Explanations"
  402. [↑](Print_version.html#cite_ref-Manning2005_414-0) Manning, Wendy D. and Pamela J. Smock. 2005. "Measuring and Modeling Cohabitation: New Perspectives from Qualitative Data." Journal of Marriage and Family 67(4):989-1002.
  403. [↑](Print_version.html#cite_ref-Bagemihl1999_415-0) Bagemihl, Bruce. 1999. Biological exuberance: Animal homosexuality and natural diversity. New York: St. Martin's Press.
  404. [↑](Print_version.html#cite_ref-GLAAD2004_416-0) GLAAD. 2004. Marriage Equality for Same-Sex Couples. <http://www.glaad.org/media/resource_kit_detail.php?id=3457> (Accessed February 25,2007.)
  405. [↑](Print_version.html#cite_ref-PlanetOut2007_417-0) PlanetOut. 2007. New Jersey Gays Make It Legal. [http://www.planetout.com/news/article.html?date=2007/02/22/1&navpath=/news/](http://www.planetout.com/news/article.html?date=2007/02/22/1&navpath=/news/) (Accessed February 25, 2007.)
  406. [↑](Print_version.html#cite_ref-Andersson2006_418-0) Andersson, Gunnar; Noack, Turid; Seierstad, Ane; and Weedon-Fekjaer, Harold. 2006. The Demographics of Same-Sex Marriages in Norway and Sweden. Demography. 43:1, 79-98.
  407. [↑](Print_version.html#cite_ref-O.27Brien2006_419-0) O'Brien, Jodi. 2006. All Aboard the Good Ship (Gay) Family Values. Contexts: Understanding People in Their Social Worlds. 5:4, 68-71.
  408. ↑ _**[a**_](Print_version.html#cite_ref-Batson1993_420-0) _**[b**_](Print_version.html#cite_ref-Batson1993_420-1) _**[c**_](Print_version.html#cite_ref-Batson1993_420-2) _**[d**_](Print_version.html#cite_ref-Batson1993_420-3) _**[e**_](Print_version.html#cite_ref-Batson1993_420-4) _**[f**_](Print_version.html#cite_ref-Batson1993_420-5) _**[g**_](Print_version.html#cite_ref-Batson1993_420-6) _**[h**_](Print_version.html#cite_ref-Batson1993_420-7) _**[i**_](Print_version.html#cite_ref-Batson1993_420-8) Batson, C. Daniel, Schoenrade, Patricia, and Ventis, W. Larry. 1993. Religion and the Individual: A Social-Psychological Perspective. Oxford: Oxford University Press. [ISBN 0195062094](http://en.wikibooks.org/wiki/Special:BookSources/0195062094)
  409. ↑ _**[a**_](Print_version.html#cite_ref-Durkheim1995_421-0) _**[b**_](Print_version.html#cite_ref-Durkheim1995_421-1) _**[c**_](Print_version.html#cite_ref-Durkheim1995_421-2) _**[d**_](Print_version.html#cite_ref-Durkheim1995_421-3) Durkheim, Emile. 1995. Elementary Forms of the Religious Life. Free Press. [ISBN 0029079373](http://en.wikibooks.org/wiki/Special:BookSources/0029079373)
  410. [↑](Print_version.html#cite_ref-Yinger1970_422-0) Yinger, J. 1970. The Scientific Study of Religion. New York, Macmillan.
  411. [↑](Print_version.html#cite_ref-Dobbelaere2002_423-0) Dobbelaere, Karel. 2002. Secularization: An Analysis at Three Levels (Gods, Humans, and Religions). New York: Peter Lang Publishing.
  412. [↑](Print_version.html#cite_ref-Tylor1976_424-0) Tylor, Edward Burnett. 1976. Primitive culture: Researches into the development of mythology, philosophy, religion, language, art, and custom. Gordon Press. [ISBN 087968464X](http://en.wikibooks.org/wiki/Special:BookSources/087968464X)
  413. [↑](Print_version.html#cite_ref-Stark2000_425-0) Stark, Rodney and Finke, Roger. Acts of Faith: Explaining the Human Side of Religion. California: University of California Press; 2000.
  414. [↑](Print_version.html#cite_ref-Johnson1963_426-0) Johnson, Benton. 1963. On Church and Sect. American Sociological Review. 28:539-49.
  415. [↑](Print_version.html#cite_ref-Troeltsch1931_427-0) Troeltsch, Ernst. 1931. The Social Teaching of the Christian Churches. New York: Macmillan.
  416. ↑ _**[a**_](Print_version.html#cite_ref-Johnstone1997_428-0) _**[b**_](Print_version.html#cite_ref-Johnstone1997_428-1) Johnstone, Ronald L. 1997. Religion in Society: A Sociology of Religion. Fifth Edition. Upper Saddle River, NJ: Prentice Hall. [ISBN 0131254367](http://en.wikibooks.org/wiki/Special:BookSources/0131254367)
  417. [↑](Print_version.html#cite_ref-vonWiese1932_429-0) von Wiese, Leopold. 1932. Systematic sociology. Chapman and Hall.
  418. ↑ _**[a**_](Print_version.html#cite_ref-Marx2000_430-0) _**[b**_](Print_version.html#cite_ref-Marx2000_430-1) _**[c**_](Print_version.html#cite_ref-Marx2000_430-2) _**[d**_](Print_version.html#cite_ref-Marx2000_430-3) Marx, Karl; McLellan, David. 2000. Karl Marx: Selected Writings. Oxford University Press. [ISBN 0198782659](http://en.wikibooks.org/wiki/Special:BookSources/0198782659).
  419. [↑](Print_version.html#cite_ref-Juergensmeyer2000_431-0) Juergensmeyer, Mark. 2000. Terror in the Mind of God. University of California Press. [ISBN 0520240111](http://en.wikibooks.org/wiki/Special:BookSources/0520240111)
  420. [↑](Print_version.html#cite_ref-Moore1994_432-0) Moore, R. Laurence. 1994. Selling God. Oxford University Press. [ISBN 0195098382](http://en.wikibooks.org/wiki/Special:BookSources/0195098382)
  421. [↑](Print_version.html#cite_ref-Spilka2003_433-0) Spilka, B.; Hunsberger, B.; Gorsuch, R.; Hood, R.W. Jr. 2003. The Psychology of Religion. The Guilford Press. [ISBN 1572309016](http://en.wikibooks.org/wiki/Special:BookSources/1572309016).
  422. [↑](Print_version.html#cite_ref-Diener1999_434-0) Diener, E.; Suh, E. M.; Lucas, R. E., and Smith, H. L. 1999. Subjective Well-Being: Three Decades of Progress. Psychological Bulletin. 125(2).
  423. ↑ _**[a**_](Print_version.html#cite_ref-Chaves1999_435-0) _**[b**_](Print_version.html#cite_ref-Chaves1999_435-1) _**[c**_](Print_version.html#cite_ref-Chaves1999_435-2) _**[d**_](Print_version.html#cite_ref-Chaves1999_435-3) _**[e**_](Print_version.html#cite_ref-Chaves1999_435-4) Chaves, Mark. 1999. Ordaining Women: Culture and Conflict in Religious Organizations. Harvard University Press.
  424. [↑](Print_version.html#cite_ref-StatisticalAbstract2009_436-0) [Statistical Abstract 2009](http://www.census.gov/compendia/statab/cats/labor_force_employment_earnings/employed_persons.html)
  425. [↑](Print_version.html#cite_ref-Morris1984_437-0) Morris, Aldon D. 1984. The Origins of the Civil Rights Movement. New York: The Free Press. [ISBN 0029221307](http://en.wikibooks.org/wiki/Special:BookSources/0029221307)
  426. [↑](Print_version.html#cite_ref-Johnson1997_438-0) Johnson, Daniel Carson. Formal Education vs. Religious Belief: Soliciting New Evidence with Multinomial Logit Modeling. Journal for the Scientific Study of Religion. 1997; 36:231-246.
  427. [↑](Print_version.html#cite_ref-Sommerville1998_439-0) Sommerville, C. J. 1998. "Secular Society Religious Population: Our Tacit Rules for Using the Term 'Secularization'." Journal for the Scientific Study of Religion 37 (2):249-53.
  428. [↑](Print_version.html#cite_ref-Stark2002_440-0) Stark, Rodney, Laurence R. Iannaccone, Monica Turci, and Marco Zecchi. 2002. "How Much Has Europe Been Secularized?" Inchiesta 32(136):99-112.
  429. [↑](Print_version.html#cite_ref-Chaves1994_441-0) Chaves, Mark. 1994. "Secularization As Declining Religious Authority." Social Forces 72(3):749-74.
  430. ↑ _**[a**_](Print_version.html#cite_ref-brym2007_442-0) _**[b**_](Print_version.html#cite_ref-brym2007_442-1) brym, robert j. 2007. “six lessons of suicide bombers.” Contexts 6:40-45.
  431. ↑ _**[a**_](Print_version.html#cite_ref-Simon2009_443-0) _**[b**_](Print_version.html#cite_ref-Simon2009_443-1) Simon, Stephanie, and Betsy McKay. 2009. “Developing World's Parasites, Disease Hit U.S..” wsj.com, August 22 <http://online.wsj.com/article/SB125090339313750961.html> (Accessed August 24, 2009).
  432. [↑](Print_version.html#cite_ref-Williams2008_444-0) Williams, Brie A., Karla Lindquist, Rebecca L. Sudore, Kenneth E. Covinsky, and Louise C. Walter. 2008. “Screening Mammography in Older Women: Effect of Wealth and Prognosis.” Arch Intern Med 168:514-520.
  433. ↑ _**[a**_](Print_version.html#cite_ref-Pear2008_445-0) _**[b**_](Print_version.html#cite_ref-Pear2008_445-1) _**[c**_](Print_version.html#cite_ref-Pear2008_445-2) _**[d**_](Print_version.html#cite_ref-Pear2008_445-3) _**[e**_](Print_version.html#cite_ref-Pear2008_445-4) _**[f**_](Print_version.html#cite_ref-Pear2008_445-5) Pear, Robert. 2008. “Gap in Life Expectancy Widens for the Nation.” The New York Times, March 23 <http://www.nytimes.com/2008/03/23/us/23health.html> (Accessed March 25, 2008).
  434. [↑](Print_version.html#cite_ref-Wen2007_446-0) Wen M, Browning CR & Cagney K. 2007. “A multi-level study of neighborhood environment and its relationship to physical activity in adulthood” Urban Studies:44(13): 1-18.
  435. [↑](Print_version.html#cite_ref-Borkhoff2008_447-0) Borkhoff, Cornelia M. et al. 2008. “The effect of patients' sex on physicians' recommendations for total knee arthroplasty.” CMAJ 178:681-687.
  436. ↑ _**[a**_](Print_version.html#cite_ref-Griffith2010_448-0) _**[b**_](Print_version.html#cite_ref-Griffith2010_448-1) Griffith, D.M., Allen, J.O. & Gunter, K. (2010). Social and Cultural Factors Influence African American Men’s Medical Help-seeking. Research on Social Work Practice. Published online 18 November 2010. Special issue on African American males.
  437. [↑](Print_version.html#cite_ref-Adimora2009_449-0) Adimora, Adaora A., Victor J. Schoenbach, and Michelle A. Floris-Moore. 2009. “Ending the Epidemic of Heterosexual HIV Transmission Among African Americans.” American Journal of Preventive Medicine 37:468-471.
  438. ↑ _**[a**_](Print_version.html#cite_ref-Banks2006_450-0) _**[b**_](Print_version.html#cite_ref-Banks2006_450-1) Banks, James; Marmot, Michael; Oldfield, Zoe, and Smith, James P. Disease and Disadvantage in the United States and in England. JAMA. 2006 May 3; 295(17):2037-2045
  439. [↑](Print_version.html#cite_ref-Willson2009_451-0) Willson, Andrea E. 2009. “'Fundamental Causes' of Health Disparities: A Comparative Analysis of Canada and the United States.” International Sociology 24:93-113.
  440. [↑](Print_version.html#cite_ref-Schoen2009_452-0) Schoen, Cathy, Robin Osborn, Sabrina K.H. How, Michelle M. Doty, and Jordon Peugh. 2009. “In Chronic Condition: Experiences Of Patients With Complex Health Care Needs, In Eight Countries, 2008.” Health Aff 28:w1-16.
  441. [↑](Print_version.html#cite_ref-Wennberg2008_453-0) Wennberg, John E., Elliott S. Fisher, David C. Goodman, Jonathan S. Skinner, and Sandra M. Sharp. 2008. Tracking the Care of Patients with Severe Chronic Illness: The Dartmouth Atlas of Health Care 2008. Lebanon, New Hampshire: The Dartmouth Institute for Health Policy & Clinical Practice <http://www.dartmouthatlas.org/atlases/2008_Chronic_Care_Atlas.pdf> (Accessed April 13, 2008).
  442. [↑](Print_version.html#cite_ref-Krugman2008_454-0) Krugman, Paul. 2008. “Health Care Horror Stories.” The New York Times, April 11 <http://www.nytimes.com/2008/04/11/opinion/11krugman.html> (Accessed April 13, 2008).
  443. [↑](Print_version.html#cite_ref-Kolata2008_455-0) Kolata, Gina. 2008. “Co-Payments Soar for Drugs With High Prices.” The New York Times, April 14 <http://www.nytimes.com/2008/04/14/us/14drug.html> (Accessed February 11, 2010).
  444. [↑](Print_version.html#cite_ref-Toner2007_456-0) Toner, R., & Elder, J. (2007). Most Support U.S. Guarantee of Health Care. The New York Times. Retrieved March 2, 2007, from <http://www.nytimes.com/2007/03/02/washington/02poll.html>
  445. [↑](Print_version.html#cite_ref-Strully2009_457-0) Strully, K. W. (2009). “Job Loss and Health in the U.S. Labor Market.” Demography 46(2):
  446. [↑](Print_version.html#cite_ref-Rimm1999_458-0) Rimm, E B, P Williams, K Fosher, M Criqui, and M J Stampfer. 1999. “Moderate alcohol intake and lower risk of coronary heart disease: meta-analysis of effects on lipids and haemostatic factors.” BMJ (Clinical Research Ed.) 319:1523-1528.
  447. [↑](Print_version.html#cite_ref-Abdulla1997_459-0) Abdulla, S. 1997. “Is alcohol really good for you?.” Journal of the Royal Society of Medicine 90:651.
  448. [↑](Print_version.html#cite_ref-Swami2008_460-0) Swami, Viren, Natalie Salem, Adrian Furnham, and Martin J. Tovee. 2008. “The influence of feminist ascription on judgements of women's physical attractiveness.” Body Image.
  449. [↑](Print_version.html#cite_ref-Levine2005_461-0) Levine JA, Lanningham-Foster LM, McCrady SK, Krizan AC, Olson LR, Kane PH, Jensen MD, Clark MM. _Interindividual variation in posture allocation: possible role in human obesity._ Science 2005;307:584-6. [PMID 15681386](http://www.ncbi.nlm.nih.gov/pubmed/15681386?dopt=Abstract).
  450. [↑](Print_version.html#cite_ref-Zimmerman2010_462-0) Zimmerman, Frederick J., and Janice F. Bell. 2010. “Associations of Television Content Type and Obesity in Children.” Am J Public Health 100:334-340.
  451. [↑](Print_version.html#cite_ref-Lopez2004_463-0) Lopez R. _Urban sprawl and risk for being overweight or obese._ Am J Publ Health 2004;94:1574-9. [PMID 15333317](http://www.ncbi.nlm.nih.gov/pubmed/15333317?dopt=Abstract).
  452. [↑](Print_version.html#cite_ref-Tandon2010_464-0) Tandon, Pooja S., Jeffrey Wright, Chuan Zhou, Cara Beth Rogers, and Dimitri A. Christakis. 2010. “Nutrition Menu Labeling May Lead to Lower-Calorie Restaurant Meal Choices for Children.” Pediatrics peds.2009-1117.
  453. [↑](Print_version.html#cite_ref-Dawkins2003_465-0) Dawkins, Richard in Snake Oil, and Other Preoccupations by John Diamond. 2003. <http://www.simonyi.ox.ac.uk/dawkins/writings/snakeoil.shtml>
  454. ↑ _**[a**_](Print_version.html#cite_ref-Willmsen2007_466-0) _**[b**_](Print_version.html#cite_ref-Willmsen2007_466-1) Willmsen, Christine, and Michael J. Berens. 2007. “Public never warned about dangerous device.” The Seattle Times, November 19 <http://seattletimes.nwsource.com/html/localnews/2004022178_miracle19m2.html> (Accessed April 13, 2008).
  455. [↑](Print_version.html#cite_ref-Imrie2008_467-0) Imrie, Robert. 2008. “Parents Pick Prayer Over Doctor, Girl Dies.” AOL News, March 28 <http://news.aol.com/health/story/ar/_a/parents-pick-prayer-over-doctor-girl/20080327161309990002> (Accessed April 13, 2008).
  456. ↑ _**[a**_](Print_version.html#cite_ref-Brody2008_468-0) _**[b**_](Print_version.html#cite_ref-Brody2008_468-1) Brody, Jane E. 2008. “Potential for Harm in Dietary Supplements.” The New York Times, April 8 <http://www.nytimes.com/2008/04/08/health/08brod.html> (Accessed April 13, 2008).
  457. [↑](Print_version.html#cite_ref-CSPI2007_469-0) “Memory Supplements Forgettable, Says CSPI.” <http://www.cspinet.org/new/200705041.html> (Accessed April 13, 2008).
  458. [↑](Print_version.html#cite_ref-Beyesrstein2008_470-0) Beyerstein, Barry L. n.d. “Why Bogus Therapies Often Seem to Work.” quackwatch.org. <http://www.quackwatch.org/01QuackeryRelatedTopics/altbelief.html> (Accessed April 13, 2008).

## Recommended Reading[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-25)]

[The New York Times recently invited a professor of bioethics to discuss the ethics of rationing healthcare](http://www.nytimes.com/2009/07/19/magazine/19healthcare-t.html). This article would serve as a very good launching point for discussing the ethics of universal healthcare.

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Health_and_Medicine&action=edit&section=T-26)]

  * [The Guardian has an excellent graphic illustrating leading causes of death by age, sex, and region of the world in 1900 and 2010.](http://www.guardian.co.uk/news/datablog/interactive/2012/dec/13/how-people-die-global-mortality-visualised)
  * [The Scientific Review of Alternative Medicine](http://www.sram.org/)
  * [International health statistics comparison](http://www3.who.int/whosis/core/core_process.cfm?option=3)
  * [International Health Statistics: What the Numbers Mean for the United States - 1994](http://www.wws.princeton.edu/cgi-bin/byteserv.prl/~ota/ns20/year_f.html)
  * [Joint CDC/StatsCan comparison on the two health care systems - 2004 (pdf)](http://www.cdc.gov/nchs/data/nhis/jcush_analyticalreport.pdf)
  * [Fetal Alcohol Syndrome Diagnostic & Prevention Network (FAS DPN)](http://depts.washington.edu/fasdpn/)
  * [Well.com FAS Fact Sheet](http://www.well.com/user/woa/fsfas.htm)
  * [FAQ on FAS from National Organization on Fetal Alcohol Syndrome](http://www.nofas.org/faqs.aspx)
  * [Dr Sterling Clarren's keynote address on FASD](http://www.come-over.to/FAS/Whitehorse/WhitehorseArticleSC1.htm), Prairie Northern Conference on Fetal Alcohol Syndrome, Yukon 2002
  * [Moderate alcohol intake and lower risk of coronary heart disease: meta-analysis of effects on lipids and haemostatic factors](http://bmj.bmjjournals.com/cgi/content/full/319/7224/1523?maxtoshow=&HITS=10&hits=10&RESULTFORMAT=&author1=rimm&searchid=1025569638239_15875&stored_search=&FIRSTINDEX=0&resourcetype=1,2,3,4,10)
  * [National Center on Minority Health and Health Disparities](http://www.ncmhd.nih.gov/)
  * [Understanding Health Disparities](http://www.healthpolicyohio.org/publications/healthdisparities.html)
  * [Initiative to Eliminate Racial and Ethnic Disparities in Health](http://raceandhealth.hhs.gov/) United States government minority health initiative
  * [Health Disparities Collaborative](http://www.healthdisparities.net/hdc/html/home.aspx)
  * [American Public Health Association. "Eliminating Health Disparities: Toolkit" (2004)](http://www.apha.org/NPHW/toolkit/Toolkit-PHW04-LR.pdf)
  * [Obesity, BMI and Calorie assessment Calculators](http://www.thedoctorslounge.net/centers/nutrition/calculators/index.htm)
  * [Body Mass Index Calculator](http://www.nutri.info/body_mass_index_download.htm)
  * [Obesity advice / FAQs](http://web4health.info/en/answers/life-obesity-menu.htm)
  * [International Task Force on Obesity](http://www.iotf.org/)
  * [Childhood Obesity](http://www.ericdigests.org/pre-9218/obesity.htm)
  * [Argument that the concern for obesity is overwrought](http://www.travelinsurance.org/the-attack-on-obesity-and-the-bmi-myth/)
  * [BMJ Article on Obesity and Public policy](http://bmj.bmjjournals.com/cgi/content/full/328/7452/1327)
  * [Economics of Obesity](http://www.thepublicinterest.com/current/article3.html)
  * _[The Worldwide Obesity Epidemic_](http://www.hsph.harvard.edu/symposium/sacks_files/v3_document.htm) by Frank Sacks MD
  * [Infographic on healthcare costs in the US.](http://images.medicalbillingandcodingcertification.net.s3.amazonaws.com/decoding-your-medical-bills.gif)
  * [inspiredhealthgroup.com](http://www.inspiredhealthgroup.com)
  * [goodhealthnevada.com](http://www.goodhealthnevada.com/)

← [Religion](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Religion) · [Collective Behavior](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Collective_Behavior) →

← [Religion](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Religion) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Collective Behavior](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Collective_Behavior) →

# Politics[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=20)]

## What is Politics?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-1)]

Politics is the process by which groups of people make decisions. The term is generally applied to behaviour within [civil governments](http://en.wikipedia.org/wiki/civil_governments), but politics has been observed in all human group interactions, including corporate, academic, and religious institutions. It consists of social relations involving authority or power, the regulation of political units, and the methods and tactics used to formulate and apply social policy.

## Power, Authority, and Violence[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e9/Official_portrait_of_Barack_Obama.jpg/150px-Official_portrait_of_Barack_Obama.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Barack Obama, President of the United States, derives his authority from a rational-legal system of laws outlined in a formal document, the Constitution of the United States of America.

### Power[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-3)]

Political power is a type of power held by a group in a society which allows that group to administrate the distribution of public resources, including labour, and wealth. Political powers are not limited to heads of states, however the extent to which a person or group such as an insurgency, terrorist group, or multinational corporation possesses such power relates to the amount of societal influence they can wield, formally or informally. Power, then, is often defined as the ability to influence the behavior of others with or without resistance.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ab/King_Abdullah_bin_Abdul_al-Saud_Jan2007.jpg/150px-King_Abdullah_bin_Abdul_al-Saud_Jan2007.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

King Abdullah bin Abdul al-Saud, King of Saudi Arabia, derived his authority from tradition.

### Authority[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-4)]

In government, authority is often used interchangeably with the term "power". However, their meanings differ. Authority refers to a claim of legitimacy, the justification and right to exercise power. For example, while a mob has the power to punish a criminal, for example by lynching, people who believe in the rule of law consider that only a court of law to has the authority to order capital punishment.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/Joseph_Smith,_Jr._portrait_owned_by_Joseph_Smith_III.jpg/150px-Joseph_Smith,_Jr._portrait_owned_by_Joseph_Smith_III.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Joseph Smith, Jr., founder of Mormonism, derived his authority from his charisma.

Max Weber identified and distinguished three types of legitimate authority.

  * The first type discussed by Weber is **Rational-legal** authority. It is that form of authority which depends for its legitimacy on formal rules and established laws of the state, which are usually written down and are often very complex. The power of the rational legal authority is mentioned in a document like a constitution or articles of incorporation. Modern societies depend on legal-rational authority. Government officials, like the [President of the United States](http://en.wikipedia.org/wiki/President_of_the_United_States) are good examples of this form of authority.
  * The second type of authority is **Traditional** authority, which derives from long-established customs, habits and social structures. When power passes from one generation to another, then it is known as traditional authority. The right of hereditary [monarchs](http://en.wikipedia.org/wiki/monarchy) to rule like the [King of Saudi Arabia](http://en.wikipedia.org/wiki/King_of_Saudi_Arabia) is an example.
  * The third form of authority is **Charismatic** authority. Here, the [charisma](http://en.wikipedia.org/wiki/charisma) of the individual or the leader plays an important role. Charismatic authority is that authority which is derived from a gift of grace, the power of one's personality, or when the leader claims that his authority is derived from a "higher power" (e.g. God) that is superior to both the validity of traditional and rational-legal authority. Followers accept this and are willing to follow this higher or inspired authority in the place of the authority that they have hitherto been following. Clear examples of charismatic leaders are often seen in the founders of religious groups. [Joseph Smith Jr.](http://en.wikipedia.org/wiki/Joseph_Smith,_Jr.), the founder of [The Church of Jesus Christ of Latter-day Saints (LDS or Mormons)](http://en.wikipedia.org/wiki/The_Church_of_Jesus_Christ_of_Latter-day_Saints) was considered charismatic. Another person who used his charisma to gather followers, ultimately for rather nefarious purposes, was [Jeffrey Lundgren](http://en.wikipedia.org/wiki/Jeffrey_Lundgren).

### Violence[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-5)]

In most modern nation-states, the government has authority, which gives it power. Intriguingly, the fact that the government has authority gives it the right to use power to force citizens to do what the government deems appropriate. In other words, the government has the right, based on its authority, to force people to behave in certain ways. Refusal to follow the dictates of the government can result in the government using violence to coerce individuals into compliance.

At the same time, the fact that the government of a country has the right to use violence, theoretically a near-exclusive right (others can use violence only when officially sanctioned, such as when one purchases a hunting license or if one belongs to a government sanctioned fighting league like the [UFC](http://en.wikipedia.org/wiki/Ultimate_Fighting_Championship)), reinforces the government's claim to authority. Thus, you have something of a paradox: Do governments have authority if they do not have the right to use violence? And, do governments derive their authority from their right to use violence? Another way to think about this quirk of politics is to ask yourself: Would you follow the law if there were no repercussions to your behavior. While you may for other reasons (e.g., a Hobbesian [social contract](http://en.wikipedia.org/wiki/Social_contract)), ultimately it is the threat of the legitimate use of violence that makes government authority compelling.

## Types of Governments[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-6)]

In addition to there existing various legitimate means of holding power, there are a variety of forms of government.

### Monarchy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-7)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Elizabeth_II_greets_NASA_GSFC_employees,_May_8,_2007_edit.jpg/150px-Elizabeth_II_greets_NASA_GSFC_employees,_May_8,_2007_edit.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Queen Elizabeth II is the monarch of the United Kingdom.

A [monarchy](http://en.wikipedia.org/wiki/Monarchy) is a form of government in which supreme power is absolutely or nominally lodged with an individual, who is the head of state, often for life or until abdication. The person who heads a monarchy is called a monarch. It was a common form of government in the world during the ancient and [medieval](http://en.wikipedia.org/wiki/medieval) times. There is no clear definition of monarchy. Holding unlimited political power in the state is not the defining characteristic, as many constitutional monarchies such as the [United Kingdom](http://en.wikipedia.org/wiki/United_Kingdom) and [Thailand](http://en.wikipedia.org/wiki/Thailand) are considered monarchies yet their monarchs have limited political power. Hereditary rule is often a common characteristic, but elective monarchies are also considered monarchies (e.g., [The Pope](http://en.wikipedia.org/wiki/The_Pope)) and some states have hereditary rulers, but are considered republics (e.g., the [Dutch Republic](http://en.wikipedia.org/wiki/Dutch_Republic)). Currently, 44 nations in the world have monarchs as heads of state, 16 of which are [Commonwealth](http://en.wikipedia.org/wiki/Commonwealth) realms that recognise the monarch of the United Kingdom as their head of state.

### Democracy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-8)]

[Democracy](http://en.wikipedia.org/wiki/Democracy) is a form of government in which the right to govern or sovereignty is held by the majority of citizens within a country or a state. In political theory, democracy describes a small number of related forms of government and also a political philosophy. Even though there is no universally accepted definition of 'democracy', there are two principles that any definition of democracy includes. The first principle is that all members of the society (citizens) have equal access to power and the second that all members (citizens) enjoy universally recognized freedoms and liberties.[[1]](Print_version.html#cite_note-Dahl2003-471)

There are several varieties of democracy, some of which provide better representation and more freedoms for their citizens than others.[[2]](Print_version.html#cite_note-Gaus2004-472) However, if any democracy is not carefully legislated to avoid an uneven distribution of political power with balances, such as the separation of powers, then a branch of the system of rule could accumulate power and become harmful to the democracy itself. The "majority rule" is often described as a characteristic feature of democracy, but without responsible government it is possible for the rights of a minority to be abused by the "tyranny of the majority". An essential process in representative democracies are competitive elections, that are fair both substantively and procedurally. Furthermore, freedom of political expression, freedom of speech and freedom of the press are essential so that citizens are informed and able to vote in their personal interests.

### Totalitarianism[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-9)]

Totalitarianism (or totalitarian rule) is a political system that strives to regulate nearly every aspect of public and private life. Totalitarian regimes or movements maintain themselves in political power by means of an official all-embracing ideology and propaganda disseminated through the state-controlled mass media, a single party that controls the state, personality cults, control over the economy, regulation and restriction of free discussion and criticism, the use of mass surveillance, and widespread use of state terrorism.

### Oligarchy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-10)]

An [oligarchy](http://en.wikipedia.org/wiki/Oligarchy) is a form of government in which power effectively rests with a small elite segment of society distinguished by royalty, wealth, family, military or religious hegemony. Such states are often controlled by politically powerful families whose children are heavily conditioned and mentored to be heirs of the power of the oligarchy. Oligarchies have been tyrannical throughout history, being completely reliant on public servitude to exist.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Communist_States.svg/300px-Communist_States.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A map showing the current Communist states. They are China, Cuba, North Korea, Laos, and Vietnam.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/40/Communist_countries.PNG/300px-Communist_countries.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Map of countries that declared themselves or were declared to be socialist states under the Marxist-Leninist or Maoist definition at some point in their history. The map uses present-day borders. Note that not all of these countries were Marxist-Leninist or Maoist at the same time.

### Communist State[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-11)]

A Communist state is a state with a form of government characterized by single-party rule of a Communist party and a professed allegiance to an ideology of [communism](http://en.wikipedia.org/wiki/Communism) as the guiding principle of the state. Communist states may have several legal political parties, but the Communist party is usually granted a special or dominant role in government, often by statute or under the constitution. Consequently, the institutions of the state and of the Communist party become intimately entwined, such as in the development of parallel institutions.

While almost all claim lineage to Marxist thought, there are many varieties of Communist states, with indigenous adaptions. For Marxist-Leninists, the state and the Communist Party claim to act in accordance with the wishes of the industrial working class; for Maoists, the state and party claim to act in accordance to the peasantry. Under Deng Xiaoping, the People's Republic of China proclaimed a policy of "socialism with Chinese characteristics." In most Communist states, governments assert that they represent the democratic dictatorship of the proletariat.

### Theocracy[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-12)]

[Theocracy](http://en.wikipedia.org/wiki/Theocracy) is a form of government in which a god or deity is recognized as the state's supreme civil ruler, or in a broader sense, a form of government in which a state is governed by immediate divine guidance or by officials who are regarded as divinely guided. Theocratic governments enact theonomic laws. Theocracy should be distinguished from other secular forms of government that have a state religion, or are merely influenced by theological or moral concepts, and monarchies held "By the Grace of God". Theocratic tendencies have been found in several religious traditions including Judaism, Islam, Confucianism, Hinduism, and among Christianity: Catholicism, Eastern Orthodoxy, Protestantism, and Mormonism. Historical examples of Christian theocracies are the Byzantine Empire (A.D. 330-1453) and the Carolingian Empire (A.D. 800-888).

### Types of Government Thought Question[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-13)]

While there are many more [types of government](http://en.wikipedia.org/wiki/Forms_of_government), based on what you've just read, do you think there is a type that is better than the others? If so, why do you think that?

## Political Parties[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-14)]

A political party is a political organization that seeks to attain and maintain political power within government, usually by participating in electoral campaigns. Parties often espouse an expressed ideology or vision bolstered by a written platform with specific goals, forming a coalition among disparate interests.

### USA[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-15)]

The United States Constitution is silent on the subject of political organizations, mainly because most of the founding fathers disliked them. Yet, major and minor political parties and groups soon arose. In partisan elections, candidates are nominated by a political party or seek public office as an independent. Each state has significant discretion in deciding how candidates are nominated, and thus eligible to appear on the election ballot. Typically, major party candidates are formally chosen in a party primary or convention, whereas minor party representatives and Independents are required to complete a petitioning process.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/U.S._party_affiliation.svg/250px-U.S._party_affiliation.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Registered [Democrats](http://en.wikipedia.org/wiki/Democratic_Party_\(United_States\)), [Republicans](http://en.wikipedia.org/wiki/Republican_Party_\(United_States\)) and [independents](http://en.wikipedia.org/wiki/Independent_\(politics\)) in millions as of 2004.[[3]](Print_version.html#cite_note-Neuhart.2C_P._.2822_January.2C_2004.29._Why_politics_is_fun_from_catbirds.27_seats._.27.27USA_Today.27.27.-473)

The complete [list of political parties in the United States](http://en.wikipedia.org/wiki/list_of_political_parties_in_the_United_States) is vast. However, there are two main parties in presidential contention:

  * [Democratic Party](http://en.wikipedia.org/wiki/Democratic_Party_\(United_States\))
  * [Republican Party](http://en.wikipedia.org/wiki/Republican_Party_\(United_States\))

Each of these two parties shares a degree of national attention by attaining the mathematical possibility of its nominee becoming President of the United States - i.e., having ballot access - for its presidential candidate in states whose collective total is at least half of the [Electoral College votes](http://en.wikipedia.org/wiki/U.S._Electoral_College).

American political parties are more loosely organized than those in other countries. The two major parties, in particular, have no formal organization at the national level that controls membership, activities, or policy positions, though some state affiliates do. Thus, for an American to say that he or she is a member of the Democratic or Republican party, is quite different from a Briton's stating that he or she is a member of the [Labour party](http://en.wikipedia.org/wiki/Labour_party). In the United States, one can often become a "member" of a party, merely by stating that fact. In some U.S. states, a voter can register as a member of one or another party and/or vote in the primary election for one or another party, but such participation does not restrict one's choices in any way; nor does it give a person any particular rights or obligations with respect to the party, other than possibly allowing that person to vote in that party's primary elections (elections that determine who the candidate of the party will be). A person may choose to attend meetings of one local party committee one day and another party committee the next day. The sole factor that brings one "closer to the action" is the quantity and quality of participation in party activities and the ability to persuade others in attendance to give one responsibility.

Party identification becomes somewhat formalized when a person runs for partisan office. In most states, this means declaring oneself a candidate for the nomination of a particular party and intent to enter that party's primary election for an office. A party committee may choose to endorse one or another of those who is seeking the nomination, but in the end the choice is up to those who choose to vote in the primary, and it is often difficult to tell who is going to do the voting.

The result is that American political parties have weak central organizations and little central ideology, except by consensus. A party really cannot prevent a person who disagrees with the majority of positions of the party or actively works against the party's aims from claiming party membership, so long as the voters who choose to vote in the primary elections elect that person. Once in office, an elected official may change parties simply by declaring such intent.

At the federal level, each of the two major parties has a national committee (See, [Democratic National Committee](http://en.wikipedia.org/wiki/Democratic_National_Committee), [Republican National Committee](http://en.wikipedia.org/wiki/Republican_National_Committee)) that acts as the hub for much of the fund-raising and campaign activities, particularly in presidential campaigns. The exact composition of these committees is different for each party, but they are made up primarily of representatives from state parties, affiliated organizations, and other individuals important to the party. However, the national committees do not have the power to direct the activities of individual members of the party.

The map below shows the results of the [2008 Presidential Election](http://en.wikipedia.org/wiki/United_States_presidential_election,_2008) in the United States, illustrating the strength of the two major parties varies by geographic region in the U.S., with Republicans stronger in the South, Midwest, and some Mountain states while Democrats are stronger along the coasts.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/24/ElectoralCollege2008.svg/600px-ElectoralCollege2008.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Electoral College results of the 2008 Presidential Election in the U.S.

### Sweden[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-16)]

Sweden has a [multi-party system](http://en.wikipedia.org/wiki/List_of_political_parties_in_Sweden), with numerous parties in which no one party often has a chance of gaining power alone, and parties must work with each other to form coalition governments. A multi-party system is a system in which three or more political parties have the capacity to gain control of government separately or in coalition.

Unlike a single-party system (or a non-partisan democracy), it encourages the general constituency to form multiple distinct, officially recognized groups, generally called political parties. Each party competes for votes from the enfranchised constituents (those allowed to vote). A multi-party system is essential for representative democracies, because it prevents the leadership of a single party from setting policy without challenge.

If the government includes an elected Congress or Parliament the parties may share power according to Proportional Representation or the First-past-the-post system. In Proportional Representation, each party wins a number of seats proportional to the number of votes it receives. In first-past-the-post, the electorate is divided into a number of districts, each of which selects one person to fill one seat by a plurality of the vote. First-past-the-post is not conducive to a proliferation of parties, and naturally gravitates toward a two-party system, in which only two parties have a real chance of electing their candidates to office. This gravitation is known as [Duverger's law](http://en.wikipedia.org/wiki/Duverger%27s_law). Proportional Representation, on the other hand, does not have this tendency, and allows multiple major parties to arise.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Piratpartiet.svg/150px-Piratpartiet.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The symbol of the Pirate Party.

This difference is not without implications. A two-party system requires voters to align themselves in large blocs, sometimes so large that they cannot agree on any overarching principles. Along this line of thought, some theories argue that this allows centrists to gain control. On the other hand, if there are multiple major parties, each with less than a majority of the vote, the parties are forced to work together to form working governments. This also promotes a form of centrism.

The United States is an example of where there may be a multi-party system but that only two parties have ever formed government. Germany, India, France, and Israel are examples of nations that have used a multi-party system effectively in their democracies (though in each case there are two parties larger than all others, even though most of the time no party has a parliamentary majority by itself). In these nations, multiple political parties have often formed coalitions for the purpose of developing power blocs for governing.

The multi-party system of proportional representation has allowed a small third party, [The Pirate Party](http://en.wikipedia.org/wiki/Pirate_Party), to come to prominence in Sweden, something that would be very unlikely in the United States. The Pirate Party strives to reform laws regarding copyright and patents. The agenda also includes support for a strengthening of the right to privacy, both on the Internet and in everyday life, and the transparency of state administration. The Party has intentionally chosen to be block independent on the traditional left-right scale to pursue their political agenda with all mainstream parties. The Pirate Party is the third largest party in Sweden in terms of membership. Its sudden popularity has given rise to parties with the same name and similar goals in Europe and worldwide.

## Voting Patterns and Inequality[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-17)]

In any political system where voting is allowed, some people are more likely to vote than others (see this Wikipedia article on [Voter turnout](http://en.wikipedia.org/wiki/Voter_turnout) for more information on this). Additionally, some people are more likely to have access to political power than are others. It is in teasing out the stratification of political participation and political power that the sociological imagination is particularly useful.

### Politics and Gender[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-18)]

While women are generally as likely to vote (or even more likely to vote; see figure below) in developed countries, women are underrepresented in political positions. Women make up a very small percentage of elected officials, both at local and national levels. In the U.S., for instance, in the 109th Congress (2005-2007) there were only 14 female Senators (out of 100) and 70 Congressional Representatives (out of 435). This is illustrated in the graph below:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Women_in_Congress_1977-2006.png/600px-Women_in_Congress_1977-2006.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This figure breaks down women's participation in Congress in the U.S. by year and by political party. Women are more likely to be elected as Democrats than as Republicans, but remain underrepresented among both parties relative to their percentages in the population as a whole.

In 2010 things had improved slightly; 17.2% of the House and 17% of the Senate were women, though a substantial imbalance remained between the two political parties.[[4]](Print_version.html#cite_note-Roberts2010-474)

  
One of the factors that predicts how people vote is attitudes toward gender equality.[[5]](Print_version.html#cite_note-McVeigh2007-475) U.S. counties with sex segregated occupations are 11% more likely to vote Republican than counties that have mixed-sex occupations. McVeigh and Sobolewski (2007) argue that the white males in sex segregated counties are more likely to vote for conservative candidates because they feel their occupational security is threatened by women and racial minorities.

### Politics and Age[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-19)]

Young people are much less likely to vote than are older people and are less likely to be politicians.[[4]](Print_version.html#cite_note-Roberts2010-474) This is illustrated for young people in the U.S. in the graph below (which also illustrates sex differences in voting rates):

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Voter_Turnout_by_Sex_and_Age,_2008_US_Presidential_Election.png/600px-Voter_Turnout_by_Sex_and_Age,_2008_US_Presidential_Election.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Young people are much less likely to vote than are older people. Also, women are generally about as likely as men to vote, but are underrepresented in political positions.

The lower voting rates of young people in the U.S. help explain why things like Medicare and Social Security in the U.S. are facing looming crises - the elderly will retain many of the benefits of these programs and are unwilling to allow them to be changed even though young people will be the ones to suffer the consequences of these crises. Older people are also more organized, through organizations like the [AARP](http://en.wikipedia.org/wiki/AARP) and are more likely to vote as a block on issues that affect them directly. As a result, older individuals in the U.S. have more power than younger people.

### Politics and Race[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-20)]

Generally, racial and ethnic minorities are less likely to vote in elections and are also underrepresented in political positions. The graph below illustrates the disparate voting rates between racial/ethnic groups in the U.S. in the 2008 Presidential Election:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Voter_Turnout_by_Race-Ethnicity,_2008_US_Presidential_Election.png/600px-Voter_Turnout_by_Race-Ethnicity,_2008_US_Presidential_Election.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Racial and ethnic minorities are generally less likely to vote than the majority population. In the U.S., this means whites are more likely to vote than are blacks, Asians, and Hispanics.

Racial and ethnic minorities are also less likely to hold political positions. If blacks were represented in proportion to their numbers in the U.S., there should be 12 Senators and 52 Members of the House. In 2009 there was 1 black Senator ([Roland Burris](http://en.wikipedia.org/wiki/Roland_Burris)) and 39 Members of the House. In 2010 the number in the House increased slightly to 41 (7.8%), but remained at just 1% of the Senate.[[4]](Print_version.html#cite_note-Roberts2010-474)

### Politics and Class[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-21)]

Another way that political power is stratified is through income and education. Wealthier and more educated people are more likely to vote (see figures to the right). Additionally, wealthier and more educated people are more likely to hold political positions. A good illustration of this is the 2004 Presidential Election in the U.S. The candidates, [John Kerry](http://en.wikipedia.org/wiki/John_Kerry), and [George W. Bush](http://en.wikipedia.org/wiki/George_W._Bush) are both [Yale University](http://en.wikipedia.org/wiki/Yale_University) alumni. John Kerry is a lawyer and George W. Bush has an [MBA](http://en.wikipedia.org/wiki/MBA) from Harvard. Both are white, worth millions of dollars, and come from families that have been involved in politics.

![Voter Turnout by Income, 2008 US Presidential Election.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ca/Voter_Turnout_by_Income,_2008_US_Presidential_Election.png/400px-Voter_Turnout_by_Income,_2008_US_Presidential_Election.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

![Voter Turnout by Educational Attainment, 2008 US Presidential Election.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/54/Voter_Turnout_by_Educational_Attainment,_2008_US_Presidential_Election.png/400px-Voter_Turnout_by_Educational_Attainment,_2008_US_Presidential_Election.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Politics&action=edit&section=T-22)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

# Collective behaviour[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=21)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-1)]

The term **Collective behavior** refers to social processes and events which do not reflect existing [social structure](http://en.wikipedia.org/wiki/social_structure) (laws, conventions, and [institutions](http://en.wikipedia.org/wiki/institutions)), but which emerge in a "spontaneous" way. Collective behavior might also be defined as action which is neither [conforming](http://en.wikipedia.org/wiki/Conformity) (in which actors follow prevailing [norms](http://en.wikipedia.org/wiki/norm)) nor [deviant](http://en.wikipedia.org/wiki/Deviance) (in which actors violate those norms). Collective behavior, a third form of action, takes place when norms are absent or unclear, or when they contradict each other. Scholars have devoted far less attention to collective behavior than they have to either conformity or deviance.

Examples of collective behavior include: [religious revival meetings](http://en.wikipedia.org/wiki/Revival_meeting) (like those depicted in the documentary [Marjoe](http://en.wikipedia.org/wiki/Marjoe)), a panic in a burning theater (e.g., the Kentucky [Beverly Hills Supper Club fire](http://en.wikipedia.org/wiki/Beverly_Hills_Supper_Club_fire)), a sudden widespread interest in a website (e.g., [MySpace](http://en.wikipedia.org/wiki/MySpace)) or clothing item (e.g., [wriststrong bracelets](http://en.wikipedia.org/wiki/Stephen_Colbert_\(character\)#Non-fictional_elements)), a collective social movement to improve the environment (e.g., [Greenpeace](http://en.wikipedia.org/wiki/Greenpeace)), or the rapid spread of [rumors](http://en.wikipedia.org/wiki/rumors) (e.g., [that Barack Obama is Muslim or not a US citizen](http://en.wikipedia.org/wiki/Barack_Obama_presidential_primary_campaign,_2008#Religion.2C_citizenship.2C_and_loyalty)). These diverse actions fall within the area sociologists call collective behavior.

Collective behavior differs from _group_ behavior in three ways:

  1. collective behavior involves limited and short-lived social interaction while groups tend to remain together longer
  2. collective behavior has no clear social boundaries; anyone can be a member of the collective while group membership is usually more discriminating
  3. collective behavior generates weak and unconventional norms while groups tend to have stronger and more conventional norms

Traditionally, collective behavior in sociology includes four forms[[6]](Print_version.html#cite_note-Blumer1951-476): the crowd, the public, the mass, and the social movement. While there is a degree of debate over what should be included under the label of "collective behavior" among sociologists today, often included are additional behaviors like: rumors, riots, trends, and fads.

## Why Study Collective Behavior?[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-2)]

Aside from the intrinsic interest of understanding why large groups of people behave the way they do, there are practical reasons why the study of collective behavior is important. Two examples might illustrate the practical importance:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Who_-_1975.jpg/200px-Who_-_1975.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Who following a performance in 1975.

"On December 3, 1979, eleven fans were killed by compressive [asphyxia](http://en.wikipedia.org/wiki/asphyxia) and several dozen others injured in the rush for seating at the opening of a sold-out concert by English rock band [The Who](http://en.wikipedia.org/wiki/The_Who). The concert was using "[festival seating](http://en.wikipedia.org/wiki/festival_seating)", (also known as "general seating"), where the best seats are available on a first-come, first-served basis. Due to the festival seating, many fans arrived early. When the crowds waiting outside heard the band performing a late sound check, they thought that the concert was beginning and tried to rush into the still-closed doors. Some at the front of the crowd were trampled as those pushing from behind were unaware that the doors were still closed. Only a few doors were in operation that night, and there are reports that management did not open more doors due to the concern of people sneaking past the ticket turnstiles."

Better architectural design and crowd management might have avoided this tragedy. How to redesign buildings and manage crowds are two types of knowledge that can result from the study of collective behavior. Understanding how people behave in riots, what sets them off, and how they can be rapidly concluded is also knowledge that can result from the study of collective behavior. Additionally, understanding how humans react during natural disasters and ensure that the damage that occurs is entirely a result of the disaster and not the human response to it.

Another motivation for studying collective behavior is in order to actually change elements of society. This is the component of collective behavior known as "social movements." Again, an example may help illustrate this point:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3c/Bloody_Sunday-Alabama_police_attack.jpeg/240px-Bloody_Sunday-Alabama_police_attack.jpeg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Police attack civil-rights marchers outside Selma, Alabama, on Bloody Sunday, March 7, 1965.

"On March 7, 1965, African American leaders led a march of 600 people to walk the 54 miles (87 km) from [Selma](http://en.wikipedia.org/wiki/Selma) to the state capital in Montgomery. Only six blocks into the march, however, state troopers and local law enforcement attacked the peaceful demonstrators with billy clubs, tear gas, rubber tubes wrapped in barbed wire and bull whips. They drove the marchers back into Selma. The national broadcast of the footage of lawmen attacking unresisting marchers seeking the right to vote provoked a national response. Eight days after the first march, [Lyndon Johnson](http://en.wikipedia.org/wiki/Lyndon_Johnson) delivered a televised address to garner support for the voting rights bill he had sent to Congress. In it he stated:

_But even if we pass this bill, the battle will not be over. What happened in Selma is part of a far larger movement which reaches into every section and state of America. It is the effort of American Negroes to secure for themselves the full blessings of American life. Their cause must be our cause too. Because it is not just Negroes, but really it is all of us, who must overcome the crippling legacy of bigotry and injustice. And we shall overcome._

Johnson signed the Voting Rights Act of 1965 on August 6. The 1965 act suspended [poll taxes](http://en.wikipedia.org/wiki/poll_taxes), [literacy tests](http://en.wikipedia.org/wiki/literacy_tests) and other subjective voter tests. It authorized Federal supervision of voter registration in states and individual voting districts where such tests were being used. The act had an immediate and positive impact for African Americans. Within months of its passage, 250,000 new black voters had been registered. Within four years, voter registration in the South had more than doubled."

Understanding how to organize a social movement to pursue social change is one of the areas studied by sociologists. Better understanding how to organize such a movement can provide movement members the tools they need to succeed.

Various forms of collective behavior are examined in detail in the following sections.

## Crowds[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-3)]

A _crowd_ is a gathering of people who share a purpose or intent and influence one another. Crowds are a common occurrence in modern life. Most sporting events, concerts, and other performances result in the gathering of crowds. Blumer (1951) differentiated four types of crowds:

  * casual - loose collection of people with no real interaction (e.g, people at the mall)
  * conventional - deliberately planned meeting (e.g., community meeting organized by political leaders)
  * expressive - depicts a crowd at an emotionally charged event (e.g., a political rally or soccer game in Europe or Latin America)
  * acting - a crowd intent on accomplishing something (e.g., fans rushing a stage during or after a concert)

When crowd behavior is directed toward a specific, violent end, the result is a [mob](http://en.wikipedia.org/wiki/ochlocracy). Mobs tend to be highly emotional. Examples of mob violence include the [lynchings](http://en.wikipedia.org/wiki/lynching) in the Southern U.S. during the 19th and 20th centuries. Violent crowd behavior without a specific goal is a [riot](http://en.wikipedia.org/wiki/riot). Because riots do not have a specific end, it is assumed that their intention is to express general dissatisfaction.

### Diffuse Crowds[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-4)]

Collective behavior can also refer to behavior that is diffused or dispersed over large distances. Not all collective behavior has to occur in the immediate vicinity of others (compact crowds). This is especially true with the advent of mass media, which allows for the rapid distribution of information around the world.

### Theories of Crowd Behavior[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-5)]

#### Contagion Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-6)]

Originally proposed by Gustave LeBon (1896), _contagion theory_ proposes that crowds exert a hypnotic influence on their members. The hypnotic influence, combined with the anonymity of belonging to a large group of people, results in irrational, emotionally charged behavior. Or, as the name implies, the frenzy of the crowd is somehow _contagious_, like a disease, and the contagion feeds upon itself, growing with time. This also implies that the behavior of a crowd is an emergent property of the people coming together and not a property of the people themselves.

There are several problems with LeBon's theory. First, contagion theory presents members of crowds as irrational. Much crowd behavior, however, is actually the result of rational fear (e.g., being trapped in a burning theater) or a rational sense of injustice (e.g., [the Cincinnati race riots](http://en.wikipedia.org/wiki/2001_Cincinnati_Riots)). Second, crowd behavior is often instigated by and guided by individuals. That the crowd seems to take on a life of its own is certainly true, but the influence of the individual should not be overlooked.

It is also worth noting that LeBon's book is from the perspective of a frightened aristocrat. He interprets the crowd episodes of the French Revolution as irrational reversions to animal emotion, which he sees as characteristic of crowds in general. Blumer sees crowds as emotional, but as capable of any emotion, not only the negative ones of anger and fear.

#### Convergence Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-7)]

_Convergence theory_ argues that the behavior of a crowd is not an emergent property of the crowd but is a result of like-minded individuals coming together. In other words, if a crowd becomes violent (a mob or riot), convergence theory would argue that this is not because the crowd encouraged violence but rather because people who wanted to become violent came together in the crowd.

The primary criticism of convergence theory is that there is a tendency for people to do things in a crowd that they would not do on their own. Crowds have an anonymizing effect on people, leading them to engage in sometimes outlandish behavior. Thus, while some crowds may result from like-minded individuals coming together to act collectively (e.g., political rally), some crowds actually spur individuals into behavior that they would otherwise not engage in.

#### Emergent-Norm Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-8)]

_Emergent-Norm Theory_ combines the above two theories, arguing that it is a combination of like-minded individuals, anonymity, and shared emotion that leads to crowd behavior. This theory takes a symbolic interactionist approach to understanding crowd behavior. It argues that people come together with specific expectations and norms, but in the interactions that follow the development of the crowd, new expectations and norms can emerge, allowing for behavior that normally would not take place.

#### Crowds as "Gatherings"[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-9)]

More recent research into collective behavior has begun to change sociological thinking on crowds.[[7]](Print_version.html#cite_note-Schweingruber1999-477) This new approach distinguishes what brings people together as a gathering from what they do once gathered. Most gatherings are temporary and are formed by an assembling process. Individuals who gather are often acquainted and invited or informed about the gathering. Once gathered, the subgroups of individuals who already know one another tend to stay together throughout the gathering. There are, of course, some solitary individuals as well.

This line of research also dispenses with the idea that crowds impair judgment.[[7]](Print_version.html#cite_note-Schweingruber1999-477) Alcohol and drugs, which can contribute to deviant behavior, certainly can impair judgment and influence the actions of crowds, but crowds themselves do not impair judgment. The actions of individuals at gatherings also illustrate that individuals remain independent, sometimes responding to solicitations, sometimes ignoring them, sometimes interacting with their subgroup, and sometimes acting spontaneously.[[7]](Print_version.html#cite_note-Schweingruber1999-477)

Gatherings also exhibit dispersing processes that end the gatherings.[[7]](Print_version.html#cite_note-Schweingruber1999-477) Sometimes these are emergency dispersal, as when authorities arrive and try to end the gathering. Sometimes they are planned or the enthusiasm of the gathering wanes and people simply leave. Perhaps the key point of the "crowds as gatherings" approach is that there is a great deal of variation in gatherings.

## Panic[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-10)]

Panic is a sudden terror which dominates thinking and often affects groups of people. Panics typically occur in disaster situations, such as during a fire, and may endanger the overall health of the affected group. Architects and city planners try to accommodate the symptoms of panic, such as herd behavior, during design and planning, often using simulations to determine the best way to lead people to a safe exit.

### Moral Panic[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-11)]

A _moral panic_ is a mass movement based on the perception that some individual or group, frequently a minority group or a subculture, poses a menace to society. These panics are generally fuelled by media coverage of social issues (although semi-spontaneous moral panics do occur), and often include a large element of mass hysteria. A moral panic is specifically framed in terms of morality, and usually expressed as outrage rather than unadulterated fear. Though not always, very often moral panics revolve around issues of sex and sexuality. A widely circulated and new-seeming [urban legend](http://en.wikipedia.org/wiki/urban_legend) is frequently involved. These panics can sometimes lead to mob violence. The term was coined by Stanley Cohen in 1972 to describe media coverage of [Mods and Rockers](http://en.wikipedia.org/wiki/Mods_and_Rockers) in the United Kingdom in the 1960s.

Recent moral panics in the UK have included the ongoing tabloid newspaper campaign against pedophiles, which led to the assault and persecution of a pediatrician by an angry, if semi-literate, mob in August 2000, and that surrounding the murder of James Bulger in Liverpool, England in 1993. [(See this page for examples of moral panic.)](http://en.wikipedia.org/wiki/moral_panic)

## Riots[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-12)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/28/Protest_0112.JPG/250px-Protest_0112.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Confrontation between protesters and riot police during a Belizian riot, 2005.

A riot is a form of civil disorder characterized by disorganized groups lashing out in a sudden and intense rash of violence, vandalism or other crime. While individuals may attempt to lead or control a riot, riots are typically chaotic and exhibit herd-like behavior. Riots often occur in reaction to a perceived grievance or out of dissent. Historically, riots have occurred due to poor working or living conditions, government oppression, taxation or conscription, conflicts between races or religions, the outcome of a sporting event, or frustration with legal channels through which to air grievances. Riots typically involve vandalism and the destruction of private and public property. The specific property to be targeted varies depending on the cause of the riot and the inclinations of those involved. Targets can include shops, cars, restaurants, state-owned institutions, and religious buildings.

## Mass Hysteria[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-13)]

_Hysteria_ is a diagnostic label applied to a state of mind, one of unmanageable fear or emotional excesses. People who are "hysterical" often lose self-control due to the overwhelming fear.

The term also occurs in the phrase _mass hysteria_ to describe mass public near-panic reactions. It is commonly applied to the waves of popular medical problems that _everyone gets_ in response to news articles, such as the [yuppy flu](http://en.wikipedia.org/wiki/yuppy_flu) of the late 1980s. A similar usage refers to any sort of _public wave_ phenomenon, and has been used to describe the periodic widespread reappearance and public interest in UFO reports, crop circles, and similar examples.

Hysteria is often associated with movements like the [Salem Witch Trials](http://en.wikipedia.org/wiki/Salem_Witch_Trials), [the Red Scare](http://en.wikipedia.org/wiki/Red_Scare), [McCarthyism](http://en.wikipedia.org/wiki/McCarthyism), and [Satanic ritual abuse](http://en.wikipedia.org/wiki/Satanic_ritual_abuse), where it is better understood through the related sociological term of _moral panic_.

Mass hysterias can also exhibit themselves in the sudden onset of [psychogenic](http://en.wikipedia.org/wiki/psychogenic) illnesses, or illnesses that are the result of psychology and not an external source (e.g., like a pollutant or infectious agent). A recent example of psychogenic illness resulting from mass hysteria occurred in [Jilin](http://en.wikipedia.org/wiki/Jilin), China in 2009 when hundreds of workers at an acrylic yarn factory began to fall ill.[[8]](Print_version.html#cite_note-Jacobs2009-478) Doctors in China determined that, for most of those who fell ill, there were no physical indications of poisoning, which is what the workers claimed caused the illness.

## Fads[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-14)]

A fad, also known as a craze, refers to a fashion that becomes popular in a culture (or subcultures) relatively quickly, remains popular, often for a rather brief period, then loses popularity dramatically. ([See this page for a list of fads.](http://en.wikipedia.org/wiki/fad))

## Rumors[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-15)]

A **rumor** is often viewed as "an unverified account or explanation of events circulating from person to person and pertaining to an object, event, or issue in public concern" (p. 33)[[9]](Print_version.html#cite_note-Peterson1951-479), though the definition can vary.[[10]](Print_version.html#cite_note-Pendleton1998-480) Rumors generally involve some kind of a statement the veracity of which is not quickly or ever confirmed.

Rumors have three basic characteristics

  1. they're transmitted by word of mouth
  2. they provide "information" about a person, happening, or condition
  3. they express and gratify the emotional needs of the community

There are also various types of rumors, including:

  1. Pipe dream rumors, which reflect public desires and wished-for outcomes
  2. Bogie or fear rumors that reflect feared outcomes
  3. Wedge-driving rumors that intend to undermine group loyalty or interpersonal relations

As rumors travel they grow shorter, more concise, and more easily grasped.[[11]](Print_version.html#cite_note-Allport1951-481) About 70% of details in a message are lost in the first 5 to 6 transmissions.[[11]](Print_version.html#cite_note-Allport1951-481) Negative rumors are more likely to be disseminated than positive rumors.

Rumors may be part of a collective explanation process.[[12]](Print_version.html#cite_note-Bordia2004-482) Bordia and DiFonzo found that 29.4% of statements on archived internet message boards are sensemaking statements that attempt to solve problems. The rest of the discussion revolves around these statements.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c2/ObamaSouthCarolina.jpg/200px-ObamaSouthCarolina.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Two prominent rumors about Barack Obama circulated during his 2008 Presidential Campaign, that he was not born in the U.S. and that he is Muslim.

Rumors may also be be political communication strategies. Media and particular cultural-historical conditions may facilitate a rumor's diffusion.[[13]](Print_version.html#cite_note-Harsin2006-483) In 2006, Jayson Harsin introduced the concept of the "rumor bomb" to describe the widespread phenomenon of rumoresque communication in contemporary relations between media and politics, especially within the complex convergence of multiple forms of media, from cell phones and internet, to radio, TV, and print. Harsin treats rumor as a particular rhetorical strategy. For Harsin a "rumor bomb" extends the definition of rumor into a political communication concept with the following features:

  1. A crisis of verification. A crisis of verification is perhaps the most salient and politically dangerous aspect of rumor.
  2. A context of public uncertainty or anxiety about a political group, figure, or cause, which the rumor bomb overcomes or transfers onto an opponent.
  3. A clearly partisan even if an anonymous source (eg. "an unnamed advisor to the president"), which seeks to profit politically from the rumor bomb’s diffusion.
  4. A rapid diffusion via highly developed electronically mediated societies where news travels fast.

Examples of rumors include:

  * the alleged removal of weapons of mass destruction from Iraq to Syria[[14]](Print_version.html#cite_note-NYSUN-484)
  * sexual innuendo in [The Little Mermaid](http://en.wikipedia.org/wiki/The_Little_Mermaid_\(1989_film\)#Controversy) adaptation by Disney
  * sexual innuendo in [The Lion King](http://en.wikipedia.org/wiki/The_Lion_King#Alleged_subliminal_messaging), another Disney film
  * sexual innuendo in [Aladdin](http://en.wikipedia.org/wiki/Aladdin_\(1992_film\)#Controversies), another Disney film
  * that John McCain had an illegitimate black child [[15]](Print_version.html#cite_note-BostonGlobe2004-485)
  * that Barack Obama is a [Muslim](http://en.wikipedia.org/wiki/Barack_Obama_presidential_primary_campaign,_2008#Obama.27s_name) and [was not born in the U.S.](http://en.wikipedia.org/wiki/Barack_Obama_citizenship_conspiracy_theories)

There are several good online resources for checking rumors and urban legends, including:

  * [snopes.com](http://www.snopes.com), particularly useful for checking email rumors
  * [urbanlegend.com](http://www.urbanlegend.com)
  * [factcheck.org](http://www.factcheck.org), particularly useful for checking political rumors

## Research Examples[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-16)]

Berk (1974)[[16]](Print_version.html#cite_note-Berk1974-486) uses [game theory](http://en.wikipedia.org/wiki/game_Theory) to suggest that even a panic in a burning theater can reflect rational calculation: If members of the audience decide that it is more rational to run to the exits than to walk, the result may look like an animal-like stampede without in fact being irrational. In a series of empirical studies of assemblies of people, McPhail (1991)[[17]](Print_version.html#cite_note-McPhail1991-487) argues that crowds vary along a number of dimensions, and that traditional stereotypes of emotionality and unanimity often do not describe what happens in crowds.

## Suggested Multimedia Resources[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-17)]

  * The Final Report: LA Riots. <http://channel.nationalgeographic.com/series/final-report/2770/Overview> (Accessed May 5, 2008).

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-18)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This chapter draws on the following Wikipedia articles:

  * [collective behavior](http://en.wikipedia.org/wiki/collective_behavior)
  * [fad](http://en.wikipedia.org/wiki/fad)
  * [panic](http://en.wikipedia.org/wiki/panic)
  * [hysteria](http://en.wikipedia.org/wiki/hysteria)
  * [social movements](http://en.wikipedia.org/wiki/social_movements)
  * [rumor](http://en.wikipedia.org/wiki/rumor)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Collective_Behavior&action=edit&section=T-19)]

[The University of Delaware Disaster Research Center](http://www.udel.edu/DRC/)

  


← [Health and Medicine](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Health_and_Medicine) · [Social Movements](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Social_Movements) →

← [Health and Medicine](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Health_and_Medicine) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)** · [Social Movements](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Social_Movements) →

# Social movements[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=22)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-1)]

**Social movements** are any broad social alliances of people who are connected through their shared interest in blocking or affecting social change. Social movements do not have to be formally organized. Multiple alliances may work separately for common causes and still be considered a social movement.

A distinction is drawn between social movements and _social movement organizations_ (SMOs). A social movement organization is a formally organized component of a social movement. But an SMO may only make up a part of a particular social movement. For instance, [PETA](http://en.wikipedia.org/wiki/People_for_the_Ethical_Treatment_of_Animals) (People for the Ethical Treatment of Animals) advocates for vegan lifestyles along with its other aims. But PETA is not the only group to advocate for vegan diets and lifestyles; there are numerous other groups actively engaged toward this end (see [vegan](http://en.wikipedia.org/wiki/vegan)).[[18]](Print_version.html#cite_note-Maurer2002-488) Thus, the social movement may be a push toward veganism (an effort with numerous motivations)[[18]](Print_version.html#cite_note-Maurer2002-488) and PETA is an SMO working within the broader social movement.

Modern social movements became possible through the wider dissemination of literature and increased mobility of labor due to the industrialization of societies. Organised social structures like modern day armies, political societies, and popular movements required freedom of expression, education and relative economic independence.

Giddens[[19]](Print_version.html#cite_note-Giddens1985-489) has identified four areas in which social movements operate in modern societies:

  1. democratic movements that work for political rights
  2. labor movements that work for control of the workplace
  3. ecological movements that are concerned with the environment
  4. peace movements that work toward, well, peace

It is also interesting to note that social movements can spawn counter movements. For instance, the women's movement of the 1960s and 1970s resulted in a number of counter movements that attempted to block the goals of the women's movement, many of which were reform movements within conservative religions.[[20]](Print_version.html#cite_note-Chaves1997-490)

## Types of Social Movements[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-2)]

Aberle[[21]](Print_version.html#cite_note-Aberle1966-491) described four types of social movements based upon two characteristics: (1) who is the movement attempting to change and (2) how much change is being advocated. Social movements can be aimed at change on an individual level (e.g., [AA](http://en.wikipedia.org/wiki/Alcoholics_Anonymous)) or change on a broader, group or even societal level (e.g., [anti-globalization](http://en.wikipedia.org/wiki/anti-globalization_movement)). Social movements can also advocate for minor changes (e.g., tougher restrictions on drunk driving; see [MADD](http://en.wikipedia.org/wiki/Mothers_Against_Drunk_Driving)) or radical changes (e.g., [prohibition](http://en.wikipedia.org/wiki/prohibition)).

![Types of social movements.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Types_of_social_movements.svg/400px-Types_of_social_movements.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## Stages in Social Movements[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-3)]

Blumer,[[22]](Print_version.html#cite_note-Blumer1969-492) Mauss,[[23]](Print_version.html#cite_note-Mauss1975-493) and Tilly[[24]](Print_version.html#cite_note-Tilly1978-494) have described different stages social movements often pass through. Movements emerge for a variety of reasons (see the theories below), coalesce, and generally bureaucratize. At that point, they can take a number of paths, including: finding some form of movement success, failure, co-optation of leaders, repression by larger groups (e.g., government), or even the establishment of the movement within the mainstream.

Whether these paths will result in movement decline or not varies from movement to movement. In fact, one of the difficulties in studying social movements is that movement success is often ill-defined because movement goals can change. For instance, [MoveOn.org](http://www.moveon.org), a website founded in the late 1990s, was originally developed to encourage national politicians to move past the Clinton impeachment proceedings (see [here](http://www.moveon.org/about/)). Since that time, the group has developed into a major player in national politics in the U.S. and developed into a [Political Action Committee or PAC](http://en.wikipedia.org/wiki/Political_Action_Committee). In this instance, the movement may or may not have attained its original goal - encouraging the censure of Clinton and moving on to more pressing issues - but the goals of the SMO have changed. This makes the actual stages the movement has passed through difficult to discern.

![Stages of social movements.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d5/Stages_of_social_movements.svg/400px-Stages_of_social_movements.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## Social Movement Theories[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-4)]

A variety of theories have attempted to explain how social movements develop. Some of the better-known approaches are outlined below.

### Deprivation Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-5)]

_Deprivation Theory_ argues that social movements have their foundations among people who feel deprived of some good(s) or resource(s). According to this approach, individuals who are lacking some good, service, or comfort are more likely to organize a social movement to improve (or defend) their conditions.[[25]](Print_version.html#cite_note-Morrison1978-495)

There are two significant problems with this theory. First, since most people feel deprived at one level or another almost all the time, the theory has a hard time explaining why the groups that form social movements do when other people are also deprived. Second, the reasoning behind this theory is circular - often the only evidence for deprivation is the social movement. If deprivation is claimed to be the cause but the only evidence for such is the movement, the reasoning is circular.[[26]](Print_version.html#cite_note-Jenkins1977-496)

### Mass-Society Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-6)]

_Mass-Society Theory_ argues that social movements are made up of individuals in large societies who feel insignificant or socially detached. Social movements, according to this theory, provide a sense of empowerment and belonging that the movement members would otherwise not have.[[27]](Print_version.html#cite_note-Kornhauser1959-497)

Very little support has been found for this theory. Aho,[[28]](Print_version.html#cite_note-Aho1990-498) in his study of Idaho Christian Patriotism, did not find that members of that movement were more likely to have been socially detached. In fact, the key to joining the movement was having a friend or associate who was a member of the movement.

### Structural-Strain Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-7)]

_Structural-Strain Theory_ proposes six factors that encourage social movement development:[[29]](Print_version.html#cite_note-Smelser1962-499)

  1. structural conduciveness - people come to believe their society has problems
  2. structural strain - people experience deprivation
  3. growth and spread of a solution - a solution to the problems people are experiencing is proposed and spreads
  4. precipitating factors - discontent usually requires a catalyst (often a specific event) to turn it into a social movement
  5. lack of social control - the entity that is to be changed must be at least somewhat open to the change; if the social movement is quickly and powerfully repressed, it may never materialize
  6. mobilization - this is the actual organizing and active component of the movement; people do what needs to be done

This theory is also subject to circular reasoning as it incorporates, at least in part, deprivation theory and relies upon it, and social/structural strain for the underlying motivation of social movement activism. However, social movement activism is, like in the case of deprivation theory, often the only indication that there was strain or deprivation.

### Resource-Mobilization Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-8)]

_Resource-Mobilization Theory_ emphasizes the importance of resources in social movement development and success. Resources are understood here to include: knowledge, money, media, labor, solidarity, legitimacy, and internal and external support from power elite. The theory argues that social movements develop when individuals with grievances are able to mobilize sufficient resources to take action. The emphasis on resources offers an explanation why some discontented/deprived individuals are able to organize while others are not.

Some of the assumptions of the theory include:

  * there will always be grounds for protest in modern, politically pluralistic societies because there is constant discontent (i.e., grievances or deprivation); this de-emphasizes the importance of these factors as it makes them ubiquitous
  * actors are rational; they weigh the costs and benefits from movement participation
  * members are recruited through networks; commitment is maintained by building a collective identity and continuing to nurture interpersonal relationships
  * movement organization is contingent upon the aggregation of resources
  * social movement organizations require resources and continuity of leadership
  * social movement entrepreneurs and protest organizations are the catalysts which transform collective discontent into social movements; social movement organizations form the _backbone_ of social movements
  * the form of the resources shapes the activities of the movement (e.g., access to a TV station will result in the extensive use TV media)
  * movements develop in contingent _opportunity structures_ that influence their efforts to mobilize; as each movement's response to the opportunity structures depends on the movement's organization and resources, there is no clear pattern of movement development nor are specific movement techniques or methods universal

Critics of this theory argue that there is too much of an emphasize on resources, especially financial resources. Some movements are effective without an influx of money and are more dependent upon the movement members for time and labor (e.g., the civil rights movement in the U.S.).

### Political Process Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-9)]

_Political Process Theory_ is similar to resource mobilization in many regards, but tends to emphasize a different component of social structure that is important for social movement development: political opportunities. Political process theory argues that there are three vital components for movement formation: insurgent consciousness, organizational strength, and political opportunities.

Insurgent consciousness refers back to the ideas of deprivation and grievances. The idea is that certain members of society feel like they are being mistreated or that somehow the system is unjust. The insurgent consciousness is the collective sense of injustice that movement members (or potential movement members) feel and serves as the motivation for movement organization.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e4/J20_democracy_dc.jpg/250px-J20_democracy_dc.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Photo taken at the 2005 U.S. Presidential inauguration protest.

Organizational strength falls inline with resource-mobilization theory, arguing that in order for a social movement to organize it must have strong leadership and sufficient resources.

Political opportunity refers to the receptivity or vulnerability of the existing political system to challenge. This vulnerability can be the result of any of the following (or a combination thereof):

  * growth of political pluralism
  * decline in effectiveness of repression
  * elite disunity; the leading factions are internally fragmented
  * a broadening of access to institutional participation in political processes
  * support of organized opposition by elites

One of the advantages of the political process theory is that it addresses the issue of timing or emergence of social movements. Some groups may have the insurgent consciousness and resources to mobilize, but because political opportunities are closed, they will not have any success. The theory, then, argues that all three of these components are important.

Critics of the political process theory and resource-mobilization theory point out that neither theory discusses movement culture to any great degree. This has presented culture theorists an opportunity to expound on the importance of culture.

One advance on the political process theory is the _political mediation model,_ which outlines the way in which the political context facing movement actors intersects with the strategic choices that movements make. An additional strength of this model is that it can look at the outcomes of social movements not only in terms of success or failure but also in terms of consequences (whether intentional or unintentional, positive or negative) and in terms of [collective benefits](http://en.wikipedia.org/wiki/collective_benefits).

### Culture Theory[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-10)]

_Culture theory_ builds upon both the political process and resource-mobilization theories but extends them in two ways. First, it emphasizes the importance of movement culture. Second, it attempts to address the _[free-rider problem](http://en.wikipedia.org/wiki/free_rider_problem)_.

Both resource-mobilization theory and political process theory include a sense of injustice in their approaches. Culture theory brings this sense of injustice to the forefront of movement creation by arguing that, in order for social movements to successfully mobilize individuals, they must develop an _injustice frame_. An injustice frame is a collection of ideas and symbols that illustrate both how significant the problem is as well as what the movement can do to alleviate it,

    "Like a picture frame, an issue frame marks off some part of the world. Like a building frame, it holds things together. It provides coherence to an array of symbols, images, and arguments, linking them through an underlying organizing idea that suggests what is essential - what consequences and values are at stake. We do not see the frame directly, but infer its presence by its characteristic expressions and language. Each frame gives the advantage to certain ways of talking and thinking, while it places others out of the picture." (p. 14) [[30]](Print_version.html#cite_note-Ryan2006-500)

A few things we know about injustice frames:[[30]](Print_version.html#cite_note-Ryan2006-500)

  * Facts take on their meaning by being embedded in frames, which render them relevant and significant or irrelevant and trivial.
  * People carry around multiple frames in their heads.
  * Successful reframing involves the ability to enter into the worldview of our adversaries.
  * All frames contain implicit or explicit appeals to moral principles.

In emphasizing the injustice frame, culture theory also addresses the free-rider problem. The free-rider problem refers to the idea that people will not be motivated to participate in a social movement that will use up their personal resources (e.g., time, money, etc.) if they can still receive the benefits without participating. In other words, if person X knows that movement Y is working to improve environmental conditions in his neighborhood, he is presented with a choice: join or not join the movement. If he believes the movement will succeed without him, he can avoid participation in the movement, save his resources, and still reap the benefits - this is _free-riding_. A significant problem for social movement theory has been to explain why people join movements if they believe the movement can/will succeed without their contribution. Culture theory argues that, in conjunction with social networks being an important contact tool, the injustice frame will provide the motivation for people to contribute to the movement.

Framing processes includes three separate components:

  * Diagnostic frame: the movement organization frames what is the problem or what they are critiquing
  * Prognostic frame: the movement organization frames what is the desirable solution to the problem
  * Motivational frame: the movement organization frames a "call to arms" by suggesting and encouraging that people take action to solve the problem

## New Social Movement theories[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-11)]

See Wikipedia's page on [NSM theories](http://en.wikipedia.org/wiki/New_social_movements).

## Examples of Social Movements[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-12)]

  * [civil rights movement](http://en.wikipedia.org/wiki/civil_rights_movement) in the United States
  * [environmental movement](http://en.wikipedia.org/wiki/environmental_movement)
  * [green movement](http://en.wikipedia.org/wiki/green_movement)
  * [gay rights movement](http://en.wikipedia.org/wiki/gay_rights_movement)
  * [labor movement](http://en.wikipedia.org/wiki/labor_movement)
  * [anti-globalization movement](http://en.wikipedia.org/wiki/anti-globalization_movement)
  * [vegetarian movement](http://en.wikipedia.org/wiki/vegetarian_movement)
  * [feminist movement](http://en.wikipedia.org/wiki/feminist_movement)
  * [pro-life movement](http://en.wikipedia.org/wiki/pro-life_movement)

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-13)]

Additional Topics may include:

  * Joining Movements

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-14)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

This page draws heavily on the following Wikipedia articles:

  * [social movement](http://en.wikipedia.org/wiki/social_movement)

## External Links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Social_Movements&action=edit&section=T-15)]

[[Understanding the World Today](http://gsociology.icaap.org)] Summary of theories on social change, and links to research, data, more, about social change.

← [Collective Behavior](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Collective_Behavior)

← [Collective Behavior](http://en.wikibooks.org/wiki/Introduction_to_Sociology/Collective_Behavior) · **[Introduction to Sociology](http://en.wikibooks.org/wiki/Introduction_to_Sociology)**

# Being a Sociologist[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=23)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-1)]

Now that you know what sociologists study, you might be wondering: What can you do with a degree in sociology? In an ideal world, just studying social problems would make them go away. But, alas, as you've learned from reading this book, we don't live in an ideal world and there is far more to do than just study social life with a degree in Sociology. The American Sociological Association, among others, has looked into this question and have some pretty intriguing answers.[[31]](Print_version.html#cite_note-Spalter-Roth2005-501) What follows is a brief explanation of what you can do with a degree in Sociology.

## Sociology Majors[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-2)]

Despite the many tests that suggest otherwise, there is no correlation between personality and career choice.[[32]](Print_version.html#cite_note-Garcia-Sedeno-502) Thus, there is no particular "personality type" among sociology majors.

The average graduating sociology major is a young female (early 20s) who is white and single. Almost 80% of students graduating with sociology degrees are female, and nearly that many (75%) are white. Less than half of the parents of sociology majors have baccalaureate degrees of their own.[[31]](Print_version.html#cite_note-Spalter-Roth2005-501)

Many sociology majors choose the major because they found their first exposure to the discipline engaging (usually through an introductory course). Most sociology majors chose the discipline because they found the concepts discussed in their course interesting. Only 7% of sociology majors choose the discipline because it appears easy, and relatively few (5%) choose it because the major they wanted was unavailable. In other words, sociology majors find the discipline exciting and challenging and generally enjoy studying sociology.[[31]](Print_version.html#cite_note-Spalter-Roth2005-501)

By the time they graduate, 90% of sociology majors report understanding the basic concepts of the discipline (e.g., social structure, social stratification, etc.). Most also grasp the differences in the theoretical paradigms of sociology (e.g., structural functionalism, conflict theory, etc.). Sociology majors feel confident in the following skills as a result of their degree: identifying ethical issues in research, developing evidence-based arguments, evaluating different research methods, writing reports that are understandable by non-sociologists, forming causal hypothesis, using computers to develop reference lists, interpreting the results of data analysis, and using statistical software (though slightly less than 50% feel confident in their ability to use statistical software).[[31]](Print_version.html#cite_note-Spalter-Roth2005-501)

Sociology majors are generally satisfied overall with their experience earning a sociology degree. Most are also satisfied with the quality of teaching, the accessibility to technology and faculty, their interaction with other majors, and getting the courses they need to graduate. Unfortunately, most students (between 80% and 92%) are dissatisfied with the information provided on graduate school and career opportunities (hopefully this brief chapter will help fill this void).[[31]](Print_version.html#cite_note-Spalter-Roth2005-501)

## Bachelor's Degree Occupations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-3)]

What can you do with a Baccalaureate degree in Sociology? While it may not seem like it when you are deep into studying race relations or gender stratification, the training you receive as a sociology major is actually quite applicable outside academia as well. College graduates trained in sociology bring unique and valuable insights into business decisions concerning issues surrounding race, ethnicity, gender, age, education, and social class.[[33]](Print_version.html#cite_note-Mercurio2008-503) To give a specific example, a sociology major could help a company like [CVS](http://en.wikipedia.org/wiki/CVS) realize the problem with tagging hair care items for African Americans with anti-theft measures while not doing the same for hair care items for whites.[[34]](Print_version.html#cite_note-CVS2008-504) Practices like these may seem pragmatic to the managers of these stores, but they also alienate consumers.[[34]](Print_version.html#cite_note-CVS2008-504)

College graduates trained in sociology bring many skills to their jobs, including: the ability to recognize trends and patterns, the ability to create concise reports and essays, strong critical thinking skills, oral presentation skills, strong interpersonal communication skills, skills in data collection and analysis using statistical software, grant writing skills, management skills, and planning and organizational skills.[[35]](Print_version.html#cite_note-WorldWideLearn-505) All of these skills are potentially invaluable contributions to workplaces.

Most graduating seniors (around 72%) plan on getting a job right out of college. Around 40% plan on going on to graduate school (these paths aren't mutually exclusive of course, you can work while going to graduate school). There are a number of institutions where sociologists find employment, including: schools, churches, hospitals, corporations, government, and social service agencies.[[33]](Print_version.html#cite_note-Mercurio2008-503) For those planning on getting jobs, all of the following are career paths sociology majors are well-suited for: [organizational planning, development, and training](http://en.wikipedia.org/wiki/Organization_development); [human resource management](http://en.wikipedia.org/wiki/Human_resource_management); [industrial relations](http://en.wikipedia.org/wiki/Industrial_relations); [marketing](http://en.wikipedia.org/wiki/Marketing); [public relations](http://en.wikipedia.org/wiki/Public_relations); [organizational research](http://en.wikipedia.org/wiki/Organizational_studies); and [international business](http://en.wikipedia.org/wiki/International_business).[[36]](Print_version.html#cite_note-ASACareers-506)

### The Corporate World[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-4)]

Some sociologists find the adaptation of their sociological training and insights to the business world relatively easy.[[33]](Print_version.html#cite_note-Mercurio2008-503) Corporations want and need to understand their customers' habits and preferences in order to anticipate changes in their markets. This drive to understand consumers is called _[consumer research](http://en.wikipedia.org/wiki/consumer_research)_ and is a growing interest of corporations. Sociology majors are particularly well-suited for this type of research as the ultimate goal of empirical sociological research is to predict human behavior.[[37]](Print_version.html#cite_note-ASARoles-507) This particular niche may be the single largest opportunity for sociologists in the corporate world.[[33]](Print_version.html#cite_note-Mercurio2008-503)

Another budding area in modern retail firms is site selection, or the determination of the best locations for new stores. Site selection requires understanding human ecology and consumer spending patterns, both of which are addressed using the sociological imagination.[[33]](Print_version.html#cite_note-Mercurio2008-503) Some additional direct applications of sociology include concept and product testing (which will put to good use training in research methods), the evaluating of global market opportunities (which will draw upon understandings of various cultures), long-range planning and forecasting (which draws on both statistics and futurist perspectives), marketing and advertising (which applies consumer studies directly), and human resource management (which relies on studies of organizational behavior).[[33]](Print_version.html#cite_note-Mercurio2008-503)

**Future Educational Plans of Graduating Sociology Majors**[[31]](Print_version.html#cite_note-Spalter-Roth2005-501)

Field of Study  %

Education
22.6

Counseling/Psychology
14.9

Applied Sociology, MA and related areas
11.6

Masters in Social Work
11.3

Law Degree
11.0

Criminology
7.7

Doctorate in Sociology
5.7

Medical/Nursing
4.8

Marketing/Business Administration
3.9

Public Affairs/Public Policy
3.3

Communication
2.1

Other
1.2

One way to situate yourself well for the corporate world after earning your Bachelor's degree in Sociology would be to double major in Sociology and Business or minor in Business. This would give you the credentials that hiring departments in the business world are looking for while simultaneously allowing you to focus on Sociology. Another key to succeeding in the corporate world with a degree in Sociology is to market your specific skill set.[[38]](Print_version.html#cite_note-Spalter-Roth.26VanVooren2008-508) As noted above, a degree in Sociology provides you with skills that many other college graduates lack. Emphasizing those skills on your resumes and in job interviews increases the odds of you being hired and you using those skills in your job. There is also evidence to suggest that sociology graduates who use their sociological training in their jobs post graduation are more satisfied with their jobs.[[38]](Print_version.html#cite_note-Spalter-Roth.26VanVooren2008-508)

### Non-Governmental Organizations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-5)]

Non-Governmental Organizations (or NGOs) are legally constituted organizations created by private persons or organizations with no participation or representation of any government. Examples of NGOs include [Oxfam](http://en.wikipedia.org/wiki/Oxfam), [Catholic Relief Services](http://en.wikipedia.org/wiki/Catholic_Relief_Services), [CARE International](http://en.wikipedia.org/wiki/CARE_International), and [Lutheran World Relief](http://en.wikipedia.org/wiki/Lutheran_World_Relief). Many NGOs are concerned with the very social problems and social issues sociologists study, from poverty to gender stratification to world population growth. NGOs are ideal opportunities for sociology majors to apply what they have learned in college.

### Continuing Your Education[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-6)]

For those planning on continuing their education, the table to the right breaks down the most frequently chosen fields of study for sociology majors:

Many professional degree programs (e.g., [medical school](http://en.wikipedia.org/wiki/Medical_school) and [law school](http://en.wikipedia.org/wiki/Law_school)) do not, in fact, require someone to have a specific undergraduate degree. Sociology majors can carry the sociological imagination into medical practice, offering sociological insights while practicing medicine. In 2001, sociology majors had a 42% acceptance rate into medical school.[[39]](Print_version.html#cite_note-MedicalSchool-509)

Sociology majors should view their undergraduate education as opening doors for them into many possible fields of work and study. Two factors seems to limit the occupational prospects of sociologists: The first limiting factor is their own imagination. The sociological imagination is applicable to almost every occupation and field of research, from studying how physicists do their work [[40]](Print_version.html#cite_note-Garfinkel1981-510) to union organizing.[[41]](Print_version.html#cite_note-Lerner2007-511) The second limiting factors is that many people do not know what sociologists are trained to do. This should only be a limiting factor up until they meet a sociology major!

## PhD Degree Occupations[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-7)]

What can you do with a PhD in Sociology? A PhD in Sociology prepares an individual for a variety of career options, including all of those mentioned above for someone with a Bachelor's Degree in Sociology (e.g., marketing, non-governmental organizations, etc.), but it also means you will be much better qualified for these types of jobs. [Graduate training](http://en.wikipedia.org/wiki/Graduate_School) in Sociology includes a greater emphasis on research methodology and statistics. It also often includes training in [qualitative research](http://en.wikipedia.org/wiki/qualitative_research) methods, like [content analysis](http://en.wikipedia.org/wiki/content_analysis). Additionally, graduate training includes much more in depth analysis and discussion of many of the topics discussed in your undergraduate training. The format of graduate training may also differ as many of the classes are designed as a [seminar](http://en.wikipedia.org/wiki/seminar) rather than a lecture-oriented class - students will come to class meetings having read the assigned readings and then discuss them under the supervision of a professor.

  


**Sociology PhDs by Employment Sector in 2003**[[42]](Print_version.html#cite_note-ASA2003-512)

Employment Sector  %

Educational Institutions
74.6

Private Industry - For-Profit
6.5

Private Industry - Not-For-Profit
8.3

Government
6.9

Self-Employed and Other
3.4

All of this additional training will prepare a PhD in Sociology for advanced careers in fields as diverse as corporate marketing and statistical forecasting to community organizing and lobbying. A PhD in quantitative research and demography could lead to a career at the [Census Bureau](http://en.wikipedia.org/wiki/United_States_Census_Bureau) or the [World Bank](http://en.wikipedia.org/wiki/World_Bank).

Another obvious occupation one can pursue is as an academic sociologist, working at a college or university. Depending on the type of university or college where one works, the job description will vary substantially. Some colleges - typically four-year [liberal arts colleges](http://en.wikipedia.org/wiki/liberal_arts_college) \- focus on teaching. In contrast, [research universities](http://en.wikipedia.org/wiki/university) \- which include PhD programs - focus on research. Thus, what your job description would be as an academic sociologist could range from a heavy emphasis on teaching undergraduates to a heavy emphasis on teaching graduate students. In both types of institutions, there are both tenure and non-tenure track jobs. [Tenure](http://en.wikipedia.org/wiki/Tenure) refers to a lifetime appointment and carries with it a contractual right not to have the position terminated without just cause. Adjunct instructing is another option, which is usually teaching on a contract basis.

According to [Forbes magazine](http://www.asanet.org/footnotes/julyaugust08/job.html), Sociology is one of the top-ten highest-paying rare jobs in the United States and is generally rated as one of the most satisfying occupations. This may be due to the fact that Sociologists are often engaged in trying to remedy social ills, which can be a very satisfying life pursuit.

According to data compiled in ASA’s 2007 [“Beyond the Ivory Tower”](http://www.asanet.org/images/research/docs/ppt/ASA%20Beyond%20Ivory%20Tower%20Slideshow.PPT) report, one-fourth of PhD sociologists work outside academia. Of those in academia, as of April 2008, the average sociology faculty salary was $68,857, ranging from assistant professors making $53,844 to full professor earnings of $87,938.

## Personal Experiences of Individuals With Degrees in Sociology[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-8)]

  * Joe Mercurio, retired strategist and researcher at Walgreen Co. <http://www.asanet.org/footnotes/feb08/fn1.html>
  * Karen Ehrhardt-Martinez, works for the NGO American Council for an Energy-Efficient Economy (ACEEE) <http://www.asanet.org/footnotes/feb08/fn6.html>

## References[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-9)]

  1. [↑](Print_version.html#cite_ref-Moore2008_1-0) Moore, Kelly. 2008. Disrupting Science: Social Movements, American Scientists, and the Politics of the Military, 1945-1975. Princeton University Press.
  2. [↑](Print_version.html#cite_ref-Putnam2001_2-0) Putnam, Robert D. 2001. Bowling Alone: The Collapse and Revival of American Community. 1st ed. Simon & Schuster.
  3. ↑ _**[a**_](Print_version.html#cite_ref-Mills2000_3-0) _**[b**_](Print_version.html#cite_ref-Mills2000_3-1) Mills, C. Wright. 2000. The Sociological Imagination. 40th ed. Oxford University Press, USA.
  4. [↑](Print_version.html#cite_ref-Boyer2002_4-0) Boyer, Pascal. 2002. Religion Explained. Basic Books.
  5. [↑](Print_version.html#cite_ref-Tierney2008_5-0) Tierney, John. 2008. “Appeasing the Gods, With Insurance.” The International Herald Tribune, May 7 <http://www.iht.com/articles/2008/05/07/healthscience/06tier.php> (Accessed August 17, 2008).
  6. [↑](Print_version.html#cite_ref-Berger1963_6-0) Berger, Peter L. 1963. Invitation to Sociology: A Humanistic Perspective. 1st ed. Anchor. [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  7. [↑](Print_version.html#cite_ref-Weber1997_7-0) Weber, Max. 1997. The Theory Of Social And Economic Organization. Free Press.
  8. [↑](Print_version.html#cite_ref-Dilthey1978_8-0) Dilthey, W. 1978. Descriptive Psychology and Historical Understanding. 1st ed. Springer.
  9. [↑](Print_version.html#cite_ref-Glass2005_9-0) Glass, John E. 2005. “Visceral Verstehen.” Electronic Journal of Sociology.
  10. [↑](Print_version.html#cite_ref-Denzin2007_10-0) Denzin, Norman K., and Yvonna S. Lincoln. 2007. Collecting and Interpreting Qualitative Materials. Third Edition. Sage Publications, Inc.
  11. [↑](Print_version.html#cite_ref-Civettini2008_11-0) Civettini, Nicole H. W., and Jennifer Glass. 2008. “The Impact of Religious Conservativism on Men's Work and Family Involvement.” Gender & Society 22:172-193.
  12. [↑](Print_version.html#cite_ref-Loseke2001_12-0) Loseke, Donileen R., and James C. Cavendish. 2001. “Producing Institutional Selves: Rhetorically Constructing the Dignity of Sexually Marginalized Catholics..” Social Psychology Quarterly 64:347-362.

  


## External Links[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Being_a_Sociologist&action=edit&section=T-10)]

  * [jobs at the US Census Bureau](http://www.census.gov/hrd/www/jobs/emp_opp.html)
  * [jobs at the World Bank](http://web.worldbank.org/WBSITE/EXTERNAL/EXTHRJOBS/0,,contentMDK:20522507~menuPK:64262360~pagePK:64262408~piPK:64262191~theSitePK:1058433,00.html)

# Sociological Videos[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=24)]

The following are videos - including fiction movies, non-fiction documentaries and recorded lectures - examining topics in the field of sociology.

Title Description Year Type Topic Online

[A Class Divided](http://en.wikipedia.org/wiki/Jane_Elliott)
documents Jane Elliott's classroom experiment illustrating discrimination using eye colors
1985
non-Fiction
Discrimination
[Yes](http://www.pbs.org/wgbh/pages/frontline/shows/divided/)

[A Dry White Season](http://en.wikipedia.org/wiki/A_Dry_White_Season)
South African apartheid
1989
Fiction
Race

A map of social theories, 1000-2000 by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on social theories. Lecture 1 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=Tf9QJ02VkhU&feature=PlayList&p=38FD506E3DDBD454&index=0)

[A Passage to India](http://en.wikipedia.org/wiki/A_Passage_to_India_\(film\))
Indian independence from Great Britain and ethnic relations
1984
Fiction
Ethnicity

[A Raisin in the Sun](http://en.wikipedia.org/wiki/A_Raisin_in_the_Sun_\(film\))
depicts a black family trying to move out of their run-down tenement apartment and into a white neighborhood
1961
Fiction
Race

[A World Apart](http://en.wikipedia.org/wiki/A_World_Apart_\(film\))
South African apartheid
1988
Fiction
Race

Adam Smith (1733-1790), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Smith. Lecture 3 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=Z92pjQVgqmY&feature=PlayList&p=38FD506E3DDBD454&index=2)

[Alamo Bay](http://www.imdb.com/title/tt0088689/plotsummary)
a despondent Vietnam veteran in danger of losing his livelihood is pushed to the edge when he sees Vietnamese immigrants moving into the fishing industry in a Texas bay town
1985
Fiction
Ethnicity

Alexis de Tocqueville (1805-1850), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on de Tocqueville. Lecture 4 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=ZAg73gGHNG0&feature=PlayList&p=38FD506E3DDBD454&index=3)

Al Qaeda's new front
FRONTLINE documentary on Al Qaeda's evolution: Madrid bombings, ideological base, transatlantic differences. Divided into 4 sections; approx. 1h total
?
non-Fiction
terrorism, Al Qaeda
[Yes](http://www.pbs.org/wgbh/pages/frontline/shows/front/view/)

[Amar Te Duele](http://en.wikipedia.org/wiki/Amar_Te_Duele)
a variation of the Romeo and Juliet theme with the twist of social class differences between the families
2002
Fiction
Economic Stratification

[American History X](http://en.wikipedia.org/wiki/American_History_X)
racism in the U.S.
1998
Fiction
Race

[An Inconvenient Truth](http://en.wikipedia.org/wiki/An_Inconvenient_Truth)
an American documentary film about global warming by Al Gore.
2006
Non-Fiction
Ecology

[Angels & Insects](http://en.wikipedia.org/wiki/Angels_%26_Insects)
movie about incest and the incest taboo
1996
Fiction
Sexuality

[Avalon (1990 film)](http://en.wikipedia.org/wiki/Avalon)
tells the story of a family of Eastern European Jews who immigrate to the United States
1990
Fiction
Migration

[Bad Day at Black Rock](http://en.wikipedia.org/wiki/Bad_Day_at_Black_Rock)
illustrates racism and discrimination in a small town in the U.S. post WWII
1954
Fiction
Race

The Baron de Montesquieu (1689-1755), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on de Montesquieu. Lecture 2 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=kfDHUqL0Rqc&feature=PlayList&p=38FD506E3DDBD454&index=1)

[Black Like Me](http://en.wikipedia.org/wiki/Black_Like_Me_\(film\))
describes Griffin's a six-week experience of a white man disguised as a black man traveling throughout the racially segregated states of Louisiana, Mississippi, Alabama and Georgia in the 1950s
1964
Fiction
Race

The Blonde and I
a short film illustrating the basic concepts of Durkheim's "Suicide"
2009
Fiction
Theory
[Yes](http://www.youtube.com/watch?v=haM_ldgojJ0) & [Yes](http://www.youtube.com/watch?v=_9x8-QjvIw0)

[Blue Eyed](http://en.wikipedia.org/wiki/Jane_Elliott)
documents Jane Elliott's classroom experiment illustrating discrimination using eye colors
1996
non-Fiction
Discrimination

[Bopha!](http://en.wikipedia.org/wiki/Bopha!)
depicts the life of a black police officer in South Africa during the apartheid era
1994
Fiction
Race

[Born Yesterday](http://en.wikipedia.org/wiki/Born_Yesterday_\(1950_film\))
tells the story of a corrupt tycoon with a underclass girlfriend who requires re-education to be a member of the upper class
1958
Fiction
Economic Stratification

[Boys Don’t Cry](http://en.wikipedia.org/wiki/Boys_Don%27t_Cry_\(film\))
based on the true story of a young [transman](http://en.wikipedia.org/wiki/transman) who was raped and murdered in 1993 by his male friends after they found out he had female genitalia
1999
Fiction
Sexuality

[Braveheart](http://en.wikipedia.org/wiki/Braveheart)
ethnic discrimination and stratification
1995
Fiction
Ethnicity

[Bread and Roses](http://en.wikipedia.org/wiki/Bread_and_Roses_\(film\))
deals with the struggle of poorly paid janitorial workers in Los Angeles and their fight for better working conditions and the right to unionize
2000
Fiction
Unionizing

[Brokeback Mountain](http://en.wikipedia.org/wiki/Brokeback_Mountain)
tells the story of two gay cowboys who hide their relationship because it is not accepted by those around them
2005
Fiction
Sexuality

[Come Back, Africa](http://en.wikipedia.org/wiki/Come_Back,_Africa)
tells the story of a migrant worker in apartheid South Africa who does not have a work permit and as such is open to exploitation, arbitrary dismissal and sudden arrest
1959
Fiction
Race

[Come See the Paradise](http://en.wikipedia.org/wiki/Come_See_the_Paradise)
depicts the treatment of U.S. citizens of Japanese descent following the attack on Pearl Harbor, and the subsequent loss of civil liberties within the framework of a love story
1990
Fiction
Ethnicity

[Conrack](http://en.wikipedia.org/wiki/Conrack_\(1974_film\))
follows a young teacher assigned to an isolated island off the coast of South Carolina populated mostly by poor black families who have been isolated from the rest of the world
1974
Fiction
Race

[Country Boys](http://en.wikipedia.org/wiki/Country_Boys)
follows two young men in rural Kentucky in the early 2000s growing up with serious disadvantages, both educationally and financially
2002
Non-Fiction
Economic Stratification
[Yes](http://www.pbs.org/wgbh/pages/frontline/countryboys/)

[Cry, the Beloved Country](http://en.wikipedia.org/wiki/Cry,_the_Beloved_Country_\(1951_film\))
South African apartheid and race relations
1951
Fiction
Race

[Cry, the Beloved Country](http://en.wikipedia.org/wiki/Cry,_the_Beloved_Country_\(1995_film\))
South African apartheid and race relations
1995
Fiction
Race

[Cry Freedom](http://en.wikipedia.org/wiki/Cry_Freedom)
depicts a charismatic South African Black Consciousness Movement leader in apartheid South Africa and the liberal white editor of a newspaper who exposes police complicity in the death of the movement leader
1987
Fiction
Race

[Darwin's Nightmare](http://en.wikipedia.org/wiki/Darwin%27s_Nightmare)
documents the exploitation of fishing resources in Africa by European businesses and consumers
2004
non-Fiction
Globalization

[Defiant Ones, The](http://en.wikipedia.org/wiki/The_Defiant_Ones)
tells the story of two escaped prisoners who are shackled together, one white and one black, who must co-operate in order to survive
1958
Fiction
Race

[Diary of Anne Frank, The](http://en.wikipedia.org/wiki/The_Diary_of_Anne_Frank_\(film\))
a motion picture based on the book [The Diary of a Young Girl](http://en.wikipedia.org/wiki/The_Diary_of_a_Young_Girl) describing the life of Anne Frank while in hiding for two years with her family during the Nazi occupation of The Netherlands
1959
Fiction
Ethnicity

Digital Nomads
The results of an experiment to share the experiences of people devoted to endless digital communication are presented as online videos by The Economist. Two vidoes: Jonathan Schwartz - 05:25; Jan Chipchase - 09:18
2008
Non-Fiction
Communication, Internet
[Yes](http://audiovideo.economist.com/?fr_chl=8094fc97a897f95d4bf846ee51a4214809017977)

[Dirty Pretty Things](http://en.wikipedia.org/wiki/Dirty_Pretty_Things_\(film\))
depicts the lives of two illegal immigrants in the U.K.
2003
Fiction
Migration

[Discreet Charm of the Bourgeoisie, The](http://en.wikipedia.org/wiki/The_Discreet_Charm_of_the_Bourgeoisie)
The film is about a group of upper middle-class people attempting to dine together
1973
Fiction
Economic Stratification

[Do the Right Thing](http://en.wikipedia.org/wiki/Do_the_Right_Thing)
The film tells a tale of bigotry and racial conflict in a multi-ethnic community in the Bedford-Stuyvesant neighborhood of Brooklyn, New York, on the hottest day of the year
1989
Fiction
Race

[Double Happiness](http://en.wikipedia.org/wiki/Double_Happiness_\(film\))
tells the story of an artistic young woman struggling to assert her independence from the expectations of her Chinese Canadian family
1994
Fiction
Gender

[Educating Rita](http://en.wikipedia.org/wiki/Educating_Rita_\(film\))
an English working-class girl wants to better herself by studying literature
1983
Fiction
Economic Stratification

Emile Durkheim (1858-1917), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Durkheim. Lecture 6 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=IfjycYvlZGg&feature=PlayList&p=38FD506E3DDBD454&index=5)

[El Norte](http://en.wikipedia.org/wiki/El_Norte_\(film\))
depicts Guatemalan peasants and migrants
1983
Fiction
Migration

[El Super](http://en.wikipedia.org/wiki/El_Super)
looks at life in the U.S. from the perspective of frustrated Cuban exiles
1978
Fiction
Migration

[Emigrants, The](http://en.wikipedia.org/wiki/The_Emigrants_\(film\))
tells the story of a Swedish group who emigrate to the U.S. in the 19th century
1971
Fiction
Migration

Ernest Gellner (1925-1995), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Gellner. Lecture 8 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=riMy78oQZwc&feature=PlayList&p=38FD506E3DDBD454&index=7)

[Ethnic Notions](http://www.imdb.com/title/tt0091018/)
traces deep-rooted stereotypes which have fueled anti-black prejudice
1988
non-Fiction
Race

[Europa Europa](http://en.wikipedia.org/wiki/Europa_Europa)
Antisemitism in Germany
1990
Fiction
Ethnicity

[Far From Heaven](http://en.wikipedia.org/wiki/Far_from_Heaven)
tells the story of a 1950s housewife living in suburban Hartford as she sees her seemingly perfect life begin to fall apart; deals with complex contemporary issues such as race, sexuality, and class
2002
Fiction
Sexuality

F.W. Maitland (1850-1906), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Maitland. Lecture 9 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=Ab-CntEZwaE&feature=PlayList&p=38FD506E3DDBD454&index=8)

[Gaijin - Os Caminhos da Liberdade](http://www.imdb.com/title/tt0132989/)
depicts the struggles of Japanese immigrants who traveled to and settled in Brazil looking for a better life
1980
Fiction
Migration

[Gandhi](http://en.wikipedia.org/wiki/Gandhi_\(film\))
non-violent social activism, religion, ethnic relations
1982
non-Fiction
Social Movements

[Garden of the Finzi-Continis, The](http://en.wikipedia.org/wiki/The_Garden_of_the_Finzi-Continis_\(film\))
chronicles the relationships between the narrator, an Italian Jew, and the children of the Finzi-Contini family from the rise of Mussolini until the start of World War II
1970
Fiction
Ethnicity

[Gentleman’s Agreement](http://en.wikipedia.org/wiki/Gentleman%27s_Agreement)
describes the efforts of a journalist who falsely represents himself as a Jew to research antisemitism in New York City in the 1940s
1947
Fiction
Ethnicity

[Guess Who’s Coming to Dinner](http://en.wikipedia.org/wiki/Guess_Who%27s_Coming_to_Dinner)
tells the story of an upper class white woman who becomes engaged to a black doctor then brings him home to meet her parents
1967
Fiction
Race

[Hester Street](http://en.wikipedia.org/wiki/Hester_Street_\(film\))
Hester Street tells the story of Jewish immigrants who come to the Lower East side of New York City in 1896 from Europe
1975
Fiction
Migration

[High Hopes](http://en.wikipedia.org/wiki/High_Hopes_\(film\))
pro-socialism in the U.K.
1988
Fiction
Economic Systems

[Hollywood Shuffle](http://en.wikipedia.org/wiki/Hollywood_Shuffle)
depicts the stereotyping of African Americans in both film and television
1987
Fiction
Race

[Home of the Brave](http://en.wikipedia.org/wiki/Home_of_the_Brave_\(1949_film\))
A paralyzed African-American war veteran begins to walk again only when he confronts his fear of being an "outsider" and minority
1949
Fiction
Race

[Holy Innocents](http://www.imdb.com/title/tt0088040/)
poverty in Spain in the 1960s
1984
Fiction
Economic Stratification

[How Tasty Was My Little Frenchman](http://en.wikipedia.org/wiki/How_Tasty_Was_My_Little_Frenchman)
tells the story of a Frenchman captured by Brazilian natives who adopt him but constantly threaten to eat him
1971
Fiction
Culture

[Intruder in the Dust](http://en.wikipedia.org/wiki/Intruder_in_the_Dust)
deals with the trial of a black farmer accused of murdering a white man in the 1940s; he is cleared through the efforts of black and white teenagers and a spinster from a long-established southern family
1949
Fiction
Race

Is Wal-Mart Good for America?
Documentary on Wal-Mart
2005
Non-Fiction
Economy
[Yes](http://www.pbs.org/wgbh/pages/frontline/shows/walmart/view/)

[Jungle Fever](http://en.wikipedia.org/wiki/Jungle_Fever)
centers on the interracial romance between a successful married African American architect and an Italian-American woman
1991
Fiction
Race

Karl Marx (1818-1883), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Marx. Lecture 5 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=xoZp177HDJ8&feature=PlayList&p=38FD506E3DDBD454&index=4)

Killing Us Softly 3, by [Jean Kilbourne](http://en.wikipedia.org/wiki/Jean_Kilbourne)
A documentary about advertising's image of women. [Studyguide](http://www.mediaed.org/videos/MediaGenderAndDiversity/KillingUsSoftly3/studyguide/html). 35m
1999
Non-fiction
Gender
[Yes](http://video.google.com/videoplay?docid=-1993368502337678412)

Live Nude Girls Unite!
documents the efforts of strippers in San Francisco to unionize
2000
non-Fiction
Unionizing
[Yes](http://www.livenudegirlsunite.com/film.html)

[Losing Isaiah](http://en.wikipedia.org/wiki/Losing_Isaiah)
black motherhood, custody issues, and drug addiction
1995
Fiction
Race

[Mandela](http://www.imdb.com/title/tt0116980/)
documentary of the life of Nelson Mandela
1987
non-Fiction
Race

Max Weber (1864-1920), by [Alan Macfarlane](http://en.wikipedia.org/wiki/Alan_Macfarlane)
recorded lecture on Weber. Lecture 7 in a series of 9.
2007
Lecture
Theory
[Yes](http://www.youtube.com/watch?v=CNC3Ur2Uc6A&feature=PlayList&p=38FD506E3DDBD454&index=6)

[McLibel](http://www.imdb.com/title/tt0458425/)
documents the [McDonald's Restaurants v Morris & Steel case](http://en.wikipedia.org/wiki/McLibel_case) in the U.K.
2005
non-Fiction
Corporations

[Metropolitan](http://en.wikipedia.org/wiki/Metropolitan_\(film\))
haute bourgeoisie culture of New York City
1990
Fiction
Economic Stratification

[Mission, The](http://en.wikipedia.org/wiki/The_Mission_\(film\))
depicts the [Jesuit Reductions](http://en.wikipedia.org/wiki/Jesuit_Reductions), a programme by which Jesuit missionaries set up missions independent of the Spanish state to teach Christianity to the natives
1986
Fiction
Culture

[Mississippi Burning](http://en.wikipedia.org/wiki/Mississippi_Burning)
racism in the U.S.
1988
Fiction
Race

[Mississippi Masala](http://en.wikipedia.org/wiki/Mississippi_Masala)
inter-racial and inter-ethnic marriage as well as cultural diversity
1991
Fiction
Race

[Moscow on the Hudson](http://en.wikipedia.org/wiki/Moscow_on_the_Hudson)
depicts a Russian circus musician who defects from the Soviet Union while on a visit to the United States and finds that living in America isn't as easy as he thought
1984
Fiction
Politics

[My Beautiful Laundrette](http://en.wikipedia.org/wiki/My_Beautiful_Laundrette)
ethnic relations in London
1985
Fiction
Ethnicity

[My Family/Mi Familia](http://en.wikipedia.org/wiki/My_Family_\(film\))
tracks three generations of a Mexican-American family that emigrated from Mexico and settled in East Los Angeles
1995
Fiction
Migration

[No Way Out](http://en.wikipedia.org/wiki/No_Way_Out_\(1950_film\))
depicts an African American doctor tending to slum residents whose ethics are put to the test when confronted with blind racism in patients and community members
1950
Fiction
Race

[Nothing But a Man](http://en.wikipedia.org/wiki/Nothing_But_a_Man)
race relations in the U.S. in the 1960s
1964
Fiction
Race

[Panther](http://en.wikipedia.org/wiki/Panther_\(film\))
Black Panthers in the U.S.
1995
Fiction
Race

Paradox of Choice: Why More is Less, The
Barry Schwartz is a sociology professor at Swarthmore College and author of The Paradox of Choice. In this talk, he explains how and why the abundance of choice in modern society is actually making us miserable (20m)
2008
lecture
[Yes](http://video.google.com/videoplay?docid=7881889424111915182&q=sociology&total=333&start=0&num=10&so=3&type=search&plindex=5)

[Philadelphia](http://en.wikipedia.org/wiki/Philadelphia_\(film\))
tells the story of a Senior Associate at a large corporate law firm in Philadelphia who attempts to hides his homosexuality and his status as an AIDS patient from the other members of the law firm
1993
Fiction
Sexuality

[Pygmalion](http://en.wikipedia.org/wiki/Pygmalion_\(1938_film\))
tells the story of Cockney flower girl becoming a refined society lady as a result of a bet
1938
Fiction
Economic Stratification

[Quilombo](http://en.wikipedia.org/wiki/Quilombo)
depicts the conquest of a Brazilian tribe
1983
Fiction
Ethnicity

[Rabbit-Proof Fence](http://en.wikipedia.org/wiki/Rabbit-Proof_Fence_\(film\))
tells the story of two young, mixed-race Aboriginal girls who run away from a white settlement in order to return to their Aboriginal families
2002
Fiction
Ethnicity

Race and Sex - What We Think But Can't Say
A documentary on stereotypes, particularly related to race and gender. ABCNews production?
2002
Non-Fiction
Gender and Race

[Room at the Top](http://en.wikipedia.org/wiki/Room_at_the_Top_\(film\))
reflects social class issues in the U.K. in the 1950s
1958
Fiction
Economic Stratification

[Roots](http://en.wikipedia.org/wiki/Roots_\(TV_miniseries\))
tells the story of a young African sold into slavery in the 1700s in the U.S.
1977
Fiction
Race

[Roots: The Next Generation](http://en.wikibooks.org/w/index.php?title=Roots:_The_Next_Generations&action=edit&redlink=1)
continues the story of the African slave in Roots to his eventual descendant, Alex Haley
1979
Fiction
Race

[Rules of the Game, The](http://en.wikipedia.org/wiki/The_Rules_of_the_Game)
satire of the French upper classes prior to WWII
1939
Fiction
Economic Stratification

[Salaam Bombay!](http://en.wikipedia.org/wiki/Salaam_Bombay!)
kids in poverty in Mumbai
1988
Fiction
Economic Stratification

[Sammy and Rosie Get Laid](http://en.wikipedia.org/wiki/Sammy_and_Rosie_Get_Laid)
poverty and homelessness in the U.K.; also deals with ethnicity and sexuality
1987
Fiction
Economic Stratification

[Schindler’s List](http://en.wikipedia.org/wiki/Schindler%E2%80%99s_List)
tells the story of Oskar Schindler a German businessman who saved the lives of over one thousand Polish Jews during the Holocaust
1993
Fiction
Ethnicity

[Secrets & Lies](http://en.wikipedia.org/wiki/Secrets_%26_Lies)
race issues in the U.K.
1996
Fiction
Race

[Shaka Zulu](http://en.wikipedia.org/wiki/Shaka_Zulu_\(TV_series\))
tells the story of Shaka, king of the Zulu nation from 1816 to 1828
1986
Fiction
Culture

The Social Construction of Reality
a short film illustrating some of the ideas in Berger and Luckmann's "The Social Construction of Reality
2009
Fiction
Theory
[Yes](http://www.youtube.com/watch?v=mlodpPpWGZY) & [Yes](http://www.youtube.com/watch?v=3Uu1t7h01lc)

[Stand and Deliver](http://en.wikipedia.org/wiki/Stand_and_Deliver)
education in predominantly minority schools
1988
Fiction
Education

[Swimmer, The](http://en.wikipedia.org/wiki/The_Swimmer_\(film\))
thematic exploration of suburban America, especially the relationship between wealth and happiness
1968
Fiction
Economic Stratification

The Way We Live: Introduction to Sociology
Advertised as "a comprehensive introduction to Sociology on 22 half-hour videos".
?
non-Fiction
Economy (and other offline)
Partial: [Chapter 14 - 14. Working World: The Economy and Work](http://www.tutorace.com/html/sociology.html)

The Tank Man
FRONTLINE documentary on the Tiananmen Square Massacre, The Tankman, information control in China and so on. Divided into 6 sections; approx. 1h40m total
?
non-Fiction
China, repressions, resistance, information
[Yes](http://www.pbs.org/wgbh/pages/frontline/tankman/view/) (RM stream may be broken, switch to WMP stream)

The Soldier's Heart
FRONTLINE documentary on the psychological impact of warfare, based on the modern War in Iraq. Divided into 4 sections; approx. 45m total
?
non-Fiction
psychological breakdown, impact of warfare, War in Iraq
[Yes](http://www.pbs.org/wgbh/pages/frontline/shows/heart/view/)

[To Kill a Mockingbird](http://en.wikipedia.org/wiki/To_Kill_a_Mockingbird_\(film\))
tells the story of the trial of a black man on trial in the South for rape
1962
Fiction
Race

Traces of the Trade: A Story from the Deep North
tells the story of filmmaker Katrina Browne and nine cousins who discover that their New England ancestors were the largest slave-trading family in U.S. history. They retrace the Triangle Trade and gain a powerful new perspective on the black/white divide.
2008
non-Fiction
Race

[Trading Places](http://en.wikipedia.org/wiki/Trading_Places)
social class in the U.S.
1983
Fiction
Economic Stratification

[Up Series](http://en.wikipedia.org/wiki/Up_series)
documents the lives of a dozen or so children over the course of nearly 50 years in the U.K. to illustrate the effects of social class on life outcomes
1964-2000
non-Fiction
Economic Stratification

[Wedding, The](http://en.wikipedia.org/wiki/The_Wedding_\(film\))
interracial marriage in the U.S.
1998
Fiction
Race

[Wedding Banquet, The](http://en.wikipedia.org/wiki/The_Wedding_Banquet)
tells the story of a gay Taiwanese immigrant man who marries a mainland Chinese woman to placate his parents and get her a green card; his plan backfires when his parents arrive in America to plan his wedding banquet
1993
Fiction
Sexuality

[White Man’s Burden](http://en.wikipedia.org/wiki/White_Man%27s_Burden_\(film\))
race in the U.S.
1995
Fiction
Race

[Zebrahead](http://en.wikipedia.org/wiki/Zebrahead_\(film\))
describes an interracial romance between a white man and a black woman and the resulting tensions among the characters
1992
Fiction
Race

A new website with video clips in Sociology, The Sociological Cinema, has some video clips available as well: <http://www.thesociologicalcinema.com/index.html>

# Famous Sociologists[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=25)]

Sociologist Time Period School of Thought Most Well-Known Contribution

[Comte, Auguste](http://en.wikipedia.org/wiki/Auguste_Comte)
1798-1857
[positivism](http://en.wikipedia.org/wiki/Positivism)
coined the term "Sociology"; founder of [positivism](http://en.wikipedia.org/wiki/positivism); developed the [Law of three stages](http://en.wikipedia.org/wiki/Law_of_three_stages)

[Durkheim, Émile](http://en.wikipedia.org/wiki/%C3%89mile_Durkheim)
1858-1917
[structural functionalism](http://en.wikipedia.org/wiki/structural_functionalism); [solidarism](http://en.wikipedia.org/wiki/solidarism)
well-known for several books, including: [Suicide](http://en.wikipedia.org/wiki/Suicide_\(book\)), [The Elementary Forms of Religious Life](http://en.wikipedia.org/wiki/The_Elementary_Forms_of_Religious_Life); [The Division of Labour in Society](http://en.wikipedia.org/wiki/The_Division_of_Labour_in_Society); started the first journal of sociology; also asserted that there are [social facts](http://en.wikipedia.org/wiki/social_fact)

[Marx, Karl](http://en.wikipedia.org/wiki/Karl_Marx)
1818-1883
[socialism](http://en.wikipedia.org/wiki/socialism); [conflict theory](http://en.wikipedia.org/wiki/conflict_theory)
explained the origins and functioning of [Capitalism](http://en.wikipedia.org/wiki/Capitalism); advocated [socialism](http://en.wikipedia.org/wiki/socialism); argued that the history of all societies is rooted in [class](http://en.wikipedia.org/wiki/social_class) conflict

[Spencer, Herbert](http://en.wikipedia.org/wiki/Herbert_Spencer)
1820-1903
[social darwinism](http://en.wikipedia.org/wiki/social_darwinism)
created a lengthy volume on sociology; applied Darwinian evolution to social life; coined the phrase "survival of the fittest"

[Simmel, Georg](http://en.wikipedia.org/wiki/Georg_Simmel)
1858-1918
most well-known for his work on [social structure](http://en.wikipedia.org/wiki/social_structure) and life in large cities

[Veblen, Thorstein](http://en.wikipedia.org/wiki/Thorstein_Veblen)
1857-1929
most well-known for his book [The Theory of the Leisure Class](http://en.wikipedia.org/wiki/The_Theory_of_the_Leisure_Class)

[Cooley, Charles Horton](http://en.wikipedia.org/wiki/Charles_Horton_Cooley)
1864-1929
[symbolic interactionism](http://en.wikipedia.org/wiki/symbolic_interactionism)
most well-known for his concept of [the looking-glass self](http://en.wikipedia.org/wiki/looking-glass_self)

[Mead, George Herbert](http://en.wikipedia.org/wiki/George_Herbert_Mead)
1863-1931
[symbolic interactionism](http://en.wikipedia.org/wiki/symbolic_interactionism)
developed [symbolic interactionism](http://en.wikipedia.org/wiki/symbolic_interactionism)

[Weber, Max](http://en.wikipedia.org/wiki/Max_Weber)
1864-1920
[verstehen](http://en.wikipedia.org/wiki/verstehen)
well known for several books, including [The Protestant Ethic and the Spirit of Capitalism](http://en.wikipedia.org/wiki/The_Protestant_Ethic_and_the_Spirit_of_Capitalism)

[Parsons, Talcott](http://en.wikipedia.org/wiki/Talcott_Parsons)
1902-1979
[structural functionalism](http://en.wikipedia.org/wiki/structural_functionalism)
formalized the theory of [structural functionalism](http://en.wikipedia.org/wiki/structural_functionalism)

[Garfinkel, Harold](http://en.wikipedia.org/wiki/Harold_Garfinkel)
1917-2011
[ethnomethodology](http://en.wikipedia.org/wiki/ethnomethodology)
developed the methodological and theoretical approach of [ethnomethodology](http://en.wikipedia.org/wiki/ethnomethodology)

[Goffman, Erving](http://en.wikipedia.org/wiki/Erving_Goffman)
1922-1982
[symbolic interactionism](http://en.wikipedia.org/wiki/symbolic_interactionism)
most well-known for his ideas involving [dramaturgy](http://en.wikipedia.org/wiki/dramaturgy) and his books [Stigma](http://en.wikipedia.org/wiki/Stigma) and [The Presentation of Self in Everyday Life](http://en.wikipedia.org/wiki/The_Presentation_of_Self_in_Everyday_Life)

[Bourdieu, Pierre](http://en.wikipedia.org/wiki/Pierre_Bourdieu)
1930-2002
most well-known for his [cultural capital](http://en.wikipedia.org/wiki/cultural_capital) and [habitus](http://en.wikipedia.org/wiki/habitus)

# License[[edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit&section=26)]

This work is made available under the terms of the [Creative Commons Attribution-ShareAlike 3.0 license.](http://creativecommons.org/licenses/by-sa/3.0/)  


![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&oldid=2564989](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&oldid=2564989)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Introduction to Sociology](http://en.wikibooks.org/wiki/Category:Introduction_to_Sociology)
  * [Family](http://en.wikibooks.org/w/index.php?title=Category:Family&action=edit&redlink=1)

Hidden categories: 

  * [Pages needing sources](http://en.wikibooks.org/wiki/Category:Pages_needing_sources)
  * [No references for citations](http://en.wikibooks.org/wiki/Category:No_references_for_citations)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Introduction+to+Sociology%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Introduction+to+Sociology%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Introduction_to_Sociology/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Introduction_to_Sociology/Print_version)
  * [Related changes](/wiki/Special:RecentChangesLinked/Introduction_to_Sociology/Print_version)
  * [Upload file](//commons.wikimedia.org/wiki/Special:UploadWizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Introduction_to_Sociology/Print_version&oldid=2564989)
  * [Page information](/w/index.php?title=Introduction_to_Sociology/Print_version&action=info)
  * <../../../upload.wikimedia.org/wikibooks/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Introduction_to_Sociology/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Introduction_to_Sociology/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&oldid=2564989)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Introduction_to_Sociology%2FPrint_version&id=2564989)

### In other languages

    * [Deutsch](http://de.wikibooks.org/wiki/Einf%C3%BChrung_in_die_Soziologie/_Einf%C3%BChrung)
    * [Svenska](http://sv.wikibooks.org/wiki/En_Introduktion_till_Sociologi/Introduktion)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Introduction+to+Sociology%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Introduction+to+Sociology%2FPrint+version&oldid=2564989&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Introduction_to_Sociology/Print_version&printable=yes)

    * This page was last modified on 11 October 2013, at 05:44.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Introduction_to_Sociology/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
