# Java Programming/Print version

From Wikibooks, open books for an open world

< [Java Programming](http://en.wikibooks.org/wiki/Java_Programming)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Java Programming](http://en.wikibooks.org/wiki/Java_Programming)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&action=purge&printable=yes) this page.

## Contents

  * [1 Overview](Print_version.html#Overview)
  * [2 Preface](Print_version.html#Preface)
    * [2.1 Are you new to programming?](Print_version.html#Are_you_new_to_programming.3F)
    * [2.2 Programming with Java™](Print_version.html#Programming_with_Java.E2.84.A2)
    * [2.3 What can Java _not_ do?](Print_version.html#What_can_Java_not_do.3F)
  * [3 About This Book](Print_version.html#About_This_Book)
    * [3.1 Who should read this book?](Print_version.html#Who_should_read_this_book.3F)
    * [3.2 How to use this book](Print_version.html#How_to_use_this_book)
    * [3.3 How can you participate](Print_version.html#How_can_you_participate)
      * [3.3.1 As a reader](Print_version.html#As_a_reader)
      * [3.3.2 As a contributor](Print_version.html#As_a_contributor)
  * [4 History](Print_version.html#History)
    * [4.1 Earlier programming languages](Print_version.html#Earlier_programming_languages)
    * [4.2 The Green team](Print_version.html#The_Green_team)
    * [4.3 Reshaping thought](Print_version.html#Reshaping_thought)
    * [4.4 The demise of an idea, birth of another](Print_version.html#The_demise_of_an_idea.2C_birth_of_another)
    * [4.5 Versions](Print_version.html#Versions)
      * [4.5.1 Initial Release (versions 1.0 and 1.1)](Print_version.html#Initial_Release_.28versions_1.0_and_1.1.29)
      * [4.5.2 Java 2 (version 1.2)](Print_version.html#Java_2_.28version_1.2.29)
      * [4.5.3 Kestrel (Java 1.3)](Print_version.html#Kestrel_.28Java_1.3.29)
      * [4.5.4 Merlin (Java 1.4)](Print_version.html#Merlin_.28Java_1.4.29)
      * [4.5.5 Tiger (version 1.5.0; Java SE 5)](Print_version.html#Tiger_.28version_1.5.0.3B_Java_SE_5.29)
      * [4.5.6 Mustang (version 1.6.0; Java SE 6)](Print_version.html#Mustang_.28version_1.6.0.3B_Java_SE_6.29)
      * [4.5.7 Dolphin (version 1.7.0; Java SE 7)](Print_version.html#Dolphin_.28version_1.7.0.3B_Java_SE_7.29)
    * [4.6 References](Print_version.html#References)
  * [5 Java Overview](Print_version.html#Java_Overview)
    * [5.1 Object orientation](Print_version.html#Object_orientation)
    * [5.2 Platform dependence](Print_version.html#Platform_dependence)
    * [5.3 Standardization](Print_version.html#Standardization)
    * [5.4 Secure execution](Print_version.html#Secure_execution)
    * [5.5 Error handling](Print_version.html#Error_handling)
    * [5.6 Networking capabilities](Print_version.html#Networking_capabilities)
    * [5.7 Dynamic class loading](Print_version.html#Dynamic_class_loading)
    * [5.8 Automatic memory garbage collection](Print_version.html#Automatic_memory_garbage_collection)
    * [5.9 Applet](Print_version.html#Applet)
    * [5.10 Forbidden bad practices](Print_version.html#Forbidden_bad_practices)
    * [5.11 Evaluation](Print_version.html#Evaluation)
  * [6 The Java Platform](Print_version.html#The_Java_Platform)
    * [6.1 Java Runtime Environment (JRE)](Print_version.html#Java_Runtime_Environment_.28JRE.29)
      * [6.1.1 Executing native Java code (or _byte-code_)](Print_version.html#Executing_native_Java_code_.28or_byte-code.29)
      * [6.1.2 Do you have a JRE?](Print_version.html#Do_you_have_a_JRE.3F)
      * [6.1.3 Java Virtual Machine (JVM)](Print_version.html#Java_Virtual_Machine_.28JVM.29)
        * [6.1.3.1 Just-in-Time Compilation](Print_version.html#Just-in-Time_Compilation)
        * [6.1.3.2 Native optimization](Print_version.html#Native_optimization)
        * [6.1.3.3 Was JVM the first _virtual machine_?](Print_version.html#Was_JVM_the_first_virtual_machine.3F)
    * [6.2 Java Development Kit (JDK)](Print_version.html#Java_Development_Kit_.28JDK.29)
      * [6.2.1 The Java compiler](Print_version.html#The_Java_compiler)
      * [6.2.2 Applet development](Print_version.html#Applet_development)
      * [6.2.3 Annotation processing](Print_version.html#Annotation_processing)
      * [6.2.4 Integration of non-Java and Java code](Print_version.html#Integration_of_non-Java_and_Java_code)
      * [6.2.5 Class library conflicts](Print_version.html#Class_library_conflicts)
      * [6.2.6 Software security and cryptography tools](Print_version.html#Software_security_and_cryptography_tools)
      * [6.2.7 The Java archiver](Print_version.html#The_Java_archiver)
      * [6.2.8 The Java debugger](Print_version.html#The_Java_debugger)
      * [6.2.9 Documenting code with Java](Print_version.html#Documenting_code_with_Java)
      * [6.2.10 The native2ascii tool](Print_version.html#The_native2ascii_tool)
      * [6.2.11 Remote Method Invocation (RMI) tools](Print_version.html#Remote_Method_Invocation_.28RMI.29_tools)
      * [6.2.12 Java IDL and RMI-IIOP Tools](Print_version.html#Java_IDL_and_RMI-IIOP_Tools)
      * [6.2.13 Deployment & Web Start Tools](Print_version.html#Deployment_.26_Web_Start_Tools)
      * [6.2.14 Browser Plug-In Tools](Print_version.html#Browser_Plug-In_Tools)
      * [6.2.15 Monitoring and Management Tools / Troubleshooting Tools](Print_version.html#Monitoring_and_Management_Tools_.2F_Troubleshooting_Tools)
      * [6.2.16 Java class libraries (JCL)](Print_version.html#Java_class_libraries_.28JCL.29)
    * [6.3 Similar concepts](Print_version.html#Similar_concepts)
      * [6.3.1 The .NET framework](Print_version.html#The_.NET_framework)
      * [6.3.2 Third-party compilers targeting the JVM](Print_version.html#Third-party_compilers_targeting_the_JVM)
  * [7 Getting started](Print_version.html#Getting_started)
  * [8 Getting started](Print_version.html#Getting_started_2)
    * [8.1 Understanding systems](Print_version.html#Understanding_systems)
    * [8.2 The process of abstraction](Print_version.html#The_process_of_abstraction)
      * [8.2.1 Thinking in objects](Print_version.html#Thinking_in_objects)
      * [8.2.2 Understanding class definitions and types](Print_version.html#Understanding_class_definitions_and_types)
      * [8.2.3 Expanding your class definitions](Print_version.html#Expanding_your_class_definitions)
      * [8.2.4 Adding behavior to objects](Print_version.html#Adding_behavior_to_objects)
    * [8.3 The process of encapsulation](Print_version.html#The_process_of_encapsulation)
      * [8.3.1 Using access modifiers](Print_version.html#Using_access_modifiers)
  * [9 Installation](Print_version.html#Installation)
    * [9.1 Availability check for JRE](Print_version.html#Availability_check_for_JRE)
    * [9.2 Availability check for JDK](Print_version.html#Availability_check_for_JDK)
    * [9.3 Advanced availability check options on Windows platform](Print_version.html#Advanced_availability_check_options_on_Windows_platform)
    * [9.4 Download instructions](Print_version.html#Download_instructions)
    * [9.5 Updating environment variables](Print_version.html#Updating_environment_variables)
    * [9.6 Start writing code](Print_version.html#Start_writing_code)
    * [9.7 Availability check for JRE](Print_version.html#Availability_check_for_JRE_2)
    * [9.8 Availability check for JDK](Print_version.html#Availability_check_for_JDK_2)
    * [9.9 Installation using Terminal](Print_version.html#Installation_using_Terminal)
    * [9.10 Download instructions](Print_version.html#Download_instructions_2)
    * [9.11 Start writing code](Print_version.html#Start_writing_code_2)
    * [9.12 Updating Java for Mac OS](Print_version.html#Updating_Java_for_Mac_OS)
    * [9.13 Availability check for JDK](Print_version.html#Availability_check_for_JDK_3)
  * [10 Compilation](Print_version.html#Compilation)
    * [10.1 Quick compilation procedure](Print_version.html#Quick_compilation_procedure)
    * [10.2 Automatic Compilation of Dependent Classes](Print_version.html#Automatic_Compilation_of_Dependent_Classes)
    * [10.3 Packages, Subdirectories, and Resources](Print_version.html#Packages.2C_Subdirectories.2C_and_Resources)
      * [10.3.1 Top level package](Print_version.html#Top_level_package)
      * [10.3.2 Subpackages](Print_version.html#Subpackages)
    * [10.4 Filename Case](Print_version.html#Filename_Case)
    * [10.5 Compiler Options](Print_version.html#Compiler_Options)
      * [10.5.1 Debugging and Symbolic Information](Print_version.html#Debugging_and_Symbolic_Information)
    * [10.6 Ant](Print_version.html#Ant)
    * [10.7 The JIT compiler](Print_version.html#The_JIT_compiler)
  * [11 Execution](Print_version.html#Execution)
    * [11.1 JSE code execution](Print_version.html#JSE_code_execution)
    * [11.2 J2EE code execution](Print_version.html#J2EE_code_execution)
    * [11.3 Jini](Print_version.html#Jini)
  * [12 Understanding a Java Program](Print_version.html#Understanding_a_Java_Program)
    * [12.1 The Distance Class: Intent, Source, and Use](Print_version.html#The_Distance_Class:_Intent.2C_Source.2C_and_Use)
    * [12.2 Detailed Program Structure and Overview](Print_version.html#Detailed_Program_Structure_and_Overview)
      * [12.2.1 Introduction to Java Syntax](Print_version.html#Introduction_to_Java_Syntax)
      * [12.2.2 Declarations and Definitions](Print_version.html#Declarations_and_Definitions)
        * [12.2.2.1 Example: Instance Fields](Print_version.html#Example:_Instance_Fields)
        * [12.2.2.2 Example: Constructor](Print_version.html#Example:_Constructor)
        * [12.2.2.3 Example: Methods](Print_version.html#Example:_Methods)
        * [12.2.2.4 The printDistance() method](Print_version.html#The_printDistance.28.29_method)
        * [12.2.2.5 The main() method](Print_version.html#The_main.28.29_method)
        * [12.2.2.6 The intValue() method](Print_version.html#The_intValue.28.29_method)
        * [12.2.2.7 Static vs. Instance Methods](Print_version.html#Static_vs._Instance_Methods)
      * [12.2.3 Data Types](Print_version.html#Data_Types)
        * [12.2.3.1 Primitive Types](Print_version.html#Primitive_Types)
        * [12.2.3.2 Reference Types](Print_version.html#Reference_Types)
        * [12.2.3.3 Array Types](Print_version.html#Array_Types)
        * [12.2.3.4 void](Print_version.html#void)
    * [12.3 Whitespace](Print_version.html#Whitespace)
      * [12.3.1 Required Whitespace](Print_version.html#Required_Whitespace)
    * [12.4 Indentation](Print_version.html#Indentation)
  * [13 Java IDEs](Print_version.html#Java_IDEs)
    * [13.1 What is a Java IDE?](Print_version.html#What_is_a_Java_IDE.3F)
    * [13.2 Eclipse](Print_version.html#Eclipse)
    * [13.3 NetBeans](Print_version.html#NetBeans)
    * [13.4 JCreator](Print_version.html#JCreator)
    * [13.5 Processing](Print_version.html#Processing)
    * [13.6 BlueJ](Print_version.html#BlueJ)
    * [13.7 Kawa](Print_version.html#Kawa)
    * [13.8 JBuilder](Print_version.html#JBuilder)
    * [13.9 DrJava](Print_version.html#DrJava)
    * [13.10 Other IDEs](Print_version.html#Other_IDEs)
  * [14 Language fundamentals](Print_version.html#Language_fundamentals)
  * [15 Language Fundamentals](Print_version.html#Language_Fundamentals_2)
    * [15.1 The Java programming syntax](Print_version.html#The_Java_programming_syntax)
  * [16 Statements](Print_version.html#Statements)
    * [16.1 Variable declaration statement](Print_version.html#Variable_declaration_statement)
    * [16.2 Assignment statements](Print_version.html#Assignment_statements)
    * [16.3 Assertion](Print_version.html#Assertion)
    * [16.4 Program Control Flow](Print_version.html#Program_Control_Flow)
    * [16.5 Statement Blocks](Print_version.html#Statement_Blocks)
    * [16.6 Branching Statements](Print_version.html#Branching_Statements)
      * [16.6.1 Unconditional Branching Statements](Print_version.html#Unconditional_Branching_Statements)
    * [16.7 Return statement](Print_version.html#Return_statement)
      * [16.7.1 Conditional Branching Statements](Print_version.html#Conditional_Branching_Statements)
        * [16.7.1.1 Conditional Statements](Print_version.html#Conditional_Statements)
        * [16.7.1.2 If...else statements](Print_version.html#If...else_statements)
        * [16.7.1.3 Switch statements](Print_version.html#Switch_statements)
    * [16.8 Iteration Statements](Print_version.html#Iteration_Statements)
      * [16.8.1 The while loop](Print_version.html#The_while_loop)
      * [16.8.2 The do...while loop](Print_version.html#The_do...while_loop)
      * [16.8.3 The for loop](Print_version.html#The_for_loop)
      * [16.8.4 The foreach loop](Print_version.html#The_foreach_loop)
    * [16.9 The continue and break statements](Print_version.html#The_continue_and_break_statements)
    * [16.10 Throw statement](Print_version.html#Throw_statement)
    * [16.11 try/catch](Print_version.html#try.2Fcatch)
  * [17 Conditional blocks](Print_version.html#Conditional_blocks)
    * [17.1 If](Print_version.html#If)
    * [17.2 If/else](Print_version.html#If.2Felse)
    * [17.3 If/else-if/else](Print_version.html#If.2Felse-if.2Felse)
    * [17.4 Conditional expressions](Print_version.html#Conditional_expressions)
    * [17.5 Switch](Print_version.html#Switch)
  * [18 Loop blocks](Print_version.html#Loop_blocks)
    * [18.1 While](Print_version.html#While)
      * [18.1.1 Do... while](Print_version.html#Do..._while)
    * [18.2 For](Print_version.html#For)
      * [18.2.1 For-each](Print_version.html#For-each)
    * [18.3 Break and continue keywords](Print_version.html#Break_and_continue_keywords)
    * [18.4 Labels](Print_version.html#Labels)
    * [18.5 Try... catch blocks](Print_version.html#Try..._catch_blocks)
    * [18.6 Examples](Print_version.html#Examples)
  * [19 Boolean expressions](Print_version.html#Boolean_expressions)
    * [19.1 Comparative operators](Print_version.html#Comparative_operators)
    * [19.2 Boolean operators](Print_version.html#Boolean_operators)
  * [20 Variables](Print_version.html#Variables)
    * [20.1 Variables in Java programming](Print_version.html#Variables_in_Java_programming)
    * [20.2 Kinds of variables](Print_version.html#Kinds_of_variables)
    * [20.3 Creating variables](Print_version.html#Creating_variables)
    * [20.4 Assigning values to variables](Print_version.html#Assigning_values_to_variables)
    * [20.5 Grouping variable declarations and assignment operations](Print_version.html#Grouping_variable_declarations_and_assignment_operations)
    * [20.6 Identifiers](Print_version.html#Identifiers)
    * [20.7 Naming conventions for identifiers](Print_version.html#Naming_conventions_for_identifiers)
    * [20.8 Literals (values)](Print_version.html#Literals_.28values.29)
  * [21 Primitive Types](Print_version.html#Primitive_Types_2)
    * [21.1 Numbers in computer science](Print_version.html#Numbers_in_computer_science)
    * [21.2 Integer types in Java](Print_version.html#Integer_types_in_Java)
    * [21.3 Integer numbers and floating point numbers](Print_version.html#Integer_numbers_and_floating_point_numbers)
    * [21.4 Data conversion (casting)](Print_version.html#Data_conversion_.28casting.29)
    * [21.5 Notes](Print_version.html#Notes)
  * [22 Arithmetic expressions](Print_version.html#Arithmetic_expressions)
    * [22.1 Using bitwise operators within Java](Print_version.html#Using_bitwise_operators_within_Java)
  * [23 Literals](Print_version.html#Literals)
    * [23.1 Boolean Literals](Print_version.html#Boolean_Literals)
    * [23.2 Numeric Literals](Print_version.html#Numeric_Literals)
      * [23.2.1 Integer Literals](Print_version.html#Integer_Literals)
      * [23.2.2 Floating Point Literals](Print_version.html#Floating_Point_Literals)
      * [23.2.3 Character Literals](Print_version.html#Character_Literals)
    * [23.3 String Literals](Print_version.html#String_Literals)
    * [23.4 null](Print_version.html#null)
    * [23.5 Mixed Mode Operations](Print_version.html#Mixed_Mode_Operations)
  * [24 Methods](Print_version.html#Methods)
    * [24.1 Parameter passing](Print_version.html#Parameter_passing)
      * [24.1.1 Primitive type parameter](Print_version.html#Primitive_type_parameter)
      * [24.1.2 Object parameter](Print_version.html#Object_parameter)
    * [24.2 Variable argument list](Print_version.html#Variable_argument_list)
    * [24.3 Return parameter](Print_version.html#Return_parameter)
    * [24.4 Special method, the constructor](Print_version.html#Special_method.2C_the_constructor)
    * [24.5 Static methods](Print_version.html#Static_methods)
  * [25 API/java.lang.String](Print_version.html#API.2Fjava.lang.String)
    * [25.1 Immutability](Print_version.html#Immutability)
    * [25.2 Concatenation](Print_version.html#Concatenation)
    * [25.3 Using StringBuilder/StringBuffer to concatenate strings](Print_version.html#Using_StringBuilder.2FStringBuffer_to_concatenate_strings)
    * [25.4 Comparing Strings](Print_version.html#Comparing_Strings)
    * [25.5 Splitting a String](Print_version.html#Splitting_a_String)
    * [25.6 Substrings](Print_version.html#Substrings)
    * [25.7 String cases](Print_version.html#String_cases)
    * [25.8 See also](Print_version.html#See_also)
  * [26 Classes, Objects and Types](Print_version.html#Classes.2C_Objects_and_Types)
    * [26.1 Instantiation and constructors](Print_version.html#Instantiation_and_constructors)
    * [26.2 Type](Print_version.html#Type)
    * [26.3 Autoboxing/unboxing](Print_version.html#Autoboxing.2Funboxing)
    * [26.4 Methods in the Object class](Print_version.html#Methods_in_the_Object_class)
      * [26.4.1 The clone method](Print_version.html#The_clone_method)
      * [26.4.2 The equals method](Print_version.html#The_equals_method)
      * [26.4.3 The finalize method](Print_version.html#The_finalize_method)
      * [26.4.4 The getClass method](Print_version.html#The_getClass_method)
      * [26.4.5 The hashCode method](Print_version.html#The_hashCode_method)
      * [26.4.6 The toString method](Print_version.html#The_toString_method)
      * [26.4.7 The wait and notify thread signaling methods](Print_version.html#The_wait_and_notify_thread_signaling_methods)
        * [26.4.7.1 The wait methods](Print_version.html#The_wait_methods)
        * [26.4.7.2 The notify and notifyAll methods](Print_version.html#The_notify_and_notifyAll_methods)
  * [27 Keywords](Print_version.html#Keywords)
    * [27.1 abstract](Print_version.html#abstract)
    * [27.2 assert](Print_version.html#assert)
    * [27.3 boolean](Print_version.html#boolean)
    * [27.4 break](Print_version.html#break)
    * [27.5 byte](Print_version.html#byte)
    * [27.6 case](Print_version.html#case)
    * [27.7 catch](Print_version.html#catch)
    * [27.8 char](Print_version.html#char)
    * [27.9 class](Print_version.html#class)
    * [27.10 const](Print_version.html#const)
    * [27.11 continue](Print_version.html#continue)
    * [27.12 default](Print_version.html#default)
    * [27.13 do](Print_version.html#do)
    * [27.14 double](Print_version.html#double)
    * [27.15 else](Print_version.html#else)
    * [27.16 enum](Print_version.html#enum)
    * [27.17 extends](Print_version.html#extends)
    * [27.18 final](Print_version.html#final)
    * [27.19 For a variable](Print_version.html#For_a_variable)
    * [27.20 For a class](Print_version.html#For_a_class)
    * [27.21 For a method](Print_version.html#For_a_method)
    * [27.22 Interest](Print_version.html#Interest)
    * [27.23 finally](Print_version.html#finally)
    * [27.24 float](Print_version.html#float)
    * [27.25 for](Print_version.html#for_2)
    * [27.26 goto](Print_version.html#goto)
    * [27.27 if](Print_version.html#if_2)
    * [27.28 implements](Print_version.html#implements)
    * [27.29 import](Print_version.html#import)
    * [27.30 instanceof](Print_version.html#instanceof)
    * [27.31 int](Print_version.html#int)
    * [27.32 interface](Print_version.html#interface)
    * [27.33 long](Print_version.html#long)
    * [27.34 native](Print_version.html#native)
    * [27.35 See also](Print_version.html#See_also_2)
    * [27.36 new](Print_version.html#new)
    * [27.37 package](Print_version.html#package)
    * [27.38 private](Print_version.html#private)
    * [27.39 protected](Print_version.html#protected)
    * [27.40 public](Print_version.html#public)
    * [27.41 return](Print_version.html#return)
    * [27.42 short](Print_version.html#short)
    * [27.43 static](Print_version.html#static)
    * [27.44 Interest](Print_version.html#Interest_2)
    * [27.45 strictfp](Print_version.html#strictfp)
    * [27.46 super](Print_version.html#super)
    * [27.47 switch](Print_version.html#switch_2)
    * [27.48 synchronized](Print_version.html#synchronized)
    * [27.49 Singleton example](Print_version.html#Singleton_example)
    * [27.50 this](Print_version.html#this)
    * [27.51 throw](Print_version.html#throw)
    * [27.52 throws](Print_version.html#throws)
    * [27.53 transient](Print_version.html#transient)
    * [27.54 try](Print_version.html#try)
    * [27.55 void](Print_version.html#void_2)
    * [27.56 volatile](Print_version.html#volatile)
    * [27.57 while](Print_version.html#while_2)
  * [28 Packages](Print_version.html#Packages)
    * [28.1 Package declaration](Print_version.html#Package_declaration)
    * [28.2 Import and class usage](Print_version.html#Import_and_class_usage)
    * [28.3 Wildcard imports](Print_version.html#Wildcard_imports)
    * [28.4 Package convention](Print_version.html#Package_convention)
    * [28.5 Importing packages from .jar files](Print_version.html#Importing_packages_from_.jar_files)
    * [28.6 Class loading/package](Print_version.html#Class_loading.2Fpackage)
  * [29 Arrays](Print_version.html#Arrays)
    * [29.1 Fundamentals](Print_version.html#Fundamentals)
    * [29.2 Two-Dimensional Arrays](Print_version.html#Two-Dimensional_Arrays)
    * [29.3 Multidimensional Array](Print_version.html#Multidimensional_Array)
  * [30 Mathematical functions](Print_version.html#Mathematical_functions)
    * [30.1 Math constants](Print_version.html#Math_constants)
      * [30.1.1 Math.E](Print_version.html#Math.E)
      * [30.1.2 Math.PI](Print_version.html#Math.PI)
    * [30.2 Math methods](Print_version.html#Math_methods)
      * [30.2.1 Exponential methods](Print_version.html#Exponential_methods)
        * [30.2.1.1 Exponentiation](Print_version.html#Exponentiation)
        * [30.2.1.2 Logarithms](Print_version.html#Logarithms)
      * [30.2.2 Trigonometric and hyperbolic methods](Print_version.html#Trigonometric_and_hyperbolic_methods)
        * [30.2.2.1 Trigonometric functions](Print_version.html#Trigonometric_functions)
        * [30.2.2.2 Inverse trigonometric functions](Print_version.html#Inverse_trigonometric_functions)
        * [30.2.2.3 Hyperbolic functions](Print_version.html#Hyperbolic_functions)
        * [30.2.2.4 Radian/degree conversion](Print_version.html#Radian.2Fdegree_conversion)
      * [30.2.3 Absolute value: Math.abs](Print_version.html#Absolute_value:_Math.abs)
      * [30.2.4 Maximum and minimum values](Print_version.html#Maximum_and_minimum_values)
    * [30.3 Functions dealing with floating-point representation](Print_version.html#Functions_dealing_with_floating-point_representation)
    * [30.4 Rounding number example](Print_version.html#Rounding_number_example)
  * [31 Large numbers](Print_version.html#Large_numbers)
    * [31.1 BigInteger](Print_version.html#BigInteger)
    * [31.2 BigDecimal](Print_version.html#BigDecimal)
  * [32 Random numbers](Print_version.html#Random_numbers)
    * [32.1 Truly random numbers](Print_version.html#Truly_random_numbers)
  * [33 Unicode](Print_version.html#Unicode)
    * [33.1 Unicode escape sequences](Print_version.html#Unicode_escape_sequences)
    * [33.2 International language support](Print_version.html#International_language_support)
    * [33.3 References](Print_version.html#References_2)
  * [34 Comments](Print_version.html#Comments)
    * [34.1 Syntax](Print_version.html#Syntax)
    * [34.2 Comments and unicode](Print_version.html#Comments_and_unicode)
    * [34.3 Javadoc comments](Print_version.html#Javadoc_comments)
  * [35 Coding conventions](Print_version.html#Coding_conventions)
  * [36 Classes and objects](Print_version.html#Classes_and_objects)
  * [37 Classes and Objects](Print_version.html#Classes_and_Objects_2)
    * [37.1 Classes and Objects](Print_version.html#Classes_and_Objects_3)
  * [38 Defining Classes](Print_version.html#Defining_Classes)
    * [38.1 Fundamentals](Print_version.html#Fundamentals_2)
    * [38.2 Constructors](Print_version.html#Constructors)
    * [38.3 Initializers](Print_version.html#Initializers)
      * [38.3.1 Static initializers](Print_version.html#Static_initializers)
      * [38.3.2 Instance initializers](Print_version.html#Instance_initializers)
  * [39 Inheritance](Print_version.html#Inheritance)
    * [39.1 The Object class](Print_version.html#The_Object_class)
    * [39.2 The _super_ keyword](Print_version.html#The_super_keyword)
  * [40 Interfaces](Print_version.html#Interfaces)
    * [40.1 Interest](Print_version.html#Interest_3)
    * [40.2 Extending interfaces](Print_version.html#Extending_interfaces)
  * [41 Overloading Methods and Constructors](Print_version.html#Overloading_Methods_and_Constructors)
    * [41.1 Method overloading](Print_version.html#Method_overloading)
    * [41.2 Variable Argument](Print_version.html#Variable_Argument)
    * [41.3 Constructor overloading](Print_version.html#Constructor_overloading)
    * [41.4 Method overriding](Print_version.html#Method_overriding)
  * [42 Object Lifecycle](Print_version.html#Object_Lifecycle)
    * [42.1 Creating object with the new keyword](Print_version.html#Creating_object_with_the_new_keyword)
    * [42.2 Creating object by cloning an object](Print_version.html#Creating_object_by_cloning_an_object)
    * [42.3 Creating object receiving from a remote source](Print_version.html#Creating_object_receiving_from_a_remote_source)
    * [42.4 Destroying objects](Print_version.html#Destroying_objects)
      * [42.4.1 finalize()](Print_version.html#finalize.28.29)
    * [42.5 Class loading](Print_version.html#Class_loading)
  * [43 Scope](Print_version.html#Scope)
    * [43.1 Scope](Print_version.html#Scope_2)
      * [43.1.1 Scope of method parameters](Print_version.html#Scope_of_method_parameters)
      * [43.1.2 Scope of local variables](Print_version.html#Scope_of_local_variables)
    * [43.2 Access modifiers](Print_version.html#Access_modifiers)
      * [43.2.1 For a class](Print_version.html#For_a_class_2)
      * [43.2.2 For a variable](Print_version.html#For_a_variable_2)
      * [43.2.3 For a method](Print_version.html#For_a_method_2)
      * [43.2.4 For an interface](Print_version.html#For_an_interface)
      * [43.2.5 Summary](Print_version.html#Summary)
    * [43.3 Utility](Print_version.html#Utility)
    * [43.4 Field encapsulation](Print_version.html#Field_encapsulation)
  * [44 Nested Classes](Print_version.html#Nested_Classes)
    * [44.1 Inner classes](Print_version.html#Inner_classes)
      * [44.1.1 Nesting a class inside a class](Print_version.html#Nesting_a_class_inside_a_class)
      * [44.1.2 Static inner classes](Print_version.html#Static_inner_classes)
      * [44.1.3 Nesting a class inside a method](Print_version.html#Nesting_a_class_inside_a_method)
    * [44.2 Anonymous Classes](Print_version.html#Anonymous_Classes)
  * [45 Generics](Print_version.html#Generics)
    * [45.1 Generic class](Print_version.html#Generic_class)
    * [45.2 Generic method](Print_version.html#Generic_method)
    * [45.3 Wildcard Types](Print_version.html#Wildcard_Types)
      * [45.3.1 Upper bounded wildcards](Print_version.html#Upper_bounded_wildcards)
      * [45.3.2 Lower bounded wildcards](Print_version.html#Lower_bounded_wildcards)
      * [45.3.3 Unbounded wildcard](Print_version.html#Unbounded_wildcard)
    * [45.4 Class<T>](Print_version.html#Class.3CT.3E)
    * [45.5 Motivation](Print_version.html#Motivation)
    * [45.6 Note for C++ programmers](Print_version.html#Note_for_C.2B.2B_programmers)
  * [46 Aggregate](Print_version.html#Aggregate)
  * [47 Aggregate](Print_version.html#Aggregate_2)
    * [47.1 Collection](Print_version.html#Collection)
    * [47.2 Map](Print_version.html#Map)
    * [47.3 Choice](Print_version.html#Choice)
  * [48 Collection](Print_version.html#Collection_2)
    * [48.1 Generics](Print_version.html#Generics_2)
    * [48.2 Collection classes](Print_version.html#Collection_classes)
      * [48.2.1 Set](Print_version.html#Set)
        * [48.2.1.1 Detecting duplicate objects in Sets](Print_version.html#Detecting_duplicate_objects_in_Sets)
        * [48.2.1.2 SortedSet](Print_version.html#SortedSet)
      * [48.2.2 List](Print_version.html#List)
    * [48.3 Queue](Print_version.html#Queue)
    * [48.4 Complete UML class diagram](Print_version.html#Complete_UML_class_diagram)
    * [48.5 Synchronization](Print_version.html#Synchronization)
    * [48.6 Custom collection](Print_version.html#Custom_collection)
  * [49 ArrayList](Print_version.html#ArrayList)
    * [49.1 Initializing](Print_version.html#Initializing)
    * [49.2 Methods](Print_version.html#Methods_2)
      * [49.2.1 Adding Element in ArrayList](Print_version.html#Adding_Element_in_ArrayList)
      * [49.2.2 Size of ArrayList](Print_version.html#Size_of_ArrayList)
      * [49.2.3 Get and Set ArrayList Element](Print_version.html#Get_and_Set_ArrayList_Element)
      * [49.2.4 Find Index of ArrayList Element](Print_version.html#Find_Index_of_ArrayList_Element)
      * [49.2.5 Find Element Contain in ArrayList](Print_version.html#Find_Element_Contain_in_ArrayList)
  * [50 Map](Print_version.html#Map_2)
    * [50.1 Map Classes](Print_version.html#Map_Classes)
    * [50.2 Thread safe maps](Print_version.html#Thread_safe_maps)
  * [51 Comparing Objects](Print_version.html#Comparing_Objects)
    * [51.1 Comparing for reference equality](Print_version.html#Comparing_for_reference_equality)
    * [51.2 Comparing for value equality](Print_version.html#Comparing_for_value_equality)
    * [51.3 Sorting/Ordering](Print_version.html#Sorting.2FOrdering)
    * [51.4 Change Sorting/Ordering](Print_version.html#Change_Sorting.2FOrdering)
  * [52 Exceptions](Print_version.html#Exceptions)
  * [53 Exceptions](Print_version.html#Exceptions_2)
    * [53.1 Flow of code execution](Print_version.html#Flow_of_code_execution)
  * [54 Checked Exceptions](Print_version.html#Checked_Exceptions)
    * [54.1 Why force exception handling?](Print_version.html#Why_force_exception_handling.3F)
    * [54.2 What exceptions can be declared, when overriding a method](Print_version.html#What_exceptions_can_be_declared.2C_when_overriding_a_method)
    * [54.3 What exceptions can be declared, when implementing an Interface](Print_version.html#What_exceptions_can_be_declared.2C_when_implementing_an_Interface)
  * [55 Unchecked Exceptions](Print_version.html#Unchecked_Exceptions)
  * [56 Concurrent Programming](Print_version.html#Concurrent_Programming)
  * [57 Annotations](Print_version.html#Annotations)
  * [58 Designing user interfaces](Print_version.html#Designing_user_interfaces)
  * [59 Advanced topics](Print_version.html#Advanced_topics)
  * [60 Appendices](Print_version.html#Appendices)
  * [61 GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)

  


# Overview

# Preface

> The beautiful thing about learning is nobody can take it away from you.
> 
> —[B.B. King](http://en.wikipedia.org/wiki/B.B._King) (5 October 1997)

Learning a computer programming language is like a toddler's first steps. You stumble, and fall, but when you start walking, programming becomes second nature. And once you start programming, you never cease evolving or picking up new tricks. Learn one programming language, and you will "know" them all — the logic of the world will begin to unravel around you.

## Are you new to programming?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dd/MarsSunsetCut.jpg/300px-MarsSunsetCut.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

This stunning image of the sunset on planet Mars wouldn't have been possible without Java.

If you have chosen Java as your first programming language, be assured that Java is also the first choice for computer science programs in many universities. Its simple and intuitive [syntax](http://en.wiktionary.org/wiki/syntax), or grammar, helps beginners feel at ease with complex programming constructs quickly.

However, Java is not a _basic_ programming language. In fact, NASA used Java as the driving force (quite literally) behind its Mars Rover missions. Robots, air traffic control systems and the self-checkout barcode scanners in your favorite supermarkets can all be programmed in Java.

## Programming with Java™

By now, you might truly be able to grasp the power of the Java programming language. With Java, there are many possibilities. Yet not every programmer gets to program applications that take unmanned vehicles onto other planets. Software that we encounter in our daily life is somewhat humble in that respect. Software in Java, however, covers a vast area of the computing ecosphere. Here are just a few examples of the ubiquitous nature of Java applications in real-life:

  * [OpenOffice.org](http://en.wikipedia.org/wiki/OpenOffice.org), a desktop office management suite that rivals the Microsoft Office suite has been written in Java.
  * The popular building game [Minecraft](http://en.wikipedia.org/wiki/Minecraft) is written in Java.
  * Online browser-based games like [Runescape](http://en.wikipedia.org/wiki/Runescape), a 3D massively multi-player online role playing game (MMORPG), run on graphics routines, 3D rendering and networking capabilities powered by the Java programming language.
  * Two of the world's renowned digital video recorders, [TiVo](http://en.wikipedia.org/wiki/TiVo) and BSkyB's [Sky+](http://en.wikipedia.org/wiki/Sky%2B) use built-in live television recording software to record, rewind and play your favorite television shows. These applications make extensive use of the Java programming language.

The above mentioned applications illustrate the reach and ubiquity of Java applications. Here's another fact: almost 80% of mobile phone vendors adopt Java as their primary platform for the development of applications. The most widely used mobile-based operating system, [Android](http://en.wikipedia.org/wiki/Android_\(operating_system\)), uses Java as one of its key application platforms — developers are encouraged to develop applications for Android in the Java programming language.

## What can Java _not_ do?

Well, to be honest, there is nothing that Java can't do. Java is a "complete" language; the only limits are programmer imagination and ability. This book aims to get you acquainted with the basics of the language so you can create the software masterpiece of your dreams.

  


  


# About This Book

The Java Programming Wikibook is a shared effort in amassing a comprehensive guide of the complete Java platform — from programming advice and tutorials for the desktop computer to programming on mobile phones. The information presented in this book has been conceptualised with the combined efforts of various [contributors](http://en.wikibooks.org/wiki/Java_Programming/Authors_%26_Contributors), and anonymous editors.

The primary purpose of this book is to teach the Java programming language to an audience of beginners, but its progressive layout of tutorials increasing in complexity, it can be just as helpful for intermediate and experienced programmers. Thus, this book is meant to be used as:

  * a collection of tutorials building upon one another in a progressive manner;
  * a guidebook for efficient programming with the Java programming language; and,
  * a comprehensive manual resource for the advanced programmer.

This book is intended to be used in conjunction with various other online resources, such as:

  * the [Java platform API documentation](http://download.oracle.com/javase/7/docs/api/overview-summary.html);
  * the [official Java website](http://www.oracle.com/us/technologies/java/index.html); and,
  * active Java communities online, such as [Java.net](http://home.java.net) and [JavaRanch](http://www.javaranch.com), etc.

## Who should read this book?

Every thing you would need to know to write computer programs would be explained in this book. By the time you finish reading, you will find yourself proficient enough to tackle just about anything in Java and programs written using it. This book serves as the first few stepping stones of many you would need to cross the unfriendly waters of computer programming. We have put a lot of emphasis in structuring this book in a way that lets you start programming from scratch, with Java as your preferred language of choice. This book is designed for you if any one of the following is true.

  * You are relatively new to programming and have heard how easy it is to learn Java.
  * You had some [BASIC](http://en.wikipedia.org/wiki/BASIC) or [Pascal](http://en.wikipedia.org/wiki/Pascal_\(programming_language\)) in school, and have a grasp of basic programming and logic.
  * You already know and have been introduced to programming in earlier versions of Java.
  * You are an experienced developer and know how to program in other languages like [C++](http://en.wikipedia.org/wiki/C%2B%2B), [Visual Basic](http://en.wikipedia.org/wiki/Visual_Basic), [Python](http://en.wikipedia.org/wiki/Python_\(programming_language\)), [Ruby](http://en.wikipedia.org/wiki/Ruby_\(programming_language\)), etc.
  * You've heard that Java is great for web applications and web services programming.

Although this book is generally meant to be for programmers who are beginning to learn programming; it can be highly beneficial for intermediate and advanced programmers who may have missed out on some vital information. By the end of this book, you would be able to solve any complicated problem and tackle it using the best of your learned skills in Java. Once you finish, you are also encouraged to take upon ambitious programming projects of your own as you certainly would be able to do that as well.

This book assumes that the reader has no prior knowledge of programming in Java, or for that matter, any object-oriented programming language. The book makes it easier to understand development methodology as one reads through the book with practical examples and exercises at the end of each topic and module. Although, if you are a complete beginner, we would suggest that you move slowly through this book and practice each exercise at your pace.

## How to use this book

This book as a reference book of the Java language and its related technologies. Its goal is to give a complete picture of Java and its technologies. While the book can be read from the beginning to end, it is also designed to have individual sections that can be read independently. To help find information quickly, navigation boxes are given in the online version for access to individual topics.

This book is divided to sections. Pages are grouped together into section topics. To make this book expandable in the future via the addition of new sections, the sections navigation-wide are independent from each other. Each section can be considered as a mini book by itself. Pages that belong to the same topic can be navigated by the links on the right hand side.

## How can you participate

Content is constantly being updated and enhanced in this book as is the nature of wiki-based content. This book is therefore in a constant state of evolution. Any Wikibooks users can participate in helping this book to a better standard as both a reader, or a contributor.

### As a reader

If you are interested in reading the content present in this book, we encourage you to:

  * share comments about the technical accuracy, content, or organization of this book by telling the contributors in the **Discussion** section for each page. You can find the link **Discussion** on each page in this book leading you to appropriate sections for discussion. Leave a signature when providing feedback, writing comments, or giving suggestion on the **Discussion** pages. This can be achieved by appending `\-- ~~~~` to your messages. Do _not_ add your signatures to the **Book** pages, they are only meant for the **Discussion** pages.
  * share news about the Java Programming Wikibook with your family and friends and let them know about this comprehensive Java guide online.
  * become a contributing author, if you think that you have information that could fill in some missing gaps in this book.

### As a contributor

If you are intent on writing content for this book, you need to do the following:

  * When writing content for this book, you can always pose as an anonymous contributor, however we recommend you sign-in into the Wikibooks website when doing so. It becomes easier to track and acknowledge changes to certain parts of the book. Furthermore, the opinions and views of logged-in users are given precedence over anonymous users.
  * Once you have started contributing content for this book, make sure that you add your name to [the contributor list](http://en.wikibooks.org/wiki/Java_Programming/Authors_%26_Contributors).
  * [Be bold](http://en.wikibooks.org/wiki/Wikibooks:Be_Bold) and try to follow the [conventions](http://en.wikibooks.org/wiki/Java_Programming/Conventions) for this Wikibook. It is important that the conventions for this book be followed to the letter to make content consistent and reliable throughout.

  


  


# History

On 23 May 1995, John Gage, the director of the Science Office of the Sun Microsystems along with Marc Andreesen, co-founder and executive vice president at Netscape announced to an audience of SunWorldTM that Java technology wasn't a myth and that it was a reality and that it was going to be incorporated into Netscape Navigator.[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1)

At the time the total number of people working on Java was less than 30.[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1) This team would shape the future in the next decade and no one had any idea as to what was in store. From being the mind of an unmanned vehicle on Mars to the operating environment on most of the consumer electronics, e.g. cable set-top boxes, VCRs, toasters and also for personal digital assistants (PDAs).[[2]](Print_version.html#cite_note-CITEREFClarkLindseyHistory1-2) Java has come a long way from its inception. Let's see how it all began.

## Earlier programming languages

Before Java emerged as a programming language, [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming) was the dominant player in the trade. The primary goals that the creators of Java was to create a language that could tackle most of the things that C++ offered while getting rid of some of the more tedious tasks that came with the earlier languages.

Computer hardware went through a performance and price revolution from 1972 to 1991. Better, faster hardware was available at lesser price and the demand for big and complex software exponentially increased. To accommodate the demand, new development technologies were invented.

The C language developed in 1972 by Dennis Ritchie had taken a decade to become the most popular language amongst programmers. But, with time programmers found that programming in C became tedious with its structural syntax.[[3]](Print_version.html#cite_note-3) Although, people attempted solving this problem, it would be later that a new development philosophy was introduced, one named _Object-Oriented Programming_. With OOP, a person may write a certain code which may be reused later without rewriting the code over and over again. In 1979, Bjarne Stroustrup developed C++, an enhancement to the C language with included OOP fundamentals and features.

## The Green team

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/14/James_Gosling_2008.jpg/200px-James_Gosling_2008.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

James Gosling, architect and designer of the compiler for the Java technology

Behind closed doors, a project was initiated in December of 1990, whose aim was to create a programming tool that could render obsolete the C and C++ programming languages. Engineer Patrick Naughton had become extremely frustrated with the state of Sun's C++ and C APIs (Application Programming Interfaces) and tools. While he was considering to move towards [NeXT](http://en.wikipedia.org/wiki/NeXT), he was offered a chance to work on new technology and the _Stealth Project_ was started, a secret nobody but he knew.

This Stealth Project was later named the _Green Project_ when James Gosling and Mike Sheridan joined Patrick.[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1) Over the period of time that the Green Project teethed, the prospects of the project started becoming clearer to the engineers working on it. No longer was its aim to create a new language far superior to the present ones, but it aimed to target the language to devices other than the computer.

Staffed at 13 people, they began work in a small office on Sand Hill Road in Menlo Park, California. This team would be called _Green Team_ henceforth in time. The project they underwent was chartered by Sun Microsystems to anticipate and plan for the "next-wave" in computing. For the team, this meant at least one significant trend, that of the convergence of digitally controlled consumer devices and computers.[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1)  


## Reshaping thought

The team started thinking of replacing C++ with a better version, a faster version, a responsive version. But the one thing they hadn't thought of, as of yet, was that the language they were aiming for had to be developed for an [embedded system](http://en.wikipedia.org/wiki/embedded_system) with limited resources. An **embedded system** is a computer system scaled to a minimalistic interface demanding only a few functions from its design. For such a system, C++ or any successor would seem too large as all the languages at the time demanded a larger footprint than what was desired. And, other than this, the language lacked some other important features as well. The team thus had to think in a different way to go about solving all these problems.

Co-founder of Sun Microsystems, Bill Joy, envisioned a language combining the power of Mesa and C in a paper he wrote for the engineers at Sun named _Further_. Gathering ideas, Gosling began work on enhancing C++ and named it "C++ ++ --", a pun on the evolutionary structure of the language's name. The ++ and -- meant, _putting in_ and _taking out stuff_. He soon abandoned the name and called it **Oak**[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1) after the tree that stood outside his office.

**Table 1: Who's who of the Java technology**[[1]](Print_version.html#cite_note-CITEREFEarlyYearsSun1-1)  
Has worked for GT (Green Team), FP (FirstPerson) and JP (Java Products Group)

Name GT FP JP Details

Lisa Friendly
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
FirstPerson employee and member of the Java Products Group

John Gage
Science Office (Director), Sun Microsystems

James Gosling
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
Lead engineer and key architect of the Java technology

Bill Joy
Co-founder and VP, Sun Microsystems; Principal designer of the UC Berkeley, version of the UNIX® OS

Jonni Kanerva
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
Java Products Group employee, author of The Java FAQ1

Tim Lindholm
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
FirstPerson employee and member Java Products Group

Scott McNealy
Chairman, President, and CEO of Sun Microsystems

Patrick Naughton
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
Green Team member, FirstPerson co-founder

George Paolini
Corporate Marketing (Director), Sun's Java Software Division

Kim Polese
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
FirstPerson product marketing

Lisa Poulson
Original director of public relations for Java technology (Burson-Marsteller)

Wayne Rosing
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
FirstPerson President

Eric Schmidt
Former Sun Microsystems Chief Technology Officer

Mike Sheridan
![Yes check.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Yes_check.svg/12px-Yes_check.svg.png)Yes
Green Team member

## The demise of an idea, birth of another

By now, the work on Oak had been significant but come the year 1993, people saw the demise of set-top boxes, interactive TV and the PDAs. A failure that completely ushered the inventors' thoughts to be reinvented. Only a miracle could make the project a success now. And such a miracle awaited anticipation.

[National Center for Supercomputing Applications](http://en.wikipedia.org/wiki/National_Center_for_Supercomputing_Applications) (NCSA) had just unveiled its new commercial web browser for the internet the previous year. The focus of the team, now diverted towards where they thought the "next-wave" of computing would be — the internet. The team then divulged into the realms of creating the same embeddable technology to be used in the web browser space calling it an **[applet](http://en.wikibooks.org/wiki/Java_Programming/Applets)** — _a small application_. Keeping all of this in mind, the team created a list of features tackling the C++ problems. In their opinion, the project should ...

  * .. be simple and gather tested fundamentals and features from the earlier languages in it,
  * .. have standard sets of APIs with basic and advanced features bundled with the language,
  * .. get rid of concepts requiring direct manipulation of hardware (in this case, memory) to make the language safe,
  * .. be platform independent and may written for every platform once (giving birth to the [WORA](http://en.wikipedia.org/wiki/Write_once,_run_anywhere) idiom),
  * .. be able to manipulate network programming out-of-the-box,
  * .. be embeddable in web browsers, and ...
  * .. have the ability for a single program to multi-task and do multiple things at the same time.

The team now needed a proper identity and they decided on naming the new technology they created Java ushering a new generation of products for the internet boom. A by-product of the project was a cartoon named "[Duke](http://en.wikipedia.org/wiki/Duke_\(mascot\))" created by Joe Parlang which became its identity then.

Finally at the SunWorldTM conference, Andreesen unveiled the new technology to the masses. Riding along with the explosion of interest and publicity in the Internet, Java quickly received widespread recognition and expectations grew for it to become the dominant software for browser and consumer applications.[[2]](Print_version.html#cite_note-CITEREFClarkLindseyHistory1-2)

Initially Java was owned by Sun Microsystems, but later it was released to open source; the term Java was a trademark of Sun Microsystems. Sun released the source code for its HotSpot Virtual Machine and compiler in November 2006, and most of the source code of the class library in May 2007. Some parts were missing because they were owned by third parties, not by Sun Microsystems. The released parts were published under the terms of the [GNU General Public License](http://en.wikipedia.org/wiki/GNU_General_Public_License), a free software license.

## Versions

Unlike C and C++, Java's growth is pretty recent. Here, we'd quickly go through the development paths that Java took with age.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b8/Java_Development_Path.svg/800px-Java_Development_Path.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Development of Java over the years. From version 1.0 to version 1.7, Java has displayed a steady growth.

### Initial Release (versions 1.0 and 1.1)

Introduced in 1996 for the [Solaris](http://en.wikipedia.org/wiki/Solaris_Operating_Environment), [Windows](http://en.wikipedia.org/wiki/Microsoft_Windows), [Mac OS](http://en.wikipedia.org/wiki/Mac_OS) Classic and [Linux](http://en.wikipedia.org/wiki/Linux), Java was initially released as the Java Development Kit 1.0 (JDK 1.0). This included the Java runtime (the virtual machine and the class libraries), and the development tools (e.g., the Java compiler). Later, Sun also provided a runtime-only package, called the Java Runtime Environment (JRE). The first name stuck, however, so usually people refer to a particular version of Java by its JDK version (e.g., JDK 1.0).

### Java 2 (version 1.2)

Introduced in 1998 as a quick fix to the former versions, version 1.2 was the start of a new beginning for Java. The JDKs of version 1.2 and later versions are often called _Java 2_ as well. For example, the official name of JDK 1.4 is _The Java(TM) 2 Platform, Standard Edition version 1.4_.

    Major changes include: 

  * Rewrite the event handling (add [Event Listeners](http://en.wikibooks.org/wiki/Java_Programming/Event_Handling))
  * Change Thread synchronizations
  * Introduction of the JIT-Just in time compilers

### Kestrel (Java 1.3)

Released in 8 May 2000. The most notable changes were:

  * HotSpot JVM included (the HotSpot JVM was first released in April, 1999 for the J2SE 1.2 JVM)
  * RMI was modified to support optional compatibility with CORBA
  * JavaSound
  * Java Naming and Directory Interface (JNDI) included in core libraries (previously available as an extension)
  * Java Platform Debugger Architecture (JPDA)
  * Synthetic proxy classes

### Merlin (Java 1.4)

Released in 6 February 2002, Java 1.4 has improved programmer productivity by expanding language features and available APIs:

  * Assertion
  * Regular Expression
  * XML processing
  * Cryptography and Secure Socket Layer (SSL)
  * Non-blocking I/O (NIO)
  * Logging

### Tiger (version 1.5.0; Java SE 5)

Released in September 2004

    Major changes include: 

  * [Generics](http://en.wikibooks.org/wiki/Java_Programming/Generics) \- Provides compile-time type safety for collections :and eliminates the drudgery of casting.
  * [Autoboxing/unboxing](http://en.wikibooks.org/wiki/Java_Programming/Classes,_Objects_and_Types#Autoboxing.2Funboxing) \- Eliminates the drudgery of manual conversion between primitive types (such as int) and wrapper types (such as Integer).
  * Enhanced for - Shorten the for loop with Collections use.
  * Static imports - Lets you import all the static part of a class.
  * [Annotation](http://en.wikibooks.org/wiki/Java_Programming/Annotation)/Metadata - Enabling tools to generate code and deployment descriptors from annotations in the source code. This leads to a "declarative" programming style where the programmer says what should be done and tools emit the code to do it. Annotations can be inspected through source parsing or by using the additional reflection APIs added in Java 5.
  * JVM Improvements - Most of the run time library is now mapped into memory as a memory image, as opposed to being loaded from a series of class files. Large portion of the runtime libraries will now be shared among multiple JVM instances.

### Mustang (version 1.6.0; Java SE 6)

Released on 11 December 2006.[[4]](Print_version.html#cite_note-CITEREFSunJava61-4)

What's New in Java SE 6:

  * Web Services - First-class support for writing XML web service client applications.
  * Scripting - You can now mix in JavaScript technology source code, useful for prototyping. Also useful when you have teams with a variety of skill sets. More advanced developers can plug in their own scripting engines and mix their favorite scripting language in with Java code as they see fit.
  * Database - No more need to find and configure your own JDBC database when developing a database application. Developers will also get the updated JDBC 4.0, a well-used API with many important improvements, such as special support for XML as an SQL datatype and better integration of Binary Large OBjects (BLOBs) and Character Large OBjects (CLOBs) into the APIs.
  * More Desktop APIs - GUI developers get a large number of new tricks to play like the ever popular yet newly incorporated SwingWorker utility to help you with threading in GUI apps, JTable sorting and filtering, and a new facility for quick splash screens to quiet impatient users.
  * Monitoring and Management - The really big deal here is that you don't need to do anything special to the startup to be able to attach on demand with any of the monitoring and management tools in the Java SE platform.
  * Compiler Access - Really aimed at people who create tools for Java development and for frameworks like JavaServer Pages (JSP) or Personal Home Page construction kit (PHP) engines that need to generate a bunch of classes on demand, the compiler API opens up programmatic access to javac for in-process compilation of dynamically generated Java code. The compiler API is not directly intended for the everyday developer, but for those of you deafened by your screaming inner geek, roll up your sleeves and give it a try. And the rest of us will happily benefit from the tools and the improved Java frameworks that use this.
  * Pluggable Annotations allows programmer to write annotation processor so that it can analyse your code semantically before javac compiles. For example, you could write an annotation processor that verifies whether your program obeys naming conventions.
  * Desktop Deployment - At long last, Java SE 6 unifies the Java Plug-in technology and Java WebStart engines, which just makes sense. Installation of the Java WebStart application got a much needed makeover.
  * Security - Java SE 6 has simplified the job of its security administrators by providing various new ways to access platform-native security services, such as native Public Key Infrastructure (PKI) and cryptographic services on Microsoft Windows for secure authentication and communication, Java Generic Security Services (Java GSS) and Kerberos services for authentication, and access to LDAP servers for authenticating users.
  * The -lities: Quality, Compatibility, Stability - Bug fixes ...

### Dolphin (version 1.7.0; Java SE 7)

Released on 28 July 2011.

Feature additions for Java 7 include:[[5]](Print_version.html#cite_note-5)

  * JVM support for dynamic languages, following the prototyping work currently done on the Multi Language Virtual Machine
  * Compressed 64-bit pointers[[6]](Print_version.html#cite_note-6) Available in Java 6 with [-XX:+UseCompressedOops](http://www.oracle.com/technetwork/java/javase/tech/vmoptions-jsp-140102.html)
  * Small language changes (grouped under a project named Coin):[[7]](Print_version.html#cite_note-7)

    

  * Strings in switch[[8]](Print_version.html#cite_note-8)
  * Automatic resource management in try-statement[[9]](Print_version.html#cite_note-9)
  * Improved type inference for generic instance creation[[10]](Print_version.html#cite_note-10)
  * Simplified varargs method declaration[[11]](Print_version.html#cite_note-11)
  * Binary integer literals[[12]](Print_version.html#cite_note-12)
  * Allowing underscores in numeric literals[[13]](Print_version.html#cite_note-13)
  * Catching multiple exception types and rethrowing exceptions with improved type checking[[14]](Print_version.html#cite_note-14)

  * Concurrency utilities under JSR 166[[15]](Print_version.html#cite_note-15)
  * New file I/O library to enhance platform independence and add support for metadata and symbolic links. The new packages are java.nio.file and java.nio.file.attribute[[16]](Print_version.html#cite_note-16)[[17]](Print_version.html#cite_note-17)
  * Library-level support for Elliptic curve cryptography algorithms
  * An XRender pipeline for Java 2D, which improves handling of features specific to modern GPUs
  * New platform APIs for the graphics features originally planned for release in Java version 6u10
  * Enhanced library-level support for new network protocols, including SCTP and Sockets Direct Protocol
  * Upstream updates to XML and Unicode

Lambda (Java's implementation of lambda functions), Jigsaw (Java's implementation of modules), and part of Coin were dropped from Java 7. Java 8 will be released with the remaining features in summer 2013.[[18]](Print_version.html#cite_note-JavaOne2011Keynote-18)

## References

  1. ↑ _**[a**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-0) _**[b**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-1) _**[c**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-2) _**[d**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-3) _**[e**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-4) _**[f**_](Print_version.html#cite_ref-CITEREFEarlyYearsSun1_1-5) ["Java Technology: The Early Years"](http://java.sun.com/features/1998/05/birthday.html). Sun Microsystems. <http://java.sun.com/features/1998/05/birthday.html>. Retrieved 9 May 2008. 
  2. ↑ _**[a**_](Print_version.html#cite_ref-CITEREFClarkLindseyHistory1_2-0) _**[b**_](Print_version.html#cite_ref-CITEREFClarkLindseyHistory1_2-1) ["History of Java"](http://www.particle.kth.se/~lindsey/JavaCourse/Book/Part1/Java/Chapter01/history.html). Lindsey, Clark S.. <http://www.particle.kth.se/~lindsey/JavaCourse/Book/Part1/Java/Chapter01/history.html>. Retrieved [7 May](http://en.wikipedia.org/wiki/7_May) [2008](http://en.wikipedia.org/wiki/2008). 
  3. [↑](Print_version.html#cite_ref-3) Structural syntax is a linear way of writing code. A program is interpreted usually at the first line of the program's code until it reaches the end. One can not hook a later part of the program to an earlier one. The flow follows a linear top-to-bottom approach.
  4. [↑](Print_version.html#cite_ref-CITEREFSunJava61_4-0) ["Java Platform Standard Edition 6"](http://www.sun.com/aboutsun/media/presskits/2006-1211/). Sun Microsystems. <http://www.sun.com/aboutsun/media/presskits/2006-1211/>. Retrieved 9 May 2008. 
  5. [↑](Print_version.html#cite_ref-5) Miller, Alex. ["Java 7"](http://tech.puredanger.com/java7). <http://tech.puredanger.com/java7>. Retrieved 2008-05-30. 
  6. [↑](Print_version.html#cite_ref-6) ["Compressed oops in the Hotspot JVM"](https://wikis.oracle.com/display/HotSpotInternals/CompressedOops). OpenJDK. <https://wikis.oracle.com/display/HotSpotInternals/CompressedOops>. Retrieved 2012-08-01. 
  7. [↑](Print_version.html#cite_ref-7) ["Java Programming Language Enhancements"](http://download.oracle.com/javase/7/docs/technotes/guides/language/enhancements.html#javase7). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/enhancements.html#javase7>. Retrieved 2013-01-15. 
  8. [↑](Print_version.html#cite_ref-8) ["Strings in switch Statements"](http://download.oracle.com/javase/7/docs/technotes/guides/language/strings-switch.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/strings-switch.html>. Retrieved 2013-01-15. 
  9. [↑](Print_version.html#cite_ref-9) ["The try-with-resources Statement"](http://download.oracle.com/javase/7/docs/technotes/guides/language/try-with-resources.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/try-with-resources.html>. Retrieved 2013-01-15. 
  10. [↑](Print_version.html#cite_ref-10) ["Type Inference for Generic Instance Creation"](http://download.oracle.com/javase/7/docs/technotes/guides/language/type-inference-generic-instance-creation.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/type-inference-generic-instance-creation.html>. Retrieved 2013-01-15. 
  11. [↑](Print_version.html#cite_ref-11) ["Improved Compiler Warnings When Using Non-Reifiable Formal Parameters with Varargs Methods"](http://download.oracle.com/javase/7/docs/technotes/guides/language/non-reifiable-varargs.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/non-reifiable-varargs.html>. Retrieved 2013-01-15. 
  12. [↑](Print_version.html#cite_ref-12) ["Binary Literals"](http://download.oracle.com/javase/7/docs/technotes/guides/language/binary-literals.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/binary-literals.html>. Retrieved 2013-01-15. 
  13. [↑](Print_version.html#cite_ref-13) ["Underscores in Numeric Literals"](http://download.oracle.com/javase/7/docs/technotes/guides/language/underscores-literals.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/underscores-literals.html>. Retrieved 2013-01-15. 
  14. [↑](Print_version.html#cite_ref-14) ["Catching Multiple Exception Types and Rethrowing Exceptions with Improved Type Checking"](http://download.oracle.com/javase/7/docs/technotes/guides/language/catch-multiple.html). Download.oracle.com. <http://download.oracle.com/javase/7/docs/technotes/guides/language/catch-multiple.html>. Retrieved 2013-01-15. 
  15. [↑](Print_version.html#cite_ref-15) ["Concurrency JSR-166"](http://gee.cs.oswego.edu/dl/concurrency-interest/index.html). <http://gee.cs.oswego.edu/dl/concurrency-interest/index.html>. Retrieved 2010-04-16. 
  16. [↑](Print_version.html#cite_ref-16) ["File I/O (Featuring NIO.2) (The Java™ Tutorials > Essential Classes > Basic I/O)"](http://java.sun.com/docs/books/tutorial/essential/io/fileio.html). Java.sun.com. 2008-03-14. <http://java.sun.com/docs/books/tutorial/essential/io/fileio.html>. Retrieved 2013-01-15. 
  17. [↑](Print_version.html#cite_ref-17) ["Legacy File I/O Code (The Java™ Tutorials > Essential Classes > Basic I/O)"](http://java.sun.com/docs/books/tutorial/essential/io/legacy.html). Java.sun.com. 2012-02-28. <http://java.sun.com/docs/books/tutorial/essential/io/legacy.html>. Retrieved 2013-01-15. 
  18. [↑](Print_version.html#cite_ref-JavaOne2011Keynote_18-0) ["JavaOne 2011 Keynote"](http://blogs.oracle.com/javaone/resource/java_keynote/slide_16_full_size.gif). Oracle. <http://blogs.oracle.com/javaone/resource/java_keynote/slide_16_full_size.gif>. 

  


  


# Java Overview

The new features and upgrades included into Java changed the face of programming environment and gave a new definition to [Object Oriented Programming](http://en.wikibooks.org/wiki/Object_Oriented_Programming) (_OOP_ in short). But unlike its predecessors, Java needed to be bundled with standard functionality and be independent of the host platform.

The primary goals in the creation of the Java language:

  * It is simple.
  * It is object-oriented.
  * It is independent of the host platform.
  * It contains language facilities and libraries for networking.
  * It is designed to execute code from remote sources securely.

The Java language introduces some new features that did not exist in other languages like C and C++.

## Object orientation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/66/KP-UML-Generalization-20060325.svg/300px-KP-UML-Generalization-20060325.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Object oriented programming can be represented with [UML](http://en.wikibooks.org/wiki/Introduction_to_Software_Engineering/UML) diagrams.

Object orientation ("OO"), refers to a method of programming and language technique. The main idea of OO is to design software around the "things" (i.e. objects) it manipulates, rather than the actions it performs.

As the hardware of the computer advanced, it brought about the need to create better software techniques to be able to create ever increasing complex applications. The intent is to make large software projects easier to manage, thus improving quality and reducing the number of failed projects. Object oriented solution is the latest software technique.

Assembly languages 
    Software techniques started with the assembly languages, that was close to machine instruction and was easy to convert into executable code. Each hardware had its own assembly language. Assembly language contains low level instructions like move data from memory to hardware registers, do arithmetic operations, and move data back to memory. Programmers had to know the detailed architecture of the computer in order to write programs.

Procedural languages 
    After the assembly languages, high level languages were developed. Here the language compiler is used to convert the high level program to machine instructions, freeing up the programmers the burden of knowing the computer hardware architecture. To promote the re-use of code, and to minimize the use of GOTO instruction, "procedural" techniques were introduced. This simplified the creation and maintenance of software control flow, but they left out the organization of data. It became a nightmare to debug and maintain programs having many global variables. Global variables contain data that can be modified anywhere in the application.

Object oriented languages 
    In OO languages, data is taken seriously with information hiding. Procedures were replaced by Objects. Objects contain data as well as control flow. Our thinking has to shift from procedures to interaction between objects.

## Platform dependence

In C or C++ programming, you start to write a source code:  
![Gnome-mime-text-x-c.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Gnome-mime-text-x-c.svg/50px-Gnome-mime-text-x-c.svg.png)  


... you compile it to a machine code file:  
![Gnome-mime-text-x-c.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Gnome-mime-text-x-c.svg/50px-Gnome-mime-text-x-c.svg.png) ![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png)  


... and then you execute it:  
![Gnome-mime-text-x-c.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Gnome-mime-text-x-c.svg/50px-Gnome-mime-text-x-c.svg.png) ![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png) ![Window Dialog.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Window_Dialog.svg/50px-Window_Dialog.svg.png)  


In this situation, the machine code file and its execution are specific to the platform (Windows, Linux, Mac OS, ...) it was compiled for, that is to say to the _targeted platform_:

![Gnome-mime-text-x-c.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Gnome-mime-text-x-c.svg/50px-Gnome-mime-text-x-c.svg.png)

![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png)![Window Dialog.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Window_Dialog.svg/50px-Window_Dialog.svg.png)

  


... because the compiled file is a machine code file designed to work on a specific platform and hardware. It would have produced a different results/output for another platform. So if you want your program to run on several platforms, you have to compile your program several times:

![Gnome-mime-text-x-c.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Gnome-mime-text-x-c.svg/50px-Gnome-mime-text-x-c.svg.png)

![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png)![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png)![Gnome-mime-application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Gnome-mime-application-x-executable.svg/50px-Gnome-mime-application-x-executable.svg.png)

![Windows icon.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/Windows_icon.svg/50px-Windows_icon.svg.png)![Apple Logo.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Apple_Logo.svg/50px-Apple_Logo.svg.png)![Tux-shaded.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Tux-shaded.svg/50px-Tux-shaded.svg.png)

It poses greater vulnerability risks. Note here that when a certain code is compiled into an executable format, the executable cannot be changed dynamically. It would need to be recompiled from the changed code for the changes to be reflected in the finished executable. **Modularity** (dividing code into modules) is _not_ present in Java's predecessors. If instead of a single executable, the output application was in the form of modules, one could easily change a single module and review changes in the application. In C/C++ on the other hand, a slight change in code required the whole application to be recompiled.

The idea of Java is to compile the source code into an intermediate language that will be interpreted.

![Text-x-java-source.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2a/Text-x-java-source.svg/50px-Text-x-java-source.svg.png)

![Application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Application-x-executable.svg/50px-Application-x-executable.svg.png)

![Java.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Java.png/50px-Java.png)

The source code
The intermediate file
The interpretor

The intermediate language is the _byte code_. The interpretor is the _Java Virtual Machine_ (JVM). The byte code file is universal and the JVM is platform specific:

![Text-x-java-source.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2a/Text-x-java-source.svg/50px-Text-x-java-source.svg.png)

![Application-x-executable.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Application-x-executable.svg/50px-Application-x-executable.svg.png)

![Java.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Java.png/50px-Java.png)![Java.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Java.png/50px-Java.png)![Java.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Java.png/50px-Java.png)

![Windows icon.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/Windows_icon.svg/50px-Windows_icon.svg.png)![Apple Logo.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Apple_Logo.svg/50px-Apple_Logo.svg.png)![Tux-shaded.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Tux-shaded.svg/50px-Tux-shaded.svg.png)

So a JVM should be coded for each platform. And that's the case. So you just have to generate a unique byte code file (a `.class` file).

The first implementations of the language used an interpreted virtual machine to achieve portability, and many implementations still do. These implementations produce programs that run more slowly than the fully-compiled programs created by the typical C++ compiler, so the language suffered a reputation for producing slow programs. Since Java 1.2, Java VM produces programs that run much faster, using multiple techniques.

The first of these is to simply compile directly into native code like a more traditional compiler, skipping bytecode entirely. This achieves great performance, but at the expense of portability. This is not really used any more.

Another technique, the _just-in-time_ (JIT) compiler, compiles the Java bytecode into native code at the time the program is run, and keep the compiled code to be used again and again. More sophisticated VMs even use _dynamic recompilation_, in which the VM can analyze the behavior of the running program and selectively recompile and optimize critical parts of the program. Both of these techniques allow the program to take advantage of the speed of native code without losing portability.

Portability is a technically difficult goal to achieve, and Java's success at that goal is a matter of some controversy. Although it is indeed possible to write programs for the Java platform that behave consistently across many host platforms, the large number of available platforms with small errors or inconsistencies led some to parody Sun's "Write once, run anywhere" slogan as "Write once, debug everywhere".

## Standardization

C++ was built atop the C language and as a result divergent ways of doing the same thing manifested around the language. For instance, creating an object could be done in three different ways in C++. Furthermore, C++ did not come with a standard library bundled with its compilers. Instead, it relied on resources created by other programmers; code which rarely fit together.

In Java, standardized libraries are provided to allow access to features of the host machines (such as graphics and networking) in unified ways. The Java language also includes support for multi-threaded programs—a necessity for many networking applications.

Platform independent Java is, however, very successful with server side applications, such as web services, servlets, or Enterprise JavaBeans.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cc/Gui-widgets.png/300px-Gui-widgets.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Swing does not rely on the underlying native user interface.

Java also made progress on the client side, first it had [Abstract Window Toolkit](http://en.wikipedia.org/wiki/Abstract_Window_Toolkit) (AWT), then [Swing](http://en.wikibooks.org/wiki/Java_Swings), and the most recent client side library is the [Standard Widget Toolkit](http://en.wikipedia.org/wiki/Standard_Widget_Toolkit) (SWT). It is interesting to see how they tried to handle the two opposing consuming forces. Those are :

Efficient, fast code; port to most popular hardware (write once, test anywhere) 
    Use the underlying native subroutine to create a GUI component. This approach was taken by AWT, and SWT.

Portability to any hardware where JVM ported (write once, run anywhere) 
    To achieve this to the latter, the Java toolkit should not rely on the underlying native user interface. Swing tooks this approach.

It is interesting to see how the approach was switched back and forth. AWT → Swing → SWT.  


## Secure execution

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/FreeBSD_kernel_panic.png/300px-FreeBSD_kernel_panic.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

The segmentation fault, one of the most recurrent issues in C programming.

With the high-level of control built into the language to manipulate hardware, a C/C++ programmer could access almost any resource, either hardware or software on the system. This was intended to be one of the languages' strong points, but this very flexibility led to confusion and complex programming practices.

## Error handling

The old way of error handling was to let each function return an error code then let the caller check what was returned. The problem with this method was that if the return code was full of error-checking codes, this got in the way of the original one that was doing the actual work, which in turn did not make it very readable.

In the new way of error handling, functions/methods do not return error codes. Instead, when there is an error, an [exception](http://en.wikibooks.org/wiki/Java_Programming/Exceptions) is thrown. The exceptions can be handled by the `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` keyword at the end of a `[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)` block. This way, the code that is calling the function does not need to be mangled with error checking codes, thus making the code more readable. This new way of error handling is called _Exception handling_.

Exception handling was also added to C++. However, there are two differences between Java and C++ Exception handling:

  * In Java, the exception that is thrown is a Java object like any other object in Java. It only has to implement `Throwable` interface.
  * In Java, the compiler checks whether an exception may be caught or not. The compiler gives an error if there is no catch block for a thrown exception.

The optional exception handling in the Java predecessors leads the developers not to care about the error handling. As a consequence, unexpected errors often occurs. Java forces the developers to handle exceptions. The programmer must handle exception or declare that the user must handle it. Someone must handle it.

## Networking capabilities

However powerful, the predecessors of Java lacked a standard feature to network with other computers, and usually relied on the platforms' intricate networking capabilities. With almost all network protocols being standardized, the creators of Java technology wanted this to be a flagship feature of the language while keeping true to the spirit of earlier advances made towards standardizing [Remote Procedure Call](http://en.wikipedia.org/wiki/Remote_procedure_call). Another feature that the Java team focused on was its integration in the World Wide Web and the Internet.

The Java platform was one of the first systems to provide wide support for the execution of code from remote sources. The Java language was designed with [network computing](http://en.wikipedia.org/wiki/Network_computing) in mind.

An applet could run within a user's browser, executing code downloaded from a remote HTTP server. The remote code runs in a highly restricted "sandbox", which protects the user from misbehaving or malicious code; publishers could apply for a certificate that they could use to digitally sign applets as "safe", giving them permission to break out of the sandbox and access the local file system and network, presumably under user control.

## Dynamic class loading

In conventional languages like C and C++, all code had to be compiled and linked to one executable program, before execution. In Java, classes are compiled as needed. If a class is not needed during an execution phase, that class is not even compiled into byte code.

This feature comes in handy especially in network programming when we do not know, beforehand, what code will be executed. A running program could load classes from the file system or from a remote server.

Also this feature makes it theoretically possible for a Java program to alter its own code during execution, in order to do some self-learning behavior. It would be more realistic to imagine, however, that a Java program would generate Java code before execution, and then, that code would be executed. With some feedback mechanism, the generated code could improve over time.

## Automatic memory garbage collection

In conventional languages like C and C++, the programmer has to make sure that all memory that was allocated is freed. Memory leaks became a regular nuisance in instances where the programmers had to manually allocate the system's memory resources.

Memory resources or buffers have specific modes of operation for optimal performance. Once a buffer is filled with data, it needs to be cleaned up after there is no further use for its content. If a programmer forgets to clean it in his/her code, the memory is easily overloaded. Programming in C/C++ languages became tedious and unsafe because of these very quirks, and programs built in these languages were prone to memory leakages and sudden system crashes — sometimes even harming the hardware itself. Freeing memory is particularly important in servers, since it has to run without stopping for days. If a piece of memory is not freed after use and the server just keeps allocating memory, that memory leak can take down the server.

In Java, freeing up memory is taken out of the programmers hands; the Java Virtual Machine keeps track of all used memory. When memory is not used any more it is automatically freed up. A separate task is running in the background by the JVM, freeing up unreferenced, unused memory. That task is called the _Garbage Collector_.

The Garbage Collector is always running. This automatic memory garbage collection feature makes it easy to write robust server side programs in Java. The only thing the programmer has to watch for is the speed of object creation. If the application is creating objects faster than the Garbage Collector can free them, it can cause memory problems. Depending on how the JVM is configured, the application either can run out of memory by throwing the `NotEnoughMemoryException`, or can halt to give time for the Garbage Collector to do its job.

## Applet

The Java creators created the concept of the _applet_. A Java program can be run in a client browser program. Java was released in 1995; the time when the Internet was becoming more available and familiar to the general public. The promise of Java was in the client browser-side in that code would be downloaded and executed as a Java applet in the client browser program.

    _See also [Java Programming/Applets](http://en.wikibooks.org/wiki/Java_Programming/Applets)._

## Forbidden bad practices

Over the years, some features in C/C++ programming become abused by the programmers. Although the language allows it, it was known as bad practices. So the creators of Java have disabled them:

  * Operator overloading
  * Multiple inheritance
  * Friend classes (access an other object private members)
  * Restrictions of explicit type casting (related to memory management)

## Evaluation

In most people's opinions, Java technology delivers reasonably well on all these goals. The language is not, however, without drawbacks. Java tends to be more high-level than similar languages (such as C++), which means that the Java language lacks features such as hardware-specific data types, low-level pointers to arbitrary memory addresses, or programming methods like operator overloading. Although these features are frequently abused or misused by programmers, they are also powerful tools. However, Java technology includes [Java Native Interface](http://en.wikibooks.org/wiki/Java_Programming/Java_Native_Interface) (JNI), a way to call native code from Java language code. With JNI, it is still possible to use some of these features.

Some programmers also complain about its lack of multiple inheritance, a powerful feature of several object-oriented languages, among others C++. The Java language separates inheritance of type and implementation, allowing inheritance of multiple type definitions through interfaces, but only single inheritance of type implementation via class hierarchies. This allows most of the benefits of multiple inheritance while avoiding many of its dangers. In addition, through the use of concrete classes, abstract classes, as well as interfaces, a Java language programmer has the option of choosing full, partial, or zero implementation for the object type he defines, thus ensuring maximum flexibility in application design.

There are some who believe that for certain projects, object orientation makes work harder instead of easier. This particular complaint is not unique to the Java language but applies to other object-oriented languages as well.

  


  


# The Java Platform

The **Java platform** is the name given to the computing platform from Oracle that helps users to _run_ and _develop_ Java applications. The platform does not just enable a user to run and develop Java application, but also features a wide variety of tools that can help developers work efficiently with the Java programming language.

The platform consists of two essential softwares:

  * the **Java Runtime Environment (JRE)**, which is needed to _run_ Java applications and applets; and,
  * the **Java Development Kit (JDK)**, which is needed to _develop_ those Java applications and applets. If you have installed the JDK, you should know that it comes equipped with a JRE as well. So, for all the purposes of this book, you would only require the JDK.

In this section, we would explore in further detail what these two software components of the Java platform do.

## Java Runtime Environment (JRE)

Any piece of code written in the Java programming language can be run on any operating system, platform or architecture — in fact, it can be run on any device that supports the Java platform. Before Java, this amount of ubiquity was very hard to achieve. If a software was written for a Unix-based system, it was impossible to run the same application on a Windows system — in this case, the application was native only to Unix-based systems.

A major milestone in the development of the Java programming language was to develop a special runtime environment that would execute any Java application _independent_ of the computer's operating system, platform or architecture.

The **Java Runtime Environment (JRE)** sits on top of the machine's operating system, platform and architecture. If and when a Java application is run, the JRE acts as a liaison between the underlying platform and that application. It interprets the Java application to run in accordance with the underlying platform, such that upon running the application, it looks and behaves like a native application. The part of the JRE that accomplishes this complex liaison agreement is called the **Java Virtual Machine (JVM)**.

  


**Figure 1:** Java applications can be _written once_ and _run anywhere_. This feature of the Java platform  
is commonly abbreviated to **WORA** in formal Java texts.

![Explaining Java Runtime Environment.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/60/Explaining_Java_Runtime_Environment.svg/638px-Explaining_Java_Runtime_Environment.svg.png)

  


### Executing native Java code (or _byte-code_)

Native Java applications are preserved in a special format called the _**[byte-code](http://en.wikibooks.org/wiki/Java_Programming/Byte_Code)**_. Byte-code remains the same, no matter what hardware architecture, operating system, or software platform it is running under. On a file-system, Java byte-code resides in files that have the `.class` (also known as a _**class file**_) or the `.jar` (also known as a _**Java archive**_) extension. To run byte-code, the JRE comes with a special tool (appropriately named **java**).

Suppose your byte-code is called `SomeApplication.class`. If you want to execute this Java byte-code, you would need to use the following command in Command Prompt (on Windows) or Terminal (on Linux or Mac OS):

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Execution**
    
    
    $ java SomeApplication
    

If you want to execute a Java byte-code with a `.jar` extension (say, `SomeApplication.jar`), you would need to use the following command in Command Prompt (on Windows) or Terminal (on Linux or Mac OS):

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Execution with a jar**
    
    
    $ java -jar SomeApplication.jar
    

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
Not all Java class files or Java archives are executable. Therefore, the **java** tool would only be able to execute files that are executable. Non-executable class files and Java archives are simply called _**class libraries**_.

### Do you have a JRE?

Most computers come with a pre-installed copy of the JRE. If your computer doesn't have a JRE, then the above commands would not work. You can always check what version of the JRE is installed on the computer by writing the following command in Command Prompt (on Windows) or Terminal (on Linux or Mac OS):

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Java version**
    
    
    $ java -version
    

### Java Virtual Machine (JVM)

Quite possibly, the most important part of the JRE is the **Java Virtual Machine (JVM)**. The JVM acts like a _virtual_ processor enabling Java applications to be run on the local system. It's main purpose is to interpret (_read_ translate) the received byte-code and make it appear as native code. The olden Java architecture used this process of **interpretation** to execute Java byte-code. Even though the process of interpretation brought the WORA principle to diverse machines, it had a drawback — it consumed a lot of time and clocked the system processor intensively to load an application.

  


**Figure 2:** A JVM interpreter _translates_ the byte-code line-by-line to make it appear as if a native application is being executed.

![How JVM Interpreter works.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/18/How_JVM_Interpreter_works.svg/656px-How_JVM_Interpreter_works.svg.png)

  


#### Just-in-Time Compilation

Since version 1.2, the JRE features a more robust JVM. Instead of interpreting byte-code, it down-right converts the code straight into equivalent native code for the local system. This process of conversion is called _[just-in-time compilation](http://en.wikipedia.org/wiki/just-in-time_compilation)_ or _JIT-compilation_. This process only occurs when the byte-code is executed for the first time. Unless the byte-code itself is changed, the JVM uses the compiled version of the byte-code on every successive execution. Doing so saves a lot of time and processor effort, allowing applications to execute much faster at the cost of a _small_ delay on first execution.

  


**Figure 3:** A just-in-time compiler only compiles the byte-code to equivalent native code at first execution. Upon every successive  
execution, the JVM merely uses the already _compiled_ native code to optimize performance.

![How JIT Compilation works.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/How_JIT_Compilation_works.svg/756px-How_JIT_Compilation_works.svg.png)

  


#### Native optimization

The JVM is an intelligent _virtual_ processor. It has the ability to identify areas within the Java code itself that can be optimized for faster and better performance. Based on every successive run of your Java applications, the JVM would optimize it to run even better.

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
There are portions of Java code that do not require it to be JIT-compiled at runtime, e.g., the [Reflection API](http://en.wikibooks.org/wiki/Java_Programming/Reflection); therefore, code that uses such functions are not necessarily fully compiled to native code.

#### Was JVM the first _virtual machine_?

Java was not the first virtual-machine-based platform, though it is by far the most successful and well-known. Previous uses for virtual machine technology primarily involved [emulators](http://en.wikipedia.org/wiki/emulators) to aid development for not-yet-developed hardware or operating systems, but the JVM was designed to be implemented entirely in software, while making it easy to efficiently port an implementation to hardware of all kinds.

## Java Development Kit (JDK)

The JRE takes care of running the Java code on multiple platforms, however as developers, we are interested in writing pure code in Java which can then be converted into Java byte-code for mass deployment. As developers, we do _not_ need to write Java byte-code, rather we write the code in the Java programming language (which is quite similar to writing C or C++ code).

Upon downloading the JDK, a developer ensures that their system has the appropriate JRE and additional tools to help with the development of applications in the Java programming language. Java code can be found in files with the extension **.java**. These files are called _**Java source files**_. In order to convert the Java code in these source files to Java byte-code, you need to use the **Java compiler** tool installed with your JDK.

### The Java compiler

The **Java compiler** tool (named **javac** in the JDK) is the most important utility found with the JDK. In order to compile a Java source file (say, `SomeApplication.java`) to its respective Java byte-code, you would need to use the following command in Command Prompt (on Windows) or Terminal (on Linux or Mac OS):

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Compilation**
    
    
    javac SomeApplication.java
    

This command would convert the `SomeApplication.java` source file into its equivalent Java byte-code. The resultant byte-code would exist in a newly created file named `SomeApplication.class`. This process of converting Java source files into their equivalent byte-codes is known as _**compilation**_.

  


**Figure 4:** The basic Java compilation process

![Java Compilation Basics.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f2/Java_Compilation_Basics.svg/505px-Java_Compilation_Basics.svg.png)

  


A list of other JDK tools

There are a huge array of tools available with the JDK that will all be explained in due time as you progress with the book. These tools are briefly listed below in order of their usage:

### Applet development

  * `appletviewer` — Java applets require a particular environment to execute. Typically, this environment is provided by a browser with a Java plug-in, and a web server serving the applet. However, during development and testing of an applet it might be more convenient to start an applet without the need to fiddle with a browser and a web server. In such a case, Oracle's appletviewer from the JDK can be used to run an applet.

### Annotation processing

    _For more about annotation processing, [read this](http://docs.oracle.com/javase/1.5.0/docs/guide/apt/GettingStarted.html)_

In Java 1.5 (alias Java 5.0) Oracle added a mechanism called _annotations_. Annotations allow the addition of meta-data to Java source code, and even provide mechanisms to carry that meta-data forth into a compiled `.class` files.

  * `apt` — An annotation processing tool which digs through source code, finds annotation statements in the source code and executes actions if it finds known annotations. The most common task is to generate some particular source code. The actions apt performs when finding annotations in the source code are not hard-coded into apt. Instead, one has to code particular annotation handlers (in Java). These handlers are called annotation processors. It can also be described in a simple way without the Oracle terminology: apt can be seen as a source code preprocessor framework, and annotation processors are typically code generators.

### Integration of non-Java and Java code

  * `javah` — A Java class can call native, or non-Java, code that has been prepared to be called from Java. The details and procedures are specified in the JNI (Java Native Interface). Commonly, native code is written in C (or C++). The JDK tool javah helps to write the necessary C code, by generating C header files and C stub code.

### Class library conflicts

  * `extcheck` — It can be used prior to the installation of a Java extension into the JDK or JRE environment. It checks if a particular Jar file conflicts with an already installed extension. This tool appeared first with Java 1.5.

### Software security and cryptography tools

The JDK comes with a large number of tools related to the security features of Java. Usage of these tools first requires study of the particular security mechanisms. The tools are:

  * `keytool` — To manage keys and certificates
  * `jarsigner` — To generate and verify digital signatures of JARs (Java ARchives)
  * `policytool` — To edit policy files
  * `kinit` — To obtain Kerberos v5 tickets
  * `klist` — To manage Kerberos credential cache and key table
  * `ktab` — To manage entries in a key table

### The Java archiver

  * `jar` — (short for Java archiver) is a tool for creating Java archives or jar files — a file with `.jar` as the extension. A Java archive is a collection of compiled Java classes and other resources which those classes may require (such as text files, configuration files, images) at runtime. Internally, a jar file is really a [.zip file](http://en.wikipedia.org/wiki/ZIP_\(file_format\)).

### The Java debugger

  * `jdb` — (short for Java debugger) is a command-line console that provides a [debugging](http://en.wikipedia.org/wiki/Debugging) environment for Java programs. Although you can use this command line console, IDE's normally provide easier to use debugging environments.

### Documenting code with Java

As programs grow large and complex, programmers need ways to track changes and to understand the code better at each step of its evolution. For decades, programmer have been employing the use of special programming constructs called comments — regions that help declare user definitions for a code snippet within the source code. But comments are prone to be verbose and incomprehensible, let alone be difficult to read in applications having hundreds of lines of code.

  * `javadoc` — Java provides the user with a way to easily publish documentation about the code using a special commenting system and the javadoc tool. The javadoc tool generates documentation about the Application Programming Interface (API) of a set of user-created Java classes. javadoc reads source file comments from the `.java` source files and generates HTML documents that are easier to read and understand without looking at the code itself.
  * `javap` — Where Javadoc provide a detailed view into the API and documentation of a Java class, the javap tool prints information regarding members (constructors, methods and variables) in a class. In other words, it lists the class' API and/or the compiled instructions of the class. javap is a formatting disassembler for Java bytecode.

### The native2ascii tool

`native2ascii` is an important, though underappreciated, tool for writing properties files — files containing configuration data — or resource bundles — files containing language translations of text.

Such files can contain only ASCII and Latin-1 characters, but international programmers need a full range of character sets. Text using these characters can appear in properties files and resource bundles only if the non-ASCII and non-Latin-^1 characters are converted into [Unicode escape sequences](http://en.wikibooks.org/wiki/Java_Programming/Syntax/Unicode_Escape_Sequences) (\uXXXX notation).

The task of writing such escape sequences is handled by `native2ascii`. You can write the international text in an editor using the appropriate character encoding, then use `native2ascii` to generate the necessary ASCII text with embedded Unicode escape sequences. Despite the name, `native2ascii` can also convert from ASCII to native, so it is useful for converting an existing properties file or resource bundle back to some other encoding.

`native2ascii` makes most sense when integrated into a build system to automate the conversion.

### Remote Method Invocation (RMI) tools

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Add section

### Java IDL and RMI-IIOP Tools

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Add section

### Deployment & Web Start Tools

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Add section

### Browser Plug-In Tools

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Add section

### Monitoring and Management Tools / Troubleshooting Tools

With Java 1.5 a set of monitoring and management tools have been added to the JDK, in addition to a set of troubleshooting tools.

The monitoring and management tools are intended for monitoring and managing the virtual machine and the execution environment. They allow, for example, monitoring memory usage during the execution of a Java program.

The troubleshooting tools provide rather esoteric insight into aspects of the virtual machine. (Interestingly, the Java debugger is not categorized as a troubleshooting tool.)

All the monitoring and management and troubleshooting tools are currently marked as "experimental" (which does not affect jdb). So they might disappear in future JDKs.

### Java class libraries (JCL)

In most modern operating systems, a large body of reusable code is provided to simplify the programmer's job. This code is typically provided as a set of [dynamically loadable libraries](http://en.wikipedia.org/wiki/Library_\(computer_science\)#Dynamic_linking) that applications can call at runtime. Because the Java platform is not dependent on any specific operating system, applications cannot rely on any of the existing libraries. Instead, the Java platform provides a comprehensive set of standard class libraries, containing much of the same reusable functions commonly found in modern operating systems.

The Java class libraries serve three purposes within the Java platform. Like other standard code libraries, they provide the programmer with a well-known set of functions to perform common tasks, such as maintaining lists of items or performing complex string parsing. In addition, the class libraries provide an abstract interface to tasks that would normally depend heavily on the hardware and operating system. Tasks such as network access and file access are often heavily dependent on the native capabilities of the platform. The Java java.net and java.io libraries implement the required native code internally, then provide a standard interface for the Java applications to perform those tasks. Finally, some underlying platforms may not support all of the features a Java application expects. In these cases, the class libraries can either emulate those features using whatever is available, or provide a consistent way to check for the presence of a specific feature.

## Similar concepts

The success of the Java platform and the concepts of the write once, run anywhere principle has led to the development of similar frameworks and platforms. Most notable of these is the Microsoft's [.NET framework](http://en.wikipedia.org/wiki/.NET_Framework) and its open-source equivalent [Mono](http://en.wikipedia.org/wiki/Mono_\(software\)).

### The .NET framework

The .NET framework borrows many of the concepts and innovations of Java — their alternative for the JVM is called the [Common Language Runtime (CLR)](http://en.wikipedia.org/wiki/Common_Language_Runtime), while their alternative for the byte-code is the [Common Intermediate Language (CIL)](http://en.wikipedia.org/wiki/Common_Intermediate_Language). In fact, the .NET platform had an implementation of a Java-like language called [Visual J#](http://en.wikipedia.org/wiki/J_Sharp) (formerly known as [J++](http://en.wikipedia.org/wiki/J_plus_plus)).

J# is normally not supported with the JVM because instead of compiling it in Java byte-code, the .NET platform compiles the code into CIL, thus making J# different from the Java programming language. Furthermore, because J# implements the .NET Base Class Libraries (BCL) instead of the Java Class Libraries, J# is nothing more than a non-standard extension of the Java programming language. Due to the lack of interest from developers, Microsoft had to withdraw their support for J#, and focused on a similar programming language: C#.

### Third-party compilers targeting the JVM

The word Java, by itself, usually refers to the Java programming language which was designed for use with the Java platform. Programming languages are typically outside of the scope of the phrase "platform". However, Oracle does not encourage the use of any other languages with the platform, and lists the Java programming language as a core part of the Java 2 platform. The language and runtime are therefore commonly considered a single unit.

There are cases where you might want to program using a different language (say, [Python](http://en.wikipedia.org/wiki/Python_\(programming_language\))) and yet be able to generate Java byte-code (instead of the Python compiled code) to be run with the JVM. Many third-party programming language vendors provide compilers that can compile code written in their language to Java byte-code. For instance, Python developers can use [Jython](http://en.wikipedia.org/wiki/Jython) compilers to compile Python code to the Java byte-code format (_as illustrated below_).

  


**Figure 5:** Third-party JVM-targeted compilation for non-Java source compilation to Java byte-code. Illustrated example  
shows Python source being compiled to both Python compiled code and Java byte-code.

![Third-party JVM-targeted Compilation.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/84/Third-party_JVM-targeted_Compilation.svg/508px-Third-party_JVM-targeted_Compilation.svg.png)

  
Of late, JVM-targeted third-party programming and scripting languages have seen tremendous growth. Some of these languages are also used to extend the functionalities of the Java language itself. A few examples include the following:

  * [Groovy](http://en.wikipedia.org/wiki/Groovy_\(programming_language\))
  * [Pizza](http://en.wikipedia.org/wiki/Pizza_\(programming_language\))
  * [GJ](http://en.wikipedia.org/wiki/Generic_Java_\(programming_language\)) (Generic Java) – later officially incorporated into Java SE 5.
  * [NetREXX](http://en.wikipedia.org/wiki/NetREXX)

  


# Getting started

# Getting started

## Understanding systems

We conceptualize the world around us in terms of systems. A **system** is a web of interconnected objects working together in tandem. In the [systems theory](http://en.wikipedia.org/wiki/Systems_theory), a system is set out as a single entity within a world surrounded by an environment. A system interacts with its surrounding environment using messages of two distinct types:

  * **inputs:** messages received from the surrounding environment; and,
  * **outputs:** messages given back to the surrounding environment.

  


**Figure 1:** A simple system interacting with its environment using input and output messages.

![Understanding Systems.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9e/Understanding_Systems.svg/333px-Understanding_Systems.svg.png)

  
Life is a complicated mess of interconnected objects sending signals and messages. See the illustration below in figure 2 demonstrating a complex system for an economic ecosphere for a single company. Imagine what this system diagram would be like if you were to add a few more companies and their sub-systems. Computer software systems in general are a complex web of further interconnected **sub-systems** – where each sub-systems may or may not be divided into further sub-systems. Each sub-system communicates with others using **feedback** messages – that is, _inputs_ and _outputs_.

  


**Figure 2:** Example of a complex system with multiple sub-systems and interactions

![Complex System.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2a/Complex_System.svg/805px-Complex_System.svg.png)

  


## The process of abstraction

Programming is essentially thinking of solutions to problems in real life as a system. With any programming language, you need to know how to address real-life problems into something that could be accurately represented within a computer system. In order to begin programming with the Java programming language (or in fact, with any programming language), a programmer must first understand the basics of abstraction.

**Abstraction** is the process of _representing_ real-life problems and object into your programs.

Suppose a novelist, a painter and a programmer were asked to _abstract_ (i.e., _represent_) a real-life object in their work. Suppose, the real-life object that needs to be abstracted is _an animal_. Abstraction for a novelist would include writing the description of the animal whilst the painter would draw a picture of the animal – but what about a computer programmer?

The Java programming language uses a programming paradigm called [object-oriented programming (OOP)](http://en.wikipedia.org/wiki/Object-oriented_programming), which shows you exactly what a programmer needs to be doing. According to OOP, every object or problem in real-life can be translated into a virtual object within your computer system.

### Thinking in objects

In OOP, every abstraction of a real-life object is simply called an **object** within your code. An object is essentially the most basic representation of a real-life object as part of a computer system. With Java being an object-oriented language, everything within Java is represented as an object. To demonstrate this effect, if you were to define an abstraction of an animal in your code, you would write the following lines of code (as you would for any other abstraction):

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Animal { }

  
The code above creates a space within your code where you can start _defining_ an object; this space is called a **class (_or_ type) definition**. All objects need to be defined using a class definition in order for them to be used in your program. Notice the curly brackets – anything you write within these brackets would serve as a definition or specification for your object. In the case of the example above, we created a class definition called `Animal` for objects that could serve as an abstract representation of any animal in real-life. The way that a Java environment evaluates this code to be a class definition is by looking at the prefix word we used to begin our class definition (i.e., `class`). Such predefined words in the Java language are known as **keywords** and make up the grammar for the language (known as **programming syntax**).

**Note:**  
Class definitions have different names in different languages. They are sometimes called **type definitions**, **object specifications** or **templates** as well

### Understanding class definitions and types

[Aristotle](http://en.wikipedia.org/wiki/Aristotle) was perhaps the first person to think of abstract types or typologies of objects. He started calling them classes – e.g., classes of birds, classes of mammals. Class definitions therefore serve the purpose well in defining the common characteristics or types of objects you would be creating. Upon declaring a class definition, you can create objects based on that definition. In order to do so however, you need to write a special syntax that goes like this:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

Animal dog = new Animal();

  
The code above effectively creates an object called `dog` based on the class definition for `Animal`. In non-programmer parlance, the code above would translate into something akin to saying, "Create a new object `dog` of type `Animal`." A single class definition enables you to create multiple objects as the code below indicates:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

Animal dog = new Animal();  
Animal cat = new Animal();  
Animal camel = new Animal();

  
Basically, you just have to write the code for your class or type definition once, and then use it to create countless numbers of objects based on that specification. Although you might not grasp the importance of doing so, this little exercise saves you a lot of time (a luxury that was not readily available to programmers in the pre-Java days).

### Expanding your class definitions

Although each object you create from a class definition is essentially the same, there has to be a way of differentiating those objects in your code. Object fields (or simply **fields**) are what makes your objects unique from other objects. Let's take our present abstraction for instance. An animal could be a dog, cat, camel or a duck but since this abstraction is of a very generic kind, you need to define fields that are common to all of these animals and yet makes the animals stand apart. For instance, you can have two fields: **name** (a common name given to any one of these animals) and **legs** (the number of limbs any one of these animals would require to walk). As you start defining your objects, they start to look like this:

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Animal {  
  
  String name;  
  int legs;  
}

  
In the code above you defined two object fields:

  * a field called `name` of type `String`; and,
  * a field called `legs` of type `int`.

These special pre-defined types are called **data types**. The `String` data type is used for fields that can hold _textual_ values like names, while the `int` (integer) data type is used for fields that can hold _numeric_ values

**Note:**  
Fields are called different things in different languages. They may be called **state identifiers**, **properties** or **member variables** in other programming language syntax. Java uses the words _fields_ and _properties_ in different contexts, as would be understood from upcoming sections.

**Figure 3:** In order to denote the `Animal` object as a system within the Java Environment,  
you present it as such. Note how fields are presented.

![Object in Java Environment.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Object_in_Java_Environment.svg/333px-Object_in_Java_Environment.svg.png)

  
In order to demonstrate how fields work, we will go ahead and create objects from this amended version of our class definition as such:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

Animal animal1 = new Animal();  
Animal animal2 = new Animal();  
  
animal1.name = "dog";  
animal1.legs = 4;  
  
animal2.name = "duck";  
animal2.legs = 2;

  
You can access the fields of your created objects by using the `.` (dot) or **membership operator**. In the example above, we created two objects: `animal1` and `animal2` of type `Animal`. And since, we had established that each `Animal` has two fields namely `name` and `legs`, we accessed and modified these fields for each of our objects using the membership operator to set the two apart. By declaring different values for different objects, we can manipulate their current **state**. So, for instance:

  * the `animal1` object is a `"dog"` with `4` legs to walk with; while,
  * the `animal2` object is a `"duck"` with `2` legs to walk with.

What sets the two objects apart is their current state. Both the objects have different states and thus stand out as two different objects even though they were created from the same template or class definition.

### Adding behavior to objects

At this point, your objects do nothing more than declare a bunch of fields. Being a system, your objects should have the ability to interact with its environment and other systems as well. To add this capability for interaction, you need to add interactive behavior to your object class definitions as well. Such behavior is added to class definitions using a programming construct called **method**.

In the case of the `Animal`, you require your virtual representation of an animal to be able to move through its environment. Let's say, as an analogy, you want your `Animal` object to be able to walk in its environment. Thus, you need to add a method named `walk` to our object. To do so, we need to write the following code:

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Animal {  
  
  String name;  
  int legs;  
  
  void walk() { }  
}

  
As you write this code, one thing becomes immediately apparent. Just like the class description, a method has curly brackets as well. Generally, curly brackets are used to define an area (or **scope**) within your object. So the first set of curly brackets defined a scope for your class definition called the **class-level scope**. This new set of curly brackets alongside a method defines a scope for the further definition of your method called the **method-level scope**.

In this instance, the name of our method is `walk`. Notice however that the name of our method also features a set of round brackets as well. More than just being visual identifiers for methods, these round brackets are used to provide our methods with additional input information called **arguments**.

A method therefore enables an object to:

  1. Accept input: Receive some argument(s);
  2. Process information: work on the received argument(s) within its curly brackets; and,
  3. Generate ouput: _occasionally_, return something back.

In essence, methods are what makes an object behave more like a system.

Notice the keyword `void` before the name of the method – this tells us that the method `walk` returns _nothing_. You can set a method to return any data type – it can be a **String** or an **int** as well.

**Note:**  
Methods are known by different names in different programming language. They might be called **functions**, **procedures**, **routines** or **behaviors**.

**Figure 4:** The `Animal` object can now be denoted as having an interaction behavior within the Java Environment  
as illustrated here. Note the difference between the presentation of fields and methods.

![Object Behavior in Java Environment.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/19/Object_Behavior_in_Java_Environment.svg/333px-Object_Behavior_in_Java_Environment.svg.png)

  


## The process of encapsulation

By now, we thoroughly understand that any object can interact with its environment and in turn be influenced by it. In our example, the `Animal` object exposed certain fields – `name` and `legs`, and a method – `walk()` to be used by the environment to manipulate the object. This form of exposure is implicit. Using the Java programming language, a programmer has the power to define the level of access other objects and the environment have on a certain object.

### Using access modifiers

Alongside declaring and defining objects, their fields and methods, a programmer also has the ability to define the levels of access on those elements. This is done using keywords known as **access modifiers**.

Let's modify our example to demonstrate this effect:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Animal {  
  
  public String name;  
  public int legs;  
  
  public void walk() { }  
}

  
By declaring all fields and methods `public`, we have ensured that they can be used outside the scope of the `Animal` class. This means that any other object (other than `Animal`) has access to these member elements. However, to restrict access to certain member elements of a class, we can always use the `private` access modifier (as demonstrated below).

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Animal {  
  
  private String name;  
  private int legs;  
  
  public void walk() { }  
}

  
In this example, the fields `name` and `legs` can only be accessed within the scope of the `Animal` class. No object outside the scope of this class can access these two fields. However, since the `walk()` method still has `public` access, it can be manipulated by actors and objects outside the scope of this class. Access modifiers are not just limited to fields or methods, they can be used for class definitions as well (as is demonstrated below).

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class Animal {  
  
  private String name;  
  private int legs;  
  
  public void walk() { }  
}

  
The following list of keywords show the valid access modifiers that can be used with a Java program:

keyword description

`public`
Opens access to a certain field or method to be used outside the scope of the class.

`private`
Restricts access to a certain field or method to only be used within the scope of the class.

`protected`
Access to certain field or methods is reserved for classes that inherit the current class.  
More on this would be discussed in the section on _inheritance_.

  


  


# Installation

In order to make use of the content in this book, you would need to follow along each and every tutorial rather than simply reading through the book. But to do so, you would need access to a computer with the **Java platform** installed on it — the Java platform is the basic prerequisite for _running_ and _developing_ Java code, thus it is divided into two essential software:

  * the **Java Runtime Environment (JRE)**, which is needed to _run_ Java applications and applets; and,
  * the **Java Development Kit (JDK)**, which is needed to _develop_ those Java applications and applets.

However as a developer, you would only require the JDK which comes equipped with a JRE as well. Given below are installation instruction for the JDK for various operating systems:

Installation instructions for Windows

#### Availability check for JRE

The Java Runtime Environment (JRE) is necessary to execute Java programs. To check which version of Java Runtime Environment (JRE) you have, follow the steps below.

1.
For Window Vista or Windows 7, click **Start** › **Control Panel** › **System and Maintenance** › **System**.

For Windows XP, click **Start** › **Control Panel** › **System**.

For Windows 2000, click **Start** › **Settings** › **Control Panel** › **System**.

Alternatively, you can also press ⊞ Win+R to open the **Run** dialog. With the dialog open, type `cmd` at the prompt: 

![](../../../upload.wikimedia.org/wikibooks/en/e/eb/Java_Programming_Run_dialog.png)

Figure 1.1: Run dialog

2.
In the command window with black background graced with white text, type the following command: 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**JRE availability check**
    
    
    java -version
    

If you get an error, such as:

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Other output error**
    
    
    Bad command or file name
    

..then the JDK may not be installed or it may not be in your path.

    _To learn more about the Command Prompt syntax, take a look at this [MS-DOS tutorial](http://tnd.com/camosun/elex130/dostutor1.html)._

You may have other versions of Java installed; this command will only show the first in your PATH. You will be made familiar with the PATH environment variable later in this text. For now, if you have no idea what this is all about. Read through towards the end and we will provide you with a step-by-step guide on how to set your own environment variables.

You can use your system's file search utilities to see if there is a `javac.exe` executable installed. If it is, and it is a recent enough version (Java 1.4.2 or Java 1.5, for example), you should put the `bin` directory that contains `javac` in your system path. The Java runtime, `java`, is often in the same `bin` directory.

If the installed version is older (i.e. it is Java 1.3.1 or Java 1.4.2 and you wish to use the more recent Java 5 release), you should proceed below with downloading and installing a JDK.

It is possible that you have the Java runtime (JRE), but not the JDK. In that case the `javac` program won't be found, but the `java -version` will print the JRE version number.

#### Availability check for JDK

Some Windows based systems come built-in with the JRE, however for the purposes of writing Java code by following the tutorials in this book, you would require the JDK nevertheless. The Java Development Kit (JDK) is necessary to build Java programs. First, check to see if a JDK is already installed on your system. To do so, first open a command window and execute the command below.

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Availability check**
    
    
    javac -version
    

If the JDK is installed and on your executable path, you should see some output which tells you the command line options. The output will vary depending on which version is installed and which vendor provided the Java installation.

#### Advanced availability check options on Windows platform

On a machine using the Windows operating system, one can invoke the Registry Editor utility by typing `REGEDIT` in the Run dialog. In the window that opens subsequently, if you traverse through the hierarchy `[HKEY_LOCAL_MACHINE](http://en.wikipedia.org/wiki/HKEY_LOCAL_MACHINE#HKEY_LOCAL_MACHINE) > SOFTWARE > JavaSoft > Java Development Kit` on the left-hand.

The resultant would be similar to [figure 1.2](Print_version.html#figure-2), with the only exception being the version entries for the Java Development Kit. At the time of writing this manuscript, the latest version for the Java Development Kit available from the Internet was 1.7 as seen in the Registry entry. If you see a resultant window that resembles the one presented above, it would prove that you have Java installed on your system, otherwise it is not.

![](../../../upload.wikimedia.org/wikibooks/en/4/47/Java_Programming_Regedit_Av.png)

Figure 1.2: Registry Editor

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
Caution should be exercised when traversing through the Registry Editor. Any changes to the keys and other entries may change the way your Windows operating system normally works. Even minor changes may result into catastrophic failures of the normal working of your machine. Better that you don't modify or tend to modify anything whilst you are in the Registry Editor.

#### Download instructions

To acquire the latest JDK (version 7), you can manually [download the Java software](http://www.oracle.com/technetwork/java/javase/downloads/index.html) from the Oracle website.

For the convenience of our readers, the following table presents direct links to the latest JDK for the Windows operating system.

Operating system
Setup Installer
License

Windows x86
[Download](http://download.oracle.com/otn-pub/java/jdk/7u1-b08/jdk-7u1-windows-i586.exe)
[Oracle Binary Code License Agreement](http://www.oracle.com/technetwork/java/javasebusiness/documentation/java-se-bcl-license-430205.html)

Windows x64
[Download](http://download.oracle.com/otn-pub/java/jdk/7u1-b08/jdk-7u1-windows-x64.exe)
[Oracle Binary Code License Agreement](http://www.oracle.com/technetwork/java/javasebusiness/documentation/java-se-bcl-license-430205.html)

You must follow the instructions for the setup installer wizard step-by-step with the default settings to ensure that Java is properly installed on your system. Once the setup is completed, it is highly recommended to restart your Windows operating system.

If you kept the default settings for the setup installer wizard, your JDK should now be installed at **C:\Program Files\Java\jdk1.7.0_01**. You would require the location to your **bin** folder at a later time — this is located at **C:\Program Files\Java\jdk1.7.0_01\bin** It may be a hidden file, but no matter. Just don't use Program Files (x86)\ by mistake unless that's were installed Java.

#### Updating environment variables

In order for you to start using the JDK compiler utility with the Command Prompt, you would need to set the environment variables that points to the **bin** folder of your recently installed JDK. To set permanently your environment variables, follow the steps below.

1.
Type the following command in the command/terminal window: 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**System properties**
    
    
    rundll32 shell32.dll,Control_RunDLL sysdm.cpltief
    

2.
Navigate to the **Advanced** tab on the top, and select **Environment Variables...**

3.
Under **System variables**, select the variable named **Path** and click **Edit...**

4.
In the **Edit System Variable** dialog, go to the **Variable value** field. This field is a list of directory paths separated by semi-colons (;).

5.
To add a new path, append the location of your JDK **bin** folder separated by a semi-colon (;).

6.
Click **OK** on every opened dialog to save changes and get past to where you started.

#### Start writing code

Once you have successfully installed the JDK on your system, you are ready to program code in the Java programming language. However, to write code, you would need a decent text editor. Windows comes with a default text editor by default — **Notepad**. In order to use notepad to write code in Java, you need to follow the steps below:

1.
Click **Start** › **All Programs** › **Accessories** › **Notepad** to invoke the application.

Alternatively, you can also press ⊞ Win+R to open the **Run** dialog. With the dialog open, type the following command at the prompt: 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Notepad launching**
    
    
    notepad
    

2.
Once the **Notepad** application has fired up, you can use the editor to write code for the Java programming language.

Installation instructions for GNU/Linux

#### Availability check for JRE

The Java Runtime Environment (JRE) is necessary to execute Java programs. To check which version of JRE you have, follow the steps below.

1.
Open the **Terminal** window.

2.
Type the following command: 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**JRE availability check**
    
    
    java -version
    

If you get something like this:

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output on a particular Kubuntu 12.10 installation**
    
    
    java version "1.7.0_09"
    OpenJDK Runtime Environment (IcedTea7 2.3.3) (7u9-2.3.3-0ubuntu1~12.10.1)
    OpenJDK Client VM (build 23.2-b09, mixed mode, sharing)
    

... then a JRE is installed. If you get an error, such as:

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output error**
    
    
    java: command not found
    

... then the JDK may not be installed or it may not be in your path.

You may have other versions of Java installed; this command will only show the first in your PATH. You will be made familiar with the PATH environment variable later in this text. For now, if you have no idea what this is all about, read through towards the end and we will provide you with a step-by-step guide on how to set your own environment variables.

You can use your system's file search utilities to see if there is a `javac` executable installed. If it is, and it is a recent enough version, you should put the `bin` directory that contains `javac` in your system path. The Java runtime, `java`, is often in the same `bin` directory.

If the installed version is older (i.e. it is Java 5 and you wish to use the more recent Java 7 release), you should proceed below with downloading and installing a JDK.

It is possible that you have the Java runtime (JRE), but not the JDK. In that case the `javac` program won't be found, but the `java -version` will print the JRE version number.

#### Availability check for JDK

The Java Development Kit (JDK) is necessary to build Java programs. For our purposes, you must use a JDK. First, check to see if a JDK is already installed on your system. To do so, first open a terminal window and execute the command below.

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Availability check**
    
    
    javac -version
    

If the JDK is installed and on your executable path, you should see some output which tells you the command line options. The output will vary depending on which version is installed and which vendor provided the Java installation.

#### Installation using Terminal

Downloading and installing the Java platform on Linux machines (in particular Ubuntu Linux) is very easy and straight-forward. To use the terminal to download and install the Java platform, follow the instructions below.

1.
Open the **Terminal** window.

2.
At the prompt, write the following (your package manager may be other than APT, so change the command accordingly): 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Retrieving the java packages**
    
    
    $ sudo apt-get install openjdk-7-jdk openjdk-7-jre openjdk-7-doc
    

3.
All Java softwares should be installed and instantly available now.

#### Download instructions

Alternatively, you can manually [download the Java software](http://www.oracle.com/technetwork/java/javase/downloads/index.html) from the Oracle website.

For the convenience of our readers, the following table presents direct links to the latest JDK for the Linux operating system.

Operating system
RPM
Tarball
License

Linux x86
[Download](http://download.oracle.com/otn-pub/java/jdk/7u7-b10/jdk-7u7-linux-i586.rpm)
[Download](http://download.oracle.com/otn-pub/java/jdk/7u1-b08/jdk-7u1-linux-i586.tar.gz)
[Oracle Binary Code License Agreement](http://www.oracle.com/technetwork/java/javasebusiness/documentation/java-se-bcl-license-430205.html)

Linux x64
[Download](http://download.oracle.com/otn-pub/java/jdk/7u1-b08/jdk-7u1-linux-x64.rpm)
[Download](http://download.oracle.com/otn-pub/java/jdk/7u1-b08/jdk-7u1-linux-x64.tar.gz)
[Oracle Binary Code License Agreement](http://www.oracle.com/technetwork/java/javasebusiness/documentation/java-se-bcl-license-430205.html)

#### Start writing code

The most widely available text editor on GNOME desktops is **Gedit**, while on the KDE desktops, one can find **Kate**. Both these editors support syntax highlighting and code completion and therefore are sufficient for our purposes.

However, if you require a robust and standalone text-editor like the Notepad++ editor on Windows, you would require the use of the minimalistic editor loaded with features – **SciTE**. Follow the instructions below if you wish to install **SciTE**:

1.
Open the **Terminal** window.

2.
At the prompt, write the following: 

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Retrieving the java packages**
    
    
    $ sudo apt-get install scite
    

3.
You should now be able to use SciTE for your programming needs. You may also want to try Geany. Installation instructions are similar to those for SciTE.

Installation instructions for Mac OS

On Mac OS, both the JRE and the JDK are already installed. However, the version installed was the latest version when the computer was purchased, so you may want to update it.

#### Updating Java for Mac OS

  1. Go to the [Java download page](http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html).
  2. Mechanically accept Oracle's license agreement.
  3. Click on the link for Mac OS X.
  4. Run the installer package.

#### Availability check for JDK

The Java Development Kit (JDK) is necessary to build Java programs. For our purposes, you must use a JDK. First, check to see if a JDK is already installed on your system. To do so, first open a terminal window and execute the command below.

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Availability check**
    
    
    java -version
    

If the JDK is installed and on your executable path, you should see some output which tells you the command line options. The output will vary depending on which version is installed and which vendor provided the Java installation.

Installation instructions for Solaris

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Add a section describing the installation of Java onto Solaris machines. Incorporate some of the information provided in the commented section of this page.

No Install Option for Programming Online

If you already have the JRE installed, you can use the Java Wiki Integrated Development Environment (JavaWIDE) to code directly in your browser, no account or special software required.

**[Click here to visit the JavaWIDE Sandbox to get started.**](http://sandbox.javawide.org)

[For more information, click here to visit the JavaWIDE site.](http://www.javawide.org)

  


  


# Compilation

In Java, programs are not compiled into executable files; they are compiled into [Bytecode](http://en.wikipedia.org/wiki/Bytecode) (as discussed [earlier](http://en.wikibooks.org/wiki/Java_Programming/The_Java_Platform)), which the JVM then executes at runtime. Java source code is compiled into bytecode when we use the `javac` compiler. The bytecode gets saved on the disk with the file extension `.class`. When the program is to be run, the bytecode is converted, using the Just-In-Time (JIT) compiler. The result is machine code which is then fed to the memory and is executed.

So Java has two step compilation:

  1. To create byte-code
  2. To create machine level code

The Java classes/Byte Codes are compiled to machine code and loaded into memory by the JVM when needed the first time. This is different than other languages like C/C++ where the whole program had to be compiled to machine code and linked to create an executable file, before the program could start.

## Quick compilation procedure

To execute your first Java program, follow the instructions below:

1.
Proceed only if you have successfully installed and configured your system for Java as discussed [here](http://en.wikibooks.org/wiki/Java_Programming/Installation).

2.
Open your preferred text editor — this is the editor you set while installing the Java platform.

For example, **Notepad** or **Notepad++** on Windows; **Gedit**, **Kate** or **SciTE** on Linux; or, **XCode** on Mac OS, etc.

3.
Write the following lines of code in a new text document: 

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 2.5: HelloWorld.java**
    
    
    public class HelloWorld {
      public static void main(String[] args) {
        System.out.println("Hello World!");
      }
    }
    

4.
Save the file as **HelloWorld.java** — the name of your file should be the same as the name of your class definition and followed by the `.java` extension. This name is _case-sensitive_, which means you need to capitalize the precise letters that were capitalized in the name for the class definition.

5.
Next, open your preferred command-line application.

For example, **Command Prompt** on Windows; and, **Terminal** on Linux and Mac OS.

6.
In your command-line application, navigate to the directory where you just created your file. If you do not know how to do this, consider reading through our crash courses for command-line applications for [Windows](http://en.wikibooks.org/wiki/Windows_Batch_Scripting#CD) or [Linux](http://en.wikibooks.org/wiki/Linux_Guide/Using_the_shell#Using_cd).

7.
Compile the Java source file using the following command which you can copy and paste in if you want: 

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Compilation**
    
    
    javac HelloWorld.java
    

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
If you obtain an error message like `error: cannot read: HelloWorld.java 1 error`, your file is not in the current folder or it is badly spelled. Did you navigate to the program's location in the command prompt using the CD (Change Directory) function? 

If you obtain another message ending by `1 error` or `... errors`, your file may be badly written. Are you sure all words are spelled correctly and with the exact case as shown? Are there semicolons and brackets in the appropriate spot? Are you missing a quote? Usually, modern IDEs would try coloring the entire source as a quote in this case.

If your computer emits beeps, then you may have illegal characters in your `HelloWorld.java`.

If no `HelloWorld.class` file has been created in the same folder, then you've got an error. Are you launching the `javac` program correctly?

8.
Once the compiler returns back to the prompt, run the application using the following command: 

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Execution**
    
    
    java HelloWorld
    

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
If you obtain an error message like `Exception in thread "main" java.lang.NoClassDefFoundError: HelloWorld`, the `HelloWorld.class` file is not in the current folder or it is badly spelled. 

If you obtain an error message like `Exception in thread "main" java.lang.NoSuchMethodError: main`, your source file may have been badly written.

9.
The above command should result in your command-line application displaying the following result: 

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output**
    
    
    Hello World!
    

    _Ask for help if the program did not execute properly in the [Discussion page](http://en.wikibooks.org/wiki/Talk:Java_Programming/Getting_started) for this chapter_.

## Automatic Compilation of Dependent Classes

In Java, if you have used any reference to any other java object, then the class for that object will be automatically compiled, if that was not compiled already. These automatic compilations are nested, and this continues until all classes are compiled that are needed to run the program. So it is usually enough to compile only the high level class, since all the dependent classes will be automatically compiled.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Main class compilation**
    
    
    javac ... MainClass.java
    

However, you can't rely on this feature if your program is using reflection to create objects, or you are compiling for servlets or for a "jar", package. In these cases you should list these classes for explicit compilation.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Main class compilation**
    
    
    javac ... MainClass.java, ServletOne.java, ...
    

## Packages, Subdirectories, and Resources

Each Java top level class belongs to a package (covered in the chapter about [Packages](http://en.wikibooks.org/wiki/Java_Programming/Packages)). This may be declared in a `package` statement at the beginning of the file; if that is missing, the class belongs to the unnamed package.

For compilation, the file must be in the right directory structure. A file containing a class in the unnamed package must be in the current/root directory; if the class belongs to a package, it must be in a directory with the same name as the package.

The convention is that package names and directory names corresponding to the package consist of only lower case letters.

### Top level package

A class with this package declaration

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.1: Package declaration**
    
    
    package example;
    

has to be in a directory named `example`

### Subpackages

A class with this package declaration

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.2: Package declaration with sub-packages**
    
    
    package org.wikibooks.en;
    

has to be in a directory named `en` which has to be a sub-directory of `wikibooks` which in turn has to be a sub-directory of `org` resulting in `org/wikibooks/en`.

Java programs often contain non-code files such as images and properties files. These are referred to generally as _resources_ and stored in directories local to the classes in which they're used. For example, if the class `com.example.ExampleApp` uses the `icon.png` file, this file could be stored as `/com/example/resources/icon.png`. These resources present a problem when a program is complied, because `javac` does not copy them to wherever the `.class` files are being complied to (see above); it is up to the programmer to move the resource files and directories.

## Filename Case

The Java source file name must be the same as the public class name, the file contains. There can be only one public class defined per file. The Java class name is case sensitive, as is the source file name.

The naming convention for the class name is for it to start with a capital letter.

## Compiler Options

### Debugging and Symbolic Information

## Ant

    _For comprehensive information about all aspects of Ant, please see the [Ant Wikibook](http://en.wikibooks.org/wiki/Programming:Apache_Ant)._

The best way to build your application is to use a build tool. The build tool would check all the needed dependencies and compile only the needed class for the build. The [Ant](http://en.wikibooks.org/wiki/Java_Programming/Compilation#Ant) tool is one of the best and the most popular build tools currently available. Ant is a build management tool designed to replace MAKE as the tool for automated builds of large Java applications. Like Java, and unlike MAKE, Ant is designed to be platform independent.

Using [Ant](http://en.wikibooks.org/wiki/Java_Programming/Compilation#Ant) you would build your application from the command line by typing:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Ant building**
    
    
    ant build.xml
    

The `build.xml` file contains all the information needed to build the application.

Building a Java application requires certain tasks to be performed defined in a `build.xml` file. Those tasks may include not only compiling the code, but also copying code, packaging the program to Jar, creating EJBs, to running automated tests, doing ftp for the code to remote site, and so on. For some tasks a condition can be assigned, for example a compile only changed code, or do the task if that was not already done so. Tasks dependency can also be specified, that will make sure that the order of executions of the tasks are in the right order. For example, compile the code before package them to jar, the package-to-jar task depend on the compilation task.

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
In rare cases, your code may appear to compile correctly but the program behaves as if you were using an old copy of the source code (or otherwise reports errors during runtime.) When this occurs, you may need to clean your compilation folder by either deleting the class files or using the Clean command from an IDE.

The `build.xml` file is generally kept in the root directory of the java project. Ant parses this file and executes the tasks therein. Below we give an example `build.xml` file.

Ant tool is written in Java and is open source, so it can be extended if there is a task you'd like to be done during the build that is not in the pre-defined tasks list. It is very easy to hook your ant task code to the other tasks: your code only needs to be in the classpath, and the Ant tool will load it at runtime. For more information about writing your own Ant tasks, please see the project website at <http://ant.apache.org/>.

Example `build.xml` file.

<?xml version="1.0"?>  
  
<project name="ExampleApp" basedir="." default="main">  
  
    <property name="source.dir"    value="source" />  
    <property name="libraries.dir" value="libraries" />  
    <property name="build.dir"     value="build" />  
    <property name="classes.dir"   value="${build.dir}/classes" />  
    <property name="dist.dir"      value="${build.dir}/dist" />  
    <property name="main-class"    value="com.example.ExampleApp"/>  
  
    <path id="classpath">  
        <fileset dir="${libraries.dir}" includes="**/*.jar"/>  
    </path>  
  
    <target name="clean">  
        <delete dir="${build.dir}"/>  
    </target>  
  
    <target name="compile">  
        <mkdir dir="${classes.dir}"/>  
        <javac srcdir="${source.dir}" destdir="${classes.dir}" classpathref="classpath" />  
        <copy todir="${classes.dir}">  
            <fileset dir="${src.dir}" excludes="**/*.java" />  
        </copy>  
    </target>  
  
    <target name="build" depends="compile">  
        <mkdir dir="${dist.dir}"/>  
        <copy todir="${dist.dir}/lib" flatten="true">  
            <path refid="classpath" />  
        </copy>  
        <path id="dist.classpath">  
            <fileset dir="${dist.dir}/lib" includes="*.jar" />  
        </path>  
        <manifestclasspath property="dist.manifest.classpath" jarfile="${dist.dir}/${ant.project.name}.jar">  
            <classpath refid="dist.classpath" />  
        </manifestclasspath>  
        <jar destfile="${dist.dir}/${ant.project.name}.jar" >  
            <zipfileset dir="${classes.dir}" />  
            <manifest>  
                <attribute name="Class-Path" value="${dist.manifest.classpath}"/>  
                <attribute name="Main-Class" value="${main-class}" />  
            </manifest>  
        </jar>  
    </target>  
  
    <target name="run-build" depends="build">  
        <java jar="${dist.dir}/${ant.project.name}.jar" fork="true">  
            <classpath>  
                <path refid="classpath"/>  
                <path location="${dist.dir}/${ant.project.name}.jar"/>  
            </classpath>  
        </java>  
    </target>  
  
    <target name="run" depends="compile">  
        <java classname="${main-class}" >  
            <classpath>  
                <path refid="classpath"/>  
                <pathelement location="${classes.dir}" />  
            </classpath>  
        </java>  
    </target>  
  
    <target name="clean-build" depends="clean, build"/>  
  
    <target name="main" depends="clean, run"/>  
  
</project>

The next most popular way to build applications is using an [Integrated Development Environment](http://en.wikibooks.org/wiki/Java_Programming/Java_IDEs) (IDE).

## The JIT compiler

The Just-In-Time (JIT) compiler is the compiler that converts the byte-code to machine code. It compiles byte-code once and the compiled machine code are re-used again and again, to speed up execution. Early Java compilers compiled the byte-code to machine code each time it was used, but more modern compilers cache this machine code for reuse on the machine. Even then, java's JIT compiling was still faster than an "interpreter-language", where code is compiled from **high level language**, instead of from byte-code each time it was used.

The standard JIT compiler runs _on demand_. When a method is called repeatedly, the JIT compiler analyzes the bytecode and produces highly efficient machine code, which runs very fast. The JIT compiler is smart enough to recognize when the code has already been compiled, so as the application runs, compilation happens only as needed. As Java applications run, they tend to become faster and faster, because the JIT can perform runtime profiling and optimization to the code to meet the execution environment. Methods or code blocks which do not run often receive less optimization; those which run often (so called _hotspots_) receive more profiling and optimization.

  


  


# Execution

There are various ways in which Java code can be executed. A complex Java application usually uses third party APIs or services. In this section we list the most popular ways a piece of Java code may be packed together and/or executed.

## JSE code execution

Java language first edition came out in the client-server era. Thick clients were developed with rich GUI interfaces. Java first edition, JSE (Java Standard Edition) had/has the following in its belt:

  * GUI capabilities (AWT, Swing)
  * Network computing capabilities ([RMI](http://en.wikipedia.org/wiki/Java_remote_method_invocation))
  * Multi-tasking capabilities (Threads)

With JSE the following Java code executions are possible:

![](../../../upload.wikimedia.org/wikibooks/en/7/7c/Java_stand_alone_appl.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 1: Stand alone execution

Stand alone Java application 
    (Figure 1) Stand alone application refers to a Java program where both the user interface and business modules are running on the same computer. The application may or may not use a database to persist data. The user interface could be either AWT or Swing.
    The application would start with a `main()` method of a Class. The application stops when the `main()` method exits, or if an exception is thrown from the application to the JVM. Classes are loaded to memory and compiled as needed, either from the file system or from a *.jar file, by the JVM.
    Invocation of Java programs distributed in this manner requires usage of the command line. Once the user has all the class files, he needs to launch the application by the following command line (where Main is the name of the class containing the main() method.)

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Execution of class**
    
    
    java Main
    

Java 'jar' class libraries 
    Utility classes, framework classes, and/or third party classes are usually packaged and distributed in Java ' *.jar' files. These 'jar' files need to be put in the CLASSPATH of the java program from which these classes are going to be used.
    If a jar file is executable, it can be run from the command line:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Execution of archive**
    
    
    java -jar Application.jar
    

![](../../../upload.wikimedia.org/wikibooks/en/thumb/2/2a/Java_applet_appl.jpg/250px-Java_applet_appl.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 2: Applet Execution

Java Applet code 
    (Figure 2) Java Applets are Java code referenced from [HTML](http://en.wikipedia.org/wiki/HTML) pages, by the <APPLET> tag. The Java code is downloaded from a server and runs in the client browser JVM. Java has built-in support to render applets in the browser window.
    Sophisticated GUI clients were found hard to develop, mostly because of download time, incompatibilities between browser JVM implementations, and communication requirements back to the server. Applets are rarely used today, and are most commonly used as small, separate graphic-like animation applets. The popularity of Java declined when Microsoft withdrew its Java support from [Internet Explorer](http://en.wikipedia.org/wiki/Internet_Explorer) default configuration, however, the plugin is still available as a free download from [java.com](http://java.com/).
    More information can be found about applets at the [Applet Chapter](http://en.wikibooks.org/wiki/Java_Programming/Applets), in this book. Also, Wikipedia has an article about [Java Applets](http://en.wikipedia.org/wiki/Java_applet).

Client Server applications 
    The client server applications consist of a front-end, and a back-end part, both running on a separate computer. The idea is that the business logic would be on the back-end part of the program, which would be reused by all the clients. Here the challenge is to achieve a separation between front-end user interface code, and the back-end business logic code.
    The communication between the front-end and the back-end can be achieved by two ways. 

    

  * One way is to define a data communication [protocol](http://en.wikipedia.org/wiki/Protocol_\(computing\)) between the two tiers. The back-end part would listen for an incoming request. Based on the [protocol](http://en.wikipedia.org/wiki/Protocol_\(computing\)) it interprets the request and sends back the result in data form.
  * The other way is to use [Java Remote Invocation](http://en.wikipedia.org/wiki/Java_remote_method_invocation) (RMI). With the use of RMI, a remote object can be created and used by the client. In this case Java objects are transmitted across the network.
    More information can be found about client-server programming, with sample code, at the [Client Server Chapter](http://en.wikibooks.org/wiki/Java_Programming/Client_Server) in this book.

Web Applications 
    For applications needed by lots of client installations, the client-server model did not work. Maintaining and upgrading the hundreds or thousands of clients caused a problem. It was not practical. The solution to this problem was to create a unified, standard client, for all applications, and that is the _[Browser](http://en.wikipedia.org/wiki/Web_browser)_.
    Having a standard client, it makes sense to create a unified, standard back-end service as well, and that is the _[Application Server](http://en.wikipedia.org/wiki/Application_server)_.
    **Web Application** is an application that is running in the [Application Server](http://en.wikipedia.org/wiki/Application_server), and it can be accessed and used by the [Browser](http://en.wikipedia.org/wiki/Web_browser) client.
    There are three main area of interest in Web Applications, those are: 

  * The [Web Browser](http://en.wikipedia.org/wiki/Web_Browser). This is the container of rendering HTML text, and running client scripts
  * The [HTTP](http://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol) [protocol](http://en.wikipedia.org/wiki/Protocol_\(computing\)). Text data are sent back and forth between Browser and the Server
  * The [Web server](http://en.wikipedia.org/wiki/Web_server) to serve static content, [Application server](http://en.wikipedia.org/wiki/Application_server) to serve dynamic content and host [EJBs](http://en.wikipedia.org/wiki/Enterprise_JavaBean).
    Wikipedia also has an article about [Web application](http://en.wikipedia.org/wiki/Web_application).

## J2EE code execution

As the focus was shifting from reaching GUI clients to thin client applications, with Java version 2, Sun introduced J2EE (Java 2 Extended Edition). J2EE added :

  * [Components Base Architecture](http://en.wikipedia.org/wiki/Software_componentry), (Servlet, JSP, EJB Containers)

With J2EE the following Java component executions are possible:

![](../../../upload.wikimedia.org/wikibooks/en/thumb/7/73/Java_servlet_appl.jpg/250px-Java_servlet_appl.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 3: Servlet Execution

Java Servlet code 
    (Figure 3) Java got its popularity with server side programming, more specifically with [J2EE](http://en.wikipedia.org/wiki/Java_EE) servlets. Servlets are running in a simple J2EE framework to handle client [HTTP](http://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol) requests. They are meant to replace [CGI programming](http://en.wikipedia.org/wiki/Common_Gateway_Interface) for web pages rendering dynamic content.
    The servlet is running in a so called [servlet-container/web container](http://en.wikipedia.org/wiki/Web_container). The servlet's responsibility is to: 

  * Handle the request by doing the business logic computation,
  * Connecting to a database if needed,
  * Create HTML to present to the user through the browser
    The HTML output represents both the presention logic and the results of the business computations. This represents a huge problem, and there is no real application relying only on servlets to handle the presention part of the responsibility. There are two main solutions to this: 

  * Use a template tool (Store the presentation part in an HTML file, marking the areas that need to be replaced after business logic computations).
  * Use JSP (See next section)
    Wikipedia also has an article about [Servlets](http://en.wikipedia.org/wiki/Java_Servlet).

![](../../../upload.wikimedia.org/wikibooks/en/thumb/5/52/Java_jsp_appl.jpg/250px-Java_jsp_appl.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 4: Jsp Execution

Java Server Pages (JSP) code 
    (Figure 4) JSP is an HTML file with embedded Java code inside. The first time the JSP is accessed, the JSP is converted to a Java Servlet. This servlet outputs HTML which has inside the result of the business logic computation. There are special JSP tags that helps to add data dynamically to the HTML. Also JSP technology allows to create custom tags.
    Using the JSP technology correctly, business logic computations should not be in the embedded Java part of the JSP. JSP should be used to render the presentation of the static and dynamic data. Depending on the complexity of the data, 100% separation is not easy to achieve. Using custom tags, however may help to get closer to 100%. This is advocated also in [MVC](http://en.wikipedia.org/wiki/Model-view-controller) architecture (see below).

![](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a2/Java_ejb_appl.jpg/300px-Java_ejb_appl.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 5: EJB Execution

EJB code 
    (Figure 5) In the 1990s, with the client server computing, a trend started, that is to move away from Mainframe computing. That resulted in many small separate applications in a Company/Enterprise. Many times the same data was used in different applications. A new philosophy, "Enterprise Computing", was created to address these issues. The idea was to create components that can be reused throughout the Enterprise. The Enterprise Java Beans (EJBs) were supposed to address this.
    An **EJB** is an application component that runs in an EJB container. The client accesses the EJB modules through the container, never directly. The container manages the life cycle of the EJB modules, and handles all the issues that arise from network/enterpise computing. Some of those are [security/access control](http://en.wikipedia.org/wiki/Access_control), [object pooling](http://en.wikipedia.org/wiki/Object_pool), [transaction management](http://en.wikipedia.org/wiki/Transaction_processing), ... .
    EJBs have the same problems as any reusable code: they need to be generic enough to be able to be reused and the changes or maintenance of EJBs can affect existing clients. Many times EJBs are used unnecessarily when they are not really needed. An EJB should be designed as a separate application in the enterprise, fulfilling one function.

  


![](../../../upload.wikimedia.org/wikibooks/en/thumb/0/0d/Java_mvc_appl.gif/350px-Java_mvc_appl.gif)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 6: MVC Execution

Combine J2EE components to create an MVC architecture 
    This leads us to the three layers/tiers as shown in (Figure 6).
    In modern web applications, with lots of static data and nice graphics, how the data is presented to the user became very important and usually needs the help of a graphic artist.
    To help programmers and graphic artists to work together, the separation between data, code, and how it is presented became crucial.
    

  * The **view** (User Interface Logic) contains the logic that is necessary to construct the presentation. This could be handled by JSP technology.
  * The servlet acts as the **controller** and contains the logic that is necessary to process user events and to select an appropriate response.
  * The business logic (**model**) actually accomplishes the goal of the interaction. This might be a query or an update to a database. This could be handled by EJB technology.
    For more information about MVC, please see [MVC](http://en.wikipedia.org/wiki/Model-view-controller).

## Jini

After J2EE Sun had a vision about the next step of network computing. That is [Jini](http://en.wikipedia.org/wiki/Jini). The main idea is that in a network environment, there would be many independent services and consumers. Jini would allow these services/consumers to interact dynamically with each other in a robust way. The basic features of Jini are:

  * **No user intervention** is needed when services are brought on or offline. (In contrast to EJBs where the client program has to know the server and port number where the EJB is deployed, in Jini the client is _supposed to find_, to discover, the service in the network.)
  * **Self healing** by adapting when services (consumers of services) come and go. (Services periodically need to renew a lease to indicate that they are still available.)
  * Consumers of JINI services do not need prior knowledge of the service's implementation. The **implementation is downloaded dynamically** and run on the consumer JVM, without configuration and user intervention. (For example, the end user may be presented with a slightly different user interface depending upon which service is being used at the time. The implementation of the user interface code would be provided by the service being used.)

A minimal Jini network environment consists of:

  * One or more **services**
  * A **lookup-service** keeping a list of registered services
  * One or more **consumers**

Jini is not widely used at the current writing (2006). There are two possible reasons for it. One is Jini a bit complicated to understand and to set it up. The other reason is that Microsoft pulled out from Java, which caused the industry to turn to the use of proprietary solutions.

  


  


# Understanding a Java Program

This article presents a small Java program which can be run from the console. It computes the distance between two points on a plane. You do not need to understand the structure and meaning of the program just yet; we will get to that soon. Also, because the program is intended as a simple introduction, it has some room for improvement, and later in the module we will show some of these improvements. But let's not get too far ahead of ourselves!

## The Distance Class: Intent, Source, and Use

This class is named _Distance_, so using your favorite editor or [Java IDE](http://en.wikibooks.org/wiki/Java_Programming/Java_IDEs), first create a file named `Distance.java`, then copy the source below and paste it into the file and save the file.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 2.1: Distance.java**

  1.      public class Distance {
    

  2.        private java.awt.Point point0, point1;
    

  3.      
    

  4.        public Distance(int x0, int y0, int x1, int y1) {
    

  5.          point0 = new java.awt.Point(x0, y0);
    

  6.          point1 = new java.awt.Point(x1, y1);
    

  7.        }
    

  8.      
    

  9.        public void printDistance() {
    

  10.          System.out.println("Distance between " + point0 + " and " + point1
    

  11.                          + " is " + point0.distance(point1));
    

  12.        }
    

  13.      
    

  14.        public static void main(String[] args) {
    

  15.          Distance dist = new Distance(
    

  16.                   intValue(args[0]), intValue(args[1]),
    

  17.                   intValue(args[2]), intValue(args[3]));
    

  18.          dist.printDistance();
    

  19.        }
    

  20.      
    

  21.        private static int intValue(String data) {
    

  22.          return Integer.parseInt(data);
    

  23.        }
    

  24.      }
    

At this point, you may wish to review the source to see how much you might be able to understand. While perhaps not being the most literate of programming languages, someone with understanding of other procedural languages such as C, or other OO languages such as C++ or C#, will be able to understand most if not all of the sample program.

Once you save the file, [compile](http://en.wikibooks.org/wiki/Java_Programming/Compilation) the program:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for the compilation**
    
    
    $ javac Distance.java
    

(If the `javac` command fails, review the [Java installation instructions](http://en.wikibooks.org/wiki/Java_Programming/About_This_Book#Installing_the_Java_platform).)

To run the program, you supply it with the _x_ and _y_ coordinates of two points on a plane separated by a space. For this version of Distance, only integer points are supported. The command sequence is _`java Distance <x0> <y0> <x1> <y1>`_ to compute the distance between the points (_x0, y0_) and (_x1, y1_).

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
If you have a `NumberFormatException` exception, some arguments are not a number. If you will have a `java.lang.ArrayIndexOutOfBoundsException` exception, there is not enough arguments.

Here are two examples:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for the distance between the points (0, 3) and (4, 0)**
    
    
    $ java Distance 0 3 4 0
    Distance between java.awt.Point[x=0,y=3] and java.awt.Point[x=4,y=0] is 5.0
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for the distance between the points (-4, 5) and (11, 19)**
    
    
    $ java Distance -4 5 11 19
    Distance between java.awt.Point[x=-4,y=5] and java.awt.Point[x=11,y=19] is 20.518284528683193
    

We'll explain this strange looking output, and also show how to improve it, later.

## Detailed Program Structure and Overview

As promised, we will now provide a detailed description of this Java program. We will discuss the syntax and structure of the program and the meaning of that structure.

### Introduction to Java Syntax
    
    
    **public** **class** Distance {
       **private** java.awt.Point point0, point1;
    
       **public** Distance(**int** x0, **int** y0, **int** x1, **int** y1) {
         point0 = **new** java.awt.Point(x0, y0);
         point1 = **new** java.awt.Point(x1, y1);
       }
    
       **public** **void** printDistance() {
         System.out.println("Distance between " + point0 + " and " + point1
                         + " is " + point0.distance(point1));
       }
    
       **public** **static** **void** main(String[] args) {
         Distance dist = **new** Distance(
                  intValue(args[0]), intValue(args[1]),
                  intValue(args[2]), intValue(args[3]));
         dist.printDistance();
       }
    
       **private** **static** **int** intValue(String data) {
         **return** Integer.parseInt(data);
       }
    }
    
    

Figure 2.1: The different tokens of the Java syntax in the `Distance` class.

    

    _For a further treatment of the syntax elements of Java, see also [Syntax](http://en.wikibooks.org/wiki/Java_Programming/Syntax)._

The _syntax_ of a Java class is the characters and symbols and their structure used to code the class using Unicode characters. Java programs consist of a sequence of tokens. There are different kinds of tokens. For example, there are word tokens such as `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` and `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` which represent _**[keywords**](http://en.wikibooks.org/wiki/Java_Programming/Keywords)_ **(in purple** **[above**](Print_version.html#figure-1)**)** — special words with reserved meaning in Java. Other words such as `Distance`, `point0`, `x1`, and `printDistance` are not keywords but _identifiers_ (in grey). Identifiers have many different uses in Java but primarily they are used as names. Java also has tokens to represent numbers, such as `1` and `3`; these are known as _[literals](http://en.wikibooks.org/wiki/Java_Programming/Literals)_ (in orange). _[String literals](http://en.wikibooks.org/wiki/Java_Programming/Literals/String_Literals)_ (in blue), such as `"Distance between "`, consist of zero or more characters embedded in double quotes, and _[operators](http://en.wikibooks.org/wiki/Java_Programming/Operators)_ (in red) such as `+` and `=` are used to express basic computation such as addition or String concatenation or assignment. There are also left and right braces (`{` and `}`) which enclose _blocks_. The body of a class is one such block. Some tokens are punctuation, such as periods `.` and commas `,` and semicolons `;`. You use _whitespace_ such as spaces, tabs, and newlines, to separate tokens. For example, whitespace is required between keywords and identifiers: `publicstatic` is a single identifier with twelve characters, not two Java keywords.

### Declarations and Definitions

`public class Distance {`

`  private java.awt.Point point0, point1;`

  


`  public Distance(int x0, int y0, int x1, int y1) {`  
`    point0 = new java.awt.Point(x0, y0);`  
`    point1 = new java.awt.Point(x1, y1);`  
`  }`

  


`  public void printDistance() {`  
`    System.out.println("Distance between " + point0 + " and " + point1`  
`      \+ " is " + point0.distance(point1));`  
`  }`

  


`  public static void main(String[] args) {`  
`    Distance dist = new Distance(`  
`      intValue(args[0]), intValue(args[1]),`  
`      intValue(args[2]), intValue(args[3]));`  
`    dist.printDistance();`  
`  }`

  


`  private static int intValue(String data) {`  
`    return Integer.parseInt(data);`  
`  }`

  
`}`

Figure 2.2: The different declarations and definitions of the Java syntax in the `Distance` class.

Sequences of tokens are used to construct the next building blocks of Java classes as shown [above](Print_version.html#figure-2): declarations and definitions. A class declaration provides the name and visibility of a class. For our example, `public class Distance` is the class declaration. It consists (in this case) of two keywords, `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` and `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` followed by the identifier `Distance`.

This means that we are defining a class named `Distance`. Other classes, or in our case, the command line, can refer to the class by this name. The `public` keyword is an [access modifier](http://en.wikibooks.org/wiki/Java_Programming/Scope) which declares that this class and its members may be accessed from other classes. The `class` keyword, obviously, identifies this declaration as a class. Java also allows declarations of _[interfaces](http://en.wikibooks.org/wiki/Java_Programming/Interfaces)_ and (as of Java 5) _[annotations](http://en.wikibooks.org/wiki/Java_Programming/Annotations)_.

The class declaration is then followed by a block (surrounded by curly braces) which provides the class's definition (in blue in [figure 2.2](Print_version.html#figure-2)). The definition is the implementation of the class — the declaration and definitions of the class's members. This class contains exactly six members, which we will explain in turn.

  1. Two field declarations, named `point0` and `point1` (in green)
  2. A constructor declaration (in orange)
  3. Three method declarations (in red)

#### Example: Instance Fields

The declaration

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.1: Declaration.**

  1.     private java.awt.Point point0, point1;
    

...declares two _instance fields_. Instance fields represent named values that are allocated whenever an instance of the class is constructed. When a Java program creates a `Distance` instance, that instance will contain space for `point0` and `point1`. When another `Distance` object is created, it will contain space for its _own_ `point0` and `point1` values. The value of `point0` in the first `Distance` object can vary independently of the value of `point0` in the second `Distance` object.

This declaration consists of:

  1. The `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` access modifier,  
which means these instance fields are not visible to other classes.
  2. The type of the instance fields. In this case, the type is `java.awt.Point`.  
This is the class `Point` in the `java.awt` package.
  3. The names of the instance fields in a comma separated list.

  
These two fields could also have been declared with two separate but more verbose declarations,

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.2: Verbose declarations.**

  1.      private java.awt.Point point0;
    

  2.      private java.awt.Point point1;
    

Since the types of these fields is a reference type (i.e. a field that _refers to_ or can hold a _reference to_ an object value), Java will implicitly initialize the values of `point0` and `point1` to null when a `Distance` instance is created. The null value means that a reference value does not refer to an object. The special Java literal, `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` is used to represent the null value in a program. While you can explicitly assign null values in a declaration, as in

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.3: Declarations and assignments.**

  1.      private java.awt.Point point0 = null;
    

  2.      private java.awt.Point point1 = null;
    

It is not necessary and most programmers omit such default assignments.

#### Example: Constructor

A _[constructor](http://en.wikibooks.org/wiki/Java_Programming/Methods#Special_method.2C_the_Constructor)_ is a special method in a class which is used to construct an instance of the class. The constructor can perform initialization for the object, beyond that which the Java VM does automatically. For example, Java will automatically initialize the fields `point0` and `point1` to null.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.4: The constructor for the class**

  1.     public Distance(int x0, int y0, int x1, int y1) {
    

  2.        point0 = new java.awt.Point(x0, y0);
    

  3.        point1 = new java.awt.Point(x1, y1);
    

  4.     }
    

The constructor above consists of five parts:

  1. The optional [access modifier(s)](http://en.wikibooks.org/wiki/Java_Programming/Scope).  
In this case, the constructor is declared `public`
  2. The constructor name, which must match the class name exactly: `Distance` in this case.
  3. The constructor parameters.  
The parameter list is required. Even if a constructor does not have any parameters, you must specify the empty list `()`. The parameter list declares the type and name of each of the method's parameters.
  4. An optional `[throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)` clause which declares the [exceptions](http://en.wikibooks.org/wiki/Java_Programming/Exceptions) that the constructor may throw. This constructor does not declare any exceptions.
  5. The constructor body, which is a Java block (enclosed in `{}`). This constructor's body contains two statements.

This constructor accepts four parameters, named `x0, y0, x1` and `y1`. Each parameter requires a parameter type declaration, which in this example is ``[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`` for all four parameters. The parameters in the parameter list are separated by commas.

The two assignments in this constructor use Java's _`[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` operator_ to allocate two `java.awt.Point` objects. The first allocates an object representing the first point, `(x0, y0)`, and assigns it to the `point0` instance variable (replacing the null value that the instance variable was initialized to). The second statement allocates a second `java.awt.Point` instance with `(x1, y1)` and assigns it to the `point1` instance variable.

This is the constructor for the Distance class. Distance implicitly extends from `java.lang.Object`. Java inserts a call to the super constructor as the first executable statement of the constructor if there is not one explicitly coded. The above constructor body is equivalent to the following body with the explicit super constructor call:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.5: Super constructor.**

  1.     {
    

  2.        super();
    

  3.        point0 = new java.awt.Point(x0, y0);
    

  4.        point1 = new java.awt.Point(x1, y1);
    

  5.     }
    

While it is true that this class could be implemented in other ways, such as simply storing the coordinates of the two points and computing the distance as ![\\sqrt{\(x_1-x_0\)^2 + \(y_1-y_0\)^2}](../../../upload.wikimedia.org/math/5/d/3/5d313d187bb0a1e36ea37560b2c57f42.png), this class instead uses the existing `java.awt.Point` class. This choice matches the abstract definition of this class: to print the distance between two points on the plane. We take advantage of existing behavior already implemented in the Java platform rather than implementing it again. We will see later how to make the program more flexible without adding much complexity, because we choose to use object abstractions here. However, the key point is that this class uses information hiding. That is, _how_ the class stores its state or how it computes the distance is hidden. We can change this implementation without altering how clients use and invoke the class.

#### Example: Methods

[Methods](http://en.wikibooks.org/wiki/Java_Programming/Methods) are the third and most important type of class member. This class contains three _methods_ in which the behavior of the `Distance` class is defined: `printDistance()`, `main()`, and `intValue()`

#### The printDistance() method

The `printDistance()` method prints the distance between the two points to the standard output (normally the console).

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.6: `printDistance()` method.**

  1.     public void printDistance() {
    

  2.       System.out.println("Distance between " + point0
    

  3.         + " and " + point1
    

  4.         + " is " + point0.distance(point1));
    

  5.     }
    

This _instance method_ executes within the context of an implicit `Distance` object. The instance field references, `point0` and `point1`, refer to instance fields of that implicit object. You can also use the special variable `this` to explicitly reference the current object. Within an instance method, Java binds the name `this` to the object on which the method is executing, and the type of `this` is that of the current class. The body of the `printDistance` method could also be coded as

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.7: Explicit instance of the current class.**

  1.       System.out.println("Distance between " + this.point0
    

  2.         + " and " + this.point1
    

  3.         + " is " + this.point0.distance(this.point1));
    

to make the instance field references more explicit.

This method both computes the distance and prints it in one statement. The distance is computed with `point0.distance(point1)`; `distance()` is an instance method of the `java.awt.Point` class (of which `point0` and `point1` are instances). The method operates on `point0` (binding `this` to the object that `point0` refers to during the execution of the method) and accepting another Point as a parameter. Actually, it is slightly more complicated than that, but we'll explain later. The result of the `distance()` method is a double precision floating point number.

This method uses the syntax

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.8: String concatenation.**

  1.      "Distance between " + this.point0
    

  2.      + " and " + this.point1
    

  3.      + " is " + this.point0.distance(this.point1)
    

to construct a String to pass to the `System.out.println()`. This expression is a series of _String concatenation_ methods which concatenates Strings or the String representation of primitive types (such as doubles) or objects, and returns a long string. For example, the result of this expression for the points (0,3) and (4,0) is the String

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output**
    
    
    "Distance between java.awt.Point[x=0,y=3] and java.awt.Point[x=4,y=0] is 5.0"
    

which the method then prints to `System.out`.

In order to print, we invoke the `println()`. This is an instance method from `java.io.PrintStream`, which is the type of the static field `out` in the class `java.lang.System`. The Java VM binds `System.out` to the standard output stream when it starts a program.

#### The main() method

The `main()` method is the main entry point which Java invokes when you start a Java program from the command line. The command

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output**
    
    
    java Distance 0 3 4 0
    

instructs Java to locate the Distance class, put the four command line arguments into an array of String values, then pass those arguments the `public static main(String[])` method of the class. We will introduce arrays shortly. Any Java class that you want to invoke from the command line or desktop shortcut must have a main method with this signature or the following signature: `public static main(String...)`.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.9: `main()` method.**

  1.     public static void main(String[] args) {
    

  2.        Distance dist = new Distance(
    

  3.              intValue(args[0]), intValue(args[1]),
    

  4.              intValue(args[2]), intValue(args[3]));
    

  5.        dist.printDistance();
    

  6.     }
    

The `main()` method invokes the final method, `intValue()`, four times. The `intValue()` takes a single string parameter and returns the integer value represented in the string. For example, `intValue("3")` will return the integer 3.

People who do test-first programming or perform regression testing write a main() method in every Java class, and a [main() function in every Python module](http://en.wikibooks.org/wiki/Python_Programming/Modules_and_how_to_use_them), to run automated tests. When a person executes the file directly, the main() method executes and runs the automated tests for that file. When a person executes some other Java file that in turn imports many other Java classes, only one main() method is executed -- the main() method of the directly-executed file.

#### The `intValue()` method

The `intValue()` method delegates its job to the `Integer.parseInt()` method. The main method could have called `Integer.parseInt()` directly; the `intValue()` method simply makes the `main()` method slightly more readable.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.10: `intValue()` method.**

  1.     private static int intValue(String data) {
    

  2.        return Integer.parseInt(data);
    

  3.     }
    

This method is `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` since, like the fields `point0` and `point1`, it is part of the internal implementation of the class and is not part of the external programming interface of the `Distance` class.

#### Static vs. Instance Methods

Both the `main()` and `intValue()` methods are _static methods_. The `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` keyword tells the compiler to create a single memory space associated with the class. Each individual object instantiated has its own private state variables and methods but use the same **static** methods and members common to the single class object created by the compiler when the first class object is instantiated or created. This means that the method executes in a static or non-object context — there is no implicit separate instance available when the static methods run from various objects, and the special variable `this` is not available. As such, static methods cannot access instance methods or instance fields (such as `printDistance()`) or `point0`) directly. The `main()` method can only invoke the instance method `printDistance()` method via an instance reference such as `dist`.

### Data Types

Most declarations have a data type. Java has several categories of data types: reference types, primitive types, array types, and a special type, void.

#### Primitive Types

The _[primitive types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)_ are used to represent boolean, character, and numeric values. This program uses only one primitive type explicitly, `_`[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`_`, which represents 32 bit signed integer values. The program also implicitly uses `_`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`_`, which is the return type of the `distance()` method of `java.awt.Point`. `double` values are 64 bit IEEE floating point values. The `main()` method uses integer values 0, 1, 2, and 3 to access elements of the command line arguments. The `Distance()` constructor's four parameters also have the type `int`. Also, the `intValue()` method has a return type of `int`. This means a call to that method, such as `intValue(args[0])`, is an expression of type `int`. This helps explain why the main method cannot call:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 2.11: Wrong type.**

  1.     new Distance(args[0], args[1], args[2], args[3]) // This is an error
    

Since the type of the `args` array element is String, and our constructor's parameters must be `int`, such a call would result in an error because Java cannot automatically convert values of type String into `int` values.

Java's primitive types are `_`[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`_`, `_`[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`_`, `_`[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`_`, `_`[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`_`, `_`[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`_`, `_`[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`_`, `_`[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`_` and `_`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`_`. Each of which are also Java language keywords.

#### Reference Types

In addition to primitive types, Java supports _reference type_. A reference type is a Java data type which is defined by a Java class or interface. Reference types derive this name because such values _refer to_ an object or contain a _reference to_ an object. The idea is similar to pointers in other languages like C.

Java represents sequences of character data, or _[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)_, with the reference type `java.lang.String` which is most commonly referred to as `String`. _String literals_, such as `"Distance between "` are constants whose type is String.

This program uses three separate reference types:

  1. java.lang.String (or simply String)
  2. Distance
  3. java.awt.Point

    _For more information see chapter: [Java Programming/Classes, Objects and Types](http://en.wikibooks.org/wiki/Java_Programming/Classes,_Objects_and_Types)._

#### Array Types

Java supports _[arrays](http://en.wikibooks.org/wiki/Java_Programming/Arrays)_, which are aggregate types which have a fixed element type (which can be any Java type) and an integral size. This program uses only one array, `String[] args`. This indicates that `args` has an array type and that the element type is `String`. The Java VM constructs and initializes the array that is passed to the `main` method. See _[arrays](http://en.wikibooks.org/wiki/Java_Programming/Arrays)_ for more details on how to create arrays and access their size.

The elements of arrays are accessed with integer indices. The first element of an array is always element 0. This program accesses the first four elements of the `args` array explicitly with the indices 0, 1, 2, and 3. This program does _not_ perform any input validation, such as verifying that the user passed at least four arguments to the program. We will fix that later.

#### void

`[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)` is not a type in Java; it represents the absence of a type. Methods which do not return values are declared as _void methods_.

This class defines two void methods:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.12: Void methods**

  1.     public static void main(String[] args) { ... }
    

  2.     public void printDistance()  { ... }
    

## Whitespace

Whitespace in Java is used to separate the tokens in a Java source file. Whitespace is required in some places, such as between [access modifiers](http://en.wikibooks.org/wiki/Java_Programming/Scope), [type names](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types) and Identifiers, and is used to improve readability elsewhere.

Wherever whitespace is required in Java, one or more whitespace characters may be used. Wherever whitespace is optional in Java, zero or more whitespace characters may be used.

Java whitespace consists of the

  * space character `' '` (0x20),
  * the tab character (hex 0x09),
  * the form feed character (hex 0x0c),
  * the line separators characters newline (hex 0x0a) or carriage return (hex 0x0d) characters.

Line separators are special whitespace characters in that they also terminate line comments, whereas normal whitespace does not.

Other Unicode space characters, including vertical tab, are not allowed as whitespace in Java.

### Required Whitespace

Look at the `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` method `intValue`:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.13: Method declaration**

  1.     private static int intValue(String data) {
    

  2.       return Integer.parseInt(data);
    

  3.     }
    

Whitespace is required between `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` and `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)`, between `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` and `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`, between `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` and `intValue`, and between `String` and `data`.

If the code is written like this:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.14: Collapsed code**

  1.     privatestaticint intValue(String data) {
    

  2.       return Integer.parseInt(data);
    

  3.     }
    

...it means something completely different: it declares a method which has the return type `privatestaticint` It is unlikely that this type exists and the method is no longer static, so the above would result in a semantic error.

## Indentation

Java ignores all whitespace in front of a statement. As this, these two code snippets are identical for the compiler:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.15: Indented code**

  1.     public static void main(String[] args) {
    

  2.       Distance dist = new Distance(
    

  3.                intValue(args[0]), intValue(args[1]),
    

  4.                intValue(args[2]), intValue(args[3]));
    

  5.       dist.printDistance();
    

  6.     }
    

  7.      
    

  8.     private static int intValue(String data) {
    

  9.       return Integer.parseInt(data);
    

  10.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2.16: Not indented code**

  1.     public static void main(String[] args) {
    

  2.     Distance dist = new Distance(
    

  3.     intValue(args[0]), intValue(args[1]),
    

  4.     intValue(args[2]), intValue(args[3]));
    

  5.     dist.printDistance();
    

  6.     }
    

  7.      
    

  8.     private static int intValue(String data) {
    

  9.     return Integer.parseInt(data);
    

  10.     }
    

However, the first one's style (with whitespace) is preferred, as the readability is higher. The method body is easier to distinguish from the head, even at a higher reading speed.

  


  


# Java IDEs

## What is a Java IDE?

A Java IDE (Integrated Development Environment) is a software which enables users to write and debug Java programs easily. Many IDEs provide features like [syntax highlighting](http://en.wikipedia.org/wiki/Syntax_highlighting), code completion, etc., thus helping the user to code easily.  


## Eclipse

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Eclipse33_Ubuntu.png/200px-Eclipse33_Ubuntu.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Eclipse on Ubuntu

Eclipse is a Free and Open Source IDE, plus a developer tool framework that can be extended for a particular development need. IBM was behind its development, and it replaced IBM VisualAge tool. The idea was to create a standard look and feel that can be extended via plugins. The extensibility distinguishes Eclipse from other IDEs. Eclipse was also meant to compete with Microsoft Visual Studio tools. Microsoft tools give a standard way of developing code in the Microsoft world. Eclipse gives a similar standard way of developing code in the Java world, with a big success so far. With the online error checking only, coding can be sped up by at least 50% (coding does not include programming).

The goals for Eclipse are twofold:

  1. Give a standard IDE for developing code
  2. Give a starting point, and the same look and feel for all other more sophisticated tools built on Eclipse

IBM's WSAD, and later IBM Rational Software Development Platform, are built on Eclipse.

Standard Eclipse features:

  * Standard window management (perspectives, views, browsers, explorers, ...)
  * Error checking as you type (immediate error indications, ...)
  * Help window as toy type (type ., or `<ctrl>` `space`, ...)
  * Automatic build (changes in source code are automatically compiled, ...)
  * Built-in debugger (full featured GUI debugger)
  * Source code generation (getters and setters, ...)
  * Searches (for implementation, for references, ...)
  * Code refactoring (global reference update, ...)
  * Plugin-based architecture (ability to build tools that integrate seamlessly with the environment, and some other tools)
  * ...

    _More info: [Eclipse](http://www.eclipse.org/) and [Plugincentral](http://www.eclipseplugincentral.com/)._

  


## NetBeans

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/NetBeans_IDE_6.0_on_Linux.png/200px-NetBeans_IDE_6.0_on_Linux.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

NetBeans on GNU/Linux

The NetBeans IDE is a Free and Open Source IDE for software developers. The IDE runs on many platforms including Windows, GNU/Linux, Solaris and Mac OS X. It is easy to install and use straight out of the box. You can easily create Java applications for mobile devices using Mobility Pack in NetBeans. With Netbeans 6.0, the IDE has become one of the most preferred development tools, whether it be designing a Swing UI, building a mobile application, an enterprise application or using it as a platform for creating your own IDE.

    _More info: [netbeans.org](http://www.netbeans.org/products/ide/)_

  


## JCreator

JCreator is a simple and lightweight JAVA IDE from XINOX Software. It runs only on Windows platforms. It is very easy to install and starts quickly, as it is a native application. This is a good choice for beginners.

    _More info: <http://www.apcomputerscience.com/ide/jcreator/index.htm> or [JCreator](http://www.jcreator.com/)_

## Processing

Processing is an **enhanced** IDE. It adds some extra commands and a simplified programming model. This makes it much easier for beginners to start programming in Java. It was designed to help graphic artists learn a bit of programming without struggling too much. Processing runs on Windows, GNU/Linux and Mac OS X platforms.

    _More info: [Processing](http://www.processing.org)._

## BlueJ

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/50/BlueJ_screenshot.png/200px-BlueJ_screenshot.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

BlueJ on Mac OS X

BlueJ is an IDE that includes templates and will compile and run the applications for you. BlueJ is often used by classes because it is not necessary to set classpaths. BlueJ has its own sets of libraries and you can add your own under preferences. That sets the classpath for all compilations that come out of it to include those you have added and the BlueJ libraries.

BlueJ offers an interesting GUI for creation of packages and programs. Classes are represented as boxes with arrows running between them to represent inheritance/implementation or if on is constructed in another. BlueJ adds all those classes (the project) into the classpath at compile time.

    _More info: [BlueJ Homesite](http://www.bluej.org)_

## Kawa

Kawa is basically a Java editor developed by Tek-Tools. It does not include wizards and GUI tools, best suited to experienced Java programmers in small and midsized development teams. It looks that there is no new development for Kawa. The latest version is 4.0, you can [download it](http://www.olabs.com/kawa/).

    _More info: [Kawa from tek-tools](http://www.tek-tools.com/kawa/). See also a [javaworld article](http://www.javaworld.com/javaworld/jw-06-2000/jw-0602-iw-kawa.html)_

## JBuilder

JBuilder is an IDE with proprietary source code, sold by Embarcadero Technologies. One of the advantages is the integration with Together, a modeling tool.

    _More info: [Embarcadero](http://www.embarcadero.com/)._

## DrJava

DrJava is an IDE developed by the JavaPLT group at Rice University. It is designed for students.

    _For more information see [DrJava](http://www.drjava.org)._

## Other IDEs

  * [IntelliJ IDEA](http://en.wikipedia.org/wiki/IntelliJ_IDEA)
  * [jGRASP](http://www.jgrasp.org)
  * MyEclipse
  * Visual Cafe
  * [Zeus](http://www.zeusedit.com/java.html)
  * JDeveloper
  * Gel
  * JIPE
  * jEdit
  * Geany

  


# Language fundamentals

# Language Fundamentals

The previous chapter _"[Getting started](http://en.wikibooks.org/wiki/Java_Programming/Getting_started)"_ was a primer course in the basic of understanding how Java programming works. Throughout the chapter, we tackled with a variety of concepts that included:

  * Objects and class definitions;
  * Abstract and data types;
  * Properties;
  * Methods;
  * Class-level and method-level scopes;
  * Keywords; and,
  * Access modifiers, etc.

From this point on, we would be looking into the above mentioned concepts and many more in finer detail with a deeper and richer understanding of how each one of them works. This chapter on **Language fundamentals** introduces the fundamental elements of the Java programming language in detail. The discussions in this chapter would use the concepts we have already gathered from our previous discussions and build upon them in a progressive manner.

## The Java programming syntax

In [linguistics](http://en.wikipedia.org/wiki/Linguistics), the word **syntax** (which comes from [Ancient Greek](http://en.wikipedia.org/wiki/Ancient_Greek) _[σύνταξις](http://en.wiktionary.org/wiki/%CF%83%CF%8D%CE%BD%CF%84%CE%B1%CE%BE%CE%B9%CF%82)_ where _σύν_ [syn] means "together", and _τάξις_ [táxis] means "an ordering") refers to "the process of arranging things". It defines the principles and rules for constructing phrases and [sentences](http://en.wikipedia.org/wiki/Sentence_\(linguistics\)) in [natural languages](http://en.wikipedia.org/wiki/Natural_language).

When learning a new language, the first step one must take is to learn its **programming syntax**. _Programming syntax_ is to programming languages what _grammar_ is to spoken languages. Therefore, in order to create effective code in the Java programming, we need to learn its syntax — its principles and rules for constructing valid code statements and expressions.

Java uses a syntax similar to the [C programming language](http://en.wikibooks.org/wiki/C_Programming) and therefore if one learns the Java programming syntax, they automatically would be able to read and write programs in similar languages — C, [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming) and [C#](http://en.wikibooks.org/wiki/C_Sharp_Programming)

When learning a new language, the first step one must take is to learn its [syntax](http://en.wikibooks.org/wiki/Java_Programming/Syntax) rules and [keywords](http://en.wikibooks.org/wiki/Java_Programming/Keywords). Combining the two, one creates [statements](http://en.wikibooks.org/wiki/Java_Programming/Statements), Programming Blocks, Classes, Interfaces, et al.

Use [packages](http://en.wikibooks.org/wiki/Java_Programming/Packages) to avoid name collisions. To hide as much information as possible use the [access modifiers](http://en.wikibooks.org/wiki/Java_Programming/Access_Modifiers) properly.

Create [methods](http://en.wikibooks.org/wiki/Java_Programming/Methods) that do one and if possible only one thing/task. If possible have separate method that changes the object state.

In an object oriented language, programs are run with objects; however, for ease of use and for historic reasons, Java has [primitive types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types). Primitive Data Types only store values and have no methods. Primitive Types may be thought of as Raw Data and are usually embedded attributes inside objects or used as local variables in methods. Because primitive types are not subclasses of the object superclass, each type has a Wrapper Class which is a subclass of Object, and can thus be stored in a collection or returned as an object.

Java is a strong [type](http://en.wikibooks.org/wiki/Java_Programming/Classes,_Objects_and_Types) checking language. There are two concepts regarding types and objects. One is the object type and the other the template/class the object was created from. When an object is created, the template/class is assigned to that object which can not be changed. Types of an object however can be changed by type casting. Types of an object is associated with the object reference that referencing the object and determines what operation can be performed on the object through that object reference. Assigning the value of one object reference to a different type of object reference is called type casting.

The most often used data structure in any language is a character string. For this reason java defines a special object that is [String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String).

To aggregate same type java objects to an array, java has a special [array](http://en.wikibooks.org/wiki/Java_Programming/Arrays) object for that. Both java objects and primitive types can be aggregated to arrays.

  


  


# Statements

Now, that we have the Java platform on our systems and have run the first program successfully, we are geared towards understanding how programs are actually made. As we have already discussed. A program is a set of instructions, which are simple tasks provided to a computer. These instructions are called **statements** in Java. Statements can be anything from a single line of code to a complex mathematical equation. Consider the following line:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.1: A simple assignment statement.**

  1.     int age = 24;
    

This line is a simple instruction that tells the system to initialize a variable and set its value as 24. Within that simple definition, we talked about initialization of a variable and setting its value. If the above statement was the only one in the program, it would look similar to this:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.1: A statement in a simple class.**

  1.     public class MyProgram {
    

  2.         public static void main (String[] args) {
    

  3.             int age = 24;
    

  4.         }
    

  5.     }
    

In the same style as C++, Java places its statements within a class declaration and, in the class declaration, the statements are usually placed in the method declaration, as above.

## Variable declaration statement

The simplest statement is the variable declaration:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.2: A simple declaration statement.**

  1.     int age;
    

It defines a variable that can be used by the further statement. The first token is the [data type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types) of the variable. The second token is the name of the variable. Then each declaration statement is ended by a semi-colon (`;`).

## Assignment statements

Up until now, we've assumed the creation of variables as a single statement. In essence, we assign a value to those variables, and that's just what it is called. When you assign a value to a variable in a statement, that statement is called an **assignment statement**. Did you notice one more thing? The semicolon (;). It's at the end of each statement. A clear indicator that a line of code is a statement is its termination with an ending semicolon. If one was to write multiple statements, it is usually done on each separate line ending with a semicolon. Consider the example below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.3: Multiple assignment statements.**

  1.     int a = 10;
    

  2.     int b = 20;
    

  3.     int c = 30;
    

You do not necessarily have to use a new line to write each statement. Just like English, you can begin writing the next statement where you ended the first one as depicted below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.4: Multiple assignment statements on the same line.**

  1.     int a = 10; int b = 20; int c = 30;
    

However, the only problem with writing such code is, it's very difficult to read it back. It doesn't look that intimidating at first, but once you've got a significant amount of code, it's usually better to organize it in a way that makes sense. It would look more complex and incomprehensible written as it is in Listing 1.6.

Now that we have looked into the anatomy of a simple assignment statement, we can look back at what we've achieved. We know that...

  * A statement is a unit of code in programming.
  * If we are assigning a variable a value, the statement is called an assignment statement.
  * An assignment statement include three parts: a data type, variable name (also called an identifier) and the value of a variable. We will look more into the nature of identifiers and values in the section titled _[Variables](http://en.wikibooks.org/wiki/Java_Programming/Variables)_ later.

Now, before we move on to the next topic, you need to try and understand what the code below does.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.5: Multiple assignment statements with expressions.**

  1.     int firstNumber = 10;
    

  2.     int secondNumber = 20;
    

  3.     int result = firstNumber + secondNumber;
    

The first two statements are pretty much similar to those in [Section 3.3](Print_version.html#section-3) but with different variable names. The third however is a bit interesting. We've already talked of variables as being similar to gift boxes. Think of your computer's memory as a shelf where you put all those boxes. Whenever you need a box (or variable), you call its identifier (that's the name of the variable). So calling the variable identifier `firstNumber` gives you the number `10`, calling `secondNumber` would give you `20` hence when you add the two up, the answer should be `30`. That's what the value of the last variable `result` would be. The part of the third statement where you add the numbers, i.e., `firstNumber + secondNumber` is called an **expression** and the expression is what decides what the value is to be. If it's just a plain value, nothing fancy, then it's called a **literal**.

With the information you have just attained, you can actually write a decent Java program that can sum up values. To learn more, continue reading.

## Assertion

An assertion checks if a condition is true:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.6: A return statement.**

  1.         public int getAge() {
    

  2.             assert age == 24;
    

  3.         }
    

Each `assert` statement is ended by a semi-colon (`;`).

## Program Control Flow

Statements are evaluated in the order as they occur. The execution of flow begins at the top most statement and proceed downwards till the last statement is encountered. A statement can be substituted by a statement block. There are special statements that can redirect the execution flow based on a condition, those statements are called _branching_ statements, described in detail in a later section.

## Statement Blocks

A bunch of statements can be placed in braces to be executed as a single block. Such a block of statement can be named or be provided a condition for execution. Below is how you'd place a series of statements in a block.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.7: A statement block.**

  1.     {
    

  2.         int a = 10;
    

  3.         int b = 20;
    

  4.         int result = a + b;
    

  5.     }
    

## Branching Statements

Program flow can be affected using function/method calls, loops and iterations. Of various types of branching constructs, we can easily pick out two generic branching methods.

  * Unconditional Branching
  * Conditional Branching

### Unconditional Branching Statements

If you'd closely look at a method, you'll see that a method is a named statement block that is executed by calling that particular name. An unconditional branch is created either by invoking the method or by calling `break`, `continue`, `return` or `throw`, all of which are described in below.

When a name of a method is encountered in a flow, it stops execution in the current method and branches to the newly called method. After returning a value from the called method, execution picks up at the original method on the line below the method call.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.8: UnconditionalBranching.java**

  1.     public class UnconditionalBranching {
    

  2.         public static void main(String[] args) {
    

  3.             System.out.println("Inside main method! Invoking aMethod!");
    

  4.             aMethod();
    

  5.             System.out.println("Back in main method!");
    

  6.         }
    

  7.      
    

  8.         public static void aMethod() {
    

  9.             System.out.println("Inside aMethod!");
    

  10.         }
    

  11.     }
    

Running the above code would provide us with this screen of information.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for [code listing 3.8](Print_version.html#code-listing-8)**
    
    
    Inside main method! Invoking aMethod!
    Inside aMethod!
    Back in main method!
    

The program flow begins in the `main` method. Just as `aMethod` is invoked, the flow travels to the called method. At this very point, the flow branches to the other method. Once the method is completed, the flow is returned to the point it left off and resumes at the next statement after the call to the method.

## Return statement

A `return` statement exit from a block so it is often the last statement of a method:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.9: A return statement.**

  1.         public int getAge() {
    

  2.             int age = 24;
    

  3.             return age;
    

  4.         }
    

A return statement can return the content of a variable or nothing. Beware not to write statements after a return statement which would not be executed! Each `return` statement is ended by a semi-colon (`;`).

### Conditional Branching Statements

Conditional branching is attained with the help of the `if...else` and `switch` statements. A conditional branch occurs only if a certain condition expression evaluates to true.

#### Conditional Statements

Also referred to as _`[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statements_, these allow a program to perform a test and then take action based on the result of that test.

The form of the `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement:
    
    
    [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) (_condition_) {
      _do statements here if condition is true_
    } [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else) {
      _do statements here if condition is false_
    }
    

The _condition_ is a boolean expression which can be either `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` or `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)`. The actions performed will depend on the value of the condition.

Example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.10: An if statement.**

  1.     if (i > 0) {
    

  2.        System.out.println("value stored in i is greater than zero");
    

  3.     } else {
    

  4.        System.out.println("value stored is not greater than zero");
    

  5.     }
    

If statements can also be made more complex using the else if combination:
    
    
    [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) (_condition 1_) {
       _do statements here if condition 1 is true_
    } [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else) [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) (_condition 2_) {
       _do statements here if condition 1 is false and condition 2 is true_
    } [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else) {
      _do statements here if neither condition 1 nor condition 2 is true_
    }
    

Example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.11: An if/else if/else statement.**

  1.     if (i > 0) {
    

  2.        System.out.println("value stored in i is greater than zero");
    

  3.     } else if (i < 0) {
    

  4.        System.out.println("value stored in i is less than zero");
    

  5.     } else {
    

  6.        System.out.println("value stored is equal to 0");
    

  7.     }
    

If there is only one statement to be executed after the condition, as in the above example, it is possible to omit the curly braces, however Oracle's [Java Code Conventions](http://www.oracle.com/technetwork/java/index.html#449) explicitly state that the braces should always be used.

There is no looping involved in an if statement so once the condition has been evaluated the program will continue with the next instruction after the statement.

#### If...else statements

The `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` ... `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` statement is used to conditionally execute one of two blocks of statements, depending on the result of a boolean condition.

Example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.12: An if/else statement.**

  1.     if (list == null) {
    

  2.       // This block of statements executes if the condition is true.
    

  3.     } else {
    

  4.       // This block of statements executes if the condition is false.
    

  5.     }
    

Oracle's [Java Code Conventions](http://www.oracle.com/technetwork/java/index.html#449) recommend that the braces should always be used.

An `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement has two forms:
    
    
    [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) (boolean-condition)
       _[statement1](http://en.wikibooks.org/wiki/Java_Programming/Statements)_
    

and
    
    
    [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) (boolean-condition)
       _[statement1](http://en.wikibooks.org/wiki/Java_Programming/Statements)_
    [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)
       _[statement2](http://en.wikibooks.org/wiki/Java_Programming/Statements)_
    

Use the second form if you have different statements to execute if the _[boolean-condition](http://en.wikibooks.org/wiki/Java_Programming/Types/boolean)_ is true or if it is false. Use the first if you only wish to execute _[statement1](http://en.wikibooks.org/wiki/Java_Programming/Statements)_ if the condition is true and you do not wish to execute alternate statements if the condition is false.

The [code section 3.13](Print_version.html#code-section-13) calls two `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` methods, `f()` and `y()`, stores the results, then uses an `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement to test if `x` is less than y and if it is, the _[statement1](http://en.wikibooks.org/wiki/Java_Programming/Statements)_ body will swap the values. The end result is x always contains the larger result and y always contains the smaller result.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.13: Value swap.**

  1.     int x = f();
    

  2.     int y = y();
    

  3.     if (x < y) {
    

  4.       int z = x;
    

  5.       x = y;
    

  6.       y = z;
    

  7.     }
    

`[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`...`[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` statements also allow for the use of another statement, `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`. This statement is used to provide another `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement to the conditional that can only be executed if the others are not true. For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.14: Multiple branching.**

  1.     if (x == 2)
    

  2.       x = 4;
    

  3.     else if (x == 3)
    

  4.       x = 6;
    

  5.     else
    

  6.       x = -1;
    

The `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement is useful in this case because if one of the conditionals is true, the other must be false. Keep in mind that if one is true, the other _will not_ execute. For example, if the statement at line 2 contained in the first conditional were changed to `x = 3;`, the second conditional, the `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`, would still not execute. However, when dealing with primitive types in conditional statements, it is more desirable to use `[switch statements](http://en.wikibooks.org/wiki/Java_Programming/Statements#Switch_statements)` rather than multiple `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statements.

#### Switch statements

The `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` conditional statement is basically a shorthand version of writing many `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`...`[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` statements. The syntax for `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statements is as follows:
    
    
    [switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)(<variable>) {
      case <result>: <statements>; break;
      case <result>: <statements>; break;
      default: <statements>; break;
    }
    

This means that if the variable included equals one of the case results, the statements following that case, until the word `break` will run. The `default` case executes if none of the others are true. **Note:** the only types that can be analysed through `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statements are `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`, `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`, `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`, or `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` primitive types. This means that `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` variables **can not** by analyzed through `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statements.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.15: A switch.**

  1.     int n = 2, x;
    

  2.     switch (n) {
    

  3.       case 1: x = 2;
    

  4.         break;
    

  5.       case 2: x = 4;
    

  6.         break;
    

  7.       case 3: x = 6;
    

  8.         break;
    

  9.       case 4: x = 8;
    

  10.         break;
    

  11.     }
    

  12.     return x;
    

In this example, since the integer variable `n` is equal to 2, `case 2` will execute, make `x` equal to 4. Thus, 4 is returned by the method.

## Iteration Statements

Iteration Statements are statements that are used to iterate a block of statements. Such statements are often referred to as loops. Java offers four kinds of iterative statements.

  * The `while` loop
  * The `do...while` loop
  * The `for` loop
  * The `foreach` loop

### The while loop

    _Main page: [Java Programming/Keywords/while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)_

The `while` loop iterates a block of code while the condition it specifies is `true`.

The syntax for the loop is:
    
    
    [while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while) (condition) {
       statement;
     }
    

Here the condition is an expression. An expression as discussed earlier is any statement that returns a value. `While` condition statements evaluate to a boolean value, that is, either `true` or `false`. As long as the condition is `true`, the loop will iterate the block of code over and over and again. Once the condition evaluates to `false`, the loop exits to the next statement outside the loop.

### The do...while loop

The do-while loop is functionally similar to the while loop, except the condition is evaluated AFTER the statement executes
    
    
    [do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do) {
       statement;
     } [while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while) (condition);
    

### The for loop

    _Main page: [Java Programming/Keywords/for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)_

The for loop is a specialized while loop whose syntax is designed for easy iteration through a sequence of numbers Example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.16: A for loop.**

  1.     for (int i = 0; i < 100; i++) {
    

  2.       System.out.println(i + "\t" + i * i);
    

  3.     }
    

If you compile and run the statement above, the program will print the numbers 0 to 99 and their squares

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for [code listing 3.16](Print_version.html#code-listing-16)**
    
    
     0      0
     1      1
     2      4
     3      9
     ...
     99     9801
    

The same statement in a while loop:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.17: An alternative version.**

  1.     int i = 0;
    

  2.     while (i < 100) {
    

  3.        System.out.println(i + "\t" + i * i);
    

  4.        i++;
    

  5.     }
    

### The foreach loop

The foreach statement allows you to iterate through all the items in a collection, examining each item in turn while still preserving its type. The syntax for the foreach statement is:
    
    
    [for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for) (_type_ item : collection) statement;
    

For an example, we'll take an array of `String`s denoting days in a week and traverse through the collection, examining one item at a time.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.18: A foreach loop.**

  1.     String[] days = {"Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"};
    

  2.      
    

  3.     for (String day : days) {
    

  4.       System.out.println(day);
    

  5.     }
    

The output of this program would be:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for [code listing 3.18](Print_version.html#code-listing-18)**
    
    
    Monday
    Tuesday
    Wednesday
    Thursday
    Friday
    Saturday
    Sunday
    

Notice that the loop automatically exits after the last item in the collection has been examined in the statement block.

Although the enhanced for loop can make code much clearer, it can't be used in some common situations.

  * **Only access.** Elements can not be assigned to, eg, not to increment each element in a collection.
  * **Only single structure.** It's not possible to traverse two structures at once, eg, to compare two arrays.
  * **Only single element.** Use only for single element access, eg, not to compare successive elements.
  * **Only forward.** It's possible to iterate only forward by single steps.
  * **At least Java 5.** Don't use it if you need compatibility with versions before Java 5.

## The continue and break statements

At times, you would like to re-iterate a loop without executing the remaining statement within the loop. The ``[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)`` statement causes the loop to re-iterate and start over from the top most statement inside the loop.

Where there is an ability to re-iterate the loop, there is an ability to exit the loop when required. At any given moment, if you'd like to exit a loop and end all further work within the loop, the ``[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)`` ought to be used.

The ``[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)`` and ``[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)`` statements can be used with a label like follows:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.19: Using a label.**

  1.     String s = "A test string for the switch!\nLine two of test string...";
    

  2.     outer: for (int i = 0; i < s.length(); i++) {
    

  3.       switch (s.charAt(i)) {
    

  4.         case '\n': break outer;
    

  5.         case ' ': break;
    

  6.         default: System.out.print(s.charAt(i));
    

  7.       }
    

  8.     }
    

Compiling and running this statement will produce

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for [code listing 3.19](Print_version.html#code-listing-19)**
    
    
     Ateststringfortheswitch!
    

## Throw statement

A `throw` statement exit from a method and so on and so on or it is caught by a `try`/`catch` block. It does not return a variable but an exception:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.20: A return statement.**

  1.         public int getAge() {
    

  2.             throw new NullPointerException();
    

  3.         }
    

Beware not to write statements after a `throw` statement which would not be executed too! Each `throw` statement is ended by a semi-colon (`;`).

## try/catch

A `try`/`catch` must at least contain the `try` block and the `catch` block:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.21: try/catch block.**

  1.     try {
    

  2.       // Some code
    

  3.     } catch (Exception e) {
    

  4.       // Optional exception handling
    

  5.     } finally {
    

  6.       // This code is executed no matter what
    

  7.     }
    

Test your knowledge

**Question 3.1: How many statements are there in this class?**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.2: AProgram.java**

  1.     public class AProgram {
    

  2.      
    

  3.         private int age = 24;
    

  4.      
    

  5.         public static void main(String[] args) {
    

  6.             int daysInAYear = 365;int ageInDay = 100000;
    

  7.             int localAge = ageInDay / daysInAYear;
    

  8.         }
    

  9.      
    

  10.         public int getAge() {
    

  11.             return age;
    

  12.         }
    

  13.     }
    

Answer

5  
One statement at line 3, two statements at line 6, one statement at line 7 and one statement at line 11.

  


  


# Conditional blocks

Conditional blocks allow a program to take a different path depending on some condition(s). These allow a program to perform a test and then take action based on the result of that test. In the code sections, the actually executed code lines will be highlighted.

### If

The `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` block executes only if the boolean expression associated with it is true. The structure of an `if` block is as follows:

if (_**boolean expression1**_) { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

}

Here is a double example to illustrate what happens if the condition is true and if the condition is false:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.22: Two `if` blocks.**

  1.     int age = 6;
    

  2.     System.out.println("Hello!");
    

  3.      
    

  4.     if (age < 13) {
    

  5.       System.out.println("I'm a child.");
    

  6.     }
    

  7.      
    

  8.     if (age > 17) {
    

  9.       System.out.println("I'm an adult.");
    

  10.     }
    

  11.      
    

  12.     System.out.println("Bye!");
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for Code section 3.22**
    
    
    Hello!
    I'm a child
    Bye!
    

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
If only one statement is to be executed after an `if` block, it does not have to be enclosed in curly braces. For example, `if (i == 0) i = 1;` is a perfectly valid portion of Java code. This works for most control structures, such as `else` and `while`. However Oracle's [Java Code Conventions](http://www.oracle.com/technetwork/java/index.html#449) explicitly state that the braces should always be used.

### If/else

The `if` block may optionally be followed by an `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` block which will execute if that boolean expression is false. The structure of an `if` block is as follows:

if (_**boolean expression1**_) { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

} else {

    _**statement1bis**_
    _**statement2bis**_
    ...
    _**statementnbis**_

}

  


### If/else-if/else

An `else-if` block may be used when multiple conditions need to be checked. `else-if` statements come after the `if` block, but before the `else` block. The structure of an `if` block is as follows:

if (_**boolean expression1**_) { 

    _**statement1.1**_
    _**statement1.2**_
    ...
    _**statementn**_

} else if (_**boolean expression2**_) {

    _**statement2.1**_
    _**statement2.2**_
    ...
    _**statement2.n**_

} else {

    _**statement3.1**_
    _**statement3.2**_
    ...
    _**statement3.n**_

}

Here is an example to illustrate:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.3: MyConditionalProgram.java**

  1.     public class MyConditionalProgram {
    

  2.         public static void main (String[] args) {
    

  3.           int a = 5;
    

  4.           if (a > 0) {
    

  5.               // a is greater than 0, so this statement will execute
    

  6.               System.out.println("a is positive");
    

  7.           } else if (a >= 0) {
    

  8.               // a case has already executed, so this statement will NOT execute
    

  9.               System.out.println("a is positive or zero");
    

  10.           } else {
    

  11.               // a case has already executed, so this statement will NOT execute
    

  12.               System.out.println("a is negative");
    

  13.           }
    

  14.         }
    

  15.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code listing 3.3**
    
    
    a is positive
    

Keep in mind that _only a single block_ will execute, and it will be the first true condition.

All the conditions are evaluated when `if` is reached, no matter what the result of the condition is, after the execution of the `if` block:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.23: A new value for the variable a.**

  1.     int a = 5;
    

  2.     if (a > 0) {
    

  3.         // a is greater than 0, so this statement will execute
    

  4.         System.out.println("a is positive");
    

  5.         a = -5;
    

  6.     } else if (a < 0) {
    

  7.         // a WAS greater than 0, so this statement will not execute
    

  8.         System.out.println("a is negative");
    

  9.     } else {
    

  10.         // a does not equal 0, so this statement will not execute
    

  11.         System.out.println("a is zero");
    

  12.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.23**
    
    
    a is positive
    

### Conditional expressions

Conditional expressions use the compound `?:` operator. Syntax:

_**boolean expression1**_ ? _**expression1**_ : _**expression2**_

This evaluates `boolean expression1`, and if it is `true` then the conditional expression has the value of `expression1`; otherwise the conditional expression has the value of `expression2`.

Example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.24: Conditional expressions.**

  1.     String answer = (p < 0.05)? "reject" : "keep";
    

This is equivalent to the following code fragment:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.25: Equivalent code.**

  1.     String answer;
    

  2.     if (p < 0.05) {
    

  3.         answer = "reject";
    

  4.     } else {
    

  5.         answer = "keep";
    

  6.     }
    

### Switch

The `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` conditional statement is basically a shorthand version of writing many `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`...`[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` statements. The `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` block evaluates an integer (or `[enum](http://en.wikibooks.org/wiki/Java_Programming/Keywords/enum)`, starting in J2SE 5.0; or `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)`, starting in J2SE 7.0), and, based on the value provided, jumps to a specific `[case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case)` within the switch block and executes code until the `[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)` command is encountered or the end of the block. If the switch value does not match any of the case values, execution will jump to the optional `[default](http://en.wikibooks.org/wiki/Java_Programming/Keywords/default)` case.

The structure of a `switch` statement is as follows:

switch (_**integer1 or enum1 or String value1**_) { 

    case _**case value1**_: 

    _**statement1.1**_
    ...
    _**statement1.n**_
    break;
    case _**case value2**_: 

    _**statement2.1**_
    ...
    _**statement2.n**_
    break;
    default: 

    _**statementn.1**_
    ...
    _**statementn.n**_

}

Here is an example to illustrate:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.26: A switch block.**

  1.     int i = 3;
    

  2.     switch(i) {
    

  3.         case 1:
    

  4.             // i doesn't equal 1, so this code won't execute
    

  5.             System.out.println("i equals 1");
    

  6.             break;
    

  7.         case 2:
    

  8.             // i doesn't equal 2, so this code won't execute
    

  9.             System.out.println("i equals 2");
    

  10.             break;
    

  11.         default:
    

  12.             // i has not been handled so far, so this code will execute
    

  13.             System.out.println("i equals something other than 1 or 2");
    

  14.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.26**
    
    
    i equals something other than 1 or 2
    

If a case does not end with the `break` statement, then the next case will be checked, otherwise the execution will jump to the end of the `switch` statement.

Look at this example to see how it's done:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.27: A switch block containing a case without break.**

  1.     int i = -1;
    

  2.     switch(i) {
    

  3.         case -1:
    

  4.         case 1:
    

  5.             // i is -1, so it will fall through to this case and execute this code
    

  6.             System.out.println("i is 1 or -1");
    

  7.             break;
    

  8.         case 0:
    

  9.             // The break command is used before this case, so if i is 1 or -1, this will not execute
    

  10.             System.out.println("i is 0");
    

  11.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.27**
    
    
    i is 1 or -1
    

Starting in J2SE 5.0, the `switch` statement can also be used with an `[enum](http://en.wikibooks.org/wiki/Java_Programming/Keywords/enum)` value instead of an integer.

Though `enums` have not been covered yet, here is an example so you can see how it's done (note that the enum constants in the cases do not need to be qualified with the type:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.28: A switch block with an enum type.**

  1.     Day day = Day.MONDAY; // Day is a fictional enum type containing the days of the week
    

  2.     switch(day) {
    

  3.         case MONDAY:
    

  4.             // Since day == Day.MONDAY, this statement will execute
    

  5.             System.out.println("Mondays are the worst!");
    

  6.             break;
    

  7.         case TUESDAY:
    

  8.         case WEDNESDAY:
    

  9.         case THURSDAY:
    

  10.             System.out.println("Weekdays are so-so.");
    

  11.             break;
    

  12.         case FRIDAY:
    

  13.         case SATURDAY:
    

  14.         case SUNDAY:
    

  15.             System.out.println("Weekends are the best!");
    

  16.             break;
    

  17.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.28**
    
    
    Mondays are the worst!
    

Starting in J2SE 7.0, the `switch` statement can also be used with an `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` value instead of an integer.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.29: A switch block with a String type.**

  1.     String day = "Monday";
    

  2.     switch(day) {
    

  3.         case "Monday":
    

  4.             // Since day == "Monday", this statement will execute
    

  5.             System.out.println("Mondays are the worst!");
    

  6.             break;
    

  7.         case "Tuesday":
    

  8.         case "Wednesday":
    

  9.         case "Thursday":
    

  10.             System.out.println("Weekdays are so-so.");
    

  11.             break;
    

  12.         case "Friday":
    

  13.         case "Saturday":
    

  14.         case "Sunday":
    

  15.             System.out.println("Weekends are the best!");
    

  16.             break;
    

  17.         default:
    

  18.             throw new IllegalArgumentException("Invalid day of the week: " + day);
    

  19.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.29**
    
    
    Mondays are the worst!
    

  


  


# Loop blocks

Loops are a handy tool that enables programmers to do repetitive tasks with minimal effort. Say we want a program that can count from 1 to 10, we could write the [following program](Print_version.html#code-listing-4).

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.4: Count.java**

  1.     class Count {
    

  2.         public static void main(String[] args) {
    

  3.             System.out.println('1 ');
    

  4.             System.out.println('2 ');
    

  5.             System.out.println('3 ');
    

  6.             System.out.println('4 ');
    

  7.             System.out.println('5 ');
    

  8.             System.out.println('6 ');
    

  9.             System.out.println('7 ');
    

  10.             System.out.println('8 ');
    

  11.             System.out.println('9 ');
    

  12.             System.out.println('10 ');
    

  13.         }
    

  14.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code listing 3.4**
    
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    

  
The task will be completed just fine, the numbers 1 to 10 will be printed in the output, but there are a few problems with this solution:

  * **Flexibility**: what if we wanted to change the start number or end number? We would have to go through and change them, adding extra lines of code where they're needed.
  * **Scalability**: 10 repeats are trivial, but what if we wanted 100 or even 1000 repeats? The number of lines of code needed would be overwhelming for a large number of iterations.
  * **Maintenance**: where there is a large amount of code, one is more likely to make a mistake.
  * **Feature**: the number of tasks is fixed and doesn't change at each execution.

Using loops we can solve all these problems. Once you get you head around them they will be invaluable to solving many problems in programming.

Open up your editing program and create a new file saved as `Loop.java`. Now type or copy the [following code](Print_version.html#code-listing-5):

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.5: Loop.java**

  1.     class Loop {
    

  2.         public static void main(String[] args) {
    

  3.             int i;
    

  4.             for (i = 1; i <= 10; i++) {
    

  5.                 System.out.println(i + ' ');
    

  6.             }
    

  7.         }
    

  8.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code listing 3.5**
    
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    

If we run the program, the same result is produced, but looking at the code, we immediately see the advantages of loops. Instead of executing 10 different lines of code, line 5 executes ten times. 10 lines of code have been reduced to just 4. Furthermore, we may change the number 10 to any number we like. Try it yourself, replace the 10 with your own number.

### While

`[while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)` loops are the simplest form of loop. The `while` loop repeats a block of code while the specified condition is true. Here is the structure of a `while` loop:

while (_**boolean expression1**_) { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

}

The loop's condition is checked before each iteration of the loop. If the condition is false at the start of the loop, the loop will not be executed at all. The [code section 3.28](Print_version.html#code-section-28) sets in `squareHigherThan200` the smallest integer whose square exceeds 200.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.28: The smallest integer whose square exceeds 200.**

  1.     int squareHigherThan200 = 0;
    

  2.      
    

  3.     while (squareHigherThan200 * squareHigherThan200 < 200) {
    

  4.       squareHigherThan200 = squareHigherThan200 + 1;
    

  5.     }
    

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
If a loop's condition will never become false, such as if the `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` constant is used for the condition, said loop is known as an _infinite loop_. Such a loop will repeat indefinitely unless it is [broken](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break) out of. Infinite loops can be used to perform tasks that need to be repeated over and over again without a definite stopping point, such as updating a graphics display.

#### Do... while

The `[do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do)`-`[while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)` loop is functionally similar to the `while` loop, except the condition is evaluated AFTER the statement executes It is useful when we try to find a data that does the job by randomly browsing an amount of data.

do { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

} while (_**boolean expression1**_);

### For

The `[for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)` loop is a specialized `while` loop whose syntax is designed for easy iteration through a sequence of numbers. It consists of the keyword `for` followed by three extra statements enclosed in parentheses. The first statement is the variable declaration statement, which allows you to declare one or more integer variables. The second is the condition, which is checked the same way as the `while` loop. Last is the iteration statement, which is used to increment or decrement variables, though any statement is allowed.

This is the structure of a `for` loop:

for (_**variable declarations**_; _**condition**_; _**iteration statement**_) { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

}

To clarify how a for loop is used, here is an example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.29: A `for` loop.**

  1.     for (int i = 1; i <= 10; i++) {
    

  2.         System.out.println(i);
    

  3.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code listing 3.29**
    
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    

The `for` loop is like a template version of the `while` loop. The alternative code using a `while` loop would be as follows:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.30: An iteration using a `while` loop.**

  1.     int i = 1;
    

  2.     while (i <= 10) {
    

  3.       System.out.println(i);
    

  4.       i++;
    

  5.     }
    

The [code section 3.31](Print_version.html#code-section-31) shows how to iterate with the `for` loop using multiple variables and the [code section 3.32](Print_version.html#code-section-32) shows how any of the parameters of a `for` loop can be skipped. Skip them all, and you have an infinitely repeating loop.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.31: The `for` loop using multiple variables.**

  1.     for (int i = 1, j = 10; i <= 10; i++, j--) {
    

  2.       System.out.print(i + " ");
    

  3.       System.out.println(j);
    

  4.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.32: The `for` loop without parameter.**

  1.     for (;;) {
    

  2.       // Some code
    

  3.     }
    

#### For-each

[Arrays](http://en.wikibooks.org/wiki/Java_Programming/Arrays) haven't been covered yet, but you'll want to know how to use the enhanced for loop, called the `for-each` loop. The `for-each` loop automatically iterates through a list or array and assigns the value of each index to a variable.

To understand the structure of a `for-each` loop, look at the following example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.33: A `for-each` loop.**

  1.     String[] sentence = {"I", "am", "a", "Java", "program."};
    

  2.     for (String word : sentence) {
    

  3.         System.out.print(word + " ");
    

  4.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code section 3.33**
    
    
    I am a Java program.
    

The example iterates through an array of words and prints them out like a sentence. What the loop does is iterate through `sentence` and assign the value of each index to `word`, then execute the code block.

Here is the general contract of the `for-each` loop:

for (_**variable declaration**_ : _**array or list**_) { 

    _**statement1**_
    _**statement2**_
    ...
    _**statementn**_

}

Make sure that the type of the array or list is assignable to the declared variable, or you will get a compilation error. Notice that the loop automatically exits after the last item in the collection has been examined in the statement block.

Although the enhanced for loop can make code much clearer, it can't be used in some common situations.

  * **Only access.** Elements can not be assigned to, eg, not to increment each element in a collection.
  * **Only single structure.** It's not possible to traverse two structures at once, eg, to compare two arrays.
  * **Only single element.** Use only for single element access, eg, not to compare successive elements.
  * **Only forward.** It's possible to iterate only forward by single steps.
  * **At least Java 5.** Don't use it if you need compatibility with versions before Java 5.

## Break and continue keywords

The `[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)` keyword exits a flow control loop, such as a for loop. It basically _breaks_ the loop.

In the [code section 3.34](Print_version.html#code-section-34), the loop would print out all the numbers from 1 to 10, but we have a check for when `i` equals 5. When the loop reaches its fifth iteration, it will be cut short by the `break` statement, at which point it will exit the loop.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.34: An interrupted `for` loop.**

  1.     for (int i = 1; i <= 10; i++) {
    

  2.         System.out.println(i);
    

  3.         if (i == 5) {
    

  4.            System.out.println("STOP!");
    

  5.            break;
    

  6.         }
    

  7.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code section 3.34**
    
    
    1
    2
    3
    4
    5
    STOP!
    

The `[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)` keyword jumps straight to the next iteration of a loop and evaluates the boolean expression controlling the loop. The [code section 3.35](Print_version.html#code-section-35) is an example of the `continue` statement in action:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.35: A `for` loop with a skipped iteration.**

  1.     for (int i = 1; i <= 10; i++) {
    

  2.         if (i == 5) {
    

  3.             System.out.println("Caught i == 5");
    

  4.             continue;
    

  5.         }
    

  6.         System.out.println(i);
    

  7.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code section 3.35**
    
    
    1
    2
    3
    4
    Caught i == 5
    6
    7
    8
    9
    10
    

As the `break` and `continue` statements reduce the readability of the code, it is recommended to reduce their use or replace them with the use of `if` and `while` blocks. Some IDE refactoring operations will fail because of such statements.

Test your knowledge

**Question 3.2**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.2: Loops and conditions.**

  1.     int numberOfItems = 5;
    

  2.     int currentItems = 0;
    

  3.     int currentCandidate = 1;
    

  4.      
    

  5.     while (currentItems < numberOfItems) {
    

  6.       currentCandidate = currentCandidate + 1;
    

  7.       System.out.println("Test with integer: " + currentCandidate);
    

  8.      
    

  9.       boolean found = true;
    

  10.       for (int i = currentCandidate - 1; i > 1; i--) {
    

  11.      
    

  12.         // Test if i is a divisor of currentCandidate
    

  13.         if ((currentCandidate % i) == 0) {
    

  14.           System.out.println("Not matching...");
    

  15.           found = false;
    

  16.           break;
    

  17.         }
    

  18.      
    

  19.       }
    

  20.      
    

  21.       if (found) {
    

  22.         System.out.println("Matching!");
    

  23.         currentItems = currentItems + 1;
    

  24.       }
    

  25.     }
    

  26.      
    

  27.     System.out.println("Find the value: " + currentCandidate);
    

What will be printed in the standard output?

Answer

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Question 3.2**
    
    
    Test with integer: 2
    Matching!
    Test with integer: 3
    Matching!
    Test with integer: 4
    Not matching...
    Test with integer: 5
    Matching!
    Test with integer: 6
    Not matching...
    Test with integer: 7
    Matching!
    Test with integer: 8
    Not matching...
    Test with integer: 9
    Not matching...
    Test with integer: 10
    Not matching...
    Test with integer: 11
    Matching!
    Find the value: 11
    

The snippet is searching the 5th [prime number](http://en.wikipedia.org/wiki/Prime_number), that is to say: 11. It iterates on each positive integer from 2 (2, 3, 4, 5, 6, 7, 8, 9, 10, 11...), among them, it counts the prime numbers (2, 3, 5, 7, 11) and it stops at the 5th one.

So the snippet first iterates on each positive integer from 2 using the `while` loop:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.2.1: `while` loop.**

  1.     int numberOfItems = 5;
    

  2.     int currentItems = 0;
    

  3.     int currentCandidate = 1;
    

  4.      
    

  5.     while (currentItems < numberOfItems) {
    

  6.       currentCandidate = currentCandidate + 1;
    

  7.       System.out.println("Test with integer: " + currentCandidate);
    

  8.      
    

  9.       boolean found = true;
    

  10.       for (int i = currentCandidate - 1; i > 1; i--) {
    

  11.      
    

  12.         // Test if i is a divisor of currentCandidate
    

  13.         if ((currentCandidate % i) == 0) {
    

  14.           System.out.println("Not matching...");
    

  15.           found = false;
    

  16.           break;
    

  17.         }
    

  18.      
    

  19.       }
    

  20.      
    

  21.       if (found) {
    

  22.         System.out.println("Matching!");
    

  23.         currentItems = currentItems + 1;
    

  24.       }
    

  25.     }
    

  26.      
    

  27.     System.out.println("Find the value: " + currentCandidate);
    

For each iteration, the current number is either a prime number or not. If it is a prime number, the code at the left will be executed. If it is not a prime number, the code at the right will be executed.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.2.2: A prime number.**

  1.     int numberOfItems = 5;
    

  2.     int currentItems = 0;
    

  3.     int currentCandidate = 1;
    

  4.      
    

  5.     while (currentItems < numberOfItems) {
    

  6.       currentCandidate = currentCandidate + 1;
    

  7.       System.out.println("Test with integer: " + currentCandidate);
    

  8.      
    

  9.       boolean found = true;
    

  10.       for (int i = currentCandidate - 1; i > 1; i--) {
    

  11.      
    

  12.         // Test if i is a divisor of currentCandidate
    

  13.         if ((currentCandidate % i) == 0) {
    

  14.           System.out.println("Not matching...");
    

  15.           found = false;
    

  16.           break;
    

  17.         }
    

  18.      
    

  19.       }
    

  20.      
    

  21.       if (found) {
    

  22.         System.out.println("Matching!");
    

  23.         currentItems = currentItems + 1;
    

  24.       }
    

  25.     }
    

  26.      
    

  27.     System.out.println("Find the value: " + currentCandidate);
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.2.3: Not a prime number.**

  1.     int numberOfItems = 5;
    

  2.     int currentItems = 0;
    

  3.     int currentCandidate = 1;
    

  4.      
    

  5.     while (currentItems < numberOfItems) {
    

  6.       currentCandidate = currentCandidate + 1;
    

  7.       System.out.println("Test with integer: " + currentCandidate);
    

  8.      
    

  9.       boolean found = true;
    

  10.       for (int i = currentCandidate - 1; i > 1; i--) {
    

  11.      
    

  12.         // Test if i is a divisor of currentCandidate
    

  13.         if ((currentCandidate % i) == 0) {
    

  14.           System.out.println("Not matching...");
    

  15.           found = false;
    

  16.           break;
    

  17.         }
    

  18.      
    

  19.       }
    

  20.      
    

  21.       if (found) {
    

  22.         System.out.println("Matching!");
    

  23.         currentItems = currentItems + 1;
    

  24.       }
    

  25.     }
    

  26.      
    

  27.     System.out.println("Find the value: " + currentCandidate);
    

The prime numbers are counted using `currentItems`. When `currentItems` is equal to `numberOfItems` (5), the program go out of the `while` loop. `currentCandidate` contains the last number, that is to say the 5th prime number:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.2.4: End of the program.**

  1.     int numberOfItems = 5;
    

  2.     int currentItems = 0;
    

  3.     int currentCandidate = 1;
    

  4.      
    

  5.     while (currentItems < numberOfItems) {
    

  6.       currentCandidate = currentCandidate + 1;
    

  7.       System.out.println("Test with integer: " + currentCandidate);
    

  8.      
    

  9.       boolean found = true;
    

  10.       for (int i = currentCandidate - 1; i > 1; i--) {
    

  11.      
    

  12.         // Test if i is a divisor of currentCandidate
    

  13.         if ((currentCandidate % i) == 0) {
    

  14.           System.out.println("Not matching...");
    

  15.           found = false;
    

  16.           break;
    

  17.         }
    

  18.      
    

  19.       }
    

  20.      
    

  21.       if (found) {
    

  22.         System.out.println("Matching!");
    

  23.         currentItems = currentItems + 1;
    

  24.       }
    

  25.     }
    

  26.      
    

  27.     System.out.println("Find the value: " + currentCandidate);
    

## Labels

Labels can be used to give a name to a loop. The reason to do this is so we can break out of or continue with upper-level loops from a nested loop.

Here is how to label a loop:

_**label name**_:_**loop**_

To break out of or continue with a loop, use the `break` or `continue` keyword followed by the name of the loop.

For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.36: A double `for` loop.**

  1.     int i, j;
    

  2.     int[][] nums = {
    

  3.         {1, 2, 5},
    

  4.         {6, 9, 7},
    

  5.         {8, 3, 4}
    

  6.     };
    

  7.      
    

  8.     Outer:
    

  9.     for (i = 0; i < nums.length; i++) {
    

  10.         for (j = 0; j < nums[i].length; j++) {
    

  11.             if (nums[i][j] == 9) {
    

  12.                 System.out.println("Found number 9 at (" + i + ", " + j + ")");
    

  13.                 break Outer;
    

  14.             }
    

  15.         }
    

  16.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for code section 3.36**
    
    
    Found number 9 at (1, 1)
    

You needn't worry if you don't understand all the code, but look at how the label is used to break out of the outer loop from the inner loop. However, as such a code is hard to read and maintain, it is highly recommended not to use labels.

## Try... catch blocks

    _See also [Throwing and Catching Exceptions](http://en.wikibooks.org/wiki/Java_Programming/Throwing_and_Catching_Exceptions)._

The `[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)`-`[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` blocks are used to catch any exceptions or other throwable objects within the code.

Here's what `try-catch` blocks looks like:

try { 

    _**statement1.1**_
    _**statement1.2**_
    ...
    _**statement1.n**_

} catch (_**exception1**_) {

    _**statement2.1**_
    ...
    _**statement2.n**_

}

The [code listing 3.6](Print_version.html#code-listing-6) tries to print all the arguments that have been passed to the program. However, if there not enough arguments, it will throw an exception.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.6: Attempt.java**

  1.     public class Attempt {
    

  2.       public static void main(String[] args) {
    

  3.         try {
    

  4.           System.out.println(args[0]);
    

  5.           System.out.println(args[1]);
    

  6.           System.out.println(args[2]);
    

  7.           System.out.println(args[3]);
    

  8.         } catch (ArrayIndexOutOfBoundsException e) {
    

  9.           System.out.println("No enough arguments");
    

  10.         }
    

  11.       }
    

  12.     }
    

In addition to the try and catch blocks, a `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` block may be present. The finally block is always executed, even if an exception is thrown. It may appear with or without a catch block, but always with a try block.

Here is what a finally block looks like:

try { 

    _**statement1.1**_
    _**statement1.2**_
    ...
    _**statement1.n**_

} catch (_**exception1**_) {

    _**statement2.1**_
    ...
    _**statement2.n**_

} finally {

    _**statement3.1**_
    ...
    _**statement3.n**_

}

## Examples

The [code listing 3.7](Print_version.html#code-listing-7) recieve a number as parameter and print its binary representation.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.7: GetBinary.java**

  1.     public class GetBinary {
    

  2.         public static void main(String[] args) {
    

  3.             if (args.length == 0) {
    

  4.                 // Print usage
    

  5.                 System.out.println("Usage: java GetBinary <decimal integer>");
    

  6.                 System.exit(0);
    

  7.             } else {
    

  8.                 // Print arguments
    

  9.                 System.out.println("Received " + args.length + " arguments.");
    

  10.                 System.out.println("The arguments are:");
    

  11.                 for (String arg : args) {
    

  12.                     System.out.println("\t" + arg);
    

  13.                 }
    

  14.             }
    

  15.      
    

  16.             int number = 0;
    

  17.             String binary = "";
    

  18.      
    

  19.             // Get the input number
    

  20.             try {
    

  21.                 number = Integer.parseInt(args[0]);
    

  22.             } catch (NumberFormatException ex) {
    

  23.                 System.out.println("Error: argument must be a base-10 integer.");
    

  24.                 System.exit(0);
    

  25.             }
    

  26.      
    

  27.             // Convert to a binary string
    

  28.             do {
    

  29.                 switch (number % 2) {
    

  30.                     case 0: binary = '0' + binary; break;
    

  31.                     case 1: binary = '1' + binary; break;
    

  32.                 }
    

  33.                 number >>= 1;
    

  34.             } while (number > 0);
    

  35.      
    

  36.             System.out.println("The binary representation of " + args[0] + " is " + binary);
    

  37.         }
    

  38.     }
    

The [code listing 3.8](Print_version.html#code-listing-8) is a simulation of playing a game called Lucky Sevens. It is a dice game where the player rolls two dice. If the numbers on the dice add up to seven, he wins $4. If they do not, he loses $1. The game shows how to use control flow in a program as well as the fruitlessness of gambling.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.8: LuckySevens.java**

  1.     import java.util.*;
    

  2.      
    

  3.     public class LuckySevens {
    

  4.         public static void main(String[] args) {
    

  5.             Scanner in = new Scanner(System.in);
    

  6.             Random random = new Random();
    

  7.             String input;
    

  8.             int startingCash, cash, maxCash, rolls, roll;
    

  9.      
    

  10.             // Loop until "quit" is input
    

  11.             while (true) {
    

  12.                 System.out.print("Enter the amount of cash to start with (or \"quit\" to quit): ");
    

  13.      
    

  14.                 input = in.nextLine();
    

  15.      
    

  16.                 // Check if user wants to exit
    

  17.                 if (input.toLowerCase().equals("quit")) {
    

  18.                     System.out.println("\tGoodbye.");
    

  19.                     System.exit(0);
    

  20.                 }
    

  21.      
    

  22.                 // Get number
    

  23.                 try {
    

  24.                     startingCash = Integer.parseInt(input);
    

  25.                 } catch (NumberFormatException ex) {
    

  26.                     System.out.println("\tPlease enter a positive integer greater than 0.");
    

  27.                     continue;
    

  28.                 }
    

  29.      
    

  30.                 // You have to start with some money!
    

  31.                 if (startingCash <= 0) {
    

  32.                     System.out.println("\tPlease enter a positive integer greater than 0.");
    

  33.                     continue;
    

  34.                 }
    

  35.      
    

  36.                 cash = startingCash;
    

  37.                 maxCash = cash;
    

  38.                 rolls = 0;
    

  39.                 roll = 0;
    

  40.      
    

  41.                 // Here is the game loop
    

  42.                 for (; cash > 0; rolls++) {
    

  43.                    roll = random.nextInt(6) + 1;
    

  44.                    roll += random.nextInt(6) + 1;
    

  45.      
    

  46.                     if (roll == 7)
    

  47.                         cash += 4;
    

  48.                     else
    

  49.                         cash -= 1;
    

  50.      
    

  51.                     if (cash > maxCash)
    

  52.                         maxCash = cash;
    

  53.                 }
    

  54.      
    

  55.                 System.out.println("\tYou start with $" + startingCash + ".\n"
    

  56.                         + "\tYou peak at $" + maxCash + ".\n"
    

  57.           + "\tAfter " + rolls + " rolls, you run out of cash.");
    

  58.             }
    

  59.         }
    

  60.     }
    

  


  


# Boolean expressions

Boolean values are values that evaluate to either `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` or `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)`, and are represented by the `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` data type. Boolean expressions are very similar to mathematical expressions, but instead of using mathematical operators such as "+" or "-", you use comparative or boolean operators such as "==" or "!".

## Comparative operators

Java has several operators that can be used to compare variables. For example, how would you tell if one variable has a greater value than another? The answer: use the "greater-than" operator.

Here is a list of the comparative operators in Java:

  * `>` : Greater than
  * `<` : Less than
  * `>=` : Greater than or equal to
  * `<=` : Less than or equal to
  * `==` : Equal to
  * `!=` : Not equal to

To see how these operators are used, look at this example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.37: Comparisons.**

  1.     int a = 5, b = 3;
    

  2.     System.out.println(a > b); // Value is true because a is greater than b
    

  3.     System.out.println(a == b); // Value is false because a does not equal b
    

  4.     System.out.println(a != b); // Value is true because a does not equal b
    

  5.     System.out.println(b <= a); // Value is true because b is less than a
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.37**
    
    
    true
    false
    true
    true
    

Comparative operators can be used on any primitive types (except `boolean`), but only the "equals" and "does not equal" operators work on objects. This is because the less-than/greater-than operators cannot be applied to objects, but the equivalency operators can.

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
Specifically, the `==` and `!=` operators test whether both variables point to the same object. Objects will be covered later in the tutorial, in the "[Classes, Objects, and Types](http://en.wikibooks.org/wiki/Java_Programming/Classes,_Objects_and_Types)" module.

## Boolean operators

The Java boolean operators are based on the operations of the [boolean algebra](http://en.wikipedia.org/wiki/Boolean_algebra). The boolean operators operate directly on boolean values.

Here is a list of four common boolean operators in Java:

  * `!` : Boolean NOT
  * `&&` : Boolean AND
  * `||` : Boolean inclusive OR
  * `^` : Boolean exclusive OR

The boolean NOT operator ("!") inverts the value of a boolean expression. The boolean AND operator ("&&") will result in true if and only if the values on both sides of the operator are true. The boolean inclusive OR operator ("||") will result in true if either or both of the values on the sides of the operator is true. The boolean exclusive XOR operator ("^") will result in true if one and only of the values on the sides of the operator is true.

To show how these operators are used, here is an example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.38: Operands.**

  1.     boolean iMTrue = true;
    

  2.     boolean iMTrueToo = true;
    

  3.     boolean iMFalse = false;
    

  4.     boolean iMFalseToo = false;
    

  5.      
    

  6.     System.out.println("NOT operand:");
    

  7.     System.out.println(!iMTrue);
    

  8.     System.out.println(!iMFalse);
    

  9.     System.out.println(!(4 < 5));
    

  10.     System.out.println("AND operand:");
    

  11.     System.out.println(iMTrue && iMTrueToo);
    

  12.     System.out.println(iMFalse && iMFalseToo);
    

  13.     System.out.println(iMTrue && iMFalse);
    

  14.     System.out.println(iMTrue && !iMFalse);
    

  15.     System.out.println("OR operand:");
    

  16.     System.out.println(iMTrue || iMTrueToo);
    

  17.     System.out.println(iMFalse || iMFalseToo);
    

  18.     System.out.println(iMTrue || iMFalse);
    

  19.     System.out.println(iMFalse || !iMTrue);
    

  20.     System.out.println("XOR operand:");
    

  21.     System.out.println(iMTrue ^ iMTrueToo);
    

  22.     System.out.println(iMFalse ^ iMFalseToo);
    

  23.     System.out.println(iMTrue ^ iMFalse);
    

  24.     System.out.println(iMFalse ^ !iMTrue);
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.38**
    
    
    NOT operand:
    false
    true
    false
    AND operand:
    true
    false
    false
    true
    OR operand:
    true
    false
    true
    false
    XOR operand:
    false
    false
    true
    false
    

Here are the truth tables for the boolean operators:

a !a

true
false

false
true

a b a && b a || b a ^ b

true
true
true
true
false

true
false
false
true
true

false
true
false
true
true

false
false
false
false
false

    _For help on simplifying complex logic, see [De Morgan's laws](http://en.wikipedia.org/wiki/De_Morgan%27s_laws)._

In Java, boolean logic has a useful property called _short circuiting_. This means that expressions will only be evaluated as far as necessary. In the expression `(a && b)`, if a is false, then b will not be evaluated because the expression will be false no matter what. Here is an example that shows that the second expression is not automatically checked:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.39: Short circuiting.**

  1.     System.out.println((4 < 5) || ((10 / 0) == 2));
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code section 3.39**
    
    
    true
    

To disable this property, you can use `&` instead of `&&` and `|` instead of `||` but it's not recommended.

    _For the bitwise operations on `&` and `|`, see [Arithmetic expressions](http://en.wikibooks.org/wiki/Java_Programming/Basic_arithmetic#Using_bitwise_operators_within_Java)._

  


  


# Variables

In the Java programming language, the words **field** and **variable** are both one and the same thing. Variables are devices that are used to store data, such as a number, or a string of character data.

## Variables in Java programming

Java is considered as a **strongly typed** programming language. Thus all variables in the Java programming language ought to have a particular **data type**. This is either declared or inferred and the Java language only allows programs to run if they adhere to type constraints.

If you present a numeric type with data that is not numeric, say textual content, then such declarations would violate Java’s type system. This gives Java the unique ability of **type safety**. Java checks if an expression or data is encountered with an incorrect type or none at all. It then automatically flags this occurrence as an error at compile time. Most type-related errors are caught by the Java compiler, hence making a program more secure and safe once compiled completely and successfully. Some languages (such as C) define an interpretation of such a statement and use that interpretation without any warning; others (such as PL/I) define a conversion for almost all such statements and perform the conversion to complete the assignment. Some type errors can still occur at runtime because Java supports a cast operation which is a way of changing the type of one expression to another. However, Java performs run time type checking when doing such casts, so an incorrect type cast will cause a runtime exception rather than succeeding silently and allowing data corruption.

On the other hand, Java is also known as a **hybrid language**. While supporting [object oriented programming](http://en.wikibooks.org/wiki/Object_Oriented_Programming) (OOP), Java is not a pure OO language like [Smalltalk](http://en.wikibooks.org/wiki/Programming:Smalltalk) or [Ruby](http://en.wikibooks.org/wiki/Ruby_Programming). Instead, Java offers both object types and [primitive types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types). Primitive types are used for boolean, character, and numeric values and operations. This allows relatively good performance when manipulating numeric data, at the expense of flexibility. For example, you cannot subclass the primitive types and add new operations to them.

## Kinds of variables

In the Java programming language, there are four kinds of variables.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.9: ClassWithVariables.java**

  1.     public class ClassWithVariables {
    

  2.         public int id = 0;
    

  3.         public static boolean isClassUsed;
    

  4.      
    

  5.         public void processData(String parameter) {
    

  6.           Object currentValue = null;
    

  7.         }
    

  8.     }
    

In the [code listing 3.9](Print_version.html#code-listing-9), are examples of all four kinds of variables.

  * **Instance variables**: These are variables that are used to store the state of an object (for example, `id`). Every object created from a class definition would have its own copy of the variable. It is valid for and occupies storage for as long as the corresponding object is in memory.
  * **Class variables**: These variables are explicitly defined within the class-level scope with a `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` modifier (for example, `isClassUsed`). No other variables can have a `static` modifier attached to them. Because these variables are defined with the `static` modifier, there would always be a single copy of these variables no matter how many times the class has been instantiated. They live as long as the class is loaded in memory.
  * **Parameters** or **Arguments**: These are variables passed into a method signature (for example, `parameter`). Recall the usage of the `args` variable in the main method. They are not attached to modifiers (i.e. `public`, `private`, `protected` or `static`) and they can be used everywhere in the method. They are in memory during the execution of the method and can't be used after the method returns.
  * **Local variables**: These variables are defined and used specifically within the method-level scope (for example, `currentValue`) but not in the method signature. They do not have any modifiers attached to it. They no longer exist after the method has returned.

Test your knowledge

**Question 3.5**: Consider the following code:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 3.5: SomeClass.java**

  1.     public class SomeClass {
    

  2.       public static int c = 1;
    

  3.       public int a = c;
    

  4.       private int b;
    

  5.      
    

  6.       public void someMethod(int d) {
    

  7.         d = c;
    

  8.         int e;
    

  9.       }
    

  10.     }
    

In the example above, we created five variables: `a`, `b`, `c`, `d` and `e`. All these variables have the same data type `int` (integer). However, can you tell what kind of variable each one is?

Answer

  * `a` and `b` are **instance variables**;
  * `c` is a **class variable**;
  * `d` is a **parameter** or **argument**; and,
  * `e` is a **local variable**.

## Creating variables

![](../../../upload.wikimedia.org/wikipedia/commons/9/93/Java_Numeric_Types_Memory.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

A graphical representation of computer memory

Variables and all the information they store are kept in the computer's memory for access. Think of a computer's memory as a table of data — where each cell corresponds to a variable.

Upon creating a variable, we basically create a new address space and give it a unique name. Java goes one step further and lets you define what you can place within the variable — in Java parlance you call this a _data type_. So, you essentially have to do two things in order to create a variable:

  * Create a variable by giving it a unique name; and,
  * Define a data type for the variable.

The following code demonstrates how a simple variable can be created. This process is known as _variable declaration_.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.40: A simple variable declaration.**

  1.     int a;
    

## Assigning values to variables

Because we have provided a data type for the variable, we have a hint as to what the variable can and cannot hold. We know that `int` (integer) data type supports numbers that are either positive or negative integers. Therefore once a variable is created, we can provide it with any integer value using the following syntax. This process is called an _assignment operation_.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.41: Variable declaration and assignment operation (on different lines).**

  1.     int a;
    

  2.     a = 10;
    

Java provides programmers with a simpler way of combining both variable declaration and assignment operation in one line. Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.42: Variable declaration and assignment operation (on the same line).**

  1.     int a = 10;
    

## Grouping variable declarations and assignment operations

Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.43: Ungrouped declarations.**

  1.     int a;
    

  2.     int b;
    

  3.     String c;
    

  4.     a = 10;
    

  5.     b = 20;
    

  6.     c = "some text";
    

There are various ways by which you can streamline the writing of this code. You can group the declarations of similar data types in one statement, for instance:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.44: Grouped declarations.**

  1.     int a, b;
    

  2.     String c;
    

  3.     a = 10;
    

  4.     b = 20;
    

  5.     c = "some text";
    

Alternatively, you can further reduce the syntax by doing group declarations and assignments together, as such:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.45: Grouped declarations and assignments.**

  1.     int a = 10, b = 20;
    

  2.     String c = "some text";
    

## Identifiers

Although [memory spaces](http://en.wikipedia.org/wiki/Address_space) have their own addresses — usually a hash number such as `0xCAD3`, etc. — it is much easier to remember a variable's location in the memory if we can give it a recognizable name. **Identifiers** are the names we give to our variables. You can name your variable anything like `aVariable`, `someVariable`, `age`, `someonesImportantData`, etcetera. But notice: none of the names we described here has a space within it. Hence, it is pretty obvious that spaces aren't allowed in variable names. In fact, there are a lot of other things that are not allowed in variable names. The things that _are_ allowed are:

  * Characters `A` to `Z` and their lower-case counterparts `a` to `z`.
  * Numbers `0` to `9`. However, numbers should not come at the beginning of a variable's name.
  * And finally, special characters that include only `$` (dollar sign) and `_` (underscore).

Test your knowledge

**Question 3.6**: Which of the ones below are proper variable identifiers?

  1. `f_name`
  2. `lastname`
  3. `someones name`
  4. `$SomeoneElsesName`
  5. `7days`
  6. `TheAnswerIs42`

Answer

I can tell you that 3 and 5 are not the right way to do things around here, the rest are proper identifiers.

Any valid variable names might be correct but they are not always what you should be naming your variables for a few reasons as listed below:

  * The name of the variable should reflect the value within them.
  * The identifier should be named following the naming guidelines or conventions for doing so. We will explain that in a bit.
  * The identifier shouldn't be a nonsense name like `lname`, you should always name it properly: `lastName` is the best way of naming a variable.

## Naming conventions for identifiers

When naming identifiers, you need to use the following guidelines which ensure that your variables are named accurately. As we discussed earlier, we should always name our variables in a way that tells us what they hold. Consider this example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.46: Unknown process.**

  1.     int a = 24;
    

  2.     int b = 365;
    

  3.     int c = a * b;
    

Do you know what this program does? Well, it multiplies two values. That much you guessed right. But, do you know what those values are? Exactly, you don't. Now consider this code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.47: Time conversion.**

  1.     int age = 24;
    

  2.     int daysInYear = 365;
    

  3.     int ageInDays = age * daysInYear;
    

Now you can tell what's happening, can't you? However, before we continue, notice the _case_ of the variables. If a word contains CAPITAL LETTERS, it is in **UPPER CASE**. If a word has small letters, it is in **lower case**. Both cases in a word renders it as **mIxEd CaSe**.

The variables we studied so far had a mixed case. When there are two or more words making up the names of a variable, you need to use a special case called the _camel-case_. Just like the humps of a camel, your words need to stand out. Using this technique, the words `first` and `name` could be written as either `firstName` or `FirstName`.

The first instance, `firstName` is what we use as the names of variables. Remember though, `firstName` is not the same as `FirstName` because Java is **case-sensitive**. Case-sensitive basically implies that the case in which you wrote one word is the case you have to call that word in when using them later on. Anything other than that is not the same as you intended. You'll know more as you progress. You can hopefully tell now why the variables you were asked to identify weren't proper.

## Literals (values)

Now that we know how variables should be named, let us look at the values of those variables. Simple values like numbers are called _literals_. This section shows you what literals are and how to use them. Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.48: Literals.**

  1.     int age = 24;
    

  2.     long bankBalance = 20000005L;
    

By now, we've only seen how numbers work in assignment statements. Let's look at data types other than numbers. Characters are basically letters of the English alphabet. When writing a single character, we use single quotes to encapsulate them. Take a look at the code below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.49: Character.**

  1.     char c = 'a';
    

Why, you ask? Well, the explanation is simple. If written without quotes, the system would think it's a variable identifier. That's the very distinction you have to make when differentiating between variables and their literal values. Character data types are a bit unusual. First, they can only hold a single character. What if you had to store a complete name within them, say _John_, would you write something like:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.50: Character list.**

  1.     char firstChar = 'J';
    

  2.     char secondChar = 'o';
    

  3.     char thirdChar = 'h';
    

  4.     char fourthChar = 'n';
    

Now, that's pathetic. Thankfully, there's a data type that handles large number of characters, it's called a `String`. A string can be initialized as follows:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.51: String.**

  1.     String name = "John";
    

Notice, the use of double quotation marks instead of single quotation marks. That's the only thing you need to worry about.

  


  


# Primitive Types

Primitive types are the most basic data types available within the Java language; these include `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`, `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`, `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`, `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`, `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`, `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)` and `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`. These types serve as the building blocks of data manipulation in Java. Such types serve only one purpose — containing pure, simple values of a kind. Because these data types are defined into the Java type system by default, they come with a number of operations predefined. You can not define a new operation for such primitive types. In the Java type system, there are three further categories of primitives:

  * Numeric primitives: `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`, `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`, `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)` and `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`. These primitive data types hold only numeric data. Operations associated with such data types are those of [simple arithmetic](http://en.wikibooks.org/wiki/Java_Programming/Basic_arithmetic) (addition, subtraction, etc.) or of [comparisons](http://en.wikibooks.org/wiki/Java_Programming/Boolean_expressions) (is greater than, is equal to, etc.)
  * Textual primitives: `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` and `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`. These primitive data types hold characters (which can be [Unicode](http://en.wikibooks.org/wiki/Unicode) alphabets or even numbers). Operations associated with such types are those of textual manipulation (comparing two words, joining characters to make words, etc.). However, `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` and `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` can also support arithmetic operations.
  * Boolean and null primitives: `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` and `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)`.

All the primitive types have a fixed size. Thus, the primitive types are limited to a range of values. A smaller primitive type (`[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`) can contain less values than a bigger one (`[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`).

Category Types Size (bits) Minimum Value Maximum Value Example

Integer
`[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`
8
-128
127
`byte b = 65;`

`[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`
16
0
216-1
`char c = 'A';  
char c = 65;`

`[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`
16
-215
215-1
`short s = 65;`

`[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`
32
-231
231-1
`int i = 65;`

`[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`
64
-263
263-1
`long l = 65L;`

Floating-point
`[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`
32
2-149
(2-2-23)·2127
`float f = 65f;`

`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`
64
2-1074
(2-2-52)·21023
`double d = 65.55;`

Other
`[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`
1
\--
\--
`boolean b = true;`

`[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)`
\--
\--
\--
\--

Integer primitive types silently overflow:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.52: Several operators.**

  1.     int i = Integer.MAX_VALUE;
    

  2.     System.out.println(i);
    

  3.     i = i + 1;
    

  4.     System.out.println(i);
    

  5.     System.out.println(Integer.MIN_VALUE);
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code section 3.52**
    
    
    2147483647
    -2147483648
    -2147483648
    

As Java is strongly typed, you can't assign a floating point number (a number with a decimal point) to an integer variable:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 3.53: Setting a floating point number as a value to an `int` (integer) type.**

  1.     int age;
    

  2.     age = 10.5;
    

A primitive type should be set by an appropriate value. The primitive types can be initialized with a literal. Most of the literals are primitive type values, except [String Literals](http://en.wikibooks.org/wiki/Java_Programming/Literals/String_Literals), which are instance of the `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` class.

## Numbers in computer science

Programming may not be as trivial or boring as just crunching huge numbers any more. However, huge chunks of code written in any programming language today, let alone Java, obsessively deal with numbers. Be it churning out huge prime numbers,[[1]](Print_version.html#cite_note-note-1-19) or just calculating a cost of emission from your scooter. In 1965, [Gemini V](http://en.wikipedia.org/wiki/Gemini_5) space mission escaped a near-fatal accident because of a programming error.[[2]](Print_version.html#cite_note-note-2-20) And again in 1979, a computer program calculated the ability of five nuclear reactors to withstand earthquakes as overestimated; this caused the plants had to be shut down temporarily.[[3]](Print_version.html#cite_note-note-3-21) There is one thing common to both these programming errors: the subject data, being computed at the time the errors occurred, was numeric. Out of past experience, Java came bundled with revised type checking for numeric data and puts lots of emphasis on correctly identifying different types of numeric data. So you must recognise the importance of numeric data when it comes to programming.

Numbers are stored in memory using a binary system. The memory is like a grid of cells:

   
   
   
   
   
   
   
   

Each cell can contain a _binary digit_ (shortened to _bit_), that is to say, zero or one:

 `0` 
 `1` 
 `1` 
 `0` 
 `0` 
 `1` 
 `0` 
 `1` 

Actually, each cell **does** contain a binary digit, as one bit is roughly equivalent to `1` and an empty cell in the memory signifies `0`. A single binary digit can only hold two possible values: a zero or a one.

_Memory state_
_Value_

   
   
   
   
   
   
   
 `0` 
0

   
   
   
   
   
   
   
 `1` 
1

Multiple bits held together can hold multiple permutations — 2 bits can hold 4 possible values, 3 can hold 8, and so on. For instance, the maximum number 8 bits can hold (`11111111` in binary) is `255` in the decimal system. So, the numbers from 0 to 255 can fit within 8 bits.

_Memory state_
_Value_

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
0

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
1

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `0` 
2

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `1` 
3

  
...  

...

 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
255

It is all good, but this way, we can only host positive numbers (or unsigned integers). They are called _unsigned integers_. Unsigned integers are whole number values that are all positive and do not attribute to negative values. For this very reason, we would ask one of the 8 bits to hold information about the sign of the number (positive or negative). This leaves us with just 7 bits to actually count out a number. The maximum number that these 7 bits can hold (`1111111`) is `127` in the decimal system.

_Positive numbers_
_Negative numbers_

_Memory state_
_Value_

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
0

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
1

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `0` 
2

 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `1` 
3

  
...  

  
...  

...

 `0` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
127

_Memory state_
_Value_

 `1` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
-128

 `1` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
-127

 `1` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `0` 
-126

 `1` 
 `0` 
 `0` 
 `0` 
 `0` 
 `0` 
 `1` 
 `1` 
-125

  
...  

  
...  

...

 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
 `1` 
-1

Altogether, using this method, 8 bits can hold numbers ranging from `-128` to `127` (including zero) — a total of 256 numbers. Not a bad pay-off one might presume. The opposite to an unsigned integer is a _signed integer_ that have the capability of holding both positive and negative values.

But, what about larger numbers. You would need significantly more bits to hold larger numbers. That's where Java's numeric types come into play. Java has multiple numeric types — their size dependant on the number of bits that are at play.

In Java, numbers are dealt with using data types specially formulated to host numeric data. But before we dive into these types, we must first set some concepts in stone. Just like you did in high school (or even primary school), numbers in Java are placed in clearly distinct groups and systems. As you'd already know by now, number systems includes groups like the _integer_ numbers (0, 1, 2 ... ∞); _negative integers_ (0, -1, -2 ... -∞) or even _real_ and _rational_ numbers ([value of Pi](http://en.wikipedia.org/wiki/Pi), ¾, 0.333~, etcetera). Java simply tends to place these numbers in two distinct groups, **integers** (-∞ ... 0 ... ∞) and **floating point** numbers (any number with decimal points or fractional representation). For the moment, we would only look into integer values as they are easier to understand and work with.

## Integer types in Java

With what we have learned so far, we will identify the different types of signed integer values that can be created and manipulated in Java. Following is a table of the most basic numeric types: integers. As we have discussed earlier, the data types in Java for integers caters to both positive and negative values and hence are **signed numeric types**. The size in bits for a numeric type determines what its minimum and maximum value would be. If in doubt, one can always calculate these values.

Lets see how this new found knowledge of the basic integer types in Java fits into the picture. Say, you want to numerically manipulate the days in a year — all 365 days. What type would you use? Since the data type `byte` only goes up to 127, would you risk giving it a value greater than its allowed maximum. Such decisions might save you from dreaded errors that might occur out of the programmed code. A much more sensible choice for such a numeric operation might be a `short`. Oh, why couldn't they make just one data type to hold all kinds of numbers? Wouldn't you ask that question? Well, let's explore why.

When you tell a program you need to use an integer, say even a `byte`, the Java program allocates a space in the memory. It allocates whole 8 bits of memory. Where it wouldn't seem to matter for today's memory modules that have place for almost a dozen trillion such bits, it matters in other cases. Once allocated that part of the memory gets used and can only be claimed back after the operation is finished. Consider a complicated Java program where the only data type you'd be using would be `long` integers. What happens when there's no space for more memory allocation jobs? Ever heard of the [Stack Overflow errors](http://en.wikipedia.org/wiki/Stack_overflow). That's exactly what happens — your memory gets completely used up and fast. So, choose your data types with extreme caution.

Enough talk, let's see how you can create a numeric type. A numeric type begins with the type's name (`short`, `int`, etc.) and then provides with a name for the allocated space in the memory. Following is how it's done. Say, we need to create a variable to hold the number of days in a year.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.54: Days in a year.**

  1.     short daysInYear = 365;
    

Here, `daysInYear` is the name of the variable that holds `365` as it's value, while `short` is the data type for that particular value. Other uses of integer data types in Java might see you write code such as this given below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.55: Integer data types in Java.**

  1.     byte maxByte = 127;
    

  2.     short maxShort = 32767;
    

  3.     int maxInt = 2147483647;
    

  4.     long maxLong = 9223372036854775807;
    

## Integer numbers and floating point numbers

The data types that one can use for integer numbers are `byte`, `short`, `int` and `long` but when it comes to floating point numbers, we use `float` or `double`. Now that we know that, we can modify the code in the [code section 3.53](Print_version.html#code-section-53) as:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.56: Correct floating point declaration and assignment.**

  1.     double age = 10.5;
    

Why not `float`, you say? If we'd used a `float`, we would have to append the number with a `f` as a suffix, so `10.5` should be `10.5f` as in:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.57: The correct way to define floating point numbers of type `float`.**

  1.     float age = 10.5f;
    

Floating-point math never throws exceptions. Dividing a non-zero value by `0` equals `infinity`. Dividing a non-infinite value by `infinity` equals `0`.

Test your knowledge

**Question 3.7**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.7: Primitive type assignments.**

  5.     ...
    

  6.      
    

  7.     a = false;
    

  8.     b = 3.2;
    

  9.     c = 35;
    

  10.     d = -93485L;
    

  11.     e = 'q';
    

These are five variables. There are a `long`, a `byte`, a `char`, a `double` and a `boolean`. Retrieve the type of each one.

Answer

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.7: Primitive type assignments and declarations.**

  1.     boolean a;
    

  2.     double b;
    

  3.     byte c;
    

  4.     long d;
    

  5.     char e;
    

  6.      
    

  7.     a = false;
    

  8.     b = 3.2;
    

  9.     c = 35;
    

  10.     d = -93485L;
    

  11.     e = 'q';
    

  * `a` can only be the `boolean` because only a boolean can handle boolean values.
  * `e` can only be the `char` because only a char can contain a character.
  * `b` can only be the `double` because only a double can contain a decimal number here.
  * `d` is the `long` because a `byte` can not contain such a low value.
  * `c` is the remaining one so it is the `byte`.

## Data conversion (casting)

Data conversion (casting) can happen between two primitive types. There are two kinds of casting:

  * Implicit: casting operation is not required; the magnitude of the numeric value is always preserved. However, _precision_ may be lost when converting from integer to floating point types
  * Explicit: casting operation required; the magnitude of the numeric value may not be preserved

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.58: Implicit casting (int is converted to long,** casting **is not needed).**

  1.     int  i = 65;
    

  2.     long l = i;
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.59: Explicit casting (long is converted to int,** casting **is needed).**

  1.     long l = 656666L;
    

  2.     int  i = (int) l;
    

The following table shows the conversions between primitive types, it shows the casting operation for explicit conversions:

from `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` from `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` from `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)` from `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` from `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)` from `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)` from `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` from `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`

to `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`
-
(byte)
(byte)
(byte)
(byte)
(byte)
(byte)
N/A

to `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`
-
(char)
(char)
(char)
(char)
(char)
N/A

to `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`
(short)
-
(short)
(short)
(short)
(short)
N/A

to `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`
-
(int)
(int)
(int)
N/A

to `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`
-
(long)
(long)
N/A

to `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`
-
(float)
N/A

to `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`
-
N/A

to `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`
N/A
N/A
N/A
N/A
N/A
N/A
N/A
-

Unlike C, C++ and similar languages, Java can't represent `false` as `0` or `null` and can't represent `true` as non-zero. Java can't cast from boolean to a non-boolean primitive data type, or vice versa.

## Notes

  1. [↑](Print_version.html#cite_ref-note-1_19-0) As of edit (11 December 2013), the [Great Internet Mersenne Prime Search](http://en.wikipedia.org/wiki/Great_Internet_Mersenne_Prime_Search) project has so far identified the largest prime number as being 17,425,170 digits long. Prime numbers are valuable to cryptologists as the bigger the number, the securer they can make their data encryption logic using that particular number.
  2. [↑](Print_version.html#cite_ref-note-2_20-0) Gemini 5 landed 130 kilometers short of its planned Pacific Ocean landing point due to a software error. The Earth's rotation rate had been programmed as one revolution per [solar day](http://en.wikipedia.org/wiki/solar_time) instead of the correct value, one revolution per [sidereal day](http://en.wikipedia.org/wiki/sidereal_time).
  3. [↑](Print_version.html#cite_ref-note-3_21-0) A program used in their design used an arithmetic sum of variables when it should have used the sum of their absolute values. (Evars Witt, "_The Little Computer and the Big Problem_", AP Newswire, 16 March 1979. See also Peter Neumann, "_An Editorial on Software Correctness and the Social Process_" Software Engineering Notes, Volume 4(2), April 1979, page 3)

  


  


# Arithmetic expressions

In order to do arithmetic in Java, one must first declare at least one variable. Typically one declares a variable and assigns it a value before any arithmetic is done. Here's an example of declaring an integer variable:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.59: Variable assignation.**

  1.     int x = 5;
    

After creating a variable, one can manipulate its value by using Java's operators: `+` (addition), `-` (subtraction), `*` (multiplication), `/` (integer division), `%` ([modulo or remainder](http://en.wikipedia.org/wiki/Modulo_operation)), `++` (pre- & postincrement by one), `\--` (pre- & postdecrement by one).

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.10: Operators.java**

  1.     public class Operators {
    

  2.       public static void main(String[] args) {
    

  3.         int x = 5;
    

  4.         System.out.println("x = " + x);
    

  5.         System.out.println();
    

  6.      
    

  7.         System.out.println("--- Addition             ---");
    

  8.         x = 5;
    

  9.         System.out.println("x + 2 = " + (x + 2));
    

  10.         System.out.println("x = " + x);
    

  11.         System.out.println();
    

  12.      
    

  13.         System.out.println("--- Subtraction          ---");
    

  14.         x = 5;
    

  15.         System.out.println("x - 4 = " + (x - 4));
    

  16.         System.out.println("x = " + x);
    

  17.         System.out.println();
    

  18.      
    

  19.         System.out.println("--- Multiplication       ---");
    

  20.         x = 5;
    

  21.         System.out.println("x * 3 = " + (x * 3));
    

  22.         System.out.println("x = " + x);
    

  23.         System.out.println();
    

  24.      
    

  25.         System.out.println("--- (Integer) Division   ---");
    

  26.         x = 5;
    

  27.         System.out.println("x / 2 = " + (x / 2));
    

  28.         System.out.println("x = " + x);
    

  29.         System.out.println();
    

  30.      
    

  31.         System.out.println("--- Modulo (Remainder)   ---");
    

  32.         x = 5;
    

  33.         System.out.println("x % 2 = " + (x % 2));
    

  34.         System.out.println("x = " + x);
    

  35.         System.out.println();
    

  36.      
    

  37.         System.out.println("--- Preincrement by one  ---");
    

  38.         x = 5;
    

  39.         System.out.println("++x   = " + (++x  ));
    

  40.         System.out.println("x = " + x);
    

  41.         System.out.println();
    

  42.      
    

  43.         System.out.println("--- Predecrement by one  ---");
    

  44.         x = 5;
    

  45.         System.out.println("--x   = " + (--x  ));
    

  46.         System.out.println("x = " + x);
    

  47.         System.out.println();
    

  48.      
    

  49.         System.out.println("--- Postincrement by one ---");
    

  50.         x = 5;
    

  51.         System.out.println("x++   = " + (x++  ));
    

  52.         System.out.println("x = " + x);
    

  53.         System.out.println();
    

  54.      
    

  55.         System.out.println("--- Postdecrement by one ---");
    

  56.         x = 5;
    

  57.         System.out.println("x--   = " + (x--  ));
    

  58.         System.out.println("x = " + x);
    

  59.         System.out.println();
    

  60.       }
    

  61.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code listing 3.10**
    
    
    x = 5
    
    --- Addition             ---
    x + 2 = 7
    x = 5
    
    --- Subtraction          ---
    x - 4 = 1
    x = 5
    
    --- Multiplication       ---
    x * 3 = 15
    x = 5
    
    --- (Integer) Division   ---
    x / 2 = 2
    x = 5
    
    --- Modulo (Remainder)   ---
    x % 2 = 1
    x = 5
    
    --- Preincrement by one  ---
    ++x   = 6
    x = 6
    
    --- Predecrement by one  ---
    --x   = 4
    x = 4
    
    --- Postincrement by one ---
    x++   = 5
    x = 6
    
    --- Postdecrement by one ---
    x--   = 5
    x = 4
    

The division operator rounds towards zero: `5/2` is 2, and `-5/2` is -2. The remainder operator has the same sign as the left operand; it is defined such that `((a/b)*b) + (a%b)` is always equal to a. The preincrement, predecrement, postincrement, and postdecrement operators are special: they also change the value of the variable, by adding or subtracting one. The only difference is that preincrement/decrement returns the new value of the variable; postincrement returns the original value of the variable.

Test your knowledge

**Question 3.8**: Consider the following code:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 3.8: Question8.java**

  1.     public class Question8 {
    

  2.       public static void main(String[] args) {
    

  3.         int x = 10;
    

  4.         x = x + 10;
    

  5.         x = 2 * x;
    

  6.         x = x - 19;
    

  7.         x = x / 3;
    

  8.         System.out.println(x);
    

  9.       }
    

  10.     }
    

What will be printed in the standard output?

Answer

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Question 3.8**
    
    
    7
    

`int x = 10;` => 10  
`x = x + 10;` => 20  
`x = 2 * x;` => 40  
`x = x - 19;` => 21  
`x = x / 3;` => 7  


When using several operators in the same expression, one must consider Java's order of precedence. Java uses the standard PEMDAS (Parenthesis, Exponents, Multiplication and Division, Addition and Subtraction) order. When there are multiple instances of the same precedence, Java reads from left to right. Consider what the output of the following code would be:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.60: Several operators.**

  1.     System.out.println(10*5 + 100/10 - 5 + 7%2);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 3.60**
    
    
    56
    

The following chart shows how Java would compute this expression:

  


**Figure 3.1:** Computation of an arithmetic expression in the Java programming language

![Java Computation of Arithmetic Expression.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Java_Computation_of_Arithmetic_Expression.svg/204px-Java_Computation_of_Arithmetic_Expression.svg.png)

  
Besides performing mathematical functions, there are also operators to assign numbers to variables (each example again uses the variable initialized as `x = 5`):

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.11: Assignments.java**

  1.     public class Assignments {
    

  2.       public static void main(String[] args) {
    

  3.         int x = 5;
    

  4.         x = 3;
    

  5.         System.out.println("Assignment                                       (x = 3) : " + x);
    

  6.      
    

  7.         x = 5;
    

  8.         x += 5;
    

  9.         System.out.println("Assign x plus another integer to itself          (x += 5): " + x);
    

  10.      
    

  11.         x = 5;
    

  12.         x -= 4;
    

  13.         System.out.println("Assign x minus another integer to itself         (x -= 4): " + x);
    

  14.      
    

  15.         x = 5;
    

  16.         x *= 6;
    

  17.         System.out.println("Assign x multiplied by another integer to itself (x *= 6): " + x);
    

  18.      
    

  19.         x = 5;
    

  20.         x /= 5;
    

  21.         System.out.println("Assign x divided by another integer to itself    (x /= 5): " + x);
    

  22.       }
    

  23.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code listing 3.11**
    
    
    Assignment                                       (x = 3) : 3
    Assign x plus another integer to itself          (x += 5): 10
    Assign x minus another integer to itself         (x -= 4): 1
    Assign x multiplied by another integer to itself (x *= 6): 30
    Assign x divided by another integer to itself    (x /= 5): 1
    

## Using bitwise operators within Java

Java has besides arithmetic operators a set of bit operators to manipulate the bits in a number, and a set of logical operators. The bitwise logical operators are

Operator Function Value of  
x before Example  
input Example  
output Value of  
x after

`&`
Bitwise AND
7
`x&27`
3
7

`|`
Bitwise OR
7
`x|27`
31
7

`^`
Bitwise XOR
7
`x^27`
28
7

`~`
Bitwise inversion
7
`~x`
-8
7

Besides these logical bitwise functions, there are also operators to assign numbers to variables (`x = -5`):

Operator Function Example  
input Example output

`&=`
Assign `x` bitwisely ANDed with another value to itself
`x &= 3`
3

`|=`
Assign `x` bitwisely ORed with another value to itself
`x` |`= 3`
-5

`^=`
Assign `x` bitwisely XORed with another value to itself
`x ^= 3`
-8

`<<=`
Assign `x` divided by another integer to itself
`x <<= 1`
-10

`>>=`
Assign `x` bitwisely negated with another value to itself
`x >>= 1`
-3

`>>>=`
Assign `x` bitwisely negated with another value to itself
`x >>>= 1`
2,305,843,009,213,693,949 (64 bit)

The shift operators are used to shift the bits to the left or right, which is also a quick way to multiply/divide by two:

Operator Function Value of  
x before Example  
input Example output Value of  
x after

`<<`
Logical shift left
-15
`x << 2`
-60
-15

`>>`
Arithmetic shift right
-15
`x >> 3`
-2
-15

`>>>`
Logical shift right
-15
`x >>> 3`
2,305,843,009,213,693,937 (64 bit)
-15

  


  


# Literals

Java **Literals** are syntactic representations of boolean, character, numeric, or string data. Literals provide a means of expressing specific values in your program. For example, in the following statement, an integer variable named `count` is declared and assigned an integer value. The literal `**0**` represents, naturally enough, the value zero.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.61: Numeric literal.**

  1.     int count = 0;
    

The [code section 3.62](Print_version.html#code-section-62) contains two number literals, followed by two boolean literals at line 1, one string literal, followed by one number literal at line 2 and one string literal, followed by one real number literal at line 3:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.62: Literals.**

  1.     (2 > 3) ? true : false;
    

  2.     "text".substring(2);
    

  3.     System.out.println("Display a hard coded float: " + 37.19f);
    

## Boolean Literals

There are two boolean literals

  * `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` represents a true boolean value
  * `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)` represents a false boolean value

There are no other boolean literals, because there are no other boolean values!

## Numeric Literals

There are three types of numeric literals in Java.

### Integer Literals

In Java, you may enter integer numbers in several formats:

  1. As decimal numbers such as `1995`, `51966`. Negative decimal numbers such as `-42` are actually _expressions_ consisting of the integer literal with the unary negation operation `-`.
  2. As octal numbers, using a leading `0` (zero) digit and one or more additional octal digits (digits between `0` and `7`), such as `077`. Octal numbers may evaluate to negative numbers; for example `037777777770` is actually the decimal value -8.
  3. As hexadecimal numbers, using the form `0x` (or `0X`) followed by one or more hexadecimal digits (digits from `0` to `9`, `a` to `f` or `A` to `F`). For example, 0xCAFEBABEL is the long integer 3405691582. Like octal numbers, hexadecimal literals may represent negative numbers.
  4. Starting in J2SE 7.0, as binary numbers, using the form `0b` (or `0B`) followed by one or more binary digits (0 or 1). For example, 0b101010 is the integer 42. Like octal and hex numbers, binary literals may represent negative numbers.

By default, the integer literal primitive type is `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`. If you want a `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, add a letter _el_ suffix (either the character `l` or the character `L`) to the integer literal. This suffix denotes a _long integer_ rather than a standard integer. For example, `3405691582L` is a long integer literal. Long integers are 8 bytes in length as opposed to the standard 4 bytes for `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`. It is best practice to use the suffix `L` instead of `l` to avoid confusion with the digit `1` (one) which looks like `l` in many fonts: `200l` ≠ `2001`. If you want a short integer literal, you have to cast it.

Starting in J2SE 7.0, you may insert underscores between digits in a numeric literal. They are ignored but may help readability by allowing the programmer to group digits.

### Floating Point Literals

Floating point numbers are expressed as decimal fractions or as exponential notation:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.63: Floating point literals.**

  1.     double decimalNumber = 5.0;
    

  2.     decimalNumber = 5d;
    

  3.     decimalNumber = 0.5;
    

  4.     decimalNumber = 10f;
    

  5.     decimalNumber = 3.14159e0;
    

  6.     decimalNumber = 2.718281828459045D;
    

  7.     decimalNumber = 1.0e-6D;
    

Floating point numbers consist of:

  1. an optional leading `+` or `-` sign, indicating a positive or negative value; if omitted, the value is positive,
  2. one of the following number formats 
    * _integer digits_ (must be followed by either an exponent or a suffix or both, to distinguish it from an integer literal)
    * _integer digits_ `.`
    * _integer digits_ `.` _integer digits_
    * `.` _integer digits_
  3. an optional exponent of the form 
    * the exponent indicator `e` or `E`
    * an optional exponent sign `+` or `-` (the default being a positive exponent)
    * _integer digits_ representing the integer exponent value
  4. an optional floating point suffix: 
    * either `f` or `F` indicating a single precision (4 bytes) floating point number, or
    * `d` or `D` indicating the number is a double precision floating point number (by default, thus the double precision (8 bytes) is default).

Here, _integer digits_ represents one or more of the digits `0` through `9`.

Starting in J2SE 7.0, you may insert underscores between digits in a numeric literal. They are ignored but may help readability by allowing the programmer to group digits.

### Character Literals

Character literals are constant valued character expressions embedded in a Java program. Java characters are sixteen bit Unicode characters, ranging from 0 to 65535. Character literals are expressed in Java as a single quote, the character, and a closing single quote (`'a'`, `'7'`, `'$'`, `'π'`). Character literals have the type `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`, an unsigned integer [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types). Character literals may be safely promoted to larger integer types such as `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` and `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`. Character literals used where a `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)` or `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` is called for must be cast to `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)` or `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` since truncation may occur.

## String Literals

String literals consist of the double quote character (`"`) (ASCII 34, hex 0x22), zero or more characters (including Unicode characters), followed by a terminating double quote character (`"`), such as: `"Ceci est une string."`

So a string literal follows the following grammar:
    
    
    <STRING :
            "\""
            (    (~["\"","\\","\n","\r"])
            |("\\"
                ( ["n","t","b","r","f","\\","'","\""]
                |["0"-"7"](["0"-"7"])?
                |["0"-"3"]["0"-"7"]["0"-"7"]
                )
            )
            )*
            "\"">
    

Within string and character literals, the backslash character can be used to escape special characters, such as [unicode escape sequences](http://en.wikibooks.org/wiki/Java_Programming/Syntax/Unicode_Escape_Sequences), or the following special characters:

Name Character ASCII hex

Backspace
`\b`
8
0x08

TAB
`\t`
9
0x09

NUL character
`\0`
0
0x00

newline
`\n`
10
0x0a

carriage control
`\r`
13
0xd

double quote
`\"`
34
0x22

single quote
`\'`
39
0x27

backslash
`\\\`
92
0x5c

String literals may not contain unescaped newline or linefeed characters. However, the Java compiler will evaluate compile time expressions, so the following String expression results in a string with three lines of text:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.64: Multi-line string.**

  1.     String text = "This is a String literal\n"
    

  2.                 + "which spans not one and not two\n"
    

  3.                 + "but three lines of text.\n";
    

## null

`[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` is a special Java literal which represents a _null value_: a value which does not refer to any object. It is an error to attempt to dereference the null value — Java will throw a `NullPointerException`. `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` is often used to represent uninitialized state.

## Mixed Mode Operations

In concatenation operations, the values in brackets are concatenated first. Then the values are concatenated from the left to the right. Be careful when mixing character literals and integers in String concatenation operations:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.65: Concatenation operations.**

  1.     int one = '1';
    

  2.     int zero = '0';
    

  3.      
    

  4.     System.out.println("120? " + one + '2' + zero);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 3.66**
    
    
    120? 49248
    

The unexpected results arise because `'1'` and `'0'` are converted twice. The expression is concatenated as such:

`"120? " + one + '2' + zero`

`_"120? " + **49**_ \+ '2' + **48**`

`_**"120? 49"** \+ '2'_ \+ 48`

`_**"120? 492"** \+ 48_`

`**"120? 49248"**`

  1. `one` and `zero` are integers. So they store integer values. The integer value of `'1'` is 49 and the integer value of `'0'` is 48.
  2. So the first concatenation concatenates `"120? "` and `49`. `49` is first converted into String, yielding `"49"` and the concatenation returns the string `"120? 49"`.
  3. The second concatenation concatenates `"120? 49"` and `'2'`. `'2'` is converted into the String `"2"` and the concatenation returns the string `"120? 492"`.
  4. The concatenation between `"120? 492"` and `'0'` returns the string `"120? 49248"`.

The [code section 66](Print_version.html#code-section-66) yields the desired result:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.66: Correct primitive type.**

  1.     char one = '1';
    

  2.     char zero = '0';
    

  3.      
    

  4.     System.out.println("120? " + one + '2' + zero);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 3.66**
    
    
    120? 120
    

Test your knowledge

**Question 3.9**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.9: New concatenation operations.**

  1.     int one = '1';
    

  2.     int zero = '0';
    

  3.      
    

  4.     System.out.println("  3? " + (one + '2' + zero));
    

  5.     System.out.println("102? " + 100 + '2' + 0);
    

  6.     System.out.println("102? " + (100 + '2' + 0));
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Question 3.9**
    
    
      3? 147
    102? 10020
    102? 150
    

Explain the results seen.

Answer

For the first line:

`" 3? " + (one + '2' + zero)`

`" 3? " + (_**49** \+ '2'_ \+ **48**)`

`" 3? " + (_**99** \+ 48_)`

`_" 3? " + **147**_`

`**" 3? 147"**`

For the second line:

`_"102? " + 100_ \+ '2' + 0`

`_**"102? 100"** \+ '2'_ \+ 0`

`_**"102? 1002"** \+ 0_`

`**"102? 10020"**`

For the last line:

`"102? " + (_100 + '2'_ \+ 0)`

`"102? " + (_**150** \+ 0_)`

`_"102? " + **150**_`

`**"102? 150"**`

  


  


# Methods

_Methods_ are how we communicate with objects. When we invoke or call a method we are asking the object to carry out a task. We can say methods implement the behaviour of objects. For each method we need to give a name, we need to define its input parameters and we need to define its return type. We also need to set its [visibility](http://en.wikibooks.org/wiki/Java_Programming/Scope) (private, package, or public). If the method throws an Exception, that needs to be declared as well. It is called a _method definition_. The syntax of method definition is: `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` MyClass {
    
    
     ...
     [public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public) ReturnType **methodName**(ParamOneType parameter1,
                 ParamTwoType parameter2)
       [throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws) ExceptionName {
         ReturnType returnType;
         ...
         [return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return) returnType;
       }
     ...
    

}

We can declare that the method does not return anything using the `[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)` Java keyword. For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.67: Method without returned data.**

  1.     private void methodName(String parameter1, String parameter2) {
    

  2.       ...
    

  3.       return;
    

  4.     }
    

When the method returns nothing, the `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword at the end of the method is optional. When the execution flow reaches the `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword, the method execution is stopped and the execution flow returns to the caller method. The `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword can be used anywhere in the method as long as there is a way to execute the instructions below:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 3.68: `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword location.**

  1.     private void aMethod(int a, int b) {
    

  2.       int c = 0;
    

  3.       if (a > 0) {
    

  4.         c = a;
    

  5.         return;
    

  6.       }
    

  7.       int c = c + b;
    

  8.       return;
    

  9.       int c = c * 2;
    

  10.     }
    

In the [code section 3.68](Print_version.html#code-section-68), the `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword at line 5 is well placed because the instructions below can be reached when `a` is negative or equal to 0. However, the `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` keyword at line 8 is badly placed because the instructions below can't be reached.

Test your knowledge

**Question 3.9**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.9: Compiler error.**

  1.     private int myMethod(int a, int b, boolean c) {
    

  2.       b = b + 2;
    

  3.       if (a > 0) {
    

  4.         a = a + b;
    

  5.         return a;
    

  6.       } else {
    

  7.         a = 0;
    

  8.       }
    

  9.     }
    

The code above will return a compiler error. Why?

Answer

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
Answer 3.9: Compiler error.

  1.     private int myMethod(int a, int b, boolean c) {
    

  2.       b = b + 2;
    

  3.       if (a > 0) {
    

  4.         a = a + b;
    

  5.         return a;
    

  6.       } else {
    

  7.         a = 0;
    

  8.       }
    

  9.     }
    

The method is supposed to return a `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` but when `a` is negative or equal to 0, it returns nothing.

## Parameter passing

We can pass any [primitive data types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types) or objects to a method but the two are not processed the same way.

### Primitive type parameter

The primitive types are _passed in by value_. It means that as soon as the primitive type is passed in, there is no more link between the value inside the method and the source variable:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.69: A method modifying a variable.**

  1.     private void modifyValue(int number) {
    

  2.       number += 1;
    

  3.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.70: Parameter by value.**

  1.     int i = 0;
    

  2.     modifyValue(i);
    

  3.     System.out.println(i);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.70**
    
    
    0  
    

As you can see in [code section 3.70](Print_version.html#code-section-70), the `modifyValue()` method has not modified the value of `i`.

### Object parameter

The object references are passed by value. It means that:

  * There is no more link between the reference inside the method and the source reference,
  * The source object itself and the object itself inside the method are still the same.

You must understand the difference between the reference of an object and the object itself. A _object reference_ is the link between a variable name and an instance of object:

`Object object` ⇔ `new Object()`

An object reference is a pointer, an address to the object instance.

The object itself is the value of its attributes inside the object instance:

object.firstName
⇒
"James"

object.lastName
⇒
"Gosling"

object.birthDay
⇒
"May 19"

Take a look at the example above:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.71: A method modifying an object.**

  1.     private void modifyObject(FirstClass anObject) {
    

  2.       anObject.setName("Susan");
    

  3.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.72: Parameter by reference.**

  1.     FirstClass object = new FirstClass();
    

  2.     object.setName("Christin");
    

  3.      
    

  4.     modifyObject(object);
    

  5.      
    

  6.     System.out.println(object.getName());
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.72**
    
    
    Susan
    

The name has changed because the method has changed the object itself and not the reference. Now take a look at the other example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.73: A method modifying an object reference.**

  1.     private void modifyObject(FirstClass anObject) {
    

  2.       anObject = new FirstClass();
    

  3.       anObject.setName("Susan");
    

  4.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.74: Parameter by reference.**

  1.     FirstClass object = new FirstClass();
    

  2.     object.setName("Christin");
    

  3.      
    

  4.     modifyObject(object);
    

  5.      
    

  6.     System.out.println(object.getName());
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.74**
    
    
    Christin
    

The name has not changed because the method has changed the reference and not the object itself. The behavior is the same as if the method was in-lined and the parameters were assigned to new variable names:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.75: In-lined method.**

  1.     FirstClass object = new FirstClass();
    

  2.     object.setName("Christin");
    

  3.      
    

  4.     // Start of the method
    

  5.     FirstClass anObject = object;
    

  6.     anObject = new FirstClass();
    

  7.     anObject.setName("Susan");
    

  8.     // End of the method
    

  9.      
    

  10.     System.out.println(object.getName());
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.75**
    
    
    Christin
    

## Variable argument list

Java SE 5.0 added syntactic support for methods with [variable argument list](http://docs.oracle.com/javase/1.5.0/docs/guide/language/varargs.html), which simplifies the typesafe usage of methods requiring a variable number of arguments. Less formally, these parameters are called _varargs_[[2]](http://www.javabeat.net/qna/645-varargs-in-java-50/). The last parameter can be followed with `...`, and Java will box all the arguments into an array. Vararg parameter must always be the last method parameter:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.76: A method using vararg parameters.**

  1.     public void drawPolygon(java.awt.Point... points) {
    

  2.       //…
    

  3.     }
    

When calling the method, a programmer can simply separate the points by commas, without having to explicitly create an [array](http://en.wikibooks.org/wiki/Java_Programming/Arrays) of `Point` objects. Within the method, the points can be referenced as `points[0]`, `points[1]`, etc. If no points are passed, the array has a length of zero. To require the programmer to use a minimum number of parameters, those parameters can be specified before the variable argument:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.77: Variable arguments.**

  1.     // A polygon needs at least three points.
    

  2.     public void drawPolygon(Point p1, Point p2, Point p3, Point... otherPoints) {…}
    

## Return parameter

So as we can see, a method may or may not return a value. If the method does not return a value we use the `[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)` Java keyword.

Same as the parameter passing, the method can return a primitive type or an object reference. So a method can return only one value. What if you want to return more than one value from a method. You can always pass in an object reference to the method, and let the method modify the object properties. The modified values can be considered as an output value from the method. However you can also create an Object array inside the method, assign the return values and return the array to the caller. You could have a problem however, if you want to mix primitive data types and object references as the output values from the method.

There is a better approach. Defines special return object with the needed return values. Create that object inside the method, assign the values and return the reference to this object. This special object is "bound" to this method and used only for returning values, so do not use a public class. The best way is to use a nested class, see example below:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.12: Multiple returned variables.**

  1.     public class MyObject {
    

  2.       ...
    

  3.      
    

  4.       /** Nested object is for return values from getPersonInfoById method */
    

  5.       public static class ReturnObject {
    

  6.           private int age;
    

  7.           private String name;
    

  8.      
    

  9.           public void setAge(int age) {
    

  10.               this.age = age;
    

  11.           }
    

  12.      
    

  13.           public int getAge() {
    

  14.               return age;
    

  15.           }
    

  16.      
    

  17.           public void setName(String name) {
    

  18.               name = name;
    

  19.           }
    

  20.      
    

  21.           public String getName() {
    

  22.               return name;
    

  23.           }
    

  24.       } // End of nested class definition
    

  25.      
    

  26.       /** Method using the nested class to return values */
    

  27.       public ReturnObject getPersonInfoById(int id) {
    

  28.         int    age;
    

  29.         String name;
    

  30.         ...
    

  31.         // Get the name and age based on the ID from the database
    

  32.         ...
    

  33.         ReturnObject result = new ReturnObject();
    

  34.         result.setAge(age);
    

  35.         result.setName(name);
    

  36.      
    

  37.         return result;
    

  38.       }
    

  39.     }
    

In the above example the `getPersonInfoById` method returns an object reference that contains both values of the name and the age. See below how you may use that object:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.78: Retrieving the values.**

  1.     MyObject object = new MyObject();
    

  2.     MyObject.ReturnObject person = object.getPersonInfoById(102);
    

  3.      
    

  4.     System.out.println("Person Name=" + person.getName());
    

  5.     System.out.println("Person Age =" + person.getAge());
    

Test your knowledge

**Question 3.10**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.10: Compiler error.**

  1.     private int myMethod(int a, int b, String c) {
    

  2.       if (a > 0) {
    

  3.         c = "";
    

  4.         return c;
    

  5.       }
    

  6.       int b = b + 2;
    

  7.       return b;
    

  8.     }
    

The code above will return a compiler error. Why?

Answer

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
Answer 3.10: Compiler error.

  1.     private int myMethod(int a, int b, String c) {
    

  2.       if (a > 0) {
    

  3.         c = "";
    

  4.         return c;
    

  5.       }
    

  6.       int b = b + 2;
    

  7.       return b;
    

  8.     }
    

The method is supposed to return a `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` but at line 4, it returns `c`, which is a String.

## Special method, the constructor

The constructor is a special method called automatically when an object is created with the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword. Constructor does not have a return value and its name is the same as the class name. Each class must have a constructor. If we do not define one, the compiler will create a default so called **empty constructor** automatically.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.13: Automatically created constructor.**

  1.     public class MyClass {
    

  2.       /**
    

  3.       * MyClass Empty Constructor
    

  4.       */
    

  5.       public MyClass() {
    

  6.       }
    

  7.     }
    

## Static methods

A _static method_ is a method that can be called without an object instance. It can be called on the class directly. For example, the `valueOf(String)` method of the `Integer` class is a static method:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.79: Static method.**

  1.     Integer i = Integer.valueOf("10");
    

As a consequence, it cannot use the non-static methods of the class but it can use the static ones. The same way, it cannot use the non-static attributes of the class but it can use the static ones:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.80: Static attribute.**

  1.     private static int count = 0;
    

  2.      
    

  3.     public static int getNewInteger() {
    

  4.       return count++;
    

  5.     }
    

You can notice that when you use `System.out.println()`, `out` is a static attribute of the `System` class. A static attribute is related to a class, not to any object instance, so there is only one value for all the object instances. This attribute is unique in the whole Java Virtual Machine. All the object instances use the same attribute:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.14: A static attribute.**

  1.     public class MyProgram {
    

  2.      
    

  3.         public static int count = 0;
    

  4.      
    

  5.         public static void main (String[] args) {
    

  6.             MyProgram.count++;
    

  7.      
    

  8.             MyProgram program1 = new MyProgram();
    

  9.             program1.count++;
    

  10.      
    

  11.             MyProgram program2 = new MyProgram();
    

  12.             program2.count++;
    

  13.      
    

  14.             new MyProgram().count++;
    

  15.             System.out.println(MyProgram.count);
    

  16.         }
    

  17.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code listing 3.14**
    
    
    4
    

Test your knowledge

**Question 3.11**: Visit the Oracle [JavaDoc of the class `java.lang.Integer`](http://docs.oracle.com/javase/7/docs/api/java/lang/Integer.html).

How many static fields this class has?

Answer

4.

  * `int MAX_VALUE`,
  * `int MIN_VALUE`,
  * `int SIZE` and
  * `Class<Integer> TYPE`.

    _To learn how to overload and override a method, see [Overloading Methods and Constructors](http://en.wikibooks.org/wiki/Java_Programming/Overloading_Methods_and_Constructors)._

  


  


# API/java.lang.String

`[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` is a class built into the Java language defined in the `java.lang` package. It represents character strings. Strings are ubiquitous in Java. Study the `String` class and its methods carefully. It will serve you well to know how to manipulate them skillfully. [String literals](http://en.wikibooks.org/wiki/Java_Programming/Literals#String_Literals) in Java programs, such as "abc", are implemented as instances of this class like this:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.81: String example.**

  1.     String str = "This is string literal";
    

On the right hand side a String object is created represented by the string literal. Its object reference is assigned to the `str` variable.

## Immutability

Strings are _immutable_; that is, they cannot be modified once created. Whenever it looks as if a String object was modified actually a new String was created. For instance, the `String.trim()` method returns the string with leading and trailing whitespace removed. Actually, it creates a new trimmed string and then returns it. Pay attention on what happens in [Code section 3.82](Print_version.html#code-section-82):

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.82: Immutability.**

  1.     String badlyCutText = "     Java is great.     ";
    

  2.     System.out.println(badlyCutText);
    

  3.      
    

  4.     badlyCutText.trim();
    

  5.     System.out.println(badlyCutText);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.82**
    
    
         Java is great.    
         Java is great.    
    

The `trim()` method call does not modify the object so nothing happens. It creates a new trimmed string and then throws it away.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.83: Assignment.**

  1.     String badlyCutText = "     Java is great.     ";
    

  2.     System.out.println(badlyCutText);
    

  3.      
    

  4.     badlyCutText = badlyCutText.trim();
    

  5.     System.out.println(badlyCutText);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.83**
    
    
         Java is great.    
    Java is great.
    

The returned string is assigned to the variable. It does the job as the `trim()` method has created a new `String` instance.

## Concatenation

The Java language provides special support for the string concatenation with operator `+`:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.84: Examples of concatenation.**

  1.     System.out.println("First part");
    

  2.     System.out.println(" second part");
    

  3.     String str = "First part" + " second part";
    

  4.     System.out.println(str);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.84**
    
    
    First part
     second part
    First part second part
    

The concatenation is not always processed at the same time. [Raw string literals](http://en.wikibooks.org/wiki/Java_Programming/Literals#String_Literals) concatenation is done at compile time, hence there is a single string literal in the byte code of the class. Concatenation with at least one object is done at runtime.

`+` operator can concatenate other objects with strings. For instance, integers will be converted to strings before the concatenation:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.85: Concatenation of integers.**

  1.     System.out.println("Age=" + 25);
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.85**
    
    
    Age=25
    

Each Java object has the `String toString()` inherited from the `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)` class. This method provides a way to convert objects into `String`s. Most classes override the default behavior to provide more specific (and more useful) data in the returned `String`:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.86: Concatenation of objects.**

  1.     System.out.println("Age=" + new Integer(31));
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.86**
    
    
    Age=31
    

## Using StringBuilder/StringBuffer to concatenate strings

Remember that `String` objects are immutable objects. Once a `String` is created, it can not be modified, takes up memory until garbage collected. Be careful of writing a method like this:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.87: Raw concatenation.**

  1.     public String convertToString(Collection<String> words) {
    

  2.       String str = "";
    

  3.       // Loops through every element in words collection
    

  4.       for (String word : words) {
    

  5.         str = str + word + " ";
    

  6.       }
    

  7.       return str;
    

  8.     }
    

On the `+` operation a new `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` object is created at each iteration. Suppose `coll` contains the elements `["Foo", "Bar", "Bam", "Baz"]`. At runtime, the method creates thirteen `String`s:

  1. `""`
  2. `"Foo"`
  3. `" "`
  4. `"Foo "`
  5. `"Foo Bar"`
  6. `" "`
  7. `"Foo Bar "`
  8. `"Foo Bar Bam"`
  9. `" "`
  10. `"Foo Bar Bam "`
  11. `"Foo Bar Bam Baz"`
  12. `" "`
  13. `"Foo Bar Bam Baz "`

Even though only the last one is actually useful.

To avoid unnecessary memory use like this, use the `StringBuilder` class. It provides similar functionality to `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)`s, but stores its data in a mutable way. Only one `StringBuilder` object is created. Also because object creation is time consuming, using `StringBuilder` produces much faster code.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.88: Concatenation with `StringBuilder`.**

  1.     public String convertToString(Collection<String> words) {
    

  2.       StringBuilder buf = new StringBuilder();
    

  3.       // Loops through every element in words collection
    

  4.       for (String word : words) {
    

  5.         buf.append(word);
    

  6.         buf.append(" ");
    

  7.       }
    

  8.       return buf.toString();
    

  9.     }
    

As `StringBuilder` isn't thread safe (see the chapter on [Concurrency](http://en.wikibooks.org/wiki/Java_Programming/Concurrent_Programming)). You can't use it in more than one thread. For multi-thread environment, use `StringBuffer` instead, which does the same and is thread safe. However, as `StringBuffer` is slower, so only use it when it is required. Moreover, only `StringBuffer` existed before Java 5.

## Comparing Strings

Comparing strings is not as easy as it may first seem. Be aware of what you are doing when comparing `String`'s using `==`:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.89: Dangerous comparison.**

  1.     String greeting = "Hello World!";
    

  2.     if (greeting == "Hello World!") {
    

  3.         System.out.println("Match found.");
    

  4.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.89**
    
    
    Match found.
    

The difference between the above and below code is that the above code checks to see if the `String`'s are the same objects in memory which they are. This is as a result of the fact that `String`'s are stored in a place in memory called the String Constant Pool. If the `new` keyword is not explicitly used when creating the `String` it checks to see if it already exists in the Pool and uses the existing one. If it does not exist, a new Object is created. This is what allows Strings to be immutable in Java. To test for equality, use the `equals(Object)` method inherited by every class and defined by `String` to return `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` if and only if the object passed in is a `String` containing the exact same data:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.90: Right comparison.**

  1.     String greeting = "Hello World!";
    

  2.     if (greeting.equals("Hello World!")) {
    

  3.         System.out.println("Match found.");
    

  4.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.90**
    
    
    Match found.
    

Remember that the comparison is case sensitive.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.91: Comparison with lowercase.**

  1.     String greeting = "Hello World!";
    

  2.     if (greeting.equals("hello world!")) {
    

  3.         System.out.println("Match found.");
    

  4.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.91**
    
    
    

To order `String` objects, use the **`compareTo()`** method, which can be accessed wherever we use a String datatype. The `compareTo()` method returns a negative, zero, or positive number if the parameter is less than, equal to, or greater than the object on which it is called. Let's take a look at an example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.92: Order.**

  1.     String person1 = "Peter";
    

  2.     String person2 = "John";
    

  3.     if (person1.compareTo(person2) > 0) {
    

  4.         // Badly ordered
    

  5.         String temp = person1;
    

  6.         person1 = person2;
    

  7.         person2 = temp;
    

  8.     }
    

The [code section 3.92](Print_version.html#code-section-92) is comparing the String variable `person1` to `person2`. If `person1` was to be different, even in the slightest manner we will get a value above or below 0 depending on the exact difference. The result is negative if this String object lexicographically precedes the argument string. The result is a positive integer if this String object lexicographically follows the argument string. Take a look at the [Java API](http://docs.oracle.com/javase/7/docs/api/java/lang/String.html#compareTo%28java.lang.String%29) for more details.

## Splitting a String

Sometimes it is useful to split a string into separate strings, based on a _[regular expressions](http://en.wikibooks.org/wiki/Regular_Expressions)_. The `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` class has a **`split()`** method, since Java 1.4, that will return a String array:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.93: Order.**

  1.     String person = "Brown, John:100 Yonge Street, Toronto:(416)777-9999";
    

  2.     ...
    

  3.     String[] personData = person.split(":");
    

  4.     ...
    

  5.     String name    = personData[0];
    

  6.     String address = personData[1];
    

  7.     String phone   = personData[2];
    

An other useful application could be to _split_ the String text based on the new line character, so you could process the text line by line.

## Substrings

It may also be sometimes useful to create **substrings**, or strings using the order of letters from an existing string. This can be done in two methods.

The first method involves creating a substring out of the characters of a string from a given index to the end:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.94: Truncating string.**

  1.     String str = "coffee";
    

  2.     System.out.println(str.substring(3));
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.94**
    
    
    fee
    

The index of the first character in a string is 0.

`c`
`o`
`f`
`f`
`e`
`e`

_0_
_1_
_2_
_**3**_
_4_
_5_

By counting from there, it is apparent that the character in index 3 is the second "f" in "coffee". This is known as the `beginIndex`. All characters from the `beginIndex` until the end of the string will be copied into the new substring.

The second method involves a user-defined `beginIndex` and `endIndex`:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.95: Extraction of string.**

  1.     String str = "supporting";
    

  2.     System.out.println(str.substring(3, 7));
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.95**
    
    
    port
    

The string returned by `substring()` would be "port".

`s`
`u`
`p`
`p`
`o`
`r`
`t`
`i`
`n`
`g`

_0_
_1_
_2_
_**3**_
_4_
_5_
_6_
_**7**_
_8_
_9_

Please note that the endIndex is **not** inclusive. This means that the last character will be of the index `endIndex-1`. Therefore, in this example, every character from index 3 to index 6, inclusive, was copied into the substring.

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
It is easy to mistake the method `substring()` for `subString()` (which does not exist and would return with a syntax error on compilation). _Substring_ is considered to be one word. This is why the method name does not seem to follow the common syntax of Java. Just remember that this style only applies to methods or other elements that are made up of more than one word.

## String cases

The `String` class also allows for the modification of cases. The two methods that make this possible are `toLowerCase()` and `toUpperCase()`.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.96: Case modification.**

  1.     String str = "wIkIbOoKs";
    

  2.     System.out.println(str.toLowerCase());
    

  3.     System.out.println(str.toUpperCase());
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.96**
    
    
    wikibooks
    WIKIBOOKS
    

These methods are useful to do a search which is not case sensitive:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.97: Text search.**

  1.     String word = "Integer";
    

  2.     String text = "A number without a decimal part is an integer."
    

  3.       + " Integers are a list of digits.";
    

  4.      
    

  5.     ...
    

  6.      
    

  7.     // Remove the case
    

  8.     String lowerCaseWord = word.toLowerCase();
    

  9.     String lowerCaseText = text.toLowerCase();
    

  10.      
    

  11.     // Search
    

  12.     int index = lowerCaseText.indexOf(lowerCaseWord);
    

  13.     while (index != -1) {
    

  14.       System.out.println(word
    

  15.         + " appears at column "
    

  16.         + (index + 1)
    

  17.         + ".");
    

  18.       index = lowerCaseText.indexOf(lowerCaseWord, index + 1);
    

  19.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Code section 3.97**
    
    
    Integer appears at column 38.
    Integer appears at column 47.
    

Test your knowledge

**Question 3.12**: You have mail addresses in the following form: `_<firstName>_._<lastName>_@_<companyName>_.org`

Write the `String getDisplayName(String)` method that receives the mail string as parameter and returns the readable person name like this: `LASTNAME Firstname`

Answer

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.12: `getDisplayName()`**

  1.     public static String getDisplayName(String mail) {
    

  2.       String displayName = null;
    

  3.      
    

  4.       if (mail != null) {
    

  5.         String[] mailParts = mail.split("@");
    

  6.         String namePart = mailParts[0];
    

  7.         String[] namesParts = namePart.split("\\.");
    

  8.      
    

  9.         // The last name
    

  10.         String lastName = namesParts[1];
    

  11.         lastName = lastName.toUpperCase();
    

  12.      
    

  13.         // The first name
    

  14.         String firstName = namesParts[0];
    

  15.      
    

  16.         String firstNameInitial = firstName.substring(0, 1);
    

  17.         firstNameInitial = firstNameInitial.toUpperCase();
    

  18.      
    

  19.         String firstNameEnd = firstName.substring(1);
    

  20.         firstNameEnd = firstNameEnd.toLowerCase();
    

  21.      
    

  22.         // Concatenation
    

  23.         StringBuilder displayNameBuilder = new StringBuilder(lastName).append(" ").append(firstNameInitial).append(firstNameEnd);
    

  24.         displayName = displayNameBuilder.toString();
    

  25.       }
    

  26.      
    

  27.       return displayName;
    

  28.     }
    

  1. We only process non null strings,
  2. We first split the mail into two parts to separate the personal information from the company information and we keep the name data,
  3. Then we split the name information to separate the first name from the last name. As the `split()` method use regular expression and `.` is a wildcard character, we have to escape it (`\\.`). However, in a string, the `\` is also a special character, so we need to escape it too (`\\\\.`),
  4. The last name is just capitalized,
  5. As the case of all the first name characters will not be the same, we have to cut the first name. Only the first name initial will be capitalized,
  6. Now we can concatenate all the fragments. We prefer to use a `StringBuilder` to do that.

## See also

  * ![Oracle wordmark.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Oracle_wordmark.svg/40px-Oracle_wordmark.svg.png) [Java API: java.lang.String](http://docs.oracle.com/javase/7/docs/api/java/lang/String.html)
  * ![Oracle wordmark.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Oracle_wordmark.svg/40px-Oracle_wordmark.svg.png) [Java API: java.lang.StringBuffer](http://docs.oracle.com/javase/7/docs/api/java/lang/StringBuffer.html)
  * ![Oracle wordmark.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Oracle_wordmark.svg/40px-Oracle_wordmark.svg.png) [Java API: java.lang.StringBuilder](http://docs.oracle.com/javase/7/docs/api/java/lang/StringBuilder.html)

  


  


# Classes, Objects and Types

An **object** is composed of **fields** and **methods**. The fields, also called _data members_, _characteristics_, _attributes_, or _properties_, describe the state of the object. The methods generally describe the actions associated with a particular object. Think of an object as a noun, its fields as adjectives describing that noun, and its methods as the verbs that can be performed by or on that noun.

For example, a sports car is an object. Some of its fields might be its height, weight, acceleration, and speed. An object's fields just hold data about that object. Some of the methods of the sports car could be "drive", "park", "race", etc. The methods really don't mean much unless associated with the sports car, and the same goes for the fields.

The blueprint that lets us build our sports car object is called a _class_. A class doesn't tell us how fast our sports car goes, or what color it is, but it does tell us that our sports car will have a field representing speed and color, and that they will be say, a number and a word (or hex color code), respectively. The class also lays out the methods for us, telling the car how to park and drive, but these methods can't take any action with just the blueprint — they need an object to have an effect.

In Java, a class is located in a file similar to its own name. If you want to have a class called `SportsCar`, its source file needs to be `SportsCar.java`. The class is created by placing the following in the source file:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.13: SportsCar.java**

  1.     public class SportsCar {
    

  2.        /* Insert your code here */
    

  3.     }
    

The class doesn't do anything yet, as you will need to add methods and field variables first.

The objects are different from the primitive types because:

  1. The primitive types are not instantiated.
  2. In the memory, only their value is stored, directly. No reference to an instance is stored.
  3. In the memory, the allocated space is fixed, whatever their value. The allocated space of an object vary, for instance either the object is intantiated or not.
  4. The primitive types don't have methods callable on them.
  5. A primitive type can't be inherited.

## Instantiation and constructors

In order to get from class to object, we "build" our object by _instantiation_. Instantiation simply means to create an _instance_ of a class. Instance and object are very similar terms and are sometimes interchangeable, but remember that an instance refers to a _specific object_, which was created from a class.

This instantiation is brought about by one of the class's methods, called a _constructor_. As its name implies, a constructor builds the object based on the blueprint. Behind the scenes, this means that computer memory is being allocated for the instance, and values are being assigned to the data members.

In general there are four constructor types: default, non-default, copy, and cloning.

A **default constructor** will build the most basic instance. Generally, this means assigning all the fields values like null, zero, or an empty string. Nothing would stop you, however, from your default sports car color from being red, but this is generally bad programming style. Another programmer would be confused if your basic car came out red instead of say, colorless.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.79: A default constructor.**

  1.     SportsCar car = new SportsCar();
    

A **non-default constructor** is designed to create an object instance with prescribed values for most, if not all, of the object's fields. The car is red, goes from 0-60 in 12 seconds, tops out at 190mph, etc.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.80: A non-default constructor.**

  1.     SportsCar car = new SportsCar("red", 12, 190);
    

A **copy constructor** is not included in the Java language, however one can easily create a constructor that do the same as a copy constructor. It's important to understand what it is. As the name implies, a copy constructor creates a new instance to be a duplicate of an already existing one. In Java, this can be also accomplished by creating the instance with the default constructor, and then using the assignment operator to equivocate them. This is not possible in all languages though, so just keep the terminology under your belt.

Java has the concepts of **cloning object**, and the end results are similar to copy constructor. Cloning an object is faster than creation with the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword, because all the object memory is copied at once to destination cloned object. This is possible by implementing the `Cloneable` interface, which allows the method `Object.clone()` to perform a field-by-field copy.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.81: Cloning object.**

  1.     SportsCar car = oldCar.clone();
    

## Type

When an object is created, a reference to the object is also created. The object can not be accessed directly in Java, only through this object reference. This object reference has a _type_ assigned to it. We need this type when passing the object reference to a method as a parameter. Java does strong type checking.

Type is basically a list of features/operations, that can be performed through that object reference. The object reference type is basically a contract that guarantees that those operations will be there at run time.

When a car is created, it comes with a list of features/operations listed in the user manual that guarantees that those will be there when the car is used.

When you create an object from a class by default its type is the same as its class. It means that all the features/operations the class defined are there and available, and can be used. See below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.82: Default type.**

  1.     (new ClassName()).operations();
    

You can assign this to a variable having the same type as the class:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.83: A variable having the same type as the class.**

  1.     ClassName objRefVariable = new ClassName();
    

  2.     objRefVariable.operations();
    

You can assign the created object reference to the class, super class, or to an interface the class implements:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.84: Using the super class.**

  1.     SuperClass objectRef = new ClassName(); // features/operations list are defined by the SuperClass class
    

  2.     ...
    

  3.     Interface inter = new ClassName(); // features/operations list are defined by the interface
    

In the car analogy, the created car may have different **Type** of drivers. We create separate user manuals for them, Average user manual, Power user manual, Child user manual, or Handicapped user manual. Each type of user manual describes only those features/operations appropriate for the type of driver. The Power driver may have additional gears to switch to higher speeds, that are not available to other type of users...

When the car key is passed from an adult to a child we replacing the user manuals, that is called _Type Casting_.

In Java, casts can occur in three ways:

  * up casting going up in the inheritance tree, until we reach the `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)`
  * up casting to an interface the class implements
  * down casting until we reach the class the object was created from

## Autoboxing/unboxing

Autoboxing and unboxing, language features since Java 1.5, make the programmer's life much easier when it comes to working with the primitive wrapper types. Consider this code fragment:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.85: Traditional object creation.**

  1.     int age = 23;
    

  2.     Integer ageObject = new Integer(age);
    

Primitive wrapper objects were Java's way of allowing one to treat primitive data types as though they were objects. Consequently, one was expected to _wrap_ one's primitive data type with the corresponding primitive wrapper object, as shown above.

Since Java 1.5, one may write as below and the compiler will automatically create the wrap object. The extra step of wrapping the primitive is no longer required. It has been _automatically boxed up_ on your behalf:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.86: Autoboxing.**

  1.     int age = 23;
    

  2.     Integer ageObject = age;
    

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
Keep in mind that the compiler still creates the missing wrapper code, so one doesn't really gain anything performance-wise. Consider this feature a programmer convenience, not a performance booster.

Each primitive type has a class wrapper:

Primitive type
Class wrapper

`byte`
`java.lang.Byte`

`char`
`java.lang.Character`

`short`
`java.lang.Short`

`int`
`java.lang.Integer`

`long`
`java.lang.Long`

`float`
`java.lang.Float`

`double`
`java.lang.Double`

`boolean`
`java.lang.Boolean`

`void`
`java.lang.Void`

Unboxing uses the same process in reverse. Study the following code for a moment. The `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` statement requires a `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` primitive value, yet it was given a Boolean wrapper object. No problem! Java 1.5 will automatically _unbox_ this.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.87: Unboxing.**

  1.     Boolean canMove = new Boolean(true);
    

  2.      
    

  3.     if (canMove) {
    

  4.       System.out.println("This code is legal in Java 1.5");
    

  5.     }
    

Test your knowledge

**Question 3.11**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.11: Autoboxing/unboxing.**

  5.     Integer a = 10;
    

  6.     Integer b = a + 2;
    

  7.     System.out.println(b);
    

How many autoboxings and unboxings are there in this code?

Answer

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
Answer 3.11: Autoboxing/unboxing.

  1.     Integer a = 10;
    

  2.     Integer b = a + 2;
    

  3.     System.out.println(b);
    

3

  * 1 autoboxing at line 1 to assign.
  * 1 unboxing at line 2 to do the addition.
  * 1 autoboxing at line 2 to assign.
  * No autoboxing nor unboxing at line 3 as `println()` supports the `Integer` class as parameter.

## Methods in the `Object` class

Methods in the `java.lang.Object` class are inherited, and thus shared in common by all classes.

### The `clone` method

The `java.lang.Object.clone()` method returns a new object that is a copy of the current object. Classes must implement the marker interface `java.lang.Cloneable` to indicate that they can be cloned.

### The `equals` method

The `java.lang.Object.equals(java.lang.Object)` method compares the object to another object and returns a `boolean` result indicating if the two objects are equal. Semantically, this method compares the contents of the objects whereas the equality comparison operator "`==`" compares the object references. The `equals` method is used by many of the data structure classes in the `java.util` package. Some of these data structure classes also rely on the `Object.hashCode` method—see the `hashCode` method for details on the contract between `equals` and `hashCode`. Implementing equals() isn't always as easy as it seems, see '[Secrets of equals()](http://www.angelikalanger.com/Articles/JavaSolutions/SecretsOfEquals/Equals.html)' for more information.

### The `finalize` method

The `java.lang.Object.finalize()` method is called exactly once before the garbage collector frees the memory for object. A class overrides `finalize` to perform any clean up that must be performed before an object is reclaimed. Most objects do not need to override `finalize`.

There is no guarantee when the `finalize` method will be called, or the order in which the `finalize` method will be called for multiple objects. If the JVM exits without performing garbage collection, the OS may free the objects, in which case the `finalize` method doesn't get called.

The `finalize` method should always be declared `protected` to prevent other classes from calling the `finalize` method.
    
    
    protected void finalize() throws Throwable { ... }
    

### The `getClass` method

The `java.lang.Object.getClass()` method returns the `java.lang.Class` object for the class that was used to instantiate the object. The class object is the base class of [reflection](http://en.wikibooks.org/wiki/Java_Programming/Reflection) in Java. Additional reflection support is provided in the `java.lang.reflect` package.

### The `hashCode` method

The `java.lang.Object.hashCode()` method returns an integer (`int`) that is used as a _hash code_ for storing the object in an associative array. Classes that implement the `java.util.Map` interface provide associative arrays and rely on the `hashCode` method. A good `hashCode` implementation will return a hash code that is stable (does not change) and evenly distributed (the hash codes of unequal objects tend to be unequal and the hash codes are evenly distributed across integer values).

Because associative arrays depend on both the `equals` and `hashCode` methods, there is an important contract between these two methods that must be maintained if the objects are to be inserted into a `Map`:

    For two objects _a_ and _b_

  * `a.equals(b) == b.equals(a)`
  * if `a.equals(b)` then `a.hashCode() == b.hashCode()`

In order to maintain this contract, a class that overrides the `equals` method must also override the `hashCode` method, and vice versa, so that `hashCode` is based on the same properties (or a subset of the properties) as `equals`.

A further contract that the map has with the object is that the results of the `hashCode` and `equals` methods will not change once the object has been inserted into the map. For this reason, it is generally a good practice to base the hash function on immutable properties of the object.

Two equal objects must have the same hashcode. However, 2 different objects are NOT required to have different hashcodes.

### The `toString` method

The `java.lang.Object.toString()` method returns a `java.lang.String` that contains a text representation of the object. The `_**toString**_` method is implicitly called by the compiler when an object operand is used with the string concatenation operators (`+` and `+=`).

### The wait and notify thread signaling methods

Every object has two wait lists for threads associated with it. One wait list is used by the `synchronized` keyword to acquire the mutex lock associated with the object. If the mutex lock is currently held by another thread, the current thread is added to the list of blocked threads waiting on the mutex lock. The other wait list is used for signaling between threads accomplished through the `wait` and `notify` and `notifyAll` methods.

Use of wait/notify allows efficient coordination of tasks between threads. When one thread needs to wait for another thread to complete an operation, or needs to wait until an event occurs, the thread can suspend its execution and wait to be notified when the event occurs. This is in contrast to polling, where the thread repeatedly sleeps for a short period of time and then checks a flag or other condition indicator. Polling is both more computationally expensive, as the thread has to continue checking, and less responsive since the thread won't notice the condition has changed until the next time to check.

#### The `wait` methods

There are three overloaded versions of the `wait` method to support different ways to specify the timeout value: `java.lang.Object.wait()`, `java.lang.Object.wait(long)` and `java.lang.Object.wait(long, int)`. The first method uses a timeout value of zero (0), which means that the wait does not timeout; the second method takes the number of milliseconds as a timeout; the third method takes the number of nanoseconds as a timeout, calculated as `1000000 * timeout + nanos`.

The thread calling `wait` is blocked (removed from the set of executable threads) and added to the object's wait list. The thread remains in the object's wait list until one of three events occurs:

  1. another thread calls the object's `notify` or `notifyAll` method;
  2. another thread calls the thread's `java.lang.Thread.interrupt` method; or
  3. a non-zero timeout that was specified in the call to `wait` expires.

The `wait` method must be called inside of a block or method synchronized on the object. This insures that there are no race conditions between `wait` and `notify`. When the thread is placed in the wait list, the thread releases the object's mutex lock. After the thread is removed from the wait list and added to the set of executable threads, it must acquire the object's mutex lock before continuing execution.

#### The `notify` and `notifyAll` methods

The `java.lang.Object.notify()` and `java.lang.Object.notifyAll()` methods remove one or more threads from an object's wait list and add them to the set of executable threads. `notify` removes a single thread from the wait list, while `notifyAll` removes all threads from the wait list. Which thread is removed by `notify` is unspecified and dependent on the JVM implementation.

The notify methods must be called inside of a block or method synchronized on the object. This insures that there are no race conditions between `wait` and `notify`.

  


  


# Keywords

**Keywords** are special tokens in the language which have reserved use in the language. Keywords may not be used as identifiers in Java — you cannot declare a field whose name is a keyword, for instance.

Examples of keywords are the primitive types, `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` and `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`; the control flow statements `[for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)` and `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`; access modifiers such as `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`, and special words which mark the declaration and definition of Java classes, packages, and interfaces: `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)`, `[package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package)`, `[interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)`.

Below are all the Java language keywords:

  * `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`
  * `[assert](http://en.wikibooks.org/wiki/Java_Programming/Keywords/assert)` (since Java 1.4)
  * `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`
  * `[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)`
  * `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`
  * `[case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case)`
  * `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)`
  * `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`
  * `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)`
  * `[const](http://en.wikibooks.org/wiki/Java_Programming/Keywords/const)` (not used)
  * `[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)`
  * `[default](http://en.wikibooks.org/wiki/Java_Programming/Keywords/default)`
  * `[do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do)`
  * `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`
  * `[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)`
  * `[enum](http://en.wikibooks.org/wiki/Java_Programming/Keywords/enum)` (since Java 5.0)
  * `[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)`
  * `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`
  * `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)`
  * `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`
  * `[for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)`
  * `[goto](http://en.wikibooks.org/wiki/Java_Programming/Keywords/goto)` (not used)
  * `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`
  * `[implements](http://en.wikibooks.org/wiki/Java_Programming/Keywords/implements)`
  * `[import](http://en.wikibooks.org/wiki/Java_Programming/Keywords/import)`
  * `[instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof)`
  * `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`
  * `[interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)`
  * `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`
  * `[native](http://en.wikibooks.org/wiki/Java_Programming/Keywords/native)`
  * `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)`
  * `[package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package)`
  * `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)`
  * `[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)`
  * `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`
  * `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)`
  * `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`
  * `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)`
  * `[strictfp](http://en.wikibooks.org/wiki/Java_Programming/Keywords/strictfp)` (since Java 1.2)
  * `[super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super)`
  * `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)`
  * `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)`
  * `[this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this)`
  * `[throw](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throw)`
  * `[throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)`
  * `[transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient)`
  * `[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)`
  * `[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)`
  * `[volatile](http://en.wikibooks.org/wiki/Java_Programming/Keywords/volatile)`
  * `[while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)`

In addition, the identifiers `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)`, `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)`, and `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)` denote literal values and may not be used to create identifiers.

## abstract

`[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)` is a Java keyword. It can be applied to a class and methods. An _abstract_ class cannot be directly instantiated. It must be placed before the variable type or the method return type. It is recommended to place it after the access modifier and after the `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` keyword. A non-abstract class is a _concrete_ class. An abstract class cannot be `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`.

Only an abstract class can have abstract methods. An abstract method is only declared, not implemented:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 1: AbstractClass.java**

  1.     public abstract class AbstractClass {
    

  2.         // This method does not have a body; it is abstract.
    

  3.         public abstract void abstractMethod();
    

  4.      
    

  5.         // This method does have a body; it is implemented in the abstract class and gives a default behavior.
    

  6.         public void concreteMethod() {
    

  7.             System.out.println("Already coded.");
    

  8.         }
    

  9.     }
    

An abstract method cannot be `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`, `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` nor `[native](http://en.wikibooks.org/wiki/Java_Programming/Keywords/native)`. Either you instantiate a concrete sub-class, either you instantiate the abstract class by implementing its abstract methods alongside a new statement:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: Abstract class use.**

  1.     AbstractClass myInstance = new AbstractClass() {
    

  2.         public void abstractMethod() {
    

  3.             System.out.println("Implementation.");
    

  4.         }
    

  5.     };
    

A private method cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`.

  


## assert

`[assert](http://en.wikibooks.org/wiki/Java_Programming/Keywords/assert)` is a Java [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) used to define an _[assert statement_](http://en.wikibooks.org/w/index.php?title=Java_Programming/Statements/assert&action=edit&redlink=1). An assert statement is used to declare an expected boolean condition in a program. If the program is running with assertions enabled, then the condition is checked at runtime. If the condition is false, the Java runtime system [throws](http://en.wikibooks.org/w/index.php?title=Java_Programming/Statements/throw&action=edit&redlink=1) a `[AssertionError](http://en.wikibooks.org/w/index.php?title=Java_Programming/API/java.lang.AssertionError&action=edit&redlink=1)`.

Assertions may be declared using the following syntax:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    assert expression1 [: expression2];
    

`expression1` is a boolean that will throw the assertion if it is false. When it is thrown, the assertion error exception is created with the parameter `expression2` (if applicable).

An example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    assert list != null && list.size() > 0 : "list variable is null or empty";
    Object value = list.get(0);
    

Assertions are usually used as a debugging aid. They should not be used instead of validating arguments to public methods, or in place of a more precise runtime error exception.

Assertions are enabled with the Java `-ea` or `-enableassertions` runtime option. See your Java environment documentation for additional options for controlling assertions.

## boolean

`[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types). There are only two possible `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` values: `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` and `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)`. The default value for `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` fields is `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)`.

The following is a declaration of a `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` field named `initialized`, and its use in a method named `synchronized`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

private boolean initialized = false;  
public synchronized void {  
   if ( !initialized ) {  
      connection = connect();  
      initialized = true;  
   }  
}

  
Note that there is no automatic conversion between integer types (such as `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`) to `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` as is possible in some languages like [C](http://en.wikibooks.org/w/index.php?title=Programming_C&action=edit&redlink=1). Instead, one must use an equivalent expression such as `(i != 0)` which evaluates to `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` if `i` is not zero.

## break

`[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)` is a Java keyword.

Jumps (breaks) out from a loop. Also used at `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statement.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

for ( int i=0; i < maxLoopIter; i++ ) {  
   System.out.println("Iter=" +i);  
   if ( i == 5 ) {  
      break;  // -- 5 iteration is enough --  
   }  
}

  
See also:

  * [Java Programming/Keywords/switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)

## byte

`[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the 8 bit signed integer [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types).

The `java.lang.Byte` class is the nominal wrapper class when you need to store a `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)` value but an object reference is required.

Syntax:
    
    
    [byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte) <variable-name> = <integer-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

byte b = 65;

or

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

byte b = 'A'

The number 65 is the code for 'A' in [ASCII](http://en.wikipedia.org/wiki/ASCII).

See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## case

`[case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case)` is a Java keyword.

This is part of the `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statement, to find if the value passed to the switch statement matches a value followed by case.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

int i = 3;  
switch(i) {  
case 1:  
   System.out.println("The number is 1.");  
   break;  
case 2:  
   System.out.println("The number is 2.");  
   break;  
case 3:  
   System.out.println("The number is 3."); // this line will print  
   break;  
case 4:  
   System.out.println("The number is 4.");  
   break;  
case 5:  
   System.out.println("The number is 5.");  
   break;  
default:  
  System.out.println("The number is not 1, 2, 3, 4, or 5.");  
}

## catch

`[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` is a keyword.

It's part of a `[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)` block. If an exception is thrown inside a try block, the exception will be compared to any of the catch part of the block. If the exception match with one of the exception in the catch part, the exception will be handled there.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

try {  
   //...  
     throw new MyException_1();  
   //...  
} catch ( MyException_1 e ) {  
   // --- Handle the Exception_1 here --  
} catch ( MyException_2 e ) {  
   // --- Handle the Exception_2 here --  
}

  
See also:

  * [Java Programming/Keywords/try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)

## char

`[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` is a keyword. It defines a character [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types). `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` can be created from character literals and numeric representation. Character literals consist of a single quote character (`'`) (ASCII 39, hex 0x27), a single character, and a close quote (`'`), such as `'w'`. Instead of a character, you can also use a [unicode escape sequences](http://en.wikibooks.org/wiki/Java_Programming/Syntax/Unicode_Escape_Sequences), but there must be exactly one.

Syntax:

char _**variable name1**_ = '_**character1**_';

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: Three examples.**

  1.     char oneChar1 = 'A';
    

  2.     char oneChar2 = 65;
    

  3.     char oneChar3 = '\u0041';
    

  4.     System.out.println(oneChar1);
    

  5.     System.out.println(oneChar2);
    

  6.     System.out.println(oneChar3);
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for Code section 1**
    
    
    A
    A
    A
    

65 is the numeric representation of character 'A' , or its [ASCII](http://en.wikipedia.org/wiki/ASCII) code.

The nominal wrapper class is the `java.lang.Character` class when you need to store a `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` value but an object reference is required.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2: `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)` wrapping.**

  1.     char aCharPrimitiveType = 'A';
    

  2.     Character aCharacterObject = aCharPrimitiveType;
    

See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## class

`[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` is a Java keyword which begins the declaration and definition of a [class](http://en.wikibooks.org/wiki/Java_Programming/Classes_and_Objects).

The general syntax of a class declaration, using [Extended Backus-Naur Form](http://en.wikibooks.org/wiki/Programming_Languages/Syntax_Specification), is
    
    
    class-declaration ::= [_[access-modifiers](http://en.wikibooks.org/wiki/Java_Programming/Access_Modifiers)_] [class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class) [identifier](http://en.wikibooks.org/w/index.php?title=Java_Programming/Keywords/identifier&action=edit&redlink=1)
                          [_extends-clause_] [_implements-clause_] 
                          _class-body_
    
    extends-clause ::= [extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends) _class-name_
    implements-clause ::= [implements](http://en.wikibooks.org/wiki/Java_Programming/Keywords/implements) _interface-names_ 
    interface-names ::= _interface-name_ [, _interface-names_]
    class-body ::= **{** [_member-declarations_] **}**
    member-declarations = _member-declaration_ [_member-declarations_]
    member-declaration = _field-declaration_ 
                         | _initializer_ 
                         | _constructor_ 
                         | _method-declaration_
                         | _class-declaration_
    

The `[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)` word is optional. If omitted, the class extends the `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)` class, as all Java classes inherit from it.

See also:

  * [Java Programming/Keywords/new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)

## const

`[const](http://en.wikibooks.org/wiki/Java_Programming/Keywords/const)` is a **reserved keyword**, presently not being used.

In other programming languages, such as C, const is often used to declare a constant. However, in Java, `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)` is used instead.

## continue

`[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)` is a Java keyword. It skips the remainder of the loop and continues with the next iteration.

For example:

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

for ( int i=0; i < maxLoopIter; i++ ) {  
   if ( i == 5 ) {  
      continue;  // -- 5 iteration is skipped --  
   }  
   System.println("Iteration = " +i);  
}

  
See also:

  * [Java Programming/Statements](http://en.wikibooks.org/wiki/Java_Programming/Statements)

## default

`[default](http://en.wikibooks.org/wiki/Java_Programming/Keywords/default)` is a Java keyword.

This is an optional part of the `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` statement, which only executes if none of the above cases are matched.

See also:

  * [Java Programming/Keywords/switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)

## do

`[do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do)` is a Java keyword.

It starts a do-while looping block. The do-while loop is functionally similar to the while loop, except the condition is evaluated _after_ the statements execute

Syntax:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    do {
        //statements;
    } while (condition);
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    do {
        i++;
    } while ( i < maxLoopIter );
    

See also:

  * [Java Programming/Statements](http://en.wikibooks.org/wiki/Java_Programming/Statements)
  * [Java Programming/Keywords/for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)
  * [Java Programming/Keywords/while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)

## double

`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the 64 bit float [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types).

The `java.lang.Double` class is the nominal wrapper class when you need to store a `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` value but an object reference is required.

Syntax:
    
    
    [double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double) <variable-name> = <float-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

double d = 65.55;

  
See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## else

`[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` is a Java keyword. It is an optional part of a branching statement. It starts the 'false' statement block.

The general syntax of a `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`, using [Extended Backus-Naur Form](http://en.wikibooks.org/wiki/Programming_Languages/Syntax_Specification), is
    
    
    branching-statement ::= [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) _condition-clause_ 
                                        _single-statement_ | _block-statement_
                           [ [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else) 
                                        _single-statement_ | _block-statement_ ]
     
    condition-clause    ::= **(** Boolean Expression **)**
    single-statement    ::= [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements)
    block-statement     ::= **{** [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements) [ [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements) ] **}**
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

if ( expression ) {  
   System.out.println("'True' statement block");  
} else {  
   System.out.println("'False' statement block");  
}

  
See also:

  * [Java Programming/Keywords/if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)

## enum

`[enum](http://en.wikibooks.org/wiki/Java_Programming/Keywords/enum)` is a keyword since Java 1.5.

This keyword defines a group of constants.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

/** Grades of courses */  
  enum Grade { A, B, C, D, F };  
  // ...  
  private Grade gradeA = Grade.A;

  
This enumeration constant then can be passed in to methods:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

student.assignGrade(gradeA);  
  /**  
   * Assigns the grade for this course to the student  
   * @param GRADE  Grade to be assigned  
   */  
  public void assignGrade(final Grade GRADE) {  
    grade = GRADE;  
  }

  
An enumeration may also have parameters:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public enum DayOfWeek {  
  /** Enumeration constants */  
  MONDAY(1), TUESDAY(2), WEDNESDAY(3), THURSDAY(4), FRIDAY(5), SATURDAY(6), SUNDAY(0);  
  
  /** Code for the days of the week */  
  private byte dayCode = 0;  
  
  /**  
   * Private constructor  
   * @param VALUE  Value that stands for a day of the week.  
   */  
  private DayOfWeek(final byte VALUE) {  
    dayCode = java.lang.Math.abs(VALUE%7);  
  }  
   
  /**  
   * Gets the day code  
   * @return  The day code  
   */  
  public byte getDayCode() {  
    return dayCode;  
  }  
}

  
It is also possible to let an enumeration implement interfaces other than `java.lang.Comparable` and `java.io.Serializable`, which are already implicitly implemented by each enumeration:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public enum DayOfWeek implements Runnable {  
  MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY;  
   
  /**  
   * Run method prints all elements  
   */  
  public void run() {  
    System.out.println("name() = " + name() +  
      ", toString() = \"" + toString() + "\"");  
  }  
}

## extends

`[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)` is a Java keyword.

Used in `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` and `[interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)` definition to declare the class or interface that is to be extended.

Syntax:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class MyClass extends SuperClass  
{  
  //...  
}  
   
public interface MyInterface extends SuperInterface  
{  
  //...  
}

  
In Java 1.5 and later, the "extends" keyword is also used to specify an upper bound on a type parameter in Generics.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Foo<T extends Number> { /*...*/ }

  
See also:

  * [Java Programming/Creating Objects](http://en.wikibooks.org/wiki/Java_Programming/Creating_Objects)
  * [Java Programming/Keywords/class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)

## final

`final` is a keyword. Beware! It has distinct meanings depending whether it is used for a class, a method, or for a variable. It must be placed before the variable type or the method return type. It is recommended to place it after the access modifier and after the `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` keyword.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: Keyword order.**

  1.     private static final long serialVersionUID = -5437975414336623381L;
    

## For a variable

The `final` keyword only allows a single assignment for the variable. That is to say, once the variable has been assigned, its value is in read-only. If the variable is a primitive type, its value will no longer change. If it is an object, only its reference will no longer change. Keep in mind that its value can still be changed.

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 2: Forbidden double assignment.**

  1.     final int a = 1;
    

  2.     a = 2;
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3: Only modify the value of the object.**

  1.     final ArrayList list = new ArrayList();
    

  2.     System.out.println(list.size());
    

  3.     list.add("One item");
    

  4.     System.out.println(list.size());
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 3**
    
    
    0
    1
    

A final variable is often used for universal constants, such as [pi](http://en.wikipedia.org/wiki/pi):

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4: Pi constant.**

  1.     static final double PI = 3.1415926;
    

The `final` keyword can also be used for method parameters:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5: Final method parameter.**

  1.     public int method(final int inputInteger) {
    

  2.        int outputInteger = inputInteger + 1;
    

  3.        return outputInteger;
    

  4.     }
    

It is useful for methods that use side effects to update some objects. Such methods modify the content of an object passed in parameter. The method caller will recieve the object update. This will fail if the object parameter has been reassigned in the method. Another object will be updated instead. Final method parameter can also be used to keep the code clean.

The `final` keyword is similar to `const` in other languages and the `readonly` keyword in [C#](http://en.wikibooks.org/wiki/C_Sharp_Programming). A final variable cannot be `[volatile](http://en.wikibooks.org/wiki/Java_Programming/Keywords/volatile)`.

## For a class

The `final` keyword forbids to create a subclass. It is the case of the `Integer` or `String` class.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 1: SealedClass.java**

  1.     public final class SealedClass {
    

  2.       public static void main(String[] args) {
    

  3.       }
    

  4.     }
    

A final class cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`. The `final` keyword is similar to `sealed` keyword in [C#](http://en.wikibooks.org/wiki/C_Sharp_Programming).

## For a method

The `final` keyword forbids to overwrite the method in a subclass. It is useless if the class is already final and a private method is implicitly `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`. A final method cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 2: NoOverwriting.java**

  1.     public class NoOverwriting {
    

  2.       public final void sealedMethod() {
    

  3.       }
    

  4.     }
    

## Interest

The `final` keyword is mostly used to guarantee a good usage of the code. For instance (non-`static`) methods, this allows the compiler to expand the method (similar to an inline function) if the method is small enough. Sometimes it is required to use it. For instance, a nested class can only access the members of the top-level class if they are final.

    _See also [Access Modifiers](http://en.wikibooks.org/wiki/Java_Programming/Scope)._

## finally

`[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` is a keyword.

It is an optional part of a `[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)` block. The code inside the finally block will always be executed. This is also true for cases when there is an exception or even executed `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` statement in the try block.

Three things can happen in a try block:

  * No exception is thrown. In such a case, the following are executed: 
    * code in the try block
    * code in the `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` block
    * code after the try-catch block
  * An exception is thrown and a matching catch block found. In such a case, the following are executed: 
    * code in the try block until where the exception occurred
    * code in the matched catch block
    * code in the `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` block
    * code after the try-catch block
  * An exception is thrown and no matching catch block exists. In such a case, the following are executed: 
    * code in the try block until where the exception occurred
    * code in the `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` block

Note: in that third and final case, **NO CODE** after the try-catch block is executed.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public void method() throws NoMatchedException  
{  
   try {  
   //...  
     throw new MyException_1();  
   //...  
   } catch ( MyException_1 e ) {  
     // --- Handle the Exception_1 here --  
   } catch ( MyException_2 e ) {  
     // --- Handle the Exception_2 here --  
   } finally {  
     // --- This will always be executed no matter what --  
   }  
   // --- Code after the try-catch block  
}

Note: if there is an exception that happens before the try-catch block, the `[finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)` block is not executed.

If `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` statement is used inside finally, it overrides the return statement in the try-catch block. For instance, the construct

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

try {  
   return 11;  
 }  finally {  
   return 12;  
 }

  
will return 12, not 11. Professional code almost never contains statements that alter execution order (like `[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)`, `[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)`, `[continue](http://en.wikibooks.org/wiki/Java_Programming/Keywords/continue)`) inside the finally block, as such code is more difficult to read and maintain.

See also:

  * [Java Programming/Keywords/try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)
  * [Java Programming/Keywords/catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)
  * [Java Programming/Throwing and Catching Exceptions#Catching Rule](http://en.wikibooks.org/wiki/Java_Programming/Throwing_and_Catching_Exceptions#Catching_Rule)

## float

`[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the 32 bit float [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types).

The `java.lang.Float` class is the nominal wrapper class when you need to store a `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)` value but an object reference is required.

Syntax:
    
    
    [float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float) <variable-name> = <float-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

float price = 49.95;

  
See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## for

`[for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)` is a Java keyword.

It starts a looping block.

The general syntax of a `[for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)`, using [Extended Backus-Naur Form](http://en.wikibooks.org/wiki/Programming_Languages/Syntax_Specification), is
    
    
    for-looping-statement ::= [for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for) _condition-clause_ 
                                        _single-statement_ | _block-statement_
     
    condition-clause    ::= **( before-statement; ** Boolean Expression **; after-statement )**
    single-statement    ::= [Statement](http://en.wikibooks.org/w/index.php?title=Java_Programming/Statement&action=edit&redlink=1)
    block-statement     ::= **{** [Statement](http://en.wikibooks.org/w/index.php?title=Java_Programming/Statement&action=edit&redlink=1) [ [Statement](http://en.wikibooks.org/w/index.php?title=Java_Programming/Statement&action=edit&redlink=1) ] **}**
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

for ( int i=0; i < maxLoopIter; i++ ) {  
    System.println("Iter: " +i);  
}

  
See also:

  * [Java Programming/Keywords/while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)
  * [Java Programming/Keywords/do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do)

## goto

`[goto](http://en.wikibooks.org/wiki/Java_Programming/Keywords/goto)` is a **reserved keyword**, presently not being used.

## if

`[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)` is a Java keyword. It starts a branching statement.

The general syntax of a `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`, using [Extended Backus-Naur Form](http://en.wikibooks.org/wiki/Programming_Languages/Syntax_Specification), is
    
    
    branching-statement ::= [if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if) _condition-clause_ 
                                        _single-statement_ | _block-statement_
                           [ [else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else) 
                                        _single-statement_ | _block-statement_ ]
     
    condition-clause    ::= **(** Boolean Expression **)**
    single-statement    ::= [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements)
    block-statement     ::= **{** [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements) [ [Statements](http://en.wikibooks.org/wiki/Java_Programming/Statements) ] **}**
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

if ( boolean Expression )  
{  
   System.out.println("'True' statement block");  
}  
else  
{  
   System.out.println("'False' statement block");  
}

See also:

  * [Java Programming/Keywords/else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)

## implements

`[implements](http://en.wikibooks.org/wiki/Java_Programming/Keywords/implements)` is a Java keyword.

Used in `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` definition to declare the Interfaces that are to be implemented by the class.

Syntax:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class MyClass implements MyInterface1, MyInterface2  
 {  
   ...  
 }

  
See also:

  * [Java Programming/Creating Objects](http://en.wikibooks.org/wiki/Java_Programming/Creating_Objects)
  * [Java Programming/Keywords/class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)
  * [Java Programming/Keywords/interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)

## import

`[import](http://en.wikibooks.org/wiki/Java_Programming/Keywords/import)` is a Java keyword.

It declares a Java class to use in the code below the import statement. Once a Java class is declared, then the class name can be used in the code without specifying the package the class belongs to.

Use the '*' character to declare all the classes belonging to the package.

Syntax:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

import package.JavaClass;  
import package.*;

  
The static import construct allows unqualified access to static members without inheriting from the type containing the static members:
    
    
       import static java.lang.Math.PI;
    

Once the static members have been imported, they may be used without qualification:
    
    
       double r = cos(PI * theta);
    

Caveat: use static import very sparingly to avoid polluting the program's namespace!

See also:

  * [Java Programming/Packages](http://en.wikibooks.org/wiki/Java_Programming/Packages)

## instanceof

`[instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof)` is a keyword.

It checks if an object reference is an instance of a type, and returns a boolean value;

The <object-reference> `[instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof)` `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)` will return true for all non-null object references, since all Java objects are inherited from `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)`. `[instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof)` will always return `[false](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/false)` if <object-reference> is `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)`.

Syntax:
    
    
    <object-reference> [instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof) TypeName
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Fruit  
 {  
  //...  
 }  
 class Apple extends Fruit  
 {  
  //...  
 }  
 class Orange extends Fruit  
 {  
  //...  
 }  
 public class Test  
 {  
    public static void main(String[] args)  
    {  
       Collection<Object> coll = new ArrayList<Object>();  
   
       Apple app1 = new Apple();  
       Apple app2 = new Apple();  
       coll.add(app1);  
       coll.add(app2);  
   
       Orange or1 = new Orange();  
       Orange or2 = new Orange();  
       coll.add(or1);  
       coll.add(or2);  
   
       printColl(coll);  
    }  
   
    private static String printColl( Collection<?> coll )  
    {  
       for (Object obj : coll)  
       {  
          if ( obj instanceof Object )  
          {  
             System.out.print("It is a Java Object and");  
          }  
          if ( obj instanceof Fruit )  
          {  
             System.out.print("It is a Fruit and");  
          }  
          if ( obj instanceof Apple )  
          {  
             System.out.println("it is an Apple");  
          }  
          if ( obj instanceof Orange )  
          {  
             System.out.println("it is an Orange");  
          }  
       }  
    }  
 }

Run the program:
    
    
    java Test
    

The output:
    
    
    "It is a Java Object and It is a Fruit and it is an Apple"
    "It is a Java Object and It is a Fruit and it is an Apple"
    "It is a Java Object and It is a Fruit and it is an Orange"
    "It is a Java Object and It is a Fruit and it is an Orange"
    

Note that the `[instanceof](http://en.wikibooks.org/wiki/Java_Programming/Keywords/instanceof)` operator can also be applied to interfaces. For example, if the example above was enhanced with the interface

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

interface Edible  
{  
 //...  
}

  
and the the classes modified such that they implemented this interface

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class Orange extends Fruit implements Edible  
 {  
  ...  
 }

  
we could ask if our object were edible.

  


![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

if ( obj instanceof Edible )  
 {  
   System.out.println("it is edible");  
 }

## int

`[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the 32 bit signed integer [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types).

The `java.lang.Integer` class is the nominal wrapper class when you need to store an `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` value but an object reference is required.

Syntax:
    
    
    [int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int) <variable-name> = <integer-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

int i = 65;

  
See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## interface

`[interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)` is a Java keyword. It starts the declaration of a Java Interface.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public interface SampleInterface  
{  
   public void method1();  
   //...  
}

See also:

  * [Java Programming/Keywords/new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)

## long

`[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)` is a [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which designates the 64 bit signed integer [primitive type](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types).

The `java.lang.Long` class is the nominal wrapper class when you need to store a `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)` value but an object reference is required.

Syntax:
    
    
    [long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long) <variable-name> = <integer-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

long timestamp = 1269898201;

  
See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## native

`[native](http://en.wikibooks.org/wiki/Java_Programming/Keywords/native)` is a java keyword. It marks a method, that it will be implemented in other languages, not in Java. The method is declared without a body and cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`. It works together with [JNI (Java Native Interface)](http://en.wikibooks.org/wiki/Java_Programming/Java_Native_Interface).

Syntax:
    
    
    [[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)|[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)|[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)] [native](http://en.wikibooks.org/wiki/Java_Programming/Keywords/native) method();
    

Native methods were used in the past to write performance critical sections but with java getting faster this is now less common. Native methods are currently needed when

  * You need to call from java a library, written in other language.
  * You need to access system or hardware resources that are only reachable from the other language (typically [C](http://en.wikibooks.org/wiki/C_Programming)). Actually, many system functions that interact with real computer (disk and network IO, for instance) can only do this because they call native code.

To complete writing native method, you need to process your class with `javah` tool that will generate a header code in C. You then need to provide implementation of the header code, produce dynamically loadable library (`.so` under Linux, `.dll` under Windows) and load it (in the simplest case with `System.load(library_file_name)` . The code completion is trivial if only primitive types like integers are passed but gets more complex if it is needed to exchange strings or objects from the C code. In general, everything can be on C level, including creation of the new objects and calling back methods, written in java.

To call the code in some other language (including [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming)), you need to write a bridge from C to that language. This is usually trivial as most of languages are callable from C.

## See also

  * [[3]](http://java.sun.com/developer/onlineTraining/Programming/JDCBook/jni.html) \- JNI programming tutorial.
  * [[4]](http://java.sun.com/j2se/1.3/docs/guide/jni/spec/jniTOC.doc.html) \- JNI specification.

## new

`[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` is a Java keyword. It creates a Java object and allocates memory for it on the heap. `new` is also used for array creation, as arrays are also objects.

Syntax:
    
    
    <JavaType> <variable> = [new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new) <JavaObject>();
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

LinkedList list = new LinkedList();  
int[] intArray = new int[10];  
String[][] stringMatrix = new String[5][10];

  
See also:

  * [Java Programming/Creating Objects](http://en.wikibooks.org/wiki/Java_Programming/Creating_Objects)

## package

`[package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package)` is a Java keyword. It declares a 'name space' for the Java class. It must be put at the top of the Java file, it should be the first Java statement line.

To ensure that the package name will be unique across vendors, usually the company url is used starting in backword.

Syntax:
    
    
    [package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package) package;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

package com.mycompany.myapplication.mymodule;

  
See also:

  * [Java Programming/Packages](http://en.wikibooks.org/wiki/Java_Programming/Packages)
  * [Java Programming/Keywords/import](http://en.wikibooks.org/wiki/Java_Programming/Keywords/import)

## private

`[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` is a Java [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which declares a member's [access](http://en.wikibooks.org/wiki/Java_Programming/Access_Modifiers) as private. That is, the member is only visible within the class, not from any other class (including subclasses). The visibility of `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` members extends to [nested classes](http://en.wikibooks.org/wiki/Java_Programming/Nested_Classes).

Please note: Because access modifiers are not handled at instance level but at class level, private members of an object are visible from other instances of the same class!

  
Syntax:
    
    
    [private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private) [void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void) method();
    

See also:

  * [Java Programming/Access Modifiers](http://en.wikibooks.org/wiki/Java_Programming/Access_Modifiers)

## protected

`[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)` is a Java keyword.

This keyword is an access modifier, used before a method or other class member to signify that the method or variable can only be accessed by elements residing in its own class or classes in the same package (as it would be for the default visibility level) but moreover from subclasses of its own class, including subclasses in foreign packages (if the access is made on an expression, whose type is the type of this subclass).

Syntax:
    
    
    [protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected) <returnType> <methodName>(<parameters>);
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

protected int getAge();  
  
protected void setYearOfBirth(int year);

  
See also:

  * [Java Programming/Scope#Access modifiers](http://en.wikibooks.org/wiki/Java_Programming/Scope#Access_modifiers)

## public

`[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` is a Java [keyword](http://en.wikibooks.org/wiki/Java_Programming/Keywords) which declares a member's [access](http://en.wikibooks.org/wiki/Java_Programming/Scope) as public. Public members are visible to all other classes. This means that any other class can access a `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` field or method. Further, other classes can modify `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` fields unless the field is declared as `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`.

A best practice is to give fields `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` access and reserve `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` access to only the set of methods and `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)` fields that define the class' public constants. This helps with encapsulation and information hiding, since it allows you to change the implementation of a class without affecting the consumers who use only the public API of the class.

Below is an example of an immutable `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` class named `Length` which maintains `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` instance fields named `units` and `magnitude` but provides a `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` constructor and two `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` accessor methods.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing: Length.java**

  1.     package org.wikibooks.java;
    

  2.      
    

  3.     public class Length {
    

  4.        private double magnitude;
    

  5.        private String units;
    

  6.      
    

  7.        public Length(double magnitude, String units) {
    

  8.           if ((units == null) || (units.trim().length() == 0)) {
    

  9.               throw new IllegalArgumentException("non-null, non-empty units required.");
    

  10.           }
    

  11.      
    

  12.           this.magnitude = magnitude;
    

  13.           this.units = units;
    

  14.        }
    

  15.      
    

  16.        public double getMagnitude() {
    

  17.           return magnitude;
    

  18.        }
    

  19.      
    

  20.        public String getUnits() {
    

  21.           return units;
    

  22.        }
    

  23.     }
    

## return

`[return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)` is a Java keyword.

Returns a primitive value, or an object reference, or nothing(void). It does not return object values, only object references.

Syntax:
    
    
    [return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return) variable;  // --- Returns variable
    or
    [return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return);           // --- Returns nothing
    

## short

`[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)` is a keyword. It defines a 16 bit signed integer [primitive type.](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

Syntax:
    
    
    [short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short) <variable-name> = <integer-value>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

short age = 65;

  
See also:

  * [Java Programming/Primitive Types](http://en.wikibooks.org/wiki/Java_Programming/Primitive_Types)

## static

`[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` is a Java keyword. It can be applied to a field, a method or an [inner class](http://en.wikibooks.org/wiki/Java_Programming/Nested_Classes). A static field, method or class has a single instance for the whole class that defines it, even if there is no instance of this class in the program. For instance, a Java entry point (`main()`) has to be static. A static method cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`. It must be placed before the variable type or the method return type. It is recommended to place it after the access modifier and before the `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)` keyword:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: Static field and method.**

  1.     public static final double pi = 3.1415900;
    

  2.      
    

  3.     public static void main(String[] args) {
    

  4.        //...
    

  5.     }
    

The static items can be called on an instantiated object or directly on the class:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2: Static item calls.**

  1.     double aNumber = MyClass.pi;
    

  2.     MyClass.main(new String[0]);
    

Static methods cannot call non static methods. The `[this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this)` current object reference is also not available in static methods.

## Interest

  * Static variables can be used as data sharing amongst objects of the same class. For example to implement a counter that stores the number of objects created at a given time can be defined as so:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 1: CountedObject.java**

  1.     public CountedObject {
    

  2.        private static int counter;
    

  3.        ...
    

  4.        public AClass() {
    

  5.           ...
    

  6.           counter += 1;
    

  7.        }
    

  8.        ...
    

  9.        public int getNumberOfObjectsCreated() {
    

  10.           return counter;
    

  11.        }
    

  12.     }
    

The `counter` variable is incremented each time an object is created.

Public static variable should not be used, as these become **global** variables that can be accessed from everywhere in the program. Global constants can be used, however. See below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3: Constant definition.**

  1.     public static final String CONSTANT_VAR = "Const";
    

  * Static methods can be used for utility functions or for functions that do not belong to any particular object. For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 2: ArithmeticToolbox.java**

  1.     public ArithmeticToolbox {
    

  2.        ...
    

  3.        public static int addTwoNumbers(int firstNumber, int secondNumber) {
    

  4.             return firstNumber + secondNumber;
    

  5.        }
    

  6.     }
    

    _See also [Static methods](http://en.wikibooks.org/wiki/Java_Programming/Methods#Static_methods)_

## strictfp

`[strictfp](http://en.wikibooks.org/wiki/Java_Programming/Keywords/strictfp)` is a java keyword, since Java 1.2 .

It makes sure that floating point calculations result precisely the same regardless of the underlying operating system and hardware platform, even if more precision could be obtained. This is compatible with the earlier version of Java 1.1 . If you need that use it.

Syntax for classes:
    
    
    [public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public) [strictfp](http://en.wikibooks.org/wiki/Java_Programming/Keywords/strictfp) [class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class) MyClass 
    { 
      //...
    }
    

Syntax for methods:
    
    
    [public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public) [strictfp](http://en.wikibooks.org/wiki/Java_Programming/Keywords/strictfp) [void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void) method() 
    { 
      ...
    }
    
    

See also:

  * <http://en.wikipedia.org/wiki/Strictfp>

## super

`[super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super)` is a keyword.

  * It is used inside a sub-class method definition to call a method defined in the super class. Private methods of the super-class cannot be called. Only public and protected methods can be called by the `[super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super)` keyword.
  * It is also used by class constructors to invoke constructors of its [parent class](http://en.wikipedia.org/wiki/parent_class).

Syntax:
    
    
    [super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super).<method-name>();
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 1: SuperClass.java**

  1.     public class SuperClass {
    

  2.        public void printHello() {
    

  3.           System.out.println("Hello from SuperClass");
    

  4.           return;
    

  5.        }
    

  6.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 2: SubClass.java**

  1.     public class SubClass extends SuperClass {
    

  2.        public void printHello() {
    

  3.           super.printHello();
    

  4.           System.out.println("Hello from SubClass");
    

  5.           return;
    

  6.        }
    

  7.        public static main(String[] args) {
    

  8.           SubClass obj = new SubClass();
    

  9.           obj.printHello();
    

  10.        }
    

  11.     }
    

Running the above program:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Command for Code listing 2**
    
    
    $Java SubClass
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output of Code listing 2**
    
    
    Hello from SuperClass
    Hello from SubClass
    

In Java 1.5 and later, the "super" keyword is also used to specify a lower bound on a wildcard type parameter in Generics.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: A lower bound on a wildcard type parameter.**

  1.     public void sort(Comparator<? super T> comp) {
    

  2.       ...
    

  3.     }
    

See also:

  * `[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)`

  


## switch

`[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` is a Java keyword.

It is a branching operation, based on a number. The 'number' must be either `[char](http://en.wikibooks.org/wiki/Java_Programming/Keywords/char)`, `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`, `[short](http://en.wikibooks.org/wiki/Java_Programming/Keywords/short)`, or `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` primitive type.

Syntax:
    
    
    [switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch) ( <integer-var> )
    {
       [case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case) <label1>: <statements>;
       [case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case) <label2>: <statements>;
       ...
       [case](http://en.wikibooks.org/wiki/Java_Programming/Keywords/case) <labeln>: <statements>;
       [default](http://en.wikibooks.org/wiki/Java_Programming/Keywords/default): <statements>;
    }
    

When the <integer-var> value match one of the <label>, then: The statements after the matched label will be executed including the following label's statements, until the end of the `[switch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/switch)` block, or until a `[break](http://en.wikibooks.org/wiki/Java_Programming/Keywords/break)` keyword is reached.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

int var = 3;  
switch ( var )  
{  
   case 1:  
      System.out.println( "Case: 1" );  
      System.out.println( "Execute until break" );  
      break;                     
   case 2:  
      System.out.println( "Case: 2" );  
      System.out.println( "Execute until break" );  
      break;  
   case 3:  
      System.out.println( "Case: 3" );  
      System.out.println( "Execute until break" );  
      break;     
   case 4:  
      System.out.println( "Case: 4" );  
      System.out.println( "Execute until break" );  
      break;        
   default:  
      System.out.println( "Case: default" );  
      System.out.println( "Execute until break" );  
      break;           
}

The output from the above code is:
    
    
    Case: 3
    Execute until break
    

The same code can be written with if-else blocks":

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

int var = 3;  
if ( var == 1 ) {  
   System.out.println( "Case: 1" );  
   System.out.println( "Execute until break" );  
} else if ( var == 2 ) {  
   System.out.println( "Case: 2" );  
   System.out.println( "Execute until break" );  
} else if ( var == 3 ) {  
   System.out.println( "Case: 3" );  
   System.out.println( "Execute until break" );  
} else if ( var == 4 ) {  
   System.out.println( "Case: 4" );  
   System.out.println( "Execute until break" );  
} else {  
   // -- This is the default part --  
   System.out.println( "Case: default" );  
   System.out.println( "Execute until break" );  
}

  
See also:

  * [Java Programming/Keywords/if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)

## synchronized

`[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)` is a keyword.

It marks a _critical section_. A _critical section_ is where one and only one thread is executing. So to enter into the marked code the threads are _synchronized_, only one can enter, the others have to wait. For more information see [Synchronizing Threads Methods](http://en.wikibooks.org/wiki/Java_Programming/Basic_Synchronization) or [[5]](http://java.sun.com/docs/books/tutorial/essential/concurrency/syncmeth.html).

The `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)` keyword can be used in two ways:

  * Create a `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)` block
  * Mark a method `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)`

A `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)` block is marked as:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 1: Synchronized block.**

  1.     synchronized(<object_reference>) {
    

  2.        // Thread.currentThread() has a lock on object_reference. All other threads trying to access it will
    

  3.        // be blocked until the current thread releases the lock.
    

  4.     }
    

The syntax to mark a method `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)` is:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 2: Synchronized method.**

  1.     public synchronized void method() {
    

  2.        // Thread.currentThread() has a lock on this object, i.e. a synchronized method is the same as
    

  3.        // calling { synchronized(this) {…} }.
    

  4.     }
    

The synchronization is always associated to an object. If the method is static, the associated object is the class. If the method is non-static, the associated object is the instance. While it is allowed to declare an `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)` method as `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)`, it is meaningless to do so since synchronization is an aspect of the implementation, not the declaration, and abstract methods do not have an implementation.

## [Singleton](http://en.wikipedia.org/wiki/Singleton_pattern) example

As an example, we can show a thread-safe version of a singleton:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 1: Singleton.java**

  1.     /**
    

  2.      * The singleton class that can be instantiated only once with lazy instantiation
    

  3.      */
    

  4.     public class Singleton {
    

  5.         /** Static class instance */
    

  6.         private volatile static Singleton instance = null;
    

  7.      
    

  8.         /**
    

  9.          * Standard private constructor
    

  10.          */
    

  11.         private Singleton() {
    

  12.             // Some initialisation
    

  13.         }
    

  14.      
    

  15.         /**
    

  16.          * Getter of the singleton instance
    

  17.          * @return The only instance
    

  18.          */
    

  19.         public static Singleton getInstance() {
    

  20.             if (instance == null) {
    

  21.                 // If the instance does not exist, go in time-consuming
    

  22.                 // section:
    

  23.                 synchronized (Singleton.class) {
    

  24.                     if (instance == null) {
    

  25.                         instance = new Singleton();
    

  26.                     }
    

  27.                 }
    

  28.             }
    

  29.      
    

  30.             return instance;
    

  31.         }
    

  32.      }
    

## this

`[this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this)` is a Java keyword. It contains the current object reference.

  1. Solves ambiguity between instance variables and parameters .
  2. Used to pass current object as a parameter to another method .

Syntax:
    
    
    [this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this).method();
    or
    [this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this).variable;
    
    

Example #1 for case 1:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class MyClass  
 {  
    //...  
    private String value;  
    //...  
    public void setMemberVar( String value )  
    {  
        this.value= value;  
    }  
 }

Example #2 for case 1:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class MyClass  
 {  
    MyClass(int a, int b) {  
        System.out.println("int a: " + a);  
        System.out.println("int b: " + b);  
    }  
    MyClass(int a) {  
        this(a, 0);  
    }  
    //...  
    public static void main(String[] args) {  
        new MyClass(1, 2);  
        new MyClass(5);  
    }  
 }

## throw

`[throw](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throw)` is a keyword. It 'throws' an exception.

Syntax:
    
    
    [throw](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throw) <Exception Ref>;
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public Customer findCustomer( String name ) throws '''CustomerNotFoundException'''  
 {  
    Customer custRet = null;  
   
    Iterator iter = _customerList.iterator();  
    while ( iter.hasNext() )  
    {  
        Customer cust = (Customer) iter.next();  
        if ( cust.getName().equals( name ) )  
        {  
           // --- Customer find --  
           custRet = cust;  
           break;  
        }  
     }  
     if ( custRet == null )  
     {  
        // --- Customer not found ---  
        throw new '''CustomerNotFoundException'''( "Customer "+ name + "was not found" );  
     }  
   
    return custRet  
  }

See also:

  * [Java Programming/Keywords/throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)

## throws

`[throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)` is a Java keyword. It is used in a method definition to declare the Exceptions to be thrown by the method.

Syntax:
    
    
    public myMethod() [throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws) MyException1, MyException2
    {
      ...
    }
    

Example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

class MyDefinedException extends Exception  
 {  
  public MyDefinedException(String str)  
  {  
     super(str);  
  }    
 }  
  
 public class MyClass  
 {  
    public static void showMyName(String str) throws MyDefinedException  
    {  
          if(str.equals("What is your Name?"))  
                throw new MyDefinedException("My name is Blah Blah");  
    }  
    public static void main(String a[])  
    {  
       try  
       {  
          showMyName("What is your Name?");  
       }  
       catch(MyDefinedException mde)  
       {  
          mde.printStackTrace();  
       }  
     }  
 }

## transient

`[transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient)` is a Java keyword which marks a member variable not to be serialized when it is persisted to streams of bytes. When an object is transferred through the network, the object needs to be 'serialized'. Serialization converts the object state to serial bytes. Those bytes are sent over the network and the object is recreated from those bytes. Member variables marked by the java `[transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient)` keyword are not transferred, they are lost intentionally.

Syntax:
    
    
    [private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private) [transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient) <member-variable>;
    or 
    [transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient) [private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private) <member-variable>;
    

  
For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class Foo implements Serializable  
 {  
   private String saveMe;  
   private transient String dontSaveMe;  
   private transient String password;  
   //...  
 }

See also:

  * Java language specification reference: [jls](http://java.sun.com/docs/books/jls/third_edition/html/classes.html#8.3.1.3)
  * Serializable Interface. [Serializable](http://en.wikipedia.org/wiki/Serialization#Java)

## try

`[try](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)` is a keyword.

It starts a try block. If an Exception is thrown inside a try block, the Exception will be compared any of the catch part of the block. If the Exception match with one of the Exception in the catch part, the exception will be handled there.

Three things can happen in a try block:

  * No exception is thrown: 
    * the code in the try block
    * plus the code in the finally block will be executed
    * plus the code after the try-catch block is executed
  * An exception is thrown and a match is found among the catch blocks: 
    * the code in the try block until the exception occurred is executed
    * plus the matched catch block is executed
    * plus the finally block is executed
    * plus the code after the try-catch block is executed
  * An exception is thrown and no match found among the catch blocks: 
    * the code in the try block until the exception occurred is executed
    * plus the finally block is executed
    * **NO CODE** after the try-catch block is executed

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public void method() throws NoMatchedException  
 {  
   try {  
     //...  
     throw new '''MyException_1'''();  
     //...  
   } catch ( MyException_1 e ) {  
     // --- '''Handle the Exception_1 here''' --  
   } catch ( MyException_2 e ) {  
     // --- Handle the Exception_2 here --  
   } finally {  
     // --- This will always be executed no matter what --  
   }  
   // --- Code after the try-catch block  
 }

How the catch-blocks are evaluated see [Catching Rule](http://en.wikibooks.org/wiki/Java_Programming/Throwing_and_Catching_Exceptions#Catching_Rule)

See also:

  * [Java Programming/Keywords/catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)
  * [Java Programming/Keywords/finally](http://en.wikibooks.org/wiki/Java_Programming/Keywords/finally)
  * [Java Programming/Throwing and Catching Exceptions#Catching Rule](http://en.wikibooks.org/wiki/Java_Programming/Throwing_and_Catching_Exceptions#Catching_Rule)

## void

`[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)` is a Java keyword.

Used at method declaration and definition to specify that the method does not return any type, the method returns `[void](http://en.wikibooks.org/wiki/Java_Programming/Keywords/void)`. It is not a type and there is no void references/pointers as in C/C++.

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public void method()  
 {  
   //...  
   return;   // -- In this case the return is optional  
 }

See also:

  * [Java Programming/Keywords/return](http://en.wikibooks.org/wiki/Java_Programming/Keywords/return)

## volatile

`[volatile](http://en.wikibooks.org/wiki/Java_Programming/Keywords/volatile)` is a keyword.

When member variables are marked with this keyword, it changes the runtime behavior in a way that is noticeable when multiple threads access these variables. Without the volatile keyword, one thread could observe another thread update member variables in an order that is not consistent with what is specified in sourcecode. Unlike the synchronized keyword, concurrent access to a volatile field is allowed.

Syntax:
    
    
    [private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private) [volatile](http://en.wikibooks.org/wiki/Java_Programming/Keywords/volatile) <member-variable>;
    or 
    [volatile](http://en.wikibooks.org/wiki/Java_Programming/Keywords/volatile) [private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private) <member-variable>;
    

  
For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

private volatile changingVar;

  
See also:

  * [Java Programming/Keywords/synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)

## while

`[while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)` is a Java keyword.

It starts a looping block.

The general syntax of a `[while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while)`, using [Extended Backus-Naur Form](http://en.wikibooks.org/wiki/Programming_Languages/Syntax_Specification), is
    
    
    while-looping-statement ::= [while](http://en.wikibooks.org/wiki/Java_Programming/Keywords/while) _condition-clause_ 
                                        _single-statement_ | _block-statement_
     
    condition-clause    ::= **(** Boolean Expression **)**
    single-statement    ::= [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements)
    block-statement     ::= **{** [Statement](http://en.wikibooks.org/wiki/Java_Programming/Statements) [ [Statements](http://en.wikibooks.org/wiki/Java_Programming/Statements) ] **}**
    

For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

while ( i < maxLoopIter )  
 {  
    System.println("Iter=" +i++);  
 }

See also:

  * [Java Programming/Statements](http://en.wikibooks.org/wiki/Java_Programming/Statements)
  * [Java Programming/Keywords/for](http://en.wikibooks.org/wiki/Java_Programming/Keywords/for)
  * [Java Programming/Keywords/do](http://en.wikibooks.org/wiki/Java_Programming/Keywords/do)

  


  


# Packages

If your application becomes quite big, you may have lots of classes. Although you can browse them in their alphabetic order, it becomes confusing. So your application classes can be sorted into _packages_.

A package is a name space that mainly contains classes and interfaces. For instance, the standard class `ArrayList` is in the package `java.util`. For this class, `java.util.ArrayList` is called its _fully qualified name_ because this syntax has no ambiguity. Classes in different packages can have the same name. For example, you have the two classes `java.util.Date` and `java.sql.Date` which are not the same. If no package is declared in a class, its package is the default package.

## Package declaration

In a class, a package is declared at the top of the source code using the keyword `[package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package)`:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.14: BusinessClass.java**

  1.     package business;
    

  2.      
    

  3.     public class BusinessClass {
    

  4.     }
    

If your class is declared in a package, say `business`, your class must be placed in a subfolder called `business` from the root of your application folder. This is how the compiler and the class loader find the Java files on the file system. You can declare your class in a subpackage, say `engine`. So the full package is `business.engine` and the class must be placed in a subsubfolder called `engine` in the subfolder `business` (not in a folder called `business.engine`).

## Import and class usage

The simpliest way to use a class declared in a package is to prefix the class name with its package:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.88: Package declaration.**

  1.     business.BusinessClass myBusinessClass = new business.BusinessClass();
    

If you are using the class from a class in the same package, you don't have to specify the package. If another class with the same name exists in another package, it will use the local class.

The syntax above is a bit verbose. You can import the class by using the `[import](http://en.wikibooks.org/wiki/Java_Programming/Keywords/import)` Java keyword at the top of the file and then only specify its name:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.15: MyClass.java**

  1.     import business.BusinessClass;
    

  2.      
    

  3.     public class MyClass {
    

  4.       public static void main(String[] args) {
    

  5.         BusinessClass myBusinessClass = new BusinessClass();
    

  6.       }
    

  7.     }
    

Note that you can't import two classes with the same name in two different packages.

The classes `Integer` and `String` belongs to the package `java.lang` but they don't need to be imported as the `java.lang` package is implicitly imported in all classes.

## Wildcard imports

It is possible to import an entire package, using an asterisk:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.89: Wildcard imports.**

  1.     import javax.swing.*;
    

While it may seem convenient, it may cause problems if you make a typographical error. For example, if you use the above import to use JFrame, but then type `JFraim frame = new JFraim();`, the Java compiler will report an error similar to "Cannot find symbol: JFraim". Even though it seems as if it was imported, the compiler is giving the error report at the first mention of JFraim, which is half-way through your code, instead of the point where you imported JFrame along with everything else in javax.swing.

If you change this to `import javax.swing.JFraim;` the error will be at the import instead of within your code.

Furthermore, if you `import javax.swing.*;` and `import java.util.*;`, and javax.swing.Queue is later added in a future version of Java, your code that uses Queue (java.util) will fail to compile. This particular example is fairly unlikely, but if you are working with non-Oracle libraries, it may be more likely to happen.

## Package convention

A package name should start with a lower character. This eases to distinguish a package from a class name. In some operating systems, the directory names are not case sensitive. So package names should be lowercase.

The Java package needs to be unique across Vendors to avoid name collisions. For that reason Vendors usually use their domain name in reverse order. That is guaranteed to be unique. For example a company called _Your Company Inc._, would use a package name something like this: `com.yourcompany.yourapplicationname.yourmodule.YourClass`.

## Importing packages from .jar files

If you are importing library packages or classes that reside in a `.jar` file, you must ensure that the file is in the current classpath (both at compile- and execution-time). Apart from this requirement, importing these packages and classes is the same as if they were in their full, expanded, directory structure.

For example, to compile and run a class from a project's top directory (that contains the two directories `/source` and `/libraries`) you could use the following command:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Compilation**
    
    
    $ javac -classpath libraries/lib.jar source/MainClass.java
    

And then to run it, similarly:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Execution**
    
    
    $ java -classpath libraries/lib.jar source/MainClass
    

The above is simplified, and demands that `MainClass` be in the default package, or a package called `source`, which isn't very desirable.

## Class loading/package

The runtime identity of a class in Java is defined by the fully qualified class name and its defining class loader. This means that the same class, loaded by two different class loaders, is seen by the Virtual Machine as two completely different types.

  


  


# Arrays

An **array** is similar to a table of objects or primitive types, keyed by index. You may have noticed the strange parameter of the default `main()` method (`String[] args`) since the beginning of the book. It is an array. Let's handle this parameter:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.15: The default array parameter.**

  1.     public class ArrayExample {
    

  2.       public static void main(String[] args) {
    

  3.         for (int i = 0; i < args.length; ++i) {
    

  4.           System.out.println("Argument #" + (i + 1) + ": " + args[i]);
    

  5.         }
    

  6.       }
    

  7.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 3.15**
    
    
    $ java ArrayExample This is a test
    Argument #1 This
    Argument #2 is
    Argument #3 a
    Argument #4 test
    

In the [code listing 3.15](Print_version.html#code-listing-15), the array is `args`. It is an array of `String` objects (here those objects are the words that have been typed by the user at the program launching). At line 4, One contained object is accessed using its index in the array. You can see that its value is printed on the standard output. Note that the strings have been put in the array with the right order.

## Fundamentals

In Java, an array is an object. This object has a given type for the contained primitive types or objects (`int`, `char`, `String`, ...). An array can be declared in several ways:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.52: Array declarations.**

  1.     int[] array1 = null;
    

  2.     int array2[] = null;
    

Those syntaxes are identical but the first one is recommended. It can also be instantiated in several ways:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.53: Array instantiations.**

  1.     array1 = new int[10];
    

  2.     array1 = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
    

At line 1, we instantiate an array of 10 items with non-initialized items. At line 2, we instantiate an array of 10 given items. It will each be given an index according to its order. We can know the size of the array using the `length` attribute:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.54: The array size.**

  1.     int nbItems = 10;
    

  2.     Object[] array3 = new Object[nbItems];
    

  3.     System.out.println(array3.length);
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for Code section 3.54**
    
    
    10
    

Arrays are allocated at runtime, so the specified size in an array creation expression may be a variable (rather than a constant expression as in C). However, the size of an instantiated array never changes. If you need to change the size, you have to create a new instance. Items can be accessed by their index. Beware! The first index is 0:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.55: The array indexes.**

  1.     char[] array4 = {'a', 'b', 'c', 'd', 'e'};
    

  2.     System.out.println(array4[2]);
    

  3.     array4[4] = 'z';
    

  4.     System.out.println(array4[4]);
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for Code section 3.55**
    
    
    c
    z
    

If you attempt to access to a too high index or negative index, you will get an `ArrayIndexOutOfBoundsException`.

Test your knowledge

**Question 3.20**: Consider the following code:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 3.20: Question20.java**

  1.     public class Question20 {
    

  2.       public static void main(String[] args) {
    

  3.         String[] listOfWord = {"beggars", "can't", "be", "choosers"};
    

  4.         System.out.println(listOfWord[1]);
    

  5.         System.out.println(listOfWord[listOfWord.length-1]);
    

  6.       }
    

  7.     }
    

What will be printed in the standard output?

Answer

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for Question 3.20**
    
    
    can't
    choosers
    

Indexes start at 0. So the index 1 point at the second string (`can't`). There are 4 items so the size of the array is 4. Hence the item pointed by the index 3 is the last one (`choosers`).

## Two-Dimensional Arrays

Actually, there is no two-dimensional arrays in Java. However, an array can contain any class of object, including an array:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.56: Two-dimensional arrays.**

  1.     String[][] twoDimArray = {{"a", "b", "c", "d", "e"},
    

  2.                               {"f", "g", "h", "i", "j"},
    

  3.                               {"k", "l", "m", "n", "o"}};
    

  4.      
    

  5.     int[][] twoDimIntArray = {{ 0,  1,  2,  3,  4},
    

  6.                               {10, 11, 12, 13, 14},
    

  7.                               {20, 21, 22, 23, 24}};
    

It's not exactly equivalent to two-dimensional arrays because the size of the sub-arrays may vary. The sub-array reference can even be null. Consider:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.57: Weird two-dimensional array.**

  1.     String[][] weirdTwoDimArray = {{"10", "11", "12"},
    

  2.                                    null,
    

  3.                                    {"20", "21", "22", "23", "24"}};
    

Note that the length of a two-dimensional array is the number of one-dimensional arrays it contains. In the above example, `weirdTwoDimArray.length` is 3, whereas `weirdTwoDimArray[2].length` is 5.

In the [code section 3.58](Print_version.html#code-section-58), we defined an array that has three elements, each element contains an array having 5 elements. We could create the array having the 5 elements first and use that one in the initialize block.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.58: Included array.**

  1.     String[] oneDimArray = {"00", "01", "02", "03", "04"};
    

  2.     String[][] twoDimArray = {oneDimArray,
    

  3.                               {"10", "11", "12", "13", "14"},
    

  4.                               {"20", "21", "22", "23", "24"}};
    

Test your knowledge

**Question 3.21**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.21: The alphabet.**

  1.     String[][] alphabet = {{"a", "b", "c", "d", "e"},
    

  2.                               {"f", "g", "h", "i", "j"},
    

  3.                               {"k", "l", "m", "n", "o"},
    

  4.                               {"p", "q", "r", "s", "t"},
    

  5.                               {"u", "v", "w", "x", "y"},
    

  6.                               {"z"}};
    

Print the whole alphabet in the standard output.

Answer

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 3.21: Answer21.java**

  1.     public class Answer21 {
    

  2.       public static void main(String[] args) {
    

  3.         String[][] alphabet = {{"a", "b", "c", "d", "e"},
    

  4.                               {"f", "g", "h", "i", "j"},
    

  5.                               {"k", "l", "m", "n", "o"},
    

  6.                               {"p", "q", "r", "s", "t"},
    

  7.                               {"u", "v", "w", "x", "y"},
    

  8.                               {"z"}};
    

  9.      
    

  10.         for (int i = 0; i < alphabet.length; i++) {
    

  11.           for (int j = 0; j < alphabet[i].length; j++) {
    

  12.             System.out.println(alphabet[i][j]);
    

  13.           }
    

  14.         }
    

  15.       }
    

  16.     }
    

`i` will be the indexes of the main array and `j` will be the indexes of all the sub-arrays. We have to first iterate on the main array. We have to read the size of the array. Then we iterate on each sub-array. We have to read the size of each array as it may vary. Doing so, we iterate on all the sub-array items using the indexes. All the items will be read in the right order.

## Multidimensional Array

Going further any number of dimensional array can be defined.

_**elementType**_[][]...[] _**arrayName**_

or

_**elementType**_ _**arrayName**_[][]...[]

  


  


# Mathematical functions

The `java.lang.Math` class allows for the use of many common mathematical functions that can be used while creating programs.

Since it is in the `java.lang` package, the `Math` class need not be imported. However, in programs extensively utilizing these functions, a static import can be used.

## Math constants

There are two constants in the `Math` class that are fairly accurate approximations of irrational mathematical numbers.

### Math.E

The `Math.E` constant, or the base of natural logarithms, represents the value of _e_, the base of the natural logarithms, about 2.718282.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.20: `Math.E`**

  1.     public static final double E = 2.718281828459045;
    

### Math.PI

The `Math.PI` constant represents the value of pi, the ratio of a circle's circumference to its diameter, about 3.14159265.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.21: `Math.PI`**

  1.     public static final double PI = 3.141592653589793;
    

## Math methods

### Exponential methods

There are several methods in the `Math` class that deal with exponential functions.

#### Exponentiation

The power method, ``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**pow**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`, `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)`, returns the first parameter to the power of the second parameter. For example, a call to `Math.pow(2, 10)` will return a value of 1024.

The ``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**exp**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` method, a special case of `pow`, returns _e_ to the power of the parameter. In addition, ``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**expm1**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` returns (_e_x \- 1). Both of these methods are more accurate and convenient in these special cases.

Java also provides special cases of the pow function for square roots and cube roots of `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`s, ``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**sqrt**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` and ``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**cbrt**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)`.

#### Logarithms

Java has no general logarithm function; when needed this can be simulated using the change-of-base theorem.

``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**log**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` returns the natural logarithm of the parameter (**not the common logarithm**, as its name suggests!).

``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**log10**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` returns the common (base-10) logarithm of the parameter.

``[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` Math.**log1p**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`)` returns ln(parameter+1). It is recommended for small values.

### Trigonometric and hyperbolic methods

The trigonometric methods of the `Math` class allow users to easily deal with trigonometric functions in programs. All accept only `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`s. Please note that all values using these methods are initially passed and returned in **radians**, _not degrees_. However, conversions are possible.

#### Trigonometric functions

The three main trigonometric methods are `Math.**sin**(x)`, `Math.**cos**(x)`, and `Math.**tan**(x)`, which are used to find the sine, cosine, and tangent, respectively, of any given number. So, for example, a call to `Math.sin(Math.PI/2)` would return a value of about 1. Although methods for finding the cosecant, secant, and cotangent are not available, these values can be found by taking the reciprocal of the sine, cosine, and tangent, respectively. For example, the cosecant of pi/2 could be found using `1/Math.sin(Math.PI/2)`.

#### Inverse trigonometric functions

Java provides inverse counterparts to the trigonometric functions: `Math.**asin**(x)`, and `Math.**acos**(x)`, `Math.**atan**(x)`.

#### Hyperbolic functions

In addition, hyperbolic functions are available: `Math.**sinh**(x)`, `Math.**cosh**(x)`, and `Math.**tanh**(x)`.

#### Radian/degree conversion

To convert between degree and radian measures of angles, two methods are available, `Math.**toRadians**(x)` and `Math.**toDegrees**(x)`. While using `Math.toRadians(x)`, a degrees value must be passed in, and that value in radians (the degree value multiplied by pi/180) will be returned. The `Math.toDegrees(x)` method takes in a value in radians and the value in degrees (the radian value multiplied by 180/pi) is returned.

### Absolute value: `Math.abs`

The absolute value method of the `Math` class is compatible with the `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`, `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`, and `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)` types. The data returned is the absolute value of parameter (how far away it is from zero) in the same date type. For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.22: `Math.abs`**

  1.     int result = Math.abs(-3);
    

In this example, `result` will contain a value of 3.

### Maximum and minimum values

These methods are very simple comparing functions. Instead of using `[if](http://en.wikibooks.org/wiki/Java_Programming/Keywords/if)`...`[else](http://en.wikibooks.org/wiki/Java_Programming/Keywords/else)` statements, one can use the `Math.max(x1, x2)` and `Math.min(x1, x2)` methods. The `Math.max(x1, x2)` simply returns the greater of the two values, while the `Math.min(x1, x2)` returns the lesser of the two. Acceptable types for these methods include `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`, `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`, and `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`.

## Functions dealing with floating-point representation

Java 1.5 and 1.6 introduced several non-mathematical functions specific to the computer floating-point representation of numbers.

`Math.**ulp**(`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)) and `Math.**ulp**(`[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)) return an ulp, the smallest value which, when added to the argument, would be recognized as larger than the argument.

`Math.copySign` returns the value of the first argument with the sign of the second argument. It can be used to determine the sign of a zero value.

`Math.getExponent` returns (as an `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`) the exponent used to scale the floating-point argument in computer representation.

## Rounding number example

Sometimes, we are not only interested in mathematically correct rounded numbers, but we want that a fixed number of significant digits are always displayed, regardless of the number used. Here is an example program that returns always the correct string. You are invited to modify it such that it does the same and is simpler!

The constant class contains repeating constants that should exist only once in the code so that to avoid inadvertent changes. (If the one constant is changed inadvertently, it is most likely to be seen, as it is used at several locations.)

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.20: Common.java**

  1.     /**
    

  2.      * Class that comprises of common constant values.
    

  3.      */
    

  4.     public class Common {
    

  5.     	/** Dash or minus constant */
    

  6.     	public static final char DASH = '-'; 
    

  7.     	/** The exponent sign in a scientific number, or the capital letter E */
    

  8.     	public static final char EXPONENT = 'E';
    

  9.     	/** The full stop or period */
    

  10.     	public static final char PERIOD = '.';
    

  11.     	/** The zero string constant used at several places */
    

  12.     	public static final String ZERO = "0";
    

  13.      
    

  14.     	/**
    

  15.     	 * Removes all occurrences of the filter character in the text.
    

  16.     	 *
    

  17.     	 * @param text Text to be filtered
    

  18.     	 * @param filter The character to be removed.
    

  19.     	 * @return the string
    

  20.     	 */
    

  21.     	public static String filter(final String text, final String filter) {
    

  22.     		final String[] words = text.split("[" + filter + "]");
    

  23.      
    

  24.     		switch (words.length) {
    

  25.     		case 0:
    

  26.     			return text;
    

  27.     		case 1:
    

  28.     			return words[0];
    

  29.     		default:
    

  30.     			final StringBuilder filteredText = new StringBuilder();
    

  31.      
    

  32.     			for (final String word : words) {
    

  33.     				filteredText.append(word);
    

  34.     			}
    

  35.      
    

  36.     			return filteredText.toString();
    

  37.     		}
    

  38.     	}
    

  39.     }
    

The Maths class is like an addition to the `java.lang.Math` class and contains the rounding calculations.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.21: Maths.java**

  1.     package common;
    

  2.      
    

  3.     /**
    

  4.      * Class for special mathematical calculations.<br/>
    

  5.      * ATTENTION:<br/>Should depend only on standard Java libraries!
    

  6.      *
    

  7.      * @version 2013-09-05
    

  8.      */
    

  9.     public class Maths {
    

  10.      
    

  11.     	// CONSTANTS
    

  12.     	// ------------------------------------------
    

  13.      
    

  14.     	/** The exponent sign in a scientific number, or the capital letter E. */
    

  15.     	public static final char EXPONENT = 'E';
    

  16.      
    

  17.     	/** Value after which the language switches from scientific to double */
    

  18.     	private static final double E_TO_DOUBLE = 1E-3;
    

  19.      
    

  20.     	/** The zero string constant used at several places. */
    

  21.     	public static final String ZERO = "0";
    

  22.      
    

  23.     	/** The string of zeros */
    

  24.     	private static final String ZEROS = "000000000000000000000000000000000";
    

  25.      
    

  26.     	// METHODS
    

  27.     	// ------------------------------------------
    

  28.      
    

  29.     	/**
    

  30.     	 * Determines, if the number uses a scientific representation.
    

  31.     	 *
    

  32.     	 * @param number the number
    

  33.     	 * @return true, if it is a scientific number, false otherwise
    

  34.     	 */
    

  35.     	private static boolean isScientific(final double number) {
    

  36.     		return ((new Double(number)).toString().indexOf(EXPONENT) > 0);
    

  37.     	}
    

  38.      
    

  39.     	/**
    

  40.     	 * Determines how many zeros are to be appended after the decimal digits.
    

  41.     	 *
    

  42.     	 * @param significantsAfter Requested significant digits after decimal
    

  43.     	 * @param separator Language-specific decimal separator
    

  44.     	 * @param number Rounded number
    

  45.     	 * @return Requested value
    

  46.     	 */
    

  47.     	private static byte calculateMissingSignificantZeros(
    

  48.     			final byte significantsAfter,
    

  49.     			final char separator,
    

  50.     			final double number) {
    

  51.      
    

  52.     		final byte after = findSignificantsAfterDecimal(separator, number);
    

  53.      
    

  54.     		final byte zeros =
    

  55.     				(byte) (significantsAfter - ((after == 0) ? 1 : after));
    

  56.      
    

  57.     		return ((zeros >= 0) ? zeros : 0);
    

  58.     	}
    

  59.      
    

  60.     	/**
    

  61.     	 * Finds the insignificant zeros after the decimal separator.
    

  62.     	 *
    

  63.     	 * @param separator Language-specific decimal separator
    

  64.     	 * @param number the number
    

  65.     	 * @return the byte
    

  66.     	 */
    

  67.     	private static byte findInsignificantZerosAfterDecimal(
    

  68.     			final char separator,
    

  69.     			final double number) {
    

  70.      
    

  71.     		if ((Math.abs(number) >= 1) || isScientific(number)) {
    

  72.     			return 0;
    

  73.     		} else {
    

  74.     			final StringBuilder string = new StringBuilder();
    

  75.      
    

  76.     			string.append(number);
    

  77.     			string.delete(0,
    

  78.     					string.indexOf(new Character(separator).toString()) + 1);
    

  79.      
    

  80.     			// Determine what to match:
    

  81.     			final String regularExpression = "[1-9]";
    

  82.      
    

  83.     			final String[] split = string.toString().split(regularExpression);
    

  84.      
    

  85.     			return (split.length > 0) ? (byte) split[0].length() : 0;
    

  86.     		}
    

  87.     	}
    

  88.      
    

  89.     	/**
    

  90.     	 * Calculates the number of all significant digits (without the sign and
    

  91.     	 * the decimal separator).
    

  92.     	 *
    

  93.     	 * @param significantsAfter Requested significant digits after decimal
    

  94.     	 * @param separator Language-specific decimal separator
    

  95.     	 * @param number Value where the digits are to be counted
    

  96.     	 * @return Number of significant digits
    

  97.     	 */
    

  98.     	private static byte findSignificantDigits(final byte significantsAfter,
    

  99.     			final char separator,
    

  100.     			final double number) {
    

  101.      
    

  102.     		if (number == 0) return 0;
    

  103.     		else {
    

  104.     			String mantissa =
    

  105.     					findMantissa(separator, new Double(number).toString());
    

  106.      
    

  107.     			if (number == (long)number) {
    

  108.     				mantissa = mantissa.substring(0, mantissa.length() - 1);
    

  109.     			}
    

  110.      
    

  111.     			mantissa = retrieveDigits(separator, mantissa);
    

  112.     			// Find the position of the first non-zero digit:
    

  113.     			short nonZeroAt = 0;
    

  114.      
    

  115.     			for (; (nonZeroAt < mantissa.length())
    

  116.     					&& (mantissa.charAt(nonZeroAt) == '0'); nonZeroAt++) ;
    

  117.      
    

  118.     			return (byte)mantissa.substring(nonZeroAt).length();
    

  119.     		}
    

  120.     	}
    

  121.      
    

  122.     	/**
    

  123.     	 * Determines the number of significant digits after the decimal separator
    

  124.     	 * knowing the total number of significant digits and the number before the
    

  125.     	 * decimal separator.
    

  126.     	 *
    

  127.     	 * @param significantsBefore Number of significant digits before separator
    

  128.     	 * @param significantDigits Number of all significant digits
    

  129.     	 * @return Number of significant decimals after the separator
    

  130.     	 */
    

  131.     	private static byte findSignificantsAfterDecimal(
    

  132.     			final byte significantsBefore,
    

  133.     			final byte significantDigits) {
    

  134.      
    

  135.     		final byte afterDecimal =
    

  136.     				(byte) (significantDigits - significantsBefore);
    

  137.      
    

  138.     		return (byte) ((afterDecimal > 0) ? afterDecimal : 0);
    

  139.     	}
    

  140.      
    

  141.     	/**
    

  142.     	 * Determines the number of digits before the decimal point.
    

  143.     	 *
    

  144.     	 * @param separator Language-specific decimal separator
    

  145.     	 * @param number Value to be scrutinised
    

  146.     	 * @return Number of digits before the decimal separator
    

  147.     	 */
    

  148.     	private static byte findSignificantsBeforeDecimal(final char separator,
    

  149.     			final double number) {
    

  150.      
    

  151.     		final String value = new Double(number).toString();
    

  152.      
    

  153.     		// Return immediately, if result is clear: Special handling at
    

  154.     		// crossroads of floating point and exponential numbers:
    

  155.     		if ((number == 0) || (Math.abs(number) >= E_TO_DOUBLE)
    

  156.     				&& (Math.abs(number) < 1)) {
    

  157.      
    

  158.     			return 0;
    

  159.     		} else if ((Math.abs(number) > 0) && (Math.abs(number) < E_TO_DOUBLE)) {
    

  160.     			return 1;
    

  161.     		} else {
    

  162.     			byte significants = 0;
    

  163.     			// Significant digits to the right of decimal separator:
    

  164.     			for (byte b = 0; b < value.length(); b++) {
    

  165.     				if (value.charAt(b) == separator) {
    

  166.     					break;
    

  167.     				} else if (value.charAt(b) != Common.DASH) {
    

  168.     					significants++;
    

  169.     				}
    

  170.     			}
    

  171.      
    

  172.     			return significants;
    

  173.     		}
    

  174.     	}
    

  175.      
    

  176.     	/**
    

  177.     	 * Returns the exponent part of the double number.
    

  178.     	 *
    

  179.     	 * @param number Value of which the exponent is of interest
    

  180.     	 * @return Exponent of the number or zero.
    

  181.     	 */
    

  182.     	private static short findExponent(final double number) {
    

  183.     		return new Short(findExponent((new Double(number)).toString()));
    

  184.     	}
    

  185.      
    

  186.     	/**
    

  187.     	 * Finds the exponent of a number.
    

  188.     	 *
    

  189.     	 * @param value Value where an exponent is to be searched
    

  190.     	 * @return Exponent, if it exists, or "0".
    

  191.     	 */
    

  192.     	private static String findExponent(final String value) {
    

  193.     		final short exponentAt = (short) value.indexOf(EXPONENT);
    

  194.      
    

  195.     		if (exponentAt < 0) {
    

  196.     			return ZERO;
    

  197.     		} else {
    

  198.     			return value.substring(exponentAt + 1);
    

  199.     		}
    

  200.     	}
    

  201.      
    

  202.     	/**
    

  203.     	 * Finds the mantissa of a number.
    

  204.     	 *
    

  205.     	 * @param separator Language-specific decimal separator
    

  206.     	 * @param value Value where the mantissa is to be found
    

  207.     	 * @return Mantissa of the number
    

  208.     	 */
    

  209.     	private static String findMantissa(final char separator,
    

  210.     			final String value) {
    

  211.      
    

  212.     		String strValue = value;
    

  213.      
    

  214.     		final short exponentAt = (short) strValue.indexOf(EXPONENT);
    

  215.      
    

  216.     		if (exponentAt > -1) {
    

  217.     			strValue = strValue.substring(0, exponentAt);
    

  218.     		}
    

  219.      
    

  220.     		return strValue;
    

  221.     	}
    

  222.      
    

  223.     	/**
    

  224.     	 * Retrieves the digits of the value without decimal separator or sign.
    

  225.     	 *
    

  226.     	 * @param separator
    

  227.     	 * @param number Mantissa to be scrutinised
    

  228.     	 * @return The digits only
    

  229.     	 */
    

  230.     	private static String retrieveDigits(final char separator, String number) {
    

  231.     		// Strip off exponent part, if it exists:
    

  232.     		short eAt = (short)number.indexOf(EXPONENT);
    

  233.      
    

  234.     		if (eAt > -1) {
    

  235.     			number = number.substring(0, eAt);
    

  236.     		}
    

  237.      
    

  238.     		return number.replace((new Character(Common.DASH)).toString(), "").
    

  239.     				replace((new Character(separator)).toString(), "");
    

  240.     	}
    

  241.      
    

  242.      
    

  243.     	// ---- Public methods ----------------------
    

  244.      
    

  245.     	/**
    

  246.     	 * Returns the number of digits in the long value.
    

  247.     	 *
    

  248.     	 * @param value the value
    

  249.     	 * @return the byte
    

  250.     	 */
    

  251.     	public static byte digits(final long value) {
    

  252.     		return (byte) Common.filter(Long.toString(value), ".,").length();
    

  253.     	}
    

  254.      
    

  255.     	/**
    

  256.     	 * Finds the significant digits after the decimal separator of a mantissa.
    

  257.     	 *
    

  258.     	 * @param separator Language-specific decimal separator
    

  259.     	 * @param number Value to be scrutinised
    

  260.     	 * @return Number of significant zeros after decimal separator.
    

  261.     	 */
    

  262.     	public static byte findSignificantsAfterDecimal(final char separator,
    

  263.     			final double number) {
    

  264.      
    

  265.     		if (number == 0) {
    

  266.     			return 1;
    

  267.     		} else {
    

  268.     			String value = (new Double(number)).toString();
    

  269.      
    

  270.     			final short separatorAt = (short) value.indexOf(separator);
    

  271.      
    

  272.     			if (separatorAt > -1) {
    

  273.     				value = value.substring(separatorAt + 1);
    

  274.     			}
    

  275.      
    

  276.     			final short exponentAt = (short) value.indexOf(EXPONENT);
    

  277.      
    

  278.     			if (exponentAt > 0) {
    

  279.     				value = value.substring(0, exponentAt);
    

  280.     			}
    

  281.      
    

  282.     			final Long longValue = new Long(value).longValue();
    

  283.      
    

  284.     			if (Math.abs(number) < 1) {
    

  285.     				return (byte) longValue.toString().length();
    

  286.     			} else if (longValue == 0) {
    

  287.     				return 0;
    

  288.     			} else {
    

  289.     				return (byte) (("0." + value).length() - 2);
    

  290.     			}
    

  291.     		}
    

  292.     	}
    

  293.      
    

  294.     	/**
    

  295.     	 * Calculates the power of the base to the exponent without changing the
    

  296.     	 * least-significant digits of a number.
    

  297.     	 *
    

  298.     	 * @param basis
    

  299.     	 * @param exponent
    

  300.     	 * @return basis to power of exponent
    

  301.     	 */
    

  302.     	public static double power(final int basis, final short exponent) {
    

  303.     		return power((short) basis, exponent);
    

  304.     	}
    

  305.      
    

  306.     	/**
    

  307.     	 * Calculates the power of the base to the exponent without changing the
    

  308.     	 * least-significant digits of a number.
    

  309.     	 *
    

  310.     	 * @param basis the basis
    

  311.     	 * @param exponent the exponent
    

  312.     	 * @return basis to power of exponent
    

  313.     	 */
    

  314.     	public static double power(final short basis, final short exponent) {
    

  315.     		if (basis == 0) {
    

  316.     			return (exponent != 0) ? 1 : 0;
    

  317.     		} else {
    

  318.     			if (exponent == 0) {
    

  319.     				return 1;
    

  320.     			} else {
    

  321.     				// The Math method power does change the least significant
    

  322.     				// digits after the decimal separator and is therefore useless.
    

  323.     				double result = 1;
    

  324.     				short s = 0;
    

  325.      
    

  326.     				if (exponent > 0) {
    

  327.     					for (; s < exponent; s++) {
    

  328.     						result *= basis;
    

  329.     					}
    

  330.     				} else if (exponent < 0) {
    

  331.     					for (s = exponent; s < 0; s++) {
    

  332.     						result /= basis;
    

  333.     					}
    

  334.     				}
    

  335.      
    

  336.     				return result;
    

  337.     			}
    

  338.     		}
    

  339.     	}
    

  340.      
    

  341.     	/**
    

  342.     	 * Rounds a number to the decimal places.
    

  343.     	 *
    

  344.     	 * @param significantsAfter Requested significant digits after decimal
    

  345.     	 * @param separator Language-specific decimal separator
    

  346.     	 * @param number Number to be rounded
    

  347.     	 * @return Rounded number to the requested decimal places
    

  348.     	 */
    

  349.     	public static double round(final byte significantsAfter,
    

  350.     			final char separator,
    

  351.     			final double number) {
    

  352.      
    

  353.     		if (number == 0) {
    

  354.     			return 0;
    

  355.     		} else {
    

  356.     			final double constant = power(10, (short)
    

  357.     					(findInsignificantZerosAfterDecimal(separator, number)
    

  358.     							+ significantsAfter));
    

  359.     			final short dExponent = findExponent(number);
    

  360.      
    

  361.     			short exponent = dExponent;
    

  362.      
    

  363.     			double value = number*constant*Math.pow(10, -exponent);
    

  364.     			final String exponentSign =
    

  365.     					(exponent < 0) ? String.valueOf(Common.DASH) : "";
    

  366.      
    

  367.     			if (exponent != 0) {
    

  368.     				exponent = (short) Math.abs(exponent);
    

  369.      
    

  370.     				value = round(value);
    

  371.     			} else {
    

  372.     				value = round(value)/constant;
    

  373.     			}
    

  374.      
    

  375.     			// Power method cannot be used, as the exponentiated number may
    

  376.     			// exceed the maximal long value.
    

  377.     			exponent -= Math.signum(dExponent)*(findSignificantDigits
    

  378.     					(significantsAfter, separator, value) - 1);
    

  379.      
    

  380.     			if (dExponent != 0) {
    

  381.     				String strValue = Double.toString(value);
    

  382.      
    

  383.     				strValue = strValue.substring(0, strValue.indexOf(separator))
    

  384.     						+ EXPONENT + exponentSign + Short.toString(exponent);
    

  385.      
    

  386.     				value = new Double(strValue);
    

  387.     			}
    

  388.      
    

  389.     			return value;
    

  390.     		}
    

  391.     	}
    

  392.      
    

  393.     	/**
    

  394.     	 * Rounds a number according to mathematical rules.
    

  395.     	 *
    

  396.     	 * @param value the value
    

  397.     	 * @return the double
    

  398.     	 */
    

  399.     	public static double round(final double value) {
    

  400.     		return (long) (value + .5);
    

  401.     	}
    

  402.      
    

  403.     	/**
    

  404.     	 * Rounds to a fixed number of significant digits.
    

  405.     	 *
    

  406.     	 * @param significantDigits Requested number of significant digits
    

  407.     	 * @param separator Language-specific decimal separator
    

  408.     	 * @param dNumber Number to be rounded
    

  409.     	 * @return Rounded number
    

  410.     	 */
    

  411.     	public static String roundToString(final byte significantDigits,
    

  412.     			final char separator,
    

  413.     			double dNumber) {
    

  414.     		// Number of significants that *are* before the decimal separator:
    

  415.     		final byte significantsBefore =
    

  416.     			findSignificantsBeforeDecimal(separator, dNumber);
    

  417.     		// Number of decimals that *should* be after the decimal separator:
    

  418.     		final byte significantsAfter = findSignificantsAfterDecimal(
    

  419.     				significantsBefore, significantDigits);
    

  420.     		// Round to the specified number of digits after decimal separator:
    

  421.     		final double rounded = Maths.round(significantsAfter, separator, dNumber);
    

  422.      
    

  423.     		final String exponent = findExponent((new Double(rounded)).toString());
    

  424.     		final String mantissa = findMantissa(separator,
    

  425.     						(new Double(rounded)).toString());
    

  426.      
    

  427.     		final double dMantissa = new Double(mantissa).doubleValue();
    

  428.     		final StringBuilder result = new StringBuilder(mantissa);
    

  429.     		// Determine the significant digits in this number:
    

  430.     		final byte significants = findSignificantDigits(significantsAfter,
    

  431.     				separator, dMantissa);
    

  432.     		// Add lagging zeros, if necessary:
    

  433.     		if (significants <= significantDigits) {
    

  434.     			if (significantsAfter != 0) {
    

  435.     				result.append(ZEROS.substring(0,
    

  436.     						calculateMissingSignificantZeros(significantsAfter,
    

  437.     								separator, dMantissa)));
    

  438.     			} else {
    

  439.     				// Cut off the decimal separator & after decimal digits:
    

  440.     				final short decimal = (short) result.indexOf(
    

  441.     						new Character(separator).toString());
    

  442.      
    

  443.     				if (decimal > -1) {
    

  444.     					result.setLength(decimal);
    

  445.     				}
    

  446.     			}
    

  447.     		} else if (significantsBefore > significantDigits) {
    

  448.     			dNumber /= power(10, (short) (significantsBefore - significantDigits));
    

  449.      
    

  450.     			dNumber = round(dNumber);
    

  451.      
    

  452.     			final short digits =
    

  453.     					(short) (significantDigits + ((dNumber < 0) ? 1 : 0));
    

  454.      
    

  455.     			final String strDouble = (new Double(dNumber)).toString().substring(0, digits);
    

  456.      
    

  457.     			result.setLength(0);
    

  458.     			result.append(strDouble + ZEROS.substring(0,
    

  459.     					significantsBefore - significantDigits));
    

  460.     		}
    

  461.      
    

  462.     		if (new Short(exponent) != 0) {
    

  463.     			result.append(EXPONENT + exponent);
    

  464.     		}
    

  465.      
    

  466.     		return result.toString();
    

  467.     	} // public static String roundToString(…)
    

  468.      
    

  469.     	/**
    

  470.     	 * Rounds to a fixed number of significant digits.
    

  471.     	 *
    

  472.     	 * @param separator Language-specific decimal separator
    

  473.     	 * @param significantDigits Requested number of significant digits
    

  474.     	 * @param value Number to be rounded
    

  475.     	 * @return Rounded number
    

  476.     	 */
    

  477.     	public static String roundToString(final char separator,
    

  478.     			final int significantDigits,
    

  479.     			float value) {
    

  480.      
    

  481.     		return roundToString((byte)significantDigits, separator,
    

  482.     				(double)value);
    

  483.     	}
    

  484.     } // class Maths
    

The code is tested with the following [JUnit](http://en.wikipedia.org/wiki/JUnit) test:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.22: MathsTest.java**

  1.     package common;
    

  2.      
    

  3.     import static org.junit.Assert.assertEquals;
    

  4.     import static org.junit.Assert.assertFalse;
    

  5.     import static org.junit.Assert.assertTrue;
    

  6.      
    

  7.     import java.util.Vector;
    

  8.      
    

  9.     import org.junit.Test;
    

  10.      
    

  11.     /**
    

  12.      * The JUnit test for the <code>Maths</code> class.
    

  13.      *
    

  14.      * @since 2013-03-26
    

  15.      * @version 2013-09-05
    

  16.      */
    

  17.     public class MathsTest {
    

  18.      
    

  19.     	/**
    

  20.     	 * Method that adds a negative and a positive value to values.
    

  21.     	 *
    

  22.     	 * @param d the double value
    

  23.     	 * @param values the values
    

  24.     	 */
    

  25.     	private static void addValue(final double d, Vector<Double> values) {
    

  26.     		values.add(-d);
    

  27.     		values.add(d);
    

  28.     	}
    

  29.      
    

  30.     	// Public methods ------
    

  31.      
    

  32.     	/**
    

  33.     	 * Tests the round method with a double parameter.
    

  34.     	 */
    

  35.     	@Test
    

  36.     	public void testRoundToStringDoubleByteCharDouble() {
    

  37.     		// Test rounding
    

  38.     		final Vector<Double> values = new Vector<Double>();
    

  39.     		final Vector<String> strValues = new Vector<String>();
    

  40.      
    

  41.     		values.add(0.0);
    

  42.     		strValues.add("0.00000");
    

  43.     		addValue(1.4012984643248202e-45, values);
    

  44.     		strValues.add("-1.4012E-45");
    

  45.     		strValues.add("1.4013E-45");
    

  46.     		addValue(1.999999757e-5, values);
    

  47.     		strValues.add("-1.9999E-5");
    

  48.     		strValues.add("2.0000E-5");
    

  49.     		addValue(1.999999757e-4, values);
    

  50.     		strValues.add("-1.9999E-4");
    

  51.     		strValues.add("2.0000E-4");
    

  52.     		addValue(1.999999757e-3, values);
    

  53.     		strValues.add("-0.0019999");
    

  54.     		strValues.add("0.0020000");
    

  55.     		addValue(0.000640589, values);
    

  56.     		strValues.add("-6.4058E-4");
    

  57.     		strValues.add("6.4059E-4");
    

  58.     		addValue(0.3396899998188019, values);
    

  59.     		strValues.add("-0.33968");
    

  60.     		strValues.add("0.33969");
    

  61.     		addValue(0.34, values);
    

  62.     		strValues.add("-0.33999");
    

  63.     		strValues.add("0.34000");
    

  64.     		addValue(7.07, values);
    

  65.     		strValues.add("-7.0699");
    

  66.     		strValues.add("7.0700");
    

  67.     		addValue(118.188, values);
    

  68.     		strValues.add("-118.18");
    

  69.     		strValues.add("118.19");
    

  70.     		addValue(118.2, values);
    

  71.     		strValues.add("-118.19");
    

  72.     		strValues.add("118.20");
    

  73.     		addValue(123.405009, values);
    

  74.     		strValues.add("-123.40");
    

  75.     		strValues.add("123.41");
    

  76.     		addValue(30.76994323730469, values);
    

  77.     		strValues.add("-30.769");
    

  78.     		strValues.add("30.770");
    

  79.     		addValue(130.76994323730469, values);
    

  80.     		strValues.add("-130.76");
    

  81.     		strValues.add("130.77");
    

  82.     		addValue(540, values);
    

  83.     		strValues.add("-539.99");
    

  84.     		strValues.add("540.00");
    

  85.     		addValue(12345, values);
    

  86.     		strValues.add("-12344");
    

  87.     		strValues.add("12345");
    

  88.     		addValue(123456, values);
    

  89.     		strValues.add("-123450");
    

  90.     		strValues.add("123460");
    

  91.     		addValue(540911, values);
    

  92.     		strValues.add("-540900");
    

  93.     		strValues.add("540910");
    

  94.     		addValue(9.223372036854776e56, values);
    

  95.     		strValues.add("-9.2233E56");
    

  96.     		strValues.add("9.2234E56");
    

  97.      
    

  98.     		byte i = 0;
    

  99.     		final byte significants = 5;
    

  100.      
    

  101.     		for (final double element : values) {
    

  102.     			final String strValue;
    

  103.      
    

  104.     			try {
    

  105.     				strValue = Maths.roundToString(significants, Common.PERIOD, element);
    

  106.      
    

  107.     				System.out.println(" Maths.round(" + significants  + ", '"
    

  108.     						+ Common.PERIOD + "', " + element + ") ==> "
    

  109.     						+ strValue + " = " + strValues.get(i));
    

  110.     				assertEquals("Testing roundToString", strValue, strValues.get(i++));
    

  111.     			} catch (final Exception e) {
    

  112.     				// TODO Auto-generated catch block
    

  113.     				e.printStackTrace();
    

  114.     			}
    

  115.     		}
    

  116.     	}
    

  117.      
    

  118.     }	// class MathsTest
    

The output of the JUnit test follows:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Output for code listing 3.22**
    
    
     Maths.round(5, '.', 0.0) ==> 0.00000 = 0.00000
     Maths.round(5, '.', -1.4012984643248202E-45) ==> -1.4012E-45 = -1.4012E-45
     Maths.round(5, '.', 1.4012984643248202E-45) ==> 1.4013E-45 = 1.4013E-45
     Maths.round(5, '.', -1.999999757E-5) ==> -1.9999E-5 = -1.9999E-5
     Maths.round(5, '.', 1.999999757E-5) ==> 2.0000E-5 = 2.0000E-5
     Maths.round(5, '.', -1.999999757E-4) ==> -1.9999E-4 = -1.9999E-4
     Maths.round(5, '.', 1.999999757E-4) ==> 2.0000E-4 = 2.0000E-4
     Maths.round(5, '.', -0.001999999757) ==> -0.0019999 = -0.0019999
     Maths.round(5, '.', 0.001999999757) ==> 0.0020000 = 0.0020000
     Maths.round(5, '.', -6.40589E-4) ==> -6.4058E-4 = -6.4058E-4
     Maths.round(5, '.', 6.40589E-4) ==> 6.4059E-4 = 6.4059E-4
     Maths.round(5, '.', -0.3396899998188019) ==> -0.33968 = -0.33968
     Maths.round(5, '.', 0.3396899998188019) ==> 0.33969 = 0.33969
     Maths.round(5, '.', -0.34) ==> -0.33999 = -0.33999
     Maths.round(5, '.', 0.34) ==> 0.34000 = 0.34000
     Maths.round(5, '.', -7.07) ==> -7.0699 = -7.0699
     Maths.round(5, '.', 7.07) ==> 7.0700 = 7.0700
     Maths.round(5, '.', -118.188) ==> -118.18 = -118.18
     Maths.round(5, '.', 118.188) ==> 118.19 = 118.19
     Maths.round(5, '.', -118.2) ==> -118.19 = -118.19
     Maths.round(5, '.', 118.2) ==> 118.20 = 118.20
     Maths.round(5, '.', -123.405009) ==> -123.40 = -123.40
     Maths.round(5, '.', 123.405009) ==> 123.41 = 123.41
     Maths.round(5, '.', -30.76994323730469) ==> -30.769 = -30.769
     Maths.round(5, '.', 30.76994323730469) ==> 30.770 = 30.770
     Maths.round(5, '.', -130.7699432373047) ==> -130.76 = -130.76
     Maths.round(5, '.', 130.7699432373047) ==> 130.77 = 130.77
     Maths.round(5, '.', -540.0) ==> -539.99 = -539.99
     Maths.round(5, '.', 540.0) ==> 540.00 = 540.00
     Maths.round(5, '.', -12345.0) ==> -12344 = -12344
     Maths.round(5, '.', 12345.0) ==> 12345 = 12345
     Maths.round(5, '.', -123456.0) ==> -123450 = -123450
     Maths.round(5, '.', 123456.0) ==> 123460 = 123460
     Maths.round(5, '.', -540911.0) ==> -540900 = -540900
     Maths.round(5, '.', 540911.0) ==> 540910 = 540910
     Maths.round(5, '.', -9.223372036854776E56) ==> -9.2233E56 = -9.2233E56
     Maths.round(5, '.', 9.223372036854776E56) ==> 9.2234E56 = 9.2234E56
    

If you are interested in a comparison with [C#](http://en.wikipedia.org/wiki/C_Sharp_\(programming_language\)), take a look at the [rounding number example](http://en.wikibooks.org/wiki/C_Sharp_Programming/The_.NET_Framework/Console_Programming#Rounding_number_example) there. If you are interested in a comparison with [C++](http://en.wikipedia.org/wiki/C%2B%2B), you can compare this code here with the same [example](http://en.wikibooks.org/wiki/C%2B%2B_Programming/Code/IO#.E2.80.8ERounding_number_example) over there.

Notice that in the expression starting with `if ((D == 0)`, I have to use OR instead of the `||` because of a bug in the source template.

  


  


# Large numbers

The integer primitive type with the largest range of value is the `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, from -263 to 263-1. If you need greater or lesser values, you have to use the `BigInteger` class in the package `java.math`. A `BigInteger` object can represent _any_ integer (as large as the RAM on the computer can hold) as it is not mapped on a primitive type. Respectively, you need to use the `BigDecimal` class for great decimal numbers.

However, as these perform much slower than primitive types, it is recommended to use primitive types when it is possible.

## BigInteger

The `BigInteger` class represents integers of almost any size. As with other objects, they need to be constructed. Unlike regular numbers, the `BigInteger` represents an immutable object - methods in use by the `BigInteger` class will return a new copy of a `BigInteger`.

To instantiate a `BigInteger`, you can create it from either byte array, or from a string. For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.23: 1 quintillion, or 10^18. Too large to fit in a long.**

  1.     BigInteger i = new BigInteger("1000000000000000000");
    

`BigInteger` cannot use the normal [Java operators](http://en.wikibooks.org/wiki/Java_Programming/Mathematical_functions). They use the methods provided by the class.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.24: Multiplications and an addition.**

  1.     BigInteger a = new BigInteger("3");
    

  2.     BigInteger b = new BigInteger("4");
    

  3.      
    

  4.     // c = a^2 + b^2
    

  5.     BigInteger c = a.multiply(a).add(b.multiply(b));
    

It is possible to convert to a `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`, but the `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)` may not be large enough.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.25: Conversion.**

  1.     BigInteger aBigInteger = new BigInteger("3");
    

  2.     long aLong = aBigInteger.longValue();
    

## BigDecimal

The `BigInteger` class cannot handle decimal numbers. The `BigDecimal` class represents a floating point value of arbitrary precision. It is composed of both a `BigInteger`, and a scale value (represented by a 32-bit integer).

  


  


# Random numbers

To generate random numbers the `Math.random()` method can be used, which returns a `[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`, greater than or equal to 0.0 and less than 1.0.

The following code returns a random integer between n and m (where _n <= randomNumber < m_):

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.30: A random integer.**

  1.       int randomNumber = n + (int)(Math.random() * ( m - n ));
    

Alternatively, the `java.util.Random` class provides methods for generating random `[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)`s, `[byte](http://en.wikibooks.org/wiki/Java_Programming/Keywords/byte)`s, `[float](http://en.wikibooks.org/wiki/Java_Programming/Keywords/float)`s, `[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)`s, `[long](http://en.wikibooks.org/wiki/Java_Programming/Keywords/long)`s and 'Gaussians' (`[double](http://en.wikibooks.org/wiki/Java_Programming/Keywords/double)`s from a normal distribution with mean 0.0 and standard deviation 1.0). For example, the following code is equivalent to that above:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.31: A random integer with Gaussian.**

  1.       Random random = new Random();
    

  2.       int randomNumber = n + random.nextInt(m - n);
    

As an example using random numbers, we can make a program that uses a Random object to simulate flipping a coin 20 times:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.25: CoinFlipper.java**

  1.     import java.util.Random;
    

  2.      
    

  3.     public class CoinFlipper {
    

  4.      
    

  5.       public static void main(String[] args) {
    

  6.         // The number of times to flip the coin
    

  7.         final int TIMES_TO_FLIP = 20;
    

  8.         int heads = 0;
    

  9.         int tails = 0;
    

  10.         // Create a Random object
    

  11.         Random random = new Random();
    

  12.         for (int i = 0; i < TIMES_TO_FLIP; i++) {
    

  13.           // 0 or 1
    

  14.           int result = random.nextInt(2);
    

  15.           if (result == 1) {
    

  16.             System.out.println("Heads");
    

  17.             heads++;
    

  18.           } else {
    

  19.             System.out.println("Tails");
    

  20.             tails++;
    

  21.           }
    

  22.         }
    

  23.         System.out.println("There were "
    

  24.                 + heads
    

  25.                 + " heads and "
    

  26.                 + tails
    

  27.                 + " tails");
    

  28.       }
    

  29.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Possible output for code listing 3.25**
    
    
    Heads
    Tails
    Tails
    Tails
    Heads
    Tails
    Heads
    Heads
    Heads
    Heads
    Heads
    Heads
    Tails
    Tails
    Tails
    Tails
    Heads
    Tails
    Tails
    Tails
    There were 9 heads and 11 tails
    

Of course, if you run the program you will probably get different results.

## Truly random numbers

Both `Math.random()` and the `Random` class produce pseudorandom numbers. This is good enough for a lot of applications, but remember that it is not _truly_ random. If you want a more secure random number generator, Java provides the `java.security.SecureRandom` package. What happens with `Math.random()` and the `Random` class is that a 'seed' is chosen from which the pseudorandom numbers are generated. `SecureRandom` increases the security to ensure that the seed which is used by the pseudorandom number generator is non-deterministic — that is, you cannot simply put the machine in the same state to get the same set of results. Once you have created a `SecureRandom` instance, you can use it in the same way as you can the `Random` class.

If you want _truly_ random numbers, you can get a hardware random number generator or use a randomness generation service.

  


  


# Unicode

Most Java program text consists of [ASCII](http://en.wikipedia.org/wiki/ASCII) characters, but any Unicode character can be used as part of identifier names, in comments, and in character and string literals. For example, π (which is the Greek Lowercase Letter **pi**) is a valid Java identifier:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.100: Pi.**

  1.     double π = Math.PI;
    

and in a string literal:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.101: Pi literal.**

  1.     String pi = "π";
    

## Unicode escape sequences

Unicode characters can also be expressed through Unicode Escape Sequences. Unicode escape sequence may appear anywhere in a Java source file (including inside identifiers, comments, and [string literals](http://en.wikibooks.org/wiki/Java_Programming/Literals)).

Unicode escape sequences consist of

  1. a backslash '`\`' (ASCII character 92, hex 0x5c),
  2. a '`u`' (ASCII 117, hex 0x75)
  3. optionally one or more additional '`u`' characters, and
  4. four hexadecimal digits (the characters '`0`' through '`9`' or '`a`' through '`f`' or '`A`' through '`F`').

Such sequences represent the UTF-16 encoding of a Unicode character. For example, 'a' is equivalent to '\u0061'. This escape method does not support characters beyond U+FFFF or you have to make use of surrogate pairs.[[1]](Print_version.html#cite_note-22)

Any and all characters in a program may be expressed in Unicode escape characters, but such programs are not very readable, except by the Java compiler! They are not compact either!

One can find a full list of the characters [here](http://en.wikibooks.org/wiki/Unicode/Character_reference).

π may also be represented in Java as the _Unicode escape sequence_ `\u03C0`. Thus, the following is a valid, but not very readable, declaration and assignment:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.102: Unicode escape sequences for Pi.**

  1.     double \u03C0 = Math.PI;
    

The following demonstrates the use of Unicode escape sequences in other Java syntax:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.103: Unicode escape sequences in a string literal.**

  1.     // Declare Strings pi and quote which contain \u03C0 and \u0027 respectively:
    

  2.     String pi = "\u03C0";
    

  3.     String quote = "\u0027";
    

Note that a Unicode escape sequence functions just like any other character in the source code. E.g., `\u0022` (double quote, ") needs to be quoted in a string just like ".

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.104: Double quote.**

  1.     // Declare Strings doubleQuote1 and doubleQuote2 which both contain " (double quote):
    

  2.     String doubleQuote1 = "\"";
    

  3.     String doubleQuote2 = "\\u0022"; // "\u0022" doesn't work since """ doesn't work.
    

## International language support

The language distinguishes between bytes and characters. Characters are stored internally using UCS-2, although as of J2SE 5.0, the language also supports using UTF-16 and its surrogates. Java program source may therefore contain any Unicode character.

The following is thus perfectly valid Java code; it contains Chinese characters in the class and [variable](http://en.wikibooks.org/wiki/Java_Programming/Variables) names as well as in a string [literal](http://en.wikibooks.org/wiki/Java_Programming/Literals):

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.50: 哈嘍世界.java**

  1.     public class 哈嘍世界 {
    

  2.         private String 文本 = "哈嘍世界";
    

  3.     }
    

## References

  1. [↑](Print_version.html#cite_ref-22) "3.1 Unicode", The Java™ Language Specification [[1]](http://download.oracle.com/otn-pub/jcp/jls-7-mr3-fullv-oth-JSpec/JLS-JavaSE7-Full.pdf), Java SE 7 Edition, pp. 15-16.

  


  


# Comments

A comment allows to insert text that will not be compiled nor interpreted. It lets you add some text to the source code. It can appear anywhere in the source code where whitespaces are allowed.

It is useful for explaining what the source code does:

  * explain the adopted technical choice: why this given algorithm and not another, why calling this given method...
  * explain what should be done in the next steps (the TODO list): improvement, issue to fix...
  * give the required explanation to understand the code and be able to update it yourself later or by other developers.

It can also be used in order that the compiler ignore a portion of code: temporary code for debugging, code under development... It is also useful for the class documentation.

## Syntax

The comments in Java use the same syntax as in [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming).

An end-of-line comment starts with two slashes and ends with the end of the line. This syntax can be used on a single line too.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.105: Slash-slash comment.**

  1.     // A comment to give an example
    

  2.      
    

  3.     int n = 10; // 10 articles
    

A comment on several lines is framed with '/' + '*' and '*' + '/'.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.106: Slash-star comment in multiple lines.**

  1.     /*
    

  2.      * This is a comment
    

  3.      * on several lines.
    

  4.      */
    

  5.      
    

  6.     /* This also works; slash-star comments may be on a single line. */
    

  7.      
    

  8.     /*
    

  9.     Disable debugging code:
    

  10.      
    

  11.     int a = 10;
    

  12.     while (a-- > 0) System.out.println("DEBUG: tab["+a+"]=" + tab[a]);
    

  13.     */
    

By convention, subsequent lines of slash-star comments begin with a star aligned under the star in the open comment sequence, but this is not required. Never nest a slash-star comment in another slash-star comment. If you accidentally nest such comments, you will probably get a syntax error from the compiler soon after the first star-slash sequence.

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 3.107: Nested slash-star comment.**

  1.     /* This comment appears to contain /* a nested comment. */
    

  2.      * The comment ends after the first star-slash and
    

  3.      * everything after the star-slash sequence is parsed
    

  4.      * as non-comment source.
    

  5.      */
    

If you need to have the sequence */ inside a comment you can use html numeric entities: `*&#47;`.

Slash-star comments may also be placed between any Java tokens, though not recommended:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.108: Inline slash-star comment.**

  1.     int i = /* maximum integer */ Integer.MAX_VALUE;
    

However, comments are not parsed as comments when they occur in string literals.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.109: String literal.**

  1.     String text = "/* Ceci n’est pas un commentaire. */";
    

It results in a 33 character string.

Test your knowledge

**Question 3.26**: Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 3.26: Commented code.**
    
    
    int a = 0;
    // a = a + 1;
    a = a + 1;
    /*
    a = a + 1;
    */
    a = a + 1;
    // /*
    a = a + 1;
    // */
    a = a /*+ 1*/;
    a = a + 1; // a = a + 1;
    System.out.println("a=" + a);
    

What is printed in the standard output?

Answer

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Output for Answer 3.26**
    
    
    a=4
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 3.26: Commented code.**

  1.     int a = 0;
    

  2.     // a = a + 1;
    

  3.     a = a + 1;
    

  4.     /*
    

  5.     a = a + 1;
    

  6.     */
    

  7.     a = a + 1;
    

  8.     // /*
    

  9.     a = a + 1;
    

  10.     // */
    

  11.     a = a /*+ 1*/;
    

  12.     a = a + 1; // a = a + 1;
    

  13.     System.out.println("a=" + a);
    

The highlighted lines are code lines but line 11 does nothing and only the first part of line 12 is code.

## Comments and unicode

Be aware that Java still interprets Unicode sequences within comments. For example, the Unicode sequence `\u002a\u002f` (whose codepoints correspond to */) is processed early in the Java compiler's lexical scanning of the source file, even before comments are processed, so this is a valid star-slash comment in Java:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.110: Unicode sequence interruption.**

  1.     /* Ceci est un commentaire. \u002a\u002f
    

  2.     String statement = "Ceci n’est pas un commentaire.";
    

and is lexically equivalent to

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.111: Unicode sequence interruption effect.**

  1.     /* Ceci est un commentaire. */
    

  2.     String statement = "Ceci n’est pas un commentaire.";
    

(The `'*'` character is Unicode `002A` and the '/' character is Unicode 002F).

Similar caveats apply to newline characters in slash-slash comments.

For example:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 3.112: New line.**

  1.     // This is a single line comment \u000a This is code
    

That is because the \u000a is the Unicode for a new line, making the compiler think that you have added a new line when you haven't.

## Javadoc comments

[Javadoc](http://en.wikibooks.org/wiki/Java_Programming/Javadoc) comments are a special case of slash-star comments.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.113: Javadoc comment.**

  1.     /**
    

  2.      * Comments which start with slash-star-star are Javadoc comments.
    

  3.      * These are used to extract documentation from the Java source.
    

  4.      * More on javadoc will be covered later.
    

  5.      */
    

  


  


# Coding conventions

The Java code conventions are defined by Oracle in the [coding conventions](http://www.oracle.com/technetwork/java/codeconv-138413.html) document. In short, these conventions ask the user to use [camel case](http://en.wikipedia.org/wiki/en:CamelCase) when defining classes, methods, or variables. Classes start with a capital letter and should be nouns, like `CalendarDialogView`. For methods, the names should be verbs in imperative form, like `getBrakeSystemType`, and should start with a lowercase letter.

It is important to get used to and follow coding conventions, so that code written by multiple programmers will appear the same. Projects may re-define the standard code conventions to better fit their needs. Examples include e a list of allowed abbreviations, as these can often make the code difficult to understand for other designers. Documentation should always acompany code, .

One example from the coding conventions is how to define a constant. Constants should be written with capital letters in Java, where the words are separated by an underscore ('_') character. In the Java coding conventions, a constant is a `static final` field in a class.

The reason for this diversion is that Java is not 100% object-oriented and discerns between "simple" and "complex" types. These will be handled in detail in the following sections. An example for a simple type is the `byte` type. An example for a complex type is a class. A subset of the complex types are classes that cannot be modified after creation, like a `String`, which is a concatenation of characters.

For instance, consider the following "constants":

  1.     public class MotorVehicle {
    

  2.       /** Number of motors */
    

  3.       private static final int MOTORS = 1;
    

  4.      
    

  5.       /** Name of a motor */
    

  6.       private static final String MOTOR_NAME = "Mercedes V8";
    

  7.      
    

  8.       /** The motor object */
    

  9.       private static final Motor THE_MOTOR = new MercedesMotor();
    

  10.      
    

  11.       /**
    

  12.        * Constructor
    

  13.        */
    

  14.       public VehicleMotor() {
    

  15.         MOTORS = 2;                     // Gives a syntax error as MOTORS has already been assigned a value.
    

  16.         THE_MOTOR = new ToshibaMotor(); // Gives a syntax error as THE_MOTOR has already been assigned a value.
    

  17.         MOTOR_NAME.toLowercase();       // Does not give a syntax error, because it returns a new String rather than editing the MOTOR_NAME variable.
    

  18.         THE_MOTOR.fillFuel(20.5);       // Does not give a syntax error, as it changes a variable in the motor object, not the variable itself.
    

  19.       }
    

  20.     }
    

  


# Classes and objects

# Classes and Objects

## Classes and Objects

An object-oriented program is built from objects. A class is a "template" that is used to create objects. The class defines the values the object can contain and the operations that can be performed on the object.

After compilation, a class is stored on the file system in a '(class-name).class' file.

The class is [loaded](http://en.wikibooks.org/wiki/Java_Programming/Class_Loading) into memory when we are about to [create](http://en.wikibooks.org/wiki/Java_Programming/Creating_Objects) the first object from that class, or when we call one of its static functions.

During class loading all the class static variables are initialized. Also operations defined in a `static { ... }` block are executed. Once a class is loaded it stays in memory, and the class static variables won't be initialized again.

After the class is loaded into memory, objects can be created from that class. When an object is created, its member variables are initialized, but the class static variables are not.

When there are no more references to an object, the garbage collector will [destroy](http://en.wikibooks.org/wiki/Java_Programming/Destroying_Objects) the object and free its memory, so that the memory can be reused to hold new objects.

  


# Defining Classes

## Fundamentals

Every class in Java can be composed of the following elements:

  * **fields** or **member variables** — Fields are variables that hold data specific to each object. For example, an employee might have an ID number. There is one field for each object of a class.
  * **member methods** — Member methods perform operations on an object. For example, an employee might have a method to issue his paycheck or to access his name.
  * **static fields** — Static fields are common to any object of the same class. For example, a static field within the Employee class could keep track of the last ID number issued. Only one static field exists for one class.
  * **static methods** — Static methods are methods that do not affect a specific object.
  * **inner classes** — Sometimes it is useful to contain a class within another one if it is useless outside of the class or should not be accessed outside the class.
  * **Constructors** — A special method that generates a new object.
  * **Parameterized types** — Since 1.5, _parameterized types_ can be assigned to a class during definition. The _parameterized types_ will be substituted with the types specified at the class's instantiation. It is done by the compiler. It is similar to the C language macro '#define' statement, where a preprocessor evaluates the macros.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.1: Employee.java**

  1.     public class Employee {              // This defines the Employee class.
    

  2.                                          // The public modifier indicates that
    

  3.                                          // it can be accessed by any other class
    

  4.      
    

  5.         private static int nextID;       // Define a static field. Only one copy of this will exist,
    

  6.                                          // no matter how many Employees are created.
    

  7.      
    

  8.         private int myID;                // Define fields that will be stored  
    

  9.         private String myName;           // for each Employee. The private modifier indicates that
    

  10.                                          // only code inside the Employee class can access it.
    

  11.      
    

  12.         public Employee(String name) {   // This is a constructor. You can pass a name to the constructor
    

  13.                                          // and it will give you a newly created Employee object.
    

  14.             myName = name;
    

  15.             myID = nextID;               // Automatically assign an ID to the object
    

  16.             nextID++;                    // Increment the ID counter
    

  17.         }
    

  18.      
    

  19.         public String getName() {        // This is a member method that returns the
    

  20.                                          // Employee object's name.
    

  21.             return myName;               // Note how it can access the private field myName.
    

  22.         }
    

  23.      
    

  24.         public int getID() {             // This is another member method.
    

  25.      
    

  26.             return myID;  
    

  27.         }
    

  28.      
    

  29.         public static int getNextID() {  // This is a static method that returns the next ID
    

  30.                                          // that will be assigned if another Employee is created.
    

  31.             return nextID;
    

  32.         }
    

  33.     }
    

The following Java code would produce this output:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.2: EmployeeList.java**

  1.     public class EmployeeList {
    

  2.         public static void main(String[] args) {
    

  3.      
    

  4.             System.out.println(Employee.getNextID());
    

  5.      
    

  6.             Employee a = new Employee("John Doe");
    

  7.             Employee b = new Employee("Jane Smith");
    

  8.             Employee c = new Employee("Sally Brown");
    

  9.      
    

  10.             System.out.println(Employee.getNextID());
    

  11.      
    

  12.             System.out.println(a.getID() + ": " + a.getName());
    

  13.             System.out.println(b.getID() + ": " + b.getName());
    

  14.             System.out.println(c.getID() + ": " + c.getName());
    

  15.         }
    

  16.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 4.2**
    
    
    0
    3
    0: John Doe
    1: Jane Smith
    2: Sally Brown
    

## Constructors

A constructor is called to initialize an object immediately after the object has been allocated:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.3: Cheese.java**

  1.     public class Cheese {
    

  2.       // This is a constructor
    

  3.       public Cheese() {
    

  4.         System.out.println("Construct an instance");
    

  5.       }
    

  6.     }
    

Typically, a constructor is invoked using the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.1: A constructor call.**

  1.     Cheese cheese = new Cheese();
    

The constructor syntax is close to the method syntax. However, the constructor has the same name as the name of the class (with the same case) and the constructor has no return type. The second point is the most important difference as a method can also have the same name as the class, which is not recommended:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.4: Cheese.java**

  1.     public class Cheese {
    

  2.       // This is a method with the same name as the class
    

  3.       public void Cheese() {
    

  4.         System.out.println("A method execution.");
    

  5.       }
    

  6.     }
    

The returned object is always a valid, meaningful object, as opposed to relying on a separate initialization method. A constructor cannot be `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)`, `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`, `[native](http://en.wikibooks.org/wiki/Java_Programming/Keywords/native)`, `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)`, `[strictfp](http://en.wikibooks.org/wiki/Java_Programming/Keywords/strictfp)` nor `[synchronized](http://en.wikibooks.org/wiki/Java_Programming/Keywords/synchronized)`. However, a constructor, like methods, can be overloaded and take parameters.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.5: Cheese.java**

  1.     public class Cheese {
    

  2.          // This is a constructor
    

  3.          public Cheese() {
    

  4.               doStuff();
    

  5.          }
    

  6.      
    

  7.          // This is another constructor
    

  8.          public Cheese(int weight) {
    

  9.               doStuff();
    

  10.          }
    

  11.      
    

  12.          // This is yet another constructor
    

  13.          public Cheese(String type, int weight) {
    

  14.               doStuff();
    

  15.          }
    

  16.     }
    

By convention, a constructor that accepts an object of its own type as a parameter and copies the data members is called a _copy constructor_. One interesting feature of constructors is that if and only if you do not specify a constructor in your class, the compiler will create one for you. This default constructor, if written out would look like:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.6: Cheese.java**

  1.     public class Cheese {
    

  2.          public Cheese() {
    

  3.                super();
    

  4.          }
    

  5.     }
    

The `super()` command calls the constructor of the superclass. If there is no explicit call to `super(...)` or `this(...)`, then the default superclass constructor `super();` is called before the body of the constructor is executed. That said, there are instances where you need to add in the call manually. For example, if you write even one constructor, no matter what parameters it takes, the compiler will not add a default constructor. The [code listing 4.8](Print_version.html#code-listing-8) results in a runtime error:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.7: Cheese.java**

  1.     public class Cheese {
    

  2.          public Cheese(int weight, String type) {
    

  3.               doStuff();
    

  4.          }
    

  5.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.8: Mouse.java**

  1.     public class Mouse {
    

  2.          public void eatCheese() {
    

  3.                  Cheese c = new Cheese(); // Oops, compile time error!
    

  4.          }
    

  5.     }
    

This is something to keep in mind when extending existing classes. Either make a default constructor, or make sure every class that inherits your class uses the correct constructor.

## Initializers

_Initializers_ are blocks of code that are executed at the same time as initializers for fields.

### Static initializers

_Static initializers_ are blocks of code that are executed at the same time as initializers for static fields. Static field initializers and static initializers are executed in the order declared. The static initialization is executed after the class is loaded.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.2: Static initializer.**

  1.     static int count = 20;
    

  2.     static int[] squares;
    

  3.     static {  // a static initializer
    

  4.         squares = new int[count];
    

  5.         for (int i = 0; i < count; i++)
    

  6.             squares[i] = i * i;
    

  7.     }
    

  8.     static int x = squares[5];  // x is assigned the value 25
    

### Instance initializers

_Instance initializers_ are blocks of code that are executed at the same time as initializers for instance (non-`static`) fields. Instance field initializers and instance initializers are executed in the order declared. Both instance initializers and instance field initializers are executed during the invocation of a constructor. The initializers are executed immediately after the superclass constructor and before the body of the constructor.

  


  


# Inheritance

The inheritance is one of the most powerful mechanism of the [Object Oriented Programming](http://en.wikibooks.org/wiki/Object_Oriented_Programming). It allows to reuse the members of a class (called the _superclass_ or the _mother class_) in another class (called _subclass_, _child class_ or the _derived class_) that inherit from it. This way, classes can be built by successive inheritance.

In Java, this mechanism is enabled by the `[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)` keyword. Example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.9: Vehicle.java**

  1.     public class Vehicle {
    

  2.         public int speed;
    

  3.         public int numberOfSeats;
    

  4.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.10: Car.java**

  1.     public class Car extends Vehicle {
    

  2.         public Car() {
    

  3.             this.speed = 90;
    

  4.             this.numberOfSeats = 5;
    

  5.         }
    

  6.     }
    

In the [Code listing 4.10](Print_version.html#code-listing-10), the class `Car` inherits from `Vehicle`, which means that the attributes `speed` and `numberOfSeats` are present in the class `Car`, whereas they are defined in the class `Vehicle`. Also, the constructor defined in the class `Car` allows to initialize those attributes. In Java, the inheritance mechanism allows to define a class hierarchy with all the classes. Without explicit inheritance, a class implicitly inherits from the `Object` class. This `Object` class is the root of the class hierarchy.

Some classes can't be inherited. Those classes are defined with the `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)` keyword. For instance, the `Integer` class can't have subclasses. It is called a _final_ class.

## The `Object` class

At the instantiating, the child class receives the features inherited from its superclass, which also has received the features inherited from its own superclass and so on to the `Object` class. This mechanism allows to define reusable global classes, whose user details the behavior in the derived more specific classes.

In Java, a class can only inherit from one class. Java does not allow you to create a subclass from two classes, as that would require creating complicated rules to disambiguare fields and methods inherited from multiple superclasses. If there is a need for Java to inherit from multiple sources, the best option is through interfaces, described in the next chapter.

## The _super_ keyword

The `[super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super)` keyword allows access to the members of the superclass of a class, as you can use `[this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this)` to access the members of the current class. Example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.11: Plane.java**

  1.     public class Plane extends Vehicle {
    

  2.         public Plane() {
    

  3.             super();
    

  4.         }
    

  5.     }
    

In this example, the constructor of the `Plane` class calls the constructor of its superclass `Vehicle`. You can only use `[super](http://en.wikibooks.org/wiki/Java_Programming/Keywords/super)` to access the members of the superclass inside the child class. If you use it from another class, it accesses the superclass of the other class. This keyword also allows you to explicitly access the members of the superclass, for instance, in the case where there is a method with the same name in your class (overriding, ...). Example :

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.12: Vehicle.java**

  1.     public class Vehicle {
    

  2.         // ...
    

  3.         public void run() throws Exception {
    

  4.             position += speed;
    

  5.         }
    

  6.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.13: Plane.java**

  1.     public class Plane extends Vehicle {
    

  2.         // ...
    

  3.         public void run() throws Exception {
    

  4.             if (0 < height) {
    

  5.                throw new Exception("A plane can't run in flight.");
    

  6.             } else {
    

  7.                super.run();
    

  8.             }
    

  9.         }
    

  10.     }
    

Test your knowledge

**Question 4.1**: Consider the following classes.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.1: Class1.java**

  1.     public class Class1 {
    

  2.         public static final int CONSTANT_OF_CLASS_1 = 9;
    

  3.         public int myAttributeOfClass1 = 40;
    

  4.         public void myMethodOfClass1(int i) {
    

  5.         }
    

  6.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.1: Class2.java**

  1.     public class Class2 extends Class1 {
    

  2.         public int myAttributeOfClass2 = 10;
    

  3.         public void myMethodOfClass2(int i) {
    

  4.         }
    

  5.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.1: Class3.java**

  1.     public class Class3 {
    

  2.         public static final int CONSTANT_OF_CLASS_3 = 9;
    

  3.         public void myMethodOfClass3(int i) {
    

  4.         }
    

  5.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.1: Question1.java**

  1.     public class Question1 extends Class2 {
    

  2.         public static final int CONSTANT = 2;
    

  3.         public int myAttribute = 20;
    

  4.         public void myMethod(int i) {
    

  5.         }
    

  6.     }
    

List all the attributes and methods that can be accessed in the class `Question1`.

Answer

  * `CONSTANT_OF_CLASS_1`
  * `myAttributeOfClass1`
  * `myMethodOfClass1(int)`
  * `myAttributeOfClass2`
  * `myMethodOfClass2(int)`
  * `CONSTANT`
  * `myAttribute`
  * `myMethod(int)`

`Question1` inherits from `Class1` and `Class2` but not from `Class3`.

    _See also the [Object Oriented Programming](http://en.wikibooks.org/wiki/Object_Oriented_Programming) book about the inheritance concept._

  


# Interfaces

An interface is an abstraction of class with no implementation details. For example, `java.lang.Comparable` is a standard interface in Java. You cannot instantiate an interface. An interface is not a class but it is written the same way. The first difference is that you do not use the `[class](http://en.wikibooks.org/wiki/Java_Programming/Keywords/class)` keyword but the `[interface](http://en.wikibooks.org/wiki/Java_Programming/Keywords/interface)` keyword to define it. Then, there are fields and methods you cannot define here:

  * A field is always a constant: it is always public, static and final, even if you do not mention it.
  * A method must be public and abstract, but it is not required to write the `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` and `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)` keywords.
  * Constructors are forbidden.

An interface represents a _contract_:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.14: SimpleInterface.java**

  1.     public interface SimpleInterface {
    

  2.         public static final int CONSTANT1 = 1;
    

  3.         int method1(String parameter);
    

  4.     }
    

You can see that the `method1()` method is abstract (unimplemented). To use an interface, you have to define a class that implements it, using the `[implements](http://en.wikibooks.org/wiki/Java_Programming/Keywords/implements)` keyword:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.15: ClassWithInterface.java**

  1.     public class ClassWithInterface implements SimpleInterface {
    

  2.         int method1(String parameter) {
    

  3.             return 0;
    

  4.         }
    

  5.     }
    

A class can implement several interface, separated by a comma. Java interfaces behave much like the concept of the [Objective-C](http://en.wikibooks.org/wiki/Objective-C_Programming) protocol. It is recommended to name an interface `_<verb>_able`, to mean the type of action this interface would enable on a class. However, it is not recommended to start the name of an interface by `I` as in [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming). It is useless. Your IDE will help you instead.

## Interest

If you have objects from different classes that do not have common superclasses, you can't call a same method on them, even if the two classes implement a method with the same signature.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.16: OneClass.java**

  1.     public class OneClass {
    

  2.         public int method1(String parameter) {
    

  3.             return 1;
    

  4.         }
    

  5.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.17: AnotherClass.java**

  1.     public class AnotherClass {
    

  2.         public int method1(String parameter) {
    

  3.             return 2;
    

  4.         }
    

  5.     }
    

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 4.16: Impossible call.**

  1.     public static void main(String[] args) {
    

  2.         doAction(new OneClass());
    

  3.         doAction(new AnotherClass());
    

  4.     }
    

  5.      
    

  6.     public void doAction(Object anObject) {
    

  7.         anObject.method1("Hello!");
    

  8.     }
    

The solution is to write an interface that defines the method that should be implemented in the two classes as the `SimpleInterface` in the [Code listing 4.14](Print_version.html#code-listing-14) and then the both class implement the interface as in the [Code listing 4.15](Print_version.html#code-listing-15).

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.17: Interface use.**

  1.     public static void main(String[] args) {
    

  2.         doAction(new ClassWithInterface());
    

  3.         doAction(new AnotherClassWithInterface());
    

  4.     }
    

  5.      
    

  6.     public void doAction(SimpleInterface anObject) {
    

  7.         anObject.method1("Hello!");
    

  8.     }
    

You can also have this interest using a common super class but a class can only inherit from one super class whereas it can implement several interfaces. Java does not support full orthogonal multiple inheritance. Java does not allow you to create a subclass from two classes. Multiple inheritance in [C++](http://en.wikibooks.org/wiki/C%2B%2B) has complicated rules to disambiguate fields and methods inherited from multiple superclasses and types inherited multiple times. By separating interface from implementation, interfaces offer much of the benefit of multiple inheritance with less complexity and ambiguity. The price of no multiple inheritance is some code redundancy; since interfaces only define the signature of a class but cannot contain any implementation, every class inheriting an interface must provide the implementation of the defined methods, unlike in pure multiple inheritance, where the implementation is also inherited. The major benefit of that is that all Java objects can have a common ancestor. That class is called `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)`. When overriding methods defined in interfaces there are several rules to be followed:

  * Checked exceptions should not be declared on implementation methods other than the ones declared by the interface method or subclasses of those declared by the interface method.
  * The signature of the interface method and the same return type or subtype should be maintained when implementing the methods.
  * All the methods of the interface need to be defined in the class, unless the class that implements the interface is abstract.

## Extending interfaces

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/BlueJ_Java_Wikibooks_example.png/400px-BlueJ_Java_Wikibooks_example.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Execution of this example on BlueJ.

An interface can extend several interfaces, similar to the way that a class can extend another class, using the `[extends](http://en.wikibooks.org/wiki/Java_Programming/Keywords/extends)` keyword:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.18: InterfaceA.java**

  1.     public interface InterfaceA {
    

  2.       public void methodA();
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.19: InterfaceB.java**

  1.     public interface InterfaceB {
    

  2.       public void methodB();
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.20: InterfaceAB.java**

  1.     public interface InterfaceAB extends InterfaceA, InterfaceB {
    

  2.       public void otherMethod();
    

  3.     }
    

This way, a class implementing the `InterfaceAB` interface has to implement the `methodA()`, the `methodB()` and the `otherMethod()` methods:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.21: ClassAB.java**

  1.     public class ClassAB implements InterfaceAB {
    

  2.       public void methodA() {
    

  3.         System.out.println("A");
    

  4.       }
    

  5.      
    

  6.       public void methodB() {
    

  7.         System.out.println("B");
    

  8.       }
    

  9.      
    

  10.       public void otherMethod() {
    

  11.         System.out.println("foo");
    

  12.       }
    

  13.      
    

  14.       public static void main(String[] args) {
    

  15.         ClassAB classAb = new ClassAB();
    

  16.         classAb.methodA();
    

  17.         classAb.methodB();
    

  18.         classAb.otherMethod();
    

  19.       }
    

  20.     }
    

Doing so, a `ClassAB` object can be casted into `InterfaceA`, `InterfaceB` and `InterfaceAB`.

Test your knowledge

**Question 4.2**: Consider the following interfaces.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.2: Walkable.java**

  1.     public interface Walkable {
    

  2.         void walk();
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.2: Jumpable.java**

  1.     public interface Jumpable {
    

  2.         void jump();
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.2: Swimable.java**

  1.     public interface Swimable {
    

  2.         void swim();
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.2: Movable.java**

  1.     public interface Movable extends Walkable, Jumpable {
    

  2.     }
    

List all the methods that an implementing class of `Movable` should implement.

Answer

  * `walk()`
  * `jump()`

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Answer 4.2: Person.java**

  1.     public class Person implements Movable {
    

  2.         public void walk() {
    

  3.             System.out.println("Do something.");
    

  4.         }
    

  5.      
    

  6.         public void jump() {
    

  7.             System.out.println("Do something.");
    

  8.         }
    

  9.     }
    

**Question 4.3**: Consider the following classes and the following code.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.3: ConsoleLogger.java**

  1.     import java.util.Date;
    

  2.      
    

  3.     public class ConsoleLogger {
    

  4.         public void printLog(String log) {
    

  5.             System.out.println(new Date() + ": " + log);
    

  6.         }
    

  7.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.3: FileLogger.java**

  1.     import java.io.File;
    

  2.     import java.io.FileOutputStream;
    

  3.      
    

  4.     public class FileLogger {
    

  5.       public void printLog(String log) {
    

  6.         try {
    

  7.           File file = new File("log.txt");
    

  8.           FileOutputStream stream = new FileOutputStream(file);
    

  9.           byte[] logInBytes = (new Date() + ": " + log).getBytes();
    

  10.      
    

  11.           stream.write(logInBytes);
    

  12.      
    

  13.           stream.flush();
    

  14.           stream.close();
    

  15.         } catch (Exception e) {
    

  16.           e.printStackTrace();
    

  17.         }
    

  18.       }
    

  19.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Question 4.3: Common code.**

  1.     Object[] loggerArray = new Object[2];
    

  2.     loggerArray[0] = new ConsoleLogger();
    

  3.     loggerArray[1] = new FileLogger();
    

  4.      
    

  5.     for (Object logger : loggerArray) {
    

  6.         // logger.printLog("Check point.");
    

  7.     }
    

Change the implementation of the code in order to be able to uncomment the commented line without compile error.

Answer

You have to create an interface that defines the method `printLog(String)` and makes `ConsoleLogger` and `FileLogger` implement it:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Answer 4.3: Logger.java**

  1.     public interface Logger {
    

  2.         void printLog(String log);
    

  3.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Answer 4.3: ConsoleLogger.java**

  1.     import java.util.Date;
    

  2.      
    

  3.     public class ConsoleLogger implements Logger {
    

  4.         public void printLog(String log) {
    

  5.             System.out.println(new Date() + ": " + log);
    

  6.         }
    

  7.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Answer 4.3: FileLogger.java**

  1.     import java.io.File;
    

  2.     import java.io.FileOutputStream;
    

  3.      
    

  4.     public class FileLogger implements Logger {
    

  5.       public void printLog(String log) {
    

  6.         try {
    

  7.           File file = new File("log.txt");
    

  8.           FileOutputStream stream = new FileOutputStream(file);
    

  9.           byte[] logInBytes = (new Date() + ": " + log).getBytes();
    

  10.      
    

  11.           stream.write(logInBytes);
    

  12.      
    

  13.           stream.flush();
    

  14.           stream.close();
    

  15.         } catch (Exception e) {
    

  16.           e.printStackTrace();
    

  17.         }
    

  18.       }
    

  19.     }
    

Now your code has to cast the objects to the `Logger` type and then you can uncomment the code.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Answer 4.3: Common code.**

  1.     Logger[] loggerArray = new Logger[2];
    

  2.     loggerArray[0] = new ConsoleLogger();
    

  3.     loggerArray[1] = new FileLogger();
    

  4.      
    

  5.     for (Logger logger : loggerArray) {
    

  6.         logger.printLog("Check point.");
    

  7.     }
    

  


# Overloading Methods and Constructors

## Method overloading

In a class, there can be several methods with the same name. However they must have different _signature_. The signature of a method is comprised of its name, its parameter types and the order of its parameter. The signature of a method is **not** comprised of its return type nor its visibility nor its thrown exceptions.

Methods with the same name in a class are called _overloaded methods_. Overloading methods has no specific benefit but it is useful to mean that several methods do the same things but with different parameters. For example we may have the operation `runAroundThe`. We can define two methods with the same name, but different input parameter types:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.22: Method overloading.**

  1.     public void runAroundThe(Building block) {
    

  2.       ...
    

  3.     }
    

  4.      
    

  5.     public void runAroundThe(Park park) {
    

  6.       ...
    

  7.     }
    

One type can be the subclass of the other:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.11: ClassName.java**

  1.     public class ClassName {
    

  2.      
    

  3.       public static void sayClassName(Object aObject) {
    

  4.         System.out.println("Object");
    

  5.       }
    

  6.      
    

  7.       public static void sayClassName(String aString) {
    

  8.         System.out.println("String");
    

  9.       }
    

  10.      
    

  11.       public static void main(String[] args) {
    

  12.         String aString = new String();
    

  13.         sayClassName(aString);
    

  14.      
    

  15.         Object aObject = new String();
    

  16.         sayClassName(aObject);
    

  17.       }
    

  18.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 4.11**
    
    
    String
    Object
    

Although the both methods would fit to a call with a `String` parameter, it is the method with the nearer type that will be called. To be accurate, it will call the method whose parameter type is a subclass of the parameter type of the other method. Beware! The parameter type is defined by the _declared_ type of an object, **not** its _instantiated_ type!

The following two method definitions are valid too:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.23: Method overloading with the type order.**

  1.     public void logIt(String param, Error err) {
    

  2.       ...
    

  3.     }
    

  4.      
    

  5.     public void logIt(Error err, String param) {
    

  6.       ...
    

  7.     }
    

Because the type order is different. If both input parameters were type String, that would be a problem since the compiler would not be able to distinguish between the two:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 4.24: Bad method overloading.**

  1.     public void logIt(String param, String err) {
    

  2.       ...
    

  3.     }
    

  4.      
    

  5.     public void logIt(String err, String param) {
    

  6.       ...
    

  7.     }
    

The compiler would give an error for the following method definitions as well:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 4.25: Another bad method overloading.**

  1.     public void logIt(String param) {
    

  2.       ...
    

  3.     }
    

  4.      
    

  5.     public String logIt(String param) {
    

  6.       String retValue;
    

  7.       ...
    

  8.       return retValue;
    

  9.     }
    

Note, the return type is not part of the unique signature. Why not? The reason is that a method can be called without assigning its return value to a variable. This feature came from C and C++. So for the call:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 4.26: Ambiguous method call.**

  1.     logIt(msg);
    

the compiler would not know which method to call. It is also the case for the thrown exceptions.

Test your knowledge

**Question 4.6**: Which methods of the `Question6` class will cause compile errors?

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question6.java**

  1.     public class Question6 {
    

  2.      
    

  3.       public void example1() {
    

  4.       }
    

  5.      
    

  6.       public int example1() {
    

  7.       }
    

  8.      
    

  9.       public void example2(int x) {
    

  10.       }
    

  11.      
    

  12.       public void example2(int y) {
    

  13.       }
    

  14.      
    

  15.       private void example3() {
    

  16.       }
    

  17.      
    

  18.       public void example3() {
    

  19.       }
    

  20.      
    

  21.       public String example4(int x) {
    

  22.         return null;
    

  23.       }
    

  24.      
    

  25.       public String example4() {
    

  26.         return null;
    

  27.       }
    

  28.     }
    

Answer

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question6.java**

  1.     public class Question6 {
    

  2.      
    

  3.       public void example1() {
    

  4.       }
    

  5.      
    

  6.       public int example1() {
    

  7.       }
    

  8.      
    

  9.       public void example2(int x) {
    

  10.       }
    

  11.      
    

  12.       public void example2(int y) {
    

  13.       }
    

  14.      
    

  15.       private void example3() {
    

  16.       }
    

  17.      
    

  18.       public void example3() {
    

  19.       }
    

  20.      
    

  21.       public String example4(int x) {
    

  22.         return null;
    

  23.       }
    

  24.      
    

  25.       public String example4() {
    

  26.         return null;
    

  27.       }
    

  28.     }
    

The `example1`, `example2` and `example3` methods will cause compile errors. The `example1` methods cannot co-exist because they have the same signature (remember, return type is **not** part of the signature). The `example2` methods cannot co-exist because the names of the parameters are not part of the signature. The `example3` methods cannot co-exist because the visibility of the methods are not part of the signature. The `example4` methods can co-exist, because they have different method signatures.

## Variable Argument

Instead of overloading, you can use dynamic number of arguments. After the last parameter, you can pass optional unlimited parameters of the same type. These parameters are defined by adding a last parameter and adding `...` after its type. The dynamic arguments will be received as an array:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.27: Variable argument.**

  1.       public void registrerPersonInAgenda(String firstName, String lastName, Date... meeting) {
    

  2.         String[] person = {firstName, lastName};
    

  3.         lastPosition = lastPosition + 1;
    

  4.         contactArray[lastPosition] = person;
    

  5.      
    

  6.         if (meeting.length > 0) {
    

  7.           Date[] temporaryMeetings = registreredMeetings.length + meeting.length;
    

  8.           for (i = 0; i < registreredMeetings.length; i++) {
    

  9.             temporaryMeetings[i] = registreredMeetings[i];
    

  10.           }
    

  11.           for (i = 0; i < meeting.length; i++) {
    

  12.             temporaryMeetings[registreredMeetings.length + i] = meeting[i];
    

  13.           }
    

  14.           registreredMeetings = temporaryMeetings;
    

  15.         }
    

  16.       }
    

The above method can be called with a dynamic number of arguments, for example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.27: Constructor calls.**

  1.     registrerPersonInAgenda("John", "Doe");
    

  2.     registrerPersonInAgenda("Mark", "Lee", new Date(), new Date());
    

This feature was not available before Java 1.5 .

## Constructor overloading

The constructor can be overloaded. You can define more than one constructor with different parameters. For example:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.12: Constructors.**

  1.     public class MyClass {
    

  2.      
    

  3.       private String memberField;
    

  4.      
    

  5.       /**
    

  6.        * MyClass Constructor, there is no input parameter
    

  7.        */
    

  8.       public MyClass() {
    

  9.          ...
    

  10.       }
    

  11.      
    

  12.       /**
    

  13.        * MyClass Constructor, there is one input parameter
    

  14.        */
    

  15.        public MyClass(String param1) {
    

  16.          memberField = param1;
    

  17.          ...
    

  18.       }
    

  19.     }
    

In the [code listing 4.12](Print_version.html#code-listing-12), we defined two constructors, one with no input parameter, and one with one input parameter. You may ask which constructor will be called. Its depends how the object is created with the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword. See below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.29: Constructor calls.**

  1.     // The constructor with no input parameter will be called
    

  2.     MyClass obj1 = new MyClass();
    

  3.      
    

  4.     // The constructor with one input param. will be called
    

  5.     MyClass obj2 = new MyClass("Init Value");
    

In the [code section 4.29](Print_version.html#code-section-29), we created two objects from the same class, or we can also say that `obj1` and `obj2` both have the same type. The difference between the two is that in the first one the `memberField` field is not initialized, in the second one that is initialized to `"Init Value"`. A constructor may also be called from another constructor, see below:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.13: Constructor pooling.**

  1.     public class MyClass {
    

  2.      
    

  3.       private String memberField;
    

  4.      
    

  5.       /**
    

  6.        * MyClass Constructor, there is no input parameter
    

  7.        */
    

  8.       public MyClass() {
    

  9.         MyClass("Default Value");
    

  10.       }
    

  11.      
    

  12.       /**
    

  13.        * MyClass Constructor, there is one input parameter
    

  14.        */
    

  15.       public MyClass(String param1) {
    

  16.         memberField = param1;
    

  17.         ...
    

  18.       }
    

  19.     }
    

In the [code listing 4.13](Print_version.html#code-listing-13), the constructor with no input parameter calls the other constructor with the default initial value. This call must be the first instruction of a constructor or else a compiler error will occur. The code gives an option to the user, to create the object with the default value or create the object with a specified value. The first constructor could have been written using the `[this](http://en.wikibooks.org/wiki/Java_Programming/Keywords/this)` keyword as well:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.30: Another constructor pooling.**

  1.       public MyClass() {
    

  2.         this("Default Value");
    

  3.       }
    

Such a call reduces the code repetition.

## Method overriding

To easily remember what can be done in method overriding, keep in mind that all you can do on an object of a class outside this class, you can do it also on an object of a subclass, only the behavior can change. A subclass should be _covariant_.

Although a method signature has to be unique inside a class, the same method signature can be defined in different classes. If we define a method that exists in the super class then we override the super class method. It is called _method overriding_. This is different from method overloading. Method overloading happens with methods with the same name different signature. Method overriding happens with same name, same signature between inherited classes.

The return type can cause the same problem we saw above. When we override a super class method the return type also must be the same. If that is not the same, the compiler will give you an error.

Beware! If a class declares two public methods with the same name, and a subclass overrides one of them, the subclass still inherits the other method. In this respect, the Java programming language differs from C++.

Method overriding is _related dynamic linking_, or _runtime binding_. In order for the Method Overriding to work, the method call that is going to be called can not be determined at compilation time. It will be decided at runtime, and will be looked up in a table.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.31: Runtime binding.**

  1.     MyClass obj;
    

  2.      
    

  3.     if (new java.util.Calendar().get(java.util.Calendar.AM_PM) == java.util.Calendar.AM) {
    

  4.       // Executed a morning
    

  5.       obj = new SubOfMyClass();
    

  6.     } else {
    

  7.       // Executed an afternoon
    

  8.       obj = new MyClass();
    

  9.     }
    

  10.      
    

  11.     obj.myMethod();
    

In the [code section 4.31](Print_version.html#code-section-31), the expression at line 3 is true if it is executed a morning and false if it is executed an afternoon. Thus, the instance of `obj` will be a `MyClass` or a `SubOfMyClass` depending on the execution time. So it is impossible to determine the method address at compile time. Because the `obj` reference can point to object and all its sub object, and that will be known only at runtime, a table is kept with all the possible method addresses to be called. Do not confuse:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.32: Declared type and instantiated type.**

  1.     obj.myMethod(myParameter);
    

The implementation of this method is searched using the _instantiated_ type of the called object (`obj`) and the _declared_ type of the parameter object (`myParameter`).

Also another rule is that when you do an override, the visibility of the new method that overrides the super class method can not be reduced. The visibility can be increased, however. So if the super class method visibility is `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`, the override method can not be `[package](http://en.wikibooks.org/wiki/Java_Programming/Keywords/package)`, or `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)`. An override method must throw the same exceptions as the super class, or their subexceptions.

`super` references to the parent class (i.e. `super.someMethod()`). It can be used in a subclass to access inherited methods that the subclass has overridden or inherited fields that the subclass has hidden.

![Note](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Bombilla_amarilla_-_yellow_Edison_lamp.svg/30px-Bombilla_amarilla_-_yellow_Edison_lamp.svg.png)
A common mistake to think that if we can override methods, we could also override member variables. This is not the case, as it is useless. You can redefine a variable that is private in the super class as such a variable is not visible.

  


# Object Lifecycle

Before a Java object can be created the class byte code must be loaded from the file system (with `.class` extension) to memory. This process of locating the byte code for a given class name and converting that code into a Java [class](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Class) instance is known as _class loading_. There is one class created for each type of Java class.

All objects in Java programs are created on heap memory. An object is created based on its class. You can consider a class as a blueprint, template, or a description how to create an object. When an object is created, memory is allocated to hold the object properties. An object reference pointing to that memory location is also created. To use the object in the future, that object reference has to be stored as a local variable or as an object member variable.

The Java Virtual Machine (JVM) keeps track of the usage of object references. If there are no more reference to the object, the object can not be used any more and becomes garbage. After a while the heap memory will be full of unused objects. The JVM collects those garbage objects and frees the memory they allocated, so the memory can be reused again when a new object is created. See below a simple example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.30: Object creation.**

  1.     {
    

  2.       // Create an object
    

  3.       MyObject obj = new MyObject();
    

  4.      
    

  5.       // Use the object
    

  6.       obj.printMyValues();
    

  7.     }
    

The `obj` variable contains the object reference pointing to an object created from the `MyObject` class. The `obj` object reference is in [scope](http://en.wikibooks.org/wiki/Java_Programming/Scope) inside the `{` `}`. After the `}` the object becomes garbage. Object references can be passed in to methods and can be returned from methods.

## Creating object with the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword

99% of new objects are created using the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.13: MyProgram.java**

  1.     public class MyProgram {
    

  2.      
    

  3.       public static void main(String[] args) {
    

  4.         // Create an 'MyObject' for the first time the application started
    

  5.         MyObject obj = new MyObject();
    

  6.       }
    

  7.     }
    

When an object from the `MyObject` class is created for the first time, the JVM searches the file system for the definition of the class, that is the Java byte code. The file has the extension of `*.class`. The **CLASSPATH** environment variable contains locations where Java classes are stored. The JVM is looking for the `MyObject.class` file. Depending on which package the class belongs to, the package name will be translated to a directory path.

When the `MyObject.class` file is found, the JVM's class loader loads the class in memory, and creates a Class object. The JVM stores the code in memory, allocates memory for the `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` variables, and executes any static initialize block. Memory is not allocated for the object member variables at this point, memory will be allocated for them when an instance of the class, an object, is created.

There is no limit on how many objects from the same class can be created. Code and `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` variables are stored only once, no matter how many objects are created. Memory is allocated for the object member variables when the object is created. Thus, the size of an object is determined not by its code's size but by the memory it needs for its member variables to be stored.

## Creating object by cloning an object

Cloning is not automatically available to classes. There is some help though, as all Java objects inherit the `protected Object clone()` method. This base method would allocate the memory and do the bit by bit copying of the object's states.

You may ask why we need this clone method. Couldn't I create a constructor and just passing in the same object, and do the copying variable by variable? Let's see:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.14: MyObject.java**

  1.     public class MyObject {
    

  2.        private int memberVar;
    

  3.     ...
    

  4.        MyObject(MyObject obj) {
    

  5.           this.memberVar = obj.memberVar;
    

  6.         ...
    

  7.        }
    

  8.     ...
    

  9.     }
    

You might think that accessing the private `memberVar` variable of `obj` would fail but as this is in the same class this code is legal. The `clone()` method copies the whole object's memory in one operation. This is much faster than using the new keyword. Object creation with the `[new](http://en.wikibooks.org/wiki/Java_Programming/Keywords/new)` keyword is expensive, so if you need to create lots of objects with the same type, performance will be better if you create one object and clone new ones from it. See below a factory method that will return a new object using cloning.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.31: Object cloning.**

  1.     HashTable cacheTemplate = new HashTable;
    

  2.     ...
    

  3.     /** Clone Customer object for performance reason */
    

  4.     public Customer createCustomerObject() {
    

  5.        // See if a template object exists in our cache
    

  6.        Customer template = cacheTemplate.get("Customer");
    

  7.        if (template == null) {
    

  8.           // Create template
    

  9.           template = new Customer();
    

  10.           cacheTemplate.put("Customer", template);
    

  11.        }
    

  12.       return template.clone();
    

  13.     }
    

Now, let's see how to make the Customer object cloneable.

  1. First the `Customer` class needs to implement the `Cloneable` Interface.
  2. Override and make the `clone()` method `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`, as that is `[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)` in the Object class.
  3. Call the `super.clone()`method at the beginning of your `clone` method.
  4. Override the `clone()` method in all the subclasses of `Customer`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.15: Customer.java**

  1.     public class Customer implements Cloneable {
    

  2.      ...
    

  3.         public Object clone() throws CloneNotSupportedException {
    

  4.            Object obj = super.clone();
    

  5.      
    

  6.            return obj;
    

  7.         }
    

  8.     }
    

In the [code listing 4.15](Print_version.html#code-listing-15) we used cloning for speed up object creation. Another use of cloning could be to take a snapshot of an object that can change in time. Let's say we want to store Customer objects in a collection, but we want to disassociate them from the 'live' objects. So before adding the object, we clone them, so if the original object changes from that point forward, the added object won't. Also let's say that the Customer object has a reference to an Activity object that contains the customer activities. Now we are facing a problem, it is not enough to clone the Customer object, we also need to clone the referenced objects. The solution:

  1. Make the Activity class also cloneable
  2. Make sure that if the Activity class has other 'changeable' object references, those has to be cloned as well, as seen below
  3. Change the Customer class `clone()` method as follows:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.16: Customer.java**

  1.     public class Customer implements Cloneable {
    

  2.       Activity activity;
    

  3.       ...
    

  4.         public Customer clone() throws CloneNotSupportedException {
    

  5.           Customer clonedCustomer = (Customer) super.clone();
    

  6.      
    

  7.           // Clone the object referenced objects
    

  8.           if (activity != null) {
    

  9.              clonedCustomer.setActivity((Activity) activity.clone());
    

  10.           }
    

  11.           return clonedCustomer;
    

  12.        }
    

  13.     }
    

Note that only mutable objects needs to be cloned. References to unchangeable objects such as String be used in the cloned object without worry.

## Creating object receiving from a remote source

When an object is sent through a network, the object needs to be **recreated** at the receiving host.

Object Serialization 
    The term _Object Serialization_ refers to the act of converting the object to a byte stream. The byte stream can be stored on the file system, or can be sent through a network.
    At the later time the object can be re-created from that stream of bytes. The only requirement is that the same class has to be available at both times, when the object is serialized and also when the object is re-created. If that happens in different servers, then the same class must be available on both servers. Same class means that exactly the same version of the class must be available, otherwise the object won't be able to be re-created. This is a maintenance problem to those applications where java serialization is used to persist object or sent the object through the network.
    When a class is modified, there could be a problem re-creating those objects that were serialized using an earlier version of the class.

Java has built-in support for serialization, using the `Serializable` interface; however, a class must first implement the `Serializable` interface.

By default, a class will have all of its fields serialized when converted into a data stream (with `[transient](http://en.wikibooks.org/wiki/Java_Programming/Keywords/transient)` fields being skipped). If additional handling is required beyond the default of writing all fields, you need to provide an implementation for methods:

    `private void writeObject(java.io.ObjectOutputStream out) throws IOException;`

    `private void readObject(java.io.ObjectInputStream in) throws IOException, ClassNotFoundException;`

    `private void readObjectNoData() throws ObjectStreamException;`

If the object needs to write or provide a replacement object during serialization, it needs to implement the following two methods, with any access specifier:

    `Object writeReplace() throws ObjectStreamException;`

    `Object readResolve() throws ObjectStreamException;`

Normally, a minor change to the class can cause the serialization to fail. You can still allow the class to be loaded by defining the serialization version id:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.32: Serialization version id.**

  1.     private static final long serialVersionUID = 42L;
    

## Destroying objects

Unlike in many other object-oriented programming languages, Java performs automatic garbage collection — any unreferenced objects are automatically erased from memory — and prohibits the user from manually destroying objects.

### finalize()

When an object is garbage-collected, the programmer may want to manually perform cleanup, such as closing any open input/output streams. To accomplish this, the `finalize()` method is used. Note that `finalize()` should never be manually called, except to call a super class' finalize method from a derived class' finalize method. Also, we can not rely on when the `finalize()` method will be called. If the java application exits before the object is garbage-collected, the `finalize()` method may never be called.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.33: Finalization.**

  1.     protected void finalize() throws Throwable {
    

  2.       try {
    

  3.         doCleanup();        // Perform some cleanup.  If it fails for some reason, it is ignored.
    

  4.       } finally {
    

  5.         super.finalize(); // Call finalize on the parent object
    

  6.       }
    

  7.     }
    

The garbage-collector thread runs in a lower priority than the other threads. If the application creates objects faster than the garbage-collector can claim back memory, the program can run out of memory.

The finalize method is required only if there are resources beyond the direct control of the Java Virtual Machine that needs to be cleaned up. In particular, there is no need to explicitly close an OutputStream, since the OutputStream will close itself when it gets finalized. Instead, the finalize method is used to release either native or remote resources controlled by the class.

## Class loading

One of the main concerns of a developer writing hot re-deployable applications is to understand how class loading works. Within the internals of the class loading mechanism lies the answer to questions like:

  * What happens if I pack a newer version of an utility library with my application, while an older version of the same library lingers somewhere in the server's lib directory?
  * How can I use two different versions of the same utility library, simultaneously, within the same instance of the application server?
  * What version of an utility class I am currently using?
  * Why do I need to mess with all this class loading stuff anyway?

  


  


# Scope

## Scope

The scope of a class, a variable or a method is its visibility and its accessibility. The visibility or accessibility means that you can use the item from a given place.

### Scope of method parameters

A method parameter is visible inside of the entire method but not visible outside the method.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 3.14: Scope.java**

  1.     public class Scope {
    

  2.      
    

  3.         public void method1(int i) {
    

  4.             i = i++;
    

  5.             method2();
    

  6.             int j = i * 2;
    

  7.         }
    

  8.      
    

  9.         public void method2() {
    

  10.             int k = 20;
    

  11.         }
    

  12.      
    

  13.         public static void main(String[] args) {
    

  14.             method1(10);
    

  15.         }
    

  16.     }
    

In [code listing 3.14](Print_version.html#code-listing-14), `i` is visible within the entire `method1` method but not in the `method2` and the `main` methods.

### Scope of local variables

A local variable is visible after its declaration until the end of the block in which the local variable has been created.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.50: Local variables.**

  1.     {
    

  2.     ...
    

  3.          // myNumber is NOT visible
    

  4.       {
    

  5.          // myNumber is NOT visible
    

  6.          int myNumber;
    

  7.          // myNumber is visible
    

  8.         {
    

  9.           ...
    

  10.            // myNumber is visible
    

  11.         }
    

  12.            // myNumber is visible
    

  13.       }
    

  14.          // myNumber is NOT visible
    

  15.     ...
    

  16.     }
    

## Access modifiers

You surely would have noticed by now, the words `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`, `[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)` and `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)` at the beginning of class's method declarations used in this book. These keywords are called the **access modifiers** in the Java language syntax, and they define the scope of a given item.

### For a class

  * If a class has **public** visibility, the class can be referenced by anywhere in the program.
  * If a class has **package** visibility, the class can be referenced only in the package where the class is defined.
  * If a class has **private** visibility, (it can happen only if the class is defined nested in an other class) the class can be accessed only in the outer class.

### For a variable

  * If a variable is defined in a **public** class and it has **public** visibility, the variable can be referenced anywhere in the application through the class it is defined in.
  * If a variable has **protected** visibility, the variable can be referenced only in the sub-classes and in the same package through the class it is defined in.
  * If a variable has **package** visibility, the variable can be referenced only in the same package through the class it is defined in.
  * If a variable has **private** visibility, the variable can be accessed only in the class it is defined in.

### For a method

  * If a method is defined in a **public** class and it has **public** visibility, the method can be called anywhere in the application through the class it is defined in.
  * If a method has **protected** visibility, the method can be called only in the sub-classes and in the same package through the class it is defined in.
  * If a method has **package** visibility, the method can be called only in the same package through the class it is defined in.
  * If a method has **private** visibility, the method can be called only in the class it is defined in.

### For an interface

The interface methods and interfaces are always `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`. You do not need to specify the access modifier. It will default to `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`. For clarity it is considered a good practice to put the `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)` keyword.

The same way all member variables defined in the Interface by default will become `[static](http://en.wikibooks.org/wiki/Java_Programming/Keywords/static)` `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)` once inherited in a class.

### Summary

Class Nested class Method, or Member variable Interface Interface method signature

`[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`
visible from anywhere
same as its class
same as its class
**visible from anywhere**
**visible from anywhere**

`[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)`
N/A
its class and its subclass
its class and its subclass, and from its package
N/A
N/A

package
**only from its package**
**only from its package**
**only from its package**
N/A
N/A

`[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)`
N/A
only from its class
only from its class
N/A
N/A

_The cases in bold are the default._

## Utility

A general guideline for visibilities is to only make a member as visible as it needs to be. Don't make a member public if it only needs to be private.

Doing so, you can rewrite a class and change all the private members without making compilation errors, even you don't know all the classes that will use your class as long as you do not change the signature of the public members.

## Field encapsulation

Generally, it is best to make data private or protected. Access to the data is controlled by _setter_ and _getter_ methods. This lets the programmer control access to data, allowing him/her to check for and handle invalid data.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 3.51: Encapsulation.**

  1.     private String name;
    

  2.      
    

  3.     /**
    

  4.      * This is an getter method because it accesses data from the object.
    

  5.      */
    

  6.     public String getName() {
    

  7.       return name;
    

  8.     }
    

  9.      
    

  10.     /**
    

  11.      * This is a setter method because it changes data in the object.
    

  12.      */
    

  13.     public boolean setName(String newName) {
    

  14.       if (newName == null) {
    

  15.         return false;
    

  16.       } else {
    

  17.         name = newName;
    

  18.         return true;
    

  19.       }
    

  20.     }
    

In the [code section 3.51](Print_version.html#code-section-51), the `setName()` method will only change the value of `name` if the new name is not null. Because `setName()` is conditionally changing name, it is wise to return a boolean to let the program know if the change was successful.

Test your knowledge

**Question 3.15**: Consider the following class.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 3.15: Question15.java**

  1.     public class Question15 {
    

  2.      
    

  3.         public static final int QKQKQKQK_MULTIPLIER = 2;
    

  4.      
    

  5.         public int ijijijijijijijijijAwfulName = 20;
    

  6.      
    

  7.         private int unununununununununCrummyName = 10;
    

  8.      
    

  9.         private void mememememememeUglyName(int i) {
    

  10.             i = i++;
    

  11.             tltltltltltltltltlBadName();
    

  12.             int j = i * QKQKQKQK_MULTIPLIER;
    

  13.         }
    

  14.      
    

  15.         public void tltltltltltltltltlBadName() {
    

  16.             int k = ijijijijijijijijijAwfulName;
    

  17.         }
    

  18.      
    

  19.         public static void main(String[] args) {
    

  20.             mememememememeUglyName(unununununununununCrummyName);
    

  21.         }
    

  22.     }
    

List the fields and methods of this class that can be renamed without changing or even knowing the client classes.

Answer

  1. `unununununununununCrummyName`
  2. `mememememememeUglyName()`

Every field or method that is public can be directly called by a client class so this class would return a compile error if the field or the method has a new name.

  


  


# Nested Classes

In Java you can define a class inside an other class. A class can be nested inside another class or inside a method. A class that is not nested is called a _top-level_ class and a class defining a nested class is an _outer_ class.

## Inner classes

### Nesting a class inside a class

When a class is declared inside another class, the nested class' access modifier can be `[public](http://en.wikibooks.org/wiki/Java_Programming/Keywords/public)`, `[private](http://en.wikibooks.org/wiki/Java_Programming/Keywords/private)`, `[protected](http://en.wikibooks.org/wiki/Java_Programming/Keywords/protected)` or `package(default)`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.10: OuterClass.java**

  1.     public class OuterClass {
    

  2.        private String outerInstanceVar;
    

  3.      
    

  4.        public class InnerClass {
    

  5.           public void printVars() {
    

  6.              System.out.println("Print Outer Class Instance Var.:" + outerInstanceVar);
    

  7.           }
    

  8.        }
    

  9.     }
    

The inner class has access to the enclosing class instance's variables and methods, even private ones, as seen above. This makes it very different from the nested class in C++, which are equivalent to the "static" inner classes, see below.

An inner object has a reference to the outer object. The nested object can only be created with a reference to the 'outer' object. See below.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.20: Outer class call.**

  1.     public void testInner() {
    

  2.         ...
    

  3.         OuterClass outer = new OuterClass();
    

  4.         OuterClass.InnerClass inner = outer.new InnerClass();  
    

  5.         ...
    

  6.     }
    

When in a non-static method of the outer class, you can directly use `new InnerClass()`, since the class instance is implied to be `this`.

You can directly access the reference to the outer object from within an inner class with the syntax `OuterClass.this`; although this is usually unnecessary because you already have access to its fields and methods.

Inner classes compile to separate ".class" bytecode files, with the name of the enclosing class, followed by a "$", followed by the name of the inner class. So for example, the above inner class would be compiled to a file named "OuterClass$InnerClass.class".

### Static inner classes

An inner class can be declared _static_. These classes are not bound to an instance of the outer defining class. A static inner class has no enclosing instance, and therefore cannot access instance variables and methods of the outer class. You do not specify an instance when creating a static inner class. This is equivalent to the inner classes in C++.

### Nesting a class inside a method

These inner classes, also called _local classes_, cannot have access modifiers, like local variables, since the class is 'private' to the method. The inner class can be only `[abstract](http://en.wikibooks.org/wiki/Java_Programming/Keywords/abstract)` or `[final](http://en.wikibooks.org/wiki/Java_Programming/Keywords/final)`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.11: OuterClass.java**

  1.     public class OuterClass {
    

  2.        public void method() {
    

  3.           class InnerClass {
    

  4.      
    

  5.           }
    

  6.        }
    

  7.     }
    

In addition to instance variables of the enclosing class, local classes can also access local variables of the enclosing method, but only ones that are declared `final`. This is because the local class instance might outlive the invocation of the method, and so needs its own copy of the variable. To avoid problems with having two different copies of a mutable variable with the same name in the same scope, it is required to be `final`, so it cannot be changed.

## Anonymous Classes

In Java, a class definition and its instantiation can be combined into a single step. By doing that the class does not require a name. Those classes are called anonymous classes. An anonymous class can be defined and instantiated in contexts where a reference can be used, and it is a nested class to an existing class. Anonymous class is a special case of a class local to a method; hence they also can access final local variables of the enclosing method.

Anonymous classes are most useful to create an instance of an interface or adapter class without needing a brand new class.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.12: ActionListener.java**

  1.     public interface ActionListener {
    

  2.         public void actionPerformed();
    

  3.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.21: Anonymous class.**

  1.     ActionListener listener = new ActionListener() {
    

  2.             public void actionPerformed() {
    

  3.                 // Implementation of the action event
    

  4.                 ...
    

  5.                 return;
    

  6.             }
    

  7.         };
    

In the above example the class that implements the `ActionListener` is **anonymous**. The class is defined where it is instantiated.

The above code is harder to read than if the class is explicitly defined, so why use it? If many implementations are needed for an interface, those classes are used only in one particular place, and it would be hard to come up with names for them, using an **anonymous** inner class makes sense.

The following example uses an anonymous inner class to implement an action listener.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.13: MyApp.java**

  1.     import java.awt.Button;
    

  2.     import java.awt.event.ActionEvent;
    

  3.     import java.awt.event.ActionListener;
    

  4.      
    

  5.     class MyApp {
    

  6.        Button aButton = new Button();
    

  7.      
    

  8.        MyApp() {
    

  9.            aButton.addActionListener(new ActionListener() {
    

  10.                    public void actionPerformed(ActionEvent e) {
    

  11.                        System.out.println("Hello There");
    

  12.                    }
    

  13.                }
    

  14.            );
    

  15.        }
    

  16.     }
    

The following example does the same thing, but it names the class that implements the action listener.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.14: MyApp.java**

  1.     import java.awt.Button;
    

  2.     import java.awt.event.ActionEvent;
    

  3.     import java.awt.event.ActionListener;
    

  4.      
    

  5.     class MyApp {
    

  6.        Button aButton = new Button();
    

  7.      
    

  8.        // Nested class to implement the action listener
    

  9.        class MyActionListener implements ActionListener {
    

  10.            public void actionPerformed(ActionEvent e) {
    

  11.                System.out.println("Hello There");
    

  12.            }
    

  13.        }
    

  14.        MyApp() {
    

  15.            aButton.addActionListener(new MyActionListener());
    

  16.        }
    

  17.     }
    

Using **anonymous** classes is especially preferable when you intend to use many different classes that each implement the same interface.

  


  


# Generics

Java is a strongly typed language, so a field in a class may be typed like this:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.34: Repository.java**

  1.     public class Repository {
    

  2.      
    

  3.        public Integer item;
    

  4.      
    

  5.        public Integer getItem() {
    

  6.           return item;
    

  7.        }
    

  8.      
    

  9.        public void setItem(Integer newItem) {
    

  10.           item = newItem;
    

  11.        }
    

  12.     }
    

This ensures that, only `Integer` objects can be put in the field and a `ClassCastException` can't occur at runtime, only compile-time error can occur. Unfortunately, it can be used only with `Integer` objects. If you want to use the same class in another context with `String`s, you have to generalize the type like this:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.35: Repository.java**

  1.     public class Repository {
    

  2.      
    

  3.        public Object item;
    

  4.      
    

  5.        public Object getItem() {
    

  6.           return item;
    

  7.        }
    

  8.      
    

  9.        public void setItem(Integer newItem) {
    

  10.           item = newItem;
    

  11.        }
    

  12.      
    

  13.        public void setItem(String newItem) {
    

  14.           item = newItem;
    

  15.        }
    

  16.     }
    

But you will have `ClassCastException` at runtime again and you can't easily use your field. The solution is to use [Generics](http://en.wikipedia.org/wiki/Generic_programming).

## Generic class

A generic class does not hard code the type of a field, a return value or a parameter. The class only indicates that a generic type should be the same, for a given object instance. The generic type is not specified in the class definition. It is specified during object instantiation. This allows the generic type to be different from an instance to another. So we should write our class this way:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.36: Repository.java**

  1.     public class Repository<T> {
    

  2.      
    

  3.        public T item;
    

  4.      
    

  5.        public T getItem() {
    

  6.           return item;
    

  7.        }
    

  8.      
    

  9.        public void setItem(T newItem) {
    

  10.           item = newItem;
    

  11.        }
    

  12.     }
    

Here, the generic type is defined after the name of the class. Any new identifier can be chosen. Here, we have chosen _T_, which is the most common choice. The actual type is defined at the object instantiation:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.35: Instantiation.**

  1.     Repository<Integer> arithmeticRepository = new Repository<Integer>();
    

  2.     arithmeticRepository.setItem(new Integer(1));
    

  3.     Integer number = arithmeticRepository.getItem();
    

  4.      
    

  5.     Repository<String> textualRepository = new Repository<String>();
    

  6.     textualRepository.setItem("Hello!");
    

  7.     String message = textualRepository.getItem();
    

Although each object instance has its own type, each object instance is still strongly typed:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 4.36: Compile error.**

  1.     Repository<Integer> arithmeticRepository = new Repository<Integer>();
    

  2.     arithmeticRepository.setItem("Hello!");
    

A class can define as many generic types as you like. Choose a different identifier for each generic type and separate them by a comma:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.37: Repository.java**

  1.     public class Repository<T, U> {
    

  2.      
    

  3.        public T item;
    

  4.      
    

  5.        public U anotherItem;
    

  6.      
    

  7.        public T getItem() {
    

  8.           return item;
    

  9.        }
    

  10.      
    

  11.        public void setItem(T newItem) {
    

  12.           item = newItem;
    

  13.        }
    

  14.      
    

  15.        public U getAnotherItem() {
    

  16.           return anotherItem;
    

  17.        }
    

  18.      
    

  19.        public void setAnotherItem(U newItem) {
    

  20.           anotherItem = newItem;
    

  21.        }
    

  22.     }
    

When a type that is defined with generic (for example, `Collection<T>`) is not used with generics (for example, `Collection`) is called a _raw type_.

## Generic method

A generic type can be defined for just a method:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.37: Generic method.**

  1.     public <D> D assign(Collection<D> generic, D obj) {
    

  2.       generic.add(obj);
    

  3.       return obj;
    

  4.     }
    

Here a new identifier (_D_) has been chosen at the beginning of the method declaration. The type is _specific to a method call_ and different types can be used for the same object instance:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.38: Generic method call.**

  1.     Collection<Integer> numbers = new ArrayList<Integer>();
    

  2.     Integer number = assign(numbers, new Integer(1));
    

  3.     Collection<String> texts = new ArrayList<String>();
    

  4.     String text = assign(texts, "Store it.");
    

The actual type will be defined by the type of the method parameter. Hence, the generic type can't be defined only for the return value as it wouldn't be resolved. See the [Class<T>](Print_version.html#Class.3CT.3E) section for a solution.

Test your knowledge

**Question 4.8**: Consider the following class.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.8: Question8.java**

  1.     public class Question8<T> {
    

  2.       public T item;
    

  3.      
    

  4.       public T getItem() {
    

  5.         return item;
    

  6.       }
    

  7.      
    

  8.       public void setItem(T newItem) {
    

  9.         item = newItem;
    

  10.       }
    

  11.      
    

  12.       public static void main(String[] args) {
    

  13.         Question8<String> aQuestion = new Question8<String>();
    

  14.         aQuestion.setItem("Open your mind.");
    

  15.         aQuestion.display(aQuestion.getItem());
    

  16.       }
    

  17.      
    

  18.       public void display(String parameter) {
    

  19.         System.out.println("Here is the text: " + parameter);
    

  20.       }
    

  21.      
    

  22.       public void display(Integer parameter) {
    

  23.         System.out.println("Here is the number: " + parameter);
    

  24.       }
    

  25.      
    

  26.       public void display(Object parameter) {
    

  27.         System.out.println("Here is the object: " + parameter);
    

  28.       }
    

  29.     }
    

What will be displayed on the console?

Answer

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Answer 4.8**
    
    
    Here is the text: Open your mind.
    

`aQuestion.getItem()` is typed as a string.

## Wildcard Types

As we have seen above, generics give the impression that a new container type is created with each different type parameter. We have also seen that in addition to the normal type checking, the type parameter has to match as well when we assign generics variables. In some cases this is too restrictive. What if we would like to relax this additional checking? What if we would like to define a collection variable that can hold any generic collection, regardless of the parameter type it holds? The wildcard type is represented by the character **<?>**, and pronounced **Unknown**, or **Any-Type**. Any-Type can be expressed also by `<? extends Object>`. Any-Type includes Interfaces, not only Classes. So now we can define a collection whose element type matches anything. See below:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.39: Wildcard type.**

  1.     Collection<?> collUnknown;
    

### Upper bounded wildcards

You can specify a restriction on the types of classes that may be used. For example, `<? extends ClassName>` only allows objects of class `ClassName` or a subclass. For example, to create a collection that may only contain "Serializable" objects, specify:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.40: Collection of serializable subobjects.**

  1.     Collection<String> textColl = new ArrayList<String>();
    

  2.      
    

  3.     Collection<? extends Serializable> serColl = textColl;
    

The above code is valid because the `[String](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.String)` class is serializable. Use of a class that is not serializable would cause a compilation error. The added items can be retrieved as `Serializable` object. You can call methods of the `Serializable` interface or cast it to `String`. The following collection can only contain objects that extend the class `Animal`.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 4.38: Dog.java**

  1.     class Dog extends Animal {
    

  2.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.41: Example of subclass.**

  1.     // Create "Animal Collection" variable
    

  2.     Collection<? extends Animal> animalColl = new ArrayList<Dog>();
    

### Lower bounded wildcards

`<? super ClassName>` specifies a restriction on the types of classes that may be used. For example, to declare a Comparator that can compare Dogs, you use:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.42: Superclass.**

  1.     Comparator<? super Dog> myComparator;
    

Now suppose you define a comparator that can compare Animals:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.43: Comparator.**

  1.     class AnimalComparator implements Comparator<Animal> {
    

  2.       int compare(Animal a, Animal b) {
    

  3.        //...
    

  4.       }
    

  5.     }
    

Since `Dogs` are `Animals`, you can use this comparator to compare Dogs also. Comparators for any superclass of Dog can also compare Dog; but comparators for any strict subclass cannot.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.44: Generic comparator.**

  1.     Comparator<Animal> myAnimalComparator = new AnimalComparator();
    

  2.      
    

  3.     static int compareTwoDogs(Comparator<? super Dog> comp, Dog dog1, Dog dog2) {
    

  4.       return comp.compare(dog1, dog2);
    

  5.     }
    

The above code is valid because the `Animal` class is a supertype of the `Dog` class. Use of a class that is not a supertype would cause a compilation error.

### Unbounded wildcard

The advantage of the unbounded wildcard (i.e. `<?>`) compared to a raw type (i.e. without generic) is to explicitly say that the parameterized type is unknown, not _any type_. That way, all the operations that implies to know the type are forbidden to avoid unsafe operation. Consider the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.45: Unsafe operation.**

  1.     public void addAtBottom(Collection anyCollection) {
    

  2.       anyCollection.add(new Integer(1));
    

  3.     }
    

This code will compile but this code may corrupt the collection if the collection only contains strings:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.46: Corruption of list.**

  1.     List<String> col = new ArrayList<String>();
    

  2.     addAtBottom(col);
    

  3.     col.get(0).endsWith(".");
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 4.46**
    
    
    Exception in thread "main" java.lang.ClassCastException: java.lang.Integer incompatible with java.lang.String
    at Example.main(Example.java:17)
    

This situation could have been avoided if the `addAtBottom(Collection)` method was defined with an unbounded wildcard: `addAtBottom(Collection<?>)`. With this signature, it is impossible to compile a code that is dependent of the parameterized type. Only independent methods of a collection (`clear()`, `isEmpty()`, `iterator()`, `remove(Object o)`, `size()`, ...) can be called. For instance, `addAtBottom(Collection<?>)` could contain the following code:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.47: Safe operation.**

  1.     public void addAtBottom(Collection<?> anyCollection) {
    

  2.        Iterator<?> iterator = anyCollection.iterator();
    

  3.        while (iterator.hasNext()) {
    

  4.           System.out.print(iterator.next());
    

  5.        }
    

  6.     }
    

## Class<T>

Since Java 1.5, the class `java.lang.Class` is generic. It is an interesting example of using generics for something other than a container class. For example, the type of String.class is `Class<String>`, and the type of Serializable.class is `Class<Serializable>`. This can be used to improve the type safety of your reflection code. In particular, since the `newInstance()` method in Class now returns T, you can get more precise types when creating objects reflectively. Now we can use the `newInstance()` method to return a new object with exact type, without casting. An example with generics:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.48: Automatic cast.**

  1.     Customer cust = Utility.createAnyObject(Customer.class);  // No casting
    

  2.     ...
    

  3.     public static <T> T createAnyObject(Class<T> cls) {
    

  4.         T ret = null;
    

  5.         try {
    

  6.             ret = cls.newInstance();
    

  7.         } catch (Exception e) {
    

  8.             // Exception Handling
    

  9.         }
    

  10.         return ret;
    

  11.     }
    

The same code without generics:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.49: Former version.**

  1.     Customer cust = (Customer) Utility.createAnyObject(Customer.class);  // Casting is needed
    

  2.     ...
    

  3.     public static Object createAnyObject(Class cls) {
    

  4.         Object ret = null;
    

  5.         try {
    

  6.             ret = cls.newInstance();
    

  7.         } catch (Exception e) {
    

  8.             // Exception Handling
    

  9.         }
    

  10.         return ret;
    

  11.     }
    

## Motivation

Java was long criticized for the need to explicitly type-cast an element when it was taken out of a "container/collection" class. There was no way to enforce that a "collection" class contains only one type of object (e.g., to forbid _at compile time_ that an `Integer` object is added to a `Collection` that should only contain `String`s). This is possible since Java 1.5. In the first couple of years of Java evolution, Java did not have a real competitor. This has changed by the appearance of Microsoft C#. With Generics Java is better suited to compete against C#. Similar constructs to Java Generics exist in other languages, see [Generic programming](http://en.wikipedia.org/wiki/Generic_programming) for more information. Generics were added to the Java language syntax in version 1.5. This means that code using Generics will not compile with Java 1.4 and less. Use of generics is optional. For backwards compatibility with pre-Generics code, it is okay to use generic classes without the generics type specification (`<T>`). In such a case, when you retrieve an object reference from a generic object, you will have to manually cast it from type Object to the correct type.

## Note for C++ programmers

Java Generics are similar to C++ Templates in that both were added for the same reason. The syntax of Java Generic and C++ Template are also similar. There are some differences however. The C++ template can be seen as a kind of macro, in that a new copy of the code is generated for each generic type referenced. All extra code for templates is generated at compiler time. In contrast, Java Generics are built into the language. The same code is used for each generic type. For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.50: Java generics.**

  1.     Collection<String>  collString  = new ArrayList<String>();
    

  2.     Collection<Integer> collInteger = new ArrayList<Integer>();
    

Both these objects appear as the same type at runtime (both `ArrayList`'s). The generic type information is erased during compilation (type erasure). For example:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.51: Type erasure.**

  1.     public <T> void method(T argument) {
    

  2.       T variable;
    

  3.       …
    

  4.     }
    

is transformed by erasure into:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 4.52: Transformation.**

  1.     public void method(Object argument) {
    

  2.       Object variable;
    

  3.       …
    

  4.     }
    

Test your knowledge

**Question 4.9**: Consider the following class.

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Question 4.9: Question9.java**

  1.     import java.util.ArrayList;
    

  2.     import java.util.Collection;
    

  3.      
    

  4.     public class Question9 {
    

  5.       public static void main(String[] args) {
    

  6.         Collection<String> collection1 = new ArrayList<String>();
    

  7.         Collection<? extends Object> collection2 = new ArrayList<String>();
    

  8.         Collection<? extends String> collection3 = new ArrayList<String>();
    

  9.         Collection<? extends String> collection4 = new ArrayList<Object>();
    

  10.         Collection<? super Object> collection5 = new ArrayList<String>();
    

  11.         Collection<? super Object> collection6 = new ArrayList<Object>();
    

  12.         Collection<?> collection7 = new ArrayList<String>();
    

  13.         Collection<? extends Object> collection8 = new ArrayList<?>();
    

  14.         Collection<? extends Object> collection9 = new ArrayList<Object>();
    

  15.         Collection<? extends Integer> collection10 = new ArrayList<String>();
    

  16.         Collection<String> collection11 = new ArrayList<? extends String>();
    

  17.         Collection collection12 = new ArrayList<String>();
    

  18.       }
    

  19.     }
    

Which lines will generate a compile error?

Answer

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Answer 4.9: Answer9.java**

  1.     import java.util.ArrayList;
    

  2.     import java.util.Collection;
    

  3.      
    

  4.     public class Answer9 {
    

  5.       public static void main(String[] args) {
    

  6.         Collection<String> collection1 = new ArrayList<String>();
    

  7.         Collection<? extends Object> collection2 = new ArrayList<String>();
    

  8.         Collection<? extends String> collection3 = new ArrayList<String>();
    

  9.         Collection<? extends String> collection4 = new ArrayList<Object>();
    

  10.         Collection<? super Object> collection5 = new ArrayList<String>();
    

  11.         Collection<? super Object> collection6 = new ArrayList<Object>();
    

  12.         Collection<?> collection7 = new ArrayList<String>();
    

  13.         Collection<? extends Object> collection8 = new ArrayList<?>();
    

  14.         Collection<? extends Object> collection9 = new ArrayList<Object>();
    

  15.         Collection<? extends Integer> collection10 = new ArrayList<String>();
    

  16.         Collection<String> collection11 = new ArrayList<? extends String>();
    

  17.         Collection collection12 = new ArrayList<String>();
    

  18.       }
    

  19.     }
    

  * Line 9: `Object` does not extend `String`.
  * Line 10: `String` is not a superclass of `Object`.
  * Line 13: `ArrayList<?>` can't be instantiated.
  * Line 15: `Integer` does not extend `String`.
  * Line 16: `ArrayList<? extends String>` can't be instantiated.

  


# Aggregate

# Aggregate

In the previous chapters, we have discovered the [array](http://en.wikibooks.org/wiki/Java_Programming/Arrays). An array stores a group of primitive types. To group objects, or to reference a group of objects, we can use Java aggregate classes. There are two main interfaces, those are `java.util.Collection` and `java.util.Map` . Implementations for those interfaces are not interchangeable.

## Collection

The implementations of `java.util.Collection` interface are used for grouping simple java objects.

Example
    We can group together all patients in a Hospital to a "patient" collection.

## Map

The implementations of `java.util.Map` interface are used to represent mapping between "key" and "value" objects. A Map represents a group of "key" objects, where each "key" object is mapped to a "value" object.

Example
    For each patient, there is one and only one main nurse assigned to. That association can be represented by a "patient-nurse" Map.

## Choice

A collection is better when you have to access to all the items at once. A map is better when you have to randomly access to an item regularly.

Before selecting a particular collection implementation, ask the following question:

_Can my collection contain the same elements, i.e. are duplicates allowed?_

_Can my collection contain the `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` element?_

_Should the collection maintain the order of the elements? Is the order important in any way?_

_How do you want to access an element? By index, key or just with an iterator?_

_Does the collection need to be synchronized?_

_From a performance perspective, which one needs to be faster, updates or reads?_

_From a usage perspective, which operation will be more frequent, updates or reads?_

Once you know your needs, you can select an existing implementation. But first decide if you need a `Collection`, or a `Map`.

Note that the above associations are explicit. The objects them-self do not have any knowledge/information about that they are part in an association. But creating explicit associations between simple java objects is the main idea about using the aggregate/collection classes.

  


# Collection

The most basic collection interface is called `Collection`. This interface gives the user a generic usage of a collection. All collections need to have the same basic operations. Those are:

  * Adding element(s) to the collection
  * Removing element(s) from the collection
  * Obtaining the number of elements in the collection
  * Listing the contents of the collection, (Iterating through the collection)

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 5.1: CollectionProgram.java**

  1.     import java.util.Collection;   // Interface
    

  2.     import java.util.ArrayList;    // Implementation
    

  3.      
    

  4.     public class CollectionProgram {
    

  5.      
    

  6.       public static void main(String[] args) {
    

  7.         Collection myCollection = new ArrayList();
    

  8.         myCollection.add("1");
    

  9.         myCollection.add("2");
    

  10.         myCollection.add("3");
    

  11.         System.out.println("The collection contains " + myCollection.size() + " item(s).");
    

  12.      
    

  13.         myCollection.clear();
    

  14.         if (myCollection.isEmpty()) {
    

  15.           System.out.println("The collection is empty.");
    

  16.         } else {
    

  17.           System.out.println("The collection is not empty.");
    

  18.         }
    

  19.       }
    

  20.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 5.1**
    
    
    The collection contains 3 item(s).
    The collection is empty.
    

When you put an object in a collection, this object is not actually _in_ the collection. Only its object reference is added to the collection. This means that if an object is changed after it was put in an collection, the object in the collection also changes. The [code listing 5.2](Print_version.html#code-listing-2) computes the seven next days from tomorrow and store each date in a list to read it after. See what happens:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 5.2: SevenNextDays.java**

  1.     import java.util.ArrayList;
    

  2.     import java.util.Calendar;
    

  3.     import java.util.Collection;
    

  4.     import java.util.Date;
    

  5.     import java.util.GregorianCalendar;
    

  6.      
    

  7.     public class SevenNextDays {
    

  8.      
    

  9.       public static void main(String[] args) {
    

  10.      
    

  11.         // The calendar is set at the current date: today
    

  12.         Calendar calendar = new GregorianCalendar();
    

  13.      
    

  14.         Collection collectionOfDays = new ArrayList();
    

  15.         Date currentDate = new Date();
    

  16.         for (int i = 0; i < 7; ++i) {
    

  17.           // The calendar is now set to the next day
    

  18.           calendar.add(Calendar.DATE, 1);
    

  19.           currentDate.setTime(calendar.getTimeInMillis());
    

  20.      
    

  21.           collectionOfDays.add(currentDate);
    

  22.         }
    

  23.      
    

  24.         for (Object oneDay : collectionOfDays) {
    

  25.           System.out.println("The next day is: " + oneDay);
    

  26.         }
    

  27.       }
    

  28.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 5.2**

` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`

Each collection items were said to be updated to a different date but they all have been updated to the last one. It means that each update has updated all the collection items. And this is the case. The `currentDate` has been used to fill all the collection items. The collection didn't keep trace of the added values (one of the seven dates) but the added object references (`currentDate`). So the collection contains the same object seven times! To avoid this issue, we should have coded it this way:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 5.3: ActualSevenNextDays.java**

  1.     import java.util.ArrayList;
    

  2.     import java.util.Calendar;
    

  3.     import java.util.Collection;
    

  4.     import java.util.Date;
    

  5.     import java.util.GregorianCalendar;
    

  6.      
    

  7.     public class ActualSevenNextDays {
    

  8.      
    

  9.       public static void main(String[] args) {
    

  10.      
    

  11.         // The calendar is set at the current date: today
    

  12.         Calendar calendar = new GregorianCalendar();
    

  13.      
    

  14.         Collection collectionOfDays = new ArrayList();
    

  15.         for (int i = 0; i < 7; ++i) {
    

  16.           Date currentDate = new Date();
    

  17.           // The calendar is now set to the next day
    

  18.           calendar.add(Calendar.DATE, 1);
    

  19.           currentDate.setTime(calendar.getTimeInMillis());
    

  20.      
    

  21.           collectionOfDays.add(currentDate);
    

  22.         }
    

  23.      
    

  24.         for (Object oneDay : collectionOfDays) {
    

  25.           System.out.println("The next day is: " + oneDay);
    

  26.         }
    

  27.       }
    

  28.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code listing 5.3**

` The next day is: Thu Apr 17 16:18:22 UTC 2014`  
` The next day is: Fri Apr 18 16:18:22 UTC 2014`  
` The next day is: Sat Apr 19 16:18:22 UTC 2014`  
` The next day is: Sun Apr 20 16:18:22 UTC 2014`  
` The next day is: Mon Apr 21 16:18:22 UTC 2014`  
` The next day is: Tue Apr 22 16:18:22 UTC 2014`  
` The next day is: Wed Apr 23 16:18:22 UTC 2014`

Now each time we add an item to the collection, it is a different instance. All the items evolve separately. To add an object in a collection and avoid this item to be changed each time the source object is changed, you have to copy or clone the object before you add it to the collection.

## Generics

Objects put into a collection are upcasted to `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)` class. It means that you need to cast the object reference back when you get an element out from the collection. It also means that **you need to know** the type of the object when you take it out. If a collection contains different types of objects, we will have difficulty finding out the type of the objects obtained from a collection at run time. Let's use a collection with any objects in it:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.1: Collection feeding.**

  1.     Collection ageList = new ArrayList();
    

  2.     ageList.add(new Integer(46));
    

  3.     ageList.add("50");
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.2: Collection reading.**

  1.     Integer sum = new Integer(0);
    

  2.     for (Object age : ageList) {
    

  3.         sum = sum.add((Integer) age);
    

  4.     }
    

  5.      
    

  6.     if (!ageList.isEmpty()) {
    

  7.         System.out.println("The average age is " + sum / ageList.size());
    

  8.     }
    

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Console for Code section 5.2**
    
    
    ClassCastException.
    

This error could have been fixed earlier, at compile time, using generic types.

The [Generics](http://en.wikibooks.org/wiki/Java_Programming/Generics) has been added since JDK version 1.5. It is an enhancement to the type system of the Java language. All collection implementations since 1.5 now have one _parameterized type <E>_ added. The _E_ refers to an _Element_ type. When a collection is created, the actual _Element type_ will replace the E. In the collection, the objects are now upcasted to _E_ class.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.3: Collection with generics.**

  1.     Collection<Integer> ageList = new ArrayList<Integer>();
    

  2.     ageList.add(new Integer(46));     // Integer can be added
    

  3.     ageList.add("50");                // Compilation error, ageList can have only Integers inside
    

`ageList` is a collection that can contain only Integer objects as elements. No casting is required when we take out an element.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.4: Item reading.**

  1.     Integer age = ageList.get(0);
    

Generics is not mandatory but it is often used with the collection classes.

## Collection classes

There is no direct implementation for the `java.util.Collection` interface. The Collection interface has five sub interfaces.

**Figure 1:** The five sub interfaces of the `java.util.Collection` interface.

![Java collection interfaces.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Java_collection_interfaces.svg/400px-Java_collection_interfaces.svg.png)

  


### Set

A set collection contains unique elements, so duplicates are not allowed. It is similar to a mathematical Set. When adding a new item to a set, the set calls the method `int hashCode()` of the item and compare it to the hash code of all the already inserted items. If the hash code has been found, the item is not added. If not, the set now to the `boolean equals(Object obj);` method with all the set items. If one call returns true, the item is inserted. If not, the item is not inserted.

**Figure 2:** Set class diagram.

![Java collection set implementations.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/3b/Java_collection_set_implementations.jpg/650px-Java_collection_set_implementations.jpg)

  


java.util.HashSet<E> 
    This is the basic implementation of the `Set` interface. Not synchronized. Allows the `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` elements
java.util.TreeSet<E>
    Elements are sorted, not synchronized. `[null](http://en.wikibooks.org/wiki/Java_Programming/Literals/null)` not allowed
java.util.CopyOnWriteArraySet<E> 
    Thread safe, a fresh copy is created during modification operation. Add, update, delete are expensive.
java.util.EnumSet<E extends Enum<E>> 
    All of the elements in an enum set must come from a single enum type that is specified, explicitly or implicitly, when the set is created. Enum sets are represented internally as bit vectors.
java.util.LinkedHashSet<E> 
    Same as HashSet, plus defines the iteration ordering, which is the order in which elements were inserted into the set.

#### Detecting duplicate objects in Sets

`Set` cannot have duplicates in it. You may wonder how duplicates are detected when we are adding an object to the `Set`. We have to see if that object exists in the Set or not. It is not enough to check the object references, the objects' values have to be checked as well.

To do that, fortunately, each java object has the `[boolean equals(Object obj)`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#equals.28.29_Method), method available inherited from `[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)`. You need to override it. That method will be called by the Set implementation to compare the two objects to see if they are equal or not.

There is a problem, though. What if I put two different type of objects to the Set. I put an Apple and an Orange. They can not be compared. Calling the `[equals()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#equals.28.29_Method) method would cause a `ClassCastException`. There are two solutions to this:

  * **Solution one** : Override the `[int hashCode()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#hashCode.28.29_Method) method and return the same values for the same type of objects and return different values for different type of objects. The `[equals()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#equals.28.29_Method) method is used to compare objects only with the same value of hashCode. So before an object is added, the Set implementation needs to: 
    * find all the objects in the Set that have the same hashCode as the candidate object hashCode
    * and for those, call the `[equals()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#equals.28.29_Method) methods passing in the candidate object
    * if any of them returns true, the object is not added to the Set.
  * **Solution two** : Create a super class for the Apple and Orange, let's call it Fruit class. Put Fruits in the Set. You need to do the following: 
    * Do not override the `equals()` and `hashCode()` methods in the Apple and Orange classes
    * Create `appleEquals()` method in the Apple class, and create `orangeEquals()` method in the Orange class
    * Override the `hashCode()` method in the Fruit class and return the same value, so the `equals()` is called by the Set implementation
    * Override the `equals()` method in the Fruit class for something like this.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.5: `equals` method implementation.**

  1.     public boolean equals(Object obj) {
    

  2.         boolean ret = false;
    

  3.         if (this instanceof Apple &&
    

  4.               obj instanceof Apple) {
    

  5.             ret = this.appleEquals(obj);
    

  6.         } else if (this instanceof Orange &&
    

  7.                   obj  instanceof Orange) {
    

  8.             ret = this.orangeEquals(obj);  
    

  9.         } else {
    

  10.             // Can not compare Orange to Apple
    

  11.            ret = false;
    

  12.         }
    

  13.         return ret;
    

  14.     }
    

**Note:**

  * Only the objects that have the same hashCode will be compared.
  * You are responsible to override the `equals()` and `hashCode()` methods. The default implementations in Object won't work.
  * Only override the `[hashCode()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#hashCode.28.29_Method) method if you want to eliminate value duplicates.
  * Do not override the `[hashCode()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#hashCode.28.29_Method) method if you know that the values of your objects are different, or if you only want to prevent adding the exactly same object.
  * Beware that the `[hashCode()`](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object#hashCode.28.29_Method) may be used in other collection implementations, like in a Hashtable to find an object fast. Overriding the default `hashCode()` method may affect performance there.
  * The default hashCodes are unique for each object created, so if you decide not to override the `hashCode()` method, there is no point overriding the `equals()` method, as it won't be called.

#### SortedSet

The `SortedSet` interface is the same as the Set interface plus the elements in the SortedSet are sorted. It extends the Set Interface. All elements in the SortedSet must implement the Comparable Interface, furthermore all elements must be mutually comparable.

Note that the ordering maintained by a sorted set must be consistent with equals if the sorted set is to correctly implement the Set interface. This is so because the Set interface is defined in terms of the equals operation, but a sorted set performs all element comparisons using its compare method, so two elements that are deemed equal by this method are, from the standpoint of the sorted set, equal.

The SortedSet interface has additional methods due to the sorted nature of the 'Set'. Those are:

`E first();`
returns the first element

`E last();`
returns the last element

`SortedSet headSet(E toElement);`
returns from the first, to the exclusive toElement

`SortedSet tailSet(E fromElement);`
returns from the inclusive fromElement to the end

`SortedSet subSet(E fromElement, E toElement);`
returns elements range from fromElement, inclusive, to toElement, exclusive. (If fromElement and toElement are equal, the returned sorted set is empty.)

### List

In a list collection, the elements are put in a certain order, and can be accessed by an index. Duplicates are allowed, the same element can be added twice to a list. It has the following implementations:

**Figure 3:** List class diagram.

![Java collection list implementations.jpg](../../../upload.wikimedia.org/wikibooks/en/2/26/Java_collection_list_implementations.jpg)

  


java.util.Vector<E> 
    Synchronized, use in multiple thread access, otherwise use [ArrayList](http://en.wikibooks.org/wiki/Java_Programming/ArrayList).
java.util.Stack<E> 
    It extends class Vector with five operations that allow a vector to be treated as a stack. It represents a last-in-first-out (LIFO) stack of objects.
java.util.ArrayList<E> 
    The basic implementation of the `List` interface is the `ArrayList`. The ArrayList is not synchronized, not thread safe. `Vector` is synchronized, and thread safe. `Vector` is slower, because of the extra overhead to make it thread safe. When only one thread is accessing the list, use the ArrayList. Whenever you insert or remove an element from the list, there are extra overhead to reindex the list. When you have a large list, and you have lots of insert and remove, consider using the `LinkedList`.
java.util.LinkedList<E> 
    Non-synchronized, update operation is faster than other lists, easy to use for stacks, queues, double-ended queues. The name `LinkedList` implies a special data structure where the elements/nodes are connected by pointers.
    
    
     Head               Node 1                   Node 2                     Node n
      ______
     | Size |          _________________        _______________            _____________
     |______|         |      | point   |       |      | point  |          |      |      |  
     | First|-------->| Data | to next |------>| Data | to next|-- ... -->| Data | null |
     | elem |         |______|_________|       |______|________|          |______|______|
     |______|                                                                 ^
     | Last |                                                                 |
     | elem |-----------------------------------------------------------------
     |______|
    

Each node is related to an item of the linked list. To remove an element from the linked list the pointers need to be rearranged. After removing Node 2:
    
    
     Head               Node 1                   Node 2                     Node n
      ______                                 _____________________
     | Size |          _________________    |   _______________   |       ______________
     |_- 1__|         |      | point   |    |  |      | point  |  |       |      |      |  
     | First|-------->| Data | to next |----   | Data | to next|   -...-->| Data | null |
     | elem |         |______|_________|       |______|________|          |______|______|
     |______|                                                                 ^
     | Last |                                                                 |
     | elem |-----------------------------------------------------------------
     |______|
    

javax.management.AtributeList<E> 
    Represents a list of values for attributes of an MBean. The methods used for the insertion of Attribute objects in the AttributeList overrides the corresponding methods in the superclass ArrayList. This is needed in order to insure that the objects contained in the AttributeList are only Attribute objects.
javax.management.relation.RoleList<E> 
    A RoleList represents a list of roles (Role objects). It is used as parameter when creating a relation, and when trying to set several roles in a relation (via 'setRoles()' method). It is returned as part of a RoleResult, to provide roles successfully retrieved.
javax.management.relation.RoleUnresolvedList<E> 
    A RoleUnresolvedList represents a list of RoleUnresolved objects, representing roles not retrieved from a relation due to a problem encountered when trying to access (read or write to roles).

## Queue

The Queue interface provides additional insertion, extraction, and inspection operations. There are FIFO (first in, first out) and LIFO (last in, first out) queues. This interface adds the following operations to the Collection interface:

`E element()`
Retrieves, but does not remove, the head of this queue. This method differs from the peek method only in that it throws an exception if this queue is empty

`boolean offer(E o)`
Inserts the specified element into this queue, if possible.

`E peek()`
Retrieves, but does not remove, the head of this queue, returning null if this queue is empty

`E poll()`
Retrieves and removes the head of this queue, or null if this queue is empty

`E remove()`
Retrieves and removes the head of this queue. This method differs from the poll method in that it throws an exception if this queue is empty.

**Figure 4:** Queue class diagram.

![Java collection queue implementations.jpg](../../../upload.wikimedia.org/wikibooks/en/9/90/Java_collection_queue_implementations.jpg)

  


java.util.BlockingQueue<E> 
    waits for the queue to become non-empty when retrieving an element, and waits for space to become available in the queue when storing an element. Best used for producer-consumer queues.
java.util.PriorityQueue<E> 
    orders elements according to an order/priority specified at construction time, null element is not allowed.
java.util.concurrent.ArrayBlockingQueue<E> 
    orders elements FIFO; synchronized, thread safe.
java.util.concurrent.SynchronousQueue<E> 
    each put must wait for a take, and vice versa, does not have any internal capacity, not even a capacity of one, an element is only present when you try to take it; you cannot add an element (using any method) unless another thread is trying to remove it.

## Complete UML class diagram

**Figure 5:** UML class diagram of the `Collection` interfaces and their implementations.

![Java collection implementation.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/ca/Java_collection_implementation.jpg/700px-Java_collection_implementation.jpg)

  


## Synchronization

Synchronization is important when you are running several threads. Beware, synchronization does not mean that your collection is thread-safe. A thread-safe collection is also called a _concurrent collection_. Most of the popular collection classes have implementations for both single thread and multiple thread environments. The non-synchronized implementations are always faster. You can use the non-synchronized implementations in multiple thread environments, when you make sure that only one thread updates the collection at any given time.

A new Java JDK package was introduced at Java 1.5, that is `java.util.concurrent`. This package supplies a few Collection implementations designed for use in multi-threaded environments.

The following table lists all the synchronized collection classes:

synchronized non-synchronized

List
java.util.Vector
java.util.ArrayList

java.util.Stack

java.util.LinkedList

java.util.concurrent.CopyOnWriteArrayList

Set
java.util.TreeSet

java.util.HashSet

java.util.LinkHashSet

java.util.concurrent.CopyOnWriteArraySet

## Custom collection

The Java JDK collection implementations are quite powerful and good, so it is unlikely that you will need to write your own. The usage of the different collections are the same but the implementations are different. If the existing collection implementations do not meet your needs, you can write your version of the implementation. Your version of the implementation just needs to implement the same `java.util.Collection` interface, then you can switch to using your implementation and the code that is using the collection does not need to be changed.

Use the Collection interface if you need to keep related (usually the same type of) objects together in a collection where you can:

  * Search for a particular element
  * List the elements
  * Maintain and/or change the order of the elements by using the collection basic operations (Add, Remove, Update,..)
  * Access the elements by an index number

The advantages of using the `Collection` interface are:

  * Gives a generic usage, as we talked about above, it is easy to switch implementation
  * It makes it easy to convert one type of collection to another.

The `Collection` interface defines the following basic operations:

`boolean add(E o);`
Using Element type E

`boolean addAll(Collection c);`

`boolean remove(`[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object) o);

`boolean removeAll(Collection c);`

`boolean retainAll(Collection c);`
Return `[true](http://en.wikibooks.org/wiki/Java_Programming/Literals/Boolean_Literals/true)` if the collection has changed due to the operation.

Note that in `addAll()` we can add any type of collection. This is the beauty of using the Collection interface. You can have a `LinkedList` and just call the `addAll(list)` method, passing in a list. You can pass in a `Vector`, an `ArrayList`, a `HashSet`, a `TreeSet`, a `YourImpOfCollection`, ... All those different types of collection will be **magically** converted to a `LinkedList`.

Let's have a closer look at this _magic_. The conversion is easy because the `Collection` interface defines a standard way of looping through the elements. The following code is a possible implementation of `addAll()` method of the `LinkedList`.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.6: Collection transfer.**

  1.     import java.util.Collection
    

  2.     import java.util.Iterator
    

  3.     ...
    

  4.     public boolean addAll(Collection coll) {
    

  5.        int sizeBefore = this.size();
    

  6.        Iterator iter = coll.iterator();
    

  7.        while(iter.hasNext()) {
    

  8.           this.add(iter.next());
    

  9.        }
    

  10.        if (sizeBefore > this.size()) {
    

  11.           return true;
    

  12.        } else {
    

  13.           return false;
    

  14.        }
    

  15.     }
    

The above code just iterates through the passed in collection and adds the elements to the linked list. You do not have to do that, since that is already defined. What you might need to code for is to loop through a `Customer` collection:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.7: Iteration on a collection.**

  1.     import java.util.Collection
    

  2.     import java.util.Iterator
    

  3.     import java.yourcompany.Customer
    

  4.     ...
    

  5.     public String printCustomerNames(Collection customerColl) {
    

  6.        StringBuffer buf = new StringBuffer();
    

  7.      
    

  8.        Iterator iter = customerColl.iterator();
    

  9.        while(iter.hasNext()) {
    

  10.           Customer cust = (Customer) iter.next();
    

  11.           buf.append(cust.getName());
    

  12.           buf.append( "\n" );
    

  13.        }
    

  14.       return buf.toString();
    

  15.     }
    

Notice two things:

  * The above code will work for all type of collections.
  * We have to know the type of objects inside the collection, because we call a method on it.

  


  


# ArrayList

The ArrayList class extends AbstractList and implements the List interface. ArrayList supports dynamic arrays that can grow as needed.

Standard Java arrays are of a fixed length. After arrays are created, they cannot grow or shrink, which means that you must know in advance how many elements an array will hold.

Array lists are created with an initial size. When this size is exceeded, the collection is automatically enlarged. When objects are removed, the array may be shrunk.

## Initializing

The ArrayList class supports three constructors. The first constructor builds an empty array list.:
    
    
    ArrayList( )
    

The following constructor builds an array list that is initialized with the elements of the collection c.
    
    
    ArrayList(Collection c)
    

The following constructor builds an array list that has the specified initial capacity. The capacity is the size of the underlying array that is used to store the elements.

The capacity grows automatically as elements are added to an array list.
    
    
     ArrayList(int capacity)
    

## Methods

ArrayList defines following methods:

### Adding Element in ArrayList

  * Inserts the specified element at the specified position index in this list. Throws IndexOutOfBoundsException if the specified index is out of range (index < 0 || index > size()).
    
    
    void add(int index, Object element)
    

  * Appends the specified element to the end of this list.
    
    
    boolean add(Object o)
    

  * Appends all of the elements in the specified collection to the end of this list, in the order that they are returned by the specified collection's iterator. Throws NullPointerException if the specified collection is null.
    
    
    boolean addAll(Collection c)
    

  * Inserts all of the elements in the specified collection into this list, starting at the specified position. Throws NullPointerException if the specified collection is null.
    
    
    boolean addAll(int index, Collection c)
    

### Size of ArrayList

  * Returns the number of elements in this list.
    
    
    int size()
    

_Adding Element and Size of ArrayList_
    
    
     
    import java.util.*;
     
    public class ArrayListDemo{
    	public static void main(String[] args) {
    		// create an array list
    		ArrayList al= new ArrayList();
    		System.out.println("Initial ArrayList : "+al);
     
    		 // add elements to the array list
    		al.add("A");
    		al.add("B");
     
    		//find size of ArrayList
    		System.out.println("Size of al :"+al.size());
    		// display the array list
    		System.out.println("Contents of al :"+al);
    		al.add(1,"C");
    		System.out.println("Contents of al :"+al);
    		System.out.println("Size of al :"+al.size());
    	}
    }
    

_Output for Adding Element and Size of ArrayList_

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    Initial ArrayList : []
    Size of al :2
    Contents of al :[A, B]
    Contents of al :[A, C, B]
    Size of al :3
    

  


### Get and Set ArrayList Element

  * Returns the element at the specified position in this list. Throws IndexOutOfBoundsException if the specified index is is out of range (index < 0 or index >= size()).
    
    
    Object get(int index)
    

  * Replaces the element at the specified position in this list with the specified element. Throws IndexOutOfBoundsException if the specified index is is out of range (index < 0 or index >= size()).
    
    
    Object set(int index, Object element)
    

### Find Index of ArrayList Element

  * Returns the index in this list of the first occurrence of the specified element, or -1 if the List does not contain this element.
    
    
    int indexOf(Object o)
    

  * Returns the index in this list of the last occurrence of the specified element, or -1 if the list does not contain this element.
    
    
    int lastIndexOf(Object o)
    

### Find Element Contain in ArrayList

  * Returns true if this list contains the specified element. More formally, returns true if and only if this list contains at least one element e such that (o==null ? e==null : o.equals(e)).
    
    
    boolean contains(Object o)
    

_Different Method in ArrayList_
    
    
     
    public class ArrayListDemo {
    	public static void main(String[] args) {
    		// create an array list
    		ArrayList al = new ArrayList();
     
    		// add elements to the array list
    		al.add("A");
    		al.add("B");
    		al.add("C");
    		al.add("A");
    		al.add("D");
    		al.add("A");
    		al.add("E");
    		System.out.println("Contents of al : " + al);
     
    		// find index of element in ArrayList
    		System.out.println("Index of D : " + al.indexOf("D"));
    		System.out.println("Index of A : " + al.indexOf("A"));
     
    		// find index of element in ArrayList
    		System.out.println("Index of A : " + al.lastIndexOf("A"));
     
    		// get element at given Index
    		System.out.println("Element at Second Index : " + al.get(2));
    		System.out.println("Element at Sixth Index : " + al.get(6));
     
    		//set element at given Index
    		al.set(3,"B"); // replacing third index element by "B"
    		System.out.println("Contents of al : " + al);
     
    		//check ArrayList contains given element
    		System.out.println("ArrayList contain D : "+al.contains("D"));
    		System.out.println("ArrayList contain F : "+al.contains("F"));
    	}
    }
    

_Output for Different Method in ArrayList_

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    Contents of al : [A, B, C, A, D, A, E]
    Index of D : 4
    Index of A : 0
    Index of A : 5
    Element at Second Index : C
    Element at Sixth Index : E
    Contents of al : [A, B, C, B, D, A, E]
    ArrayList contain D : true
    ArrayList contain F : false
    

Test your knowledge

**Question**: Consider the following code:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class ArrayListDemo {  
                public static void main(String[] args) {  
         
                ArrayList al = new ArrayList();  
  
                al.add("A");  
                al.add("B");  
                al.add("C");  
                al.add("E");  
                al.add("F");  
         
                al.remove(2);  
                al.remove("F");  
                 
                al.set(1, "G");  
                al.add("H");  
                al.set(3, "I");  
                System.out.println("Size of al : " + al.size());  
                System.out.println("Contents of al : " + al);  
  
        }  
  }

  
In the example above, what is output?

Answer

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
    
    
    Size of al : 4
    Contents of al : [A, G, E, I]
    

**Some more ArrayList methods:**

Method Description

`Object clone()`
Returns a shallow copy of this ArrayList.

`Object[] toArray()`
Returns an array containing all of the elements in this list in the correct order. Throws NullPointerException if the specified array is null.

`void trimToSize()`
Trims the capacity of this ArrayList instance to be the list's current size.

`void ensureCapacity(int minCapacity)`
Increases the capacity of this ArrayList instance, if necessary, to ensure that it can hold at least the number of elements specified by the minimum capacity argument.

`protected void removeRange(int fromIndex, int toIndex)`
Removes from this List all of the elements whose index is between fromIndex, inclusive and toIndex, exclusive.

  


# Map

Aside from the `java.util.Collection` interface, the Java JDK has the `java.util.Map` interface as well. It is sometimes also called an _Associated Array_ or a _Dictionary_. A map defines key value mappings. Implementations of the Map interface do not contain collections of objects. Instead they contain collections of key->value mappings. It can be thought of as an array where the index doesn't need to be an integer.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.17: Use of a map.**

  1.     import java.util.Map;
    

  2.     import java.util.Hashtable;
    

  3.     ...
    

  4.     Map map = new Hashtable();
    

  5.     ...
    

  6.     map.put(key, value);
    

Use the Map interface if you need to keep related objects together in a Map where you can:

  * Access an element by a key object
  * Map one object to other

  


**Figure 5.6:** Map Interfaces.

![Java map interfaces.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Java_map_interfaces.svg/130px-Java_map_interfaces.svg.png)

  


java.util.Map<K,V> 
    maps keys to values. A map cannot contain duplicate keys; each key can map to at most one value. The Map interface provides three collection views, which allow a map's contents to be viewed as a set of keys, collection of values, or set of key-value mappings. The key is usually a non-mutable object. The value object however can be a mutable object.
java.util.SortedMap<K,V> 
    same as the Map interface, plus the keys in the Map are sorted.

In the above example, the same operations are made with two different map implementations:

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)
**Code listing 5.4: MapImplementations.java**

  1.     import java.util.LinkedHashMap;
    

  2.     import java.util.Map;
    

  3.     import java.util.TreeMap;
    

  4.      
    

  5.     /**
    

  6.      * Compare the map implementations.
    

  7.      *
    

  8.      * @author xxx
    

  9.      */
    

  10.     public class MapImplementations {
    

  11.      
    

  12.       /**
    

  13.        * Compare the map implementations.
    

  14.        * @param args The execution parameters.
    

  15.        */
    

  16.       public static void main(String[] args) {
    

  17.         processMap(new LinkedHashMap<String, Integer>());
    

  18.      
    

  19.         processMap(new TreeMap<String, Integer>());
    

  20.       }
    

  21.      
    

  22.       /**
    

  23.        * Use a map:
    

  24.        * 1. Fill the map with key-> value.
    

  25.        * 2. Print all the keys.
    

  26.        *
    

  27.        * @param map The used map.
    

  28.        */
    

  29.       public static void processMap(Map<String, Integer> map) {
    

  30.         System.out.println("Process the map");
    

  31.         map.put("3", new Integer(3));
    

  32.         map.put("2", new Integer(2));
    

  33.         map.put("1", new Integer(1));
    

  34.      
    

  35.         for (String key : map.keySet()) {
    

  36.           System.out.println(key);
    

  37.         }
    

  38.       }
    

  39.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code listing 5.4**
    
    
    Process the map
    3
    2
    1
    Process the map
    1
    2
    3
    

We see that only the `TreeMap` has sorted the keys. Beware of the generics. The Map interface is tricky. The methods `get()` and `remove()` are not generic. This means that you must be careful of the type of the key:

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 5.18: Tricky generics.**

  1.     Map<Integer, String> map = new TreeMap<Integer, String>();
    

  2.      
    

  3.     map.put(new Integer(1), "Watch");
    

  4.     map.put(new Integer(2), "out");
    

  5.     map.put(new Integer(3), "!");
    

  6.      
    

  7.     map.remove("2");
    

  8.      
    

  9.     for (String value : map.values()) {
    

  10.       System.out.println(value);
    

  11.     }
    

![Standard input or output](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Nuvola_apps_display.png/32px-Nuvola_apps_display.png)
**Console for Code section 5.18**
    
    
    Watch
    out
    !
    

The `remove()` call has done nothing because `"2"` is a `String`, not an `Integer` so no key and value has been found and removed.

### Map Classes

The Map interface has the following implementations:

  


**Figure 5.7:** Map class diagram.

![Java map implementation.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Java_map_implementation.svg/700px-Java_map_implementation.svg.png)

  


java.util.TreeMap<E>
    guarantees that the map will be in ascending key order, sorted according to the natural order for the key's class, not-synchronized.
java.util.Hashtable<E> 
    Synchronized, null can not be used as key
java.util.HashMap<E> 
    is roughly equivalent to Hashtable, except that it is unsynchronized and permits nulls
java.util.concurrent.ConcurrentHashMap 
    same as Hashtable, plus retrieval operations (including get) generally do not block, so may overlap with update operations (including put and remove).
java.util.WeakHashMap<E> 
    entry in a WeakHashMap will automatically be removed when its key is no longer in ordinary use. Non-synchronized.
java.util.LinkedHashMap<E> 
    This linked list defines the iteration ordering, which is normally the order in which keys were first inserted into the map (first insertion-order). Note that insertion order is not affected if a key is re-inserted into the map.
java.util.IdentityHashMap 
    This class implements the Map interface with a hash table, using reference-equality in place of object-equality when comparing keys (and values). In other words, in an IdentityHashMap, two keys k1 and k2 are considered equal if and only `if (k1==k2)`. (In normal Map implementations (like HashMap) two keys k1 and k2 are considered equal if and only `if (k1==null ? k2==null : k1.equals(k2))`.) Not-synchronized.
java.util.EnumMap 
    All of the keys in an enum map must come from a single enum type that is specified, explicitly or implicitly, when the map is created. Enum maps are represented internally as arrays. This representation is extremely compact and efficient. Not-synchronized.

## Thread safe maps

The following table lists all the synchronized map classes:

synchronized non-synchronized

java.util.TreeMap

java.util.Hashtable 

java.util.concurrent.ConcurrentHashMap

java.util.HashMap

java.util.LinkedHashMap

java.util.IdentityHashMap

java.util.EnumMap

  


  


# Comparing Objects

In Java, we can distinguish two kinds of equality.

  * Object reference equality : when two object references point to the same object.
  * Object value equality : when two separate objects happen to have the same values/state.

## Comparing for reference equality

The `==` operator can be used to check if two object references point to the same object.

**Listing 1.1: Reference equality.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

if (objRef1 == objRef2) {  
    // The two object references point to the same object  
}

## Comparing for value equality

To be able to compare two Java objects of the same class the ``[boolean](http://en.wikibooks.org/wiki/Java_Programming/Keywords/boolean)` equals(`[Object](http://en.wikibooks.org/wiki/Java_Programming/API/java.lang.Object)` obj)` method must be overriden and implemented by the class.

The implementor decides which values must be equal to consider two objects to be equal. For example in the below class, the `name` and the `address` must be equal but not the `description`.

**Listing 1.2: Method overriding.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class Customer {  
    private String name;  
    private String address;  
    private String description;  
    // ...  
    public boolean equals(Object obj) {  
        // if the two objects are equal in reference, they are equal  
        if (this == obj) {  
            return true;  
        } else if (obj == null) {  
            return false;  
        } else if (obj instanceof Customer) {  
            Customer cust = (Customer) obj;  
            if ((cust.getName() == null && name == null) ¦¦  
                (cust.getName().equals(name) && ((cust.getAddress() == null && address == null)  
                ¦¦ cust.getAddress().equals(address))) {  
                return true;  
            }  
        }  
        return false;  
    }  
  
}

After the `equals()` method is overriden, two objects from the same class can be compared like this:

**Listing 1.3: Method usage.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

Customer cust1 = new Customer();  
Customer cust2 = new Customer();  
//...  
if (cust1.equals(cust2)) {  
    // Two Customers are equal, by name and address  
}

  
Note that equal objects **must** have equal hash codes. Therefore, when overriding the `equals` method, you must also override the `hashCode` method. Failure to do so violates the general conract for the `hashCode` method, and any classes that use the hash code, such as `HashMap` will not function properly.

## Sorting/Ordering

To be able to sort objects from the same class, the class must implement the `Comparable` interface. This imposes a total ordering on the objects of each class that implements it. This ordering is referred to as the class's natural ordering, and the class's compareTo method is referred to as its natural comparison method.

Since Java 5.0, the `Comparable` interface is generic; that means when you implement it, you can specify what your class can be compared to. Usually, this is the same as your class.

**Listing 1.4: Comparable class.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class Customer implements Comparable<Customer> {  
    private String name;  
    private String address;  
    private String description;  
    // ...  
    public int compareTo(Customer cust) {  
        return (name + address).compareTo(cust.getName() + cust.getAddress());  
    }  
  
}

In the above code the `String` class also implements the `Comparable<String>` interface, so the `compareTo()` method can be used to compare `name` and `address`.

`[int](http://en.wikibooks.org/wiki/Java_Programming/Keywords/int)` compareTo(T o) 
    Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

Lists (and arrays) of objects that implement this interface can be sorted automatically by Collections.sort (and Arrays.sort). Objects that implement this interface can be used as keys in a sorted map or elements in a sorted set, without the need to specify a comparator.

The natural ordering for a class C is said to be consistent with equals if and only if `e1.compareTo((Object) e2) == 0` has the same boolean value as `e1.equals((Object) e2)` for every e1 and e2 of class C. Note that null is not an instance of any class, and `e.compareTo(null)` should throw a NullPointerException even though `e.equals(null)` returns false.

It is strongly recommended (though not required) that natural orderings be consistent with equals. This is so because sorted sets (and sorted maps) without explicit comparators behave "strangely" when they are used with elements (or keys) whose natural ordering is inconsistent with equals. In particular, such a sorted set (or sorted map) violates the general contract for set (or map), which is defined in terms of the equals method.

## Change Sorting/Ordering

Sometimes we may want to change the ordering of a collection of objects from the same class. We may want to order descending or ascending order. We may want to sort by `name` or by `address`.

We need to create a class for each way of ordering. It has to implement the `Comparator` interface.

Since Java 5.0, the `Comparator` interface is generic; that means when you implement it, you can specify what type of objects your comparator can compare.

**Listing 1.5: Comparator class.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

public class CustomerComparator implements Comparator<Customer> {  
    public int compare(Customer cust1, Customer cust2) {  
        return cust1.getName().compareTo(cust2.getName());  
    }  
}

The above class then can be associated with a SortedSet or other collections that support sorting.

**Listing 1.6: Comparator usage.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

Collection<Customer> orderedCustomers = new TreeSet<Customer>(new CustomerComparator());

Using the Iterator the `orderedCustomers` collection can be iterated in order of sorted by `name`.

A List can be sorted by the `Collections`' `sort` method.

**Listing 1.7: Customized comparison.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

import java.util.Collections  
//...  
Collections.sort(custList, new CustomerComparator());

Sorts the specified list according to the order induced by the specified comparator. All elements in the list must be mutually comparable using the specified comparator.

An array of objects can alsobe sorted with the help of a `Comparator`.

**Listing 1.8: Array sorting.**

![Computer code](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Gnome-settings-accessibility-keyboard.svg/32px-Gnome-settings-accessibility-keyboard.svg.png)

import java.util.Arrays;  
//...  
Arrays.sort(cust[], new CustomerComparator());

  
Sorts the specified array of `Customer` objects (the cust[] array) according to the order induced by the specified comparator. All elements in the array must be mutually comparable by the specified comparator.

  


# Exceptions

# Exceptions

The ideal time to catch an error is at compile time, before you even try to run the program. However, not all errors can be detected at compile time. The rest of the problems must be handled at run time through some formality that allows the originator of the error to pass appropriate information to a recipient who will know how to handle the difficulty properly.

Improved error recovery is one of the most powerful ways that you can increase the robustness of your code. Error recovery is a fundamental concern for every program you write, but it's especially important in Java, where one of the primary goals is to create program components for others to use. _To create a robust system, each component must be robust_. By providing a consistent error-reporting model using exceptions, Java allows components to reliably communicate problems to client code.

## Flow of code execution

In Java, there are two main flows of code executions.

  * Normal main sequential code execution, the program doing what it meant to accomplish.
  * Exception handling code execution, the main program flow was interrupted by an error or some other condition that prevent the continuation of the normal main sequential code execution.

Exception 
    Exceptions are Java's way of error handling. Whenever an unexpected condition occurs, an exception can be thrown with an exception object as a parameter. It means that the normal program control flow stops and the search for a `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` block begins. If that is not found at the current method level the search continues at the caller method level, until a matching `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` block is found. If none is found the exception will be handled by the JVM, and usually the java program terminates.

    When a `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` "matching" block is found, that block will be executed, the exception object is passed to the block as a parameter. Then normal program execution continues after the `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` block. _See Java [exception handling syntax](http://en.wikibooks.org/wiki/Java_Programming/Keywords/try)._

Exception Object 
    This is the object that is "thrown" as a parameter from the error, and passed to the `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` block. Exception object encapsulates the information about the error's location and its nature. All Exception objects must be inherited from the `java.lang.Throwable`. See the [UML diagram](Print_version.html#figure-1) below.

**Figure 6.1:** Java exception classes

![Java exception classes.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Java_exception_classes.svg/339px-Java_exception_classes.svg.png)

  


Matching rule 
    A thrown exception object can be caught by the `[catch](http://en.wikibooks.org/wiki/Java_Programming/Keywords/catch)` keyword and specifying the exception object's class or its super-class.

Naming convention 
    It is good practice to add Exception to all exception classes. Also the name of the exception should be meaningful, should represent the problem. For example `CustomerNotFoundException` indicate that customer was not found.

  


[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Checked Exceptions

A checked exception is an exception that must be either caught or declared in a method where it can be thrown. For example, the `java.io.IOException` is a checked exception. To understand what is a checked exception, consider the following code:

![Warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Nuvola_apps_important.svg/32px-Nuvola_apps_important.svg.png)
**Code section 6.9: Unhandled exception.**

  1.     public void ioOperation(boolean isResourceAvailable) {
    

  2.       if (!isResourceAvailable) {
    

  3.         throw new IOException();
    

  4.       }
    

  5.     }
    

This code won't compile as it throws or can throw a checked exception without catching it or declare it. Two different modifications can resolve the situation: to catching it or to declare it by the `[throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)` keyword.

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 6.10: Catching an exception.**

  1.     public void ioOperation(boolean isResourceAvailable) {
    

  2.       try {
    

  3.         if (!isResourceAvailable) {
    

  4.           throw new IOException();
    

  5.         }
    

  6.       } catch(IOException e) {
    

  7.         // Handle caught exceptions.
    

  8.       }
    

  9.     }
    

![Example](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Nuvola_apps_edu_miscellaneous.svg/32px-Nuvola_apps_edu_miscellaneous.svg.png)
**Code section 6.11: Declaring an exception.**

  1.     public void ioOperation(boolean isResourceAvailable) throws IOException {
    

  2.       if (!isResourceAvailable) {
    

  3.         throw new IOException();
    

  4.       }
    

  5.     }
    

In the Java class hierarchy, an exception is a checked exceptions if it inherits from `java.lang.Exception`, but not from `java.lang.RuntimeException`. All the application or business logic exceptions should be checked exceptions.

It is possible that a method declares that it can throw an exception, but actually it does not. Still, the caller has to deal with it. The checked exception declaration has a domino effect. Any methods that will use the previous method will also have to handle the checked exception, and so on.

So the compiler for the Java programming language checks, at compile time, that a program contains handlers for all application exceptions, by analyzing each method body. If, by executing the method body, an exception can be thrown to the caller, that exception must be declared. How does the compiler know whether a method body can throw an exception? That is easy. Inside the method body, there are calls to other methods; the compiler looks at each of their method signature, what exceptions they declared to throw.

## Why force exception handling?

This may look boring to the developer but it enforces him to think about all the checked exceptions and increase the code quality. This compile-time checking for the presence of exception handlers is designed to make the application developer life easier. To debug whether a particular thrown exception has a matching catch would be a long process. In conventional languages like C, and C++, a separate error handling debugging were needed. In java we can be sure that when an application exception is thrown, that exception somewhere in the program is handled. In C, and C++, that has to be tested. In Java that does not need to be tested, so the freed up time can be used for more meaningful testing, testing the business features.

## What exceptions can be declared, when overriding a method

The checked exception classes specified after the `[throws](http://en.wikibooks.org/wiki/Java_Programming/Keywords/throws)` keyword are part of the contract between the implementer and user. An overriding method can declare the same exceptions, subclasses or no exceptions.

## What exceptions can be declared, when implementing an Interface

When interfaces are involved, the implementation declaration must have a throws-clause that is compatible with the interface declarations.

  


  


# Unchecked Exceptions

[Java Programming/Unchecked Exceptions](http://en.wikibooks.org/wiki/Java_Programming/Unchecked_Exceptions)

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Concurrent Programming

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Annotations

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Designing user interfaces

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Advanced topics

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# Appendices

[Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry) [Template:Print entry](http://en.wikibooks.org/wiki/Template:Print_entry)

# GNU Free Documentation License

[GNU Free Documentation License](http://en.wikibooks.org/wiki/GNU_Free_Documentation_License)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&oldid=2598111](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&oldid=2598111)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Java Programming/Keywords](http://en.wikibooks.org/wiki/Category:Java_Programming/Keywords)
  * [Java Programming](http://en.wikibooks.org/wiki/Category:Java_Programming)

Hidden category: 

  * [Pages where template include size is exceeded](http://en.wikibooks.org/wiki/Category:Pages_where_template_include_size_is_exceeded)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Java+Programming%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Java+Programming%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Java_Programming/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Java_Programming/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Java_Programming/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&oldid=2598111)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Java_Programming%2FPrint_version&id=2598111)

### In other languages

    * [Nederlands](http://nl.wikibooks.org/wiki/Programmeren_in_Java/Collections)
    * [Deutsch](http://de.wikibooks.org/wiki/Java)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Java+Programming%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Java+Programming%2FPrint+version&oldid=2598111&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Java_Programming/Print_version&printable=yes)

    * This page was last modified on 3 January 2014, at 20:25.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Java_Programming/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
