# Latin/Print Version

From Wikibooks, open books for an open world

< [Latin](http://en.wikibooks.org/wiki/Latin)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_Version.html#mw-navigation), [search](Print_Version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Latin](http://en.wikibooks.org/wiki/Latin)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&action=purge&printable=yes) this page.

## A Progressive Latin Grammar and Exercises

Introduction to the origins and structure of Latin:

  


# How to study a language on the Internet and in your head

How do you think about languages as you study them? Typically, you will consider every punctuation mark and letter, all the verbs and nouns, adverbs and adjectives, and study them in order to make connections. Ideally, you will have a teacher to point you in the right direction, and help you make those connections. But when you have no teacher, these connections are left for you to discover. They may be clear or hidden, but either way you will have to make them yourself. As you explore this Wikibook, it will require the skill of critical thinking.

You can never go wrong studying a language if you remember that exposing yourself to a language, even if you stumble in practice, is itself learning it. Looking things up too much can sometimes impede progress. Stretch your memory, read slowly, and re-read. As you will soon discover, you are about to study a language that is rich and full of meaning, an ancestor of many modern languages spoken around the world, including romance languages, like Spanish, French, Italian, Romanian, and even English.

## So do not assume that...

...Latin is like any other language. Do not assume ancient Roman culture is entirely unlike other cultures, however. The Romans grappled with issues that are universally dealt with.

We, the authors, endorse memorization, and after that, immersion. You must develop Latin muscles, and a willingness to write or type things out, or drill using software, or with a friend. Note the patterns after you have memorized the forms, not before. Allow yourself to be mesmerized by them. Similarly, seek out explanation only after you have memorized forms. Memorize forms, then make sentences, then use your knowledge to speak the language.

## See also

  * [How to learn a language](http://en.wikibooks.org/wiki/How_to_learn_a_language)

  


# Special consideration: How to use a Wikibook when progress may mean inaccuracy

The current rules for dealing with inaccuracy in this book is to simply delete what you don't understand and to note your level of schooling and your country of origin and that you were confused in the summary box. Try to use the "revert?" keyword.

In other words, do not tolerate inaccuracy!

  


# Grammatical Introduction to Latin

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

* * *

# What is Latin?

_Parts of this introduction were taken from [The Latin Language](http://en.wikipedia.org/wiki/en:Latin) on the [Wikipedia](http://en.wikibooks.org/wiki/Main_Page)._

Latin was the language originally spoken in the region around the city of Rome called Latium. It gained great importance as the formal language of the Roman Empire.

All Romance languages descend from a Latin parent, and many words in [English](http://en.wikibooks.org/wiki/English) and other languages today are based on Latin roots. Moreover, Latin was a _lingua franca_, the learned language for scientific and political affairs in Europe, for more than one and a half thousand years, being eventually replaced by [French](http://en.wikibooks.org/wiki/French) in the 18th century and English by the middle of the 20th. Latin remains the formal language of the Roman Catholic Church to this day, and as such is the official national language of the Vatican.

Romance languages are not derived from Classical Latin, the language spoken by Caesar and Cicero, but rather from Vulgar Latin, the language spoken by the common people, or _vulgus,_ of Rome. Classical Latin and Vulgar Latin (Romance) differ (for example) in that Romance had distinctive stress whereas Classical had distinctive length of vowels. In [Italian](http://en.wikibooks.org/wiki/Italian) and Sardo logudorese, there is distinctive length of consonants and stress, in [Spanish](http://en.wikibooks.org/wiki/Spanish) only distinctive stress, and in French even stress is no longer distinctive.

Another major distinction between Classical and Romance is that modern Romance languages, excluding [Romanian](http://en.wikibooks.org/wiki/Romanian), have lost their case endings (suffixes at the end of the word used in place of prepositions) in most words (some pronouns being exceptions). Romanian is still equipped with several cases (though some, notably the ablative, are no longer represented).

It is also important to note that Latin is, for the most part, an inflected language — meaning that the endings change to show how the word is being used in the sentence.

# Introduction to the Latin Language

## Simple and Compound Words

In Latin, words are either:

  * **simple** (words that consist of only one part). For example:

Latin English

**eo**
**I go**

**fero**
**I carry**

**do**
**I give**

  * **compound** (words that consist of more than one part, for example, a root word combined with a prefix). For example:

Latin English

**abeo**
**I go away**

**transfero**
**I carry across**

**reddo**
**I give back**

## Word Parts

Inflected words (i.e., words having ending- or spelling-changes according to their grammatical functions in the sentence) have a **stem** and a **root.**

**The Stem**

The stem is the part of the word to which various suffixes are added. The final suffix determines either the role of the word in the sentence (for example, when a Roman slave wished to address his _dominus_ (master), he used the vocative form _domine_ \-- equivalent to "O master" in English) or the person involved in the action (for example, "I dominate" may be expressed as "domin-or", and "they dominate" as "domin-antur"). In these cases, _domin-_ is the stem and _-us_, _-e_, _-or_ and _-antur_ are suffixes. The addition of such suffixes is called _inflection_. This is discussed further in the [Summary](Print_Version.html#Summary).

**The Root**

The root is the part of the word that carries the essential meaning. For example the stem of _agito_ (I drive onward) is _agit-_, whose root is _ag_ (do, drive), which is in common to words of similar meaning: _ago_ (I do, drive), _agmen_ (that which is driven, such as a flock), etc. Notice the essential difference between a root and a stem. To the root "ag" has been added a suffix "(i)to-" which denotes frequency of action (so "agit-" means to do or drive more than once, hence "agit-o", I agitate, I keep (something) moving, I urge, I impel).

In contrast, English uses word order more than inflection to determine the function of a word within a sentence. English also uses words like pronouns (I, she, etc.) and prepositions (to, at, etc.) where Latin generally prefers inflexions. Thus "dom-i" (noun -- "at home"), "ag-unt" (verb -- "they do/drive").

**Primitives**

Primitives occur when both the stem and the root are the same. For example, in the word _agere_ (to do, drive) both the stem and the root are the same: "ag-".

**Derivatives**

Derivatives occur when the root or stem is modified. For example, the stem _flamm-_ from the noun _flamma_ has the root "flag" ("blaze"), "nosco" (I know) from the verb "noscere" has the root "gno-" ("know").

**Suffixes**

Latin attaches suffixes ("endings") to stems to turn them into words (most stems and roots cannot be used in sentences without an ending). This inflection is essential to forming Latin sentences. The various suffixes and their translations will be learned in the later lessons.

# Types of Words used in Latin

## Nouns

A noun (Latin: _nomen_) is "something perceived or conceived by the mind."

There are two kinds of nouns: Substantives and Pronouns.

1\. **Substantive** (_nomen substantivum_) is a name simply denoting something perceived or conceived: _psittacus_ \- the parrot, _nix_ \- the snow, _virtus_ \- virtue.

2\. **Pronoun** (_pronomen_) is a word used in place of a _substantivum_, usually when the _substantivum_ is already known: _ea_ \- she, _ille_ \- that man

Nouns have changing endings on the stem (known as declension) and three incidents: number, gender and case. Number concerns whether the thing referred to is singular or plural (and the ending shows this); gender classifies a substantive as masculine, feminine or neuter (this determines how the endings of adjectives and pronouns behave) and case (where the ending must show how the noun fits in to the sentence). Adjectives and Pronouns must agree in all incidents when they refer to a substantive.

## Verbs

Verbs (_verba_) express an action or a state of being, e.g., _ago_ (I do), _dixit_ (he said), _venis_ (you come). "Conjugation" is the term for adding inflections to verb stems to indicate person (first, second or third), number (singular or plural), tense (present, future, imperfect, perfect, pluperfect or future perfect), voice (active or passive), and mood (indicative, subjunctive or imperative).

A verb can be either _finite_ or _infinite_:

1\. **Finite** verbs (_verba finita_) are inflected and have a subject, e.g., I run, you run, he runs, they drive, the computer is turned on.

2\. The **infinite** verbs (_verba infinita_) are not inflected and have no subject, e.g. to run, to drive, to turn on, to have drawn. _Participles_, which are inflected as substantives rather than as verbs, may also be considered infinite, e.g., the _running_ boy.

## Modifiers

1\. **Adjectives** (_adiectiva_) are used to describe nouns. They indicate a quality perceived or conceived as inherent in, or attributed to, something denoted. E.g., _vir _magnus__ (the _great_ man), _puella _pulchra__ (the _fair_ girl)

2\. **Adverbs** (_adverbia_) are similar to adjectives, except that they are used to qualify verbs, adjectives or other adverbs, rather than nouns. In practice, they restrict the meaning of the verb or adjective by specifying how or how much. E.g., _curro _celeriter__ (I run _quickly_), _pugnat _fortiter__ (he fights _bravely_), "_vere_ jucundus est" (he's _really_ nice"), "_incredibile_ callida est" (she's _incredibly_ clever).

## Other

Particles are uninflected words that provide extra meaning.

1\. **Prepositions** (_praepositiones_) are little words which tell you how one thing (noun) is behaving in relation to another thing ("the _duck_ was **near** the **pond**", "_she_ went **towards** the **wood**"). In Latin, the noun that follows a preposition takes a particular ending (called a "case"), depending on the nature of the relationship, or on the nature of the preposition itself. E.g., _ad_ (by), _in_ (in), _sub_ (under). What all this means is that a preposition is a sort of adverb, telling you how something is done. For example, "you go" is a simple statement, but "you go in" suggests that you don't just "go", you go so as to enter something, and so you need a noun for the "something". In English, we might say "you go **into** the house". In Latin, this would be: "**in** domum inis". Notice the form "in domum", which means "into" the house -- you're going into it, you're not yet exactly inside it (the ending -um of "domum" is called "accusative"). When you are inside the house, what you do is "in" the house, which is "in domo" (the ending -o of "domo" is called "ablative").

2\. **Conjunctions** (_coniunctiones_) join together clauses and sentences. E.g., _et_ (and), _atque_ (as well as), _sed_ (but).

3\. **Interjections** (_interiectiones_) are exclamations used to express feeling or to gain attention. E.g., _o!_ (oh!) _eheu!_ (alas!) _ecce!_ (behold!)

## Articles

Latin has **NO articles** (words for 'the' and 'a'). When translating Latin into English, insert a 'the' or 'a' when appropriate.

# Summary

**Parts of Speech**

**Inflected**
**Uninflected**

_Substantives:_ things perceived or conceived
_Adverbs:_ describe adjectives, verbs, and other adverbs

_Adjectives:_ indicate a quality perceived or conceived as inherent of something in the substantive
_Prepositions:_ help nouns define their relations to other nouns

_Pronouns:_ nouns used in place of substantives and adjectives
_Conjunctions:_ Join clauses and sentences

_Verbs:_ mark the beginning of an independent [clause](http://en.wikipedia.org/wiki/clause). The verb in Latin is inflected so that we know the subject ("I learn"), and its tense (to what general or specific time the clause relates to). We call the inflection of a verb **conjugation**
_Interjection:_ exclamation

# Exercises

1\. What is the shared root in the following English words?  


  * actor, reaction, radioactive
  * transfer, fertile, interference

2\. In the following English words, what is the stem and what is the ending?  


  * knights
  * riding
  * horses
  * jumped

3\. What parts of speech are each of the English words in (2), as well as the following:

  * with
  * and
  * because
  * hooray
  * silently
  * never

4\. Answer the following questions about the Latin language:

  * In what area of Italy was Latin originally spoken?
  * Name the two varieties of Latin that existed in antiquity.
  * What major organization still uses Latin today?

  


# Basic Grammar

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

* * *

## Pronunciation

Latin pronunciation has varied somewhat over the course of its long history, and there are some differences between Classical Latin, as spoken in the Roman Republic and Roman Empire, and Medieval or Ecclesiastical Latin, as spoken in the Middle ages and in the Catholic Church. This text focuses on the classical pronunciation.

a
/a/, about, between ah and uh, ad is pronounced almost like "odd"

e
/ɛ/, get or bed

i
/ɪ/, hit, pin, in

i
(Before vowel and not accented) /j/, Y as in yes

j
Sometimes used in place of the letter I when making a /j/ sound, as above

o
/ɔ/, on, cot

u
/ʊ/, put, foot

ā
/aː/, father

ē
sounds like saying the letter "A", /eː/, hay

ī
sounds like saying the letter "E", /iː/, eat

ō
sounds like saying the letter "O", /oː/, clover

ae
(Diphthong) sounds like saying the letter "I", /aɪ/, aisle

au
(Diphthong) /aʊ/, brown, how

oe
(Diphthong) /ɔɪ/, oil, boy

ou
(Diphthong) oo

ui
(Diphthong) we

bs
(At the end of word) the B sounds a P

bt
(At the end of a word) the B sounds a P

ch
/kʰ/, pronounced separately as in archaic, not like in church

gn
/ŋn/ han**gn**ail, sin**g n**ow

ph
u**p h**ill, never sounds an F in philosophy

th
Pronounced separately as in po**t h**ole, never like this or theater

c
/k/, always hard as in cat

g
/g/, always hard as in get, never soft like adage

r
Rolled like in the Spanish and Italian languages

s
Always voiceless as in see, never voiced as in ease

v
/w/, equivalent to an English W, never sounding an English V (sounds U as a consonant), some texts will write the "v" as a "u" when it serves as a vowel

x
Equivalent to an English Ks as in box, never like exert

(y)
Rarely exists in Latin except in words borrowed from Greek

(z)
Rarely exists in Latin except in words borrowed from Greek

Note that Latin, as written by the Romans, did not include macrons (the longmarks over long vowels) or the letters J and U. Macrons are used today as pronunciation guides and do not necessarily need to be written. The sound value of the letter U was filled by the letter V, which sounded either /w/ or /ʊ/ depending on context. Modern texts often preserve the V when it is making a /w/ sound and change it to a U when making a /ʊ/ sound. The letter J is sometimes used in modern times (this Wikibook not included) when the letter I is being used in diphthongs.

## Declension Tables

The following tables will be both referenced and explained in all of the following sections, and hence are placed here.

Singular Nouns

Declension (Gender) 1st (F) 2nd (M/N) 3rd (M/F/N) 4th (M/N) 5th (F)

**Nominative**  
Subject
puell**a**
serv**us**
rēx
grad**us**
r**ēs**

**Genitive**  
Possessive
puell**ae**
serv**ī**
rēg**is**
grad**ūs**
r**ēī**

**Dative**  
Indirect Object
puell**ae**
serv**ō**
rēg**ī**
grad**uī**
r**ēī**

**Accusative**  
Object
puell**am**
serv**um**
rēg**em**
grad**um**
r**ēm**

**Ablative**  
Modifies or Limits Verb
puell**ā**
serv**ō**
rēg**e**
grad**ū**
r**ē**

**Vocative**  
Direct Address
puell**a**
serv**e**
rēx
grad**us**
r**ēs**

Note that nouns in the 3rd declension nominative can have any ending, hence why none is given in bold.

Plural Nouns

Declension (Gender) 1st (F) 2nd (M/N) 3rd (M/F/N) 4th (M/N) 5th (F)

**Nominative**
puell**ae**
serv**ī**
rēg**ēs**
corn**ūs**
r**ēs**

## Grammar Part 1: Nouns and Their Role in Sentences

[Nouns](http://en.wikipedia.org/wiki/Noun) in Latin are [inflected](http://en.wikipedia.org/wiki/Inflected_language), which means that endings (also known as [suffixes](http://en.wikipedia.org/wiki/suffix) or _suffices_) are appended to the end of the [stem](http://en.wikipedia.org/wiki/stem) to denote these things:

  1. Number (whether the noun is singular or plural)
  2. [Case](http://en.wikipedia.org/wiki/Declension) of the noun (role of the noun in the sentence)
  3. [Gender](http://en.wikipedia.org/wiki/Grammatical_gender) (the gender of the word - one of masculine, feminine, or neuter)

Most nouns in English can be modified to indicate number (cat versus cats), and many pronouns can be modified to indicate case (who versus whose) or gender (he versus she, his versus hers). Case is especially important in Latin as meaning cannot be determined by word order as it can be in English, but purely by word endings, or "inflection". Indeed, the words in a Latin sentence can appear in almost any order with little change in meaning. Two sentences with the word orders "Sam ate the orange" and "The orange ate Sam" could potentially mean the same thing in Latin, though the spellings of "orange" and "Sam" would have to change slightly to denote which was the subject (the one eating) and which was the object (the one being eaten).

It is important to note here that although the genders of many words make sense (for example, "puella", meaning a girl, is feminine) many are simply assigned and hold no real meaning. Luckily, as you will find, the gender can often be determined by the spelling of the word (words ending in "us" are almost always masculine, and words ending in "a" are almost always feminine). For many words, however, you will simply have to memorize their gender.

[Adjectives](http://en.wikipedia.org/wiki/Adjective) themselves must match the number, case, and gender of the noun (be it a substantive or a pronoun) they modify. If a noun is nominative singular feminine (see [case table](Print_Version.html#case) below), then the adjective describing it must also be nominative singular feminine. If the noun is accusative plural masculine, then the adjective must be accusative plural masculine. This will be expanded on in the [Adjectives](Print_Version.html#Adjectives) section below. The advantage of this system is that adjectives do not need to be adjacent to their respective nouns, as one would be able to tell which noun they modify by which noun they appear to agree with.

### Declension

**All substantives** are part of one of 5 categories, called **declensions**. Each declension has a set of standard suffixes that indicate case and number. Usually gender is indicated by the suffix, although there are many exceptions. Therefore, you must memorize the gender of every substantive you learn.

By familiarizing yourself with the [above tables](Print_Version.html#Declension_Tables), you could deduce that originally the suffix indicating number, case, and gender was the same for every noun. However, as the language developed, nouns with a common stem formed declensions and sounds changed. Similar processes happen continually over time, even today.

The above tables allow you to familiarize yourself with the existence of each declension, though by no means are you expected to memorize it now. Nonetheless, you will have to memorize it as you are formally introduced to individual cases and declensions in future lessons. Because of its introductory purpose, it is considerably simplified and incomplete, and therefore should not be used as a reference in the future.

Adjectives are also classed into declensions:

  1. **1st/2nd declension adjectives**... 
    1. ...Use 1st declension suffixes from the substantive declension table when describing feminine nouns.
    2. ...Use 2nd declension masculine suffixes from the above table when describing masculine nouns.
    3. ...Use 2nd declension neuter suffixes (_not_ found in the above table) when describing neuter nouns.
  2. **3rd declension adjectives** behave as 'i' stem substantives unless specified. Masculine and Feminine suffixes (which are the same) will be used if describing masculine and feminine nouns, and Neuter suffixes will be used when describing neuter nouns.

Pronouns are not part of any declension, as they are all irregular, and simply have to be memorized.

### Case

Cases (Latin: _casus_) determine the role of the noun in the sentence in relation to other parts of the sentence.

There are six cases, Nominative, Vocative, Accusative, Genitive, Dative and Ablative. Vocative (Lesson 3) can be considered a sort of miniature case, generally not being accepted as a true one. Additionally, some nouns have a locative case, which will be covered later. As nominative and accusative are the most basic, these will be taught first (the rest will be covered in later lessons).

**The Use of the Cases**  
(all words in bold are in the case specified in the first column)

Case Role in sentence Example (Latin) Example (English)

Nominative
Subject (performs the verb)
**Vir** lupum vult.
**The man** wants a wolf.

Genitive
Description and possession
Lupus **virī** est.
It is the **man's** wolf/It is the wolf _of_ the **man**.

Dative
Indirect object (receives the direct object)
**Lupō** dedit vir.
The man gave to **the wolf**.

Accusative
Direct object (receives the action of the verb)
Vir **lupum** videt.
The man sees **the wolf**.

Ablative
Various (modify or limit nouns by ideas of where, when, how, etc.)
Ā quō datum? **Ā virō**.
By whom given? **By a man**.

Vocative
Direct address (speaking to somebody directly)
Salvē, **Brute**!
Hello, **Brutus**!

### Gender

**All substantives**, including inanimate objects, have a particular gender (genera), which is either masculine, feminine, or neuter.

For example, Vir, "a man," is masculine. Marītus, "a husband," is also masculine. Puella, "a girl," is feminine. Māter, "a mother," is feminine. Even inanimate objects are assigned gender, including all the moons, stars, trees, tools, and so forth. Logic will give you little help in determining what the genders of inanimate objects are, and with many nouns memorization is required. Luckily, for many nouns, the spelling of the word indicates the gender.

Certain rules may be utilized to determine the gender of an inanimate substantive. Declension is a good indication of gender, especially for 1st and 2nd declension substantives. 1st declension substantives (substantives with an -a suffix) are usually feminine and second declension nouns (substantives with an -us suffix) are usually masculine or neuter. There are a few exceptions, and they will have to be learned. 3rd declension nouns can be either masculine, feminine or neuter (thus the gender will often have to be memorized). 4th declension nouns are usually masculine, sometimes neuter while 5th declension nouns are usually feminine.

1st/2nd declension adjectives alternate the set of endings depending on the gender of noun it describes (see above: Agreement of the Gender of Nouns and the Adjective). If the adjective describes a feminine noun, the adjective must use 1st declension endings, if the adjective describes a masculine noun, the adjective must use 2nd declension masculine endings, if the adjective describes a neuter noun the adjective must use 2nd declension neuter endings.

3rd declension adjectives use the same set of endings for masculine and feminine nouns. However, a slightly different set of endings are used when describing neuter nouns.

## Adjectives

As stated above, adjectives must match the gender, number, and case of the noun (be the noun a substantive, or a pronoun) they modify. However, there are many occasions where logic cannot be used to determine the gender of inanimate objects, as genders are generally arbitrary when the noun has no literal gender. Furthermore, the declension of the noun, often determined by the spelling, can in turn be used to determine the gender, especially for the 1st and 2nd. However, this is never the case for the third declension, as the declension itself is not primarily assigned to any gender and the spelling of the nominative ("default") stem is random, leaving you with no hints.

A noun and its adjective must also be in the same case. Otherwise, it is impossible to tell which nouns pair up to their respective adjectives in a sentence, as the words in a Latin sentence can appear in any order. See the examples below.

Notice how "magna" changes to "magnae" to agree with the pluralized "puellae".

Latin English

Puella (nominative sing., fem.)
Girl

Puella magna
The big girl

Puellae (nominative **pl.**, fem.)
Girls

Puellae magnae
The big girls

Notice how "magna" becomes "magnus" to agree with the masculine word "servus". Also notice that "magnus" changes to "magnum" to agree with the noun it's describing in case, though do not concern yourself with the difference between cases for the time being.

Latin English

Servus (nominative sing, mas.)
Slave

Servus magnus
The big slave

Servum (**accusative** sing, mas.)
Slave

Servum magnum
The big slave

Notice that "magna" is feminine because "arbor" is feminine, despite that it does not end in "a" like "puella". The word "arbor" is one of the situations where you will simply have to memorize the gender.

Latin English

Arbor (nominative sing, fem.)
Tree

Arbor magna
The big tree

## Recapitulation

  * Declensions are used to categorize nouns in groups. There are 5 declensions total.
  * Each of the five declensions has a distinct set of endings which are appended to nouns of that declension.
  * The endings indicate the case and number when appended to the stem of a noun.
  * A substantive may use only the endings of the declension of which it is a part.
  * Each substantive has a predefined gender which almost never changes and is separate from the suffix.
  * Adjectives are a part of the 1st/2nd declension and 3rd declension.
  * Adjectives use the gender of the noun that they modify.

**Therefore:**

  * An adjective of the 1st/2nd declension uses 1st declension endings when describing a feminine noun, a 2nd declension masculine ending when describing masculine noun, and 2nd declension neuter when describing a neuter noun.
  * An adjective of the 3rd declension uses the same set of endings when describing masculine and feminine nouns and another set of endings when describing neuter nouns. (Actually, there are 3-termination, 2-termination, and 1-termination 3rd declension adjectives. If the adjective is 3-termination, e.g., acer (f. sing.), acris (m. sing.), acer (n. sing.), acres (f. pl.), acres (m. pl.), or acria (n. pl.), then use the appropriate ending; if the adjective is 2-termination, then one termination will be masculine/feminine and the other neuter; if the adjective is 1-termination, the common form is used.)

Before you proceed to the next lesson, complete the exercises below so you will be able to apply this knowledge to Latin.

## Exercises

EXERCISE • Print Version • Questions

  1. What are the three genders?
  2. What is the number (singular/plural) of the following English words: 
    1. cow
    2. dogs
    3. genders
    4. adjective
    5. children
    6. slice
    7. mice
    8. geese
  3. Describe the relationship between an adjective and the noun which it modifies.
  4. How many declensions are there?
  5. Determine the declension of each Latin word: 
    * puella (_girl_)
    * ianua (_door_)
    * amicus (_friend_)
    * ludus (_game_)
    * casa (_house_)
    * rex (_king_)
  6. What gender are 1st declension substantives mostly?
  7. What genders are 2nd declension substantives mostly?
  8. What grammatical features of a word that can be determined by looking at its ending?

SOLUTION • Latin/Print Version • Questions

  1. Masculine, Feminine, and Neuter
  2. What is the number (singular/plural) of the following English words: 
    1. S
    2. P
    3. P
    4. S
    5. P
    6. S
    7. P
    8. P
  3. The adjective takes on the number, case and gender (but not always the declension) of the noun it describes
  4. Five
  5. Determine the declension of each Latin word: 
    1. 1st
    2. 1st
    3. 2nd
    4. 2nd
    5. 1st
    6. 3rd
  6. Feminine
  7. Masculine
  8. It varies slightly from word-to-word; Declension/Case, Number, and sometimes Gender.

* * *

## Chapter 1: Basic Sentences

  


# The Nominative Case

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## The Nominative Case

The nominative case refers to the subject of the sentence. It is also one of the three cases of modern English. Every sentence must have a subject. For example:

> Caesar is emperor of Rome.

Caesar is the subject of this sentence therefore Caesar is given in the nominative case.

> Caesar's army entered Rome

Above is the genitive case which shows possession; the army was Caesar's army. We have changed the case of the word "Caesar" by altering its end. The nominative case has been changed to the genitive case by the addition of an apostrophe and the letter "s".

Latin cases are formed in the same way. The first step is to learn some words in their nominative case so as to become familiar with their endings which will later be changed to form the other cases.

## Notes on Vocabulary

**Lesson Vocabulary**

Latin English

**magn-us -a -um**
**big**

**bon-us -a -um**
**good**

**mal-us -a -um**
**bad**

**puell-a -ae** (f.)
**girl**

**puer** (m.)
**boy**

**māter** (f.)
**mother**

**domin-a** (f.)
**mistress**

**domin-us** (m.)
**master**

**lūd-us** (m.)
**school**

**triclīni-um** (n.)
**dining room**

**templ-um** (n.)
**temple**

**esse**  
(ego) sum  
(tū) es  
**est**  
(nōs) sumus  
(vōs) estis  
sunt
**to be**  
I am  
you (singular) are  
**(he/she/it) is***  
we are  
you (plural) are  
**(they) are**

**ambula-t**, **ambula-nt**
**(he/she/it is) walking, (they are) walking**

**curri-t**, **curru-nt**
**(he/she/it is) running, (they are) running**

**nōn**
An adverb placed before a verb meaning 'not' thus negating the verb.

Some second declension masculine end in _-r_ instead of _-us_ in the nominative case — boy is _puer_, not _puer-us_. Of the nouns discussed on this page, this rule only applies to _puer_.

Of the "to be" verbs listed in the table, only **est** and **sunt** will be covered in this lesson. The table simply allows you to familiarize yourself with them, as verbs will be covered more in future lessons.

The nominative case is used for the subject of the sentence (or any noun that is the equivalent of the subject).

In this chapter, the following conventions will be used for nouns:

  * _m._ = masculine
  * _f._ = feminine
  * _n._ = neuter
  * First and second declension substantives are given with at least the nominative case. (We will add the genitive singular as time permits. It is not strictly necessary, but you should get in the habit now of declining nouns based on the genitive stem and not the nominative. **This chapter is therefore slightly misleading in this regard.**)
  * Third, fourth, and fifth declension substantives are given with the nominative and genitive singular.

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Overview of Adjectives

An adjective is simply any word that describes a noun, such as an object or subject in a sentence. Of course, whole phrases may be used to describe nouns, but adjectives are individual words. For example:

English Latin

The **good** _boy_ walks.
_Puer_ **bonus** ambulat.

An adjective can also be used in a sentence opposite a form of "to be." The "to be" verb simply serves as a linking verb, as "the good boy" is an incomplete sentence, but "the boy is good" is a complete sentence.

English Latin

The boy _is_ **good**.
Puer **bonus** _est_.

As shown above, the same is true in Latin.

## Adjectives in Latin

Like nouns, adjectives in Latin are declined. The vast majority take either the first and second declension (_antiquus -a -um_) or the third declension (_ferox, ferocis_). All such adjectives must agree with the nouns they describe in gender, number, and case, **but not necessarily declension**.

  * First and second declension adjectives have three distinct genders. Feminine adjectives require the first declension, masculine the second, and neuter the second. First/second declension adjectives use all three gender suffixes: -us, -a, -um (masculine, feminine, and neuter, respectively). This is because description is not limited to a single gender. For example, being good is not a quality limited to a single gender. Boys can be good, girls can be good, and things can be good. So, since all three genders must apply, we don't label adjectives as particularly _m._, _f._, or _n._.
  * Third declension adjectives are given with the nominative and genitive singular. **This, however, is only true for third declension adjectives of one termination, so again this chapter is misleading in this regard.** Most third declension adjectives do not have separate masculine and feminine forms. (Neuter adjectives follow the third declension neuter pattern.)

These words will look like the adjective **antiquus** (old, ancient):

    _antiquus_ (masculine), _antiqua_ (feminine), _antiquum_ (neuter).

Third declension adjectives typically look more like **ferox**, **ferocis** (wild, bold). This is because the third declension has no stem assigned to the nominative singular and is a "wild card" in that regard.

Adjectives _often_ come **after the word they describe**. (But since word order is not central to the meaning of a Latin sentence, the adjective _may appear anywhere_ within the sentence. In poetry, for example, several words often separate an adjective from the noun it modifies.)

For example: **Nota bene:** In the following examples the _-us_ ending stands for the **masculine (m.)** gender, the _-a_ for the **feminine (f.)** gender, and the _-um_ stands for the **neuter (n.)** gender. So **magnus** is masculine, **magna** is feminine and **magnum** is neuter.

Latin English

Puella bona est.
The girl is good.

Dominus bonus est.
The master is good.

Templum magnum est.
The temple is big.

_Bona_ is an adjective describing a feminine substantive, such as _puella_.  
_Bonus_ is an adjective describing a masculine substantive, such as _dominus_.

## Grammar: Pluralizing Nominatives

Number First declension feminine Second declension masculine Second declension neuter

Singular
puell-**a**
lūd-**us**
triclīni-**um**

Plural
puell-**ae**
lūd-**ī**
triclīni-**a**

To pluralize most first and second declension nouns, replace the singular suffix with the equivalent plural suffix. All adjectives that describe the noun must be pluralized as well because adjectives must agree in case, number, and gender (but not necessarily declension). With the adjectives given, use first declension with feminine nouns and second declension with masculine nouns. In English we use the same nominative plural endings for words we have borrowed from Latin, so it may be helpful to remember we say one vertebr-a but two vertebr-ae, one radi-us but two radi-ī, and one medium but multi-medi-a.

## Basic verbs

Verbs in Latin work quite differently than those in English. Study the following table, then view the examples below, though keep in mind that you only need to fully understand the difference between numbers for the time being.

English Latin

Number
Only pluralize the noun that is being pluralized, not the adjectives that describe it or the verb that it is performing.
All three are pluralized. In this context, singular verbs end in "-t" (es**t**, ambula**t**), and plural verbs end in "-nt" (su**nt**, ambula**nt**).

Tense
The ending is sometimes changed, though the words surrounding the verb can also be used to denote tense. Consider these examples: "he will walk, he is walking, he walks, he walked".
The stem is used to denote the tense, though this will be covered in a future lesson. In this lesson, only the present tense is being taught.

Person
The subject of the sentence is used to determine the person. If I am the subject of the sentence, then the sentence is in the first person. If you are the subject, then the second person, and so forth with the third. In this lesson, only the third person is being taught, which refers to anyone other than the speaker or the listener.
The stem also denotes the person, though as previously stated, only third person is being taught in this lesson.

### Examples

Notice how "magnum" changes to "magna" to agree with the pluralized "triclīnia".

Latin English

puell-a bon-a es-t.
The girl is good.

_And to pluralize:_

puell-ae bon-ae su-nt
The girls are good.

Note that verbs do not have gender, in that they do not change to the gender of the word that they are describing.

Puer bon-us ambula-t.
The good boy is walking.

_And to pluralize:_

Puer-ī bon-ī ambula-nt
The good boys are walking.

You will notice that neither the linking verbs "est" nor "sunt" appear in the previous two sentences. The meaning of the linking verbs are assumed in Latin sentences, as their respective meanings already exist in the verb stems.

triclīni-um magn-um es-t
The dining room is large.

_And to pluralize:_

triclīni-a magn-a su-nt
The dining rooms are large.

## Further Examples

### Example 1

Latin English

templum magnum est
The temple is big.

Notes

  * The adjective _magnus -a -um_ must agree with _templum_ in gender, number, and case, so the correct form is _magnum_ (neuter nominative singular).
  * Something like _templum magnus est_ is **incorrect** because _magn-us_ does not agree with _templ-um_. To a Latin speaker, this would sound like nonsense.

### Example 2

Latin English

puella magna est.
The girl is big.

**Notes:** In the same way, the adjective _magnus -a -um_ must agree with _puella_ in gender, number, and case, so the correct form is _magna_ (feminine nominative singular, a-declinatio).

### Example 3

Latin English

Puer currit.
The boy is running.

Puerī currunt.
The boys are running

**Notes:** You may notice that, when pluralized, "curr**i**t" becomes "curr**u**nt". The original spelling was probably "currint", but changed to "currunt" over time to make it easier to say. This is true of any pluralized verbs that would otherwise be ending in "-int".

### Example 4

Latin English

lūdī magnī sunt
The schools are big.

**Notes:** The adjective _magnus -a -um_ in this case must agree with _lūdī_ in gender, number, and case, so the correct form is _magnī_ (masculine nominative plural).

## Third Declension Nouns and Adjectives

Third declension nouns and adjectives follow a different pattern. The nominative singular stem is not defined, and as such, any letter (or letters) can serve as a third declension stem. For example, _Māter_ (mother) is a third declension noun in the nominative case. When pluralized, it becomes _Mātrēs_. "-ēs" is attached to the end of a third declension noun to pluralize it, as opposed to changing the ending completely, because there is no uniform way to do so given the third declension's random nature.

You may have also noticed that that the "e" in "Māter" was dropped when pluralized. This often happens when a stem is attached to a third declension noun of similar spelling (example, "Pater" (father) becomes "Patrēs")

Examples:

Latin English

māter bona est
The mother is good.

mātrēs bonae sunt
The mothers are good.

pater magnus est
The father is large.

patrēs magnī sunt
The fathers are large.

amīcus fortis est
The friend is strong.

amīcī fortēs sunt
The friends are strong

Third declension nouns are listed with the nominative case and the genitive case to provide the main stem, which will be covered in a few lessons. All other nouns are also listed with the genitive for standardization, but often just the genitive ending is given. For example:

Latin English

**pater, patris**
**father**

**oratio, orationis**
**speech**

**uxor, uxoris**
**wife**

**canis, canis**
**dog**

**proelium, -ī**
**battle**

**oculus, -ī**
**eye**

**amīcus, -ī**
**friend**

All other types of nouns are also generally listed with the genitive

Adjectives with a nominative ending in -is and the same stem in the nominative and in the other cases (eg. fortis) end in -e in the neuter and -ia in the neuter plural.

For example:

  * dies difficilis = the difficult day
  * proelium difficile = the difficult battle
  * proelia difficilia = the difficult battles

## Exercises

EXERCISE • Print Version • Translation

  1. Translate the following Latin words into English. 
    1. dominus bonus
    2. ludus malus
    3. puella magna
    4. triclinium est magnum
  2. Translate into Latin. 
    1. the good boy
    2. the large master
    3. The temple is large.
    4. The master is bad.

SOLUTION • Latin/Print Version • Translation

  1. Translate the following Latin words into English. 
    1. The good master
    2. The bad school
    3. The big girl
    4. The dining room is large
  2. Translate into Latin. 
    1. Puer bonus
    2. dominus magnus
    3. templum magnum est
    4. dominus malus est

  


# Present indicative active construct

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

# Grammatical Introduction to Verbs

This introductory section may be a bit overwhelming, but is an overall look at verbs. The majority of this section will be covered in later chapters. Nevertheless, looking over this chapter may help you to familiarize yourself with verbs.

Verbs are parts of speech which denote action. There are two main forms of verbs in Latin:

• Principal Verbs (the main verb which is found in every sentence. e.g.,: vir **ambulat** = the man **is walking**)

• Adjectival Verbs (also known as participles, gerunds and gerundives which describe the state of the described noun. e.g.,: vir **ambulans** = the **walking** man. The verb behaves as an adjective)

Every sentence **must** have a verb. In a sense, the principal verb is the sentence and all the nouns, adverbs and participles are only describing the scenario of the verb. Thus in Latin this constitutes a sentence:
    
    
    _est._
    

If you want to explain 'who' is or exists, you add a nominative substantive:
    
    
    _Cornēlia est._
    

We now know Cornelia 'is'. But what is she? So we add an adjective.
    
    
    _Cornēlia est bona._
    

Now we can see that Cornelia is good, but to elaborate further we can add an adverb:
    
    
    _Cornēlia vix est bona._
    

Now we know that Cornelia is 'hardly' (_[vix](http://en.wiktionary.org/wiki/vix#Latin)_: hardly, scarcely, barely) good.

Thus, in English, the shortest Latin sentence is:

You are.

in Latin:
    
    
    _es_
    

## Examples

These two examples will demonstrate the difference between an adjectival verb and a principal verb.

The **resurrected** Jesus **appeared** to his disciples.

'resurrected' is a _perfect participle_ (Adjectival) describing Jesus, while 'appeared' is the _principal verb_ in the sentence.

The **shocked** disciples **see** Jesus.

'shocked' is a _perfect participle_ (Adjectival) describing the disciples, while 'see' is the _principal verb_ in the sentence.

### Exercises

EXERCISE • Print Version • Answer

  1. What is the difference between a principal and adjectival verb?
  2. What constitutes a sentence?
  3. Write a sentence in English, and Latin.
  4. Conjugate the verb 'to be' in the present tense in English and Latin (I am, You are, He is etc.)

SOLUTION • Latin/Print Version • Answer

  1. Principal verbs are main verb which is found in every sentence. Adjectival Verbs are participles, gerunds and gerundives which describe the state of the described noun.
  2. a verb
  3. Egō Sum, I am
  4. Sum, es, est, sumus, estis, sunt

  


## Personal Endings

Verbs in Latin are inflected to reflect the person who performs the action. English does the same to some extent in the verb to be:

  


Latin
English

sum
I am

es
You are

est
(He/she/it) is

sumus
We are

estis
You (all) are

sunt
They are

Latin, however, inflects all verbs, and is much more extensive than English, allowing writers and speakers of Latin to often drop the personal pronoun (as mentioned last lesson), as the performer of the action is understood by the formation of the verb. The Personal pronoun is only usually added for emphasis. In a way, the ending on Latin verbs are a type of pronoun.

### Exercises

EXERCISE • Print Version • Answer

  1. What do the personal pronouns indicate?

SOLUTION • Latin/Print Version • Answer

  1. Personal pronouns (ego, tu, nos, vos, etc.) add emphasis. They are usually omitted (left out) because they are understood. 

    Example: _[Ego] amō [patrem](http://en.wiktionary.org/wiki/pater#Latin) meum et [matrem](http://en.wiktionary.org/wiki/mater#Latin) meam._
    I love my mother and my father. (you don't have to write _ego_, it is understood)

## Moods

There are several moods. Each has its own uses to convey certain ideas. The most commons moods are:

• Indicative • Subjunctive or Conjunctive • Imperative

The two moods we will first learn are the **imperative** (commands and orders) and the **indicative** (declarative statements and factual questions).

### Exercises

EXERCISE • Print Version • Answer

  1. List the most common moods.
  2. What two moods are we going to learn about in this lesson, and what do they let us construct?

SOLUTION • Latin/Print Version • Answer

  1. Indicative, subjunctive (or conjunctive) and imperative.
  2. The moods we are going to learn about first are: 

    **Imperative**: Which we use when we make orders. 

    _Go_ away. _Fetch_ me the keys. _Do_ not order me around!
    **Indicative**: Statements which are declarative, and questions concerning facts. 

    John _plays_ football.

## Voice

There are two constructions verbs can have regarding voice.

Verbs can have either an active or passive voice.

E.g. 'I smash the car.' 'smash' is an active verb construct.

The passive is used when the nominative is affected by the verb.

E.g. 'The car is smashed by me.' 'is smashed' is a passive construct.

### Exercises

EXERCISE • Print Version • Translate

  1. What is 'voice'?
  2. What is active voice?
  3. What is passive voice?
  4. Construct a sentence in English using each of these voices.

SOLUTION • Latin/Print Version • Translate

  1. Voice is how a verb is constructed.
  2. When the subject affects the verb
  3. When the nominative is affected by the verb
  4. Ex.- I carried, I am being carried.

## Tense

Tense in Latin comprises two parts: TIME and ASPECT. Time reflects when the action is occurring or did occur: past, present, or future. Aspect refers to the nature of the action: simple, completed, or repeated. The "completed" aspect is generally termed "perfective" and repeated aspect "imperfective."

Theoretically, a verb could have nine tenses (combinations of time and aspect). However, Latin only has six, since some possible combinations are expressed by the same verb forms. Latin tenses do not correspond exactly to English ones.

Below is a rough guide to tense in Latin.

  


**Time**

**A  
S  
P  
E  
C  
T**
Present
Future
Past

Simple
_Present Tense_  
"I walk"
_Future Tense_  
"I will walk"
_Perfect Tense_  
"I walked"

Imperfective
_Present Tense_  
"I am walking"
_Future Tense_  
"I will be walking"
_Imperfect Tense_  
"I was walking"

Perfective
_Perfect Tense_  
"I have walked"
_Future Perfect Tense_  
"I will have walked"
_Pluperfect Tense_  
"I had walked"

As is evident, some Latin tenses do "double duty." The Latin Present and Future Tenses can either express simple or progressive aspect. Particularly difficult to grasp is the Latin Perfect tense, which can either express an action completed from the point of view of the present ("I have just now finished walking"), or a simple action in past time (its "aorist" sense, from the old Indo European aorist tense, which Latin lost but is still present in Greek).

### Exercises

EXERCISE • Print Version • Translate

  1. Copy out the above table.
  2. Study the table.

SOLUTION • Latin/Print Version • Translate

Vide (see) the table above.

## Infinitive

The infinitive (impersonal) is the form of the verb which simply means 'to (verb)' e.g. 'to do', or 'to be', or 'to love', or 'to hate' etc. All forms which are not in the infinitive are in the finite (personalised) form.

The infinitive has a -re at the end of the stem of the verb. The infinitive of 'to be' is an exception and is 'esse'.

Dēbeō curre**re** nunc = I ought to run now.

Esse, aut nōn esse = To be, or not to be?

### Exercises

Answer these two question about the **infinitive** and **finite**.

EXERCISE • Print Version • Answer

  1. What is the **infinitive**? Give an example.
  2. What is the **finite**? Give an example.

SOLUTION • Latin/Print Version • Answer

  1. The **infinitive** is the verb-form that simply mean "to (verb)". 

    To _sing_, to _dance_, to _drink_, to _love_.
  2. Every verb which is not in the infinitive, is in the **finite**. 

    He _smells_, we _plot_, she had _drunk_, he _pours_.

## Irregularities

Verbs which use the passive formation in an active sense are known as deponent. Verbs which don't have a form for every tense and mood are known as defective. You will meet a few words like this soon.

### Exercises

EXERCISE • Print Version • Answer

  1. What is a deponent verb?
  2. What is an irregular verb?
  3. What is a defective verb?

SOLUTION • Latin/Print Version • Answer

  1. A verb which uses the passive voice in an active sense.
  2. A verb that does not follow the normal rules of conjugation.
  3. A verb missing forms for some tenses or moods.

## Personal Pronouns

In case you do ever use a personal pronoun to emphasise the SUBJECT of the verb, you must remember that the personal pronoun must be in the nominative case and the number and person of the verb must match that of the subject. (Review Lesson 7 if unfamiliar with the terms person and subject).

### Exercises

EXERCISE • Print Version • Translate

  1. What case should the subject (performer) of the verb be in?
  2. What number should the principal verb be?
  3. What person and number is 'ego'?
  4. What person and number is 'I'?
  5. What person and number is 'we'?
  6. What person and number is 'thou'?
  7. What person and number is 'ye'?
  8. What person and number is 'vōs'?
  9. What person and number is 'nōs'?
  10. What person and number is 'tū'?
  11. What person and number is 'boy'?

SOLUTION • Latin/Print Version • Translate

  1. Nominative case
  2. First person, singular.
  3. First person, singular.
  4. First person, singular.
  5. First person, plural.
  6. Second person, singular.
  7. Second person, plural.
  8. Second person, plural.
  9. First person, plural.
  10. Second person, singular.
  11. Third person, singular.

## Principal Parts

When one looks up a verb in the dictionary, the principal parts are given. From these principal parts you can find the correct form of the verb for every circumstance.

  


Present Indicative Active 1st Person
Present Infinitive
Perfect Indicative Active 1st Person
Supine

amō
amāre
amāvi
amātum

Determines whether the vowel is dropped in the 1st person singular present.
Gives the imperfect stem and infinitive
Gives the perfect stem
Allows you to form adjectival forms of the verb (Participles)

### Exercises

Answer this question about **principal parts**.

EXERCISE • Print Version • Answer

  1. What do the **principal parts** allow you to do?

SOLUTION • Latin/Print Version • Answer

  1. The principal parts are the verb-forms you find when you look in the dictionary. E.g. if you look for the verb _amō_ (love) in a dictionary you would find: 

    amō • amāre • amāvi • amātum

    

    These four forms will help you form every Latin verb you want.

## Using the Dictionary

All nouns are given in the nominative, as well as the declension and gender of the noun. Verbs are alphabetized using the 1st person singular (the first principal part) and the infinitive is given. Supplementary principal parts are given if the various other principal parts do not follow the standard pattern of formation from the infinitive and 1st person singular.

# Verbs: Conjugation in the Present Imperfect

The present imperfect is the simplest tense. To form the present imperfect all that is required is to place the personal endings at the end of the verb stem.

Thus, if you have the stem 'ama' (love), to make it 'I love' you place an ō at the end.
    
    
    I love  =  amō (amaō*)
    we love =  amāmus
    

  * Latin drops the 'a' in amaō forming amō.

Latin **could** add personal pronouns, however only for added emphasis and in conjunction with the corresponding person ending on the verb. Otherwise the sentence will not make sense. For example:

ego amō = I (not you) love

nōs amāmus = We (not you) love

but that would be for special emphasis: It's **I**, not you, who love.

Here are the forms of the verb 'porta', carry, in the present imperfect tense:
    
    
    portō     I carry                     first person singular
    portās    thou carriest, you carry    second person singular
    portat    he, she, it carries         third person singular 
    portāmus  we carry                    first person plural
    portātis  you (all) carry             second person plural
    portant   they carry                  third person plural
    

'porto' can also be translated 'I am carrying' (present imperfect), 'I do carry' (present emphatic). 'I carry' is known as the 'present simple' tense in English.. Again the 'a' gets dropped when the 'ō' is placed on porta. Porta, and ama are known as 1st conjugation verbs; in other words, verbs which have a stem ending in 'a'.

There are three other conjugations, and below are some examples of verbs from each of the four conjugations (present imperfect tense):

  


porta, carry (1st. Conj)
mone, warn (2nd Conj)
rege, rule (3rd Conj.)
audī, hear (4th Conj)

portō, I carry
moneō, I warn
regō, I rule
audiō, I hear

portās, thou carriest
monēs, thou warnest
regis, thou rulest
audis, thou hearest

portat, he/she/it carries
monet, he/she/it warns
regit, he/she/it rules
audit, he/she/it hears

portāmus, we carry
monēmus, we warn
regimus, we rule
audimus, we hear

portātis, ye carry
monētis, ye warn
regitis, ye rule
auditis, ye hear

portant, they carry
monent, they warn
regunt, they rule
audiunt, they hear

Each verb uses the same final letter or letters to indicate the 'subject' - I, thou, he/she/it, we, you, they.

Before these final letters, the first conjugation has an 'a' (although when an 'o' is placed, the 'a' is often dropped), the second an 'e', and the third and fourth usually an 'i'. The third person plural forms in the third and fourth conjugations have a 'u'. These verb forms really should be learned by heart.

The most common verb of all is irregular (see next lesson). Here is a table of the verb 'to be' in Latin, English, and four Romantic languages (French, Spanish, Italian and Portuguese)

esto: be

**Latin**
**English**
**French**
**Spanish**
**Italian**
**Portuguese**

sum
I am
je suis
yo soy
sono
eu sou

es
thou art
tu es
tú eres
sei
tu és

est
he/she/it is
il/elle est
él/ella es
è
ele/ela é

sumus
we are
nous sommes
nosotros/-as somos
siamo
nós somos

estis
ye are
vous êtes
vosotros/-as sois
siete
vós sois

sunt
they are
ils/elles sont
ellos/-as son
sono
eles/elas são

The personal endings are the same as in the four regular conjugations.

### Exercises

    _Conjugate (find how a verb is in different forms) the verb 'amõ'._

EXERCISE • Print Version • Translate

What form of the verb 'amõ' (hint: amõ is conjugated like portõ in the table above) would the following words use to become the suffix:

  1. ego (I)
  2. tū (thou)
  3. puer (the boy)
  4. nōs (we)
  5. vōs (ye)
  6. puellae (the girls)

SOLUTION • Latin/Print Version • Translate

  1. [ego] amõ (I love)
  2. [tu] amās (thou lovest _pl._, you love _pl._)
  3. puer amat (the boy loves)
  4. [nos] amāmus (we love)
  5. [vos] amātis (ye love _pl._, you love _pl._)
  6. puellae amant (the girls love)

  


## Imperative Mood

The imperative mood conveys an order (e.g. Go!, Run!, Away Now!). The imperative mood is formed by simply using the stem of the verb. If the order is to a large group of people, or you are trying to show respect, you must use the -te suffix.

amō eum = I love him.

amā eum = Love him!.

amāte eum = Love (respectful, or plural) him!

  
currō casam = I run home.

curre casam = Run home!

currite casam = Run (respectful, or plural) home!

  
Regō prudente = I rule wisely.

Rege prudente = Rule wisely!

Regite prudente = Rule (respectful order) wisely!

### Exercises

  * _Translate Latin verbs:_

EXERCISE • Print Version • Translate

Translate the following verbs:

  1. portāmus • regunt • monēs • estis • audītis • monent • regō • portās • sunt

SOLUTION • Latin/Print Version • Translate

  1. we carry • they rule • thou warnest • ye are •ye hear • they warn • I rule • you carry • they are

  * _Translate sentences into Latin:_

EXERCISE • Print Version • Translate

Translate Into Latin:

  1. I carry my book.
  2. Thou kill not.
  3. They hear music.

SOLUTION • Latin/Print Version • Translate

  1. Meum lībrum portō.
  2. Interficis nōn.
  3. Mūsicam audiunt.

  


# Adverbs & Prepositions

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Comparatives and Superlatives of Adjectives (Comparativa et superlativa adjectivorum)

**Lesson Vocabulary**

Latin English

**fortis, forte**
**strong, brave**

**vir**
**man**

**long-us, -a, -um**
**long**

**ingeniosus, -a, -um**
**clever, talented**

**denarius, -i, m.**
**denarius (unit of currency)**

**soror, sororis, f.**
**sister**

**quam**
**than**

**habet**
**he/she has**

There are three types of adjectives: Positive (the 'normal' adjective, eg. the **brave** man: **fortis** vir), Comparative (eg. the **braver** man, or the **rather brave** man: **fortior** vir) and Superlative (eg. the **bravest** man, or the **very brave** man: **fortissimus** vir). Comparatives and superlatives of adjectives are usually formed by appending the suffix -ior (genitive is -ioris) for comparatives and -issimus for superlatives. All comparatives are declined like third declension nouns while superlatives are declined like second declension nouns, and thus must match the gender of the noun the superlative modifies. Often stem changes occur when appending theses suffixes.

**Adjective: longus (long)**

longus
longior
longissimus

long
longer
longest

### Irregular Adjectives

Fortunately, there are only a few irregular adjectives.

**Irregular Adjectives**

**Meaning**
**Positive**
**Comparative**
**Superlative**

good
bonus
melior (_better_)
optimus (_best_)

bad
malus
peior (_worse_)
pessimus (_worst_)

large, great
magnus
maior
maximus

small
parvus
minor
minimus

many
multus
plus
plurimus

  
  
**Examples:**

**Latin**
**English**

Marcus est fortior quam Publius
Marcus is stronger than Publius

Publius ingeniosior est quam Marcus
Publius is more clever than Marcus

Marcus plures denarios habet quam Publius
Marcus has more denariuses1 than Publius

Publius plures sorores habet quam Marcus
Publius has more sisters than Marcus

1: We won't say "Marcus has more money" (_pecunia_) since plus in the singular takes the genitive case, which will not be covered for a few more lessons

## Adverbs

Adverbs are formed usually by replacing the suffix appended to the stem with the -e, or -i and sometimes -um. Adverbs modify the verb in the clause that contains the adverb. The adverb may be placed anywhere with the clause. Adverbs may be of positive, comparative and superlative form. Unlike adjectives and substantives, adverbs do not have declension or gender. And thus they are referred to as being 'indeclinable.' Following suffices are appended to form the comparative and superlative forms of adverbs: -ius for comparatives and -issime for superlative.

### Example

**Adverbs**

fortiter
fortius
fortissime

bravely
more bravely
most bravely

Irregular adjectives form adverbs regularly from the adjective forms.

For example:

  * melior (better) -> melius
  * maximus (greatest) -> maxime

Some adverbs do not come from adjectives but rather exist on their own:

  * diu (for a long time) -> diutius, diutissime
  * saepe (often) -> saepius, saepissime

### Exercise 1

EXERCISE • Print Version • Answer

  1. What is the comparitive adverbial form of sol-us, sol-a, sol-um (alone)?
  2. What is the positive adverbial form of laetus? (happy)
  3. What is the positive adjectival form of īrātior? (angrier)
  4. What is the postive adverbial form of certus? (certain)
  5. What is the superlative adjectival form of certus?
  6. What is the superlative adverbial form of certe?
  7. What is the superlative adjectival form of male?
  8. What is the superlative adverbial form of malus?
  9. What is the comparative adjectival form of dēsertus? (deserted)

SOLUTION • Latin/Print Version • Answer

  1. Solius
  2. Laete
  3. Īrātus
  4. Certe
  5. Certissimus
  6. Certissime
  7. Pessimus
  8. Pessime
  9. Dēsertior

## Conjunctions

Conjunctions are indeclinable particles that join clauses together to form sentences. Examples of forms of conjunctions in English are: and, but and so. Conjunctions are either coordinating (joining two main clauses) or subordinating (joining a subclause to a main clause).

  


**List of Common Conjunctions**

_Coordinating Conjunctions_

atque
and

aut
or

aut...aut^^
either...or

enim (usually placed second in sentence)
for

ergo
and so, therefore

et
and

et...et^
both...and

igitur
therefore

itaque
and so

nam
for

nec/necque
and not, nor

nec/necque...nec/necque^
neither...nor

-que*
and

sed
but

tamen (usually placed second in a sentence
however

_Subordinating Conjunctions_

cum
when

dum
while, for the time

nisī
unless, except

quamquam
however

quod
because

sī
if

ubi
where, when

ut
as/with result clauses: in order to, so, to

### Exercise 2

Latin English Notes

**virtus, virtutis**
**virtue, courage**

**in animo habeo**
**I have in mind, I intend**
**Takes an infinitive**

**ire**
**to go**
**The indicative forms (I go, you go, etc) are _eo, is, it, imus, itis, eunt_**

**hodie**
**today**
**_hodie_ is an adverb, don't try to use it as a noun ("Today is a good day")**

**domi**
**at home**
**An instance of the _locative case_, normally used for cities**

**ambulat**
**he/she walks**

**forum, -i**
**marketplace**

Based upon your reading of the table of conjunctions, how would one translate these sentences?

  1. Aut tu es bonus aut tu es malus ergo dīc mihi vēritātem (_tell me the truth_).
  2. Cavēte canem quod nec estis fortes nec cum virtūte.
  3. Puer ē forō cum canē ambulat
  4. Et canis et cattus sunt laetī.
  5. In animō habeō īre ad grammaticum hodiē sed habeō labōrem (_work_) domī.

## Prepositions

You have met a few prepositions already. Prepositions are indeclinable and genderless. Prepositions are placed before substantives and adjectives. Most prepositions take only the accusative or ablative case. Some prepositions may take both, however their meanings differ depending on the case.

**List of Common Prepositions**

_Prepositions Taking the Accusative Case_

ad
to

ante
before

circum
around

contra
against

extra
outside

in*
into

inter
between, among

per
through

post
after

prope
near

propter
because of

super
above

trans
across

_Prepositions Taking The Ablative Case_

a/ab**
from

cum
with

de
about, down from

e/ex**
out of

in*
in

pro
for, on behalf of

sine
without

sub
under

*notice the two different meanings of _in_ depending on the case

** Just like a/an in English, the form with a consonant is used when the following word begins with a vowel

Ablative case forms for nouns and adjectives

Nominative singular
**puell-a** (1st decl.)
**domin-us** (2nd decl. m.)
**triclini-um** (2nd decl. n.)
**canis** (3rd decl.)

Ablative singular
**puell-ã**
**domin-o**
**tricilini-o**
**can-e**

Ablative plural
**puell-is**
**domin-is**
**triclini-is**
**can-ibus**

### Exercise 3

Latin English

**ero  
eris  
erit  
erimus  
eritis  
erunt**
**I will be  
You will be  
He/she will be  
We will be  
You will be  
They will be**

**dives, divitis**
**wealthy**

**aedificium, -i**
**building**

**anima, -ae**
**mind, soul**

**venit**
**he/she comes**

Translate the following sentences:

  1. eo domum (Latin omits 'ad' with 'domus,' specific city names, and small islands; e.g. Eunt Romam = They go [to] Rome.)
  2. cum bona fortuna ero dives!
  3. circum agrum est aedificium cum atrio
  4. tu non es vir sine animis.
  5. familia venit cum amore.

## List of Frequent Adverbs, Prepositions, and Conjunctions in Latin

Taken from <http://www.georgetown.edu/faculty/irvinem/classics203/resources/latin.lex>

  * atque, ac (conj): and [also], and; atque is used before consonants, ac before vowels
  * ad modum: adv. very, quite; fully; + neg. = at all
  * ad huc/adhuc: thus far, as yet, still, in addition, in the future
  * aliquam: in some degree
  * aliqui -qua -quod: some, any
  * aliquis -qua -quid: someone, something; some, any
  * aliquando: at times, sometimes; once, formerly
  * aliquotiens: several times, at different times
  * at (form of ad = in addition to): but (intro startling transitions)
  * atque: and as well, even, together with, in everything;
  * atque...atque, both..and
  * atqui: rather, however, but at any rate, but for all that (transition in arg.)
  * aut: or, at least, or else; aut...aut: either...or
  * autem: but, on the other hand, however
  * coram: adv. and prep. in the presence of, before
  * dehinc: adv. while, from here, from now, henceforth; then, next
  * deinde: adv. from there; then, afterwards; secondly, next (in order), in the second (next) place
  * demum: adv. at last, finally, not till then; precisely, exactly, just, in fact, certainly, to be sure; modo demum: only now, just now.
  * denique: adv. finally
  * donec: while, as long as, until
  * dum: conj. while, now; so long as, provided that, if only; until
  * enim: (conj) namely, indeed, certainly, in fact, for, because
  * eo quod: because
  * etenim: (conj) and indeed, for, as a matter of fact
  * etiam: also, besides; even, actually; (time) still
  * etsi: (conj.) though, although, and yet
  * fas (est): indecl. (it is) right, proper
  * huc: here, to this place; so far, for this purpose
  * ibi: there, then, therein, on that occassion
  * idcirco: for that reason, on that account, therefore
  * ideo: therefore, for this reason
  * illuc: (adv.) (to) there; to that; to him/her
  * immo: (adv.) or rather; indeed; no, yes (emphasis)
  * interdum: occasionally, sometimes, now and then
  * inde: from there, from that source, then, after; from then
  * iuxta: (adv) near by, alike, equally; (prep) close to, right after, near to, beside. 
    * iuxta (7th-15th c.): according to
    * iuxta aliquid: to some extent
  * ita: thus, so, in this way; ita...ut: just as, so...that 
    * ita...quomodo: just as
  * licet: all right; (with dat + inf) it is right for someone to; (conj) although, even if
  * modo: only, just now
  * necnon: also, moreover, certainly, besides
  * nempe: to be sure, of course
  * non numquam: sometimes
  * nondum: not yet
  * nonnullus -a -um: some, several
  * nuper: recently, lately
  * nusquam: nowhere
  * ob: before, in front of; on account of, because of; for the sake of; instead of; in proportion to 
    * ob rem: to the purpose, usefully
    * quam ob rem: wherefore, accordingly
  * olim: once; of old; one day
  * praeterea: besides, moreover; hereafter
  * postea: afterwards
  * postmodum: afterwards; presently
  * procul: far off
  * proinde: adv. consequently, therefore; just as
  * propterea: for that reason, therefore
  * prorsus/prorsum: (adv.) forwards; absolutely; in short
  * prout: (conj) according as
  * qua: (adv) where, as far as, how; qua..qua: partly...partly
  * qualibit: anywhere, any way, as you please
  * qualis -e: what sort of, what kind of, such as, as
  * qualiter: adv. how, as, just as
  * quam: (adv) how, how much; as, very
  * quamdiu: as long as; while; inasmuch as
  * quamquam: although
  * quamvis: (adv) however; (conj) although
  * quando: when (after nisi, ne) ever; (conj) when, since, because
  * quandoque: (adv) at some time; (conj) whenever, as often as, since
  * quantum: (adv) as much as, as far as, so much as, to what extent
  * quantus: how great, how much 
    * in quantum: to what extent
    * quanto: for how much
  * quantum ad: in terms of, as far as x is concerned, with respect to
  * quapropter: wherefore
  * quare: by what means, how; why, wherefore
  * quasi: as if, as though
  * quatenus: adv.(inter.) how far, how long? (rel.) as far as, in so far as, since
  * quemadmodum: (adv) in what way, how; (conj) as, just as
  * quicquam: anything
  * quicumque quae- quod-: whoever, whatever; all that, any whatever
  * quidam quae- quid-: a certain one, someone, a kind of
  * quidem: indeed, in fact
  * quippe: adv. certainly, of course; conj.(explaining) for in fact, because, since
  * quisquam quid-: anyone, anything
  * quisque quidque: each, each one, every
  * quisquis, quidquid: whoever, whatever; all
  * quo: where, what for, to what end
  * quoad: as to, with respect to
  * quocumque: wither so ever, how so ever
  * quod: (conj) because, as far as, in so far as, as for the fact that, in that, that 
    * quod si: but if
  * quodamodo: in a way
  * quomodo: how, in what way; (rel) as, just as
  * quondam: once, sometimes, formerly
  * quoniam: because, since, seeing that, now that
  * quoque: also, too
  * quot: how many; (conj) as many
  * quotiens: how often (rel) as often as
  * rursus: again, in turn
  * recte: rightly, correctly
  * rursum: again
  * sane: reasonably, sensibly; certainly, doubtless, truly; of course; c. neg. = really, at all; to be sure, however
  * scilicet: adv. evidently, naturally, of course; (as explan. particle:) namely, that is to say, in other words
  * semel: once
  * seu: and
  * simul: at the same time; together; likewise
  * sin: but if
  * siquidem: if in fact; if only, if indeed; since indeed, since that
  * talis -e: adj. such, of such a kind, the following
  * taliter: in such a manner, so
  * tam: so, so greatly; tam...quam: so...as, much...as well as
  * tamen: yet, nevertheless, still
  * tamquam: as, just as; (conj) as if, just as if
  * tandem: at last, finally
  * tantum: (adv) so much, so greatly; to such a degree; so far; only
  * tantus -a -um (adj): of such (a size); so great, so much
  * tot: as many, so many
  * tunc: (avd) then, just the; thereupon, accordingly, consequently
  * ubicumque: wherever, everywhere
  * unde: whence, from where; wherefore; this being the case
  * usque: as far as, all the way, continually, straight on, up to; until
  * ut...ita: while...nevertheless
  * uterque -raque -rumque: both, each (of two)
  * utinam: would that, if only
  * utique: anyhow, at least, at any rate
  * utpote: as, in as much as
  * utrum: (conj) either, whether
  * velut: as, just as, as it were, as though
  * verumtamen: but yet, nevertheless
  * vero (conj): but, truly
  * videlicet: clearly, evidently; namely

  


# The Accusative Case

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

  


## Exercises

EXERCISE • Print Version • Give the accusative singular.

Give the accusative singular for:

  1. lud-us
  2. magn-us
  3. triclīni-um
  4. bell-um
  5. puell-a
  6. serv-us
  7. ager

SOLUTION • Latin/Print Version • Give the accusative singular.

  1. lud**um**
  2. magn**um**
  3. triclīni**um**
  4. bell**um**
  5. puell**am**
  6. serv**um**
  7. agr**um**

EXERCISE • Print Version • Give the accusative plural.

Give the accusative plural for:

  1. lud-us
  2. magn-us
  3. triclīni-um
  4. bell-um
  5. puell-a
  6. serv-us
  7. ager

SOLUTION • Latin/Print Version • Give the accusative plural.

  1. lud**os**
  2. magn**os**
  3. triclīni**a**
  4. bell**a**
  5. puell**as**
  6. serv**os**
  7. agr**os**

EXERCISE • Print Version • Give the nominative singular.

Give the nominative singular for:

  1. bon-ī
  2. bell-a
  3. triclīni-a
  4. puell-am
  5. agr-ōs
  6. serv-ōs
  7. puell-ae

SOLUTION • Latin/Print Version • Give the nominative singular.

  1. bon**us**
  2. bell**um**
  3. triclīni**um**
  4. puell**a**
  5. ager
  6. serv**us**
  7. puell**a**

**Lesson Vocabulary**

Latin English

**vendit**
**he/she sells**

**videt**
**he/she sees**

**amat**
**he/she loves**

**cist-a -ae** (f.)
**box**

**ferox, ferocis** (m/f.)
**wild**

**ager** (m.)
**field**

**bell-um** (n.)
**war**

**serv-us** (m.)
**slave**

## Grammar: The Accusative

As you learned in the last lesson, the verb 'esse' (to be) usually takes the nominative case, because then the word after it is a complement. Most other verbs take the 'accusative' case.

In a sentence, the accusative is the "what" - in English grammar, this is known as the direct object.

**For example:** The girl sells the box.

What did the girl sell? The box. Thus, box is the direct object, and when we translate it into Latin:

**Example**

_English:_
The girl
sells
the box.

_Latin:_
Puella
vendit
cistam.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

Cistam, then, is in the accusative, because it is the direct object.

Again, when an adjective describes a noun in the accusative case, the adjective must agree in number, case, and gender.

**Example**

_English:_
The girl
sells
the big
box.

_Latin:_
Puella
vendit
magnam
cistam.

_Explanation:_
NOMINATIVE
VERB
ADJECTIVE ACCUSATIVE
NOUN ACCUSATIVE

Because Latin uses cases to mark the subject and the object of a sentence, word order does not matter. Consider:

puer puellam videt
The boy sees the girl

puerum puella videt
The girl sees the boy

puellam puer videt
The boy sees the girl

puella puerum videt
The girl sees the boy

## Examples of Adjectives Agreeing with the Nominative and Accusative Case

**Explanation**\- The _good_ boy loves the _wild_ dog.

_Latin:_
puer
**bonus**
amat
canem (acc)
**ferocem** (acc).

_English:_
[The] boy
**good**
[he] loves
[the] dog
**wild**.

_Bonus_, a first and second declension adjective, is masculine, nominative, and singular to agree with _puer_, the word it is describing.

_Ferocem_, a third declension adjective, is masculine, accusative, and singular to agree with _canem_. _Canem_ is accusative because it is the object of _amat_.

Here is an example of plural adjectives:

**Explanation**\- The _good_ boys love the _wild_ dogs.

_Latin:_
Pueri (plur)
**boni** (plur)
amant (plur)
canes (plur, acc)
**feroces** (plur, acc).

_English:_
[The] boys
**good**
[they] love
[the] dogs
**wild**.

The words _bonus_ and _ferocem_ become _boni_ and _feroces_ to agree with the plurals _pueri_ and _canes_.

However, if a girl ([puella](http://en.wiktionary.org/wiki/en:puella#Latin)) happened to love that boy:

**Explanation**\- The _good_ girl loves the _good_ boy.

_Latin:_
Puella
**bona**
amat
puerum (acc)
**bonum** (acc).

_English:_
[The] girl
**good**
[she] loves
[the] boy
**good**.

_Bonus_ must become _bona_ in order to modify _puella_, which is feminine.

Finally, if the girl isn't good, but rather wild:

**Explanation**\- The _wild_ girl loves the _good_ boy.

_Latin:_
Puella
**ferox**
amat
puerum (acc)
**bonum** (acc).

_English:_
[The] girl
**wild**
[she] loves
[the] boy
**good**.

Even though _puella_ is first declension, _ferox_ remains third declension. In the same way, a good lion would be _bonus leo_.

## Exercise 3

Determine whether the adjective agrees with the substantive in all three categories: case, gender, number.

  


Questions: Does it Agree?

1\. magn-us agr-ōs
True/False

2\. magn-a puella
True/False

3\. poet-a* bon-us
True/False

4\. magn-um serv-um
True/False

5\. poet-ae* magn-ae
True/False

6\. bell-a magn-a
True/False

    _* Nota bene:_ Poeta _(meaning poet) is a masculine noun, even though it ends in **-a**._

EXERCISE • Print Version • Answer

See table above. Determine whether the adjective (magnus, bonus..) agrees with the substantives (ager, puella, poeta) in both case (nominative, accusative...), gender (masculine, female and neuter) and number (singular and plural).

SOLUTION • Latin/Print Version • Answer

  1. **False.** _Magnus_ doesn't agree with _agrōs_; in number and case. 

    _Magnus_: Masculine, singular, nominative.
    _Agrōs_: Masculine, plural, accusative.
  2. **True.** _Magna_ agrees with _puella_. 

    _Magna_: Feminine, singular, nominative.
    _Puella_: Feminine, singular, nominative.
  3. **True.** _Bonus_ agrees with _poeta_. 

    _Bonus_: Masculine, singular, nominative.
    _Poeta_: Masculine, singular, nominative.
  4. **True.** _Magnum_ agrees with _servum_. 

    _Magnum_: Neuter, singular, nominative.
    _Servum_: Neuter, singular, nominative.
  5. **False.** _Magnae_ doesn't agree with _poetae_; in gender. 

    _Magnae_: Feminine, plural, nominative.
    _Poetae_: Masculine, plural, nominative.
  6. **True.** _Bella_ agrees with _magna_. 

    _Bella_: Neuter, plural, nominative.
    _Magna_: Neuter, plural, nominative.

## Grammar: The Use of the Accusative

**Lesson Vocabulary**

Latin English

**curri-t**
**he/she runs**

**porta-t**
**he/she carries**

**specta-t**
**he/she watches**

**da-t**
**he/she gives**

**fuisse**  
fuī  
fuistī  
(puer) fuit  
fuimus  
fuistis  
fuērunt
**to have been**  
I have been  
you have been  
(the boy) has been  
we have been  
you (pl.) have been  
they have been

Nota Bene: 'fuisse' and all the forms of it, the past tense of 'esse', behaves exactly like the present tense.

  
The newly introduced verbs, ama-t, curri-t, and porta-t take the accusative as the 'object'. Unless specified, any verb you look up in the dictionary will take the accusative, not the nominative. This means that they are **transitive verbs**, verbs that happen to someone or something, e.g.:
    
    
    I heal **you**. (_acc._)
    You make **my day**. (_acc._)
    She hit **your arm**. (_acc._)
    

In the examples above, the **bold** words are the subject of the sentence clause. Because something happens "to" them, they can't be in nominative.

## Grammatical Explanation Using English Sentences

**Grammatical Explanation 1**

_English:_
The boy
hits
the car.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

  


**Grammatical Explanation 2**

_English:_
The girl
hugs
the boy.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

  


**Grammatical Explanation 3**

_English:_
He who
flees,
deserves
the guillotine.

_Explanation:_
NOMINATIVE
VERB
VERB
ACCUSATIVE

### Exercise 4: Find the Nominative and Accusative

EXERCISE • Print Version • Find the Nominative and Accusative (if present) in each the sentence.

Find the Nominative and Accusative (if present) in each the sentence.

  1. The boy is good.
  2. The girl kisses the boy.
  3. The boy gives the book.
  4. The child watches the TV.
  5. Whom it concerns.
  6. To the kitchen I run
  7. I eat the pizza.

SOLUTION • Latin/Print Version • Find the Nominative and Accusative (if present) in each the sentence.

  1. The boy {nom} is good {nom}. 

    _Puer {nom} est bonus {nom}_.
  2. The girl {nom} kisses the boy {acc}. 

    _Puella {nom} puerum {acc} basiat._
  3. The boy {nom} gives the book {acc}. 

    _Puer {nom} librum {acc} dat._
  4. The child {nom} watches the TV {acc}. 

    _Infans {nom} televisorium {acc} videt._
  5. Whom {acc} it {nom} concerns. 

    _???_
  6. To the kitchen {acc} I {nom} run. 

    _Ad culinam {acc} [ego {nom}] curro._
  7. I {nom} eat the pizza {acc}. 

    _Pittam {acc} [ego {nom}] edo._

EXERCISE • Print Version • In the following sentences, identify the accusative and nominative. Then translate.

In the following sentences, identify the accusative and nominative. Then translate.

  1. Puer est bonus.
  2. Puella puerum amat..
  3. Puer cistam portat.
  4. Fīlius virum spectat.
  5. Ad culīnam currit.

SOLUTION • Latin/Print Version • In the following sentences, identify the accusative and nominative. Then translate.

  1. Puer {nom} est bonus {nom}. 

    The boy {nom} is good {nom}.
  2. Puella {nom} puerum {acc} amat. 

    The girl {nom} loves the boy {acc}.
  3. Puer {nom} cistam {acc} portat. 

    The boy {nom} carries the box {acc}.
  4. Fīlius {nom} virum {acc} spectat. 

    The son {nom} watched the husband {acc}.
  5. Ad culīnam {acc} currit. 

    To the kitchen {acc} [he {nom}] runs.

  


# Pronouns

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Personal Pronouns in English

**Lesson Vocabulary**

Latin English

**cibus**
**food**

**laborat**
**he/she works**

Pronouns are nouns which are used instead of another noun ('pro', in place of 'noun', noun.)

There are three categories of pronouns which are divided up into persons: 1st, 2nd, and 3rd. In addition, pronouns can be singular or plural. They are declined like all other nouns.

Person Singular Plural

1st
I
We

2nd
You, Thou
You (all)

3rd
He/She/It
They

## Personal Pronouns in Latin

### 1st/2nd Person Pronouns

#### Table of Personal Pronouns in all of their cases: I, thou, we, ye

Note: Thou is the archaic singular of the archaic plural ye - useful for distinguishing you (singular) from you (plural)

Singular Plural

Case
1st Person
2nd Person
1st Person
2nd Person

Nominative
ego
I
tū
you
nōs
we
vōs
you

Genitive
meī
of me
tuī
of you
nostrī(nostrum)
of us
vestrī (vestrum)
of you

Dative
mihi
to me
tibi
to/for you
nōbīs
to us
vōbīs
to/for you

Accusative
mē
me
tē
you
nōs
us
vōs
you

Ablative
mē
from me
tē
from you
nōbīs
from us
vōbīs
from you

Nota Bene: the genitive is used in certain phrases like:

  1. memor nostrī, mindful of us
  2. paucī vestrum, a few of you.

For the possessive uses (my sister, your bicycle), Latin does not use the genitive, but the possessive adjectives:

Latin English

meus, mea, meum
my

tuus, tua, tuum
thy

suus, sua, sum
his/hers, its, their

noster, nostra, nostrum
our

vester, vestra, vestrum
your

Pater noster
Our father

### 3rd Person Pronouns

Technically, 3rd person pronouns do not exist in Latin as they do in English. However, they do have equivalents.

Adjectives modify nouns and take the gender of the noun which they modify. However, adjectives do not necessarily need a substantive present in the sentence to modify. The substantive can be presumed. In this way, '3rd person' pronouns are formed.

#### Example 1

Take the masculine form of the adjective 'ille'. Literally it means 'That (masculine) thing.' However one could take it for simply meaning 'he', depending on the context. Similarly, the pronoun 'iste' means 'this (masc.) thing'. Iste and ille are declined in exactly the same way.

If no substantive is provided assume words like these: 'man', 'woman', 'thing', 'idea', 'concept', 'reason' etc. Let context be your guide.

### Common Adjectives Used as 3rd Person Pronouns In Latin

#### Declension of Ille (that)

Declension of _ille_ (that): Singular

Latin English

Masculine Feminine Neuter Masculine Feminine Neuter

Nominative
ille
illa
illud
he
she
it

Genitive
illius
illius
illius
his
her, hers
its

Dative
illī
illī
illī
to him
to her
to it

Accusative
illum
illam
illud
him
her
it

Ablative
illō
illā
illō
by, with, from him
her
it

Declension of _ille_ (that): Plural

Latin English

Masculine Feminine Neuter

Nominative
illī
illae
illa
they, those

Genitive
illōrum
illārum
illōrum
their, theirs, of those

Dative
illīs
illīs
illīs
to them, to those

Accusative
illōs
illās
illa
them, those

**Ablative**
illīs
illis
illīs
by, with, from them, those

Ille is often used as a kind of pronoun. In situations with multiple phrases or sentences, however, it is syntactically different from is, ea, id (see below).

For example: "Canis puero cibum dat. Is laborat in agro." means "The dog gives food to the boy. The dog works in the field".

However: "Canis puero cibum dat. Ille laborat in agro." means "The dog gives food to the boy. The boy works in the field".

Thus, ille, unlike the other pronouns makes a previous object into the subject (and vice versa).

#### Examples of the Usage of Ille:

Latin English

Ille est dominus.
He is the master. (ille as pronoun)

Ille dominus est malus.
That master is bad. (ille as adjective)

Illam videt
He sees her. (or 'she sees her' - illam as pronoun)

Illam puellam videt
He (or she) sees that girl (illam as adjective).

#### Declension of Is, ea, id: (personal pronouns w/ translations)

Singular

Case Latin English

M F N M F N

Nominative
is
ea
id
he
she
it

Genitive
eius
his
her, hers
its

Dative
eī
to him
to her
to it

Accusative
eum
eam
id
him
her
it

Ablative
eō
eā
eō
by/with him
by/with her
by/with it

Plural

Case Latin English

M F N M F N

Nominative
ei
eae
ea
they, those

Genitive
eōrum
eārum
eōrum
their, theirs, of those

Dative
eīs, iīs
to them, to those

Accusative
eōs
eās
ea
them, those

Ablative
eīs, iīs
by, with, from them, those

Like ille, is can be used as a form of a pronoun.

#### Examples of the Usage of Is

Latin English

Is est dominus.
He is the master. ("is" as pronoun)

Is dominus est malus.
The master is bad. ("is" as adjective)

Eam videt.
He sees her. (or 'she sees her', "eam" as pronoun)

Eam puellam videt.
He (or she) sees the girl. ("eam" as adjective)

#### Declension of the Relative pronoun qui, quae, quod: (meaning who, which, he)

Singular

M F N M F N

Nominative
quī
quae
quod
who
which

Genitive
cuīus
whose
of which

Dative
cuī
to whom
to which

Accusative
quem
quam
quod
whom
which

Ablative
quō
quā
quō
by, with, from whom, which

Plural

M F N M F N

Nominative
quī
quae
quae
who
which

Genitive
quorum
quarum
quorum
whose
of which

#### Uses of the Relative Pronoun

The relative pronoun takes on the case depending on the function it serves in the relative clause. For example, in the sentence "He sees the man who has a slave," "who" is translated as nominative because it is the subject of the clause "who has a slave." The antecedent (noun to which the pronoun refers) is usually before the relative clause.

#### Examples of the Usage of the Relative Pronoun

  1. _Virum [videt](http://en.wiktionary.org/wiki/videre#Latin) (he/she sees) **qui** [servum](http://en.wiktionary.org/wiki/servus#Latin) (servant) [habet](http://en.wiktionary.org/wiki/habere#Latin) (he/she has)._

    He sees the man **who** has a slave
  2. _**Ille** est [vir](http://en.wiktionary.org/wiki/vir#Latin) cujus servus est [malus](http://en.wiktionary.org/wiki/malus#Latin)._

    **That'**s the man whose slave is bad.
  3. _Quis **[eum](http://en.wiktionary.org/wiki/is#Latin)** videt?_

    Who sees **him**?

#### Declension of hic, haec, hoc (meaning "this")

Singular

Masculine Femine Neuter

Nominative
hic
haec
hoc
this

Genitive
huius

Dative
huic

Accusative
hunc
hanc
hoc

Ablative
hōc
hāc
hōc

Plural

Masculine Femine Neuter

Nominative
hī
hae
haec
these

Genitive
hōrum
hārum
hōrum

Dative
hīs

Accusative
hōs
hās
haec

Ablative
hīs

N.B. Hic as an adverb that means 'here'. N.B. Hic can also be used as a pronoun.

#### Example of the Usage of Hic

Latin English

'**Hic'** servus, non ille, est malus.
This slave, not that one, is bad.

  


# Chapter 1 Verse

# Latin I prose

**Lesson Vocabulary**

Latin English

**fulgeo, -ere**
**to shine**

**aperio, -ire**
**to open**

**dormio, -ire**
**to sleep**

**habeo, -ere**
**to have**

**semper**
**always**

**tempto, -are**
**to try**

**dico, -ere**
**to speak, say**

**femina**
**woman**

**facio, -ere**
**to make**

**ecce!**
**look!**

**velle:**  
volo  
vis  
vult  
volumus  
vultis  
volunt
**to wish, want:**  
I want  
you want  
he/she wants  
we want  
you want  
they want

**turba**
**crowd**

**attonitus**
**astonished**

**tantus, -a, -um**
**so great**

**susurro, -are**
**to whisper**

**patefacio, -ere**
**to open, disclose**

**rideo, -ere**
**to laugh**

The following is a nice easy short story for the Latin novice:

* * *

### Lucius ad forum it

Sol fulget. Lucius oculos aperit. Videt uxorem suam, Octaviam. Octavia dormit. Ergo, Lucius ad forum it.

Lucius multos amicos habet. Unus ex amicis Claudius est. Claudius semper in foro est. Claudius temptat dicere cum feminis, quod Claudius multas feminas amat. Multae feminae, tamen, Claudium non amant.

Lucius ad forum ambulat. Multos Romanos videt. Unus Romanorum ad cives orationem facit. Est Claudius!

"Ecce! Ecce!" dicit Lucius. Lucius vult dicere cum amico. Claudius, tamen, dicit ad turbam.

"Amicus meus, Lucius" dicit, "hominem necavit."A

Lucius anxius respondet, "Quid dicis, amice?"

Claudius est attonitus. Dicit, "Te non video, mi Luci..."

Lucius respondet, "hominem non necavi! Cur tanta dicis?" Claudius sussurat, "Volo videriB fortissimus, amice. Feminae te amant. Me doletC."

Lucius omniaD turbaeE patefacit.

Multae feminae ad Claudium misserimum rident. Mox, etiam Claudius ad se ridet.

  


* * *

  * A _Necavit_ is the perfect form of _necare_, meaning "he killed." For more, check out the next chapter.
  * B _Videri_ means "to appear," (or more literally, "to be seen") and is the passive infinitive of _video_. There is more on that in chapters 2-4.
  * C _Me dolet_ means "makes me suffer".
  * D _Omnia_ means "everything".
  * E _turbae_ is the dative case of "turba", meaning "to the crowd".

* * *

## Chapter 2: Complicated Sentences

  


# The Imperfect Tense

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Imperfect Active Indicative

The imperfect is a construct like:  
**I was seeing.**  
In Latin it would look like this:  
**Videbam.**

English has a similar construct called progressive past. Actions seem incomplete, and so the imperfect label. For example, "I was running," "We were sailing," "They were calling." Note that 'to be' is always there. Latin, however, would sometimes use imperfect like simple past; accordingly, "We were sailing" could be translated as "We sailed." Other translations of imperfect can be used to/kept such as "We used to sail/We kept sailing."

Regardless of language, the concept of an imperfect is important. Imperfect is called imperfect for a reason - in Latin, the verb "perficere" means to finish/complete, which is what perfect is from. Thus, imperfect, in the grammatical sense, means not finished - that the action could be or could not be completed. Perfect instead means it has been finished - I saw. You have already seen, and it is now completed. I was seeing implies that the action is not yet completed.

The perfect tense, which we will learn later, is a more immediate reference to the past. The name, imperfect, helps you remember its use: in situations where you can't say when an event started or ended or happened, you must use the imperfect.

In situations where you can know when an event started or ended or happened, use the perfect.

You conjugate the imperfect tense this way: verb + ba + personal ending

The endings for imperfect are:

Sg.  
1\. **-bam**  
2\. **-bas**  
3\. **-bat**  
Pl.  
1\. **-bamus**  
2\. **-batis**  
3\. **-bant**

Note that the only thing we add are ba + the personal endings (the same as in the present tense) to the infinitive stem. This gives us the imperfect conjugation.

Note that in third and fourth conjugations, you will have to form it differently. There is *no* rule to explain this, it just is, although there are memorization techniques that can help.

ven_i_re is 4th conjugation and is formed like: veniebam veniebas veniebat veniebamus veniebatis veniebant

For third conjugation, an example used in some textbooks/study guides is: capere (to capture or seize)

capiebam capiebas capiebat capiebamus capiebatis capiebant

Note that it is easiest to think of what the endings -ere and _i_re lack. The imperfect -ba + the personal ending, which we can call the imperfect conjugation, must be prefixed by ie.

**Lesson Vocabulary**

Latin English

**amo, amare**
**to love**

**moneo, monere**
**to warn**

**vinco, vincere**
**to win, defeat**

**capio, capere**
**to capture, seize**

**pello, pellere**
**to drive**

**sedeo, sedere**
**to sit**

**lego, legere**
**to read**

**adsum, adesse**
**to be present**

**emo, emere**
**to buy**

**tristis, triste**
**sad**

**redeo, redire**
**to return, go back**

**cena, -ae**
**dinner**

**paratus, -a, -um**
**ready**

**mater, matris**
**mother**

**paro, parare**
**to prepare**

A few examples:

**amabam** \- **I was loving** (A-conjugation--1st)  
**monebatis** \- **You were warning [object/personage]** (of something negative) (Pl.) (2nd Conjugation)  
**vinciebamus** \- **We were defeating** (long I-conjugation--3rd conjugation)  
**capiebant** \- **They were catching** (short I-conjugation--3rd conjugation)  
**pellebat** \- **She/he/it was propelling** (drive something (not a vehicle), propel something) (consonantic conjugation)

(Wiki-reading tips: See discussion. Some of the above may be unclear, however the clarifying '--' and '/' indicate verification. We may not know what the original author intended, but we know what conjugations the examples are.)

**Conjugation in the Imperfect tense**

1st
2nd
3rd
mixed
4th
Irregular

Infinitive:
amare
sedere
legere
capere
venire
ire
velle
esse

Singular

1st person:
amabam
sedebam
legebam
capiebam
veniebam
ibam
volebam
eram

2nd person:
amabas
sedebas
legebas
capiebas
veniebas
ibas
volebas
eras

3rd person:
amabat
sedebat
legebat
capiebat
veniebat
ibat
volebat
erat

Plural

1st person:
amabamus
sedebamus
legebamus
capiebamus
veniebamus
ibamus
volebamus
eramus

2nd person:
amabatis
sedebatis
legebatis
capiebatis
veniebatis
ibatis
volebatis
eratis

3rd person:
amabant
sedebant
legebant
capiebant
veniebant
ibant
volebant
erant

### Exercises

Translate from Latin to English

1\. dum sol fulgebat, puer ambulabat ad forum  
2\. in foro multus cibus aderat et femina cibum vendebat  
3\. puer cibum emere volebat sed satis pecuniae (_enough money_) non habebat  
4\. puer se vertit (_turned (lit. himself) around_) et tristis domum rediebat  
5\. sed ubi domum rediit (_returned_) cena parata erat quod mater semper cenam parat

  


# The Genitive and Dative Cases

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Noun Tables

**1st declension**
**2nd declension**

**-a**
**-us/er**
**-um (neuter)**

_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_

nominative
puell**-a**
puell**-ae**
serv**-us**/pu**er**
serv**-ī**
bell**-um**
bell**-a**

genitive
puell**-ae**
puell**-ārum**
serv**-ī**
serv**-ōrum**
bell**-ī**
bell**-ōrum**

accusative
puell**-am**
puell**-ās**
serv**-um**
serv**-ōs**
bell**-um**
bell**-a**

dative
puell**-ae**
puell**-īs**
serv**-ō**
serv**-īs**
bell**-ō**
bell**-īs**

## The Genitive

The genitive case is a descriptive case. The genitive case describes the following features of the described noun:

  * Possession e.g. The dog of Marcus _or_ Marcus's dog (canis Marcī)
  * Origin e.g. Marcus of Rome (Marcus Romae)
  * Relation e.g. A thing of beauty (rēs pulchrae)
  * Quantity e.g. A gallon of water
  * Quality e.g. Day of wrath (diēs irae)

Quite simply, a word in the genitive case is translated with the preposition "of". Note that Latin does not have a separate form for the possessive genitive (_Marcus's dog_ vs _The dog of Marcus_), as English does. A word in the genitive case showing possession can be translated either way.

### Latin Examples

Latin
English

canis
puerī malī
est
bonus
The dog
of the bad boy
is
good

nominative noun
genitive
verb
nominative adj.
nominative noun
genitive
verb
nominative adj.

Latin
English

canis
puerōrum malōrum
est
bonus
The dog
of the bad boys
is
good

nominative noun
genitive (plural)
verb
nominative adj.
nominative noun
genitive
verb
nominative adj.

### Exercise 1

Indicate the word in the genitive:

  1. Flavia's dog is good.
  2. The man has his mother's good taste.
  3. Māter Flāviae est domina.
  4. The sword of justice is swift.

## Agreeing with the Adjectives

When adjectives are used to describe nouns in the genitive case, they must have the same case, number, and gender as the noun to which it refers.

### Example

A road of beautiful Rome → Via Romae pulchrae.
    If we look at the bare necessities, namely nouns, in this phrase, then we get "road of Rome," which is translated as "via Romae." Now, let's look at the adjective: beautiful (_pulchra_). Its antecedent (the noun it modifies) is Rome. Since Rome is in the genitive case, _pulchra_ also needs to be in the genitive case. Both are already feminine, so we don't need to change that.
    To make _pulchra_ in the genitive singular case, we replace the final "-a" with a "-ae," and we get _pulchrae_.

It's that simple.

## The Dative

The dative case, also known as the indirect object case indicates:

  * For whom, e.g., I made this car **for him**.
  * To whom, e.g., I gave this car **to him**.

Latin does not distinguish between "to" or "for", though this is sometimes the case in English:

  * I made this car **for him**. ↔ I made **him** this car.
  * I gave this car **to him**. ↔ I gave **him** this car.

### Example 1

He
made
the desk
for
his friend

nominative noun
verb
accusative
dative prep.
dative

'For' is the preposition indicating a dative. 'For' can be used in some other constructs. To determine whether it is dative, analyse the meaning of the sentence (see Example 3). Practice will enable you to quickly spot the case of a noun in the sentence without much effort.

### Example 2

_He gave the book **to John**_; _He gave **to John** the book_; or _He gave **John** the book_.

This demonstrates how English can use prepositions to change word order and even 'presume' a certain preposition exists that has been left out, giving a dative construct.

### Latin Examples

Latin
English

Donō
amīcō meō[[1]](Print_Version.html#cite_note-1)
donum.
I gave
my friend
a gift.

verb
dative noun/adj. pair
accusative
verb
dative noun/adj. pair
accusative

Latin
English

Feret
mihi[[2]](Print_Version.html#cite_note-2)
stylum.
He brought
me
a pen.

verb
dative pronoun
accusative
verb
dative pronoun
accusative

  1. [↑](Print_Version.html#cite_ref-1) Note how the word "meus" become "meo" in order to agree with "amico".
  2. [↑](Print_Version.html#cite_ref-2) Note that the pronouns have a dative case as well, which can be reviewed in the chapter on pronouns.

## Exercise 2: Translate into English

Latin English

dō, dāre
to give

reddō, reddĕre
to give back

liber, librī (m.)
book

amīcus, -ī (m.)
friend

scrībō, -ĕre
to write

epistula, -ae (f.)
letter, message

Imperator, Imperatoris (m.)
Emperor

placeo, -ēre (+dat.)
to please, be pleasing to

Note that _placeo_ requires the dative case, as opposed to the accusative case. Verbs such as this are denoted with _(+dat.)_ or similar abbreviations.

EXERCISE • Print Version • Questions

  1. Do librum amico.
  2. Amicus meum librum legit et mihi librum reddit.
  3. Scribo epistulas Imperatori.
  4. Meae epistulae Imperatori placent.

SOLUTION • Latin/Print Version • Questions

  1. I give the book to a friend
  2. The friend read my book and returned the book to me.
  3. I am writing letters to the Emperor.
  4. My letters are pleasing to the Emperor.

## Roman Numerals

The Romans did not use the Hindu-Arabic numerals we use today. They used their own symbols and own numeric system. We still use Roman Numerals today.

Roman Numeral Latin Number English Number Hindu-Arabic Numeral Spanish Number French Number Italian Number Portuguese Number

I
ūnus -a -um
one
1
uno
un
uno
um

II
duo -ae
two
2
dos
deux
due
dois

III
trēs, tria
three
3
tres
trois
tre
três

IV
quattor
four
4
cuatro
quatre
quattro
quatro

V
quinque
five
5
cinco
cinq
cinque
cinco

VI
sēx
six
6
seis
six
sei
seis

VII
septem
seven
7
siete
sept
sette
sete

VIII
octō
eight
8
ocho
huit
otto
oito

IX
novem
nine
9
nueve
neuf
nove
nove

X
decem
ten
10
diez
dix
dieci
dez

XV
quindecim
fifteen
15
quince
quinze
quindici
quinze

XX
viginti
twenty
20
veinte
vingt
venti
vinte

XXV
viginti quinque
twenty-five
25
veinticinco
vingt-cinq
venticinque
vinte e cinco

L
quinquaginta
fifty
50
cincuenta
cinquante
cinquanta
cinqüenta

C
centum
one hundred
100
cien
cent
cento
cem

D
quingentī, -ae, -a
five hundred
500
quinientos
cinq cents
cinquecento
quinhentos

M
mille
one thousand
1000
mil
mille
mille
mil

Note the declensions of the first three numbers. _Nullus_ is the Latin equivalent of zero, for example: _nullam puellam in agro video_ means _I see no girl in the field_.

Nominative Accusative Genitive Dative Ablative

nullus
nullum
nullius
nulli
nullo

nulla
nullam
nullius
nulli
nulla

nullum
nullum
nullius
nulli
nullo

unus
unum
unius
uni
uno

una
unam
unius
uni
una

unum
unum
unius
uni
uno

duo
duos
duorum
duobus
duobus

duae
duas
duarum
duabus
duabus

duo
duo
duorum
duobus
duobus

tres
tres
trium
tribus
tribus

tres
tres
trium
tribus
tribus

tria
tria
trium
tribus
tribus

### Exercise 3

Write the word form of the numbers in the following sentences in the correct case.

  1. **III** homines me salutant
  2. magistro **II** libros reddo
  3. **D** senatoribus multa (_many things_) dico
  4. **III** horas diligenter laboro

  


# The Future Tense

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Future I, Passive

Future active is a tense which, unsurprisingly, refers to something which has not yet happened. The endings are fairly basic, and follow fairly regular rules - however, the future endings used in 1st and 2nd conjugation differ from the endings of 3rd, 3rd-io (not a typo!), and 4th.

For example - "amo, amare" (1st conjugation) would be

Ama bo - I will love  
* Ama bis - You will love  
Ama bit - He/She/It will love  
Ama bimus - We will love  
Ama bitis - Y'all will love  
Ama bunt - They will love  
*

  * 1st person singular and 3rd person plural use bo and bunt, not bi.

Note the B and the BIs - the distinguishing feature of future tense in Latin.

With "venio, venire" (4th conjugation--io), however, the endings are different. In future, this is what they look like:

Veni am - I will come  
Veni es - You will come  
Veni et - He/She/It will come  
Veni emus - We will come  
Veni etis - Y'all will come  
Veni ent - They will come  


[deleted paragraphs go here. deleted to maintain rigorous accuracy, which we will go back to striving for.)

To clarify: ven_i_re, venio.. we know it is 4th conjugation verb and if we look at its first person singular conjugation, we see that it is an io verb, because the conjugation of the first person singular is "ven**i**o". (an io category exists within 3rd and fourth conjugations and is a more general concept which we will briefly introduce here by using venire, venio as an example).

Let's first identify what we know.

We know it is 4th conjugation -io because it ends in _i_re, which tells us that it is 4th conjugation, and io because its nominative singular ends in io (venio). Because it is io, we leave the i in. So, when we are asked (as all textbooks should phrase these **new** questions):

1\. What are the steps to form the future 2nd person conjugation?

We say:

1\. It is better to know more than you need: check the infinitive nominative singular, we now know that it is 4th conjugation io. 2. We now know that we can form the stem: the stem is veni and can then add a personal ending--leaving in the i. We leave in the i because it is io. Because it looks weird, we never leave the i in the future perfect.

What is the form for venire, in the future tense, in the 2nd person?

The answer is venies.

**Conjugation in the Future tense**

1st
2nd
3rd
mixed
4th
Irregular

Infinitive:
amare
sedere
legere
capere
venire
ire
velle
esse

Singular

1st person:
amabo
sedebo
legam
capiam
veniam
ibo
volam
ero

2nd person:
amabis
sedebis
leges
capies
venies
ibis
voles
eris

3rd person:
amabit
sedebit
leget
capiet
veniet
ibit
volet
erit

Plural

1st person:
amabimus
sedebimus
legemus
capiemus
veniemus
ibimus
volemus
erimus

2nd person:
amabitis
sedebitis
legetis
capietis
venietis
ibitis
voletis
eritis

3rd person:
amabunt
sedebunt
legent
capient
venient
ibunt
volent
erunt

  


# The Ablative and Vocative Case

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## The Ablative Case

The ablative case in Latin has 4 main uses:

  1. With certain prepositions, eg. in, cum, sub
  2. Instrumental ablative, expressing the equivalent of English "by", "with" or "using"
  3. Locative Ablative, using the ablative by itself to mean "in", locating an action in space or time
  4. Ablative of separation or origin, expressing the equivalent of English "from"

The different uses of the ablative will be dealt progressively. For a summary of all forms of the ablative, please consult the Appendix.

## Grammar Part 5: The Power of the Ablative Case

Ablative generally indicates position in time and/or space (i.e. when and where). It can also indicate the idea of ways of getting to a location, abstractly or concretely.

### Ablative of Means

#### Exercise

How would you translate "I made the toga by hand"?

  * _**Hint:** You would not (and should not) use the genitive. The case you are studying right now can be used _by itself_ for this goal._
  * _**Hint:** Remember that you won't need to use the pronoun "I," since Latin is based not on word order, but on the endings!_
  * _**Glossary:**_

    "to make" - _Facio_ ("I make"), _facere_ ("to make"), _feci_ ("I made"), _factus_ ("made")
    "toga" - _Toga_, _togae_ feminine
    "hand" - _Manus_, _manus_ feminine (This is fourth declension)

##### Answer

Answer: _Togam manu feci_.

In this case, the word "manu" is in the ablative (see fourth declension list) and thus means "by hand."

#### Exercise

I have my wisdom by means of my teacher.

  * '**Glossary**: 

    "wisdom" - _Sapientia, sapientiae_ feminine
    "to have" - _Habeo_ ("I have"), _habere_ ("to have"), _habui_ ("I had"), _habitus_ ("had")
    "teacher" - _Magister, magistri_ masculine (This is a second declension word, despite the 'r' at the end, like puer.)

##### Answer

Answer: _Habeo sapientiam magistro._

### Ablative of Time

How would you say: _I will arrive at the 5th hour._

'at the 5th hour' is indicating position of time. Thus, it can be put into the ablative case, giving:

_adveniam quinta hora_

In general, therefore, in order to say "In the morning", "At nine O'clock," or "In the tenth year," use ablative. It is generally used to refer to a specific time in which something has, does, or will occur.

Example: I will leave in the night.

Hint: Future tense can be looked up in the appendices of this Wikibook!

Hint: to leave- discedo, discedere; night- nox, noctis(This is a third declension word!)

##### Answer

Answer: Discedam nocte.

Note the simplicity in which Latin translates the six words into simply two. The ending based language completely negates the need for the words "I," "will," "in," and "the."

### Ablative of Place

_Naves navigabant mari._ The ships were sailing on the sea.

The ablative is also useful for showing the location of things, in general where you would use the words on, in, or at. There is an exception for the slightly more archaic locative, which is used with the words _domi_ (from _domus, domus, f._, home), _ruri_ (from _rus, ruris, n._, country [as opposed to city]), and _Romae_ (from _Roma, Romae, f._, Rome), as well as with the names of towns, cities and small islands.

Latin has its own way of handling prepositions depending on the nouns and their cases in the sentence, including the versatile _in_, which can take many different meanings depending upon the case of the object.

## Ablative with prepositions

Here are a few prepositions that can take the ablative (for a fuller list, see the lesson on adverbs and prepositions in the previous chapter):

**Latin**
**English**

_in_[[1]](Print_Version.html#cite_note-3)
in, on

_a/ab_
from

_de_
down from, concerning

_e/ex_
out of, out from

_cum_
with

_sine_
without

_pro_
on behalf of, in front of

_super_[[2]](Print_Version.html#cite_note-4)
upon, above, beyond

_sub_[[3]](Print_Version.html#cite_note-5)
under, beneath

  


  1. [↑](Print_Version.html#cite_ref-3) Means "into" or "against" when used with the accusative
  2. [↑](Print_Version.html#cite_ref-4) Has static meaning when used with the ablative but connotes motion when used with the accusative
  3. [↑](Print_Version.html#cite_ref-5) Usually means "up to" or "up to the foot of" when used with the accusative

As a general rule, when motion is implied, use the accusative, but when location is implied

  


### Example 3

_Servus ex agris venit._

    "The slave came from the fields."

Note: _Ager_ (_ager, agri, m._, field) must take an ablative suffix to match the preceding preposition, in this case _e_/_ex_.

Incidentally, both _ager_ and _campus_ mean "field," but _ager_, like its English derivative "agriculture", connotes a farming field, while _campus_ (think "camping" or "college campus") means "open field." The _Campus Martius_ was a large field in Rome used for military training.

## The Vocative Case

While you will rarely need to ask Lupus where the bathroom is in Latin, you may find yourself reading either quotes or letters in which a person is being directly addressed. The case it will be in is the vocative.

For example, "Hail, Augustus" will appear in Latin as Ave Auguste, and not Ave Augustus.

  
Each declension has its own form of the vocative singular and plural. They are listed in the table below.

Furthermore, in all but the second declension, the nominative and vocative are exactly the same!

Number
First
Second*
Third
Fourth
Fifth

Singular
a
us->e, ius->i, r->r
\--
us
es

Plural**
ae
i
es
us
es

  * In the second declension singular, there are three separate possibilities for the vocative, depending on its nominative ending. Hence, if it is a us word, it will become an e and so forth.

#### Examples for different declensions in the second declension

  * **-us:**

    Lupus ->Lupe (given name, wolf)
  * **-ius:**

    Filius -> Fili (son)
    Horatius-> Horati (given name)
  * **-r:**

    Puer-> Puer (boy)

    _In all cases, the plural vocative is exactly the same as the plural nominative. This extends to those words which are neuter, which always have an 'a' for the nominative and vocative._

#### Examples

  1. Hello, Sextus.(Hello= _Salve_)* 

    Salve, Sext**e**.
  2. Speak, girl! (Speak= _dico, dicere, dixi_)* 

    Dic, puell**a**.
  3. Knee, run!*(Knee= _genu_; run= _curro, currere, cucurri_)* 

    Gen**u**, curre!
  4. Oh, heart, why do you lead me? (Oh-o; heart- cor, cordis-f.; lead-duco, ducere; 

    O, cor! Cur ducis tu me?
  * Note that the first three also require use of the imperative. The imperative is used when ordering or telling someone what to do, e.g.- "Stop," or "Get away from me."

The basic form of the imperative is created by dropping the "re" off of the infinitive form of the verb, as in: Amare, which becomes Ama; at least in the singular active form, which is all that these exercises require. More can be found about this subject in the chapter on verbs.

  


# The 3rd, 4th and 5th declensions

## 3rd, 4th, and 5th Declension Nouns

We have already seen the first two declensions:

**1st declension**
**2nd declension**

**-a**
**-us**
**-um (neuter)**

_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_

nominative
puell**-a**
puell**-ae**
serv**-us**/ pu**er**
serv**-ī**
bell**-um**
bell**-a**

accusative
puell**-am**
puell**-ās**
serv**-um**
serv**-ōs**
bell**-um**
bell**-a**

genitive
puell**-ae**
puell**-ārum**
serv**-ī**
serv**-ōrum**
bell**-ī**
bell**-ōrum**

dative
puell**-ae**
puell**-īs**
serv**-ō**
serv**-īs**
bell**-ō**
bell**-īs**

ablative
puell**-ā**
puell**-īs**
serv**-ō**
serv**-īs**
bell**-ō**
bell**-īs**

* * *

We will now complete the table of nouns with the 3rd, 4th, and 5th declensions. These declensions are more difficult to work with because their nominative and accusative plural forms are identical, as are their dative and ablative plural forms. To distinguish the cases, you must use a very simple key: context. Context will tell you the meaning.

### 3rd Declension Masculine or Feminine (each word has a set gender): _rēx_, m.

3rd declension nouns have two stems: The nominative and vocative singular stem and the stem used for all other cases. Both stems have to be memorized for each noun. Feminine and masculine forms are indistinguishable.

  


3rd Declension Singular Plural

nominative
_rēx_
_rēg-ēs_

accusative
_rēg-em_
_rēg-ēs_

genitive
_rēg-is_
_rēg-um_

dative
_rēg-ī_
_rēg-ibus_

ablative
_rēg-e_
_rēg-ibus_

### 3rd Declension Neuter _i_-stem: _mare_

3rd Declension Neuter Singular Plural

_nominative*_
_mare_
_mar-ia_

accusative
_mare_
_mar-ia_

genitive
_mar-is_
_mar-ium_

dative
_mar-ī_
_mar-ibus_

ablative
_mar-ī_
_mar-ibus_

### Other 3rd Declension Neuter: _litus_

3rd Declension Neuter Singular Plural

_nominative*_
_litus_
_litor-a_

accusative
_litus_
_litor-a_

genitive
_litor-is_
_litor-um_

dative
_litor-ī_
_litor-ibus_

ablative
_litor-ī_
_litor-ibus_

### List of common 3rd declension stem change patterns

Singular Nominative Main stem Main gender Examples

-is
-is
masc/fem
canis, navis, hostis

-s
-is
masc/fem
urbs, rex*, matrix*

-s
-tis
masc/fem
nox*, mons, pons

-o
-onis
masc/fem
legio, auditio, statio

-en
-inis
neuter
carmen, flumen, examen

-or
-oris
masc/fem
amor, timor

-us
-oris
neuter
litus, corpus

-us
-eris
neuter
genus, vulnus

  * regs and matrics, respectively, but the gs and cs both compound into x. The c and g stay in the other cases, hence regis and matricis as their genitives. Nox (gen. noctis) works similarly.

## 4th Declension Masculine/Feminine (each word has a set gender) _gradus_, m.

**4th Declension** Singular Plural

nominative
_grad-us_
_grad-ūs_

accusative
_grad-um_
_grad-ūs_

genitive
_grad-ūs_
_grad-uum_

dative
_grad-uī_
_grad-ibus_

ablative
_grad-ū_
_grad-ibus_

### 4th Declension Neuter: _cornū_

4th Declension Neuter Singular Plural

nominative
_corn-ū_
_corn-ua_

vocative
_corn-ū_
_corn-ua_

accusative
_corn-ū_
_corn-ua_

genitive
_corn-ūs_
_corn-uum_

dative
_corn-ū_
_corn-ibus_

ablative
_corn-ū_
_corn-ibus_

### 5th Declension Masculine/Feminine (each word has a set gender; most are feminine): _rēs_, f.

5th Declension Feminine/Masculine Singular Plural

nominative
_r-ēs_
_-ēs_

vocative
_r-ēs_
_r-ēs_

accusative
_r-ēm_
_r-ēs_

genitive
_r-ēī_
_r-ērum_

dative
_r-ēī_
_r-ēbus_

ablative
_r-ē_
_r-ēbus_

## Exercises

### Exercise 1

Latin English Notes

**villa, -ae**
**farmhouse**
**1st declension feminine**

**mittō, -ere, mīsī, missum**
**send**
**3rd conjugation**

**nomen, nominis**
**name**
**3rd declension neuter**

**maledicō, -dicere, -dīxī, -dictum**
**insult**
**3rd conjugation**

**placeō, -ere, placui, placitum + dat**
**please**
**Can be used as an impersonal verb, eg. _mihi placet_ \+ inf = it pleases me to...**

**quā rē**
**on account of which**

**iste, ista, istud**
**that damn man/woman/thing**
**Declines like _ille, illa, illud_ (that)**

**interficiō, -ficere, -fēci, -fectum**
**kill**
**Mixed conjugation**

**volō, velle, voluī**
**want, be willing**
**The present forms are: _volo, vis, vult, volumus, vultis, volunt_**

**mandō, mandere, mansī, mansum**
**chew on**
**3rd conjugation**

Translate the following:  
  
_Hodiē militēs ad villam meī amīcī mittō. Meō amicō, Marcō Tulliō nomine, mē in Senatū maledicere placet, quā rē istum interficere volō._

    For extra credit, who in the late Republic might have said such a thing?

(The answer should be: Catiline?)

  


### Exercise 2

Translate the following:  
  
_Eheu! Mūs meum pānem mandit. Nunc nihil habeō. Me miserum!_

  


# Irregular Verbs & Revision

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Irregular Verbs

Irregular verbs do not fit in any particular conjugation. Irregular verbs conjugate but not in a predictable manner. An example of an irregular verb that you have met is 'esse'. There are a few others which will be listed in the present indicate active tense below for you to memorise and refer to.

  


Verb
Meaning
ego
tu
is/ea
nos
vos
ei/eae
Imperative sing.
Imp. pl

ire
to go
eo
is
it
imus
itis
eunt
i
ite

esse
to be
sum
es
est
sumus
estis
sunt
es
este

fieri
to become
fio
fis
fit
fimus
fitis
fiunt
fi
fite

velle
to wish
volo
vis
vult
volumus
vultis
volunt
(none)
(none)

malle
to prefer
malo
mavis
mavult
malumus
mavultis
malunt
(none)
(none)

nolle
to be unwilling
nolo
non vis
non vult
nolumus
non vultis
nolunt
noli*
nolite

ferre*
to carry
fero
fers
fert
ferimus
fertis
ferunt
fer
ferte

_The imperatives noli and nolite are used to mean "don't", eg. "nolite ire" = "don't go!"_  
_Sometimes ferre is considered to be an 'o' stem 3rd conjugation verb. For practical purposes ferre is irregular._

## Exercise 1

1\. Copy out this table and translate.

Translate the following sentences:

1\. fero portam. 2. fers portam 3. fert portam 4. ferimus portam 5. fertis portam 6. ferunt portam 7. sum bonus 8. es bonus 9. est bonus 10. sumus bonī 11. estis bonī 12. sunt bonī 13. este bonī! 14. nolī currāre!

Answer the following questions:

15\. What do the irregular verbs have in common with regular verbs? 16. Why do we use 'boni' in question 10, 11, and 12 but 'bonus' in question 7, 8 and 9?

## Exercise 2

Exercises:

1\. Decline the following five nouns in both singular and plural number in the five common cases (nominative, accusative, genitive, dative, ablative):

  


**Singular**

Nominative
nauta
ātrium
servus
dictātor
rēx
cornū
diēs

Accusative

Genitive

Dative

Ablative

**Plural**

Nominative

Accusative

Genitive

Dative

Ablative

2\. Conjugate the verb 'servāre' in both singular and plural number and all three persons.

3\. Conjugate the verb 'esse', in both singular and plural number and all three persons.

4\. Translate:

Nota Bene: Often Latin uses the present to indicate a 'vivid past'. It would be suitable to translate the following passage in the past tense.

Latin English Notes

**heri**
**yesterday**
**_heri_ is an adverb. Don't try to use it as a noun ("Yesterday was a good day")**

**taberna, -ae**
**shop**
**1st declension feminine**

**solea, -ae**
**sandle**
**1st declension feminine**

**sic**
**so, and so, thus**

**solus, -a, -um**
**alone**
**The adverb form (only) is _solum_**

**casa, -ae**
**house, hut**
**1st declension feminine**

**sto, stare, steti, statum**
**stand**
**One of the few irregular first conjugation verbs**

Heri, ad tabernam eō. In tabernā sunt trēs rēs quārum amō duas sōleās et unam mensam. Habeō trēs denariōs, sīc ego emeō mensam sōlum quod sum nōn dīvīnitās. Hodiē, mensa est in casā meā. In triclīnio stat.

  


# Translation Exercise

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Using a Dictionary

To find a Latin word in the dictionary can be difficult. Foremost, Latin verbs are listed using their the 'present indicative 1st person singular active' construct of the verb. Thus, to find the meaning of the verb 'amāre', one must find 'amō' listed in the dictionary. Thus, one must use their wits to determine what the stem and what is the ending of the verb. A bit of searching around in the dictionary may be required. There are a few verbs which are highly irregular which must be learnt such as 'ferō', I carry.

Nouns are usually much easier. They are always given in the nominative singular case. If you see a noun such as 'vōcem', and do not know what it is, do not fret. If you look for 'vōc' in the dictionary, you will not find what you are looking for. 'em' is typically a third declension accusative ending, thus you should be aware that third declension nouns have radically changing stems. Those which have the consonent 'c' usually have the consonent 'x' replacing it in the nominative singular. Thus the nominative singular of vōcem, is vōx. Likewise, 'g' is also often used when shifting from nominative singular cases to other cases. For example, rēx becomes 'rēgem' in the accusative. There are plenty of other simple rules which one learns through experience.

Unconjugatable and indeclinable words are listed 'as is'.

## Exercise 1

### Vocabulary

Latin English Notes

**confessio, -ōnis**
**confession**
**3rd declension feminine**

**liber, libri**
**book**
**2nd declension masculine**

**malus, -a, -um**
**bad**

**de + abl.**
**from, down from, aside; about, concerning**

### Passage

Translate the following passage:

Confessiōnum meārum librī tredecim et dē malīs et dē bonīs meīs deum laudant iūstum et bonum atque in eum excitant hūmānum intellectum et affectum. Interim quod ad mē attinet, hoc in mē egērunt cum scriberentur et agunt cum leguntur. Quid dē illīs aliī sentiant, ipsī viderint; multīs tamen frātribus eōs multum placuisse et placēre sciō.

  


# Imperfect and Future indicative active constructs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

# Imperfect and Future constructs

Warning: Beyond the imperfect, this page cannot is not entirely clear. Do not use it beyond the basic imperfect if you are a first time Latin student. Specific aspects confused me until I got up in the morning. Of course, I never knew them very well anyway.

See discussion for my thoughts on this.

**I have substansially corrected this page. I apologize for my prior errors.**

[Smkatz](http://en.wikibooks.org/w/index.php?title=User:Smkatz&action=edit&redlink=1) 14:14, 13 Nov 2004 (UTC)

I don't believe that it's 3rd conjugation that receives the "ie," but rather only 3rd-io. So, in your example, "vinciebam" ought to be, "vincebam," but "accipiō" will be "accipiebam."

  


## Imperfect Active Indicative

The imperfect is a construct like:  
**I was seeing.**  
In Latin it would look like this:  
**Videbam.**

English has a similar construct called progressive past. Actions seem incomplete, and so the imperfect label. For example, "I was running," "We were sailing," "They were calling." Note that 'to be' is always there. Latin, however, would sometimes use imperfect like simple past; accordingly, "We were sailing" could be translated as "We sailed." Other translations of imperfect can be used to/kept such as "We used to sail/We kept sailing."

Regardless of language, the concept of an imperfect is important. Imperfect is called imperfect for a reason - in Latin, the verb "perficere" means to finish/complete, which is what perfect is from. Thus, imperfect, in the grammatical sense, means not finished - that the action could be or could not be completed. Perfect instead means it has been finished - I saw. You have already seen, and it is now completed. I was seeing implies that the action is not yet completed.

The perfect tense, which we will learn later, is a more immediate reference to the past. The name, imperfect, helps you remember its use: in situations where you can't say when an event started or ended or happened, you must use the imperfect.

In situations where you can know when an event started or ended or happened, use the perfect.

You conjugate the imperfect tense this way: verb + ba + personal ending

The endings for imperfect are:

Sg.  
1\. **-bam**  
2\. **-bas**  
3\. **-bat**  
Pl.  
1\. **-bamus**  
2\. **-batis**  
3\. **-bant**

Note that the only thing we add are ba + the personal endings (the same as in the present tense) to the infinitive stem. This gives us the imperfect conjugation.

Note that in third and fourth conjugations, you will have to form it differenntly. There is *no* rule to explain this, it just is, although there are memorization techniques that can help.

ven_i_re is 4th conjugation and is formed like: veniebam veniebas veniebat veniebamus veniebatis veniebant

For third conjugation, an example used in some textbooks/study guides is: capere (to capture or seize)

capiebam capiebas capiebat capiebamus capiebatis capiebant

Note that it is easiest to think of what the endings -ere and _i_re lack. The imperfect -ba + the personal ending, which we can call the imperfect conjugation, must be prefixed by ie.

A few examples:

**amabam** \- **I was loving** (A-conjugation--1st)  
**monebatis** \- **You were warning [object/personage]** (of something negative) (Pl.) (2nd Conjugation)  
'_vinciebamus **-** We were defeating_ (long I-conjugation--3rd conjugation)  
**capiebant** \- **They were catching** (short I-conjugation--3rd conjugation)  
**pellebat** \- **She/he/it was propelling** (drive something (not a vehicle), propel something) (consonantic conjugation)

(Wiki-reading tips: See discussion. Some of the above may be unclear, however the clarifying '--' and '/' indicate verification. We may not know what the original author intended, but we know what conjugations the examples are.)

## Future I, Active

Future active is a tense which, unsurprisingly, refers to something which has not yet happened. The endings are fairly basic, and follow fairly regular rules - however, the future endings used in 1st and 2nd conjugation differ from the endings of 3rd, 3rd-io (not a typo!), and 4th.

For example - "amo, amare" (1st conjugation) would be

Ama bo - I will love  
* Ama bis - You will love  
Ama bit - He/She/It will love  
Ama bimus - We will love  
Ama bitis - Y'all will love  
Ama bunt - They will love  
*

  * 1st person singular and 3rd person plural use bo and bunt, not bi.

Note the B and the BIs - the distinguishing feature of future tense in Latin.

With "venio, venire" (4th conjugation--io), however, the endings are different. In future, this is what they look like:

Veni am - I will come  
Veni es - You will come  
Veni et - He/She/It will come  
Veni emus - We will come  
Veni etis - Y'all will come  
Veni ent - They will come  


[deleted paragraphs go here. deleted to maintain rigorous accuracy, which we will go back to striving for.)

To clarify: ven_i_re, venio.. we know it is 4th conjugation verb and if we look at its first person singular conjugation, we see that it is an io verb, because the conjugation of the first person singular is "ven**i**o". (an io category exists within 3rd and fourth conjugations and is a more general concept which we will briefly introduce here by using venire, venio as an example).

Let's first identify what we know.

We know it is 4th conjugation -io because it ends in _i_re, which tells us that it is 4th conjugation, and io because its nominative singular ends in io (venio). Because it is io, we leave the i in. So, when we are asked (as all textbooks should phrase these **new** questions):

1\. What are the steps to form the future 2nd person conjugation?

We say:

1\. It is better to know more than you need: check the infinitive nominative singular, we now know that it is 4th conjugation io. 2. We now know that we can form the stem: the stem is veni and can then add a personal ending--leaving in the i. We leave in the i because it is io. Because it looks weird, we never leave the i in the future perfect.

What is the form for venire, in the future tense, in the 2nd person?

The answer is venies.

## Future conjugation

Example: **I will love**:  
**ama_b_o**

  
The table at the end of this page tries to sumamrize the future tense, with both sets of personal endings. As the warning notes, this summary may confuse some.

As an aid to your understanding, this table only applies to the future tense. Do not assume the table is displaying a pattern that is somehow applicable to all of Latin.

(Wiki-reading-tip: This is why they are in the future section, and were not discussed before.)

The A- and the E- conjugation are (relatively) straight-forward. The others are more advanced, and as the warning notes, could confuse a first-time student. Commercial textbooks probably explain it better at this point, although laying their explanation in a table like the one below is well-advised. Leave items marked with a ? in until issues are resolved.

Take a look at the following table:

  


**A**
**E**
**long I (vincere/3rd conj.)**
**short I**
**Consonantic**

ama-**b**o
mone-**b**o
vinci-**a**m
capi-**a**m
pell-**a**m

ama-**b**_i_s
mone-**b**_i_s
vinci-**e**s
capi-**e**s
pell-**e**s

ama-**b**_i_t
mone-**b**_i_t
vinci-**e**t
capi-**e**t
pell-**e**t

ama-**b**_i_mus
mone-**b**_i_mus
vinci-**e**mus
capi-**e**mus
pell-**e**mus

ama-**b**_i_tis
mone-**b**_i_tis
vinci-**e**tis
capi-**e**tis
pell-**e**tis

ama-**b**_u_nt
mone-**b**_u_nt
vinci-**e**nt
capi-**e**nt
pell-**e**nt

The vocabulary mostly consists of verbs, and can easily be looked up in a dictionary. We will give a limited translation below, and the rest, for those who are particularly adept at language learning, can be learned through imersion.

capere (3rd conjugation--short ere): to seize, metaphorically or literally [see dictionary for full explanation]

amare (first conjugation -are): to love

EXERCISE: Can you be your own editor?

monere (what conjugation? 2nd Conjugation Does it change based on the macron over the first vowel on the ending? Yes long ere = 2nd short =3rd[long ere vs. short ere?]

It means to warn like in admonish (an English word that means to scold lightly.)

  


# Chapter 2 Verse

## Using a Dictionary

Foremost, Latin verbs are listed using the **present indicative first person singular active** construct of the verb. For example, to find the meaning of the verb _amāre_, you must find _amō_ listed in the dictionary. Some verbs like _esse_ and _ferre_ are highly irregular and use different stems to form the perfect tenses.

Nouns are usually much easier. They are always given in the nominative singular. If you see a noun such as _vōcem_ and do not know what it is, do not fret. If you look for _voc-_ in the dictionary, you will not find what you are looking for. The ending _-em_ typically belongs to the third-declension accusative; thus, be aware that third-declension nouns have radically changing stems. Those that have the consonant _c_ or _g_ usually have the consonant _x_ in the nominative singular. Thus the nominative singular of _vōcem_ is _vōx_, and _rēx_ becomes _rēgem_ in the accusative singular. There are plenty of other simple rules which you will learn through experience.

Words that do not conjugate or decline (like prepositions and particles) are listed under their only form.

## Exercise 1

### Vocabulary

  1. _affectus, -ūs, m._, goodwill
  2. _confessiō, -ōnis, f._, confession
  3. _dē_, from, about, concerning
  4. _liber, librī, m._, book
  5. _malus -a -um_, evil, bad
  6. _placeō -ēre_ \+ dative, to please (_placuīsse_ is a perfect infinitive)
  7. _filia, -ae f._, daughter
  8. _puella, -ae f._, girl

### Other Difficulties

  1. _quod ad mē attinet_, as far as I'm concerned
  2. _cum scriberentur_, when they were written (imperfect passive subjuntive)
  3. _quid sentiant_, what they think (present subjunctive in indirect question)
  4. _ipsī viderint_, (loosely) they will see in their own way (future perfect)
  5. _eōs placēre sciō_, accusative-infinitive construction for indirect statement: "I know they [the books] please"

### Passage

Translate the following passage:

_Confessiōnum meārum librī tredecim et dē malīs et dē bonīs meīs deum laudant iūstum et bonum atque in eum excitant humānum intellectum et affectum. Interim quod ad mē attinet, hoc in mē ēgērunt cum scriberentur et agunt cum leguntur. quid dē illīs aliī sentiant, ipsī viderint; multīs tamen frātribus eōs multum placuīsse et placēre sciō._

* * *

## Chapter 3: Advanced Sentences

  


# Imperatives

# Imperative

## Positive Imperative

### English

In English (and in Latin), the positive imperative is a command. For example:

  * **Do** it!
  * **Stop**, in the name of love!
  * **Take** out the garbage!

### Latin

In Latin, the imperative singular is found by taking the last two letters off of the infinitive. The six exceptions to this rule are dicere (dic), ducere (duc), facere (fac), velle, malle (infinitives not used) and nolle (noli). Ferre (fer) and esse (es) are often considered irregular due to the lack of a vowel at the end but we can see that applying the rule of removing the last two letters forms the imperatives correctly.

#### Examples:

Run, boy!

    _**Curre**, puer!_[[1]](Print_Version.html#cite_note-6) (from _curro, currere_; to run)

  
Go!

    _**I!**_ (from _eo, ire_; to go)

  
)

  


  1. [↑](Print_Version.html#cite_ref-6) In many cases, the vocative will be used with the imperative, unless the imperative is used in a conversation or at a reader, as in a letter or guide.

#### Questions

**Write out:**

  1. Love me, Octavia! (to love = _amo, amare_)
  2. Come to Rome! (to come = _venio, venire_; Rome = _Roma, Romae, f._)

### Plural

To form the plural imperative in Latin, take the 2nd person plural present form of the verb (eg. amatis, sedetis, regitis, venitis) and replace the is at the end with e. The only exceptions to the rule are velle, malle (imperatives not used) and nolle (nolite). Ferre (ferte) and esse (este) are often considered irregular but applying the rule (fertis -> ferte, estis -> este) correctly forms the imperatives.

Go home, boys!

    _**Ite** domum, pueri._

Stay, all of you!

    _**Manete**, omnes!_

#### Exercises

Write out:

  1. Take them, men! (to take = _adripio, adripere_)
  2. Fear me, children! (to fear = _timeo, timere_; children = _liberi_)

## Negative Imperative

### English

In English, we use the word "don't" for prohibitions, or negative imperatives. For example:

  * **Don't do** it!
  * **Don't say** that!

### Latin

Similarly, in Latin the negative imperative is formed with two words, the imperative of _nolo, nolle_ and the infinitive.

_Nolo_ by itself means "I do not want," but in its imperative it means "do not...!"

_Nolle_ is irregular, and its imperative forms are _noli_ and _nolite_.

#### Examples

Do not fear me!

    _**Noli** me **timere**!_

Don't build the aqueduct there, soldiers!

    _**Nolite** aquaeductum ibi **aedificare**, milites!_

Don't wash the dog, boys!

    _**Nolite**, pueri, canem **lavare**!_

#### Exercises

Translate:

  1. Don't cry, daughter! (to cry = _fleo, flere_)
  2. Don't hurt me, friends! (to hurt = _vulnero, vulnerare_)
  3. Don't go into the water, boys!
  4. Don't hurt them, soldiers! (them = use _eos_, masculine accusative plural of _is, ea, id_)

  


# Active v. Passive Verbs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

A verb's voice shows the relationship between the subject and the action expressed by the verb. Latin has two voices: active and passive.

In the active voice, the subject of the clause performs the verb on something else (the object), e.g., "The girl sees the boy."

In the passive voice, the subject of the sentence receives the action of the verb, e.g., "The boy is seen by the girl."

The personal endings in the active voice are: **-ō**/**-m**, **-s**, **-t**, **-mus**, **-tis**, **-nt**.

The personal endings in the passive voice (present, imperfect, future) are: **-r**, **-ris**, **-tur**, **-mur**, **-mini**, **-ntur**.

In the perfect, pluperfect and future perfect, the passive voice is formed by the fourth principal part plus the proper forms of **sum, esse**. For the perfect tense, use the present forms of **esse**, for the pluperfect use the imperfect forms of **esse**, and for the future perfect use the future forms of **esse**. The fourth principal part, when used in a passive construction, acts as a first-second declension adjective and is declined accordingly.

As stated before, when the passive voice is used, the subject receives the action of the verb from another agent. This agent, when it is a person, is expressed by the preposition **ā**/**ab** plus the ablative case. This construction is called the _ablative of personal agent_. The _ablative of cause_ is used without a preposition when the agent is not a person.

## Examples:

  * Active: _Puella puerum videt._ (The girl sees the boy.)

    

  * Passive: _Puer ā puellā vidētur._ (The boy is seen by the girl.)
    _Puella_ takes _ā_ and the ablative, as it is a personal agent.

  * Active: _Timor virum capit._ (Fear seizes the man.)

    

  * Passive: _Vir a timore capitur._ (The man is seized by fear.)
    _Timore_ is ablative of cause.

  * Active: _Hostēs urbem oppugnābant._ (The enemies were attacking the city.)

    

  * Passive: _Urbs ab hostibus oppugnābantur._ (The city was being attacked by the enemies.)

## Deponent verbs

Some verbs are always passive in form, even though they have an active meaning. For example:

  * filius agricolam **sequitur** \- The son follows the farmer
  * sol **ortus est** \- The sun has risen
  * agricola hostes **verentur** \- The farmers fear the enemies
  * gladio **usus sum** \- I used a sword

Some, called semi-deponent verbs, take on a passive form on only in the perfect. For example:

  * colono **confido** \- I trust the farmer
  * colono **confisus sum** \- I trusted the farmer

Note that some deponent and semi-deponent verbs take the accusative case (eg. vereor, vereri, veritus sum = I fear), some the ablative (eg. utor, uti, usus sum = I use) and some the dative (eg. confido, confidere, confisus sum = I trust). When you first encounter such a verb in Latin, be sure to remember the case of the object the verb is taking along with its spelling and meaning.

  


# Indicative Passive Verbs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

See discussion for a tutorial on the passive voice and how to use it in Latin, including external links which explain future, imperfect, and present indicative passive verb forms.

I consider commercial textbooks to be inadequate, so I do not believe that this article can wait.

  
Here are the conjugations for the imperfect passive tenses. The basic rules for going to passive are:

In the first person, add -r if the active ending is a vowel, otherwise change the final constant to an -r. Examples:

paro (I prepare) -> paror (I am being prepared)  
aperiebam (I was opening) -> aperiebar (I was being opened)  
defendemus (we will defend) -> defendemur (we will be defended)  
tenebimus (we will hold) -> tenebimur (we will be held)  


In the third person, add -ur. Examples:

parat (he prepares) -> paratur (he is being prepared)  
aperiebat (he was opening) -> aperiebatur (he was being opened)  
defendent (they will defend) -> defendentur (they will be defended)  
tenebunt (they will hold) -> tenebuntur (they will be held)  


In the second person, things get more complicated. For the plural, replace "tis" with "mini". Note the exception in "ferre", where "fertis" becomes "fer**i**mini". In the word "ferre", the "rm" letter combination consistently gets separated (ferimus instead of fermus, ferimur instead of fermur and ferimini instead of fermini). For the singular present, take out the active ending, add the thematic vowel (a from -are, e from -ere, i from -ire and nothing from -re, as in ferre) of the verb's infinitive ending and add -ris. Examples:

paras (you prepare) -> par**aris** (you are being prepared)  
tenes (you are holding) -> ten**eris** (you are being held)  
defendis (you are defending) -> defend**eris** (you are being defended)  
audis (you are listening) -> aud**iris** (you are being listened to)  
defendetis (you will defend) -> defend**emini** (you are being defended)  
amabis (you will love) -> amab**eris** (you will be loved)  


Note the -eris ending in the future passive. The future active bo, bis, bit, bimus, bitis, bunt looks like the third conjugation so the passive bor, beris, bitur, bimur, bimini, buntur looks like the third conjugation. The imperfect passive is bar, baris, batur, bamur, bamini, bantur.

**Conjugation in the Present Passive**

1st
2nd
3rd
mixed
4th
Irregular

Infinitive:
amare
terrere
legere
capere
audire
ferre

Singular

1st person:
amor
terreor
legor
capior
audior
feror

2nd person:
amaris
terreris
legeris
caperis
audiris
ferris

3rd person:
amatur
terretur
legitur
capitur
auditur
fertur

Plural

1st person:
amamur
terremur
legimur
capimur
audimur
ferimur

2nd person:
amamini
terremini
legimini
capimini
audimini
ferimini

3rd person:
amantur
terrentur
leguntur
capiuntur
audiuntur
feruntur

**Conjugation in the Imperfect Passive**

1st
2nd
3rd
mixed
4th
Irregular

Infinitive:
amare
terrere
legere
capere
audire
ferre

Singular

1st person:
amabar
terrebar
legebar
capiebar
audiebar
ferebar

2nd person:
amabaris
terrebaris
legebaris
capibaeris
audiebaris
ferebaris

3rd person:
amabatur
terrebatur
legebatur
capiebatur
audiebatur
ferebatur

Plural

1st person:
amabamur
terrebamur
legebamur
capiebamur
audiebamur
ferebamur

2nd person:
amabamini
terrebamini
legebamini
capiebamini
audiebamini
ferebamini

3rd person:
amabantur
terrebantur
legebantur
capiebantur
audiebantur
ferebantur

**Conjugation in the Future Passive**

1st
2nd
3rd
mixed
4th
Irregular

Infinitive:
amare
terrere
legere
capere
audire
ferre

Singular

1st person:
amabor
terrebor
legar
capiar
audiar
ferar

2nd person:
amaberis
terreberis
legeris
capieris
audieris
fereris

3rd person:
amabitur
terrebitur
legetur
capietur
audietur
feretur

Plural

1st person:
amabimur
terrebimur
legemur
capiemur
audiemur
feremur

2nd person:
amabimini
terrebimini
legemini
capiemini
audiemini
feremini

3rd person:
amabuntur
terrebuntur
legentur
capientur
audientur
ferentur

  


# Principal Parts

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Principal Parts

All Latin verbs are identified by four principal parts. By using the four principal parts, one can obtain any and all forms of the verb, including participles, infinitives, gerunds and the like.

Examples of principal parts from verbs of each conjugation:

    1st: _ambulō, ambulāre, ambulāvī, ambulātum_ (to walk)

    2nd: _doceō, docēre, docuī, doctum_ (to teach)

    3rd: _mittō, mittere, mīsī, mīssum_ (to send)

    4th: _audiō, audīre, audīvī, audītum_ (to hear)

For all regular verbs, the principal parts consist of the first person singular present active indicative, the infinitive, the first person singular perfect active indicative, and the supine (or in some texts, the perfect passive participle).

  * Deponent verbs have only three principal parts:

    _patior, patī, passus sum_ (to suffer)

    _ūtor, ūtī, ūsus sum_ (to use)

  * Likewise, semi-deponent verbs have only three:

    _audeō, audēre, ausus sum_ (to dare)

    _gaudeō, gaudēre, gavīsus sum_ (to rejoice)

Some verbs lack fourth principal parts (e.g., _timeō, timēre, timuī, —_; to be afraid); others, less commonly, lack a third in addition (e.g., _ferro, ferre, tuli, latum_; to bring/carry). Others, such as _sum, esse, fuī, futūrus_, may use the future active participle (_futūrus_) as their fourth principal part; this indicates that the verb cannot be made passive.

  


# The Perfect Indicative Tense

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Latin Perfect Active Tense

The perfect tense is used for action that has already been completed. English has two corresponding constructions: present perfect and simple past. The **present perfect** uses the present of "to have" plus the past participle. ("I have sailed to Athens twice." "These women have spoken the truth.") The **simple past** is a separate verb form that indicates a completed action. ("I came, I saw, I conquered.") Another related form, which uses "did" as an auxiliary, is used for emphasis, negation or interrogation. ("I did see you at the Forum, didn't I?")

In Latin, the perfect indicative is equivalent to all of these.

The perfect endings:

Person Singular Plural

1st
_**-ī**_ (_egō_)
_**-īmus**_ (_nōs_)

2nd
_**-istī**_ (_tu_)
_**-istis**_ (_vōs_)

3rd
_**-it**_ (_is/ea/id_)
_**-ērunt**_ (1) (_eī/eae/ea_)

(1) There is an alternative third person plural ending, _-ēre_, used mainly in poetry. For example, _amāvēre_ = _amāvērunt_.

Although these endings apply to all Latin verbs, each verb's stem changes differently in the perfect tense. To find the stem, use the third principal part, which is the first person singular perfect active indicative form of that verb.

  * To conjugate the perfect present, attach the personal ending to the perfect stem.

### Example

  * _amō, amāre, **amāvī**, amātum_; to love, like

    Note that _amāvī_ is the first person singular perfect active indicative. Drop the _-ī_ to get the stem, which is _amāv-_, then add personal endings.

**Singular:**

    _amāv_\- + -_ī_ = _amāvī_ (I have loved.)
    _amāv_\- + -_istī_ = _amāvistī_ (You have loved.)
    _amāv_\- + -_it_ = _amāvit_ (He/She/It has loved.)

**Plural:**

    _amāv_\- + -_īmus_ = _amāvīmus_ (We have loved.)
    _amāv_\- + -_istis_ = _amāvistis_ (You have loved.)
    _amāv_\- + -_ērunt_ = _amāvērunt_ (They have loved.)

Basically, the Perfect indicative active is the perfect tense under a flash name.

## Rules for Finding the Perfect Stem

The perfect stem can often be guessed by knowing the verb's first person singular and infinitive. Here are some rules that perfect stems often follow.

**Conjugation in the Perfect tense**

Conjugation
Perfect First Person Singular
Notes

1st (-are)
-avi
-i
-edi
-avi is used for the overwhelming majority of verbs. Exceptions include iuvare and lavare (iuvi, lavi) and dare (dedi).

2nd (-eo, -ere):
-ui
-i
-si
-ui is the most common but much less so than -avi in the first conjugation. Some verbs, like videre and sedere, become vidi and sedi. . For the -si rule, the letter d at the end of the stem, if present, is dropped and cs and gs compound into x (eg. rideo -> ridsi -> risi).

3rd (-o, -ere):
-i
-si
-idi
Many verbs, like defendere, keep the same perfect stem, so the first person perfect singular becomes defendi. This can create tense ambiguity in the third person singular and first person plural (defendit, defendimus). The -si rule follows the same conventions as the 2nd conjugation(eg. ludere -> ludsi -> lusi, regere -> regsi -> rexi). The -idi rule is used with compounds of dare, which are all third conjugation (eg. reddere -> reddidi, credere -> credidi)

mixed (-io, -ere):
-i
-ivi
-si
For the -i rule, the last vowel in the stem is often changed to e (eg. capere -> cepi, facere -> feci). For the ivi rule, the stem is unchanged (eg. cupere -> cupivi). For the -si rule, just like in the 3rd conjugation, cs and gs compound into x and the changing vowel rule also applies (eg. conspicere -> conspexi).

4th (-io, ire)
-ivi
-ui
Fairly straightforward. eg. audire -> audivi, aperire -> aperui

ire (irreg.)
-ii
All ire compounds (eg. transire, redire, inire) follow this rule.

esse (irreg.)
fui
The perfect of esse is fui, some verbs in the esse family change the perfect slightly (eg. abesse -> afui, posse -> potui)

  


# The Perfect Indicative Passive Verbs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

The perfect passive is an easy tense to form in Latin, and it is also one of the most useful. The verb "to love" in the perfect passive would translate into English as "I was loved".

  


## Forming the Perfect Passive in Latin

In order to form the perfect passive you must be familiar with the principal parts of the verb with which you are working, e.g., _amo, amāre, amāvī, amātum_. The fourth principal part is the **perfect passive participle**.

  * In its neuter nominative form, the perfect passive participle is identical to the nominative supine (a fourth-declension noun whose morphology and usage are very restricted). Be careful not to confuse the two.

To use the perfect passive, first determine the gender and number of the subject of the sentence. For example, in the sentence "The queen was killed by the soldier," _queen_ is the subject. In Latin, _queen_ will be feminine nominative singular (_regīna_).

Now make the participle agree with the subject in gender and number (and case), just as you would with any adjective. As a review, the singular endings for the participle, a first/second declension adjective, are:
    
    
      Masculine: _**-us**_ — (_amātus_)
      Feminine: _** -a**_ — (_amāta_)
      Neuter: _**-um**_ — (_amātum_)
    

The endings for plural nouns are:
    
    
      Masculine: _**-ī**_ — (_amātī_)
      Feminine:  _**-ae**_ — (_amātae_)
      Neuter: _**-a**_ — (_amāta_)
    

These participles by themselves can be translated with "having been", eg. _amatus_ = having been loved. Add a present form of _sum_, and you have the perfect passive, eg. _amatus sum_ = I am having been loved = I have been loved.

## Conjugation of Verbs in the Perfect Passive

### First Conjugation (_amō_, to love)

Person Singular Plural

1st
amātus(/-a) sum
amātī(/-ae) sumus

2nd
amātus(/-a) es
amātī(/-ae) estis

3rd
amātus(/-a/-um) est
amātī(/-ae/-a) sunt

### Second Conjugation (_moneō_, to warn)

Person Singular Plural

1st
monitus sum
monitī sumus

2nd
monitus es
monitī estis

3rd
monitus est
monitī sunt

  


### Third Conjugation (_regō_, to rule)

Person Singular Plural

1st
rectus sum
recti sumus

2nd
rectus es
rectī estis

3rd
rectus est
rectī sunt

  


### Fourth Conjugation (_audiō,_ to hear)

Person Singular Plural

1st
audītus sum
audītī sumus

2nd
audītus es
audītī estis

3rd
audītus est
audītī sunt

### Notes

  1. Remember that the subject **must** agree with the passive participle.
  2. Passive verbs do not take an object. Instead they have an agent or instrument, indicated by the ablative case.

## Examples

_Regina ā milite **interfecta est**._

    "The queen was killed by the soldier."

_Rex ad proelium **est** ā servīs **portātus**._

    "The king was carried to the battle by his slaves."

_Numquam enim ā Pomponiā nostrā certior **sum factus** esse cuī dare litterās possem._ (Cicero, _Ad Atticum_ 1.5)

    "For I was never made aware by our Pomponia that there was someone to whom I could give a letter."

## Exercises

Convert the following sentences with relative clauses into sentences with the same meaning but using past participles.

eg. _Aemilianus vidit urbem quam deleverat_ -> _Aemilianus vidit urbem a se deletam_

  1. colonus exit casam quam vendidit
  2. colonus videt nuntium (_messenger_) quam Romam misit
  3. nuntius colono dedit epistolam quam coloni pater scripserat
  4. colonus gratias egit (_gave thanks_) nuntio quem saepe viderat

  


# Future and Past Perfect Indicative Tenses

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Future perfect

The future perfect tense is used for an action that will have been completed in the future by the time something else has happened.

English example: "I **will have seen** the movie by the time it comes out."

To form the future perfect, take the perfect stem and add the future perfect endings:

_-erō_
_-erimus_

_-eris_
_-eritis_

_-erit_
_-erint_

Note the similarities to the future tense of _sum_, except for the third person plural ending _-erint_[[1]](Print_Version.html#cite_note-7) in place of _-erunt_, which serves as the perfect ending instead.

Hence: **amāverō**, I will have loved; **vīderitis**, you (pl.) will have seen

  


  1. [↑](Print_Version.html#cite_ref-7) _-int_ as an ending is rare; _-erint_ and _sint_ are two of the most common

## Pluperfect

The pluperfect tense is used to describe something in the past that happened before another event in the past.

English example: "I **had graduated** by the time I applied for a job."

To form the pluperfect, take the perfect stem and add the pluperfect endings:

_-eram_
_-erāmus_

_-erās_
_-erātis_

_-erat_
_-erant_

Hence: **amāveram**, I had loved; **vīderātis**, you (pl.) had seen

  


## Examples

_De Acutiliano autem negotio quod mihi **mandaras** (**mandaveras**), ut primum a tuo digressu Romam veni, **confeceram**._ (Cicero, _Ad Atticum_ 1.5)

    "But as to the business of Acutilius that you had entrusted with me, I had already taken care of it when I came to Rome first thing after your departure." Note the relationship of the pluperfect verbs _mandaras_ (_-aras_ is a common contraction for _-averas_) and _confeceram_ to the perfect verb _veni_.

_Ego certe meum officium **praestitero**._ (Caesar, _De Bello Gallico_ IV)

    "I certainly will have prevailed in my duty."

  


# Ablative Absolute and Accusative Infinitive Constructions

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Ablative Absolute

The ablative absolute construction is used in a sentence to provide a background for the main action in the sentence. An ablative absolute is formed with a noun and an adjective or participle in the ablative case.

_**convivis ingressis** ille cenam parat_

**With the guests having entered**, he prepares dinner.

_**viris in taberna bibentibus** feminae diligenter laborabant_

**With the men drinking in the tavern**, the women worked diligently.

_**omnibus ieiunis** multos panes parare debuit_

**With everyone (being) hungry**, he had to prepare lots of bread.

## Accusative Infinitive

The accusative infinitive construction is used to indirectly report speech or thoughts. An accusative infinitive construction is formed by taking the indirect clause and putting the subject in the accusative and the verb in the infinitive.

_ille credit **pueros stultos esse**_

He believes the boys to be fools = He believes **that the boys are fools**.

_magister parentibus dicit **pueros stultos esse**_

The teacher says to the parents **that the boys are fools**.

_colonus uxori dicit **se confectum esse**_

The farmer says to his wife **that he is exhausted**.

In this sentence, note how the reflexive _se_ refers to the main subject of the sentence.

_colonus uxori **dixit** se confectum esse_

The farmer said to his wife that he **was** tired.

Note how esse, despite being a present infinitive, is translated into the past tense. This is because the infinitive uses the action of the main verb, in this case _dixit_ as a reference point instead of the present.

But what about sentences such as "the farmer **says** to his wife that he **worked** diligently"? For those, you need to use the **past infinitive**.

### Overview of infinitives in all tenses

Tense Active Passive Active Passive Active Passive Active Passive

Present
amare
amari
monere
moneri
regere
regi
audire
audiri

Past
amavisse
amatus, -a, -um esse
monuisse
monitus, -a, -um esse
rexisse
rectus, -a, -um esse
audivisse
auditus, -a, -um esse

Future
amaturus, -a, -um esse
amatum iri
moniturus, -a, -um esse
monitum iri
recturus, -a, -um esse
rectum iri
auditurus, -a, -um esse
auditum iri

The sentence "The farmer says to his wife that he worked diligently" would thus translate as:

_colonus uxori dicit se diligenter laboravisse_

The following examples show how different infinitives with the main verb in the past and present would appear in English:

  * colonus uxori dixit se diligenter laboravisse = The farmer said to his wife that he **had worked** diligently.
  * colonus uxori dixit se diligenter laborare = The farmer said to his wife that he **was working** diligently.
  * colonus uxori dixit se diligenter laboraturum esse = The farmer said to his wife that he **would work** (or _was going to work_) diligently.
  * colonus uxori dicit se diligenter laboraturum esse = The farmer said to his wife that he **will work** (or _is going to work_) diligently.
  * nuntius mihi dixit urbem deletam esse = The messenger told me that the city **had been destroyed**
  * nuntius mihi dixit urbem deleri = The messenger told me that the city **was being destroyed**
  * nuntius mihi dixit urbem deletum iri = The messenger told me that the city **would be destroyed** (or _was going to be destroyed_)
  * nuntius mihi dicit urbem deletum iri = The messenger told me that the city **will be destroyed** (or _is going to be destroyed_)

### Translation Exercises

  1. parentis absentibus pueri ludunt
  2. multis hominibus audientibus consul orationem (_speech_) habet
  3. consule loquente multi homines audiunt
  4. agro vendito colonus Romam ingressus est
  5. Antonius civibus dixit Brutum victum iri
  6. Bruti fautores (_supporters_) crediderunt eum victurum esse
  7. illi gaudebant Brutum multas legiones habere
  8. sed paucis post mensibus nuntius venit et dixit Brutum victum esse

  


# Chapter 3 Verse

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

The following poem is written in Hendecasyllabic. It is an introductory, dedication poem written by the poet [Gaius Valerius Catullus](http://en.wikipedia.org/wiki/Catullus).

it is commonly referred to as "Catullus 1" or by its first line.

  


    Cui dono lepidum novum libellum
    arida modo pumice expolitum?
    Corneli, tibi: namque tu solebas
    meas esse aliquid putare nugas.
    Iam tum, cum ausus es unus Italorum
    omne aevum tribus explicare cartis...
    Doctis, Iuppiter, et laboriosis!
    Quare habe tibi quidquid hoc libelli—
    qualecumque, quod, o patrona virgo,
    plus uno maneat perenne saeclo!

* * *

## Chapter 4: The Subjunctive Mood and Complex Sentences

  


# The Subjunctive Mood

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Subjunctives

The Subjunctive is one of the three different moods a Latin verb can take. The two other moods are the Indicative and the Imperative. The subjunctive is perhaps the most common and also most difficult to grasp, and there are a great number of different subjunctive uses.

The subjunctive mainly expresses doubt or potential and so is called 'jussive,' which is from 'iubere' - to command, bid. Whereas the indicative declares "this happened" or "that happened," the subjunctive expresses what could have been or what could be.

Examples

  * "Let me go" and "May I go?" are statements of potential; the speaker is not entirely certain his/her command will be followed.
  * "Were I a king, I would have a golden toilet" expresses what could be true, but is not. Speaker is not a king, and so will not get the toilet.
  * "May the force be with you" expresses the hope/potential that the force (star wars) will be with you. The essential word here is 'may' - "_May_ the force be with you."

"_If_ this _were_ to happen," or "May this happen!" or "I ask you to make this happen" are all possible uses of the subjunctive.

There are four subjunctives: present, imperfect, perfect, and pluperfect. There are no subjunctives in the future tense, which already incorporates an element of doubt.

### The Present Subjunctive

The present subjunctive is similar to the present indicative, except marked by a change of the theme vowel.

_present stem_ \+ _theme vowel change_ \+ _ending_

#### Form

In the present subjunctive, the theme vowel for every conjugation changes; in effect, the first conjugation masquerades as the second conjugation and all the other conjugations take on the appearance of the first.

1st Conjugation
_a_
becomes
_e_

2nd Conjugation
_e_
becomes
_ea_

3rd Conjugation
_e_
becomes
_a_

3rd -io and 4th
_i_
becomes
_ia_

Some ways to remember this are in the following collapsed table.

Show

Sh**e** w**ea**rs **a** g**ia**nt d**ia**mond

W**e** b**ea**t **a** l**ia**r.

W**e** b**ea**t **a**ll l**ia**rs.

W**e** **ea**t **a** fr**ia**r

N**e**ver F**ea**r **a** L**ia**r

L**e**t's **ea**t c**a**v**ia**r.

Sh**e** w**ea**rs **a** d**ia**mond.

W**e** **ea**t c**a**v**ia**r

W**e** F**ea**r **a** l**ia**r

Sh**e** W**ea**rs **a** t**ia**ra

W**e** b**ea**t **a** g**ia**nt.

Sh**e** r**ea**ds **a** d**ia**ry.

Sh**e** w**ea**rs **a** d**ia**mond t**ia**ra.

L**e**t's b**ea**t th**a**t g**ia**nt.

F**e**w F**ea**r F**a**t Fr**ia**rs.

H**e**r Br**ea**sts **a**re g**ia**nt.

Cl**e**m St**ea**ms Cl**a**ms in S**ia**m

### Example Conjugation

_porto, port**a**re, portavi, portatus_ (1st conjugation - to carry)

#### Present Indicative

This is the present active indicative form of _portare_, which has already been covered.

porto
portamus

portas
portatis

portat
portant

Remember the join vowels.

#### Present Subjunctive

The present active subjunctive of _portare_ would be conjugated as follows:

portem
portemus

portes
portetis

portet
portent

Notice:

  * The _-a-_ vowel has changed to an _-e-_.
  * The personal endings _-m, -s, -t, -mus, -tis, -nt_ are used, as is done for regular indicative verbs.

#### Present Subjunctive of Esse

The present active subjunctive of _sum, esse_, the verb "to be", is conjugated as follows:

sim
simus

sis
sitis

sit
sint

Unlike the conjugation of the present active indicative form, the present subjunctive is regular. The same personal endings are affixed to _si-_.

_Present Subjunctive of Posse_

possim
possimus

possis
possitis

possit
possint

  


Translates as... "May (I/You/He/We/You/They) be able"

### Imperfect Subjunctive

The imperfect subjunctive is formed by adding the personal endings _-m, -s, -t, -mus, -tis, -nt_ to the present infinitive (often the second principal part).( or passive endings _-r, -ris, -tur, -mur, -mini, -ntur_. In other words, for

_voco, vocare, vocavi, vocatum_

The imperfect subjunctives are formed thus:

vocarem
vocaremus

vocares
vocaretis

vocaret
vocarent

For deponent verbs, whose second principal part is the passive infinitive (e.g., conari, vereri, pati, expediri) a pseudo present infinitive is used (e.g, conare, verere, patere, expedire; although these forms do not exist as stand-alone infinitives, they actually ARE the singular imperatives for these deponent verbs)

The imperfect subjunctive of the verb to be (sum, esse) is conjugated regularly, as are ALL irregular verbs, e.g.: possem, vellem, nollem, ferrem, irem)

essem
essemus

esses
essetis

esset
essent

## Uses of the Subjunctive

Verbs in the subjunctive mood may assume special meaning in specific constructions.

### Volitive or Optative Clauses

Subjunctives in independent clauses are often translated as volitive/optative (that is, as a "wish".) Volitives/optatives show an intention for an action to occur; e.g. "amet" may be translated in volitive/optative context as "may he love"

#### Hortatory

A suggestion or command in first person(most often plural); e.g. "cedamus" as an hortatory subjunctive is "let us depart"

#### Jussive

A suggestion or command in third person; e.g. "cedat" as a jussive subjunctive is "let her depart"; "deprehendatur"= "Let him be seized"

#### Potential

The potential or possibility of something happening, in any person: (Fortasse) te amem. "Perhaps I may love you."

**All of these Subjunctive types can be used in an independent (main) clause.** Note that all can be translated with "let" or "may"; the differences lie in how English will represent the subjunctive verb:

Wish (Volitive): May we be friends forever! Hortatory (Suggestion): Let us be friends! Jussive (Command): Let them be friends! Potential (Possibility): They may be friends; we may be friends; you may be friends.

### Purpose Clauses

A purpose clause is a dependent clause used, as the name shows, to show purpose. Often initiated by an indicative verb, the clause contains a subjunctive verb in either the present or imperfect tense. Present and imperfect verbs in purpose clauses should be translated with the auxiliary verbs "may" and "might," respectively. For example, "Marcus urbem condidit ut regeret" should be translated as "Marcus built the city so that he would rule." These appear frequently in Latin.

  


# The Uses of the Subjunctive

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)
.The subjunctive mood has several uses in Latin, the most notable of which are: 

  * First Person Exhortations
  * Purpose Clauses
  * Result Clauses
  * Indirect Commands

## First Person Exhortations (Hortatory Subjunctive)

### Definition, Common Usage and Expression in Latin

An exhortation is a statement which expresses a wish. In English, the most common exhortation is "let's go". Other possibilities are "would go", "should go" and "may go". In Latin, these statements are equally as often used and are expressed in the present subjunctive active tense.

### Examples

_Festinemus ad forum_ \- Let's hurry to the forum

_Roma discedamus_ \- Let's leave Rome

_Roma non discedam, nam mea familia ibi vivit._ \- I should not leave Rome, for my family lives there. (Also, "I will not leave" -- the form is ambiguous.)

_Cenemus!_ \- Let us dine!

_Cenarem tecum si laborem perficerem[[1]](Print_Version.html#cite_note-8) \- I would dine with you if I should finish my work._

## Purpose Clauses

### Definition, Common Usage and Expression in Latin

A purpose clause is a clause which expresses that someone did something in order that something else might happen. In English they usually contain the words **in order to** or **so that**. In Latin this concept is expressed by the words **ut** and **ne** followed by a verb in the subjunctive mood. _Ut_ means "so that" or "in order to" and _ne_ means "lest." In purpose clauses, only forms of the imperfect (following the secondary sequence of tenses) and present (for the primary sequence) are used.

### Examples

_Quintus donum Scintillae dedit **ut eum amaret**_ \- Quintus gave Scintilla a gift so that she would love him. (The imperfect subjunctive is used to indicate a "present/future" time relationship with the perfect main verb, with pluperfect being the only other option, indicating a past time relationship).

_Fabius equos domum duxit **ne tempestate timerentur**_ \- Fabius brought the horses home lest they be frightened by the storm.

_Marcus Graeciā fugit **ut matrem suam Romae inveniret**_ \- Marcus fled Greece to find his mother in Rome.

## Result Clauses

### Definition, Common Usage and Expression in Latin

Result clauses state that something occurred as a result of something else happening. For a positive result, use _ut_. For a negative result, use _ut... non_.

### Examples

_Sextus tam iratus erat ut fratrem interficere vellet_ \- Sextus was so angry that he wished to kill his brother.

_Horatia tam laeta erat ut lacrimaret_ \- Horatia was so happy that she cried.

_Caesar tam potus erat ut Galliam oppugnare non posset_ \- Caesar was so drunk that he couldn't attack Gaul.

_Milo tam defessus erat ut in via dormiret_ \- Milo was so tired that he slept on the road.

## Indirect Commands

### Definition, Common Usage and Expression in Latin

An indirect command is a statement like the following: "He ordered her to do x". The English equivalent words are "**to**" or "**that they should**" It can also take the form of "I am ordering you to do x", as opposed to the imperative "DO X!". Several verbs in Latin take the subjunctive mood with indirect commands: 

  1. rogo, rogare, rogavi, rogatum - to ask
  2. persuadeo, persuadere, persuasi, persuasum - to persuade
  3. impero, imperare, -imperavi, imperatum - to order
  4. peto, petere petivi, petitum - to seek, ask for

These verbs use an ut/ne + the subjunctive construction.

### Examples

_Imperator militibus imperavit ut castra caperent_ \- The general ordered the soldiers to capture the camp

_Eum rogo ut navem emat_ \- I am asking him to buy the ship.

_Mater liberis imperavit ne in horto currerent_ \- The mother asked her children not to run in the garden.

## Indirect questions

### Definition, Common Usage and Expression in Latin

The subjunctive is used in indirect questions. For example, the question 'What are you doing?' is direct, while "He asked what I was doing" is indirect. In Latin, the verb in the clause containing the indirect question must be in the subjunctive.

### Examples

_Imperator milites rogat si castra ceperint_ \- The general asks the soldiers if they captured the camp.

_Eum rogo quid faciat_ \- I am asking him what he is doing.

_Magister pueros rogat utrum laborent an ludant_ \- The teacher asks the boys whether they are working or playing.

## Notā bene!

  1. [↑](Print_Version.html#cite_ref-8) Note that in _si_... (if...) clauses, the future perfect is often used where the present is in English. "I shall dine with you if I finish my work" would be "I shall dine with you if I shall have finished my work": _Tecum cenam si laborem perfecero_.

  


# The Subjunctive Imperfect

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

The conjugation of the subjunctive imperfect active follows a simple rule. The verb in its infinitive form, that is, the second principle part, (amare, to love, for example) simply has the subjunctive endings appended onto it as follows:

ego amarem

tu amares

is amaret

nos amaremus

vos amaretis

ei amarent

  
the passive voice is formed by the addition of passive voice endings onto the infinitive stem

  
ego amarer

tu amareris

is amaretur

nos amaremur

vos amaremini

ei amarentur

## Application

The imperfect subjunctive is only used for complex syntactic contructions; cum clauses and indirect questions and the like. Rarely, if ever, does it stand alone.

### Because/Cum

One application is in its use of 'cum' in the sense of 'because' as a clause. e.g.

Diutius cum sustinere nostrorum impetus non possent, Helvetii se in montem receperunt.
    When(Because) the Helvetis could not sustain/resist our attacks for long, they retreated to the mountains.

  


# The Subjunctive Passive Verbs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Passive Subjunctive System

Having examined Lessons 15 and 23, forming the passive subjunctive should be quite simple.

### Present

Modify the verb stem appropriately with a vowel change (as learned in Lesson 15), then add the present passive endings (Lesson 23).

parer
manear
regar
capiar
audiar

pareris
manearis
regaris
capiaris
audiares

paretur
maneatur
regatur
capiatur
audiatur

paremur
maneamur
regamur
capiamur
audiamur

paremini
maneamini
regamini
capiamini
audiamini

parentur
maneantur
regantur
capiantur
audiantur

### Imperfect

The passive endings added to the present active infinitive.

pararer
manerer
regerer
caperer
audirer

parareris
manereris
regereris
capereris
audireris

pararetur
maneretur
regeretur
caperetur
audiretur

pararemur
maneremur
regeremur
caperemur
audiremur

pararemini
maneremini
regeremini
caperemini
audiremini

pararentur
manerentur
regerentur
caperentur
audirentur

  


# The Subjunctive Perfects

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

The conjugation of the perfect subjunctive active consists of: the perfect stem + "eri" + the standard active endings (-m, -s, -t, -mus, -tis, -nt). An example conjugation of the first conjugation verb paro, parāre is as follows:  
parāverim  
parāverīs  
parāverit  
parāverīmus  
parāverītis  
parāverint  


The conjugation of the pluperfect subjunctive active consists of: the perfect stem + "isse" + the standard active endings. An example conjugation of the first conjugation verb paro, parāre is as follows:  
parāvissem  
parāvissēs  
parāvisset  
parāvissēmus  
parāvissētis  
parāvissent  


  


# The Subjunctive Perfect Passive Verbs

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

# Subjunctive Passive Verbs

## Subjunctive Passive Perfect

Subjunctive passive verbs form from the 4th principle part as shown in the example below.

The verb's third principle part, e.g. in the word impedire(to obstruct): impedio, impedire, **impedivi**, impeditus; gains the passive ending for the appropriate person.

  
This is an example of the Subjunctive Passive in the perfect tense. muto, mutare, mutavi, mutatum -- to change

To make the verb into a perfect passive, take the fourth principle part, make it agree with the subject in gender, number, and case, and then add in the appropriate form of esse. In the perfect, we use the present form of esse, and specifically the subjunctive present(sim, sis, sit, simus, sitis, sint.)

For example, Do you know _what has been done to him?_ would be made into: scis quid eum factum sit?
    
    
                _Singular_
    
    
    
               mutatus sim      **I have been changed.**
               mutatus sis      **You have been changed.**
               mutatus sit      **He has been changed.**
    
    
    
                 _Plural*_
    
    
    
               mutati simus     **We have been changed.**
               mutati sitis     **You have been changed.**
               mutati sint      **They have been changed.**
    

  


  * Note well that in the plural, the word "mutatus" becomes "mutati," thus taking on the plural nominitive. Remember that the perfect passive verbs require the fourth participle to agree in gender and number!

  


### Exercises

**In this section, it is only truly necessary to translate the italicized portion. The rest exists in order to make the subjunctive necessary.**

the children were so bad that they _have been scolded._ (Children- Liberi; To scold- vitupero, vituperare, vituperavi)

  


He asked how _I was tricked._(trick-ludo, ludere, lusi, lusus)

  
My parents drove to town so that now _I have been born in a hospital._(born- cresco, crescere, crevi, cretus; Hospital- valetudinarium, valetudinarii-n.)

  


## Subjunctive Passive Pluperfect

The subjunctive passive pluperfect is very similar to the perfect, with the major difference being the way esse is conjugated. In specific, the word esse is simply given the active endings(m,s,t,mus,tis, nt)

  


  
mutavi + **isse** \-->
    
    
                          _Singular_
    
    
    
               mutatus essem    **I had been changed.**
               mutatus esses    **You had been changed.**
               mutatus esset    **He had been changed.**
    
    
    
                 _Plural*_
    
    
    
               mutati essemus   **We had been changed.**
               mutati essetis   **You had been changed.**
               mutati essent    **They had been changed.**
    

### Exercises

In these exercises, only the italicized parts require translation. The rest exist to make the subjunctive necessary. Remember, the subjunctive is not used in any but complex sentences or other rare circumstances.

Ovid wrote so much in the Metamorphoses that _his hand had been changed into stone._

  


# The Gerund and Participles

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

# Participles

**Participles** are verbs which function grammatically like adjectives. English, aided by auxiliary participles, is able have participle phrases in many tenses. Latin has participles that do not have auxiliary supplementary participles. This limits the usage of the participle in Latin, according to some wiki-scholars of Classical Studies.

**_Example 1_**

**English**
(the) walking
man

**Latin**
ambulans
vir

**Present Participle**
**Substantive**

## Present Active Participles

Present participles are formed by adding -ns to the stem of the verb.

**Forming the Present Imperfect Participle**

1st Conjugation
**Infinitive:** amare  
**Stem:** ama  
**Present Imperfect Participle:** amans

2nd Conjugation
**Infitive:** monere  
**Stem:** mone  
**Present Imperfect Participle:** monens

3rd Conjugation
**Infinitive:** regere  
**Stem:** rege  
**Present Imperfect Participle:** regens

4th Conjugation
**Infinitive:** audire  
**Stem:**audi  
**Present Imperfect Participle:**audiens

Present Participles are declined like 3rd declension adjectives. In cases besides the nominative, the -s becomes -t.

Examples:

1\. ferens, ferentis 2. capiens, capientis 3. ens, entis

### Exercises

Form the Present Participle and translate of the following Latin verbs:

  * meto, messui, messum, ere
  * metuo, metum, ui, ere
  * milito, avi, atum, are
  * postulo, avi, atum, are
  * sulco, avi, sulcum, are
  * iacio, ieci, iactum, ere

### Uses

The examples will show participles of the verb _amo, amare, amavi, amatum_ (to love).

  * **present active**: base + 'ns.' This forms a two-termination 3rd declension adjective. In the case of _amare_, the participle is _amans, amantis_ (loving).
  * **perfect passive**: fourth principle part, with appropriate first or second declension endings: _amatus, -a, -um_.
  * **future active**: fourth principle part, minus 'm', add 'rus, -a, -um' This forms a 1st-2nd declension adjective: _amaturus, -a, -um_ (about to love).

In deponent verbs, the perfect passive participle is formed in the same way as in regular verbs. However, since the nature of the deponent verb is passive in form and active in meaning, the participle is translated actively.

Remember that participles are adjectives, and therefore must be declined to agree with the noun which they modify in case, number and gender.

## Gerund

The gerund is a verbal noun which is used to refer to the **action** of a verb. For example: ars **scribendi** = the art of **writing**. The gerund is declined as a second declension neuter noun. It is formed by taking the present stem and adding -ndum.

**Verb**
amo, amare
video, videre
rego, regere
capio, capere
audio, audire

**Gerund**
amandum
videndum
regendum
capiendum
audiendum

  


#### Meanings of the gerund

  * Genitive: ars legendi - The art of reading / to read
  * Accusative: ad puniendum - to punish, for punishing
  * Ablative: saepe canendo - through frequently singing; in legendo: while reading
  * Ablative with _causa_: puniendi causa - in order to punish

## Gerundive

The gerundive is a 1st/2nd declension adjective formed the same way as the gerund, and its function overlaps somewhat with the gerund, but otherwise differs. The literal translation of the gerundive is with "to be", eg. defendendus, -a, -um = "to be defended".

  * Accusative: ad ludos fruendos - to the games to be enjoyed - to enjoy the games (Note that if this were a gerund construction, it would be ad lud**is** fruend**um** since _fruor, -i_ takes the ablative case. In the gerundive construction, both noun and gerundive are governed by the preposition _ad_)
  * Gerundive of obligation: Carthago delenda est - Carthage is to be destroyed - Carthage must be destroyed. Note that if there is an object (eg. Carthage is to be destroyed **by us**), it goes into the dative case.

# Exercises

1\. Convert the following subjunctive purpose clauses into gerund or gerundive clauses with the same meaning. For example: militabat ut patriam defenderet -> militabat ad patriam defendendum _or_ militabat patriam defendendi causa _or_ militabat ad patriam defendendam. Try to use each construction twice.

  * casam exit ut patrem adiuvet
  * mater in casam rediit ut cenam pararet
  * hostes vincebant ergo scutum abieci (_I threw away my shield_) ut celerius fugerem
  * in silvas currimus ut nos celemus
  * hostes in silvas ineunt ut nos invenirent
  * Brutus Iulium Caesarem occidit ut Romam liberaret

2\. Translate into Latin. For example: I must see the temple -> templum mihi videndum est

  * We must build a large city.
  * Julius Caesar must lead an army into Greece.
  * Scipio (_Scipio, -ionis_) must defeat Hannibal.

  


# Conditional Clauses

## Conditional Clauses

Conditional clauses in English and Latin have the general form:

**if** (condition clause) (result clause)

Or:

(result clause) **if** (condition clause)

For example:

  1. If I see anyone, I'll tell you.
  2. If he was sleeping, you should not have knocked.
  3. I cannot hear you if I'm sleeping.
  4. I would have been sad if I had not won.

There are 3 types of conditional clauses in Latin:

  1. Simple Fact (Present or Past)
  2. Contrary to Fact (Present or Past)
  3. Future (More or Less Vivid)

### Simple Fact Conditionals

Simple fact conditionals in Latin have the general form:

si (condition clause in the present indicative) (result clause in the present indicative)

Or:

si (condition clause in the imperfect/perfect indicative) (result clause in the imperfect/perfect indicative)

##### For example:

_si diligenter laboras, bonus puer es_

If you are working diligently, you are a good boy.

_si dominum adiuvabas, bonus servus eras_

If you were helping your master, you were a good slave.

### Contrary to Fact Conditionals

Contrary to fact conditionals are used if the condition clause is known to be false. For example:

If you weren't playing during class, you would be a good boy (but you were playing, so you aren't a good boy).

Contrary to fact conditionals have the general form:

si (condition clause in the imperfect subjunctive) (result clause in the imperfect subjunctive)

Or:

si (condition clause in the pluperfect subjunctive) (result clause in the pluperfect subjunctive)

##### For example:

_si matrem adiuvaret, cena parata esset_

If he were helping his mother, the dinner would be ready.

_si patrem adiuvisset, pater matrem adiuvare potuisset_

If he had helped his father, his father would have been able to help his mother.

Note how English uses **would** and **would have** for result clauses, while Latin uses the same tense as in the condition clauses.

### Future Conditionals

Future conditionals are, of course, used to express conditions in the future. For example:

If you help me, I will be done faster.

Future conditionals take the following general form:

si (condition clause in the future or future perfect) (result clause in the future)

Or:

si (condition clause in the present subjunctive) (result clause in the present subjunctive)

##### For example:

_si fortiter pugnaveritis, urbs non delebitur_

If you fight bravely, the city will not be destroyed.

Note how English uses the present tense for the condition clause, while Latin uses the future or future perfect.

_si diligenter laboretis, vobis meridie domum dimittam_

If you were to work diligently, I would dismiss you at noon.

This type of clause, known as the future less vivid (as opposed to the future more vivid which uses the future and future perfect), is used to express more improbable conditions in the future.

  


# Revision

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

**Passive/Subjunctive Tenses**  
Passive is used to describe something like an indirect action affects you - an example is "I was being held". In Latin, it is conjugated through six parts - the present set (present, imperfect, future), and the perfect set (perfect, pluperfect, future perfect). Below is a chart you can use for endings and such.

The present tense through future tenses use the present stem. I'm using the word amo, amare, amavi, amatus - to love, so the present stem is "am".

Present

1st person
amo**r**
amā**mur**

2nd person
amā**ris**
amā**minī**

3rd person
amā**tur**
ama**ntur**

 

Imperfect

1st person
amā**bar**
amā**bāmur**

2nd person
amā**bāris**
amā**bāminī**

3rd person
amā**bātur**
amā**bantur**

 

Future

1st person
amā**bor**
amā**bimur**

2nd person
amā**beris**
amā**biminī**

3rd person
amā**bitur**
amā**buntur**

 

Perfect

1st person
amāt**us**, **a**, **um sum**
amāt**ī**, **ae**, **a sumus**

2nd person
amāt**us es**
amāt**ī estis**

3rd person
amāt**us est**
amāt**ī sunt**

 

Pluperfect

1st person
amāt**us**, **a**, **um eram**
amāt**ī**, **ae**, **a erāmus**

2nd person
amāt**us erās**
amāt**ī erātis**

3rd person
amāt**us erat**
amāt**ī erant**

 

Future Perfect

1st person
amāt**us**, **a**, **um erō**
amāt**ī**, **ae**, **a erimus**

2nd person
amāt**us eris**
amāt**ī eritis**

3rd person
amāt**us erit**
amāt**ī erunt**

  
Hope this is all correct and helps!  


  


# Idioms

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

  * ad unum-to a man
  * aequo animo-contentedly, resignedly, patiently
  * aere alieno premi-to be heavily in debt
  * agere gratias-to thank
  * alius aliam in partem-one in one direction, another in another
  * amico aliquo uti-to be on terms of intimacy with some one
  * animo tenus commoveri-to be moved to the heart

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This page or section is an undeveloped draft or outline.**  
You can help to [develop the work](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&action=edit), or you can ask for assistance in the [project room](http://en.wikibooks.org/wiki/Wikibooks:PROJECTS).

  


# Translation

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

Lesson 20, as a bit of a reward is a little translation excercise from the Gospel of Saint Luke.

**Excercise 1**

**Vocabulary**

_coming soon, at the moment consult your dictionary_

Respondens Simon dixit: "Aestimo quia is, cui plus donavit". At ille dixit ei: "Recte iudicasti". Et conversus ad mulierem, dixit Simoni: "Vides hanc mulierem? Intravi in domum tuam: aquam pedibus meis non dedisti; haec autem lacrimis rigavit pedes meos et capillis suis tersit. Osculum mihi non dedisti haec autem, ex quo intravi non cessavit osculari pedes meos. Oleo caput meum non unxisti; haec autem unguento unxit pedes meos. Propter quod dico tibi: Remissa sunt peccata eius multa, quoniam dilexit multrum: cui autem minus dimittitur, minus diligit." Dixit autem ad illam: "Remissa sunt peccata tua". Et coeperunt, qui simul accumbebant, dicere intra se: "quis est hic, qui etiam peccata dimittit?". Dixit autem ad mulierem: Fides tua te salvam fecit; vade in pace!".

Et factum est deinceps, et ipse iter faciebat per civitatem et castekkyn oaeducabs et evangelizans regnum Dei, et Duodecim cum illo, et mulieres aliquae, quae erant curatae ab spiritibus malignis et infirmitatibus, Maria, quae vocatur Magdalene, de qua daemonia septem exierant, et Ioanna uxor Chuza procuratoris Herodis, et Sussanna et aliae multae, quae ministrabant eis de facultatibus suis.

  


# Chapter 4 Verse

Haec est fabula De Faciebus Iani. Ianus, ut dicebatur, erat unus deorum, cui facies duae erant. Altera earum enim in futura et altera in praeterita prospiciebat.

Apollo ei olim sic dixit: "Nonne tibi facies est, qua tempus praesens spectes?" Et paulo post Ianus ita respondit:

"Mundus - orbis terrarum cyclus est similiter ac tempus est cyclicum. Et initium omnium et finem video. Omnia prospicio aeternusque sum, neque opus est porro videre, quae palam iaceant."

Diu cogitavit Apollo de verbis Iani hominesque acutissimā mente in omni orbe terrarum conquaesivit eo consilio, ut ipse tam sapiens ut Ianus fieret. Postea cum quibusdam illustrissimis viris collocutus est, quo sapientior esset. Eo facto tamen unus eorum, cui Minervus nomen, Apollinem monuit, ne summam quaereret sapientiam, quam novisse nullum alium quam Ianum oportebat. Revenit autem Apollo ad Ianum eumque, ut veritatem cognosceret, ea summa rogavit.

"Intellegisne omnino quid roges?" inquit Ianus, "Si dis par fueris, omnibus iuribus privari possis."

Itaque Apollo cognovit sapientissimum omnium fuisse, a quo monitus est.

  
Translation below:

  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


  


This is the story of the faces of Janus. Janus, as it used to be said, was one of the gods who had two faces. It was that one spied into the future while the other into the past.

Apollo once had said to him, "Have you not a face with which to see the present?" After a few moments, thus spoke Ianus:

"The world is a circle. Time is a circle. I see both the beginning and end of all living things. I am foreseeing and eternal; therefore, it is not necessary for me to see that which is lying out of sight."

Apollo thought about these words for a very long time, and thus, that he might become wise like Janus, he sought the keenest minds of the land. He then was speaking with some great men that he might become wiser. However, one, whose name was Minervus, warned him not to seek the ultimate/highest truth because it may only be known by Janus. But he returned again to ask Janus that he might obtain the truth.

"Do you even know for what you're asking? If you enter onto the same level (of the Gods), all your rights might be snatched from you," said Janus.

And so Apollo knows now that the same man who had warned him was the wisest of all.

  


# Verse from the Gospels

< [Latin](http://en.wikibooks.org/wiki/Latin)

## A Verse From the Gospel of St. Luke

Respondens Simon dixit: "Aestimo quia is, cui plus donavit". At ille dixit ei: "Recte iudicasti". Et conversus ad mulierem, dixit Simoni: "Vides hanc mulierem? Intravi in domum tuam: aquam pedibus meis non dedisti; haec autem lacrimis rigavit pedes meos et capillis suis tersit. Osculum mihi non dedisti haec autem, ex quo intravi non cessavit osculari pedes meos. Oleo caput meum non unxisti; haec autem unguento unxit pedes meos. Propter quod dico tibi: Remissa sunt peccata eius multa, quoniam dilexit multrum: cui autem minus dimittitur, minus diligit." Dixit autem ad illam: "Remissa sunt peccata tua". Et coeperunt, qui simul accumbebant, dicere intra se: "quis est hic, qui etiam peccata dimittit?". Dixit autem ad mulierem: Fides tua te salvam fecit; vade in pace!".

* * *

## Chapter 5: Review

  


# Revision

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

* * *

# What is Latin?

_Parts of this introduction were taken from [The Latin Language](http://en.wikipedia.org/wiki/en:Latin) on the [Wikipedia](http://en.wikibooks.org/wiki/Main_Page)._

Latin was the language originally spoken in the region around the city of Rome called Latium. It gained great importance as the formal language of the Roman Empire.

All Romance languages descend from a Latin parent, and many words in [English](http://en.wikibooks.org/wiki/English) and other languages today are based on Latin roots. Moreover, Latin was a _lingua franca_, the learned language for scientific and political affairs in Europe, for more than one and a half thousand years, being eventually replaced by [French](http://en.wikibooks.org/wiki/French) in the 18th century and English by the middle of the 20th. Latin remains the formal language of the Roman Catholic Church to this day, and as such is the official national language of the Vatican.

Romance languages are not derived from Classical Latin, the language spoken by Caesar and Cicero, but rather from Vulgar Latin, the language spoken by the common people, or _vulgus,_ of Rome. Classical Latin and Vulgar Latin (Romance) differ (for example) in that Romance had distinctive stress whereas Classical had distinctive length of vowels. In [Italian](http://en.wikibooks.org/wiki/Italian) and Sardo logudorese, there is distinctive length of consonants and stress, in [Spanish](http://en.wikibooks.org/wiki/Spanish) only distinctive stress, and in French even stress is no longer distinctive.

Another major distinction between Classical and Romance is that modern Romance languages, excluding [Romanian](http://en.wikibooks.org/wiki/Romanian), have lost their case endings (suffixes at the end of the word used in place of prepositions) in most words (some pronouns being exceptions). Romanian is still equipped with several cases (though some, notably the ablative, are no longer represented).

It is also important to note that Latin is, for the most part, an inflected language — meaning that the endings change to show how the word is being used in the sentence.

# Introduction to the Latin Language

## Simple and Compound Words

In Latin, words are either:

  * **simple** (words that consist of only one part). For example:

Latin English

**eo**
**I go**

**fero**
**I carry**

**do**
**I give**

  * **compound** (words that consist of more than one part, for example, a root word combined with a prefix). For example:

Latin English

**abeo**
**I go away**

**transfero**
**I carry across**

**reddo**
**I give back**

## Word Parts

Inflected words (i.e., words having ending- or spelling-changes according to their grammatical functions in the sentence) have a **stem** and a **root.**

**The Stem**

The stem is the part of the word to which various suffixes are added. The final suffix determines either the role of the word in the sentence (for example, when a Roman slave wished to address his _dominus_ (master), he used the vocative form _domine_ \-- equivalent to "O master" in English) or the person involved in the action (for example, "I dominate" may be expressed as "domin-or", and "they dominate" as "domin-antur"). In these cases, _domin-_ is the stem and _-us_, _-e_, _-or_ and _-antur_ are suffixes. The addition of such suffixes is called _inflection_. This is discussed further in the [Summary](Print_Version.html#Summary).

**The Root**

The root is the part of the word that carries the essential meaning. For example the stem of _agito_ (I drive onward) is _agit-_, whose root is _ag_ (do, drive), which is in common to words of similar meaning: _ago_ (I do, drive), _agmen_ (that which is driven, such as a flock), etc. Notice the essential difference between a root and a stem. To the root "ag" has been added a suffix "(i)to-" which denotes frequency of action (so "agit-" means to do or drive more than once, hence "agit-o", I agitate, I keep (something) moving, I urge, I impel).

In contrast, English uses word order more than inflection to determine the function of a word within a sentence. English also uses words like pronouns (I, she, etc.) and prepositions (to, at, etc.) where Latin generally prefers inflexions. Thus "dom-i" (noun -- "at home"), "ag-unt" (verb -- "they do/drive").

**Primitives**

Primitives occur when both the stem and the root are the same. For example, in the word _agere_ (to do, drive) both the stem and the root are the same: "ag-".

**Derivatives**

Derivatives occur when the root or stem is modified. For example, the stem _flamm-_ from the noun _flamma_ has the root "flag" ("blaze"), "nosco" (I know) from the verb "noscere" has the root "gno-" ("know").

**Suffixes**

Latin attaches suffixes ("endings") to stems to turn them into words (most stems and roots cannot be used in sentences without an ending). This inflection is essential to forming Latin sentences. The various suffixes and their translations will be learned in the later lessons.

# Types of Words used in Latin

## Nouns

A noun (Latin: _nomen_) is "something perceived or conceived by the mind."

There are two kinds of nouns: Substantives and Pronouns.

1\. **Substantive** (_nomen substantivum_) is a name simply denoting something perceived or conceived: _psittacus_ \- the parrot, _nix_ \- the snow, _virtus_ \- virtue.

2\. **Pronoun** (_pronomen_) is a word used in place of a _substantivum_, usually when the _substantivum_ is already known: _ea_ \- she, _ille_ \- that man

Nouns have changing endings on the stem (known as declension) and three incidents: number, gender and case. Number concerns whether the thing referred to is singular or plural (and the ending shows this); gender classifies a substantive as masculine, feminine or neuter (this determines how the endings of adjectives and pronouns behave) and case (where the ending must show how the noun fits in to the sentence). Adjectives and Pronouns must agree in all incidents when they refer to a substantive.

## Verbs

Verbs (_verba_) express an action or a state of being, e.g., _ago_ (I do), _dixit_ (he said), _venis_ (you come). "Conjugation" is the term for adding inflections to verb stems to indicate person (first, second or third), number (singular or plural), tense (present, future, imperfect, perfect, pluperfect or future perfect), voice (active or passive), and mood (indicative, subjunctive or imperative).

A verb can be either _finite_ or _infinite_:

1\. **Finite** verbs (_verba finita_) are inflected and have a subject, e.g., I run, you run, he runs, they drive, the computer is turned on.

2\. The **infinite** verbs (_verba infinita_) are not inflected and have no subject, e.g. to run, to drive, to turn on, to have drawn. _Participles_, which are inflected as substantives rather than as verbs, may also be considered infinite, e.g., the _running_ boy.

## Modifiers

1\. **Adjectives** (_adiectiva_) are used to describe nouns. They indicate a quality perceived or conceived as inherent in, or attributed to, something denoted. E.g., _vir _magnus__ (the _great_ man), _puella _pulchra__ (the _fair_ girl)

2\. **Adverbs** (_adverbia_) are similar to adjectives, except that they are used to qualify verbs, adjectives or other adverbs, rather than nouns. In practice, they restrict the meaning of the verb or adjective by specifying how or how much. E.g., _curro _celeriter__ (I run _quickly_), _pugnat _fortiter__ (he fights _bravely_), "_vere_ jucundus est" (he's _really_ nice"), "_incredibile_ callida est" (she's _incredibly_ clever).

## Other

Particles are uninflected words that provide extra meaning.

1\. **Prepositions** (_praepositiones_) are little words which tell you how one thing (noun) is behaving in relation to another thing ("the _duck_ was **near** the **pond**", "_she_ went **towards** the **wood**"). In Latin, the noun that follows a preposition takes a particular ending (called a "case"), depending on the nature of the relationship, or on the nature of the preposition itself. E.g., _ad_ (by), _in_ (in), _sub_ (under). What all this means is that a preposition is a sort of adverb, telling you how something is done. For example, "you go" is a simple statement, but "you go in" suggests that you don't just "go", you go so as to enter something, and so you need a noun for the "something". In English, we might say "you go **into** the house". In Latin, this would be: "**in** domum inis". Notice the form "in domum", which means "into" the house -- you're going into it, you're not yet exactly inside it (the ending -um of "domum" is called "accusative"). When you are inside the house, what you do is "in" the house, which is "in domo" (the ending -o of "domo" is called "ablative").

2\. **Conjunctions** (_coniunctiones_) join together clauses and sentences. E.g., _et_ (and), _atque_ (as well as), _sed_ (but).

3\. **Interjections** (_interiectiones_) are exclamations used to express feeling or to gain attention. E.g., _o!_ (oh!) _eheu!_ (alas!) _ecce!_ (behold!)

## Articles

Latin has **NO articles** (words for 'the' and 'a'). When translating Latin into English, insert a 'the' or 'a' when appropriate.

# Summary

**Parts of Speech**

**Inflected**
**Uninflected**

_Substantives:_ things perceived or conceived
_Adverbs:_ describe adjectives, verbs, and other adverbs

_Adjectives:_ indicate a quality perceived or conceived as inherent of something in the substantive
_Prepositions:_ help nouns define their relations to other nouns

_Pronouns:_ nouns used in place of substantives and adjectives
_Conjunctions:_ Join clauses and sentences

_Verbs:_ mark the beginning of an independent [clause](http://en.wikipedia.org/wiki/clause). The verb in Latin is inflected so that we know the subject ("I learn"), and its tense (to what general or specific time the clause relates to). We call the inflection of a verb **conjugation**
_Interjection:_ exclamation

# Exercises

1\. What is the shared root in the following English words?  


  * actor, reaction, radioactive
  * transfer, fertile, interference

2\. In the following English words, what is the stem and what is the ending?  


  * knights
  * riding
  * horses
  * jumped

3\. What parts of speech are each of the English words in (2), as well as the following:

  * with
  * and
  * because
  * hooray
  * silently
  * never

4\. Answer the following questions about the Latin language:

  * In what area of Italy was Latin originally spoken?
  * Name the two varieties of Latin that existed in antiquity.
  * What major organization still uses Latin today?

  


# Revision

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

* * *

## Pronunciation

Latin pronunciation has varied somewhat over the course of its long history, and there are some differences between Classical Latin, as spoken in the Roman Republic and Roman Empire, and Medieval or Ecclesiastical Latin, as spoken in the Middle ages and in the Catholic Church. This text focuses on the classical pronunciation.

a
/a/, about, between ah and uh, ad is pronounced almost like "odd"

e
/ɛ/, get or bed

i
/ɪ/, hit, pin, in

i
(Before vowel and not accented) /j/, Y as in yes

j
Sometimes used in place of the letter I when making a /j/ sound, as above

o
/ɔ/, on, cot

u
/ʊ/, put, foot

ā
/aː/, father

ē
sounds like saying the letter "A", /eː/, hay

ī
sounds like saying the letter "E", /iː/, eat

ō
sounds like saying the letter "O", /oː/, clover

ae
(Diphthong) sounds like saying the letter "I", /aɪ/, aisle

au
(Diphthong) /aʊ/, brown, how

oe
(Diphthong) /ɔɪ/, oil, boy

ou
(Diphthong) oo

ui
(Diphthong) we

bs
(At the end of word) the B sounds a P

bt
(At the end of a word) the B sounds a P

ch
/kʰ/, pronounced separately as in archaic, not like in church

gn
/ŋn/ han**gn**ail, sin**g n**ow

ph
u**p h**ill, never sounds an F in philosophy

th
Pronounced separately as in po**t h**ole, never like this or theater

c
/k/, always hard as in cat

g
/g/, always hard as in get, never soft like adage

r
Rolled like in the Spanish and Italian languages

s
Always voiceless as in see, never voiced as in ease

v
/w/, equivalent to an English W, never sounding an English V (sounds U as a consonant), some texts will write the "v" as a "u" when it serves as a vowel

x
Equivalent to an English Ks as in box, never like exert

(y)
Rarely exists in Latin except in words borrowed from Greek

(z)
Rarely exists in Latin except in words borrowed from Greek

Note that Latin, as written by the Romans, did not include macrons (the longmarks over long vowels) or the letters J and U. Macrons are used today as pronunciation guides and do not necessarily need to be written. The sound value of the letter U was filled by the letter V, which sounded either /w/ or /ʊ/ depending on context. Modern texts often preserve the V when it is making a /w/ sound and change it to a U when making a /ʊ/ sound. The letter J is sometimes used in modern times (this Wikibook not included) when the letter I is being used in diphthongs.

## Declension Tables

The following tables will be both referenced and explained in all of the following sections, and hence are placed here.

Singular Nouns

Declension (Gender) 1st (F) 2nd (M/N) 3rd (M/F/N) 4th (M/N) 5th (F)

**Nominative**  
Subject
puell**a**
serv**us**
rēx
grad**us**
r**ēs**

**Genitive**  
Possessive
puell**ae**
serv**ī**
rēg**is**
grad**ūs**
r**ēī**

**Dative**  
Indirect Object
puell**ae**
serv**ō**
rēg**ī**
grad**uī**
r**ēī**

**Accusative**  
Object
puell**am**
serv**um**
rēg**em**
grad**um**
r**ēm**

**Ablative**  
Modifies or Limits Verb
puell**ā**
serv**ō**
rēg**e**
grad**ū**
r**ē**

**Vocative**  
Direct Address
puell**a**
serv**e**
rēx
grad**us**
r**ēs**

Note that nouns in the 3rd declension nominative can have any ending, hence why none is given in bold.

Plural Nouns

Declension (Gender) 1st (F) 2nd (M/N) 3rd (M/F/N) 4th (M/N) 5th (F)

**Nominative**
puell**ae**
serv**ī**
rēg**ēs**
corn**ūs**
r**ēs**

## Grammar Part 1: Nouns and Their Role in Sentences

[Nouns](http://en.wikipedia.org/wiki/Noun) in Latin are [inflected](http://en.wikipedia.org/wiki/Inflected_language), which means that endings (also known as [suffixes](http://en.wikipedia.org/wiki/suffix) or _suffices_) are appended to the end of the [stem](http://en.wikipedia.org/wiki/stem) to denote these things:

  1. Number (whether the noun is singular or plural)
  2. [Case](http://en.wikipedia.org/wiki/Declension) of the noun (role of the noun in the sentence)
  3. [Gender](http://en.wikipedia.org/wiki/Grammatical_gender) (the gender of the word - one of masculine, feminine, or neuter)

Most nouns in English can be modified to indicate number (cat versus cats), and many pronouns can be modified to indicate case (who versus whose) or gender (he versus she, his versus hers). Case is especially important in Latin as meaning cannot be determined by word order as it can be in English, but purely by word endings, or "inflection". Indeed, the words in a Latin sentence can appear in almost any order with little change in meaning. Two sentences with the word orders "Sam ate the orange" and "The orange ate Sam" could potentially mean the same thing in Latin, though the spellings of "orange" and "Sam" would have to change slightly to denote which was the subject (the one eating) and which was the object (the one being eaten).

It is important to note here that although the genders of many words make sense (for example, "puella", meaning a girl, is feminine) many are simply assigned and hold no real meaning. Luckily, as you will find, the gender can often be determined by the spelling of the word (words ending in "us" are almost always masculine, and words ending in "a" are almost always feminine). For many words, however, you will simply have to memorize their gender.

[Adjectives](http://en.wikipedia.org/wiki/Adjective) themselves must match the number, case, and gender of the noun (be it a substantive or a pronoun) they modify. If a noun is nominative singular feminine (see [case table](Print_Version.html#case) below), then the adjective describing it must also be nominative singular feminine. If the noun is accusative plural masculine, then the adjective must be accusative plural masculine. This will be expanded on in the [Adjectives](Print_Version.html#Adjectives) section below. The advantage of this system is that adjectives do not need to be adjacent to their respective nouns, as one would be able to tell which noun they modify by which noun they appear to agree with.

### Declension

**All substantives** are part of one of 5 categories, called **declensions**. Each declension has a set of standard suffixes that indicate case and number. Usually gender is indicated by the suffix, although there are many exceptions. Therefore, you must memorize the gender of every substantive you learn.

By familiarizing yourself with the [above tables](Print_Version.html#Declension_Tables), you could deduce that originally the suffix indicating number, case, and gender was the same for every noun. However, as the language developed, nouns with a common stem formed declensions and sounds changed. Similar processes happen continually over time, even today.

The above tables allow you to familiarize yourself with the existence of each declension, though by no means are you expected to memorize it now. Nonetheless, you will have to memorize it as you are formally introduced to individual cases and declensions in future lessons. Because of its introductory purpose, it is considerably simplified and incomplete, and therefore should not be used as a reference in the future.

Adjectives are also classed into declensions:

  1. **1st/2nd declension adjectives**... 
    1. ...Use 1st declension suffixes from the substantive declension table when describing feminine nouns.
    2. ...Use 2nd declension masculine suffixes from the above table when describing masculine nouns.
    3. ...Use 2nd declension neuter suffixes (_not_ found in the above table) when describing neuter nouns.
  2. **3rd declension adjectives** behave as 'i' stem substantives unless specified. Masculine and Feminine suffixes (which are the same) will be used if describing masculine and feminine nouns, and Neuter suffixes will be used when describing neuter nouns.

Pronouns are not part of any declension, as they are all irregular, and simply have to be memorized.

### Case

Cases (Latin: _casus_) determine the role of the noun in the sentence in relation to other parts of the sentence.

There are six cases, Nominative, Vocative, Accusative, Genitive, Dative and Ablative. Vocative (Lesson 3) can be considered a sort of miniature case, generally not being accepted as a true one. Additionally, some nouns have a locative case, which will be covered later. As nominative and accusative are the most basic, these will be taught first (the rest will be covered in later lessons).

**The Use of the Cases**  
(all words in bold are in the case specified in the first column)

Case Role in sentence Example (Latin) Example (English)

Nominative
Subject (performs the verb)
**Vir** lupum vult.
**The man** wants a wolf.

Genitive
Description and possession
Lupus **virī** est.
It is the **man's** wolf/It is the wolf _of_ the **man**.

Dative
Indirect object (receives the direct object)
**Lupō** dedit vir.
The man gave to **the wolf**.

Accusative
Direct object (receives the action of the verb)
Vir **lupum** videt.
The man sees **the wolf**.

Ablative
Various (modify or limit nouns by ideas of where, when, how, etc.)
Ā quō datum? **Ā virō**.
By whom given? **By a man**.

Vocative
Direct address (speaking to somebody directly)
Salvē, **Brute**!
Hello, **Brutus**!

### Gender

**All substantives**, including inanimate objects, have a particular gender (genera), which is either masculine, feminine, or neuter.

For example, Vir, "a man," is masculine. Marītus, "a husband," is also masculine. Puella, "a girl," is feminine. Māter, "a mother," is feminine. Even inanimate objects are assigned gender, including all the moons, stars, trees, tools, and so forth. Logic will give you little help in determining what the genders of inanimate objects are, and with many nouns memorization is required. Luckily, for many nouns, the spelling of the word indicates the gender.

Certain rules may be utilized to determine the gender of an inanimate substantive. Declension is a good indication of gender, especially for 1st and 2nd declension substantives. 1st declension substantives (substantives with an -a suffix) are usually feminine and second declension nouns (substantives with an -us suffix) are usually masculine or neuter. There are a few exceptions, and they will have to be learned. 3rd declension nouns can be either masculine, feminine or neuter (thus the gender will often have to be memorized). 4th declension nouns are usually masculine, sometimes neuter while 5th declension nouns are usually feminine.

1st/2nd declension adjectives alternate the set of endings depending on the gender of noun it describes (see above: Agreement of the Gender of Nouns and the Adjective). If the adjective describes a feminine noun, the adjective must use 1st declension endings, if the adjective describes a masculine noun, the adjective must use 2nd declension masculine endings, if the adjective describes a neuter noun the adjective must use 2nd declension neuter endings.

3rd declension adjectives use the same set of endings for masculine and feminine nouns. However, a slightly different set of endings are used when describing neuter nouns.

## Adjectives

As stated above, adjectives must match the gender, number, and case of the noun (be the noun a substantive, or a pronoun) they modify. However, there are many occasions where logic cannot be used to determine the gender of inanimate objects, as genders are generally arbitrary when the noun has no literal gender. Furthermore, the declension of the noun, often determined by the spelling, can in turn be used to determine the gender, especially for the 1st and 2nd. However, this is never the case for the third declension, as the declension itself is not primarily assigned to any gender and the spelling of the nominative ("default") stem is random, leaving you with no hints.

A noun and its adjective must also be in the same case. Otherwise, it is impossible to tell which nouns pair up to their respective adjectives in a sentence, as the words in a Latin sentence can appear in any order. See the examples below.

Notice how "magna" changes to "magnae" to agree with the pluralized "puellae".

Latin English

Puella (nominative sing., fem.)
Girl

Puella magna
The big girl

Puellae (nominative **pl.**, fem.)
Girls

Puellae magnae
The big girls

Notice how "magna" becomes "magnus" to agree with the masculine word "servus". Also notice that "magnus" changes to "magnum" to agree with the noun it's describing in case, though do not concern yourself with the difference between cases for the time being.

Latin English

Servus (nominative sing, mas.)
Slave

Servus magnus
The big slave

Servum (**accusative** sing, mas.)
Slave

Servum magnum
The big slave

Notice that "magna" is feminine because "arbor" is feminine, despite that it does not end in "a" like "puella". The word "arbor" is one of the situations where you will simply have to memorize the gender.

Latin English

Arbor (nominative sing, fem.)
Tree

Arbor magna
The big tree

## Recapitulation

  * Declensions are used to categorize nouns in groups. There are 5 declensions total.
  * Each of the five declensions has a distinct set of endings which are appended to nouns of that declension.
  * The endings indicate the case and number when appended to the stem of a noun.
  * A substantive may use only the endings of the declension of which it is a part.
  * Each substantive has a predefined gender which almost never changes and is separate from the suffix.
  * Adjectives are a part of the 1st/2nd declension and 3rd declension.
  * Adjectives use the gender of the noun that they modify.

**Therefore:**

  * An adjective of the 1st/2nd declension uses 1st declension endings when describing a feminine noun, a 2nd declension masculine ending when describing masculine noun, and 2nd declension neuter when describing a neuter noun.
  * An adjective of the 3rd declension uses the same set of endings when describing masculine and feminine nouns and another set of endings when describing neuter nouns. (Actually, there are 3-termination, 2-termination, and 1-termination 3rd declension adjectives. If the adjective is 3-termination, e.g., acer (f. sing.), acris (m. sing.), acer (n. sing.), acres (f. pl.), acres (m. pl.), or acria (n. pl.), then use the appropriate ending; if the adjective is 2-termination, then one termination will be masculine/feminine and the other neuter; if the adjective is 1-termination, the common form is used.)

Before you proceed to the next lesson, complete the exercises below so you will be able to apply this knowledge to Latin.

## Exercises

EXERCISE • Print Version • Questions

  1. What are the three genders?
  2. What is the number (singular/plural) of the following English words: 
    1. cow
    2. dogs
    3. genders
    4. adjective
    5. children
    6. slice
    7. mice
    8. geese
  3. Describe the relationship between an adjective and the noun which it modifies.
  4. How many declensions are there?
  5. Determine the declension of each Latin word: 
    * puella (_girl_)
    * ianua (_door_)
    * amicus (_friend_)
    * ludus (_game_)
    * casa (_house_)
    * rex (_king_)
  6. What gender are 1st declension substantives mostly?
  7. What genders are 2nd declension substantives mostly?
  8. What grammatical features of a word that can be determined by looking at its ending?

SOLUTION • Latin/Print Version • Questions

  1. Masculine, Feminine, and Neuter
  2. What is the number (singular/plural) of the following English words: 
    1. S
    2. P
    3. P
    4. S
    5. P
    6. S
    7. P
    8. P
  3. The adjective takes on the number, case and gender (but not always the declension) of the noun it describes
  4. Five
  5. Determine the declension of each Latin word: 
    1. 1st
    2. 1st
    3. 2nd
    4. 2nd
    5. 1st
    6. 3rd
  6. Feminine
  7. Masculine
  8. It varies slightly from word-to-word; Declension/Case, Number, and sometimes Gender.

  
  


# Translation

[Latin/Latin/Lesson 1-Nominative](http://en.wikibooks.org/w/index.php?title=Latin/Latin/Lesson_1-Nominative&action=edit&redlink=1)

  
  


# Exercises

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

  


## Exercises

EXERCISE • Print Version • Give the accusative singular.

Give the accusative singular for:

  1. lud-us
  2. magn-us
  3. triclīni-um
  4. bell-um
  5. puell-a
  6. serv-us
  7. ager

SOLUTION • Latin/Print Version • Give the accusative singular.

  1. lud**um**
  2. magn**um**
  3. triclīni**um**
  4. bell**um**
  5. puell**am**
  6. serv**um**
  7. agr**um**

EXERCISE • Print Version • Give the accusative plural.

Give the accusative plural for:

  1. lud-us
  2. magn-us
  3. triclīni-um
  4. bell-um
  5. puell-a
  6. serv-us
  7. ager

SOLUTION • Latin/Print Version • Give the accusative plural.

  1. lud**os**
  2. magn**os**
  3. triclīni**a**
  4. bell**a**
  5. puell**as**
  6. serv**os**
  7. agr**os**

EXERCISE • Print Version • Give the nominative singular.

Give the nominative singular for:

  1. bon-ī
  2. bell-a
  3. triclīni-a
  4. puell-am
  5. agr-ōs
  6. serv-ōs
  7. puell-ae

SOLUTION • Latin/Print Version • Give the nominative singular.

  1. bon**us**
  2. bell**um**
  3. triclīni**um**
  4. puell**a**
  5. ager
  6. serv**us**
  7. puell**a**

**Lesson Vocabulary**

Latin English

**vendit**
**he/she sells**

**videt**
**he/she sees**

**amat**
**he/she loves**

**cist-a -ae** (f.)
**box**

**ferox, ferocis** (m/f.)
**wild**

**ager** (m.)
**field**

**bell-um** (n.)
**war**

**serv-us** (m.)
**slave**

## Grammar: The Accusative

As you learned in the last lesson, the verb 'esse' (to be) usually takes the nominative case, because then the word after it is a complement. Most other verbs take the 'accusative' case.

In a sentence, the accusative is the "what" - in English grammar, this is known as the direct object.

**For example:** The girl sells the box.

What did the girl sell? The box. Thus, box is the direct object, and when we translate it into Latin:

**Example**

_English:_
The girl
sells
the box.

_Latin:_
Puella
vendit
cistam.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

Cistam, then, is in the accusative, because it is the direct object.

Again, when an adjective describes a noun in the accusative case, the adjective must agree in number, case, and gender.

**Example**

_English:_
The girl
sells
the big
box.

_Latin:_
Puella
vendit
magnam
cistam.

_Explanation:_
NOMINATIVE
VERB
ADJECTIVE ACCUSATIVE
NOUN ACCUSATIVE

Because Latin uses cases to mark the subject and the object of a sentence, word order does not matter. Consider:

puer puellam videt
The boy sees the girl

puerum puella videt
The girl sees the boy

puellam puer videt
The boy sees the girl

puella puerum videt
The girl sees the boy

## Examples of Adjectives Agreeing with the Nominative and Accusative Case

**Explanation**\- The _good_ boy loves the _wild_ dog.

_Latin:_
puer
**bonus**
amat
canem (acc)
**ferocem** (acc).

_English:_
[The] boy
**good**
[he] loves
[the] dog
**wild**.

_Bonus_, a first and second declension adjective, is masculine, nominative, and singular to agree with _puer_, the word it is describing.

_Ferocem_, a third declension adjective, is masculine, accusative, and singular to agree with _canem_. _Canem_ is accusative because it is the object of _amat_.

Here is an example of plural adjectives:

**Explanation**\- The _good_ boys love the _wild_ dogs.

_Latin:_
Pueri (plur)
**boni** (plur)
amant (plur)
canes (plur, acc)
**feroces** (plur, acc).

_English:_
[The] boys
**good**
[they] love
[the] dogs
**wild**.

The words _bonus_ and _ferocem_ become _boni_ and _feroces_ to agree with the plurals _pueri_ and _canes_.

However, if a girl ([puella](http://en.wiktionary.org/wiki/en:puella#Latin)) happened to love that boy:

**Explanation**\- The _good_ girl loves the _good_ boy.

_Latin:_
Puella
**bona**
amat
puerum (acc)
**bonum** (acc).

_English:_
[The] girl
**good**
[she] loves
[the] boy
**good**.

_Bonus_ must become _bona_ in order to modify _puella_, which is feminine.

Finally, if the girl isn't good, but rather wild:

**Explanation**\- The _wild_ girl loves the _good_ boy.

_Latin:_
Puella
**ferox**
amat
puerum (acc)
**bonum** (acc).

_English:_
[The] girl
**wild**
[she] loves
[the] boy
**good**.

Even though _puella_ is first declension, _ferox_ remains third declension. In the same way, a good lion would be _bonus leo_.

## Exercise 3

Determine whether the adjective agrees with the substantive in all three categories: case, gender, number.

  


Questions: Does it Agree?

1\. magn-us agr-ōs
True/False

2\. magn-a puella
True/False

3\. poet-a* bon-us
True/False

4\. magn-um serv-um
True/False

5\. poet-ae* magn-ae
True/False

6\. bell-a magn-a
True/False

    _* Nota bene:_ Poeta _(meaning poet) is a masculine noun, even though it ends in **-a**._

EXERCISE • Print Version • Answer

See table above. Determine whether the adjective (magnus, bonus..) agrees with the substantives (ager, puella, poeta) in both case (nominative, accusative...), gender (masculine, female and neuter) and number (singular and plural).

SOLUTION • Latin/Print Version • Answer

  1. **False.** _Magnus_ doesn't agree with _agrōs_; in number and case. 

    _Magnus_: Masculine, singular, nominative.
    _Agrōs_: Masculine, plural, accusative.
  2. **True.** _Magna_ agrees with _puella_. 

    _Magna_: Feminine, singular, nominative.
    _Puella_: Feminine, singular, nominative.
  3. **True.** _Bonus_ agrees with _poeta_. 

    _Bonus_: Masculine, singular, nominative.
    _Poeta_: Masculine, singular, nominative.
  4. **True.** _Magnum_ agrees with _servum_. 

    _Magnum_: Neuter, singular, nominative.
    _Servum_: Neuter, singular, nominative.
  5. **False.** _Magnae_ doesn't agree with _poetae_; in gender. 

    _Magnae_: Feminine, plural, nominative.
    _Poetae_: Masculine, plural, nominative.
  6. **True.** _Bella_ agrees with _magna_. 

    _Bella_: Neuter, plural, nominative.
    _Magna_: Neuter, plural, nominative.

## Grammar: The Use of the Accusative

**Lesson Vocabulary**

Latin English

**curri-t**
**he/she runs**

**porta-t**
**he/she carries**

**specta-t**
**he/she watches**

**da-t**
**he/she gives**

**fuisse**  
fuī  
fuistī  
(puer) fuit  
fuimus  
fuistis  
fuērunt
**to have been**  
I have been  
you have been  
(the boy) has been  
we have been  
you (pl.) have been  
they have been

Nota Bene: 'fuisse' and all the forms of it, the past tense of 'esse', behaves exactly like the present tense.

  
The newly introduced verbs, ama-t, curri-t, and porta-t take the accusative as the 'object'. Unless specified, any verb you look up in the dictionary will take the accusative, not the nominative. This means that they are **transitive verbs**, verbs that happen to someone or something, e.g.:
    
    
    I heal **you**. (_acc._)
    You make **my day**. (_acc._)
    She hit **your arm**. (_acc._)
    

In the examples above, the **bold** words are the subject of the sentence clause. Because something happens "to" them, they can't be in nominative.

## Grammatical Explanation Using English Sentences

**Grammatical Explanation 1**

_English:_
The boy
hits
the car.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

  


**Grammatical Explanation 2**

_English:_
The girl
hugs
the boy.

_Explanation:_
NOMINATIVE
VERB
ACCUSATIVE

  


**Grammatical Explanation 3**

_English:_
He who
flees,
deserves
the guillotine.

_Explanation:_
NOMINATIVE
VERB
VERB
ACCUSATIVE

### Exercise 4: Find the Nominative and Accusative

EXERCISE • Print Version • Find the Nominative and Accusative (if present) in each the sentence.

Find the Nominative and Accusative (if present) in each the sentence.

  1. The boy is good.
  2. The girl kisses the boy.
  3. The boy gives the book.
  4. The child watches the TV.
  5. Whom it concerns.
  6. To the kitchen I run
  7. I eat the pizza.

SOLUTION • Latin/Print Version • Find the Nominative and Accusative (if present) in each the sentence.

  1. The boy {nom} is good {nom}. 

    _Puer {nom} est bonus {nom}_.
  2. The girl {nom} kisses the boy {acc}. 

    _Puella {nom} puerum {acc} basiat._
  3. The boy {nom} gives the book {acc}. 

    _Puer {nom} librum {acc} dat._
  4. The child {nom} watches the TV {acc}. 

    _Infans {nom} televisorium {acc} videt._
  5. Whom {acc} it {nom} concerns. 

    _???_
  6. To the kitchen {acc} I {nom} run. 

    _Ad culinam {acc} [ego {nom}] curro._
  7. I {nom} eat the pizza {acc}. 

    _Pittam {acc} [ego {nom}] edo._

EXERCISE • Print Version • In the following sentences, identify the accusative and nominative. Then translate.

In the following sentences, identify the accusative and nominative. Then translate.

  1. Puer est bonus.
  2. Puella puerum amat..
  3. Puer cistam portat.
  4. Fīlius virum spectat.
  5. Ad culīnam currit.

SOLUTION • Latin/Print Version • In the following sentences, identify the accusative and nominative. Then translate.

  1. Puer {nom} est bonus {nom}. 

    The boy {nom} is good {nom}.
  2. Puella {nom} puerum {acc} amat. 

    The girl {nom} loves the boy {acc}.
  3. Puer {nom} cistam {acc} portat. 

    The boy {nom} carries the box {acc}.
  4. Fīlius {nom} virum {acc} spectat. 

    The son {nom} watched the husband {acc}.
  5. Ad culīnam {acc} currit. 

    To the kitchen {acc} [he {nom}] runs.

  


# Exercises

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Noun Tables

**1st declension**
**2nd declension**

**-a**
**-us/er**
**-um (neuter)**

_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_
_SINGULAR_
_PLURAL_

nominative
puell**-a**
puell**-ae**
serv**-us**/pu**er**
serv**-ī**
bell**-um**
bell**-a**

genitive
puell**-ae**
puell**-ārum**
serv**-ī**
serv**-ōrum**
bell**-ī**
bell**-ōrum**

accusative
puell**-am**
puell**-ās**
serv**-um**
serv**-ōs**
bell**-um**
bell**-a**

dative
puell**-ae**
puell**-īs**
serv**-ō**
serv**-īs**
bell**-ō**
bell**-īs**

## The Genitive

The genitive case is a descriptive case. The genitive case describes the following features of the described noun:

  * Possession e.g. The dog of Marcus _or_ Marcus's dog (canis Marcī)
  * Origin e.g. Marcus of Rome (Marcus Romae)
  * Relation e.g. A thing of beauty (rēs pulchrae)
  * Quantity e.g. A gallon of water
  * Quality e.g. Day of wrath (diēs irae)

Quite simply, a word in the genitive case is translated with the preposition "of". Note that Latin does not have a separate form for the possessive genitive (_Marcus's dog_ vs _The dog of Marcus_), as English does. A word in the genitive case showing possession can be translated either way.

### Latin Examples

Latin
English

canis
puerī malī
est
bonus
The dog
of the bad boy
is
good

nominative noun
genitive
verb
nominative adj.
nominative noun
genitive
verb
nominative adj.

Latin
English

canis
puerōrum malōrum
est
bonus
The dog
of the bad boys
is
good

nominative noun
genitive (plural)
verb
nominative adj.
nominative noun
genitive
verb
nominative adj.

### Exercise 1

Indicate the word in the genitive:

  1. Flavia's dog is good.
  2. The man has his mother's good taste.
  3. Māter Flāviae est domina.
  4. The sword of justice is swift.

## Agreeing with the Adjectives

When adjectives are used to describe nouns in the genitive case, they must have the same case, number, and gender as the noun to which it refers.

### Example

A road of beautiful Rome → Via Romae pulchrae.
    If we look at the bare necessities, namely nouns, in this phrase, then we get "road of Rome," which is translated as "via Romae." Now, let's look at the adjective: beautiful (_pulchra_). Its antecedent (the noun it modifies) is Rome. Since Rome is in the genitive case, _pulchra_ also needs to be in the genitive case. Both are already feminine, so we don't need to change that.
    To make _pulchra_ in the genitive singular case, we replace the final "-a" with a "-ae," and we get _pulchrae_.

It's that simple.

## The Dative

The dative case, also known as the indirect object case indicates:

  * For whom, e.g., I made this car **for him**.
  * To whom, e.g., I gave this car **to him**.

Latin does not distinguish between "to" or "for", though this is sometimes the case in English:

  * I made this car **for him**. ↔ I made **him** this car.
  * I gave this car **to him**. ↔ I gave **him** this car.

### Example 1

He
made
the desk
for
his friend

nominative noun
verb
accusative
dative prep.
dative

'For' is the preposition indicating a dative. 'For' can be used in some other constructs. To determine whether it is dative, analyse the meaning of the sentence (see Example 3). Practice will enable you to quickly spot the case of a noun in the sentence without much effort.

### Example 2

_He gave the book **to John**_; _He gave **to John** the book_; or _He gave **John** the book_.

This demonstrates how English can use prepositions to change word order and even 'presume' a certain preposition exists that has been left out, giving a dative construct.

### Latin Examples

Latin
English

Donō
amīcō meō[[1]](Print_Version.html#cite_note-1)
donum.
I gave
my friend
a gift.

verb
dative noun/adj. pair
accusative
verb
dative noun/adj. pair
accusative

Latin
English

Feret
mihi[[2]](Print_Version.html#cite_note-2)
stylum.
He brought
me
a pen.

verb
dative pronoun
accusative
verb
dative pronoun
accusative

  1. [↑](Print_Version.html#cite_ref-1) Note how the word "meus" become "meo" in order to agree with "amico".
  2. [↑](Print_Version.html#cite_ref-2) Note that the pronouns have a dative case as well, which can be reviewed in the chapter on pronouns.

## Exercise 2: Translate into English

Latin English

dō, dāre
to give

reddō, reddĕre
to give back

liber, librī (m.)
book

amīcus, -ī (m.)
friend

scrībō, -ĕre
to write

epistula, -ae (f.)
letter, message

Imperator, Imperatoris (m.)
Emperor

placeo, -ēre (+dat.)
to please, be pleasing to

Note that _placeo_ requires the dative case, as opposed to the accusative case. Verbs such as this are denoted with _(+dat.)_ or similar abbreviations.

EXERCISE • Print Version • Questions

  1. Do librum amico.
  2. Amicus meum librum legit et mihi librum reddit.
  3. Scribo epistulas Imperatori.
  4. Meae epistulae Imperatori placent.

SOLUTION • Latin/Print Version • Questions

  1. I give the book to a friend
  2. The friend read my book and returned the book to me.
  3. I am writing letters to the Emperor.
  4. My letters are pleasing to the Emperor.

## Roman Numerals

The Romans did not use the Hindu-Arabic numerals we use today. They used their own symbols and own numeric system. We still use Roman Numerals today.

Roman Numeral Latin Number English Number Hindu-Arabic Numeral Spanish Number French Number Italian Number Portuguese Number

I
ūnus -a -um
one
1
uno
un
uno
um

II
duo -ae
two
2
dos
deux
due
dois

III
trēs, tria
three
3
tres
trois
tre
três

IV
quattor
four
4
cuatro
quatre
quattro
quatro

V
quinque
five
5
cinco
cinq
cinque
cinco

VI
sēx
six
6
seis
six
sei
seis

VII
septem
seven
7
siete
sept
sette
sete

VIII
octō
eight
8
ocho
huit
otto
oito

IX
novem
nine
9
nueve
neuf
nove
nove

X
decem
ten
10
diez
dix
dieci
dez

XV
quindecim
fifteen
15
quince
quinze
quindici
quinze

XX
viginti
twenty
20
veinte
vingt
venti
vinte

XXV
viginti quinque
twenty-five
25
veinticinco
vingt-cinq
venticinque
vinte e cinco

L
quinquaginta
fifty
50
cincuenta
cinquante
cinquanta
cinqüenta

C
centum
one hundred
100
cien
cent
cento
cem

D
quingentī, -ae, -a
five hundred
500
quinientos
cinq cents
cinquecento
quinhentos

M
mille
one thousand
1000
mil
mille
mille
mil

Note the declensions of the first three numbers. _Nullus_ is the Latin equivalent of zero, for example: _nullam puellam in agro video_ means _I see no girl in the field_.

Nominative Accusative Genitive Dative Ablative

nullus
nullum
nullius
nulli
nullo

nulla
nullam
nullius
nulli
nulla

nullum
nullum
nullius
nulli
nullo

unus
unum
unius
uni
uno

una
unam
unius
uni
una

unum
unum
unius
uni
uno

duo
duos
duorum
duobus
duobus

duae
duas
duarum
duabus
duabus

duo
duo
duorum
duobus
duobus

tres
tres
trium
tribus
tribus

tres
tres
trium
tribus
tribus

tria
tria
trium
tribus
tribus

### Exercise 3

Write the word form of the numbers in the following sentences in the correct case.

  1. **III** homines me salutant
  2. magistro **II** libros reddo
  3. **D** senatoribus multa (_many things_) dico
  4. **III** horas diligenter laboro

  


# Translation

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## The Ablative Case

The ablative case in Latin has 4 main uses:

  1. With certain prepositions, eg. in, cum, sub
  2. Instrumental ablative, expressing the equivalent of English "by", "with" or "using"
  3. Locative Ablative, using the ablative by itself to mean "in", locating an action in space or time
  4. Ablative of separation or origin, expressing the equivalent of English "from"

The different uses of the ablative will be dealt progressively. For a summary of all forms of the ablative, please consult the Appendix.

## Grammar Part 5: The Power of the Ablative Case

Ablative generally indicates position in time and/or space (i.e. when and where). It can also indicate the idea of ways of getting to a location, abstractly or concretely.

### Ablative of Means

#### Exercise

How would you translate "I made the toga by hand"?

  * _**Hint:** You would not (and should not) use the genitive. The case you are studying right now can be used _by itself_ for this goal._
  * _**Hint:** Remember that you won't need to use the pronoun "I," since Latin is based not on word order, but on the endings!_
  * _**Glossary:**_

    "to make" - _Facio_ ("I make"), _facere_ ("to make"), _feci_ ("I made"), _factus_ ("made")
    "toga" - _Toga_, _togae_ feminine
    "hand" - _Manus_, _manus_ feminine (This is fourth declension)

##### Answer

Answer: _Togam manu feci_.

In this case, the word "manu" is in the ablative (see fourth declension list) and thus means "by hand."

#### Exercise

I have my wisdom by means of my teacher.

  * '**Glossary**: 

    "wisdom" - _Sapientia, sapientiae_ feminine
    "to have" - _Habeo_ ("I have"), _habere_ ("to have"), _habui_ ("I had"), _habitus_ ("had")
    "teacher" - _Magister, magistri_ masculine (This is a second declension word, despite the 'r' at the end, like puer.)

##### Answer

Answer: _Habeo sapientiam magistro._

### Ablative of Time

How would you say: _I will arrive at the 5th hour._

'at the 5th hour' is indicating position of time. Thus, it can be put into the ablative case, giving:

_adveniam quinta hora_

In general, therefore, in order to say "In the morning", "At nine O'clock," or "In the tenth year," use ablative. It is generally used to refer to a specific time in which something has, does, or will occur.

Example: I will leave in the night.

Hint: Future tense can be looked up in the appendices of this Wikibook!

Hint: to leave- discedo, discedere; night- nox, noctis(This is a third declension word!)

##### Answer

Answer: Discedam nocte.

Note the simplicity in which Latin translates the six words into simply two. The ending based language completely negates the need for the words "I," "will," "in," and "the."

### Ablative of Place

_Naves navigabant mari._ The ships were sailing on the sea.

The ablative is also useful for showing the location of things, in general where you would use the words on, in, or at. There is an exception for the slightly more archaic locative, which is used with the words _domi_ (from _domus, domus, f._, home), _ruri_ (from _rus, ruris, n._, country [as opposed to city]), and _Romae_ (from _Roma, Romae, f._, Rome), as well as with the names of towns, cities and small islands.

Latin has its own way of handling prepositions depending on the nouns and their cases in the sentence, including the versatile _in_, which can take many different meanings depending upon the case of the object.

## Ablative with prepositions

Here are a few prepositions that can take the ablative (for a fuller list, see the lesson on adverbs and prepositions in the previous chapter):

**Latin**
**English**

_in_[[1]](Print_Version.html#cite_note-3)
in, on

_a/ab_
from

_de_
down from, concerning

_e/ex_
out of, out from

_cum_
with

_sine_
without

_pro_
on behalf of, in front of

_super_[[2]](Print_Version.html#cite_note-4)
upon, above, beyond

_sub_[[3]](Print_Version.html#cite_note-5)
under, beneath

  


  1. [↑](Print_Version.html#cite_ref-3) Means "into" or "against" when used with the accusative
  2. [↑](Print_Version.html#cite_ref-4) Has static meaning when used with the ablative but connotes motion when used with the accusative
  3. [↑](Print_Version.html#cite_ref-5) Usually means "up to" or "up to the foot of" when used with the accusative

As a general rule, when motion is implied, use the accusative, but when location is implied

  


### Example 3

_Servus ex agris venit._

    "The slave came from the fields."

Note: _Ager_ (_ager, agri, m._, field) must take an ablative suffix to match the preceding preposition, in this case _e_/_ex_.

Incidentally, both _ager_ and _campus_ mean "field," but _ager_, like its English derivative "agriculture", connotes a farming field, while _campus_ (think "camping" or "college campus") means "open field." The _Campus Martius_ was a large field in Rome used for military training.

## The Vocative Case

While you will rarely need to ask Lupus where the bathroom is in Latin, you may find yourself reading either quotes or letters in which a person is being directly addressed. The case it will be in is the vocative.

For example, "Hail, Augustus" will appear in Latin as Ave Auguste, and not Ave Augustus.

  
Each declension has its own form of the vocative singular and plural. They are listed in the table below.

Furthermore, in all but the second declension, the nominative and vocative are exactly the same!

Number
First
Second*
Third
Fourth
Fifth

Singular
a
us->e, ius->i, r->r
\--
us
es

Plural**
ae
i
es
us
es

  * In the second declension singular, there are three separate possibilities for the vocative, depending on its nominative ending. Hence, if it is a us word, it will become an e and so forth.

#### Examples for different declensions in the second declension

  * **-us:**

    Lupus ->Lupe (given name, wolf)
  * **-ius:**

    Filius -> Fili (son)
    Horatius-> Horati (given name)
  * **-r:**

    Puer-> Puer (boy)

    _In all cases, the plural vocative is exactly the same as the plural nominative. This extends to those words which are neuter, which always have an 'a' for the nominative and vocative._

#### Examples

  1. Hello, Sextus.(Hello= _Salve_)* 

    Salve, Sext**e**.
  2. Speak, girl! (Speak= _dico, dicere, dixi_)* 

    Dic, puell**a**.
  3. Knee, run!*(Knee= _genu_; run= _curro, currere, cucurri_)* 

    Gen**u**, curre!
  4. Oh, heart, why do you lead me? (Oh-o; heart- cor, cordis-f.; lead-duco, ducere; 

    O, cor! Cur ducis tu me?
  * Note that the first three also require use of the imperative. The imperative is used when ordering or telling someone what to do, e.g.- "Stop," or "Get away from me."

The basic form of the imperative is created by dropping the "re" off of the infinitive form of the verb, as in: Amare, which becomes Ama; at least in the singular active form, which is all that these exercises require. More can be found about this subject in the chapter on verbs.

  


# Revision

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

## Personal Pronouns in English

**Lesson Vocabulary**

Latin English

**cibus**
**food**

**laborat**
**he/she works**

Pronouns are nouns which are used instead of another noun ('pro', in place of 'noun', noun.)

There are three categories of pronouns which are divided up into persons: 1st, 2nd, and 3rd. In addition, pronouns can be singular or plural. They are declined like all other nouns.

Person Singular Plural

1st
I
We

2nd
You, Thou
You (all)

3rd
He/She/It
They

## Personal Pronouns in Latin

### 1st/2nd Person Pronouns

#### Table of Personal Pronouns in all of their cases: I, thou, we, ye

Note: Thou is the archaic singular of the archaic plural ye - useful for distinguishing you (singular) from you (plural)

Singular Plural

Case
1st Person
2nd Person
1st Person
2nd Person

Nominative
ego
I
tū
you
nōs
we
vōs
you

Genitive
meī
of me
tuī
of you
nostrī(nostrum)
of us
vestrī (vestrum)
of you

Dative
mihi
to me
tibi
to/for you
nōbīs
to us
vōbīs
to/for you

Accusative
mē
me
tē
you
nōs
us
vōs
you

Ablative
mē
from me
tē
from you
nōbīs
from us
vōbīs
from you

Nota Bene: the genitive is used in certain phrases like:

  1. memor nostrī, mindful of us
  2. paucī vestrum, a few of you.

For the possessive uses (my sister, your bicycle), Latin does not use the genitive, but the possessive adjectives:

Latin English

meus, mea, meum
my

tuus, tua, tuum
thy

suus, sua, sum
his/hers, its, their

noster, nostra, nostrum
our

vester, vestra, vestrum
your

Pater noster
Our father

### 3rd Person Pronouns

Technically, 3rd person pronouns do not exist in Latin as they do in English. However, they do have equivalents.

Adjectives modify nouns and take the gender of the noun which they modify. However, adjectives do not necessarily need a substantive present in the sentence to modify. The substantive can be presumed. In this way, '3rd person' pronouns are formed.

#### Example 1

Take the masculine form of the adjective 'ille'. Literally it means 'That (masculine) thing.' However one could take it for simply meaning 'he', depending on the context. Similarly, the pronoun 'iste' means 'this (masc.) thing'. Iste and ille are declined in exactly the same way.

If no substantive is provided assume words like these: 'man', 'woman', 'thing', 'idea', 'concept', 'reason' etc. Let context be your guide.

### Common Adjectives Used as 3rd Person Pronouns In Latin

#### Declension of Ille (that)

Declension of _ille_ (that): Singular

Latin English

Masculine Feminine Neuter Masculine Feminine Neuter

Nominative
ille
illa
illud
he
she
it

Genitive
illius
illius
illius
his
her, hers
its

Dative
illī
illī
illī
to him
to her
to it

Accusative
illum
illam
illud
him
her
it

Ablative
illō
illā
illō
by, with, from him
her
it

Declension of _ille_ (that): Plural

Latin English

Masculine Feminine Neuter

Nominative
illī
illae
illa
they, those

Genitive
illōrum
illārum
illōrum
their, theirs, of those

Dative
illīs
illīs
illīs
to them, to those

Accusative
illōs
illās
illa
them, those

**Ablative**
illīs
illis
illīs
by, with, from them, those

Ille is often used as a kind of pronoun. In situations with multiple phrases or sentences, however, it is syntactically different from is, ea, id (see below).

For example: "Canis puero cibum dat. Is laborat in agro." means "The dog gives food to the boy. The dog works in the field".

However: "Canis puero cibum dat. Ille laborat in agro." means "The dog gives food to the boy. The boy works in the field".

Thus, ille, unlike the other pronouns makes a previous object into the subject (and vice versa).

#### Examples of the Usage of Ille:

Latin English

Ille est dominus.
He is the master. (ille as pronoun)

Ille dominus est malus.
That master is bad. (ille as adjective)

Illam videt
He sees her. (or 'she sees her' - illam as pronoun)

Illam puellam videt
He (or she) sees that girl (illam as adjective).

#### Declension of Is, ea, id: (personal pronouns w/ translations)

Singular

Case Latin English

M F N M F N

Nominative
is
ea
id
he
she
it

Genitive
eius
his
her, hers
its

Dative
eī
to him
to her
to it

Accusative
eum
eam
id
him
her
it

Ablative
eō
eā
eō
by/with him
by/with her
by/with it

Plural

Case Latin English

M F N M F N

Nominative
ei
eae
ea
they, those

Genitive
eōrum
eārum
eōrum
their, theirs, of those

Dative
eīs, iīs
to them, to those

Accusative
eōs
eās
ea
them, those

Ablative
eīs, iīs
by, with, from them, those

Like ille, is can be used as a form of a pronoun.

#### Examples of the Usage of Is

Latin English

Is est dominus.
He is the master. ("is" as pronoun)

Is dominus est malus.
The master is bad. ("is" as adjective)

Eam videt.
He sees her. (or 'she sees her', "eam" as pronoun)

Eam puellam videt.
He (or she) sees the girl. ("eam" as adjective)

#### Declension of the Relative pronoun qui, quae, quod: (meaning who, which, he)

Singular

M F N M F N

Nominative
quī
quae
quod
who
which

Genitive
cuīus
whose
of which

Dative
cuī
to whom
to which

Accusative
quem
quam
quod
whom
which

Ablative
quō
quā
quō
by, with, from whom, which

Plural

M F N M F N

Nominative
quī
quae
quae
who
which

Genitive
quorum
quarum
quorum
whose
of which

#### Uses of the Relative Pronoun

The relative pronoun takes on the case depending on the function it serves in the relative clause. For example, in the sentence "He sees the man who has a slave," "who" is translated as nominative because it is the subject of the clause "who has a slave." The antecedent (noun to which the pronoun refers) is usually before the relative clause.

#### Examples of the Usage of the Relative Pronoun

  1. _Virum [videt](http://en.wiktionary.org/wiki/videre#Latin) (he/she sees) **qui** [servum](http://en.wiktionary.org/wiki/servus#Latin) (servant) [habet](http://en.wiktionary.org/wiki/habere#Latin) (he/she has)._

    He sees the man **who** has a slave
  2. _**Ille** est [vir](http://en.wiktionary.org/wiki/vir#Latin) cujus servus est [malus](http://en.wiktionary.org/wiki/malus#Latin)._

    **That'**s the man whose slave is bad.
  3. _Quis **[eum](http://en.wiktionary.org/wiki/is#Latin)** videt?_

    Who sees **him**?

#### Declension of hic, haec, hoc (meaning "this")

Singular

Masculine Femine Neuter

Nominative
hic
haec
hoc
this

Genitive
huius

Dative
huic

Accusative
hunc
hanc
hoc

Ablative
hōc
hāc
hōc

Plural

Masculine Femine Neuter

Nominative
hī
hae
haec
these

Genitive
hōrum
hārum
hōrum

Dative
hīs

Accusative
hōs
hās
haec

Ablative
hīs

N.B. Hic as an adverb that means 'here'. N.B. Hic can also be used as a pronoun.

#### Example of the Usage of Hic

Latin English

'**Hic'** servus, non ille, est malus.
This slave, not that one, is bad.

  
  


# Chapter 6 Verse

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

Verses are very important. They are exactly like they are in English.

  
  


# Poem about Latin

**[Latin](http://en.wikibooks.org/wiki/Latin)**

Intro:
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2)

Chapter 1
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Nominative) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Adjectives) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Present_Verbs) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Adverbs_and_Prepositions) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Accusative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Pronouns)

Chapter 2
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperfect) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Genitive_and_Dative) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Future) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Ablative) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Vocative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Irregular_Verbs) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Translation) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Imperfect_and_Future)

Chapter 3
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Imperatives) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Active_v_Passive) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Passive) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Principal_Parts) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Perfect_Indicative) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-Future_and_Past_Perfect) • [8](http://en.wikibooks.org/wiki/Latin/Chapter_3_Verse)

Chapter 4
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Subjunctive) • [2](http://en.wikibooks.org/wiki/Latin/Lesson_2-Subjunctive_Use) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Subjunctive_Imperfect) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-The_Subjunctive_Passive) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-The_Subjunctive_Perfect) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-The_Subjunctive_Perfect_Passive) • [7](http://en.wikibooks.org/wiki/Latin/Lesson_7-The_Gerund_and_Participles) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Revision) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Idioms) • [10](http://en.wikibooks.org/wiki/Latin/Lesson_10-Translation)

Chapter 5
[1](http://en.wikibooks.org/wiki/Latin/Lesson_1-Revision) • [2](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_2-Revision&action=edit&redlink=1) • [3](http://en.wikibooks.org/wiki/Latin/Lesson_3-Translation) • [4](http://en.wikibooks.org/wiki/Latin/Lesson_4-Exercises) • [5](http://en.wikibooks.org/wiki/Latin/Lesson_5-Exercises) • [6](http://en.wikibooks.org/wiki/Latin/Lesson_6-Translation) • [7](http://en.wikibooks.org/w/index.php?title=Latin/Lesson_7-Revision&action=edit&redlink=1) • [8](http://en.wikibooks.org/wiki/Latin/Lesson_8-Verse) • [9](http://en.wikibooks.org/wiki/Latin/Lesson_9-Poem)

Latin is a language,

At least it used to be;

It killed the Ancient Romans,

And now it's killing me.

(Iambic Trimeter)

  


It killed Julius Caesar

And killed those who learned it.

Bless the dead!

They surely earned it.

(Anapestic Dimeter)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&oldid=2469638](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&oldid=2469638)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Latin](http://en.wikibooks.org/wiki/Category:Latin)

Hidden category: 

  * [Stubs](http://en.wikibooks.org/wiki/Category:Stubs)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Latin%2FPrint+Version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Latin%2FPrint+Version)

### Namespaces

  * [Book](Print_Version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:Latin/Print_Version)

### 

### Variants

### Views

  * [Read](Print_Version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Latin/Print_Version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Latin/Print_Version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&oldid=2469638)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Latin%2FPrint_Version&id=2469638)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Latin%2FPrint+Version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Latin%2FPrint+Version&oldid=2469638&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Latin/Print_Version&printable=yes)

    * This page was last modified on 28 December 2012, at 20:21.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Latin/Print_Version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
