# Learning Theories/Print version

From Wikibooks, open books for an open world

< [Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&action=purge&printable=yes) this page.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

# Contents

If you have saved this file to your computer, click on a link in the contents to go to that section.

[Theories](Print_version.html#Theories)
    [Behavioralist](Print_version.html#Behavioralist) · [Constructivist](Print_version.html#Constructivist) · [Post-Modern](Print_version.html#Post-Modern) · [Adult Learning](Print_version.html#Adult_Learning)

[Organizational Learning](Print_version.html#Organizational_Learning)
    [Contributions by Discipline](Print_version.html#Contributions_by_Discipline) · [Triggers](Print_version.html#Triggers) · [Influencing Factors](Print_version.html#Influencing_Factors) · [Agents](Print_version.html#Agents) · [Processes](Print_version.html#Processes) · [Interorganizational](Print_version.html#Interorganizational) · [Practice](Print_version.html#Practice)

[Knowledge Management](Print_version.html#Knowledge_Management)
    [Challenges](Print_version.html#Challenges) · [Processes](Print_version.html#Processes) · [Leadership](Print_version.html#Leadership) · [Change](Print_version.html#Change)
    [References](Print_version.html#References) · [GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)

* * *

# **Theories**

# Behavioralist

## Introduction

Behaviorism, as a learning theory, can be traced back to Aristotle, whose essay “Memory” focused on associations being made between events such as lightning and thunder. Other philosophers that followed Aristotle’s thoughts are Hobbes (1650), Hume (1740), Brown (1820), Bain (1855) and Ebbinghause (1885) (Black, 1995). Ivan Pavlov, John B. Watson, Edward Thorndike and B.F. Skinner later developed the theory in more detail. Watson is the theorist credited with coining the term "behaviorism"[[1]](Print_version.html#cite_note-1).

A key difference in these various forms of associationism is that until Skinner, they were considered to be associations of mental or cognitive events. Skinner departed from this mental associationism and claimed that what associates two things is the environment itself, not the mind of the spectator[[2]](Print_version.html#cite_note-2). This departure has been noted as being part of a substantial number of changes in what was, until then, called Behaviorism - and which Skinner called Radical Behaviorism - that it may be a historical accident that it was called Behaviorism at all [[3]](Print_version.html#cite_note-3).

## Behaviorism as a learning theory

The school of adult learning theory that adopted these principles has become known as the school of Behaviorism, which saw learning as a complex process of responses to several kinds of distinct stimuli. Skinner always referred to it as a three-term contingency comprised of a discriminative stimuli, or Sd, a response, or R, and a reinforcing stimulus, or Srein. Conditions of deprivation and satiation, and other changes in the environment, have come to be generally acknowledged p[' as a kind of fourth term, and are denoted as Motivating Operations (MO) generally, Abolishing Operations (AO), or Establishing Operations (EO) depending on whether they make a reinforcer less effective (abolishing), more effective (establishing) and so on. Jack Michael has been instrumental in refining and exploring these elements [[4]](Print_version.html#cite_note-4)

A reinforcement is defined as a stimulus that strengthen the response, which is to say that it makes it more probable, or alters its frequency. Spillane (2002) states, “the behaviorist perspective, associated with B. F. Skinner, holds that the mind at work cannot be observed, tested, or understood; thus, behaviorists are concerned with actions (behavior) as the sites of knowing, teaching, and learning” (p. 380).

## The Technology of Teaching

There have been several major Behaviorist innovations for improving learning. A few were B.F. Skinner's Programmed Instruction, Fred Keller's Personalized System of Instruction (PSI)[[5]](Print_version.html#cite_note-5), Ogden Lindsley's Precision Teaching[[6]](Print_version.html#cite_note-6), and others.
    
    
       Technology of teaching must go hand in hand with that of learning.First the teacher must SURVEY the content of teaching.Then,QUESTION the topic to be teached.Followed by READING the topic and RECALL them.REVIEW in subsequent lesson-chapters.
    

B.F. Skinner also wrote a book on major problems in popular teaching theories called _The Technology of Teaching_ which attacked educational problems which were then current. The descriptions of educational problems, not surprisingly, seems like it was written today: truancy, vandalism, violence in the classroom and more.

One of the keys to effective teaching is discovering the best consequence to shape the behavior. Consequences can be positive or negative – rewarding or punishing. Consequences transpire after the desired behavior occurs and can involve either positive or negative reinforcement. **Positive reinforcement** involves a stimulus that increases the likelihood of a particular response, such as a child receiving a gold star for doing a chore. **Negative reinforcement** also increases the probability of the desired response and involves removing an undesirable stimulus upon completion of the desired response. An example might be entering the correct password to turn off a loud alarm. **Punishment** is often confused with negative reinforcement; however, punishment is used to _erase_ undesirable behaviors by presenting a distressing stimulus when the behavior occurs. Paying a fine for bouncing a check is a form of punishment. “Extinction” occurs when there is no consequence at all – for example if you knock at the door and no one answers, pretty soon you simply stop knocking (Zemke, 2002).

## Verbal Behavior

The seminal work of Pavlov demonstrated that the application of neutral stimuli could be used to elicit a response from animals in the same way that an unconditioned stimulus could [[7]](Print_version.html#cite_note-7) From these initial studies other psychologists such as John Watson demonstrated that these principles could be applied to humans (Cheetham & Chivers, 2001)[[8]](Print_version.html#cite_note-8). Skinner invented the term _operant_ to describe his attempt to better account for volitional behavior we usually call free [[9]](Print_version.html#cite_note-9). In Skinner's original work it was confined solely to animals, particularly the white rat. However, it wasn't long before operant behavior was observed in humans. Skinner's attempt to account for the operant behavior of humans, including complex language functions, resulted in his seminal work, Verbal Behavior (1951) which accounted for ways in which human operants differed for non-human ones. This was extended with the conception of rule governed behavior [[10]](Print_version.html#cite_note-10)

## The Illusion of Free Will

One of the assumptions of many behaviorists is that free will is illusory, and that all behavior is determined by a combination of forces. These forces comprise genetic factors as well as the environment either through association or reinforcement. The "illusion of free will" concept is deeply embroiled in the nature vs. nurture controversy. Asking the question, "Are individuals shaped by genetics or by existentialism?" is the essence of this debate. Behaviorists believe that the environment is the primary influence that determines who individuals will be and the behavior they will develop. Hence, the reason why free will is only an illusion or imaginary deduction.

Skinner argued that the assumption of lawfulness in human behavior was an unprovable prerequisite to the scientific investigation of human behavior[[11]](Print_version.html#cite_note-11). Without the assumption of lawfulness, that is the lack of freewill, such a science could not exist.

Skinner has continued this argument by noting in his controversial book _Beyond Freedom and Dignity_ that the historically beneficial forces that have arisen to defend Freedom and Dignity may be violently opposing the scientific conception of man.

## Criticism

This theory has latterly been criticized as overly simplistic. Nevertheless, its influence can be seen in educators’ insistence that feedback is critical to learning. The stimulus-response method is used frequently in adult learning situations in which the students must learn a time sensitive response to a stimulus. Aircraft emergency procedures, for example, are divided into two parts. The first, the time sensitive portion, must be immediately performed by rote memory upon recognition of a stimulus – a warning light, horn, buzzer, bell, or the like. These procedures are taught and reinforced with rote drills and successfully passing the tests is the reinforcement. The second portion of the procedure, which may be viewed as diagnostic action is performed with mandatory reference to checklists and other reference material and depends on what may be viewed as higher level learning and understanding of aircraft systems and performance characteristics.

Behaviorist Theory maintains a focus on the change in observable behaviors as the manifestations of learning. The theory emphasizes changes in behaviors due to the influence and control of the external environment, rather than the internal thought process of the subject (Merriam & Caffarella, 1999). Simply put, people will learn desired behaviors due to stimuli from their external environment that recognize and reinforce the behavior in a positive manner. Undesired behaviors can be controlled or eliminated by an absence of attention to or recognition of such.

Behaviorism is comprised of several individual theories that have a common theme functioning within them. This common theme is found in the ways the theorists define what learning is, and how it is accomplished. The common assumptions of these theorists are threefold, as explained by Merriam and Caffarella (1999). The first common assumption is the emphasis on observable behavior rather than internal thought processes create learning. Second, ultimately it is the environment that creates learning and it determines what is learned, not the individual learner. Lastly it is the ability to understand the overall process, and the ability to repeat or reinforce that process that is a common thread (Merriam and Caffarella, 1999). This theory is most commonly seen in adult learning when organizations take repeatable training steps and systematize them into manageable tasks.

The hypothesis behind behavioralist learning theories is that all learning occurs when behavior is influenced and changed by external factors (Merriam & Caffarella, 1999). Behavioralism disregards any notion that there may be an internal component to man’s learning. Grippin and Peters (1984) emphasize that “_contiguity_…and _reinforcement_ are central to explaining the learning process” (Merriam & Caffarella, 1999, p. 251) in regard to an individual’s subjugation to external stimulus as a determinant of response (i.e., behavior). Contiguity is understood as the timing of events that is necessary to bring about behavioral change, while reinforcement refers to the probability that repeated positive or negative events will produce an anticipated change in behavior (Merriam & Caffarella, 1999).

Behavioral theory is a key component of animal training and skill training in humans. Teaching animals to sit for a kibble is very similar to clapping and hugging your child for their first steps or bike ride. Slot machines are based on intermittent reinforcement, which in turn leads gamblers to put more quarters in the machine to be reinforced by the ching ching of winning. As students, we are reinforced by the 100 points or A we receive on the test or paper, or by the removal of the F on the grade card. Source [[4]](http://web.cocc.edu/cbuell/theories/behaviorism.htm)

Behavioral theories have also been studied and applied in organizational leadership. Dating back to the 1940's, studies were conducted at Ohio State University (OSU) and the University of Michigan (UM) (Robbins 1998). What the researchers found in the OSU and UM studies can be classified into two categories: relationships and results. In the OSU studies, researchers compiled behaviors into two dimensions: initiating structure (results) and consideration (relationships). UM researchers compiled their leader behavior under two similar dimensions: employee oriented and production oriented. From this research, Blake and Mouton developed the Managerial Grid, later to be called the Leadership Grid. This grid assists leaders in assessing possible outcomes to their behavior within an organization. Robbins states, "The grid does not show results produced but, rather, the dominating factors in a leader's thinking in regard to getting results" (p. 351). Behavioral leading and learning is based on organizational and cultural conditioning. This can be observed in the tough-handed, "hatchet wielding" approach of Jack Welch and in the benevolent "lend-a-hand" approach of Herb Kelleher. Behavioral theories within leadership have had "modest success in identifying consistent relationships between patterns of leadership behavior and group performance. What seems to be missing is consideration of the situational factors that influence success or failure" (p. 353).

## Simplistic or fundamental?

Some might view this theory as being a very elementary learning process. It suggests, by and large, that any learning is result oriented, and, therefore, learned by repetitive actions based on punishments or rewards. Merriam and Caffarella (1999) refer to Thorndike's work which used animals in controlled experiments to determine learning behavior based on the stimulus presented. This process, while presenting a possible outcome for comparison, is unrealistic when compared to the intelligence capabilities of humans. It could be argued that this theory tends to diminish the possibilities in human learning. In some circumstances, however, this method of learning is necessary; particularly when dealing with individuals with lower reasoning abilities or lower intelligence.

Pattison (1999) suggested that American adult education’s roots in liberal arts education and then progressive education quoting (Elias & Merriam, 1995, p. 205). This progressive education focused upon the broad populace, not just social elites which liberal education intended to do according to Pattison. This progressive education began taking hold in the 1920’s in public education settings. Into this social setting Behaviorism came. Pattison suggest that early behaviorists like John Watson focused on job skills and behavior adaptation that would “secure the survival of humans, societies, and individuals.” Behaviorism coupled with progressive education would help “control human behavior and viewed education as a tool for bringing about societal change” (p. 6).

Behaviorist theory presents learning in short manageable blocks that build on previously learned behaviors. Kearsley (1994) identified three fundamental principles common in behaviorist learning:

  1. Positive reinforcement of the desired behavior will most likely prompt the same behavior.
  2. Learning should be presented in small manageable blocks.
  3. Stimulus generalization of learning can produce secondary conditioning.

The goal of this learning method is to transform the learner’s behavior to a “desired” behavior. The learner is rewarded often for exhibiting the desired behavior when they accomplish a learning block. This method is heavily used in the federal government to quickly train employees on the latest policies and procedures (i.e. government credit card use, anti-terrorism, and sexual harassment). In addition, this method is ideal for short lessons (no more than 20 minutes) which can be accomplished over the internet from the employee's desktop computer. Within the 20 minute timeframe, the employee will normally retain key points of the lesson. However, when the lesson goes beyond the 20 minute window, there is a potential for the employee to lose focus and hurry through it in order to fulfill the requirement and get back to work. As a result, the employee retains very little and the organization has very little success in achieving the desired behavior.

While it is true behaviorist theories can be simplistic in their concept, their application to the human has allowed for much to be discovered about learning, memory and even neuroscience. Since the late 1800s, psychologists using behavioral principles have established hundreds of tests to identify both how learning and memory occur in varying complexities of brain structures. Across many species, for example, it has been shown that when the reinforcing agent is "painless" then learning occurs in the cerebellum. However if there is an emotional connection (particularly negative such as fear) to the reinforcer then learning and memory occur in the amygdala (Kolb & Whishaw, 2005)

Training of individuals centers on the concept that all learning is the result of the environment acting upon behaviors. The environment of an individual reinforces behaviors either positively or negatively and all of learning takes place through environmental influences. Adult learning can be seen strictly through this focus, but a more centrist approach is neobehaviorism. Neobehaviorism suggests that not only does the environment reinforce behavior, but there is an interaction between the individual and the environment. This is an important concept as it relates to adult learning because of the relative importance of choices to motivation in the learning process (Ross, 2002).

While Behaviorist Theory was founded in the early decades of the twentieth century, there still exist many examples of support for the theory. It is not uncommon for organizations to articulate the desired behaviors they expect will lead to positive business results. Organizations then reinforce those behaviors through performance management and by adjusting the environment to reward or recognize the desired behaviors. For example, many companies measure employee performance on two dimensions: business results and desired behaviors. As well, organizations encourage, through recognition, such positive behaviors as perfect attendance, employee suggestions for improvements, raising quality issues that would adversely impact a customer, and good safety behaviors.

Various approaches to promote behavioralist theory in Organizational Learning are many times predicated on the belief that organizational members prefer, if not altogether require specific standard operational procedures (SOP). In other words, creative problem solving does not come naturally with most group members. Following such rationale, Foil and Lyle (1985) note that this theory is counter to cognitive reasoning which would look at what is happening environmentally and determine whether SOP is the most appropriate response to each various event.

## Case studies & workplace examples

### Attendance point system

One example of behavioral learning in the workplace is through an attendance point system. Often times, this type of system offers both positive and negative reinforcement. For example, most companies using a point system have a written policy stating that employees may accrue a maximum amount of points during a 12-month revolving period. An employee is then given a partial point, or more, towards an accrual of the maximum allowable any time there is an infraction of the policy – especially an attendance infraction. The negative reinforcement is the notification of accrued points and disciplinary action taken per level of point accrual – sometimes culminating in termination of the employee. Positive reinforcement can occur when there is periodic recognition of employees with “perfect” attendance or zero points. There is one possible fallacy in the system, however. It occurs when an employee appears to be no longer controlled by the point system, but rather controls the system by knowing just how many points can be accrued without soliciting discipline. It is in this last scenario that one understands why most theorists have come to believe that learning is not solely comprised of external influence but that it also includes an internal component as well.

### Continental Airlines

Continental Airlines applied this behavioral learning approach in a very successful effort to reduce absenteeism and increase performance during the turnaround engineered by Gordon Bethune. Taking over after the disastrous reign of Frank Lorenzo when employee morale and commitment declined to the point that Continental employees would frequently remove the company logos from their uniforms, Bethune realized that rewarding employees for what was really important would drive important behavioral changes. Bethune realized that what was important was rebuilding passenger confidence and preference by providing service that met customer needs. To this end, the company implemented quarterly bonuses for all employees based on achieving targeted levels of performance in the FAA quarterly ratings of airlines based on lost baggage claims, on time departures, and customer complaints. In addition, employees with perfect attendance each quarter were entered into drawings for Ford Explorers. Both programs resulted in marked changes in behavior and contributed to the turnaround from the edge of bankruptcy. (Bethune and Thuler, 1998)

### Time clock

Another example that is elementary yet worth mentioning is The Salvation Army, Canton Corps' use of a time clock. The initial purpose of the clock in that environment was uncertain. We found that most people who use the time clock were not using it as intended. Many did not remember to clock in or out, or they would not use the clock at all. Not until pressure was exerted on each employee by ruling that they would not get paid if their cards were not adequately punched, did employees begin to use the time clock appropriately. In a few short weeks of reminders and a few short paychecks, the time clock was being used properly

## References

  1. [↑](Print_version.html#cite_ref-1) Watson, John Broadus, _Psychology as the Behaviorist Views It_, 1913 [[[1]](http://psychclassics.yorku.ca/Watson/views.htm)]
  2. [↑](Print_version.html#cite_ref-2) Skinner, B.F. _About Behaviorism_ p.43
  3. [↑](Print_version.html#cite_ref-3) Chiesa, Mecca. (1994) Radical Behaviorism: the Philosophy and the Science.
  4. [↑](Print_version.html#cite_ref-4) for example Michael, J. Motivating operations. In J. O. Cooper, T. E. Heron, & W. L. Heward, Applied behavior analysis (2nd ed.) Upper Saddle River, NJ: Prentice Hall/Merrill.
  5. [↑](Print_version.html#cite_ref-5) Keller, F. (1968) Goodbye Teacher in the Journal of Applied Behavior Analysis [[[2]](http://www.pubmedcentral.nih.gov/articlerender.fcgi?artid=1310979)]
  6. [↑](Print_version.html#cite_ref-6) see <http://en.wikipedia.org/wiki/Ogden_Lindsley> for a list of his titles and a description of his work
  7. [↑](Print_version.html#cite_ref-7) See Yerkes, 1909 for example <http://psychclassics.yorku.ca/Yerkes/pavlov.htm>.
  8. [↑](Print_version.html#cite_ref-8) See also Watson's (in)famous Little Albert extensions to infant humans
  9. [↑](Print_version.html#cite_ref-9) Skinner, B.F. (1938) The Behavior of Organisms
  10. [↑](Print_version.html#cite_ref-10) for example Galizio, M. (1979)Contingency-shaped and rule-governed behavior: instructional control of human loss avoidance, _Journal of the Experimental Analysis of Behavior_, 31, 53–70. [[[3]](http://www.pubmedcentral.nih.gov/articlerender.fcgi?artid=1332789)]
  11. [↑](Print_version.html#cite_ref-11) see Skinner, B.F. About Behaviorism and other sources

  


[Constructivist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) →

**[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Constructivist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Constructivist

## Introduction

Constructivism is a learning theory that attempts to explain how learners learn by constructing understanding for themselves. This section will explore the constructivist learning theory by defining constructivism, providing varying views of constructivism, and illustrating how constructivism relates to independent learning and higher education.

Constructivism really got its start in the late 1980s. But many people did not know how to label what they were doing.

In the 1990s, constructivist books abounded. Many people became interested in it.

The principles of Constructivism are broadly adopted in many areas of education today. The notions of authentic activities, social negotiation, juxtaposition of instructional content, nurturance of reflexivity, and student-centered instruction inspired many instructors to examine and think about the importance of interactions between teachers and students, students and students, and students and learning materials as well. Therefore, both instructors and students may have opportunities to enhance the effectiveness of their teaching and learning.

Constructivism gives teachers another perspective to rethink how students learn and to focus on process and provide ways of documenting change and transformation. It also reminds teachers to look for different ways to engage individual student, develop rich environments for exploration, prepare coherent problem sets and challenges that focus
    
    
    the model building effort, elicit and communicate student perceptions 
    

and interpretations(Abdal-Haqq, 1998).

Principles of Constructivism

  1. Constructivist learning environments provide multiple representations of reality.
  2. These representations represent that complexity of the real world.
  3. Knowledge construction is emphasized over knowledge reproduction.
  4. Authentic tasks are emphasized in meaningful context.
  5. Real world settings or case-based learning is provided.
  6. Thoughtful reflection on experience is encouraged.
  7. Enable context- and content- dependent knowledge construction.
  8. Supports collaboration and social negotiation among learners.
  9. Discovery learning
  10. Collaborative activity
  11. Integration and activation of prior knowledge
  12. Opportunities for hands-on activities

(Abdal-Haqq, I. 1998; Jonassen, 1994)

[This is mostly straight out of Educational Technology Journal 1994 vol.34(4) pp.34-37 - Perhaps Abdal-Haqq reprinted the list? Regardless Jonassen should be listed - and this is definitely Copyrighted work].

## Constructivism defined

Constructivism is a synthesis of multiple theories diffused into one form. It is the assimilation of both behaviorialist and cognitive ideals. The “constructivist stance maintains that learning is a process of constructing meaning; it is how people make sense of their experience” (Merriam and Caffarella, 1999, p. 260). This is a combination effect of using a person’s cognitive abilities and insight to understand their environment. This coincides especially well with current adult learning theory. This concept is easily translated into a self-directed learning style, where the individual has the ability to take in all the information and the environment of a problem and learn. Constructivism reflects the organismic world view (Goldhaber, 2000).Compared with behaviorism which is originated from the mechanistic world view, constructivism concerns how change occurs in development. For behaviorists, change comes about when an external force acts upon an object that is inherently at rest. For organismic theorists, behavioral change is inherent in the living organism itself rather than extremely driven.

Contrary to criticisms by some (conservative/traditional) educators, constructivism does not dismiss the active role of the teacher or the value of expert knowledge. Constructivism modifies that role, so that teachers help students to construct knowledge, rather than to reproduce a series of facts. Constructivism is also often misconstrued as a learning theory that compels students to "reinvent the wheel." In fact, constructivism taps into and triggers the student's innate curiosity about the world and how things work. And then, students create organizing principles that they can take with them to other learning settings.

## View points

Although varying constructivist theories exist, there is agreement between the theories “that learning is a process of constructing meaning; it is how people make sense of their experience” (Merriam & Caffarella, 1999, p. 261). Two viewpoints of constructivist theories exist. They include the individual constructivist view and the social constructivist view. The individualist constructivist view understands learning to be an intrinsically personal process whereby “meaning is made by the individual and is dependent upon the individual’s previous and current knowledge structure” (p. 261) and as a result can be considered an “internal cognitive activity” (p. 262). The social constructivist view, however, premises that learning is constructed through social interaction and discourse and is considered, according to Drivers and others (1994), to be a process in which meaning is made dialogically (Merriam & Caffarella, 1999).

## Constructivist theory and independent learning

When applying this theory to independent learning, it is essential to understand that we need to consider the cultural environment in which this learning takes place. Isolated learning is an oxymoron. Merriam and Caffarella (1999) suggest that adult learning, while self-directed, must have input from outside influences. That may take the form of investigation, social interaction, or more formal learning environments.

The constructivistic learning approach involves educators building school curriculum around the experience of their students. Constructivists believe learner-centric instructional classroom methods will strengthen the commitment and involvement of self-motivated learners because of their high level of interaction. Today, there is a trend for incorporating technology into the classrooms to support instructional learning methods. Yet, recent studies have revealed technology is not effectively integrated with the concepts of constructivism (Hare et al, 2005).

Nevertheless, constructivistic methods of instruction with using computer technology have developed to meet the instructional goals and conditions. One of the most powerful and versatile tools is the web-based learning. The web-based learning provides learners with optimal learning environment. They can be exposed to the multiple perspectives through collaborative social negotiation within peers or teachers. Additionally, in spite of PC games which originally have not been developed for instructional purposes, even in games such as games for virtual flight simulation or city planning simulation, learners can be exposed to the complex or probable environments. In order to improve the problem-solving skills, it is important for learners to be exposed to complex environments. Constructivism might be broad learning theory because it is synthesized with multiple theories into a single form. Thus it is evident that the method of instruction using technology can be applied with various approaches.

Constructivist theory's (J. Bruner) main theme is that learning is a process in which the learner is able to build on present and previous information. The student is able to take information, create ideas and make choices by utilizing a thought process. The trainer should encourage the student to develop the skills to find out principles on their own. There should be on-going dialog between the student and the trainer. The trainer is responsible for making sure the information is in a format the student can comprehend. The key is to assure the course builds on what has already been learned.

Constructivists think that learners build knowledge actively through the interactions with environmental stimuli. In other words, learning focuses on the learners' questions and exposure. Assessment should avoid standardized tests and grades such as achievement tests designed with multiple choices to test subject-specific knowledge. Assessment appears in the learning process, so students play an important role in examining their own progress.

← [Behavioralist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Post-Modern Theories](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) →

← [Behavioralist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Post-Modern Theories](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

## See Also

  * [John Holt](http://en.wikibooks.org/w/index.php?title=John_Holt&action=edit&redlink=1)
  * [Contemporary Educational Psychology/Chapter 2: The Learning Process](http://en.wikibooks.org/wiki/Contemporary_Educational_Psychology/Chapter_2:_The_Learning_Process)
  * Definition(s) & Reading Links:

<http://carbon.cudenver.edu/~mryder/itc_data/constructivism.html>

  * Constructivist Models:

<http://carbon.cudenver.edu/~mryder/itc_data/idmodels.html#constructivism>

  * Teaching Practices:

<http://www.grout.demon.co.uk/Barbara/chreods.htm#bk5>

  * Constructivism (learning theory):

<http://en.wikipedia.org/wiki/Constructivism_(learning_theory)>

  * Instruction:

<http://www.funderstanding.com/constructivism.cfm>

  * Institute for Learning Centered Education:

<http://www.learnercentereded.org/index.html>

In Search of Understanding: The Case for Constructivist Classrooms, Revised Edition by Jacqueline Grennon Brooks and Martin G.

  * Book Introduction:

<http://www.ascd.org/ed_topics/brooks1999_intro.html>

  


## Video Links

  * [Reasoning and Critical Thinking](http://en.wikibooks.org/w/index.php?title=Reasoning_and_Critical_Thinking&action=edit&redlink=1)

<http://video.google.com/videoplay?docid=-2944672249148867588>

  * [Group or Cooperative learning](http://en.wikibooks.org/w/index.php?title=Group_or_Cooperative_learning&action=edit&redlink=1)

<http://video.google.com/videoplay?docid=1215234304122679474>

  * [Ownership (grading one's own assignment by the use of primary spoken language)](http://en.wikibooks.org/w/index.php?title=Ownership_\(grading_one%27s_own_assignment_by_the_use_of_primary_spoken_language\)&action=edit&redlink=1)

<http://video.google.com/videoplay?docid=5497177369833882289>

  


## References

Jonassen, David H. 1994. Thinking Technology: Toward a Constructivist Design Model. Educational Technology, 34(4), pp. 34-37.

# Post-Modern

## Overview

Postmodernism, by the nature of the movement itself, is not easy to define. To understand postmodernism in the context of adult learning, it may be beneficial to first understand that the postmodern movement is much larger than adult learning. It is inclusive of a wide variety of disciplines and areas of study including art, architecture, music, film, literature, sociology, communications, fashion, technology, and education (Klages, 2003). Because postmodernism is as much a philosophical movement as it is a learning theory, it is impossible to discuss the movement without also discussing the underlying philosophy and ubiquity of the postmodern movement.

Post-modernism differs from most approaches to learning in two fundamental ways. The first is that rationality and logic are not important to attaining knowledge. The second is that knowledge can be contradictory. Because of the contextual nature of knowledge, individuals can hold two completely incongruent views of one subject at the same time (Kilgore, 2001).

Post-modernism relates to post-industrialism. The industrial era came about as a result of Newtonian thinking – an era wherein thought and processes were considered in mechanistic terms of efficiency and effectiveness and understood scientifically through the processes of reductionism (the simplification of the complex into understandable, and at times oversimplistic terms). The learning gleaned from the industrial (modern) era laid a foundation for the world to add new knowledge through a new era - what is now termed as the “post-modern” era. Presently, several post-modern theories exist, but at the core of each of these theories is the basic concept that what was once only understood within the context of reductionism is now beginning to be understood within the context of interrelatedness - an understanding that “things are much more diverse, fluid, illusionary, and contested, including the reality of the world itself” (Merriam & Caffarella, 1999, p. 356) than originally thought.

Though truth is central to postmodern thinking, it is not the search for truth that is valued. In contrast, the postmodern mind challenges what is accepted truth. According to Astley (1985) and Gergen (1992), as cited in Dierkes et. al. (2003), postmodernists challenge "the conventional wisdom, routines, static meanings, and axioms of 'normal' science, thereby exposing knowledge to non-dogmatic forms of thought" (p. 44). One can see how this philosophy has become embraced in academia and one could argue that it is the primary modus operandi in many institutions of higher learning, especially in philosophy and the humanities.

The postmodern approach to learning is founded upon the assertion that there is not one kind of learner, not one particular goal for learning, not one way in which learning takes place, nor one particular environment where learning occurs (Kilgore, 2001).

Kilgore (2001) makes several assertions about the postmodern view of knowledge:

  1. Knowledge is tentative, fragmented, multifaceted and not necessarily rational.
  2. Knowledge is socially constructed and takes form in the eyes of the knower.
  3. Knowledge is contextual rather than “out there” waiting to be discovered.

Hence, knowledge can shift as quickly as the context shifts, the perspective of the knower shifts, or as events overtake us.

The label of postmodernism defines a shift in culture that occurs over time. This can be understood best through defining causality, an understanding of cultural shifts, and collecting the basic overall concept of postmodernism.

## Defining causality (What causes shifts)

Ultimately, shifts occur through modes of communication. The largest shift in the past century is the development of a global community through the use of internet. Past shifts in society have also connected to modes of communication. Technology shifts like Guttenberg and his creation of the printing press gave the power of books into the hands of the common people. This empowerment of information started a shift in society that affected the world.

## Cultural shifts (How it occurs)

Cultural shifts happen in waves. Postmodernism as a cultural shift began its shift as early as the 1930s and 1940s in conversations about postmodernism and architecture. Over time the concepts and ideas that are on the fringe of society will affect conversations, artistic pieces, and eventually become pervasive on a large enough scale to affect the whole of a society.

## The current debate (The basic definitions of PoMo)

In postmodernism everything is relative and is deconstructive. The division of the term "postmodernism" breaks down into two major parts, post and modernism. Post is built philosophically on thoughts from multiple arenas, and varied sources, who use deconstructionism as a modus-operandi. The idea of postmodernism is not to know what you are not, but to not really know what you are. What postmodernism is not is modernism. It is an after effect of the modernistic era that capitalized on individuality, built on absolutes, and the scientific method as its structure. Postmodernism in its current form is still developing and is not completed. Leonard Sweet and other futurists say this wave will be complete somewhere in the range of 2020, shifting the society from modernism into what it will become. All that may be understood at this stage is what the society on the fringes is saying we are not, which is modernism.

Deconstruction is a powerful postmodern tool for questioning prevailing representations of learners and learning. According to Kilgore (2001), the purpose of deconstruction is to identify and discredit the false binaries that structure a communication or “discourse”; that is, to challenge the assertions of what is to be included or excluded as normal, right, or good. In postmodernism there are no universal norms or “truth” on which to judge the validity of any message of knowledge; rather the postmodernist works toward a continuous construction of truth as multiple alternatives are included in the body of known information.

Sometimes it is easier to understand what a concept is by comparing it with what it is not. For example, according to Boje & Prieto (2000), when comparing modern to postmodern principles in the area of leading, Theory X or Y is modern while servant leadership is postmodern. Centralized leading is to modern as decentralized, wide spans, and few layers is to postmodern. Modernism is boss centered while postmodern is people centered. White male career track reflects modernism and tracks for women and minorities looks like postmodernism. Comparison of the theories indicates that servant leadership can indeed be considered a postmodern theory.

Merriam and Caffarella (1999) contend that "The self in post modern thought is not the unified, integrated, authentic self of modern times. Rather, the self is multiple, ever changing, and some say fragmented" (p. 357). Postmodern thinking has moved individuals to consider a new reference for self-identification. A life that was once in order based on societal norms is now in a state of constant flux as societal norms have shifted dramatically in recent decades. The "Leave it to Beaver" lifestyle is a faded memory. This causes educational institutions and adult learners to shift education and teaching toward a more non-traditional forms.

Postmodernism accepts a worldview that what is real is what one observes, believes, or experiences. For example, anthropologists see that … “the relation between part and whole has been made problematic”… because “the conception of the whole is a construct of the observer … (Smith, n.d.). Hence, what is real is what one observes occurring around them and gives definition and reality to a situation.

Postmodernism calls into question many of the assumptions once accepted by modernists. “From the postmodern point-of-view, modernism is defined by its belief in objective knowledge” (Lemke, n.d.). “Postmodernism … argues that what we call knowledge is a special kind of story, a text or discourse that puts together words and images in ways that seem pleasing or useful to a particular culture. … It denies that we can have objective knowledge, because what we call knowledge has to be made with the linguistic and other meaning-making resources of a particular culture, and different cultures can see the world in very different ways, all of which "work" in their own terms. It argues that the belief that one particular culture's view of the world is also universally "true" was a politically convenient assumption for Europe's imperial ambitions of the past, but has no firm intellectual basis” (Lemke).

So what about the age-old questions about truth and knowledge? Postmodernists might say, "Truth is what people agree on," or "Truth is what works," or "Hey, there is no Truth, only lots of little 'truths' running around out there!" Postmodernists tend to reject the idealized view of Truth inherited from the ancients and replace it with a dynamic, changing truth bounded by time, space, and perspective. Rather than seeking for the unchanging ideal, postmodernists tend to celebrate the dynamic diversity of life (Wilson 1997).

One can see that even once firm historical events, verified through empirical verification, are no longer viewed as an objective truth, but became the object of one’s understanding of the historical perspective out of their interpretation and story. Lemke quotes Foucault who “said, in effect, that it was chimerical to imagine that historians could reconstruct a real past; historical discourse is a discourse of the present, serving present ends, making sense for us today out of the archeological traces of past human activity”.

One of the significant difficulties organizations and individual relationships encounter is communication breakdowns when widely varied world views exist in the same discussion or dialogue. Lemke suggests that: “The phenomenological perspective does not need to be limited to conceptualizing how the world looks different to men and women; it can be used to examine how it looks different to the young and the middle-aged, to the novice and the expert, the student and the teacher, the ghetto child and the comfortable academic. We each construct our own lifeworlds, and even when we are in the same room, trying to talk to one another, we may still be worlds apart”. Kilgore (2001) points to the difficulties in communication that often misrepresent a message. The communication process is so convoluted that a message can be distorted in many ways. The construction of the message in the language used can be misinterpreted and misapplied by the learner. The cultural context of the communication can cause a lack of clarity or bias. The recipients of the knowledge are affected by other messages and experiences that result in many interpretations of the same information.

Postmodernism, in the context of an adult learning theory, invites contention in the attempt to discover the truth. Once considered a passing fad, postmodernism earned a strong following because of its motivation to draw upon multiple theories. In higher education, postmodernism encourages its followers to question every facet of the institution's structure and learning methods.

## Case studies & workplace examples

The postmodern approach to learning offers the freedom from absolutes. There is no one good way to learn. In fact, there is not one good thing to learn. Learning takes place in the experience between the learner and the knowledge presented. Our current experience with all the do-it-yourself and information presenting, learning-based television shows illustrates this point. So many of us find ourselves watching a television show that informs us of a process or experience in which we will never participate or apply that knowledge. We will never overhaul a car, build a fountain in our backyard, travel to Peru to examine ancient ruins, or remodel our neighbour's house. The experience of interacting with the knowledge brings satisfaction in and of itself. What each of the viewers takes from the same show is inconsequential to most of the producers, the importance lies in interacting with and enjoying the content.

← [Constructivist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Adult Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories) →

← [Constructivist Theories](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Adult Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Adult Learning

## Overview

Typical adult learning theories encompass the basic concepts of behavioral change and experience. From there, complexities begin to diverge specific theories and concepts in an eclectic barrage of inferences. Up until the 1950s basic definitions of learning were built around the idea of change in behavior (Merriam and Caffarella, 1999). After this point more complexities were introduced “such as whether one needs to perform in order for learning to have occurred or whether all human behavior is learned ” (Merriam and Caffarella, 1999, p. 249).

Jean Piaget states that there are "four invariant stages of cognitive development that are age related" (Merriam & Caffarella, 1999, p. 139). According to the authors, Piaget contends that normal children will reach the final stage of development, which is the stage of formal operations, between the age of twelve and fifteen. As cited by Merriam and Caffarella (1999), Arlin (1975, 1984), established from the work of Gruber (1973)on the development of creative thought in adults, has attempted to identify a fifth stage of development, in addition to Piaget's formal operations. "She [Arlin] contends that formal thought actually consists of two distinct stages, not one, as Piaget proposed" (p. 141). Arlin (1975) proposes that Piaget's fourth stage, formal operations, be renamed the problem-solving stage. According to Merriam and Caffarella (1999), Arlin's hypothesized fifth stage was the problem-finding stage. This stage focuses on problem discovery. Though Arlin's proposed fifth stage produced more questions than answers, it opens the door to understanding the learning needs of adults; to be approached as thinkers.

According to a literature review by Ross (2002), humanism, personal responsibility orientation, behaviorism, neobehaviorism, critical perspectives, and constructivism are all important facets of, and perspectives on, adult learning theory. The most common treatments of the research of these areas of self-directed adult learning are learning projects, qualitative studies, and quantitative measures. Collins (1991) explores adult learning as the interactive relationship of theory and practice. In basic terms, the adult learner studies a particular theory and then puts it into practice when presented with the opportunity to do so. Thus, the understanding of an adult learning theory can prompt practice and practice can prompt adult learning theory revision.

Adult learning theories in and of themselves have very little consensus amongst them. There is great debate on an actual determined amount of theories that are even possible, as well as labeling those theories into groups like Hilgard and Bower’s (1966) stimulus-response and cognitive theories as large categories of their eleven theories. Another groups dynamic labels theories as mechanistic and or organismic (Merriam and Caffarella, 1999). Overall it seems that the theory of adult learning is broken down into two elements; 1) a process that creates change within the individual, and 2) a process to infuse change into the organization.

Malcolm Knowles might well be considered the founding father of adult learning. He contrasted the “concept of andragogy, meaning “the art and science of helping adults learn,”…with pedagogy, the art and science of helping children learn” (Merriam & Caffarella, 1999, p. 272). Knowles’ original studies and writings arose from the assumption that there are significant, identifiable differences between adult learners and learners under the age of eighteen. Primarily, the differences, according to Knowles, relate to an adult learner being more self-directing, having a repertoire of experience, and being internally motivated to learn subject matter that can be applied immediately – learning that is especially “closely related to the developmental tasks of his or her social role” (p. 272).

## Andragogy

Knowles (1968) popularized this European concept over thirty years ago. Andragogy, (andr - 'man'), contrasted with pedagogy, means "the art and science of helping adults learn" (Knowles, 1980, p. 43). Knowles labeled andragogy as an emerging technology which facilitates the development and implementation of learning activities for adults. This emerging technology is based on six andragogical assumptions of the adult learner:

  1. Need to Know: Adults need to know the reason for learning.
  2. Experience: Adults draw upon their experiences to aid their learning.
  3. Self Concept: Adult needs to be responsible for their decisions on education, involvement in planning and evaluation of their instruction.
  4. Readiness: The learning readiness of adults is closely related to the assumption of new social roles.
  5. Orientation: As a person learns new knowledge, he or she wants to apply it immediately in problem solving.
  6. Motivation (Later added): As a person matures, he or she receives their motivation to learn from internal factors.

These six assumptions dovetail with the thoughts and theories of others. Merriam and Caffarella (1999) point to three keys to transformational learning: experience, critical reflection and development. The aspect of experience (the second assumption to andragogy) seems like an important consideration in creating an effective learning opportunity for adults. The learning opportunity needs to be relevant and applicable to a person’s set of experiences. Argote, McEvily, and Reagans (2003) point to experience as an important factor in one’s ability to create, retain and transfer knowledge.

Critical reflection is the second key to transformational learning and part of andragogy’s self-directed learning. Reflection/think time is yet another essential principle to creating an effective learning experience for adults. Garvin (1993) shares the importance of fostering an environment that is conducive to learning including time for reflection and analysis. Adult learners need time to contemplate the ramifications of the learning experience to their experience and responsibilities.

The third key to transformational learning is development (corresponding to the third assumption of andragogy). Merriam and Caffarella state that “the ability to think critically, which is mandatory to effecting a transformation, is itself developmental” (p. 330). If development is the outcome of transformational learning, then an effective adult learning opportunity needs to be created that will take personal development into consideration

Andragogy assumes the following about the design of learning:

  1. Adults have the need to know why they are learning something.
  2. Adults learn through doing.
  3. Adults are problem-solvers.
  4. Adults learn best when the subject is of immediate use.

According to Knowles ( 1984, Appendix D) an example used to apply the principles to personal computer training:

>   1. Explain why certain skills are taught (functions, commands).
>   2. Task oriented instead of memorizing. Tasks should be common tasks .
>   3. Take diversity into play. Acknowledge different learning levels and experience.
>   4. Allow adults to learn on their own and from their mistakes. ( M.Knowles)

Some would contend that Knowles only introduced a theory of teaching rather than a theory of adult learning. In commenting on this thought, Merriam and Caffarella (1999) referring to Hartree suggest, "that it is not clear whether Knowles had presented a theory of learning or a theory of teaching, whether adult learning was different from child learning, and whether there was a theory at all-perhaps these were just principles of good practice" (p. 273). It is further contended that Knowles did not establish a proven theory, rather he introduced a "set of well-grounded principles of good practice" (Brookfirle, 1986, p. 98).

“Within companies, instructional methods are designed for improving adult learners’ knowledge and skills. It is important to distinguish the unique attributes of adult learners so as to be better able to incorporate the principles of adult learning in the design of instruction” (Yi, 2005, p. 34). Within this context, adult learning is aimed at not only improving individual knowledge and skill, but ultimately it is the goal to improve the organizational performance by transfer of learning directly to work applications. Yi suggest three methods to foster learning in adult organizations: Problem-Based Learning which seeks to increase problem-solving and critical thinking skills; Cooperative Learning, which builds communication and interpersonal skills; and Situated Learning, which targets specific technical skills that can be directly related to the field of work (Yi, 2005). Each of these methods support the assumptions about how adults learn; specifically they are more self-directed, have a need for direct application to their work, and are able to contribute more to collaborative learning through their experience.

## Multiple Intelligences

Howard Gardner represents those theorists who have dismissed the idea of one type of intelligence as typically measured by today’s psychometric instruments. He posited that there were seven (later eight) types of intelligences (Gardner, 1993):

  1. Linguistic intelligence
  2. Logical-mathematical intelligence
  3. Spatial intelligence or the ability to form a mental model of the spatial world and to maneuver within it using this model.
  4. Musical intelligence.
  5. Bodily-kinesthetic intelligence, or the ability to solve problems using one’s body as performed by athletes, dancers and other craftspeople.
  6. Interpersonal intelligence which is the ability to understand other people.
  7. Intrapersonal intelligence which is the ability to understand one’s self.

Gardner (1993) maintains that the first two are the types of intelligence commonly measured by IQ tests, and which are commonly accepted as “intelligence.”

Gardner later added an eighth intelligence to his taxonomy, Naturalist Intelligence, which he defined as “expertise in the recognition and classification of the numerous species -- the flora and fauna -- of his or her environment” (Gardner, 1999, p. 48) Sternberg’s Triarchic Theory can be viewed as an interpretation of intelligence as information processing. Li (1996) provides us with a useful summary of Sternberg’s theory. He tells us that: “In Sternberg's general theory, there are three subtheories: the componential subtheory, the experiential subtheory and the contextual subtheory, each divided into subdomains of concern. The contextual subtheory deals with the context of intelligence. Intelligence in the real world requiring adaptation, selection, and/or shaping the environment. Measurement of contextual intelligence would relate to the issue of social perception, culture fairness, and cultural relativeness. The experiential subtheory deals with the issue of novelty and automatizing of processing. It is related to the notion of learning and the dynamic interplay between controlled and automated processing in the competition for cognitive resources. Finally, there is the componential subtheory, which is subdivided into (a) metacomponents, (b) performance components, and (c) knowledge acquisition components, which are directly related to learning” (p. 38)

## Conditions/Environment

Some research suggests that situational circumstances constitute an environment that promotes or discourages learning. Those circumstances may be created by organizational structure, positive or negative environmental situations, or time constraints. Child and Heavens (2003) suggest, "The learning capabilities of organizational members are, at least in part, socially constructed by national, occupational, or other institutions" (p. 310). They further suggest that internal boundaries are established by specialities or departments within the framework of organizations that hinder cross-boundary learning.

In following the thread of environmental issues within organizations supporting or hindering learning, Starbuck and Hedberg (2003) suggest that positive outcomes are much more apt to result in a positive and successful learning experience. They contend, "Pleasant outcomes (successes) reinforce Stimulus-Response links whereas unpleasant outcomes (failures) break Stimulus-Response links. As a result, pleasant outcomes are much more effective at teaching new behaviors" (p. 331). This concept follows the transformational leadership theory providing positive opportunities for individuals to grow within the framework of organizational life. However, it may be contended that learning through failure (i.e. experiments which do not result in the anticipated outcomes) may provide a more thorough and circumspect understanding of the given topic or issue under examination, although this method will generally involve a longer learning curve. --The license to fail is often the surest key towards successful learning which an organization may provide.

Weber and Berthoin Antal (2003) suggest, "A key question is how long organizational learning processes take and whether the duration can be externally influenced" (p. 353). They further contend that learning processes that require practice are much slower than those that do not require practice. Time consideration is an important element in considering the process of learning within an organization that must meet specific deadlines or has a client base that needs to be managed continuously. The conditions may not be suitable for an elaborate training or educational program. Organizations must consider time pressure as a tool that can encourage learning and speed up processes. However, Weber and Berthoin (2003) contend, "Time pressure can both accelerate and slow down learning processes...is experienced as motivating or threatening...if the sense of threat becomes too excessive, however, learning can be slowed or made impossible altogether" (p. 355).

In 1998, the American Psychological Associations Media Psychology Division 46 Task Force Report on Psychology and New Technologies broadened the definition of media psychology and included eLearning and distance learning in among array of theories of learning to be included in research on adult learning. Learning psychologist and media psychology pioneer, Bernard Luskin expanded the understanding of "e" learning beyond electronic to included sensory response in this type of learning when he interpreted the "e" to mean education, excitement, enthusiasm, enjoyment and energetic, among other perceptions attached to media in the adult learning environment. This expansion added twenty-first century thinking into the theoretical framework comprising theories in adult learning.

## Experiential learning

Experiential Learning Theory emphasizes the role that true experiences play in the learning process. It is this emphasis that distinguishes itself from other learning theories. Cognitive learning theories emphasize cognition over affect and behavioral learning theories deny any role for subjective experience in the learning process.

Scholars in the field of education have two contrasting views when it comes to the concept of experiential learning. The first view defines experiential learning as a sort of learning which enables students to apply newly acquired knowledge in a relevant setting. The relevant setting can be a sponsored institution of learning with trainers, instructors, teachers, or professors to guide the lesson. The other school of thought defines experiential learning as "education that occurs as a direct participation in the events of life" (Houle, 1980, p. 221). Thus, learning is not achieved in a formal setting, but in the practice of reflection of daily experiences. Kolb furthers the second definition of experiential learning by developing a model which details learning process through experiences. Kolb and Fry's (1975) experiential learning model is a continuous spiral process which consists of four basic elements:

  1. Concrete experience
  2. Observation and reflection
  3. Forming abstract concepts
  4. Testing in new situations

Immediate or concrete experiences are the basis for observation and reflections. These reflections are assimilated and distilled into abstract concepts from which new implications for action can be drawn (Kolb & Fry).

According to Kolb and Fry (1975), the adult learner can enter the process at any one of the elements. The adult learner moves to the next step once he or she processes their experience in the previous step.

## Anxiety and the Adult Learner

An interview with psychologist Edgar Schein, Coutu suggests that more often than not, organizations fail at transformational learning. They rarely fundamentally change the behaviors within the organization. Schein dismisses the notion that learning is fun, especially for adults. He equates adult learning within organizations with that of the brainwashing techniques he observed while studying prisoners of the Korean War ([Coutu, 2002](http://hbswk.hbs.edu/archive/2888.html)). Organizations must find a method to deal with the anxiety adults experience when they are forced to “unlearn” what they know and learn something new (Coutu, 2002, p. 6). Schein discusses two kinds of anxiety: learning anxiety and survival anxiety. It is in this manner that he draws the parallel to brainwashing; that is “learning will only happen when survival anxiety is greater than learning anxiety” (Coutu, 2002, p. 6). Each of these anxieties could be managed, for example learning can be constructed in a “safe” environment where the consequences of failure are minimal. Survival anxiety can obviously be increased by threatening job loss, a lack of security, or recognizing competitive elements of the market.

## Jarvis’s Learning Process and Adult Learning Theory

One of the most significant qualities unique to adult learning as compared to that of children, teens, and traditional college students is life experience. That experience offers adult learners a meaningful advantage in the learning process. The sum of those experiences provides many reference points for exploration, new application, and new learning.

Merriam & Caffarella (1999) review Jarvis’s Learning Process in a wider discussion of adult learning. These authors quote Jarvis (1987a, p. 16) who suggests, “All learning begins with experience.” Real learning begins when a response is called for in relation to an experience. If an individual is unchanged by a situation, Jarvis questions whether real learning has taken place. He proposes that new experiences need to be experimented with, evaluated, reflected upon and reasoned about for the most effective change and therefore learning to take place. Jarvis continues, suggesting that these post experience behaviors culminate in the best and highest form of learning where change and increased experience have happened. Jarvis’s model offers an excellent learning model that can assist both facilitators and learners in advancing education and learning situations.

A few questions come to mind in light of Jarvis’s theory. Does Jarvis’s model reflect a deeply postmodern worldview where experience is either ultimate or paramount? How might this worldview expand or narrow learning theory? Does Jarvis’s model seem to accept the maxim that ‘experience is the best teacher’? We can of course qualify this statement by asking whether there is any learning which does not consist of experience in some form, whether in the classroom, on the playground or on the battlefield.

Is it possible that some hurtful and negative life experiences could be avoided if a person learned from another person who has already encountered and experienced a significantly negative life situation? Learning from an older or more experienced mentor provides an incredibly valuable learning forum and support network. Listening, and learning from a mentor’s successes, failures, or mistakes can help expand one’s knowledge base and shorten learning cycles experience alone would require. It seems that living largely out of one’s personal experiences also short-circuits meaningful, relational connections that expand one’s horizons and better equip one to succeed in this world and avoid so many of its pitfalls. Yet, it may be reasonably argued, that personal experience provides the most integral and visceral form of learning.

## Case studies & workplace examples

The adult learning experience presented itself in all of its glory and contradictions through a curriculum review taking place in a school setting. The objective was to examine the current school curriculum and evaluate it for strengths and weaknesses. The purpose for this review was to both align the curriculum with current practice and augment the curriculum to enhance student learning. Interestingly, the teachers involved in this process seemed to exhibit all the qualities of adult learners mentioned previously: learning through projects, applying self-direction to the process, challenging the process for purpose, and some approached the process with much anxiety. Engaging in the process illustrated that adult learning is individual and there were as many approaches to adult learning as there were people involved in the process.

At GM, there are several examples of learning opportunities in manufacturing operations that fulfill the key criteria of adult learning. That is, they provide adults with the need to know why they are learning something, usually via a review of competitive analysis and the importance of the topic to our improved competitive position. Secondly, they are often done in a workshop-type format, where adults can learn through doing. Next, the format typically will cover an application that will have immediate use and will require the students to bring their experiences to the class to assist and involve themselves with problem solving. Typical courses or learning opportunities cover safety issues, quality improvements, and productivity improvements as they apply to specific departments in the plant. In these workshop-style classes, actual problems are brought to the class for the students to learn and practice problem-solving skills. The outcomes and recommendations are then immediately applied in the regular operations.

At Medical Protective, adult learning has been promoted and encouraged among the entire community. Some learning is required for work-related functions, but other types of courses are intended to benefit professional development. Motivational factors, such as monetary incentives, courses being paid for, recognition, and the hope of advancement have encouraged all employees to participate in a learning course. By utilizing various information technologies, knowledge programs can be accessed online, downloaded to a PC, or printed off for manual review, depending on the need of the individual learner. Medical Protective employees are constantly adapting to the changing IT environment in the market around them, and are using these systems to become more efficient, knowledgeable workers.

← [Post-Modern Theories](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Organizational Learning: Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) →

← [Post-Modern Theories](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

* * *

# **Organizational Learning**

# Contributions by Discipline

## Introduction

Just as a wide variety of the social science disciplines have contributed to the study of Organization Behavior (OB), so too have they contributed to the subset of OB called Organizational Learning. Greenberg and Baron (2003) define an organization as “a social system consisting of groups and individuals working together to meet some agreed-upon objectives” (Greenberg & Baron). When one considers the key elements of that definition – individuals, groups, social systems, and objectives -- the disciplines of Psychology, Sociology, Economics, Anthropology, Political Science, Management Science and higher education as a whole would seem to have the most widespread and profound impact on the contributions to the understanding of organizational learning.

## Organizational learning contribution from educational psychology

[Educational psychology](http://en.wikibooks.org/wiki/Contemporary_Educational_Psychology/Chapter_2:_The_Learning_Process) has contributed to the field of learning since the mid-nineteenth century. Johann Friedrich Herbart may be thought of as the first voice of modern educational psychology. His disciples, called Herbartians, were instrumental in enhancing the field. They wrote on the subject referred to now as the schema theory and promoted five formal steps for teaching:

  1. Preparation (of the mind of the student)
  2. Presentation (of the material to be learned)
  3. Comparison
  4. Generalization
  5. Application

It was this group who started the evolution of researching and studying the field of teaching. In addition to Herbart's work, we have the classic contribution by Bloom.

[Bloom's taxonomy](http://en.wikibooks.org/wiki/Contemporary_Educational_Psychology/Chapter_9:_Instructional_Planning/Taxonomies_of_Educational_Objectives) delineates six categories of learning: basic knowledge, secondary comprehension, application, analysis, synthesis, and evaluation. Bissell and Lemons (2006) aptly distinguish the first two categories, basic knowledge and secondary comprehension, both of which do not require critical-thinking skills, from the last four--application, analysis, synthesis, and evaluation--all of which require the higher-order thinking that characterizes critical thought. The definitions for these categories provide a smooth transition from educational theory to organizational and adult learning. Researchers can use this taxonomy to evaluate the type of learning and the depth of thinking needed for effective knowledge sharing to take place.

## Organizational learning contribution from sociology

Dierkes, Berthoin Antal, Child, & Nonaka (2003) state, "Sociologists approach learning not as something that takes place in the mind but as something produced and reproduced in social relations of individuals when they participate in society" (p. 47). This concept opens the realm of integrated learning as a part of our every-day life. It suggests that a large part of our learning comes from the informal source of social relationships. This further introduces the concept of practice as a prominent factor in the sociological discipline. Dierkes et. al. (2003) further states, "Practice is a system of activities in which knowing is not separate from doing and situations might be said to coproduce knowledge through activity" (p. 49). The sociological discipline presupposes that every activity in life is an opportunity to learn and that learning in casual social settings is as important as formal learning experiences.

## Organizational learning contributions from economics

Contributions to organizational learning by the discipline of Economics have been most apparent in the development, usage, and mastery of analytical models used to improve decision making. Organizations or companies must be adept at quickly learning the implications of the competitive landscape for their particular sector. For instance, let's assess an economic model that seeks to optimize profitability based on current or anticipated market conditions. To achieve a perfect, optimal decision, the decision-maker must have complete and perfect information. Economic models and databases have been developed to improve this completeness and accuracy of information. By use of such models, learning is generated through the iterative review of outcomes predicted by models versus actual outcomes. This iterative process then perpetuates further development of models and inputs that lead to improved decisions or organizational learning (Greenberg & Baron, 2003).

## Organizational learning contribution from anthropology

It’s hard to find a clear connection with anthropological studies and language concerning organizational learning, although this is changing. The cause of this lack of connection can be directly attributed as a result of literature and the use of language, for example, “in the social sciences, the word ‘organization’ was traditionally understood not as a social unit but as a state, an attribute or an activity, and the relevant adjective was ‘organized’, not ‘organizational’” (Czarniawska, 2001, p. 118). Anthropology began to use the term ‘organizational learning’, as it refers to the learning we do, in context of social structures. This is an important delineation of terms because it crosses disciplines. Understanding the use of the term organizational learning in this light helps focus on how we learn in social structures, which is diffused differently than in the context of independent learning.

## Organizational learning contributions from political science

Research in the area of public sector learning is one example of the political science field's contribution to organizational learning. Allison's (1971) research indicated leaders in public organizations tend to use historical data to help make decisions and improve internal processes. One prime example is the use of historical data to develop war doctrine. The process begins with a war theory being transformed into a strategy. The strategy is field tested with exercises and experiments. Lessons learned from the exercise and experiments are evaluated and corrected. Once leadership is satisfied with the product, it is incorporated into an overall war-fighting doctrine. The ultimate test involves implementing the newly developed doctrine in battle. Thus, the battle generates more historical data for military leaders to use in improving their processes.

## Organizational learning from management science

The concept of management science is best understood within the framework of post-modern learning theories. The post-modern notion that all existence is interrelated can be applied to organizational learning by way of management science - purposing toward a new awareness. Peter Pawlowsky defines this organizational learning approach as the

> ...transformation of informational and knowledge resources in integrated work systems. [He adds that] innovation, growth, and productivity gains do not result from separating tasks in the workflow of a knowledge-intensive operation but rather from integrating and combining knowledge in order to develop new ideas and jointly develop solutions through problem-solving processes (Dierkes, 2003, p. 61).

Margaret Wheatley (1999) conceptualizes it in her book _Leadership_ and the _New Science_ as a “focus on holism” (p. 10) rather than reductionism. She recalls Donella Meadows’ recitation of “an ancient Sufi teaching that captures this shift in focus: “You think because you understand _one_, you must understand _two_, because one and one make two. But you must also understand _and_” (p. 10). It is the _and_ that guides management science thinking into a new realm – with new perspective and learning gleaned through collective wisdom and realized in a dimension not solely supported by rational thought.

The manager plays a critical role in establishing the learning environment for his or her employees. Creating an effective learning environment will allow people to draw upon resources, make sense out of things and construct meaningful solutions to problems. This will emphasize the importance of meaningful, authentic activities that help the learner to construct understandings and develop skills relevant to solving problems. The environment for learning is best when the risk of failure is understood and the consequences non-threatening. In other words, the environment must be one that enables, even encourages, learning from mistakes. It is with regard to this risk of failure, where the differences can be seen in the contributions between the academics and the practioners. Often it is difficult for the practioner to encourage risk-taking and learning from mistakes, as the consequences could directly impact the organization's performance. It is clear that those in academics understand what a learning organization is. The difficulty lies in implementing practices in an organization that augment performance and make a difference. Applying the concepts of a learning organization to an operating company is difficult for both academics and practitioners (Albert, 2005).

## Organizational learning in departments of higher education

Departments within institutions of higher education are forced to choose between two approaches; maintaining the status quo in practice and presentation or seek to develop new ways to engage students in the learning process. Apps (1994) noted a conversation he had with a high-level university administrator. "[The administrator] said, 'We develop the best and process the rest.' No matter how old the learners we are talking about, the emerging age requires more than developing a few and processing the many" (p. 167). Institutions of higher education and continued learning have to come to understand that they must be more than diploma and/or certification mills. Students must be engaged relationally, experientially, and academically. One of the ways this is accomplished is to assist students in the self-discovery process. This allows students to take ownership of who they are and what they perceive to be their life calling.

## Case studies & workplace examples

### IWU doctoral program

One example of management science (or holistic) learning is the ongoing process of creating a learning portfolio for the IWU doctoral program. It has become apparent that as the program progresses, doctoral student learning tends to become more exponential in nature – meaning that new knowledge is built upon prior knowledge and what is learned in one area is almost immediately applicable to another area. This was evidenced in a situation where one student went to a work-related seminar and attended a decision-making/problem-solving session. The decision-making/problem-solving tools gleaned at the seminar are currently being integrated into various aspects of the portfolio, being taught to others for their benefit, and combined with other knowledge and tools to construct workplace solutions.

### Private school

Another example of organizational learning out of the field of education comes from a faith-based not-for-profit private school. Learning within a school setting only seems natural. However, effective learning can be taking place inside the classrooms, but a dearth of effective organizational learning taking place within the structure of the school system. Organizational hierarchy exists within a traditional school setting in similar ways to most business and companies. The DCS System is no exception to the paradigm. A parent corporation oversees a governing school board to whom the superintendent reports. The superintendent directs seven principals on three campuses. Each principal has a faculty and staff for which he/she is responsible. Every teacher ministers to an average of 112 students (families).

### Parents

The lines of communication are vast and vital. One important line is the one connected to the parents. Although DCSS has struggled with parent communication over the years some of the attempts of knowledge sharing and organizational learning have been exemplary. The school system has an informative and current website. Parents can obtain “real-time”, up-to-date grades online. A monthly parent communication goes home in hard copy and can also be viewed online. Each teacher, administrator, and staff member has an email address assessable to students and parents. The traditional face-to-face parent/teacher conferences are still a critical piece of the school’s communication with the home. However, teachers use phone calls and personal conferences throughout the year for additional lines of information sharing. Additionally, the guidance office provides several evening meetings for parents interested in college and career preparation for their students. This serves not as an exhaustive list of the communication efforts of DCSS, but as a sampling of what a school can do to share knowledge with shareholders that are not physically present in the organizational environment.

### The Salvation Army Canton Citadel Corps

The Salvation Army Canton Citadel Corps is engaged in a process to integrate learning in every area of employee life. Such tools as an annual cultural survey, quarterly leadership assessment surveys, monthly staff meetings, and quarterly staff day away events are in place to introduce shared knowledge and to learn through social interaction. A current exercise is underway in which each employee picks the name of another employee out of a hat. Each employee then has one month to learn about the other person through whatever means they see fit. At the end of the month, a simple survey is conducted to see what each employee has learned. This process will help to enhance the social ties among the employees.

← [Adult Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories) · [Organizational Learning: Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) →

← [Adult Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Triggers

## Introduction

In order for organizations to learn, people must learn. Individuals within an organization learn as they carry out what is expected of them, both written and unwritten expectations. Written expectations are often delivered through job descriptions, memos, e-mails, and official documents. What is less clear for individuals within an organizational structure are the unwritten expectations. According to Maira and Scott-Morgan (1997), there are three groupings within organizations that best support an understanding of unwritten expectations: (1)motivators, (2)enablers and (3)triggers, delineated below.

Triggers, or triggering events, can be defined as circumstances which act as catalysts to organizational learning. As with human beings, organizations do not learn proactively (Watkins and Marsick, 1993). Given the tremendous pressures to perform and produce results, organizations tend to over-invest in exploiting existing knowledge and under-invest in learning or developing new knowledge (Levinthal, 1991).

Motivators are items that are important to individuals within an organization. "Motivators correspond to what is actually important to people, what they value" (p. 78). Maira and Scott-Morgan (1997)state that Enablers are those who are important to individuals within an organization. This may or may not be in line with an organizational chart, but involves those who are the actual "power brokers" within a firm. "Triggers are how people get what is important to them: the conditions that lead an enabler to grant a reward or impose a penalty" (Maira & Scott-Morgan, 1997, p. 78).

As motivators are items that stimulate individuals to learn, triggers (as explained above)serve as a kind of motivator to stimulate organizations to learn. Motivator tends to elicit the learning desire from individuals; however, trigger tends to force organizations to respond the changes of the environment such as socioeconomic changes. The learning motion motivated by motivators is more vountary; rather, the learning motions motivated by triggers is more involuntary.

Do organizations learn specifically through operational learning, or is conceptual learning another facet of learning potential? Are these different levels of learning? Lane (2001) speaks to this saying “another preoccupation of organizational learning theory is the elaboration of a distinction between different levels of learning: between operational and conceptual learning” (p. 702). These two levels are referring to routine and imitation that comes from learning versus conceptual thought which assumes people will question processes they are learning. These are different forms of triggers within individuals and groups as they learn. Understanding these and other triggers will help a person, group, or company evolve into learning organizations.

An article by the Center for Development of Teaching & Learning titled Assessing _Quality of Teaching in Higher Education_, noted the following means to trigger learning and include the quality of "a) formulation of objectives and syllabuses, b) construction of handouts/selections of readings, c) classroom activities, d) choice of modes of assessment, e) feedback to students, and design of exercises, f) design of assignments, projects, quizzes, and g) design of final examinations" (Mohanan, 2006, p.2).

According to Brookfield (1987, 1994), “triggers” are life events “that prompts a sense of inner discomfort and perplexity." A life event such as a birth of a new child, divorce or corporate downsizing can trigger the adult learner to critique their existing knowledge through reflection and determine what additional education is needed for improvement and job security. Knowing and understanding the triggers that motivate adult learners can aid educators in the development and design of learning modules, whether they be educators in the academic sense or leaders and educators within operating organizations.

According to Mohanan (2006), the characteristics of the teacher who is likely to trigger learning include: "a) has a deep knowledge and understanding of the subject matter, b) is committed to teaching and is hard working, c) continually seeks ways to improve, innovate, and be up to date, d) has a strong passion for subject, e) has a high enthusiasm for teaching, f) is an inspirational role model to students, g) has a high emotional intelligence to empathize with students, and h) is eminently approachable" (p.3). Again, this need not be in the academic arena alone. The organizational leader is in a sense the teacher and must demonstrate these same characteristics to trigger organizational learning.

## Changes in socioeconomic values as triggers

Jurgen Kadtler discusses how ‘social movements’ and ‘interest groups’ act as Triggers for organizational learning. Some organizations are forced to adapt to surrounding social, environmental, or regulational factors (Dierkes, Antal, Child, & Nonaka, 2003). Often these factors are outside their control and they must react to them. “Whether the organization acquires the capacity to manage the crisis and deal with the concern of social movements or interest groups is determined by organizational learning. This refers to the tension between and analytical and a normative perspective on organizational learning” (p. 221).

One such trigger is the change of socioeconomic values of society as a whole and within an organization. Von Rosenstiel and Koch (2003) contend that for the past several decades there has been a shift in socioeconomic values that have played a role in how organizations learn and adapt within a greater societal context. In other words, as values change, so must the organization change to be able to effectively interface internally (within the organization) and externally (with stakeholders outside of the organization, such as customers, vendors, etc). The changes that an organization must go through to operate effectively are facilitated by necessary learning. Put bluntly, the organizational learning would not occur were it not for the values shift, which acts as a trigger in this instance.

Akin to the concepts presented by Von Rosenstiel and Koch (2003), Kädtler (2003) suggests that, "organizational learning that is triggered by social movements or interest groups is a form of involuntary learning" (p. 221). The broad spectrum of social movements and the clear identification of such is not easy to define. Kädtler (2003) contends that neither the academic community nor the general public can easily define a social movement. Perhaps Kädtler (2003)attempts to bring some clarity by suggesting, "Social movements are public activities...(who) strive to integrate their general aspirations into the system of values and norms that constitute legitimacy in a society" (p. 223). Essentially, as the social culture changes, predicated by social movements, the values of an organization may change to coincide with societal change.

Unlike the learning that trickles through an organization as necessitated by (usually slow) socioeconomic changes, transformation processes typically require rapid learning that is neither forgiving or without anxiety for those going through the process. Merkens, Geppert, and Antel (2003) delineate the types of triggers for organizational learning both in the context of ‘structuralist learning’ and ‘constructionist learning.’ Structuralist learning can be thought of as learning that is the result of one way communication and fixed content; whereas, constructionist learning is the result of interaction between the learner and the environment. Listed below are some examples of these two types of triggers.

### Triggers of structuralist learning during organization transformational

(adapted from Merkens, Geppert, and Antel, 2003)

  * Privitization and opening of markets
  * Mergers and acquisitions
  * Implementation of new technologies
  * Influx of capital

### Triggers of Constructionist Learning During Transformational

(adapted from Merkens, Geppert, and Antel, 2003)

  * Need for legitimacy
  * Culture Clash
  * Social embeddedness of values and ideals
  * Inquisitive and well-educated workforce
  * Implementation of new technologies

The above lists are not intended to be exhaustive. They are merely examples of triggers that can encountered during times of organizational transformation.

## Technological Visions as Triggers

_Microsoft Encarta College Dictionary_ (2001) defines vision as a “mental picture – an image or concept in the imagination [and as] far-sightedness – the ability to anticipate possible future events and developments” (p. 1606). Although visions have been heralded as an all important component of organizational leadership, there has been – up till now, little research conducted to better understand the concept of visions. New insight, however, confirms that visions facilitate vicarious learning and serve as “points of orientation…based on core values and shared perceptions….[and that they] do more than just appeal to the logical and rational mind; they touch upon the internalized norms, values, and preconceived notions underlying people’s perceptions, thinking, and decisions” (Dierkes, et al., 2004, pp. 284-285).

Metaphorically, overarching visions may be thought of as stars in the night’s sky used as points of orientation for navigating the organization. It is important to note, however, that visions – even overarching visions, are not necessarily fixated. This is especially true of technological visions because of the inherent unpredictable nature of technological advancements. It is within this context that Dierkes, et al., support Collins and Porras’ (1994) “argu[ment] that organizational visions must transcend existing products and practices or they can easily become obsolete” (pp. 294-295).

## Cognitive and Experiential Triggers

Clark and Mirabile (2004) put forth the concept of “knowledge mapping”, a process of quickly and consistently organizing the mountain of information that faces an organization. After devising a framework of categories into which organizational information can be logically placed, a mapping strategy is essential to identify and classify the information. Clear and accurate mapping would require triggers – words, topical labels, or key indicators in order to differentiate the knowledge sharing into appropriate categories. Clark and Mirabile would suggest a listing of triggers that in turn would create a dictionary of categories.

Clark and Mirabile (2004) use the term triggers to emphasize the cognitive content of established knowledge as the basis for adding or “mapping” additional information to the current body of shared knowledge. This is in contrast to Brookfield who stresses the context of experience and the impact of certain events, often painful and negative, in the adult learning process (Merrian & Caffarella, 1999). These events serve as triggers that motivate adults toward change, evaluation, and renovation of the personal fabric of life. It is advisable that when any discussion or research done in reference to triggers, care should be taken to define the term in order for all to understand the context and framework of the concept.

## Creativity as a Trigger

Cunha, Cunha and Kamoche (2002) suggest that an open minded and, indeed, creative approach to errors may serve as the trigger for organizational improvisation and learning. Rather than simply rewarding employees and managers for fixing problems, we should encourage their use as stimuli for further learning. Consider, they say, “an example from Nordstrom's department store where employees are encouraged to "respond to unreasonable customer requests." Stories circulate about an employee paying a customer's parking ticket when the store's gift wrapping took too long” (p. 148). This type of accommodation should be rewarded and viewed as a departure point for a learning journey aimed at discovering what caused the process to fail to produce the desired result.

## Anxiety as a Trigger

Edgar Schein, as cited in Coutu, (2002), provides a useful and realistic view of the essential triggers of organizational learning. He maintains that anxiety is necessary as a trigger for learning. In this interview, he maintains that little is actually known about organizational learning and that true organizational learning is more than the sum of individual learning. Adopting a distinctly unpopular stance, Schein maintains that learning is coercive. He believes that anxiety, or more correctly, “learning anxiety” (p. 6) occurs when we are afraid of trying something new out of fear of failure, embarrassment, or the desire not to give up old paradigms. Conversely, “survival anxiety” (p. 6) is the realization that survival of the individual or the organization depends on change. Schein tells us that “the evidence is mounting that real change does not begin to occur until the organization experiences some real threat of pain that in some way dashes its expectations or hopes” (p. 6).

## Summary

Stopford (2003) posits that "Organizational learning is a central component of the process of guided selectivity in response to market signals" (p. 264). He suggests that a learning trigger for most organizations is the market in which an organization functions. That includes technological advances, global environment, and competition. Stopford (2003) contends that organizations must follow any market changes that are relevant and change according to the results of market study. One area that tends to hold up the response to market changes is the administrative systems in organizations. The structural systems set up in may organizations serve to insulate the organizations "from changes in the market environment, or at least acts to delay responses" (Stopford, 2003, p. 271). He further suggests, "The primary role of the system is to ensure that the variety of signals received from the external environment and the processes of selection are continuously informed by the knowledge and perspectives of individuals and communities of practice within the firm" (p. 272).

## Case studies & workplace examples

My “trigger event” occurred four years ago. My high school was accused of recruiting international students for our athletic program. The only truth in the allegations involved some inaccurate information shared on I-20 requests for the students to spend time at our school. There was also some misunderstanding concerning the guardianship requirements for international students staying with host families. Nonetheless, the accusations were picked up by the media and the state High School Athletic Association. We were placed on a 3-year probation and issued a substantial fine.

The “appraisal” stage for me involved a great deal of guilt. I was discouraged because I was not better aware of documents being signed and the overall process of enrolling international students (both responsibilities were given to other administrators). I was embarrassed for the school and my position.

The third stage “exploration” involved an internal investigation into the process, the recognition of our responsibilities, seeking the forgiveness of our student body and athletic teams, and the absorbing of the falsehood and untruth printed in the media. The school chose not to challenge the ruling of the state, but to submit to their decision.

The “developing of alternative perspectives” took some time as the consequences of the ruling produced many ripples into the integrity of the school. After some further personal investigation I began to regain my confidence in the school’s motive and purpose for enrolling international students. Our missionary outreach program and our desire to offer a Christian education to international students allowed me to recommit my confidence in the global interests of my school. The revamping and revisiting of various policies involving foreign exchange student has renewed a positive perspective in this part of our educational program.

The “integration” of these new ways of thinking into the fabric of my educational ministry took place with an increase of sensitivity to athletic eligibility issues and an awareness of the microscope under which Christian schools are viewed. I was amazed at the vindictive, aggressive, and destructive position that the media took on this issue. This experience brought into our thinking the need for extreme care in dealing with student enrollment and the acceptance of student athletes into the school system. We successfully completed the probationary period and have been reinstated with no restrictions.

### Ford Motor Company

Two specific factors facing organizations today include social movements and special interest groups. For example, Ford Motor Company has been advertising in gay and lesbian magazines, recently. Some in the special interest evangelical movement has strongly objected to Ford’s advertising practices and see it as a promotion of a lifestyle to which they object. They have sought to use boycotts to convince Ford to change it advertising policies. How Ford responds can have negative financial implications on either side. However Ford reacts in the above situation will be a learning organization challenge. In whatever direction it goes, “new organizational competencies have to be acquired if critical issues are to be addressed successfully” (p. 221).

### U.S. auto industry

Schein states that “survival anxiety” is the realization that survival of the individual or the organization depends on change (Coutu, 2002). This is demonstrated very clearly when one studies the U.S. auto industry and changes made for the sole purpose of "survival". All domestic competitors have undergone significant changes as a means of surviving the attack of foreign competition within our own market. U.S.-based manufacturers have had to work collaboratively with the unions that represent their workforces to make changes in wages, benefits, operating practices, and work rules. They have also had to make significant changes in product development, styling, value, and quality, in efforts to maintain a presence in the market. When there were only few competitors in the market, just 20 years ago, the "need" for change was not as great. Now, with well over 300 nameplates competing in the U.S. market, dramatic changes have had to been made just as the "price of admission" -- for example without excellence in product quality and safety, a manufacturer cannot even hope to get in the market. The threat to survival of individuals and organizations has become a reality, and has driven changes that are ultimately good for the customer. One wonders if, without this threat to survival, would the changes have occurred at all.

← [Organizational Learning: Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Organizational Learning: Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) →

← [Organizational Learning: Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Influencing Factors

## Typical general influencing factors in organizational learning

The factors for gathering and managing knowledge are many and diverse within a learning organization. Three of the typical general issues or influencing factors in learning organizations are context, history, and survival. The idea of context is intrinsically tied to socially constructed elements. Lane (2001) discusses this factor saying, “assumption of most organizational learning theory is that learning is socially constructed, that is, what is learned and how learning occurs are fundamentally connected to the context in which that learning occurs” (p. 704). How the culture, or context, of an organization functions is part of an influencing factor on the type of learning organization it will be.

One key aspect of organizational learning to remember is that an organization should not lose out on its learning abilities when members of the organization leave. The concept of organizational memory means that effective learning organizations should not only influence the current members, but also future members due to the experiences, beliefs, and norms that are accumulated along the way. Creating a learning organization is only half the solution to a challenging problem (Prahalad & Hamel, 1994). Equally important is unlearning some of the past that has not moved the company forward on a path of healthy growth.

Developing a work culture that values creativity and encourages innovation is imperative to an organization that desires to learn and produce new ideas or products (Kiely, 1993; Prather, 2000; Sternberg, 2003; Thompson, 2003). In an early article, Shallcross (1975) shares the role of the leader in creating an open environment to new ideas - “the role of the leader in creativity training is one of providing a climate that is nonjudgmental, of helping each individual to realize personal uniqueness and the uniqueness of others” (p.626). Suh (2002) concurs with the importance of managerial encouragement for the innovating thinking of the worker in the areas of planning, learning, and production.

Amabile (1998) points to six general categories of effective management practice in creating a learning culture within an organization: (1) providing employees with challenge; (2) providing freedom to innovate; (3) providing the resources needed to create new ideas/products; (4) providing diversity of perspectives and backgrounds within groups; (5) providing supervisor encouragement; and (6) providing organizational support.

Second is the issue or factor of history. The implications of past endeavors and attempts at growth or learning will affect the long-term view of learning overall within that organization. Lane (2001) wrote, “A related aspect of the process of learning is a view of the organization as an embodiment of past learning. The concept of memory as the storehouse of either individual or organizational knowledge is further explicated by reference to the there term ‘mental models’… guide the acquisition and organization of new knowledge” (p. 702). The ability of an organization to assimilate and diffuse both new and old information will determine the longevity of developing a learning organization through healthy means.

Lastly, the issue of survival is the basic premise for becoming a learning organization. Ortenblad (2002) says, “according to the critical literature most or all organizational learning theorists indicate that survival is an important object for learning” (p. 95). This concept is basic to human nature, survival of the fittest. In order for an organization to exist long term, it must learn more than just new fads or moments of knowledge, it must learn consistently over time for this is a learning organization.

Neilson and Pasternack (2005) provide a convincing example of this survival anxiety in their account of Caterpillar’s change from what they term to be an over-managed organization to a resilient organization. Komatsu’s early 1980’s attack on Caterpillar and the first losses in Caterpillar’s history were anxiety provoking to the point that excessive bureaucracy, centralized authority and a highly political culture were jettisoned successfully.

## Human resource factors influencing organizational learning

Organizations vary greatly in all aspects. Establishing an understanding of what influences organizational learning for the vast majority of organizations is extremely valuable. This would allow individuals in many different organizations to benefit from examining some key factors that would increase organizational learning in their setting.

Lohman (2005) found the factors of initiative, positive personality traits, commitment to professional development, interest in the profession, self-efficacy and love of learning enhanced the motivation for informal organizational learning. Conversely, an unsupportive organizational culture, others who were unwilling to participate, lack of time, and lack of proximity with colleagues negatively impacted this organizational learning.

Shipton, Dawson, West, and Patterson (2002) investigated the manufacturing environment and found that only two of five variables were associated with organizational learning: approach to human resources management and quality orientation. Profitability, environmental uncertainty, and structure were not significantly related to organizational learning. Albert (2005) found that top management support and involvement of consultants also facilitated organizational learning and change.

A European study showed that lack of motivation, extra work, unclear roles, lack of confidence, perception of role, insufficient learning culture, lack of innovation, lack of time, and lack of resources negatively impacted organizational learning (Sambrook & Stewart, 2000). From the positive perspective, motivation, enthusiasm, involvement, clarity and understanding of role, increased responsibility, perception as a strategic partner, a developed learning culture, senior management support, organization re-structure, job redesign, and investment in human resources, and the learning environment made a significant difference in organizational culture.

## Time factors influencing organizational learning

Weber and Berthoin Antal (2003) describe six key dimensions of time that influence organizational learning: the organization’s time perspective and orientation to time, time pressure, simultaneity, synchronization and windows of opportunity, learning cycles and life cycles, and history (p. 354).

Time perspective 
    Within an organization, individuals, groups, departments, or functions, may all hold very different perspectives of time and the implications time horizons hold for the necessity of learning. Therefore, it is important that the top leadership of the organization clearly determine the time orientation for the organization as a whole, such that decision-making and learning take place in a manner consistent with the organization-wide time orientation and perspective.

Time pressure 
    Time pressure can influence learning from within the organization (top-down, bottom-up, peer-to-peer) as well as from external sources such as competitors, suppliers, customers, and communities. Time pressures can actually slow learning, as in the case when the organization is threatened by internal or external forces that paralyze the organization for fear that taking action could risk undesirable consequences. Likewise, learning and performance can be accelerated, for example, by the threat of deadlines or competitive maneuvers in the market.

Simultaneity 
    External events and opportunities happen simultaneously and at a pace so frenetic that no organization can take advantage of all of them, given finite resources and levels of knowledge. This aspect of time presents a risk to organizations that they will lose control over the timeframes of those activities they pursue.

Synchronization and windows of opportunity 
    This dimension refers to the sequence of events or the specific windows of time when organizations are best positioned and open to learning. The sequence refers to knowing which learning activities are best for certain times. Simply put, the right activity or learning moment at precisely the right time will lead to more effective learning. Windows of opportunity are relevant because there are times when organizations may be better positioned to embrace learning, for example during periods when the perceived threat to their survival is greater than the difficulty of learning.

Learning cycles and life cycles 
    Just as individuals learn through observation, experience, reflection, and transference to other situations, so too do organizations incorporate learning cycles into their culture and behaviors. The success of an organization often depends on how quickly the learning cycles can take place. The life cycle of the organization also has implications for organizational learning. For example, the age of an organization - especially the older that it is, can lead to difficulty when adopting new practices and new learning because these organizations can become set in their ways. At times an older organization will battle "legacy" behaviors and cultural norms that are contrary to change and learning and adoption of new practices.

History 
    Weber & Berthoin Antal (2003) state, "History has an identifying effect for organizations" (p. 358). How an organization has applied learning in the past can be used to apply to learning opportunities in the future. The history, or identity, of an organization is in part built on the collective learning of individuals and groups within the organization over time. It is this historical dimension of time that actually captures all of the others and presents them as a composite of the effects of time on the organization’s ability to learn. Weber and Berthoin Antal (2003) state that “the influence of history on the organization can be positive as well as dysfunctional" (p. 358). Organizations can use to their advantage and potential success their collective and stored knowledge. However, they must beware of obsolescence that may come with strict adherence to past practices and procedures, without the consideration of new learning and opportunities.

Individuals, when given time, opportunity, and resources are quite often capable of implementing change 'expediently' when compared to teams or organizations. The lag in time that so often hinders organizational change is called 'organizational inertia' – a situation Starbuck and Hedberg say can arise from “slow sense-making processes and ineffective information systems...[or when] individuals learn without their organizations also learning” (Dierkes, et al., 2003, p. 335). One possible resolve to this dilemma is the Japanese concept of Kaizen – an applied system for implementing continuous improvement through small steps (Maurer, 2004). If we conceive of organizational learning as a necessary means for continuous improvement, then it is not a far stretch to also realize that learning – taken in small, applied steps, makes sense. Starbuck and Hedberg state that “continuous improvement, the daily challenging of status quo, supports the notion that everything can be improved….[and that] evolutionary learning in small steps seems to work better than does revolutionary learning, [especially] during periods of repeated success” (Dierkes, et al., 2003, p. 337).

## Group factors influencing organizational learning

Factors that influence group learning are explored by McConnell and Zhao (2004). In their study, they designed a diagram to show group learning in by integrating factors together. The first step was group planning. The planner has to be very clear about the learning task and the objectives. The learning community has elements that must be considered such as "creativity, norms, belief, and status"(p.7). Factors that must be considered "interaction, communication, negotiation, skills, strategies, feedback, leader, role play, brainstorming, and motivation" (p.7).Lastly in evaluation , the following factors must be considered, " performance, effectiveness, outcomes, contributions, history, experiences, and productivity" (p.7).

## Follower factors influencing organizational learning

Though shallow on the surface, Maxwell's (1993) definition of influence substantiates the effect influence can have within an organizational structure, particularly as it relates to lower level employees affecting organizational change. Maxwell states, "Leadership is influence" (p. 1). Peter Drucker, as cited in Goldsmith, Morgan, and Ogg (2004), states, "‘the great majority of people tend to focus downward,' writes Peter Drucker. 'They are occupied with efforts rather than results. They worry over what the organization and their superiors owe them and should do for them'" (p. 19). What is missing in this mindset is the ability to affect, or influence, change within an organization regardless of position. Goldsmith, Morgan, and Ogg (2004), state, "Organizations in all fields suffer when key employees cannot effectively influence upper management" (p. 20). These authors go on to suggest 10 guidelines for affecting change in an upward fashion:

>   1. When presenting ideas to upper management, realize that it is your responsibility to sell---not [upper management's] responsibility to buy.
>   2. Focus on contribution to the larger good, not just the achievement of your objectives.
>   3. Strive to win the big battles. Don't waste your ammunition on small points.
>   4. Present a realistic cost-benefit of your ideas. Don't just sell benefits.
>   5. "Challenge up" on issues involving ethics or integrity.
>   6. Realize that your upper managers are just as human as you are.
>   7. Treat upper managers with the same courtesy that you would treat partners or customers.
>   8. Support the final decision of the team.
>   9. Make a positive difference.
>   10. Focus on the future--let go of the past (pp. 20-24).

## The board of directors as an influence in organizational learning

Another area of influence is the Board of Directors. Tainio, Lilja, and Santalainen (2003) suggest, "Boards represent the interests of the firm's shareholders...they have the power to hire, fire, and compensate senior executives and to provide high level counsel.; By performing these tasks, boards can facilitate or limit organizational learning" (p. 428). The insurgence of shareholders involvement is due largely to the mismanagement of many high profile companies in the 1990s, according to Tainio et al. (2003). This insurgence in board activity and influence on organizations has prompted significant changes in organizational learning. In turn, the situation has redefined the role of boards in many organizations. Tainio et al. (2003) suggest, "There is actually a fine line between managing a company and contributing ideas for managing a company" (p. 432). Boards who have become more active do not manage the nitty-gritty of daily operation, they press organizations to maintain high standards, closely watch goals and planning, and take a more active role in management succession (Tainio et al., 2003).

## Case studies & workplace examples

The factors for influencing organizational learning were evident in a significant change that took place in a school setting. The administration presented a challenge to the high school: students were apathetic in living what they acknowledged to be true; find a way to help students apply what they are learning. A relative newcomer to administration, the high school principal began talking with his teachers, students and other administrators and listening to the feedback. Out of this came a program which meant restructuring the whole high school week. Each Wednesday afternoon, the entire high school was going to participate in small group interaction and then go out into the community for community service. The school was able to secure four mini-buses dedicated for transportation during this time period. This program has re-vitalized the high school. The program has been embraced by the majority of students and the remaining students are facing positive peer pressure to grow and change. The key to success was presenting the challenge, giving the decision-makers the freedom to innovate, providing the resources necessary including time and transportation, listening to the diversity of perspectives, encouraging the principal with all the roadblocks that presented themselves, and committing to the program as an organization. (Amabile, 1998)

Organizational culture holds profound implications upon those organizations who wish to increase their effectiveness through organizational learning. Burke (1985) quotes Schein who theorizes that organizational culture is the "basic assumptions and beliefs that are shared by members of an organization, that operate unconsciously, and that define in a basic 'taken for granted' fashion an organization's view of itself and its environment" (pp. 6-7). These assumptions and beliefs are learned responses to a group's problems of internal integration. They come to be taken for granted because they solve those problems repeatedly and reliably. "This deeper level of assumptions is to be distinguished for the 'artifacts' and 'values' that are manifestations or surface levels of culture, but not the essence of the culture" (Burke, 1992, p. 10-11).

When persons within organizations operate in and unconscious manner due to the organizational culture, one can readily see how attempting to develop organizational learning in a suspicious, distrusting environment could be highly difficult. Developing organizational culture that prizes learning, growth, and knowledge sharing must be tackled in order to promote organizational learning. Subtle and undermining forces in an organizational culture can sabotage attempts at improving components of the organization, or even attempts at organizational culture change. Leaders must be in touch with the pulse of their organizational culture prior to or while seeking to implement change.

Leaders do well to understand the history of their organization. In the process of making significant changes, one cannot fully or adequately understand the culture, relationships, nor underlying forces at work. In a local church organization with modest length of history, this author found it highly beneficial to do an elongated review of the full history of the nonprofit organization. Understanding our roots and driving values and forces across the years deepened our appreciation for our history in honest fashion.

Individuals who had been involved for several decades helped us appreciate our strengths and passions while candidly assessing difficulties and even failures. While listening to individuals share their individual, family, and organizational stories, we gained valuable insight into the past and some of the personalities who influenced for good or ill the culture of the organization. While understanding one’s history does not assume understanding of culture, it does at least help people gain a sense of where they fall within the history of the organization. While assessing the successes and becoming aware of failures, individuals and the whole of the participating persons discover more deeply the values, mission, and driving forces of the organization. In this instance, recalling previous instances of entrepreneurial behavior and resulting successes helped people to be open to new changes and new direction for the local church. Such success stories lessened the fears of change, while creating positive inclinations toward change in the future.

← [Organizational Learning: Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Organizational Learning: Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) →

← [Organizational Learning: Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Agents

## Introduction

The organizational learning dynamic can be facilitated by one, or any combination, of "Organizational Learning Agents". Dierks, et al (2003), in "The Handbook of Organizational Learning" identifies five agents of organization learning: the individual, the senior leadership of the organization, boards and/or governing bodies, labor unions, and consultants. Each one of the aforementioned "Organizational Learning Agents" is able to contribute to the learning process and facilitate learning in a unique manner. Below are descriptions of various learning agents and the unique aspects they bring to the organizational learning dynamic.

## The individual as agent of organizational learning

Victor J. Friedman defines organizational learning as “a process that can be fully understood only at the group or organizational level.” However, Friedman is also quick to acknowledge the fact that several “seminal theorists…have tended to agree that organizational learning begins and often ends, with the individual” (Dierkes, et al., 2003, p. 398). It would seem, from this author’s perspective, that common rationale would, without doubt, accept the notion that individuals are agents of learning in organizations. However, this author also contends that some individuals would appear to proffer more knowledge within their organizations than do others – this coming from personal experience. But what explains this phenomenon? Friedman suggests that from his own agent profiling studies, and that of others, there exists a “complexity and constructive tension of…contradictory attributes [i.e., proactive but reflective, and so on] that lead these persons to take on the role of agent despite the potential costs” (p. 404). In other words, it would appear that agents of organizational learning in all likelihood possess an ability or the characteristics to “move from contradiction – that painful condition where things oppose each other – to the realm of _paradox_ [italics added], where [they] are able to entertain simultaneously two contradictory notions and give them equal dignity” (Johnson, 1991, p. 85); resulting in synthesis, exponentially.

Learning is an essential and continual function of the individual agent as he adapts in an ever-changing world. If the world would not be in a perpetual change, agents would not face new information and would not be induced to learn. On the other hand, because of frequent changes in the state of the world, agents have to perpetually modify their behavior in order to stay adapted to world evolutions. Because of these factors, individual agents play a critical role in the learning of the entire organization.

Maira and Scott-Morgan (1997) state that organizational learning "is the creation, adaptation, or replication of knowledge by an organization to improve its performance" (p. 203). The authors add that some companies have realized the importance of organizational learning to the extent of creating special executive positions to assist in focusing everyone's attention on organizational learning. These companies include Dow Chemical (U.S.), Skandia (Swedish insurance company), and Canadian Imperial Bank of Commerce. According to Maira and Scott-Morgan (1997), these created positions have titles, such as Director of Intellectual Asset Management and are responsible for "measuring the value of knowledge in the firm and of developing ways to increase that value by improving the 'knowledge acquisition' or 'learning' processes of the organization" (p. 203).

## The leader as agent of organizational learning

Sadler (2003) states that in the learning organization, the organizational leader has three distinct functions: designer, steward, and teacher. The design work is about creating systems, strategies and policies and making them come together in such a manner that makes the organization effective and efficient. The stewardship function relates to the leader’s responsibility to ensure the organization’s long-term survival. The teacher role is manifest by the leader helping others to see the ‘big picture’. The leader helps others understand the reality of the current situation and the vision of the organization. Filling the gap that lies between these two paradigms and creating a learning environment where that can occur is the focus of effective leaders (Sadler, 2003). Coutu (2002) places this role of teacher in the context of a continual learner. She would advocate that unless leaders become learners themselves then transformational learning can not take place. It is as leaders engage in self-directed, life-long learning that they can effectively teach others. Only by learning can they lead by good example and create a “safe” context for others to learn. The leader should hold the position of chief learner and carry the responsibility of maintaining an environment and culture where learning is valued and rewarded.

What kind of leader can facilitate the learning that is required of an effective organization in the 21st century? Surprisingly, it does not have to be the typical heroic or charismatic leader. In fact, Sadler (2003) suggests such leadership styles may be less effective at creating an environment where team learning and participation are practiced. This is not to say that such leaders cannot be learning agents, rather the type of learning they tend to facilitate is quite different from those who fit within the ‘Designer, Steward, Teacher (DST)’ model. Charismatic leaders tend to invite passive learning, whereas leaders who fit within the DST model tend to act as facilitators of active learning and serve more as a role model for learning than a teacher.

There is no question that learning is the ultimate responsibility of the individuals within the organization. And, there is no position that is more important for the individual to visibly and demonstratively value learning than that of the leader. The leader, and his/her understanding of his/her role as a facilitator of learning and an example of learning, can set the tone and create the environment for learning to take place. As agents of organizational learning, leaders can shape the culture and encourage learning to take place. Gigenrenzer (2006) purposefully designed a culture that would encourage members of the staff to talk, work, and publish with one another. Individuals were encouraged to interact as equals, often socially, and with everyone. As leader of the organization, Gigenrenzer instituted rituals to support each of these four principles for interaction to promote information sharing.

## Boards/Governing bodies as agents of organizational learning

The governing authorities of organizations are often at the forefront of providing learning for their employees. Workshops, seminars, training sessions and other formal opportunities are often part of the learning plan developed by the governing body of the organization. Landy & Conte (2004) reference corporate universities such as General Motors University, Xerox’s Document University, and McDonald’s Hamburger University that provide lifelong learning opportunities for their workers. Many of these universities are well established and extensive in the training they provide. Hamburger University, for example, operates in Japan, Germany, England, and Australia and offers electronic and computer-based training courses in 22 languages (Landy & Conte, 2004).

Boards serve as unique agents in organizations. Boards fill wide varieties of roles as it relates to the overall oversight and or operation including organizational learning. In many cases, boards are not actively involved in knowledge management or organizational learning.

Tainio, Lilja, and Santalailen in Dierkes, Antal, Child, & Nonaka (2003) suggest that many boards have historically filled a more traditional role in organizations that tend to function more passively, reactively and normally only would increase their influence if problems arose, functioning in a type of ‘firefighter role’. These types of boards “monitor and control the firm’s performance and align the CEO and shareholder interests behind corporate renewal” (quoting Walsh and Seward, 1990) (p. 429).

Boards have increasingly become more proactive and “increasingly engaged in helping top management reduce environmental uncertainty though boundary-spanning, to secure critical resources for a company” (p. 429). This type of involvement would enhance organizational learning by creating awareness of other system factors that affect said organization. Furthermore, the capacity to respond to changes in the market, society, regulation, and economic conditions all are affected by organizational learning.

Two primary concerns of these proactive boards, which are often more future oriented, are their service to the organization and strategic planning and decision-making. As boards involve themselves in strategic planning, “Empirical evidence suggests that boards that take more strategic decisions are not very deeply involved in organizational learning” (p. 433).

## Labor unions as agents of organizational learning

Globalization of national economies (Altvater and Mahnkopf 1997; Fricke 1997; Group of Lisbon 1995; Howells and Wood 1993; Kapstein 1996; Muldur and Petrella 1994) and advances in manufacturing technology are presenting new challenges for organized labor. Previously, organizations using mass production techniques required very little learning on the part of the union workers, as separation of duties and standard methods divided work into specific, repetitive tasks. Union workers often tended to view any new learning or training initiatives as suspicious or a scheme to replace them with more efficient, more reliable technology. The outsourcing of mass production operations to foreign countries and the closing of numerous manufacturing plants have forced unions to take on the role of learning agent in their organization in order to survive. Unions have had to learn in several different arenas in order to keep their organizations healthy. These include learning not only in technical skills and abilities or specific tasks, but also in other, more complex areas such as the impact of globalization; factors and features of the competitive market landscape; multi-disciplined and multi-functional approaches to task completion;, social processes such as team concepts, communications, conflict management, and negotiations; leadership philosophy; and many others.

## Economics as an agent of organizational learning

Akin to labor unions and their impact on organizational learning, economics also have a significant part to play in organizational learning. Boerner, Macher, and Teece (2003) contend, "The process of a market reaching its equilibrium is fundamentally a learning process" (p. 106). Changing circumstances and uncertainty of economic environment provides a continual atmosphere for organizational learning and adaptation. Goldsmith, Morgan, and Ogg (2004) support the increased concept of economics in organizational learning. They contend, "Today we see another shift...after a prosperous economic decade in the 1990s, the recession that followed forced shareholders to reevaluate what they expected from the executives...Executives have gone from being judged using a measure of five-to-ten year periods to having their achievements assessed in mere months" (p. 137). The bottom line for shareholders is economics and the success of an organization to thrive to its maximum potential on their behalf. Keeping abreast of changing economic times is essential to growing a successful organization. Boerner, et al. (2003) suggest, "Few, if any, modern economists would question the paramount importance of learning and learning processes to a firm's competitive performance" (p. 111).

## Consultants as agents of organizational learning

The greatest agent for organizational change is the socialization aspect of culture. If an organization takes on the identity of a growing, adapting, and learning organization, it becomes part of the fabric of how they operate. This is the greatest agent for a learning organization, authentic stimuli towards a common direction and common goals. It is an alignment issue for the individual and the organization. English and English (1958) stated that “the sign of learning is not a shift of response or performance as a consequence of change in stimulus-situation or in motivation, but rather a shift in performance when the stimulus-situation and the motivation are essentially the same” (p. 289).

However, in Rhodes' study it is contended that organizations are able to learn and this is demostrated by the change in behavior of its members. These changes are noted collectively and are adaptations of their environment. Rhodes continues by noting that Argyris & Schon's research contends individuals act as "learning agents" by determining and fixing flaws in the organizations behavior and, in turn, change the culture.

## Case studies & workplace examples

### HR manager

Quite often organizational learning comes about from the direct input of individual agents of learning – those individuals who champion new learning or new ways of learning within the organization. One example of this is that of an HR Manager who sought a newer, better way to train and educate employees through the concept of a corporate university - despite the fact that having a university seemed a bit far fetched for the not-for-profit entity employing just seventy employees. Nonetheless, the manger completed research on the subject matter, ending the study with a written and oral proposal to the Management Team. The concept was unanimously accepted and forwarded to the Board of Trustees whose members also voted unanimously to accept the proposal. The university has since been funded by grant monies through the Friends of the Library group and is formally seated with a committee responsible for its establishment and ongoing success.

### The Canton Corps

The Canton Corps of The Salvation Army has moved through a process of organizational restructuring during the past two years. The process has been difficult for many employees who were satisfied with the status quo. The responsibility of educating the staff to the cultural change came from the Corps leaders. The process, while difficult, challenging, and at times nearly unachievable has resulted in a more efficient and cohesive staff, effective ministry, and an environment that is becoming a pleasant place to work. In this case, new learning was influenced by the leaders and they became the change agents.

### Churches

Local churches utilize a wide variety of forms of governance and have significantly varying roles when it comes to board involvement and how they interact with the local minister and congregation. In some cases, boards fulfill a strong leadership role in the congregation, while others fill more functional and administrative roles. Board members must be aware of their role and how they are to function and interact within those roles. Without that information and clarified purpose, board members can have high levels of confusion or frustration regarding their responsibilities. In this author’s local church, we have begun to review annually our church board’s defined roles and responsibilities. This has enhanced our awareness of our purpose and improved our sense of responsibility as a group. Specific details and outlines are incorporated into a leadership notebook containing this information and reports, recommendations, and other materials from each meeting. Board members find this type of information helpful and it answers many of their questions. As they learn and identify their role as a board, organizational learning is taking place and enhanced. This improves their performance and input.

An example of leaders as agents of learning can be found at GM, where we have adopted an approach of leaders as teachers. The positional leader in the organization is often required to teach in a cascading process throughout the organization. Our feedback from employees provides evidence that most employees appreciate learning that is endorsed, even taught, by their immediate supervisor or leader. As such, all new initiatives, change processes, or other processes are accompanied by training that is led and taught by the leader. This is especially true when it comes to cultural or leadership training, as compared to technical skill training. Cultural or leadership training is typically delivered beginning with the CEO, and cascaded throughout the company by level, in a process we call "Leaders Teach". Naturally, since this approach is taken from top to bottom in the company, it could also be called "Leaders Learn".

← [Organizational Learning: Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Organizational Learning: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) →

← [Organizational Learning: Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Processes

## Introduction

The purpose of organizational learning often leans toward positive organizational change. In some cases, entire organizational change is desired or necessary for increased effectiveness or just continued existence. Most organizations are imperfect, and positive change, even at significant levels would be welcomed. The agents of organizational change, organizational development, and organizational learning often work together in synchronous fashion. In fact, it may be difficult at times to distinguish between them. What kinds of processes are necessary to create a value for organizational learning, knowledge sharing, and even wholesale organizational change?

A study by Dr. V. Balasubramanianhe sites Huber's literature review as identifying four processes that contribute to organizational learning. The first process, _knowledge acquisition_, happens when the organization gains knowledge by observing the environment, using storage systems to maintain knowledge and carrying out research. _Information distribution_, the second process, occurs when the organization shares the knowledge they possess with their members. The third process, identified as _information interpretation_, is information that has shared meaning among the members. The fourth and final process - _organizational memory_ process, encapsulates how knowledge is stored for future use and to what extent it is considered proprietary information belonging to the corporation.

## Knowledge acquisition process

Buchel and Raub (2003) state that "A match between the learning process and media richness and scope is necessary in order to foster learning within organizations" (p. 531). There exists a tradeoff between rich media and media that is high in scope. For example, face-to-face communication is a medium-high in richness, but it has limited scope. Conversely, formal written communication has a broader reach, but lacks the richness that face-to-face communications can provide. New introductions of technologies have challenged the original scale, prompting consideration for other variables such as speed of communication, storage capability, interconnectivity between people and organizations, and the integration of multiple computer technologies and their effect on organizational learning.

Nonaka, Toyama, and Byosiere write that, historically, the knowledge-creation process has been considered within the context of two types of models: top-down or bottom-up. The top-down model is representational of a bureaucratic organizational learning system whereas the bottom-up model depicts autonomy with an emphasis on individual learning (Dierkes, et al., 2004). The authors suggest that “a third [model] - the middle-up-down management model, as the most suitable for knowledge creation…given the limitations of the top-down and bottom-up models…” (p. 505). While the new model does not discredit the need for top-down and bottom-up contributions, it does more clearly define the “cooperative relationships and interactions between top, middle, and lower managers” (p. 505) with an emphasis on the roles that each level plays in the organizational learning process.

Trompenaars and Hampton-Tuner (2004) agree that a middle-up-down approach can give a balance to organizational learning. The key to effective communication and knowledge sharing is the middle manager, who serves as an interpreter between the language of the "ivory towers" and the language of the "trenches." The middle manager must become fluent in corporate philosophy and policy as well as in grass-roots jargon that permeates the employee culture at any given time. For this approach to work there must be significant trust in the middle manager granted from both the top and the bottom. In pragmatic reality, the middle manager is the most important administrative position and the most valuable employee for without him/her organizational learning is ineffective or counter-productive. Trompenaars and Hampton-Tuner summarize the vital concept of middle-up-down by sharing, “middle management is the bridge between the standards of top management and the chaotic reality of those on the front lines.” (p.16).

## Information distribution process

Based on theories that suggest adults learn largely through their experiences, organizations would be well served to develop learning processes that use experience and reflection as the foundational elements. Similar to Kolb’s learning cycle for individuals, organizations have developed learning processes based on the same assumptions; that is, learning comes from an event; reflection upon that event; extracting learning and planning for new actions; and finally, applications of the learning to the next cycle (Merriam & Caffarella, 1999). For example, in manufacturing operations, new introductions (both product and process) often begin with the formal reflection of experiences with the current product or process. This formal reflection is started by assembling a cross-functional project team, responsible for the new introduction. To the extent that companies utilize these cross-functional teams to develop and introduce new products and processes, they elevate the learning and reflection from that which is meaningful to individuals, to that which involves and benefits the entire organization. New technologies, such as those discussed by Buchel and Raub (2003), can be enablers to improving the effectiveness of cross-functional teams that are increasingly global in nature and demand process capability for fast and effective storage and retrieval of organizational knowledge, history, and experience.

Many companies rely on media to help aid their organizational learning processes. In order to ensure the success of learning processes, organizations must consider two factors when selecting from various communications mediums such as face-to-face communication, tele-conferencing, telephone, voice mail, fax, electronic communication, and formal written communication. (Sitkin et al, 1992). Thus, they must find a balance between media richness and media scope. The proper selection of media richness provides organizations with the "ability to process information of appropriate richness to reduce uncertainty and clarify ambiguity" (Daft and Lengel, 1984, p. 194). As for media scope, this factor deals with how well followers "keep messages in memory, and reach, referring to the ability to address multiple people simultaneously" (Dierkes et al, 2003, p. 522). However, before selecting a communications medium to aid the organizational learning process, organizational leaders must determine each medium's ability to provide feedback, multiple cues, tailor messages, and express emotions.

In addition to the media, physical space is also a consideration for specific activities designed to encourage organizational learning. Lewis and Moultrie (2005) found that there are several factors important in the design and structure of the physical space dedicated to promoting organizational learning and innovation. They suggest that investing in a laboratory designed for the process not only produces better interaction, but also shows the organization’s commitment to the goal of organizational learning. The facility should remove the individual from ordinary daily activity, de-emphasize traditional hierarchy such as rectangular tables and traditional chairs, and encourage participation by all. This environment facilitates the process for organizational learning. Others would suggest that these "learning laboratories" should replicate the actual workplace in which the student will apply the learning. While this lab may be physically separate and removed from the routine daily activity, it should be similar enough that the adult learner can see the value; that is the learner must be able to see application opportunity in their return to regular duties as soon as possible after the new knowledge is gained.

## Information interpretation process

According to Maira and Scott-Morgan (1997), organizations view learning more narrowly than they should. "Organizational learning actually needs to take place in many different parts of an organization and on many different subjects" (p. 211). The authors proceed to articulate the process of learning within an organization, suggesting that this process may be divided between two fields on a learning matrix:

  1. Who is learning (horizontal)?
  2. What the learning is about (vertical)?

The horizontal column establishes who is learning, which is delineated into four separate columns:

  1. Individual
  2. Team
  3. Organization
  4. Community (interorganizational)

According to the authors, what must be established are the learning needs of each of the four organizational subgroups. "[The organization] cannot assume that large investments in the education and training of individual employees will create effective organizational learning, nor can it ignore the need to invest in individual learning and growth" (p. 212). On the vertical dimension of this learning matrix are the details of what is being learned within the organizational sub groupings:

  1. Procedure
  2. Business process
  3. Mental model
  4. Vision

As an organization embarks upon a learning process, knowing who is learning and what is being learned should be gauged for measurable effectiveness.

## Organizational memory process

Knowledge is the key asset of the learning organization. Organizational memory extends and amplifies this asset by capturing, organizing, disseminating, and reusing the knowledge created by its employees. The term organizational memory is sometimes used to refer to whatever exists today in the way of social conventions, individuals’ memories, etc.

There is an important step in the process of learning. This step is taken when there is a shift from being an individual learner to leading or managing an organizational learning scenario. An organization has to take specific steps in development to adopt or diffuse information from individuals to corporate routine. This is what Levitt and March (1988) refer to as the encoding of inferences from history into organizational routines. These “organizational routines are transmitted and improved upon through socialization, education, imitation, problem-solving, and personnel movement” (Levitt and March, 1988, p. 320).

In the global environment, a new learning dilemma faces organizations and firms. Macharzina, Oesterle, and Brodel (2003) contend, "It is maintained that the major characteristic of internationalization processes is the incremental nature of successive learning through stages of increased commitment to diverse foreign markets" (p. 638). This slow, tedious process that Macharzina, et al. (2003) suggest is essential to successful international involvement. However, the process is streamlined by organizations willing to invest human capital toward developing cross-border "synergies of knowledge" (Macharzina, et al., 2003, p. 640) that will facilitate a broader understanding of cultural, political and economic differences.

## Case studies & workplace examples

### Anderson and Maize

Anderson and Maize (2005) share the story of Canon USA who experienced significant growth in an extended sales and distribution organization through the establishment of a system of learning and development. They have created the “Learning Zone”, utilizing cutting edge technology to blend product information, training and support. Motivated because of the increasing demands of product complexities, Learning Zone realized that high-quality training and information were keys for their learning organization.

The Canon Learning Zone was launched four years ago and supports five distinct distribution channels with 12,000 users, each of whom may need different courses and product information. Based upon the markets he/she serves and the products he/she sells, an individual will qualify to enter into a specific mix of courses. One Canon dealer shared the effectiveness of the training this way, “Now, within a span of 45 minutes in the Learning Zone, I can better understand the new product solutions I have to offer from Canon.” Direct salespeople have access to the Learning Zone for support and preparation of customer presentations. The Imaging System Group (ISG) at Canon USA has expanded views of the Learning Zone to extend the Canon brand and product training to all registered dealers, distributors and partners carrying Canon products.

Mitch Bardwell, assistant general manager of the sales training division stated, “By strategically targeting each new sector with relevant content and training appropriate to their business goals, in just a few years, we have doubled our size of our audience and increased the value of the Canon brand to a loyal community of users who rely on the Learning Zone.”

### Schools

At the start of each school year, one school has an orientation which includes new staff and returning staff. At one of the orientation sessions, the question is posed to the returning staff, “What one thing would you like to share with the new staff that you think would be helpful?” The returning staff each shares a statement with the entire group of new and returning staff. The statements are sometimes as simple as “Keep the secretaries and janitors happy – they wield the real power” or as profound as “Don’t be afraid to ask questions – we all make mistakes and we all try to learn from them.” New staff is encouraged to record, evaluate and share their experiences because a newcomer often has the unique opportunity to help change an existing paradigm that the rest of the staff is too involved in to evaluate objectively. This process introduces the concept of organizational learning and encourages involvement in the process.

Burke (1992) proposes that the kind of change necessary to qualify as organizational development (OD) must happen at the cultural level. It is not enough to modestly change functions, or organize and communicate better. "For change in an organization to be OD it must (1) respond to an actual and perceived need for change on the part of the client, (2) involve the client in the planning and implementation of the change, and (3) lead to change in the organization's culture" (p. 8-9). Hence, the most effective change needed is at the core and culture levels. It is the norms and values which underlie basic assumptions, beliefs, and behaviors. Changing these underlying values is the ultimate goal of knowledge management and organizational development. This goes beyond “fixing a problem or improving a procedure” … it means, “That some significant aspect of an organization’s culture will never be the same” (p. 9). “It might be a change in the organization’s management style, requiring new forms of exercising authority, which in turn would lead to different conformity patterns, since new norms would be established, especially in decision making” (p. 9).

Change at this level requires significant planning as well as willingness to make difficult choices and adaptations to present norms, values and behaviors. It requires a willingness, especially of leaders, to look within themselves at what drives and motivates them as they seek to motivate an organization. The processes are internal and external, personal, relational, and organizational.

The process of learning in an organization, processing that learning into tangible change lies at the heart of effective leadership. Organizational ages and histories, among other factors affect the willingness to change in individuals, departments, and organizations. The processes used to develop learning organization and change can be widely varied. This case study offers a unique process of catalyzing learning and change.

### Congregation

A local congregation had been experiencing meaningful decline in attendance and strength over a span of three decades. Engaging in a learning exercise became part of a change process. Members of the local church were asked to study the New Testament to discover various mental pictures and identities of the church. After a modest length of time, these individuals met to develop a list of ideas about what the church is. Many of the lists had repeated identity descriptors. When the lists were then compiled and synthesized, three specific categories seemed to cover adequately the full spectrum of suggestions. The three descriptors of the church included:

  1. The Bride of Christ
  2. The Body of Christ
  3. The Family of God/Fellowship of Believers.

The final identity listed here seemed to be looking at very similar qualities, yet convey them uniquely enough to be coupled together. We then processed these identity descriptors borrowing the idea of ‘BEING.’ We asked the question, if the church is the “Bride of Christ” in its being, what should it be DOING in its behavior … and if there is a gap between our BEING and DOING, what should change, what should we be BECOMING? For each of the three we detailed this question format of BEING, BECOMING, and DOING.

This process significantly challenged some assumptions about our values, mission, and function as individuals and as a church. Clearly, we are seeing ourselves differently. We are intending that our behaviors, our mission, vision, and values flow out of these elements of our identity. That identity is a faith issue, for this is what God calls his church. Significant changes came about because we needed to change and grow. However, this process drives change from an identity, values, and purpose vantage point.

### Canton Salvation Army

The Canton Salvation Army is moving through a process that is introducing a new leadership structure within the local organization. The fundamental leadership structure is top-down autocratic. The move of the local Corps is toward a lateral leadership model with more open dialogue and input into the structure, process and decision-making that is involved in every day ministry. The results are on-going as the Corps attempts to integrate a seemingly foreign model into a structure that has been in place for over 100 years. However, there are some positive results that are presently being realized. Teams and team leaders have been developed and put in place. Monthly team leader's meetings are take place, as well as monthly full staff meetings. Each team meets at least monthly and some even meet weekly. Periodic fellowship luncheons are becoming routine. These specific steps are making the transition toward a lateral leadership process easier. This has become an organizational learning process that is unfolding as a continual process and not a quick movement into a new leadership structure.

← [Organizational Learning: Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Organizational Learning: Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) →

← [Organizational Learning: Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Interorganizational

## Introduction

Interorganizational learning presents an opportunity for an exponential learning process. The advantages of a learning process that takes place within an organization can be immensely multiplied when one considers the opportunities for organizations to learn from other organizations. However, there must be specific steps taken to learning interorganizationally that is different from traditional organizational learning processes.

Interorganizational learning, referred to as _collaborative learning_ in a recent study conducted by Hardy et al (2003), requires a network of social interaction. The authors perpetuate their social constructivist view of knowledge by referring to it “as a property of community practice rather than as a resource that can be generated and possessed by individuals" (p. 326). The authors support their contention by citing Powell et al., 1996:

> Knowledge creation occurs in the context of a community, one that is fluid and evolving rather than tightly bound or static…Sources of innovation do not reside exclusively inside firms; instead, they are commonly found in the interstices between firms, universities, research laboratories, suppliers and customers. (Powell et al., 1996, p. 121).

From this standpoint, the authors explicate two venues for collaborative learning: a strategic perspective and a knowledge creation perspective, each having their own benefits and tradeoffs. A strategic perspective is understood as having more structure, established goals, and a partner selection criteria; whereas, a knowledge creation perspective is understood to be less inhibitive – having little or no formality that may inhibit openness and synergy; both of which are necessary for going beyond the boundaries of _knowledge transference_.

As explained by Holmqvist (2003), a separate stream of organizational learning research focuses on how organizations in cooperation with each other through formal channels, learn. The research refers to it as interorganizational learning and it has conceptualized how members are able to learn by developing sets of rules that are separate from the rules of the persons organization. Therefore this learning group is indeed an unique learning group or interorganizational learning group.

## A knowledge creation perspective: learning in multinational corporations

Since World War II the number of multinational corporations has grown dramatically (Macharzina, Oesterle, Brodel, 2003). This fact is indicated by the growth in global trade, which has consistently grown at a faster rate than the overall global economy. Multinational corporations (MNCs) have a number of unique challenges that they face, but the ability to learn and adapt best practices from within the company, yet across cultures, is among the greatest challenges MNCs must overcome if they are to be successful.

Organizational learning and knowledge management can facilitate the internationalization process and improve the competitiveness of a MNC (Macharzina, Oesterle, Brodel, 2003). If, however, a MNC fails to learn effectively or deploy learned knowledge across the organization, much of the efficiencies of size can go unrealized and actually cost the enterprise dearly in duplicative efforts and non-value added learning.

Interorganizational learning is the action of groups working together to discover a strategic and operational path to help all organizations involve improve their processes (Cohen & Sproull 1991; Weick & Westley 1996). Successful implementation of interorganizational learning involves collaboration, trust, and empathy (Uzzi 1996; 1997). Recent events such as natural disasters and terrorist attacks in North America have motivated various organizations in the public and non-public sector to work together to ensure adequate crisis response to American civilians. This is accomplished by having their emergency management components (e.g. Fire Department, Police, Explosive Ordnance, and Medical Services) engage in table topic exercises. As a result, trust increases among the organizations. In addition, the collaboration can create new scenarios which provide new learning abilities for all stakeholders involved.

The challenges of working and conducting business across international boundaries increases the challenges organizations face in cross-cultural interaction. Macharzina, Oesterle, & Brodel in Dierkes, Antal, Child, & Nonaka (2003) suggest “the diversity and complexity of managing a geographically dispersed system of value-added activities is greater than – and hence qualitatively different from that of managing operations with a single national market” (p. 632). Furthermore, while these challenges originate at the foreign local level, their “effects" are systemic, for they involve the characteristics of cross-border processes.

The authors though, further suggest that these increased challenges over time can actually benefit the whole of the organization as the challenges are studied and solutions found in multiple areas. These new solutions can be beneficial in other areas and new strategies formulated can be spread throughout the entire organization. Thus while the challenges may prove much larger than in singular national arenas, certainly an important factor given the increased globaliziation of companies and markets. When organizations apply problem-solving solutions to international challenges, the effectiveness of the group or organization increases its competitive advantage and organizational effectiveness.

## A strategy perspective - learning in strategic alliances

Many organizations have come to rely on alliances with key players in the marketplace as strategic ventures for maintaining a competitive advantage. These key relationships can help foster organizational learning, thus giving an edge over the competition. This serves as a primary motivation for alliance formation. In addition to the motivation of furthering org learning, there are other benefits of alliance formation, such as the potential for significant partnership agreements (Lei, Slocum, and Pitts 1997).

Short-term and long-term strategic planning can flourish when collaborative partnerships with suppliers, customers, and even competitors are considered. Daft (2005) characterizes effective learning organizations as those who have permeable boundaries – companies that will often link themselves with other businesses providing each organization with a larger access to information about current needs and directional trends in the industry. Daft continues to state, “Some learning organizations… also openly share information with competitors or allow competitors to visit and observe their ‘best practices.’ These companies believe the best way to keep their organizations competitive is through a mutual sharing of ideas” (p. 613).

An often successful strategy for organizational learning in a cooperative effort between companies is in the sharing of a mutually beneficial marketing strategy. For example, Advanced Circuit Technologies in Nashua, New Hampshire, formed a coalition of 10 electronic firms to jointly market non-competing products - each member company still conducts its own business, but, as a coalition, they now can adopt a strategy of bidding on projects larger beyond what they could deliver as an individual company as they partner with other firms for services they can’t do themselves (Daft 2005).

Strategic alliances and joint ventures are hybrid arrangements that combine strategic objectives and cultures of partnered organizations (Child, 2003). Such alliances may incorporate the blending of management systems, sales and marketing strategies, or other potentially synergistic aspects of the partnered entities’ businesses. Organizations can benefit from strategic alliances and joint ventures by incorporating best practices from partnered organizations and employing what they have learned through their organizations as a whole. In the best alliances, mutual learning is achieved through knowledge transfer, and through the “dynamic synergy that may be stimulated” by experts coming from different backgrounds (Child, 2003).

One problem with such alliances, however, is the fact that there are substantial barriers to knowledge sharing that arise for any number of reasons. For example, the underlying relationship between the partners may be inherently competitive (e.g. General Motors and Toyota partnering on New United Motor Manufacturing, Inc –aka NUMMI) or one organization has the capacity to absorb large volumes of information and the other partner lacks that capacity (e.g. a large pharmaceutical company partnering with a small biotech company).

For the most part, however, such alliances are beneficial for all parties involved, especially if there is a substantial transfer of knowledge, transformation of that knowledge into usable information within the broader organization, and synthesis of new knowledge that is the direct result of the knowledge sharing that comes about as a result of the alliance.

As organizations continue to expand into new markets internationally, interorganizational learning will provide cost-effective measures that will assist companies as they expand into new global markets. Merriam and Caffarella (1999), citing Ulrich (1998) state, "Globalization requires companies 'to move people, ideas, products, and information around the world to meet local needs'" (p. 13). Meeting these local needs means understanding local logistics, culture, and languages. The authors, continuing to cite Ulrich, state that organizations '"must add new and important ingredients to the mix when making strategy: volatile political situations, contentious global trade issues, fluctuating exchange rates, and unfamiliar cultures'" (p. 14). If individual companies embark upon this enormous learning curve without attempting to learn from other organizations, even competitors, progress may be minimal and likely slow its advance. "'In short, globalization requires that organizations increase their ability to learn and collaborate and to manage diversity, complexity, and abiguity'" (p. 14).

## Case studies & workplace examples

One of the silos of organizations that find it difficult to learn interorganizationally is unfortunately the church. There are moments and places where this kind of organizational learning can happen. One of the case studies for interorganizational learning is occurring in Springfield, Missouri. Two churches, Calvary Temple and Parkcrest Assembly, are combining efforts to create a learning organization. Rather than continuing separate organizations they are uniting their resources of land, congregations, and finances. They have created a step process plan considering all angles and problems that might arise. The greatest organizational learning tool they have is trust and united vision. This is how they are learning interorganizationally. They have a common goal, common direction, created together not independent of one another. They are building on what unites them, not concentrating on what might divide them.

← [Organizational Learning: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Organizational Learning: Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice) →

← [Organizational Learning: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Organizational Learning: Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Practice

## Introduction

We have all heard the old adage, “Practice makes perfect.” This saying still holds true, especially when it comes to learning. However, you cannot replicate something until you know how it works.

An organization cannot become a learning organization until it understands how it learns and transfers that learning from individual to corporate routines. Part of understanding an organization and its ability to be a learning environment can be found by studying the history of that organization. Fear wrote, in order “to illuminate organizational learning, a historian would need to deconstruct the way legitimacy was rhetorically and symbolically created within the organization over time, not just in a particular snapshot of time. To examine this process of change, organizational learning theorists could analyze crucial turning points in time when previous forms of legitimate reasoning made way for new ones” (Dierkes, Berthoin, Antal, Child & Nonaka, 2001, p. 183). By analyzing the steps of development as they occur, an organization can refine it's practices to best know how they learn, develop, and grow. They then can begin to establish an appropriate organizational learning framework.

## Architectural framework for organizational learning

Direkes, et al. (2004) “emphasize that organizational learning…requires both the appropriate structural mechanisms and the cultural conditions that promote habits of inquiry, experimentation, and reflection” (p. 755). This reference to structural mechanisms and cultural conditions is very similar to Senge’s (1994) suggestion in The Fifth Discipline Fieldbook, that organizational learning is put to practice within a triangular architectural framework constructed of three elements: guiding ideas (or visions), means, and practical resources for application.

Imperative to the development of a learning organization - through practice, is the existence of each one of the aforementioned elements; the lack of any one element leads to a collapse of the triangular framework. For example, learning would be constrained if the cultural conditions (means) of the organization were such that there exists a lack of commitment to learning or intolerance toward errors. Employees operating in such an environment will not be inclined to realize new concepts nor apply new methods so long as the means – the cultural freedom to practice learning – is non-existent or is constrained. “Leaders intent on developing learning organizations must focus on all three of the architectural design elements” (Senge, 1994, p. 36).

## Dimensions of learning practice

There are many theoretical positions and conceptual models of organizational learning. Additionally, there are many tools and instruments available in the literature – a sort of “how to” guide to organizational learning. Absent are the criteria that would indicate which tool or instrument is best suited to a specific learning opportunity. However, Pawlowsky, Forslin, and Reinhardt (2003), suggest that no matter the underlying theory, all approaches to learning practices share similar dimensions. These include (Pawlowsky et al., 2003):

  1. Reference to a system level, especially the transfer of knowledge from the individual level to the organizational level.
  2. A distinction between learning types – single-loop, double-loop, and deuteron.
  3. A reference to cognitive, cultural, and action approaches.
  4. A definition of process steps or phases in which learning occurs.

The authors go on to define learning tools as “instruments or interventions designed to bring about one or more of the process phases involving the various dimension of organizational learning (system levels, learning types, and learning modes)” (Pawlowsky, Forslin, & Reinhardt, 2003, p. 776). In other words, there is no single learning tool or practice that will suffice for all learning applications. Looking forward, this definition and the framework of learning dimensions described above, allow for empirical study on the effectiveness of specific tools for various learning opportunities, learning types, and steps in the learning process.

## Critical factors for organizational learning

Garvin (1993) cites three critical factors that are essential for organizational learning in practice: meaning, management, and measurement, each further defined as follows:

> Meaning. For learning to be a meaningful organizational goal, it must be widely understood, have application to the work being performed, and be supported by the organizational leadership. A key means of support is the tolerance of mistakes or failures. The organizational culture must embrace reasonable risk-taking such that mistakes or failures become learning opportunities that can be spread throughout the organization.

> Management. The generation of new ideas does not necessarily indicate an organization’s ability to learn. Until those new ideas, or knowledge, are accompanied by a change to the way an organization performs work, then only improvement is taking place. For an organization to learn, a change must take place and that newly gained knowledge must be intentional and managed. That is the learning must be by design, not by chance. Learning practices and policies must be the foundation of “managed” organizational learning. Garvin suggests five basic practices that organizations can manage to enable organizational learning: systematic problem solving, experimentation, the use of demonstration projects, experiential learning, and learning from others on the outside, e.g., benchmarking.

> Measurement. There is an old management saying that “you get what you measure”. So, if you want to know whether your organization is indeed learning, how do you measure it? The earliest measurements, those developed in the 1920’s and 1930’s were learning curves and manufacturing progress functions. But these are not necessarily sufficient for the level of organizational learning we are looking to measure. Measurements must effectively gage the stages of organizational learning: cognitive -- where members are exposed to new ideas or knowledge; behavioral changes – where members actually alter their behavior based on new learning; and finally, performance improvement – where behavioral changes actual lead to positive business results in safety, quality, market share, and profitability (Garvin, 1993).

## Core disciplines of organizational learning

Organizational learning focuses on the practice of five core disciplines. Those disciplines are the foundation of organizational learning. They include: 1) Systems thinking-seeing things as a whole yet being tuned into the parts ; 2) Team learning- the creativity or synergy of the group, which practices open, honest communication and mutual trust; 3) Shared vision- when the organization is aware of the goal or vision and the practice requires the knowledge of how the whole organization works together; 4) Mental models- how we see the world and the practice of bringing these assumptions out and assisting other to do the same; and 5) Personal mastery - the identification and questions about your life purpose and the practice requires deep inter exploration and the ability to take risks.

## Organizational learning goals

Why would an organization want to go through the time consuming process of establishing a learning organization? One goal for putting organizational learning concepts into practice is innovation. When all available resources are effectively used across the functional departments of an organization, creativity and ingenuity can transpire. As a result, the process of an organization working together to overcome an obstacle can lead to a new innovative process to serve the customer's need. Before an organization can be innovative, leadership must create a culture of innovation as well as shared knowledge and organizational learning. Angel (2006), explains the Continuum approach as a method being used to help organizations reach a higher level of performance.

The Continuum approach consists of three levels: foundation, advanced, and breakthrough. In the foundation level, organizations normally improve their performance by working harder while terminating employees not performing up to standards. The advanced level of the Continuum allows for cross-functional collaboration of individual departments in an organization. At the advanced level, productivity and flexibility increases because operational decisions are allowed at lower levels. However, "the advanced level will only take an organization so far" (Angel, 2006, p. 4). To move to the breakthrough level and help the organization reach a new level of performance and innovation, "an adaptive, knowledge and learning culture" must be established (Angel). At the breakthrough level, organizations achieve organization-wide self-actualization because they support self-directed teams, implement robust learning information systems, and constantly analyze the needs and values of their customers.

## Impediments to organizational learning

Anxiety and stress can impede and sometime paralyze effective learning. Landy and Conte (2004) explain a common approach to stress management often used in organizational settings – stress inoculation. This cognitive-behavioral learning consists of:

  1. An educational component: gaining insights into the “how and why” a person responds to stressful experiences.
  2. A rehearsal experience: learning and experimenting with coping skills and problem solving techniques.
  3. A controlled opportunity of application: time of practice skills under simulated conditions.

There are some impediments that are unique to individuals in the organization. These hindrances are potential pitfalls in working towards a culture of embracing learning. Impediments such as individualism, self-centeredness, lack of motivation, reluctance, established behavior, and past negative experiences all impact the organization's overall efforts in organizational learning.

Once an organization is aware and anticipatory of individual stress responses to the implementation of organizational learning practices, they can begin to affect the anxiety and stress factors in positively. Learning can occur when the anxiety that surrounds learning is outweighed by the anxiety tied to fighting for survival. The two ways to promote learning are either to decrease learning anxiety by creating a safe environment or to increase survival anxiety by threatening jobs if the individual does not learn. Educating employees on the economic climate which influences survival and creating a safe environment where they can learn is a healthy balance between the two (Coutu, 2002).

## Creating conditions for organizational learning

The practice of organizational change must address issues within that limit and hinder and organization’s growth and progress. Organizational learning seeks to address the full spectrum of assumptions, behaviors, and values within, and the organization’s interaction with the systems, persons, and groups surrounding the organization. While much of the surrounding systems and environment cannot be controlled by an organization, they are able to grown and change to address the challenges and issues within and without through organizational learning.

Friedman, Lipshitz, and Overmeer in Dierkes, Antal, Child, & Nonaka (2003) “define organizational learning as a process of inquiry (often in response to errors or anomalies) through which members of an organization develop shared values and knowledge based on past experiences of themselves and of others" (p. 757)

The goal of organizational learning is to foster “critical and reflective attitude towards the information being processes, and that lead to actions to which organizational actors feel internally committed” (p. 757).

This will involve both single-loop learning, which the processes by which individuals and organizations detect and correct errors in their behavioral strategies and double-loop learning, which involves processing the underlying values, objectives, and standards for performance.

“In order to make double look learning possible, Argyris and Schon (1974) took the visionary step of prescribing a ‘Model 2 theory-in-use’ (p.7), which is based on three simple values (or variables): valid information, free and informed choice, and internal commitment to the choice and monitoring of its implementation” (p. 757).

Individuals capable of internalizing values will display a variety of attitudes and skills while in dialogue with other learners. They will “combine advocacy with inquiry, making statements that are discomfirmable, openly testing their own inferences, inquiring into the reasoning of others, working with others to design means of protection, and jointly controlling tasks” (p. 758). These attitudes and behaviors form the foundational framework of genuine organizational learning and change.

## Summary

"There used to be a sense among managers that learning simply happened intuitively: organizations succeeded and survived, or they failed" (Berthoin Antal, Child, Dierkes, and Nonaka, 2003, p. 932). However, research has proven that the practice of learning, whether it is individual or organizational, promotes learning in other individuals and/or organizations. And that it must be practiced to be effectual. Effective learning is not something that happens accidentally or simply by chance. Effective organizational learning is developed as a part of the culture, integrated into daily practice. New learning is emerging in organizations and corporate environments and is driven by the fast paced introduction of knowledge and new ideas from a variety of sources. It is imperative that organizations understand the rhythms of the information tides and the emerging learning practices will have to be far different than those of the past. Trends suggest that learning practices will be from a variety of sources and not necessarily organizationally or theory driven. Berthoin Antal, Child, Dierkes, and Nonaka (2003) posit, "The extent to which these practices actually help organizations achieve learning goals will depend on how earnestly and critically their members engage in assessing their experiences" (p. 933).

## Case studies & workplace examples

The Toyota Production System (TPS) has become a global movement to streamline an organization’s practice toward efficiency and productivity. Liker and Morgan (2006), share insights into TPS demonstrating the integration of three primary foci for the system: people, process and technology.

Four keys to “process” in the TPS involve, 1) develop, align, track and activate customer-driven objectives throughout the organization; 2) prevent problems with a wide range of research and alternatives prior to productivity; 3) evaluate the flow of the process in order to create a waste-free process; 4) utilize rigorous standards to reduce variation and produce predictable outcomes.

Six principles comprise the TPS approach to people:

  1. Establish a “chief engineer” to integrate the entire product process.
  2. Organize a balance between functional expertise and productivity.
  3. Develop technical competence in all hires.
  4. Fully incorporate suppliers in the product development system.
  5. Insure continuous organizational learning and improvement.
  6. Build a culture of excellence and relentless development.

The third focus, tools and technology, has three foundation stones:

  1. Adopt technology to fit your people and your process.
  2. Use simple and visual means of communication to unify your organization.
  3. Use standardization tools to provide organizational learning from program to program.

← [Organizational Learning: Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Knowledge Management: Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) →

← [Organizational Learning: Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Knowledge Management: Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

* * *

# **Knowledge Management**

# Challenges

## Introduction

While the field of Knowledge Management has long been studied by scholars of several disciplines, there remain significant challenges for the future. These challenges reside in both theoretical and conceptual studies as well as practice and application. Change will be omnipresent – requiring organizations to make incremental or continuous improvements, and breakthrough or “game-changing” advances. The question is: What are the contributions that Knowledge Management will make as a field of study and a relevant practice (Dierkes, Berthoin Antal, Child, & Nonaka, 2003).

According to Reinhardt, Bornemann, Pawlowsky and Schneider (2003), "With knowledge as one of the most important resources today. . . management obviously should attempt to identify, generate, deploy, and develop knowledge" (p. 794). The concept of knowledge management and the degree to which its value is outpacing the tangible assets of companies has become an issue of concern for many organizations and managers. "Human capital is seen as a company's total workforce and its knowledge about the business...It is seen as crucial for marshaling the company's assets, both tangible and intangible" (Reinhardt, et al., 2003, p. 796).

The theoretical/conceptual challenge lies in the lack of common definition of Knowledge Management. There exists widespread variation in how scholars define it. Like the field of Leadership, there needs to be further study and dialogue on what defines Knowledge Management. It is only from that common understanding that the field itself will flourish rather than becoming a popular management fad.

## Manageability

Dierkes, Antal, Child, & Nonaka (2003) state, "If knowledge is an essential resource for establishing competitive advantage, then management obviously should attempt to identify, generate, deploy, and develop knowledge. Hence, managers need more knowledge about knowledge and about how it can be managed, if it can be managed at all" (p. 794). In a world replete with knowledge and information (often similar in meaning), or its possible acquisition, what is often missing within organizations are the processes for dissemination. As with most things, knowledge is only as good as its contextual applicability. Once knowledge/information has been determined to be useful, and applicable to a particular context, its manageability must be determined, i.e., how it should be dispensed, who should be the recipients, what effects it will have on an organization and even the market in general.

## Technology

The initial challenge of knowledge management is synthesizing the information processing technologies in your organization and the unique abilities of the people to allow the organization to survive and thrive on knowledge. Knowledge management is not just knowing everything the organization knows. It is creating a synthesis between the people and the information to the point that the whole is more than the sum of the parts. Bellinger (2004) offered that “The value of knowledge management relates directly to the effectiveness with which the managed knowledge enables the members of the organization to deal with today's situations and effectively envision and create their future (p. 1).”

The technology dimension of Knowledge Management, while important, is not essentially where knowledge actually resides. Technology can accumulate information, sort information, communicate information, and do so at high rates of speed. But knowledge resides inside human relationships and experiences. So, the challenge becomes one of building a culture that values face-to-face human relationships, reflection, and sharing. Organizations must challenge themselves to engage as many people as possible in the experiences, such that the organization learns to the depth and breadth that will sustain its growth in knowledge and ultimately its survival.

## The individual

The challenge of the individual versus the team in knowledge sharing is created by the very culture and context in which it resides. In the western culture mindset Trompenaars & Hampden-Turner wrote “our education system is based on accumulating knowledge individually” (Goldsmith, Morgan, & Ogg, 2004, p. 14). This form of defining working culture is antithetical to a social structure that believes and embraces knowledge sharing and management without having to accrue personal gain. This challenge presents itself in many ways within corporate America because those who prescribe to it limit our ability to work more effectively together and share intellectual capital.

According to Grant (1996), the major challenge of knowledge management is in the process of capture and integration. In order to be successful, an organization must first concentrate on changing the mindset of its followers. The goal in using knowledge management is to aid them in the performance of their duties. Knowledge management challenges that were once focused on financial aspects are now facing the challenges of measuring human and intellectual value too. It can assisted by human language technology (Maybury, _missing retrieval date_). The technology can include but is not limited to "retrieval, extraction, summarization, and presentation/generation" (Maybury, _missing retrieval date_, p. 1). Not only is this technology meant to enhance access, but also to enhance interactions between people by improving knowledge awareness.

## Culture

Knowledge Management, likewise, must have practical application to organizations – human organizations. The tools, databases, and technological aids are not themselves Knowledge Management. Knowledge and learning come from people and their relationships with each other and their experiences. The real challenge, therefore, comes in the form of developing a culture that embraces learning, sharing, changing, and improving, all through the collective intelligence and knowledge of people.

Kluge et al. (2001) tell us that their examination of a variety of companies revealed that many of them had attempted to implement knowledge management efforts but failed due the the lack of an appropriate cultural context that would “create and nurture reciprocal trust, openness and cooperation” (p. 25). They maintain that employees must be enthused with a thirst for knowledge and that many failures in this arena are the result of top down efforts to “push” information. Push approaches can often be identified by management’s reference to information technology initiatives.

## Flexibility & change

“…The availability of information is changing everything…and it is creating the greatest mass empowerment of all time” (Wheatley, 2004, p. 53). In this world of constant change, the organizations that learn how to be smart, quick, agile, and responsive are the ones that will survive long into the future. Organizations, though, are not machines. They are made up of people who need time to experience, reflect, and learn. Likewise, knowledge is not something that can be quantified and it is far more complex in that it is derived out of human relationships and experiences. This, then becomes the greatest challenge of Knowledge Management – the organization’s ability to embrace, grow, and attend to the human dimension (Wheatley, 2004).

## Shared leadership

One of the greatest challenges of knowledge management is the _assurance_ that knowledge will prevail by _ensuring_ that knowledge workers are given “voice” – sometimes referred to as shared leadership. Goldsmith (2004) defines knowledge workers “as people who know more about what they are doing than their managers do [and adds that] while many knowledge workers have years of education and experience in training for their positions, they often have little training in how to effectively influence upper management” (Goldsmith, et al., 2004, p. 19).

Goldsmith et al. (2004) quoting Peter Drucker provides an explanation for this lack of influence when he says, “The great majority of people tend to focus downward. They are occupied with efforts rather than results” (p. 19). In reality this concept might be taken further – suggesting that the answer lies not in focusing on efforts _or_ results, but rather focusing on shared purpose. The responsibility for having “voice” within an organization does not necessarily rest with a perception of permission from upper management but with courageous followership. Ira Challef (2003), author of _The Courageous Follower: Standing Up To & For Our Leaders_, states that shared leadership has its limits when given a top-down approach. Instead, he purports that both the follower and leader share a common purpose and that the “loyalty of each is to the purpose and to helping each other stay true to that purpose” (Chaleff, 2003, p. 17) – something that can only be done holistically, by giving knowledge workers “voice” within the organization.

## Building blocks

Garvin (1993) points to five building blocks that reflect some solid challenges to knowledge management:

  1. Systematic problem solving.
  2. Experimentation with new approaches.
  3. Learning from one’s own experience and past history.
  4. Learning from the experiences and best practices of others.
  5. Transferring knowledge quickly and efficiently throughout the organization.

These five building blocks need to function in harmony and balance with one another. Effective knowledge management can be increased as systems and procedures are developed to address and improve each of these five foundational stones. The challenge facing the organization comes in maintaining the dynamic nature of the interrelationship of these five areas of knowledge management. Garvin (1993) supplies three suggestions for addressing the first building block of systematic problem solving. First is reliance on the scientific method (hypothesis testing) rather than on guesswork when it comes to problem solving. Second, decision making should be based on data, not assumptions (fact-based management). And third, use simple statistical tools (charts, diagrams) to organize and communicate data.

## Overcoming knowledge management challenges

Knowledge management can improve an organization’s ability to achieve development results. In its most basic form, knowledge management is all about converting the available raw data into understandable information. This information is then placed in a reusable repository for the benefit of any future need based on similar kinds of experiences. Knowledge management contributes towards streamlining the ideas, problems, projects and deployment in light of organizational goals driving towards productivity.

Goldsmith, Morgan, & Ogg (2004) suggest the idea "of knowledge management is fundamentally flawed-it involves neither knowledge nor management and therefore cannot be expected to succeed" (p. 39). Rather, they suggest that the real focus should be upon “the intellectual capital” that workers possess. This creates a wide misunderstanding of the purpose and context of sharing that intellectual capital. Far beyond facts stored in memories of individuals, groups, or computers, intellectual capital deals with applied expertise gained through understanding and experience. Effron continues suggesting by illustration that best practices for hiring new workers may not be knowledge or facts easily gathered and stored. Often, a talented human resources or other organizational leader may possess significant skills and insights not learnable via a book or computer file. He suggests that learning from such individuals can be an important learned and shared intellectual capital.

## Case studies & workplace examples

One of the greatest challenges in organizing KM is desire and motivation. Without people within the company or organization having the motivation or vision for sharing information, they shut down. Without the vision of why KM is important, people are not willing to give. Another problem comes from the organization itself. If it is not willing to change it turns on those that try to initiate it. We have been trained that knowledge is power. To give up that power is antithetical to building our own importance verses the best interests of the organization. I experienced this from the only company that I was released from. I was invited to succeed elsewhere because I had too much initiative. In trying to share knowledge I initiated change within a company that did not want to change. In the end, change did not occur, KM was challenged, and I had to find a new job.

Within the Center for Life Calling and Leadership, there is a disconnect between knowledge acquisition (research and curriculum development) and its dissemination with the organization as a whole. Leadership has decided that there must be intentionality between knowledge acquisition and its dissemination. This is being accomplished through personnel assigned to develop programming designed to integrate Life Calling into academia and student life. Life Calling knowledge has been embraced conceptually, but the next stage is to integrate this knowledge throughout the entire organization to positively affect the lives of individual students, whether it is in the classroom or in residence life.

At Medical Protective, the reality of virtual teams in the organization posed a significant threat in the area of shared learning/knowledge management. In order to overcome this obstacle, information managers and organizational leaders determined that the use of technology would have to be leveraged to bridge the gap in connecting these teams to each other. Simple technologies such as shared network drives were used to maintain training material and commonly used forms and documents to keep the teams aligned. After mastering the simple technologies, Medical Protective then moved to more complex systems such as imaged filing programs, virtual telephony services, and web-based mainframes, so that teams were connected, despite their logistical distances.

  


← [Organizational Learning: Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice) · [Knowledge Management: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) →

← [Organizational Learning: Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Knowledge Management: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Processes

According to Rumizen (2002), "knowledge management is a systematic _process_ by which knowledge needed for an organisation to succeed is created, captured, shared and leveraged." For this reason, knowledge management involves leadership establishing processes, also defined as activities or initiatives, to help organizations adapt to an ever changing environment (National Electronic Library for Health, 2005). Successful knowledge management depends on processes that enhance individual and organizational ability, motivations, and opportunities to learn, gain knowledge, and perform in a manner that delivers positive business results. Organizational processes that focus on these three attributes will lead to an effective “management” of knowledge (Argote, McEvily, & Reagans, 2003). Rewards and other motivational incentives are keys to the knowledge management process. Argote, et al. (2003) have noted that members of an organization are unlikely to share insights and ideas within the organization if they are not rewarded for the knowledge sharing. They point to the impact of social rewards as being just as important as monetary rewards. A strong social culture within an organization can promote the transfer of knowledge. Within the midst of this strong culture there is a development of a desire for social cohesion and genuine spirit of reciprocity. Argote, et al. point to a less altruistic and a more egocentric motivation for knowledge sharing within an organization with a strong social culture. Often the employee is willing to transfer knowledge in order to protect their own social standing. Demonstrating uncooperative behavior or attitudes will damage one’s reputation and so to afford this social and professional risk, knowledge sharing increases.

In the global and technological environment, the challenge exists to move from an organizational mindset that suggests that knowledge is for the few on the top echelon to an understanding that knowledge once held by the few is available to the masses. Goldsmith, Morgan, and Ogg (2004) contend, "The old days of "continous improvement" seem as leisurely as a picnic from the past. In this chaotic and complex twenty-first century, the pace of evolution has entered warp speed, and those who can't learn, adapt, and change from moment to moment simply won't survive" (p. 54). The need to rethink the process of knowledge management even in mega-organizations is of paramount importance. Goldsmith, et al. (2004) further contend, "We're trying to manage something-knowledge-that is inherently invisible, incapable of being quantified, and borne in relationships, not statistics" (p. 56). The time to understand knowledge management from a multi-directional perspective has come. Goldsmith, et al. says, "Our most important work is to pay serious attention to what we always want to ignore: the _Italic text_human dimension" (p. 57).

According to Nonaka (1998), "Understanding knowledge creation as a process of making tacit knowledge explicit--a matter of metaphors, analogies, and models--has direct implications for how a company designs its organization and defines managerial roles and responsibilities within it" (p. 36). Nanaka states that this is accomplished within Japanese companies through redundancy, "the conscious overlapping of company information, business activities, and managerial responsibilities" (p. 36). As a process, redundancy can become a medium that assists in the management of knowledge within an organization. Though to many western managers redundancy may conjure up mental images of "unnecessary duplication and waste" (p. 36), it can assist in the area of employee expectancy, alleviating unnecessary assumptions and confusion.

Creating opportunities for individuals to create, retain, and transfer knowledge can be managed through employee development processes. For example, placing individuals in situations where they can gain new experiences, or share learning from a prior experience will enable knowledge management. Many companies have processes to intentionally move personnel across the organization (across units, regions, functions, etc.) for the purpose of transferring knowledge as well as building learning capability and agility within the individuals.

Ability, while innate, can also be increased through effective training processes and experiences. Training in analogical reasoning, for example, will increase an individual’s ability to transfer knowledge between tasks, assignments, or reporting units, thereby spreading knowledge further across the organization.

Recognition and reward processes and systems can also influence the knowledge management process. Members of an organization, who are recognized and rewarded for knowledge transfer are more likely to engage in such sharing of knowledge, especially if it is integrated into the performance management process and will influence their standing or reputation in a positive manner.

Drawing upon Wheatley’s (1999) reference to a system as “a set of processes that are made visible in temporary structures” (p. 23), we might deduce that organizational learning - as a system process, is manifested or made known by the visible temporary structures of behavioral patterns, rhythms, and relationships. In other words, the organization is a “living system” –one that uniquely takes form through “fundamentally similar conditions” that other organizations encounter: "...self...shared meaning...[and] networks of relationships...[resulting in] information [that] is noticed, interpreted, [and] transformed” (Wheatley & Kellner-Rogers, 1999, p. 81) into knowledge. Thus, according to Wheatley (2004), knowledge management cannot be proficiently processed independent of “creat[ive] work that is meaningful, leaders that are trustworthy, and organizations that foster everyone’s contribution and support by giving the staff time to think and reflect together” (Goldsmith, et al., 2004, p. 63).

The shear volume of information today also presents a process problem. Wheatley describes what creates enormous possibilities for KM,“world wide web has created an environment that is transparent, volatile, sensitive to the least disturbance, and choked with rumors, misinformation, truths, and passions” (Trompenaars & Hampden-Turner, 2004, p. 53). The list includes the belief that organizations are a machine, only materials and numbers are real, you can only manage what you can measure, and technology is the best solution. The efforts are ultimately an attempt to make knowledge manageable. Something one can keep track of, keep inventory of, and procure for sale to another who wants it. To manage something you must have some kind of an understanding of it and an ability to control it to some degree. This reasoning leads to the list mentioned above by Wheatley as well as similar lists made by other KM leaders.

What facilitates KM? Wheatley’s list says that humans create knowledge, and it’s natural to create and share that knowledge, everyone is a knowledge worker, and people choose to share their knowledge. Another process issue is attaining or gathering knowledge. That knowledge exists throughout any given organization, but the ability to inventory or tap into that knowledge is difficult. Wheatley writes that “we must recognize that knowledge is everywhere in the organization, but we won’t have access to it until, and only when, we create work that is meaningful, leaders that are trustworthy, and organizations that foster everyone’s contribution and support by giving staff time to think and reflect together” (Trompenaars & Hampden-Turner, 2004, p. 63).

Effron (2004), asserts that given the definition of knowledge as “the fact or condition of knowing something with familiarity gained through experience or association”, it is “impossible to acquire “knowledge” without either experiencing something yourself or interacting with someone else who has” (p. 40). Knowledge Management is not synonymous with IT systems and processes. Rather knowledge resides in the experiences of people in different contexts. With regard to Knowledge Management, the aim of an organization is to work within business processes that create, and transfer knowledge throughout the organization. If knowledge is created and transferred via human experiences then these business processes must encompass an understanding of how people learn and transfer their knowledge; that is the business processes must emphasize person-to-person contact (Effron, 2004).

Examples of business processes that will lead to effective knowledge management are:

  * The setting of goals and objective – be realistic and recognize the limitations of data mining and information gathering. Make the increase of organizational knowledge a stated and specific goal for the all.
  * Employee retention – HR processes should focus on what it takes to retain employees who hold key knowledge. Provide opportunities that are developmental, have purpose, and have a high impact on business performance. Compensate such employees above typical market rates.
  * Employee development processes – pairing experts (what some companies call “Oak Trees”) and apprentices provide opportunities for employees with differing levels of knowledge to work together and increase the organizational knowledge. These relationships allow for a true exchange of knowledge through a human relationship and experience.
  * Organized networking and annual conferences – these provide forums for face-to-face interaction and knowledge sharing and can lead to effective organizational knowledge management.
  * Accountability – line management, not just IT or HR, should be held accountable for knowledge management. They should be held accountable for management of the human resources and organizational knowledge. They do this through the above business processes of employee development (experiences, developmental assignments, etc.).

In the process of KM there must be significant steps taken to eliminate any barriers that may get in the way of becoming or increasing the ability to be a learning organization. Cummings challenged our intentionality for to effectively help the processes of KM within an organization there must be intentional efforts to remove barriers that would inhibit ideas, talent, and money from getting to the point of best use (Trompenaars & Hampden-Turner, 2004).

Managers and leaders play in important role in the success of knowledge management in their organization. James Robertson (2005) introduces ten key principles to ensure that information management activities are effective and successful. These focus on the organizational and cultural changes required to drive improvements forward. Those principles are:

  * Recognise (and manage) complexity
  * Focus on adoption
  * Deliver tangible & visible benefits
  * Prioritise according to business needs
  * Take a journey of a thousand steps
  * Provide strong leadership
  * Mitigate risks
  * Communicate extensively
  * Aim to deliver a seamless user experience
  * Choose the first project very carefully

The practical value of KM is in what it is able to impact, how it impacts, and how well it impacts. The line between KM and business is through the processes of business. KM's biggest impact on business may be in its ability to improve processes and their performance (Nichols, 2000). It is suggested that the changing of processes should take into consideration the role KM plays in this process. In turn, the information that is needed to make decisions to make changes must be identified and well as determining the effects those decisions will generate.

An organization that wishes to begin to use Knowledge Management must begin by specifying specific processes. These processes must be supported by technological resources and must facilitate the sharing of information about problems and solutions, improvement suggestions and information concerning best practices practiced by other organizations. Organizations that follow this plan will develop a framework that catalogues, uses and integrates the knowledge used by individuals as organizational knowledge for driving innovation and organizational change (Hyde & Mitchell, 2000).

Hyde and Mitchell (2000) offer six strategies for developing knowledge management processes within organizations:

  1. Define a KM business case. What levels of knowledge and innovation will your agency need to stay ahead of your "environment" and be "competitive?" (Do not start until you can prove you need it.)
  2. Baseline your intellectual capital. Knowledge is an intangible asset, but human capital is not--measure current and projected workforce capabilities, your HR investments, and expected return on investment. (Get HR involved from the outset.)
  3. Make sure your senior executives "get it." Collaboration and knowledge sharing begin at the top, not at the bottom. Top management has to see how KM will affect performance and why it is critical for innovation and change. (Make sure the top dogs are eating the same food.)
  4. Build KM from the bottom up and across. What's most important about any KM program or process is its ability to facilitate knowledge exchange among those individuals closest to the work, to the customers, and to the processes. KM must be an enabling process that captures both best practices and new ideas while promoting access.
  5. Balance external and internal. The value of your KM program is multiplied by its reach--it needs to connect to other agencies, customers, and stakeholders. (Think in terms of strategic alliances.)
  6. Think technology last and "chunk" your investments. What products will you need to support your first level of KM development (allocate 75 percent of your KM IT budget). Save 25 percent for building your technology strategy to support future KM phases or new investments. (Think in terms of weeks and avoid all long-term systems projects like the plague.) (p. 57)

Andrews and Delahaye (2000) found that factors at the individual level greatly influence knowledge processes. These included a person’s perceptions of approachability, credibility and trustworthiness, which directly influenced knowledge importing and knowledge sharing. Researchers discovered that scientists in a bio-medical consortium actively filtered knowledge importing by deciding whom they would ask for information, whom they would allow to give them input, and with whom they would share their own knowledge. They made decisions based upon what they felt their co-workers would do with the sensitive information. In each case the scientists made a judgment of co-workers as to their perceived trustworthiness.

Knowledge management’s importance in organizations affects their competitiveness and the bottom line in significant ways. Ogg and Cummings suggest, “There are three important things that can be leveraged in large companies to help take advantage of being a big organization, money, talent, and ideas” (Goldsmith, et al. (2004), p. 103). Managing knowledge and intellectual capital increasingly grows as the critical of these three components that organizations need to align and use as leverage to foster improvement from within against stiffening competition. The processes necessary to align and create increased leverage against the competition. Larger organizations can struggle to overcome significant barriers to discover, organize, and utilize what Ogg and Cummings call a marketplace of ideas (cf. p. 104). Overcoming barriers and hindrances to sharing and utilizing great ideas takes discipline and cultural values in which new ideas are readily shared, honored, and implemented.

Ogg and Cummings further suggest that fostering an organizational culture that values new ideas necessitates that meetings become places where ideas are shared, appreciated, and implemented in timely fashion. Additionally, infrastructure must connect people in trust relationship with a context where meaningful ideas are shared. Technology and data storage are inadequate to facilitate this kind of transference of new ideas.

## Case studies & workplace examples

The process of _managing_ knowledge is somewhat a misnomer. More often than not, what a company really desires to do is _capture_ knowledge because managed knowledge is subject to mismanagement. One very simple process for capturing knowledge is known as “the wisdom of the crowds” - as was written about by James Surowiecki in a book by the same title. A more recent example of this is the famous television show, _Who Wants to be a Millionaire?_, where a contestant is given a single opportunity to ask the audience for their knowledgeable response to a particular question. Historically, this method of knowledge capture has been relegated to situations where factual resolve is sought (i.e., a single right answer). There are two important points to keep in mind when considering the use of this methodology: 1) individuals making up the crowd do not usually communicate with one another concerning their individual wisdom of the subject matter and 2) “the group's guess will not be better than that of every single person in the group each time” (<http://www.randomhouse.com/features/wisdomofcrowds/excerpt.html>).

Information technology provides a number of tools that facilitate the free sharing of knowledge among co-workers and team members. Web collaboration tools that allow team members to collaborate on line through the posting of relevant background information, calendars, task lists an similar documents are particularly powerful. They are particularly useful when members use them to post work in progress documents for review and use by others. The versioning feature of many of these allows all the participants to review documents, make comments and provide feedback. Chat and discussion areas also permit the free flow of knowledge and information.

Microsoft's Sharepoint Server has been particularly valuable when used with firms working on major planning projects. Participants scattered around the world are able to quickly provide and share knowledge with one another in a fashion that would be cumbersome in any other fashion.

Some years ago, Caterpillar Inc. recognized that a wealth of knowledge was contained in the minds of engineers throughout the company who knew what had been successful and what designs and practices had not been. This knowledge was frequently not available to engineers in other parts of the far flung company who would unknowingly use designs that had been less than successful elsewhere. In addition, much of the knowledge was perishable as it was lost to the company when engineers retired.

Simultaneously, Caterpillar was implementing a system which would record, categorize, analyze and report failure trends by application, type of equipment, subsystem, component and type of failure from data gleaned from all warranty claims and all dealer service orders worldwide in near real time. The original aim was to speed the recognition of required product improvements to increase customer satisfaction and reduce warranty cost. It was quickly realized that providing this type of information to engineers designing new products would permit them to understand the historical failure modes of all parts, components and systems and, therefore, to avoid repeating previous mistakes.

The Center for Life Calling and Leadership is a learning organization within the larger organization of Indiana Wesleyan University (IWU). The Center seeks to learn how to best meet the needs of IWU students, both students with pre-declared majors and leadership majors/minors. The process (Developmental Model)that has been developed through research focuses on each year of the college student's educational process. There are six stages on the Life Calling Developmental Model: (1) The Pre-Stage issue is entrance transition; (2) The first year stage is exploration; (3) The second year stage is connection; (4) The third year stage is interaction; (5) The fourth year stage is anticipation; (6) Following their exit from college, graduates now begin to implement what has been learned during the college experience in their Post-Stage life. According to Millard (2004), it was projected that students would progress developmentally throughout their educational process and increase in self-directedness. Millard states:

> One of the more eye-opening findings we have made is that this is not necessarily true. We found self-directedness increasing until the end of the 3rd year and then suddenly, with the anticipation and apprehension of life after college, there was a distinct regression from self- directedness and a greater demand for supportive intervention. The 4th year stage may be just as difficult as the 1st year stage. We also suspect that as we continue to develop this model that we are going to see multiple regressions correlated to various issues that occur throughout the college experience. Instead of gradually disengaging in our life calling support at our Center, we may find it a case of multiple refocusing of emphases and efforts (p. 4).

← [Knowledge Management: Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Knowledge Management: Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) →

← [Knowledge Management: Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Knowledge Management: Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Leadership

Leadership ultimately is an interaction or relationship between the leader and the led. Knowledge Management (KM), as Wheatley points out, is a process that requires that investment and relationship to exist on a deeper level of motivation (Trompenaars & Hampden-Turner, 2004). To effectively understand how to lead learning organizations the leader must understand what Garvin (1993) calls the three M’s. They are management, meaning, and measurement. By effectively leading in these categories a leader can learn to manage KM. Ultimately the three M’s are created and managed by ideas. Cummings challenged this by saying, “Leaders are idea brokers that enable the exchange of ideas to benefit their organization” (Cummings, Trompenaars & Hampden-Turner, 2004). This exchange of ideas is part of meaning and measurement, the ability to procure new knowledge and then integrate that into the framework of the organization. The overall mission of a leader in the world of KM is to learn how to guide the internal marketplace within their organization. By doing this, the leader creates an organization that is a learning team dedicated to meaning, management, and measurement within KM.

The understanding of the three M’s will be largely determined by one perspective on organizational learning. Ortenblad (2002) suggests two basic perspectives that might lead in two distinct paths for leaders to consider. A futuristic perspective would conceptualize individuals as agents of learning for the organization; the organization provides a positive learning culture and climate for the individual; the knowledge gained by the individual is stored outside the individual in the organizational memory. Ortenblad suggests that a second perspective, an interpretive perspective, is becoming a dominant paradigm. Reality is seen as a subjective phenomenon; knowledge is viewed as context dependent; learning is a social practice, taking place between individuals; knowledge cannot be stored because it is determined by the situation.

To understand the meaning, management and measurement of learning organizations is a difficult task. The interpretive perspective places this task into the shifting sands of relativism and contextualization. Relativism makes measurement almost impossible because the norms are in constant flux. If the situation or context is the determining factor for knowledge, then learning is not based on the foundation of truth but on the environment. The implications of such a perspective are widespread including business ethics and cultural morality. The bandwagon of this popular paradigm should not be jumped upon too quickly.

The most important thing leadership can do in ensuring the success of knowledge management in their organization is selecting a Chief Knowledge Officer (CKO). The CKO is the organization's expert on knowledge management and integration. According to Bontis (2002), CKOs are responsible for:

  1. Promoting stability in an ever-changing environment.
  2. Provide the timely delivery of products/services.
  3. Fostering organizational synergy by sharing resources and knowledge.
  4. Ensure the feasibility of specialization.

In addition, in order for CKOs to be effective, they must understand how to implement technology is an enabler for capturing, storing, and sharing knowledge, as well as aligning it with the values of the organization. Therefore, leadership should candidates for CKO who are enthusiastic, idealist, creative, resourceful.

As a leadership skill, knowledge, according to Northouse (2004), "is inextricably related to the application and implementation of problem-solving skills in organizations" (p. 43). Mumford, Zaccaro, and Harding, et al. (2000), as cited by Northouse, state that knowledge impacts a leaders ability to determine complex organizational problems and to develop a solution. "Knowledge refers to the accumulation of information and the mental structures used to organize that information" (p. 43). This type of mental structure is called a schema, simply a mental diagram used to assimilate information into useable knowledge. Once a leader formulates information into knowledge, individuals are more inclined to follow based the leaders expertise. In previous eras, information/knowledge was considered a power base. According to Greenberg and Baron (2003), information power has become a lesser power due to technology and the availability of information to more people than ever before. In the past, information was reserved for those who held top positions, using information/knowledge for their benefit and allowing that information to be distributed only on a need-to-know basis, or even in a biased manner. In a culture saturated with information/knowledge, it is imperative that leaders use information/knowledge for the benefit of followers and the organization as a whole and not for power accumulation.

As a result of their research, Kluge et al. (2001) tell us that knowledge management presents unique leadership challenges. “From a leadership perspective, knowledge management has been viewed more like a craft and less like a science. Because of the very nature of knowledge, it is difficult for managers to predict what measures can really improve performance, and how to encourage and guide knowledge flows within an organization (p. 191). The chief executive, they say, must assume the role of promoting knowledge management throughout the enterprise. He or she must set the tone for the organization and demonstrate that knowledge, and its management, are taken seriously. In fact, according to some experts, if the senior leadership of an organization is not able to adopt and embrace a KM program, it is far more likely to fail than to succeed (Rosenburg, 2004). Having a dynamic personality or being the ‘charismatic leader’ is no longer a viable leadership model for executives to rely upon. Leaders within organizations must be able to learn and demonstrate competency. Those people being led desire a person who not only frames a compelling vision, but also can provide evidence that they have the knowledge and insight from which the vision is derived. In short, knowledge and learning have become part and parcel to ‘leadership’.

Bolt and Brassard (2004) articulate this point by identifying those characteristics of effective CEOs that support their learning and knowledge management. Here are some of the most important attributes that they identified (Bolt & Brassard, 2004, pp. 162-163):

  * They have a desire to learn: They integrate learning in all that they do and try to pull knowledge from every situation.
  * They have an open and curious mind: They seek out people who think differently or might provide a different perspective.
  * They show humility: They are willing, in fact eager, to learn from their mistakes. They do not have to ‘know it all’ and respect people who share that value.
  * They make their learning public: Feedback is important. Taking the time to publicly seek input and letting people know that they are working on learning more about an issue or topic.
  * They tolerate risk: Mistakes are important as learning tools. People need to learn from their mistakes, but must not shy away from risk for fear of making a mistake. They also understand that learning absolutely needs to occur at a faster rate than the rate of change within the organization.
  * They walk the talk: They pay it more than lip service; they fund and dedicate resources to learning, through good times and bad.

McCollum (1998) states that there are three fundamental tasks that leaders face: “creating strategies to adapt [the] organization to the environment, building a structure that is capable of implementing [the organization’s] strategy, and building the capacity of the members of [the] organization” (Spears, 1998, p. 338). It does not take a stretch of the imagination to understand that each of these fundamental tasks requires ongoing organizational learning in an environment of knowledge management - both explicit and tacit, and best understood through the modes operandi of shared communication. But where and how do leaders begin facing these tasks? Heil & Alepin (2004) state that it will require most leaders to “rethink their leadership...in order to lead authentically...not only [for the purpose of] build[ing] more effective, more human organizations, but...to enrich the lives of every person…” (Goldsmith, 2004, pp. 158-159).

According to John Kotter there are eight steps to transform an organization through leadership. These eight steps are: "1. Establish a sense of urgency, 2. Form a powerful guiding coalition, 3. Create a vision, 4. Communicate the vision, 5.Empower others to act on the vision, 6. Plan and create short-term wins, 7. Consolidate improvements and produce still more change, 8. Institutionalize new approaches" (Kotter, 2003)

Leadership and Knowledge Management (KM) intermingle the vision and influence of leadership with the available knowledge base within the organization. When effective leadership elicits and draws upon the myriads of experience, wisdom, understanding, and knowledge inherent in the work force in synergistic fashion creating shared vision, the organization sits like a space shuttle ready begging for launch. In the context of a rapidly changing world and an increasingly competitive marketplace, successful organizations of today and tomorrow must harness and align all its potential and knowledge. Therefore, Goldsmith, et al. (2004) suggest, "Nothing is more important to the success of knowledge management initiative than the support of leaders and the visibility of KM role models. Generally speaking, the higher up in the organization these role models are the better" (p. 9). 243).

Yogesh Malgotra says, "Knowledge Management refers to the critical issues of organizational adaptation, survival and competence against discontinuous environmental change. Essentially it embodies organizational processes that seek synergistic combination of data and information processing capacity of information technologies, and the creative and innovative capacity of human beings." <http://www.brint.org/managementfirst.html> (Retrieved May 13, 2006). Mark Effron (Goldsmith, Morgan, & Ogg, 2004) contends that “the sheer concept of knowledge management is fundamentally flawed -- it involves neither knowledge nor management and therefore cannot be expected to succeed” (p. 39). Instead, he suggests we must “begin to focus on helping organizations truly share the intellectual capital their workers possess” (p. 39).

But does leadership always have to come from the top down? Patricia Wallington (2002) poses the thought that leadership skills can be found at all levels of an organization. Lower level employees can—and should—exhibit leadership to influence those at the top of the organization. Before doing so, however, the individual should consider how to be most effective when attempting to lead from below.

Wallington (2002) lays out the following steps in determining the right time and place to lead from below:

  1. Cultural Permission – Assess what your corporate culture supports or allows.
  2. Prepare the Way – Develop a relationship with key senior leaders.
  3. Pick Your Spots – Not every issue is a candidate for leadership from below.
  4. Judge Not – Try not to be judgmental about leadership.
  5. Grow Your Own Leadership – While you work on influencing the senior leadership of your company, set the stage for your own development.

How might one successfully lead and draw upon the un-mined gold of intellectual capital and harness it to pull the wagon of the organization to a new day? Morgan (Goldsmith, Morgan, & Ogg, 2004) believes that the past leadership assets of superior knowledge and technical expertise alone cannot create a flourishing organization. Technology’s explosion and overabundance of information availability creates demand for a better type of leadership. Competitive advantage today means sharper and finer lines of work, teamwork, and “investment in human capital” (p. 136). Beyond effective use of human resources, we must draw the best from the best leaders in our organizations. Retraining successful leaders from yesterday becomes a key challenge to leadership in a learning organization concerned with KM. Morgan suggests that developing human potential and capital must earn the trust of leaders through integrity and building meaningful relationships. Their “forward looking vision” (p. 138) must be compelling and inspiring. This integrity and vision must be disseminated and carried throughout the organizational culture and embodied by top executives. In addition, the organization and leaders must attract and retain top talent and deploy them for greatest return. In further consideration of leadership's intense involvement in successful KM, Goldsmith, et al. (2004) also suggests, "If you can't get leaders on board, your KM initiative may be doomed before it gets started. On the other hand, when leaders at all levels (supervisors, managers, and executives) use the KM system, they encourage others to do the same" (p. 243). As suggested by the very word, leaders need to take the lead in practicing appropriate and successful KM.

## Case studies & workplace examples

Leading KM is a daunting task, especially when you are leading from the middle. Only a few lead at the top in organizations, most of us find ourselves leading from the middle. We influence those above us and below us in any way we can. One of the ways I have experienced leading KM from the middle is by providing the first step and championing the partnership for KM within the organization. As a leader over my department I initiated KM within it first. After championing the initial effort we then offered positive help to other departments. Without anything to gain we invested into other's creating bridges that one day will come back around. By leading with what was in our hands, we invested into the whole of the organization without immediate personal benefit.

As the Center for Life Calling and Leadership seeks to propagate itself within the university (IWU) as a whole, one of the difficulties that remains is effectively promoting and integrating Life Calling knowledge within other university departments and helping them utilize that knowledge to better meet the needs of their respective students. Each year, the Center hosts a workshop targeting other departments in an attempt to educate and facilitate open discussion that equips these individuals (faculty and staff) with tools to assist students and/or the understanding of our services and how that becomes applicable to their ability to assist students in their educational journey. Presently, the Center is in an exploratory phase seeking ways to better integrate Life Calling knowledge more effectively into other university departments.

Empowerment of employees plays a critical role in leading knowledge management in an organization. Employees must know that they have a personal responsibility for contributing to the overall knowledge of the organization. As leader of a team of 25 customer service associates, we took the image of empowerment to heart and allowed the team to participate in owning, refining, and implementing their own knowledge management database. Although I, as leader, laid the initial framework and the objective for the project, the team was given ownership of their own piece of the tool, to ensure that they could contribute and share their knowledge with the entire team. By allowing the team to play an integral role in the establishment of our knowledge database, they were more comfortable in using it and taking ownership of updating it as processes changed along the way.

← [Knowledge Management: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Knowledge Management: Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change) →

← [Knowledge Management: Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [Knowledge Management: Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# Change

Knowledge that is acquired, stored, and dispensed without having any affect on the organization should, perhaps, be called ‘trivia’. For knowledge to actually be meaningful it needs to induce _change_. This is not to imply that all change is derived from knowledge (any person who has ever been associated with an organization knows better than that), but it is to say that knowledge, when acted upon can induce change that can have consequential impact on an organization. Perhaps, then, the real legacy of any ‘knowledge management’ program or policy is the significance of the changes these initiatives bring about.

It was Charles Darwin who said, "It's not the strongest species that survive, nor the most intelligent, but the most responsive to change". Understanding this phrase forces organizations in any industry to look closely at the way change can impact their business. Any large-scale change, however, requires the organization to confront the issue of culture. This can be a daunting task. Culture is that invisible and often complex system of beliefs and practices that determines how people act in organizations is fraught with difficulty.

Timothy Galpin (1996) gave 10 cultural components to consider when implementing change:

Rules and Policies 
    Eliminate rules and policies that hinder the change and create new ones that reinforce the desired way of operating. Develop and document new SOP’s.

Goals and Measurement 
    Develop goals and measurements that reinforce the desired changes.

Customs and Norms 
    Replace old ways of doing things that reinforce the old ways with new customs and norms. E.g. replace written reports with face-to-face meetings.

Training 
    Again replace training that reinforces the old way of doing things with new training. Develop experiential training that provides real time, hands on experiences with new processes and procedures.

Ceremonies and Events 
    Put in place ceremonies and events that reinforce the new ways. Recognise individual and team contributions to making the changes work.

Management Behaviours 
    Publicly recognise and reward managers who change by linking promotion and pay to the desired behaviours. Do not promote or pay increases to managers who do not come on board.

Rewards and Recognition 
    Make rewards specific to the change goals that have been set. Ensure that the performance management system recognises and rewards the desired ways of operating and does not simply reinforce the old ways. For example, a performance management system that measures only individual behaviour will undermine any attempts to inculcate a culture of teamwork.

Communications 
    Deliver communications in new ways to show commitment to change. Use multiple channels to deliver consistent messages at all stages during the transition, before, during and after.

Physical environment 
    Make sure the physical environment reflects the change. If knowledge and information sharing is your gaol, get people out of offices and into open, shared areas. If you want them to talk to their customers, create ‘virtual’ offices so that your people are encouraged to work outside the office with customers.

Organizational structure 
    Make sure that structure reinforces the operational changes. Combine overlapping divisions; re-organize around customers as opposed to functions.

Garvin (1993) defines a learning organization as “an organization skilled at creating, acquiring, and transforming knowledge, and at modifying its behavior to reflect new knowledge and insights” (p. 80). If change is not the result of creating, gaining, and sharing knowledge then “learning” is fairly meaningless. Innovation is merely creative imagination unless it results in a transformation of reality. Yukl (2002) states, "Organizational learning involves acquiring new knowledge, either by discovering it or by imitating the best practices of others" (p. 295). Yukl (2002) goes on to add that organizational learning describes organizations that utilize acquired knowledge to become more effective. This effectiveness can be realized through the change process resulting from acquired knowledge. What is important for an organization is the ability to implement the acquired knowledge into progressive change rather than acquire knowledge and never use it. Yukl again states, "New knowledge is of little value unless it is used. Some organizations are very successful at discovering knowledge, but fail to apply it effectively" (p. 295). One of the ways that effective application can be realized is through competition. As organizations are competitively driven to reach new heights (goals), they are forced to explore, discover, and change based on the value of the knowledge acquired.

Goldsmith, et al. (2004) suggest, "Changing the way people work...is tough work that is not to be taken lightly. Research in organizational dynamics, diffusion of innovation, and change suggest that failure to pay attention to prevailing attitudes, beliefs, and practices, even when the benefits of a new way of doing things are totally obvious to all, invites disappointment if not disaster" (p. 242). Therefore, close attention needs to be on the people affected by the introduction of change which occurs when knowledge management is introduced or revised. Goldsmith, et al. (2004) contend, "If your investment in knowledge management does not include a corresponding investment in change management, you may be throwing more than your financial investment down a rat hole" (p. 251). Therefore, human capital, change, and knowledge are a three legged stool which must be used together to be successful.

Powell (2004) correctly asserts that for knowledge to induce change, it must be acted upon. Who acts on knowledge? People do, of course. This question and answer may seem silly, but the truth of the matter is that for knowledge management to be effective in bringing about change, people need to be engaged in the knowledge management process. If we accept that people are integral to the knowledge management process we must also recognize that there will be confusion and consternation about any process an organization introduces to manage knowledge. This is not because people will dislike the concept of knowledge management, rather because people will resist change in all of the various forms it takes. Rosenburg (2004) points out that introducing a knowledge management program without paying attention to the “prevailing attitudes, beliefs, and practices”, is recipe for failure, even when everyone fully appreciates the benefits of such a program. He further recommends that any organization considering implementing a knowledge management program consider first the 12 “change management factors” (Rosenberg, 2004, p. 243). These are:

  1. Leadership and role models: If the organizational leaders support the knowledge management program, it has a much greater chance of success.
  2. Success stories: By sharing success stories, buy-in can occur more easily.
  3. Consequences and incentives: in essence, this is the cost-benefit analysis all of us go through before we adopt any change. If knowledge management makes life easier and people have incentives to engage in the knowledge management processes, they are more likely to welcome the change.
  4. Value proposition: Prepare specific and defendable propositions as to how knowledge management will add lasting value to all parts of the organization. Rosenburg (2004) adds that the greater the specificity, the more likely buy-in will occur.
  5. . Level of participation: Engage those who will use the knowledge management system to be a part of the design.
  6. . Hassle: People must understand that though a knowledge management program may be a hassle, it will ultimately save them time and effort.
  7. Impossibility: Be prepared for the nay-sayers. Understand that their concerns may be legitimate and may come from previous experience where similar initiatives have failed. Engage these people to the extent possible.
  8. Priorities: A knowledge management system will be far more likely to succeed if it is perceived as being not only a high priority, but also as having a high likelihood of success.
  9. Fear of technology: Even though most people in today’s workforce are computer savvy to some degree, there are still many people who fear new technology. Deploy new technology used in the knowledge management system long before people have to start using it. Give people time to learn and adapt to the new technology.
  10. Sink-in time: Allow for some time to let the concept of knowledge management to ‘sink-in’. Avoid ‘springing’ a new knowledge management system on people. Communicate early and often and consider offering one-on-one demonstrations.
  11. Training: The most vital element of managing the change associated with implementing any knowledge management program is the training program. Focusing on the user experience and providing ample real-life scenarios will increase the effectiveness of the training.
  12. Ongoing support: Change management often begins and ends with the roll-out. Do not let this happen! Provide ongoing support so that people feel as though they have ready-resource when it comes to training, technical support, or other knowledge management related topics.

As stated above, if we accept that people are integral to the effectiveness of the knowledge any organization possesses, then we must also accept that people play an equally important role in the knowledge management process. If organizations are capable of navigating the 12 issues outlined above, they are far more likely to implement a knowledge management program that acquire, store, and dispense knowledge that can have a beneficial impact on the enterprise as a whole.

## Communities of practice

According to Julian (2005), a Community of Practice (CoP) uses "systemic efforts to plan, implement, and evaluate a broad range of interventions designed to address community problems." The term community refers to a group of people having a common interest. CoPs were first used by researchers with common interests to help negotiate and reflect on practices relating to their particular field (Brown & Duguid, 1991; Lave & Wenger, 1991). Most importantly, CoPs help members create change through collaboration, reflection, and the sharing of lessons learned.

## Storytelling

Powell (2004) states that organizations “still think too much in terms of changing people’s behaviors and not enough in terms of tapping into the potential people have for doing better, doing more, and getting smarter” (Goldsmith, et al., p. 232). What has been misconstrued is the fact that people willingly change and tap into their potential when the opportunity arises. This is especially true when an organization fosters engagement. One simple and very powerful but often overlooked method of fostering engagement is through storytelling. Storytelling in an organizational setting – similar to mankind’s historical storytelling reference, is comprised of “myths, legends and sagas, represent[ing] a collective and institutional memory system which informally passes on key knowledge and communicates important values, beliefs and assumptions” (Vance, 1991, p. 52). In its truest form, storytelling is the organizational culture incarnate. Thus, organizational storytelling is an excellent means to quickly enculturate new employees but is also just as effective used as a training means for other employees. Storytelling is a vicarious means of learning that allows for “relating the stories of the experiences of others…mak[ing] much of the power of experienced-based learning available to the inexperienced learner” (p. 54). Storytelling’s power comes from the fact that it utilizes both cognitive and affective means to deliver the message – a message that is “easy to remember” and capable to expand “multidimensional meaning….even in the most confusing [and complex] situation[s]” (Joensuu & Ilmola, 2005, p. 1).

## Location of expertise

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This section is a stub.**  
You can help Wikibooks by [expanding it](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&action=edit).

There must be a current change or shift in how we understand or what method we use in knowledge management. All too often we try and regulate one or a few to manage knowledge bases. Or we limit our understanding of knowledge management to merely posting information in a stagnant arena without dialogue, explanation, or contextual reference for deeper understanding. There must be a change in development to perceive knowledge management as an ‘everyone’ issue. An organization should develop a think-tank within itself that holds itself accountable and polices the very knowledge that is shared. Organizations should also develop multiple platforms of interaction where knowledge is shared through technology, written materials, and interaction within cyberspace and face to face. Effron states that “knowledge cannot be stored in a database, only information can”(Goldsmith, Morgan, & Ogg, 2004,p. 42). So this identifies the process of communicating information, the missing element is the communal aspect and context of the knowledge. Adding these variables creates a forum and environment for knowledge management.

The interest in knowledge management has been growing for years. Now the field continues to change and grow as new uses are always being developed. According to an article by David Skyrme, some of these changes are focused on globalization and a firms ability to bring together the knowledge from across the globe instead of reinventing information. Knowledge is power and money. Being able to personalize the service provided to customers is money in the bank. In the area(s) of restructuring and downsizing, valuable knowledge can be lost with the ending of employment, or be expensive to replace. The sharing of best practices allows companies to take information from the success of others and develop their own best practices. Lastly, the ability to apply knowledge allows companies to develop new and better products thereby making more money.

Fuglsang and Sundbo (2005) suggest that there are three modes of innovation for organizations that cross the continuum from deterministic to free choice. The first is an entrepreneurial value-based method where change is initiated by individual’s actions and drive to create business. The second is a technology-based functional mode in which the development of technology drives innovation. The third is a strategic reflexive mode in which innovation results from interaction process of individuals and the organization’s set of common values and goals. The strategic reflexive mode of innovation is the most effective mode for change and innovation in knowledge management. This mode values the exchange of information within the organization and filters this exchange through the core values of the organization. Change in an organization is potentially destructive to the organization, so it is imperative that the changes to both the organization and to knowledge management within the organization be regulated by the process of knowledge management itself and the values of the organization itself.

Knowledge management will drive the need for new information systems. Most existing systems have been developed to serve the needs of operating personnel and management. New, knowledge management systems must be capable of making comparisons, analyzing trends and presenting both historical and current knowledge. More importantly, they must permit the users to transform data into knowledge by analyzing and understanding patterns and drawing conclusions. These systems must do more than present data, they must permit the decisions makers to understand the information. (Thierauf, 1999)

Daft (2005) provides an eight-stage model of planned organizational change developed by John P. Kotter. Careful attention must be given to each stage because a critical mistake and any stage could cause the process to fail. Stage One – establish a sense of urgency that change is really needed. Stage Two – form a powerful guiding coalition. Stage Three – develop a compelling vision and strategy. Stage Four – communicate the vision widely. Stage Five – empower the employees to act on the vision. Stage Six – generate short-term wins. Stage Seven – consolidate gains and create greater change. And Stage Eight – Institutionalize changes in the organizational culture.

## Case studies & workplace examples

Every set of case studies deserves one that fails. In failure we learn, grow, and keep believing in change. In an effort to initiate KM within two organizations we initiated change. The two organizations were a para-church organization that ministered to a college campus and a local-church college ministry. The change initiative was created to combine our ministries by creating a bridge from the para-church site to multiple local church experiences. Through this we would exercise KM by uniting our efforts and experiences with college students. The local-church moved their meeting times and changed focus to pointing students towards the mid-week experience at the campus and the local church on the weekend. The bridges were made, but over time they didn't last. What was learned through the process will enable others to adapt and learn when the next opportunity arises for change. These change efforts will stimulate new methods that enable KM to be possible.

What ultimate organizational goals would knowledge management and change affect?

Change dominates the focus of much of knowledge management, organizational behavior, and organizational learning. Producing and developing increasingly efficient and effective processes, products, or output of any kind is a driving force in the competitive marketplace of business and nonprofit. Knowledge management and change uniquely and intentionally must synchronize together for organizational improvement.

Burke (1992) proposes that the kind of change necessary to qualify as organizational development must happen at the cultural level. It is not enough to modestly change functions, or organize and communicate better. Real change in organization does not happen until the culture changes. " For change in an organization to be OD it must (1) respond to an actual and perceived need for change on the part of the client, (2) involve the client in the planning and implementation of the change, and (3) lead to change in the organization's culture" (p. 8-9). Hence, the most effective change takes place at the core value and organizational culture levels. It is the norms and values which underlie basic assumptions, beliefs, and behaviors. Changing these underlying values is the ultimate goal of knowledge management and organizational development. This goes beyond “fixing a problem or improving a procedure” … it means, “That some significant aspect of an organization’s culture will never be the same” (p. 9). “It might be a change in the organization’s management style, requiring new forms of exercising authority, which in turn would lead to different conformity patterns, since new norms would be established, especially in decision making” (p. 9).

Examples of such a cultural change can be found within the automotive industry, as manufacturers move toward a team-based culture. For real change to take place companies and unions have had to work toward a new vision of beliefs (about the motivation and skill of employees), values (where all employee input is valued), and behaviors (those that recognize contributions and accept responsibilities). It has not been enough to simply write new contracts and procedures. Rather, the leaders on both the union and management sides have had to work collaboratively to make significant changes in our underlying culture. Such changes have led to improvements in safety, quality, and productivity.

In the author’s local organization, a church, a cultural shift took place following a yearlong ReFocus process. Organization-wide input into strengths, weaknesses, and needed challenges played into significant shifts in decision-making, leadership, and responsibility taking among members. A new board was organized to create shared vision and mutual support from varied ministry leaders who took responsibility to plan, brainstorm, and collaborate on special projects. In addition, cell groups were organized to deepen relationship development, expand caregiving to more leaders and members of our church. These cell groups function with measurable autonomy from the larger group and are able to address unique needs and growth points in the members of the individual groups.

The Center for Life Calling and Leadership seeks to gain knowledge through internal and external research that will assist students in the Life Calling exploration process. As the Center continues to be on the cutting edge, the research conducted is not based on existing models, but unfolds through observation, internal and external. Once the knowledge has been articulated, changes can be made based on the knowledge gained and its effective integration into the Life Calling program and into the classroom (LDR 150, Life Calling, Work and Leadership). Acquired knowledge also assists in the validation process for the Center. When new ventures are explored, and the implementation stage has waned, a period of validation is experienced to ensure that invested resources are meeting or exceeding expectations. If the new venture fails to meet expectations, expressed or implied, change is likely to become the new organizational expectation.

David Skyrme Associates (2003) have collected a database of case studies that show examples of organizations that have achieved significant benefits through knowledge management. Some examples are:

  * BP - by introducing virtual teamworking using videconferencing have speeded up the solution of critical operation problems
  * Hoffman La Roche - through its Right First Time programme has reduced the cost and time to achieve regulatory approvals for new drugs.
  * Dow Chemical - by focusing on the active management of its patent portfolio have generated over $125 million in revenues from licensing and other ways of exploiting their intangible assets.
  * Texas Instruments - by sharing best practice between its semiconductor fabrication plants saved the equivalent of investing in a new plant.
  * Skandia Assurance - by developing new measures of intellectual capital and goaling their managers on increasing its value have grown revenues much faster than their industry average.
  * Hewlett-Packard - by sharing expertise already in the company, but not known to their development teams, now bring new products to market much faster than before.

← [Knowledge Management: Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) →

← [Knowledge Management: Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)** · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) →

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# References

Albert, M. (2005). Managing change: Creating a learning organization focused on quality. _Problems and Perspectives in Management 1_, 47-54.

Altvater, E, & Mahnkopf, B. (1997). _Grenzen der globalisierung: Ökonomie, ökologie und politik in der weltgesellschaft._ Münster: Westfalisches Dampfboot.

Amabile, T. M. (1998). How to kill creativity [Electronic version]. _Harvard Business Review, 76_(5), 76-87.

Anderson, C., & Maize, L. C. (2005). Educating the extended enterprise [Electronic version]. _Chief Learning Officer, 4_(12), 24-56.

Andrews, K. M., & Delahaye, B. L. (2000). Influences on knowledge processes in organizational learning: the psychosocial filter. _Journal of Management Studies, 37_(6), 22-38.

Angel, R. (2006). Putting an innovation culture into practice. _Ivey Business Journal, 70_(3), 1-5.

Argote, L., McEvily, B., & Reagans, R. (2003). Managing knowledge in organizations: An integrative framework and review of emerging trends [Electronic version]. _Management Science, 49_(4), 571-582.

Arlin, P. K. (1975). Cognitive development in adulthood: A fifth stage. _Developmental Psychology, 11_, 602-606.

Arlin, P. K. (1984). Adolescent and adult thought: A structural interpretation. In M. L. Commons, F. A. Richards, and C. Armon (Eds.), _Beyond formal operations: Late adolescent and adult cognitive development_. New York: Praeger.

Balasubramanian, V. _Organizational learning and informational systems._ E-papyrus,Inc. Retrieved on April 19, 2006, from <http://www.e-papyrus.com/personal/orglrn.html>.

Bellinger, G. (2004). _Knowledge management: emerging perspectives._ <http://www.systems-thinking.org/kmgmt/kmgmt.htm>

Berliner, D. _The 100-year journey of educational psychology: from interest to disdain,to respect for practice._ Arizona State University. Retrieved from <http://courses.ed.asu.edu/berliner/readings/journey.htm>

Berthoin Antal, A., Dierkes, M., Child, J., & Nonaka, I. (2003). Organizational learning knowledge: Reflections on the dynamics of the field and challenges for the future. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 921-939). New York: Oxford University Press, Inc.

Bethune, G., & Thuler, S. (1998). _From worst to first: Behind the scenes of continental's remarkable comeback._ New York: John Wiley and Sons.

Bissell, A. N., & Lemons, P. P. (2006). A new method for assessing critical thinking in the classroom [Electronic version]. _BioScience, 56_(1), 66-72.

Black, E. (1995). _Behaviorism as a learning theory._ Retrieved May 2, 2006, from <http://129.7.160.115/inst5930/Behaviorism.html>.

Bloland, H. G. (2005). Whatever happened to postmodernism in higher education?: No requiem in the new millennium. _Journal of Higher Education, 76_(2), p. 121+.

Boerner, C. S., Macher, J. T., & Teece, D. J. (2003). A review and assessment of rorganizational learning in economic theories. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), Handbook of organizational learning and knowledge (pp. 89-117). New York: Oxford University Press, Inc.

Bolt, J. F., & Brassard, C. (2004). Learning at the top: how CEOs set the tone for the knowledge organization. In M. Goldsmith, H. Morgan & A. J. Ogg (Eds.), _Leading organizational learning: harnessing the power of knowledge_ (1st ed., pp. 161-174). San Francisco: Jossey-Bass.

Boje, D., & Prieto, L. (2000). _What is postmodern? Retrieved from the Post-something? Story telling Organization._ Retrieved on April 17,2006, from <http://www.horsesenseatwork.com/psl/pages/postmoderndefined.html>.

Bontis, N. (2002). The rising star of the chief knowledge officer. _Ivey Business Journal, 66_(4), p. 20+.

Brookfield, S. (1986). _Understanding and facilitating adult learning._ San Francisco: Jossey-Bass.

Brookfield, S. (1987). _Developing Critical Thinkers._ San Francisco: Jossey-Bass.

Brookfield, S. (1994). _Tales from the dark side: A phenomenography of adult critical reflection._ Proceedings of the Adult Education Research Conference. Knoxville: University of Tennessee.

Brown, J. S. & Duguid, P. (1991). Organizational learning and communities practice: Toward a unified view of working, learning, and innovation. _Organizational Science_, 2, pp. 40-57.

Buchel, B., & Raub, S. (2003). Media choice and organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 518-534). New York: Oxford University Press, Inc.

Burke, W. W. (1992). _Organizational development: A process of learning and changing_ (2nd ed.). Reading, MA: Addison-Wesley.

Chaleff, I. (2003). _The courageous follower: Standing up to & for our leaders._ (2nd ed.). San Francisco, CA: Berrett-Koehler Publishers, Inc.

Cheetham, G., & Chivers, G. (2001). Part I - how professionals learn - the theory! _Journal of European Industrial Training, 25_(5), 250.

Child, J. (2003). Learning through strategic alliances. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational leadership and knowledge_ (pp. 657-680). New York: Oxford University Press, Inc.

Child, J. & Heavens, S. J. (2003). The social constitution of organizations and its implications for organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational leadership and knowledge_ (pp. 308-326). New York: Oxford University Press, Inc.

Clark, S., & Mirabile, R. (2004). Knowledge mapping: An application model for organizations. In M. Goldsmith, H. Morgan & A. J. Ogg (Eds.), _Leading organizational learning_ (pp. 113-120). San Francisco: Jossey-Bass.

Collins, M. (1991). _Adult education as vocation london._ New York: Routledge.

Cohen, M.D., & Sproull, L. S. (1991). Editors' introduction. _Organization Science, 2_(1), i-iii.

Coutu, D. (2002). The anxiety of learning. _Harvard Business Review, March-April_, 1-8.

Craven, A. (2005). _An interview with Dr. Yogesh Malhotra._ Retrieved on May 13, 2006, from <http://www.brint.org/managementfirst.html>

Daft, R. L. & Lengel, R. H. (1984). Information richness: A new approach to managerial behavior and organization design, in B. M. Staw and L.L. Cummings (eds.), _Research in Organization Behavior: An Annual Series of Analytical Essays and Critical Reviews_ (Vol. 6). Greenwich, Comm, pp. 191-233.

Daft, R. L. (2005). _The leadership experience._ (3rd ed.). Mason, OH: South-Western.

David Skyrme Associates (2003). Knowledge management: Making sense of an oxymoron. Retrieved June 21, 2006, from <http://www.skyrme.com/insights/22km.htm>.

Dierkes, M., Berthoin Antal, A., Child, J., & Nonaka, I. (Eds.). (2003). _Handbook of organizational learning & knowledge._ New York, NY: Oxford University Press.

Effron, M. S. (2004). Knowledge management involves neither knowledge nor management. In M. Goldsmith, H. Morgan & A. J. Ogg (Eds.), _Leading organizational learning: harnessing the power of knowledge_ (1st ed., pp. 39-49). San Francisco: Jossey-Bass.

English, H. B. and English, A. C. (1958). _A comprehensive dictionary of psychological and psycho-analytical terms: A guide to usage._ New York, NY: Longmans Green.

Foil, C. M. & Lyles, M. (1985). Organizational learning. _Academy of Management Review, 10_ (4), 803-813.

Fricke, W. (Ed.). (1997). _Jahrbuch arbeit und technik: Globalisierung und institutionelle reform._ Bonn: Dietz.

Fuglsang, L. & Sundbo, J. (2005). The organizational innovation system: three modes. _Journal of Change Management, 5_(3), p. 329-344.

Galpin, T. (1996, March). Connecting culture to organizational change. HR Magazine. Retrieved June 21, 2006, from <http://www.findarticles.com/p/articles/mi_m3495/is_n3_v41/ai_18251530>.

Gardner, H. (1993). _Multiple intelligences: The theory in practice._ New York: Basic Books

Gardner, H. (1999). _Multiple intelligences for the 21st century._ New York: Basic Books.

Garvin, D. A. (1993). Building a learning organization [Electronic version]. _Harvard Business Review, 71_(4),78-91.

Gigenrenzer, G. (2006). Follow the leader. Harvard Business Review. February, p. 58-59.

Goldsmith, M., Morgan, H., & Ogg, A. J. (Eds.). (2004). _Leading learning organization: Harnessing the power of knowledge._ San Francisco, CA: Jossey-Bass.

Grant, R.M. (1996). Prospering in Dynamically-Competitive Environments: Organizational Capability as Knowledge Integration. _Organization Science (7)_,4, 375-387.

Greenberg, J., & Baron, R. A. (2003). _Behavior in organizations: Understanding and managing the human side of work._ (8th ed.). Upper Saddle River, NJ: Pearson Education, Inc.

Griff, F. (2004). _Dimensions of adult learning: Adult education and trainng in a global era._ Crows Nest, N.S.W.: Allen & Unwin.

Group of Lisbon (1995). _Limits to competition._ Cambridge, Mass.: MIT Press.

Gruber, H. E. (1973). Courage and cognitive growth in children and scientists. In M. Schwebel and J. Ralph (Eds.), _Piaget in the classroom_. New York: Basic Books.

Hamel, G, & Prahald, C.K. (1994). _Competing for the future._ Harvard Business School Press.

Hardy, C., Phillips, E., & Lawrence, T. B. (2003, March). Resources, knowledge and influence: The organizational effects of interorganizational collaboration. _Journal of Management Studies, 400_(2), 321-347. Retrieved on May 16, 2006, from Corporate ResourceNet database.

Hare, D., Howard, E., & Pope, M. (2005). Enhancing technology usein student teaching: A case study. _Journal of Technology and Teacher Education, 13_(4), p. 573+.

Hilgard, E. R., & Bower, G. H. (1966). _Theories of learning._ New York: Appleton-Centrury-Crosfts.

Holmqvist, M. (2003). The dynamic model of intra-and interorganizational learning. Look smart. Retrieved on April 18, 2006, from <http://www.find> articles.com/p/articles/mi_m4339/is_1_24/ai_98595128/print.

Houle, C. (1980). _Continuing learning in the professions._ San Francisco: Jossey-Bass.

Howells, J. & Wood, M. (Eds.) (1993). _The globalisation of production and technology._ London: Belhaven.

Hyde, A., & Mitchell, K. (2000). Knowledge management: The nex big thing [Electronic Version]. _The Public Manager, 29_(57). Retrieved on April 26, 2006, from [http://www.questia.com/PM.qst?a=o&d=5001786333](http://www.questia.com/PM.qst?a=o&d=5001786333).

Irwin, D. A., & Klenow, P. J. (1994). Learning by doing spillovers in the semiconductor industry. _Journal of Political Economics, 102_, 1200-1227. As cited in Argote, L., McEvily, B., & Reagans, R. (2003). Managing knowledge in organizations: an integrative framework and review of emerging themes. _Management Science, 49_(4), 571-582.

Jarvis, P. (1987a). _Adult learning in the social context._ London: Croom Helm.

Joensuu, E., & Ilmola, L. (2005, November 11). _Storytelling…for strategic flexibility…for change management._ Retrieved on April 13, 2005, from the Fountain Park Ltd website: <http://www.fountainpark.com/pdf/White_Paper_Dec_8th.pdf>.

Johnson, R. A. (1991). _Owning your own shadow._ New York, NY: HarperCollins Publishers.

Kapstein, E. B. (1996). Workers and the world economy. _Foreign Affairs, 75_(3), 16-37.

Kearsley, G. (1994). _Explorations in learning & instruction: The theory into practice database._ [Online]. Retrieved from <http://tip.psychology.org>.

Kiely, T. (1993). The idea makers. _Technology Review, 96_(1), 32-40. Retrieved on February 28, 2006, from EBSCOhost Web Site: [http://search.epnet.com/login.aspx?direct=true&db-buh&an=9301210027&site=ehost](http://search.epnet.com/login.aspx?direct=true&db-buh&an=9301210027&site=ehost)

Kilgore, D. W. (2001). Critical and postmodern perspective on adult learning. _New Directions for Adult and Continuing Education, 89_, 53-61.

Klages, M. (2003). _Postmodernism._ [Electronic version]. Retrieved on April 30, 2006, from <http://www.colorado.edu/english/engl2012klages/pomo.html>.

Kluge, J., Stein, W., Licht, T., Bendler, A., Elzenheimer, J., Hauschild, S., et al. (2001). Knowledge unplugged : The Mckinsey & Company global survey on knowledge management /. New York: Palgrave. Retrieved on April 18, 2006, from Questia database: [http://www.questia.com/PM.qst?a=o&d=102571239](http://www.questia.com/PM.qst?a=o&d=102571239)

Knowles, M. S. (1968). Andragogy, not pedagogy. _Adult Leadership, 16_(10), 350-352, 386.

Knowles, M. S. (1980). _The modern practice of adult education: From pedagogy to andragogy._ (2nd ed.) New York: Cambridge Books.

Kolb. D. A. & Fry, R. (1975) Toward an applied theory of experiential learning. In C. Cooper (Ed.) _Theories of Group Process_, London: John Wiley.

Kotter, J. (2003) _Winning at change._ Retrieved from <http://providersedge.com/kma/km_leadership.htm>

Landy, F. J., & Conte, J. M. (2004). _Work in the 21st century: An introduction to industrial and organizational psychology._ New York: McGraw-Hill.

Lave, J. & Wenger, E. (1991). _Situated learning. Legitimate peripheral participation._ Cambridge, MA: Cambridge University Press.

Lei D., Slocum, W., & Pitts, R.A. (1997). Building cooperative advantage: Managing strategic alliances to promote organizational learning. _Journal of World Business 32_(3), 203-223.

Levinthal, D. A. (1991). Organizational Adaptation And Environmental Selection- Interrelated Processes Of Change. _Organization Science, 2_, 140-145.

Levitt, B. & March, J. G. (1988). Organizational learning. _Annual review of sociology,_ 14, 319-340.

Lewis, M. & Moultrie, J. (2005). The organizational innovation laboratory. _Creativity and Innovation Management, 14_ (1), 73-83.

Liker, J. K., & Morgan, J. M. (2006). The Toyota way in services: the case of lean product development [Electronic version]. _Academy of Management Perspectives, 20_(2), 5-20.

Lohman, M. C. (2005). A survey of factors influencing the engagement of two professional groups in informal workplace learning activities. _Human Resource Development Quarterly, 16_(4), 501-527.

Macharzina, K., Oesterle, M., & Brodel, D. (2003). Learning in multinationals. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 631-656). New York: Oxford University Press, Inc.

Maira, A. & Scott-Morgan, P. (1997). _The accelerating organization: Embracing the human face of change._ New York: McGraw-Hill.

Maurer, R. (2004). _One small step can change your life: The kaizen way._ New York, NY: Workman Publishing.

Maybury, M. Human language technologies for knowledge management: challenges and opportunities. Information Technology Division. The MITRE corporation.

McConnell, D. & Zhao, J. (2004) _Exploration and analysis of factors influencing group learning. Networked Learning Conferance._ Retrieved on April 18, 2006, from http;//www.shef.ac.uk/nlc2004/proceedings/individual_papers/Zhao_McConnell.htm.

Merriam, S. B., & Caffarella, R. S. (1999). _Learning in adulthood: A comprehensive guide._ (2nd ed.). San Francisco, CA: Jossey-Bass.

Merkens, H., Geppert, M., & Antal, D. (2003). Triggers of organizational learning during the transformation process in Central European countries. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), Handbook of organizational learning and knowledge (pp. 242-263). New York: Oxford University Press, Inc.

Microsoft Encarta. (2001). _Microsoft Encarta college dictionary._ New York, NY: St. Martin’s Press.

Millard, B. (2004). _Discovering a life calling: A purpose-guided approach to navigating college transitions._ Marion, IN: Indiana Wesleyan University.

Mohanan, K. P. _Assessing quality of teaching in higher education._ Centre for Development of Teaching & Learning, 1-4. Retrieved on April 18, 2006, from <http://www.cdtl.nus.edu.sg/publications/assess/who.htm>.

Muldur, U. & Petrella, R. (Eds.) (1994). _Science and technology policy: The European community and the globalization of technology and the economy._ Luxembourg: Office for Official Publications of the European Communities.

National Electronic Library for Health (2005). Specialist library: Knowledge management. Retrieved May 30, 2006, from <http://www.nelh.nhs.uk/knowledge_management/km2/processes.asp>

Neilson, G. L., & Pasternack, B. A. (2005). _Results: Keep what's good, fix what's wrong and unlock great performance._ New York: Crown Business.

Nevis, E. C., DiBella, A. J., & Gould, J. M. (1995). Understanding Organizations as learning systems. _Sloan Management Review, 6_(2), 73-85.

Nickols, F. (2000). _Knowledge management(KM)and process performance._ Retrieved on April 18, 2006, from <http://home.att.net/~nickols/KM_and_processes.htm>.

Nonaka, I. (1998) _The knowledge creating company: Harvard Business Review on management._ Boston: MA: Harvard Business School Publishing.

Northouse, P. G. (2004). _Leadership: Theory and practice._ Thousand Oaks, CA: Sage Publications.

Örtenblad, A. (2002). Organizational learning: A radical perspective. _International Journal of Management Reviews, 4_(1), 87-100.

Pattison, S. (1999). _A history of the adult distance education movement._ Unpublished Dissertation, Nova Southeastern University.

Pawlowsky, P., Forslin, J., & Reinhardt, R. (2003). Practices and tools of organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 775-793). New York: Oxford University Press, Inc.

Pegasus Communication. _What is organizational learning?_ Retreived on April 18, 2006, from <http://www.thesytemsthinker.com/tstaboutol.html>.

Prather, C. W. (2000). Keeping innovation alive after the consultants leave [Electronic version]. _Research Technology Management, 43_(5), 17-22.

Random House, Inc. (2004). _The wisdom of the crowds._ (excerpt). Retrieved on April 24, 2006, from <http://www.randomhouse.com/features/wisdomofcrowds/index.html>.

Reinhardt, R., Bornemann, M., Pawlowsky, P., & Schneider, U. (2003). Intellectual capital and knowledge management: Perspectives on measuring knowledge. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 794-820). New York: Oxford University Press, Inc.

Robertson, J. (2005). 10 principles of effective information management. KM Column (Nov 05). Retrieved June 21, 2006, from <http://www.steptwo.com.au/papers/kmc_effectiveim/index.html>.

Robbins, S. P. (1998). _Organizational behavior._ (8th ed.). Upper Saddle River, NJ: Prentice Hall.

Rosenberg, M. J. (2004). The role of change management in knowledge management. In M. Goldsmith, H. Morgan & A. J. Ogg (Eds.), _Leading organizational learning: harnessing the power of knowledge_ (1st ed., pp. 241-253). San Francisco: Jossey-Bass.

Ross, O. T. (2002). _Self-directed learning in adulthood: a literature review._ Retrieved on April 28, 2006, from ERIC database. Morehead State University.

Rumizen, M. C. (2002). _The complete idiot's guide knowledge management._ Madison, WI: CWL Publishing Enterprises.

Sadler, P. (2003). Leadership and organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 415-427). New York: Oxford University Press, Inc.

Sambrook, S. & Stewart, J. (2000). Factors influencing learning in European learning oriented organizations: issues for management. _Journal of European Industrial Training, 24_(2-4), 209-213.

Senge, P., Ross, R., Smith, B., Roberts, C., & Kleiner, A. (1994). _The fifth discipline fieldbook: Strategies and tools for building a learning organization._ New York, NY: Currency/Doubleday.

Shallcross, D. J. (1975). Creativity: Everybody's business [Electronic version]. _Personnel and Guidance Journal, 51_(9), 623-626.

Shipton, H., Dawson, J., West, M., & Patterson, M. (2002). Learning in manufacturing organizations: what factors predict effectiveness? _Human Resource Development International, 5_(1), 55-72.

Sitkin, S. B., Sutcliffe, K., & Barrios-Choplin, J. (1992). A dual-capacity model of communication media choice in organizations. _Human Communication Research, 18_, 563-98.

Skyrmes, D., _Knowledge management: making sense of an oxymoron._ Retrieved on April 19, 2006, from <http://www.skyrme.com/insights/22km.htm>.

Smith, Paul, <http://theory.eserver.org/anthropology.html> (Retrieved April 25, 2006)

Song, J., Almeida, P., & Wu, G. (2003) Learning by hiring: when is mobility more likely to facilitate interfirm knowledge transfer? _Management Science, 49_(4), 351-365. As cited in Argote, L., McEvily, B., & Reagans, R. (2003). Managing knowledge in organizations: an integrative framework and review of emerging themes. _Management Science, 49_(4), 571-582.

Spears, L. C. (Ed.). (1998). _Insights on leadership: Service, stewardship, spirit, and servant-leadership._ New York, NY: John Wiley & Sons, Inc.

Spillane, J. P. (2002). Local theories of teacher change: the pedagogy of district policies and programs [Electronic version]. _Teachers College Record, 104_(3), 377-420.

Starbuck, W. H., & Hedberg, B. (2003). How organizations learn from success and failure. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational leadership and knowledge_ (pp. 327-350). New York: Oxford University Press, Inc.

Sternberg, R. J. (2003). Creative thinking in the classroom [Electronic version]. _Scandinavian Journal of Educational Research, 47_(3), 325-338.

Stopford, J. M. (2003)Organizational learning as guided responses to market signals. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), Handbook of organizational leadership and knowledge (pp. 264-281). New York: Oxford University Press, Inc.

Suh, T. (2002). Encouraged, motivated and learning oriented for working creatively and successfully: A case of Korean workers in marketing communications [Electronic version]. _Journal of Marketing Communications, 8_(3), 135-147.

Tainio, R, Lilja, K., & Santalainen, T. J. (2003) In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational leadership and knowledge_ (pp. 428-445). New York: Oxford University Press, Inc.

Thierauf, R. (1999). _Knowledge management systems for businesses._ Retrieved April 26, 2006, from [http://www.questia.com/PM.qst?a=o&d=102054312](http://www.questia.com/PM.qst?a=o&d=102054312)

Thompson, L. (2003). Improving the creativity of organizational work groups [Electronic version]. _Academy of Management Executive, 17_(1), 96-111.

Trompenaars, F., & Hampden-Turner, C. (2004). Five Dilemmas of Knowledge Management. In M. Goldsmith, H. Howard & A.J. Ogg (Eds.), _Leading organizational learning: Harnessing the power of knowledge_ (pp. 13-17). San Francisco: Jossey-Bass.

Vance, C. M. (1991). Formalising storytelling in organizations: A key agenda for the design of training. _Journal of Organizational Change Management, 4_(3), 52-58. Retrieved on March 30, 2006, from Business Source Premier database.

Ulrich, D. (1998). A new mandate for human resources. _Harvard Business Review, 76_(1), 124-134.

Verra de Cunha, J., Pina E Cunha, M., & Kamoche, K. (2002). _Organizational improvisation._ New York: Routledge.

von Rosenstiel, L., & Koch, S. (2003). Change in socioeconomic values as a trigger of organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 198-220). New York: Oxford University Press, Inc.

Wallington, P. (2002, October 15) Leadership from below: Tap into talent at all levels of the organization. CIO Magazine. Retrieved June 21, 2006 from <http://www.cio.com/archive/101502/lead.html>.

Watkins, K. and Marsick, V. (eds.) (1993). _Sculpting the learning organization: Lessons in the art and science of systematic change._ San Fransisco: Jossey-Bass.

Weber, C., & Berthoin Antal, A. (2003). The role of time in organizational learning. In M. Dierkes, A. Berthoin Antal, J. Child & I. Nonaka (Eds.), _Handbook of organizational learning and knowledge_ (pp. 351-368). New York: Oxford University Press, Inc.

Wheately, M. J. (1999). _Leadership and the new science: Discovering order in a chaotic world._ (2nd ed.). San Francisco, CA: Berrett-Koehler Publishers, Inc.

Wheately, M. J., & Kellner-Rogers (1999). _A simpler way._ San Francisco, CA: Berrett-Koehler Publishers, Inc.

Wheatley, M. J. (2004). The real work of knowledge management. In M. Goldsmith, H. Morgan & A. J. Ogg (Eds.), _Leading organizational learning: harnessing the power of knowledge_ (1st ed., pp. 53-63). San Francisco: Jossey-Bass.

Weick, K.E. & Westley, F. (1996). Organizational learning: Affirming an oxymoron. In S. Clegg, C. Hardy, and W. Nord (Eds.) _Handbook of Organization Studies:_ 440- 458. London: Sage.

Wilson, B.G. (1997). _The postmodern paradigm._ Englewood Cliffs NJ: Educational Technology Publications.

Uzzi, B. (1996). The sources and consequences of embeddedness for the economic performance of organizations: The network effect. _American Sociological Review, 61_, 674-698.

Uzzi, B. (1997). Social structure and competition in interfirm networks: The paradox of embeddedness. _Administrative Science Quarterly, 42_, 35-67.

Yi, J. (2005). Effective ways to foster learning [Electronic Version]. _Performance Improvement, 44_, 34-38. Retrieved on April 14, 2006.

Yukl, G. (2002) _Leadership in organizations._ (5th ed.). Upper Saddle River, NJ: Prentice Hall.

Zellmer-Bruhn, M. E. (2003). Interupptive events and team knowledge acquisition. _Management Science, 49_(4), 514-528. As cited in Argote, L., McEvily, B., & Reagans, R. (2003). Managing knowledge in organizations: an integrative framework and review of emerging themes. _Management Science, 49_(4), 571-582.

Zemke, R. (2002). A pocket guide to useful learning theories [Electronic version]. _Training, 39_(9), 90-91.

<http://web.cocc.edu/cbuell/theories/behaviorism.htm>

<http://tip.psychology.org/bruner.html>

<http://www.learning-theories.com/>

<http://business.nmsu.edu/~dboje/mpw.html>

<http://tip.psychology.org/knowles.html>

<http://en.wikibooks.org/wiki/Wikiversity:School_of_Education/Educational_Leadership>

← [Knowledge Management: Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change) ·

← [Knowledge Management: Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change) · **[Learning Theories](http://en.wikibooks.org/wiki/Learning_Theories)**

[Introduction](http://en.wikibooks.org/wiki/Learning_Theories#Introduction) · [References](http://en.wikibooks.org/wiki/Learning_Theories/References) ·  This box: [view](http://en.wikibooks.org/wiki/Template:Learning_Theories/Navigation) • [talk](http://en.wikibooks.org/wiki/Template_talk:Learning_Theories/Navigation) • [edit](http://en.wikibooks.org/w/index.php?title=Template:Learning_Theories/Navigation&action=edit) 

Theories :
[Behavioralist](http://en.wikibooks.org/wiki/Learning_Theories/Behavioralist_Theories) · [Constructivist](http://en.wikibooks.org/wiki/Learning_Theories/Constructivist_Theories) · [Post-Modern](http://en.wikibooks.org/wiki/Learning_Theories/Post-Modern_Theories) · [Adult Learning](http://en.wikibooks.org/wiki/Learning_Theories/Adult_Learning_Theories)

Organizational Learning :
[Contributions by Discipline](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Contributions_by_Discipline) · [Triggers](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Triggers) · [Influencing Factors](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Influencing_Factors) · [Agents](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Agents) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Processes) · [Interorganizational](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Interorganizational) · [Practice](http://en.wikibooks.org/wiki/Learning_Theories/Organizational_Learning:_Practice)

Knowldege Management :
[Challenges](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Challenges) · [Processes](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Processes) · [Leadership](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Leadership) · [Change](http://en.wikibooks.org/wiki/Learning_Theories/Knowledge_Management:_Change)

# GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&oldid=2503107](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&oldid=2503107)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Learning Theories](http://en.wikibooks.org/wiki/Category:Learning_Theories)
  * [Section stubs](http://en.wikibooks.org/wiki/Category:Section_stubs)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Learning+Theories%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Learning+Theories%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Learning_Theories/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Learning_Theories/Print_version)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Learning_Theories/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Learning_Theories/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&oldid=2503107)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Learning_Theories%2FPrint_version&id=2503107)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Learning+Theories%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Learning+Theories%2FPrint+version&oldid=2503107&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Learning_Theories/Print_version&printable=yes)

    * This page was last modified on 18 March 2013, at 14:57.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Learning_Theories/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
