# Mirad/Print version

From Wikibooks, open books for an open world

< [Mirad](http://en.wikibooks.org/wiki/Mirad)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Mirad/Print_version) on _1 November 2010_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&oldid=1963581&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Mirad](http://en.wikibooks.org/wiki/Mirad)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&action=purge&printable=yes) this page.

# Contents

If you have saved this file to your computer, click on a link in the contents to go to that section.

  * [Basics](Print_version.html#Basics)
  * [Word-building](Print_version.html#Word-building)
  * [Word Families](Print_version.html#Word_Families)
  * [Grammar](Print_version.html#Grammar)
  * [Conversation Lessons](Print_version.html#Conversation_Lessons)

# What is Mirad?

**Glojo mir ebdao ácana dadè.** _(accented version)_

**Glojo mir ebdao yacana dadey.** _(unaccented version)_

_Soon the world will converse through a common tongue._

  


    **Mirad** ( aka **Unilingua** ) is an artificially-constructed auxiliary language ([conlang](http://www.quetzal.com/conlang.html)) developed and published by Paris-based author Noubar Agopoff as a serious medium for easy and logical international communication. Mirad is categorized by constructed language afficionados as _philosophical_ because its vocabulary is mapped letter-by-letter to a semantic ontology or thesaurus. Also, the wordstock of Mirad is considered _a priori_, that is, there is no deliberate association with words or roots in existing natural languages. The vocabulary is "from scratch", yet based on internal lexical and semantic rules that help the learner to construct and deconstruct derivations logically, mnemonically, and consistently.

For some odd reason, the author of this language called it the Latinesque name "Unilingua." In this revision of the language, the name will be the more internally consistent **Mirad** (pronounced _mee-RAHD_), which means _world language_ (**mira** = _world's_ \+ **d** = _speech_.) The proximity to the Russian word for 'world' (мир) is pure coincidence; the vocabulary of Mirad, as stated above, is not based on or related to any existing human language.

  


# Orthography and Pronunciation

## Orthography and Pronunciation

### Alphabet

    The Mirad alphabet has both lower-case and upper-case letters. The alphabet has the same base letters as Latin or English, except that the letters **Qq**, **Xx**, and **Yy** are considered _non-native_ and are used only in foreign names and borrowings. Also, the letters **Hh** and **Ww** are additional to Agapoff's original Unilingua alphabet and are unique in that they have no inherent semantic values; they are used for various grammatical-only purposes. A unique feature of Mirad is that every native letter is a semantically-significant **atom** in the language and can be thought of as bricks in lexical construction. See [Word-building](http://en.wikibooks.org/wiki/Unilingua/Word-building)

    The order of the native alphabet is as follows:

    

    **a á à â b c d e é è ê f g h i í ì î j k l m n o ó ò ô p r s t u ú ù û v w z**

    The above lower-case letters can also be represented as upper-case letters. In Unicode representations and indexing, the uppercase graphemes precede the lowercase values. Uppercase letters are used much as in American English, that is, for the first letter in sentences, proper nouns, etc. See [#Orthography](Print_version.html#Orthography) for more details. As mentioned above, the Mirad graphemes **Ww** and **Hh** are additional to the letters in the original Unilingua and are used to form the passive voice of verbs and the correlative deictics, respectively. Foreign names and borrowings sometimes also incorporate **Hh**, **Qq**, **Xx**, and **Yy**.

  


#### Consonants

    The following are classified as _consonants_:

    

    **b c d f g h j k l m n p r s t v w z**

*Note: The author of Unilingua did not include the letters **Hh** or **Ww** as native graphemes. They have been added in Mirad in order to encompass word structures not included by Agapoff, in addition to interjections and foreign names. See more on this under [#Vowels](Print_version.html#Vowels).

#### Vowels

    Vowels, or more accurately, _vowel nuclei_ consist of plain vowels and _yodified_ vowels, that is, vowels that have a y-glide sound before, after, or around them. A synonym of _yodified_ is _palatalized_.

    The _plain_ vowels are (only miniscules listed here): 

    **a e i o u**

    The _yodified_ vowel nuclei are: 

    **á é í ó ú**   (pre-yodified)
    **à è ì ò ù**   (post-yodified)
    **â ê î ô û**   (circum-yodified)

Note: The author of Unilingua used non-Roman letters to represent some of the _pre-yodified_ vowels (**я** = _á_, **е** = _é_, **ø** = _ó_, and **ю** = _ú_. The author employed a hacek (called _ille_ in French) over the vowel to represent post-yodification (**ă** = _à_, **ě** = _è_, etc.). This revised Mirad textbook, however, uses the acute accent (as in French _été_) for the pre-yodified vowels, the grave accent (as in French _père_) for the post-yodified vowels, and the circumflex accent (as in French _fête_) for the circum-yodified vowels. It must be remembered, however, that **á**, **ô**, and other yodified vowels are considered single vowels or _vowel nuclei_ in any analysis of the language, not dipthongs or tripthongs). In other words, the accents are merely graphemic devices to distinguish vowels qualitatively, and thereby semantically.

### Orthography

#### Punctuation

    Despite Agapoff's idiosyncratic system of punctuation, the punctuation symbols and usage in Mirad are just like those of American English.

#### Capitalization

    Capitalization in Mirad follows the same rules as in English. European learners need to be especially careful to capitalize the first letter of the names of languages, nationalities, and inhabitants, which in most European languages are left in lowercase.

    Note the following examples. The words are all capitalized because the root word is the name of the country China:

Mirad English

**Kin**
China

**Kina**
Chinese (people or nation) [adj.]

**Kinad**
Chinese (language) [n.]

**Kinada**
Chinese (language) [adj.]

**Kinadè**
in Chinese [adv.]

**Kinut**
Chinese person

**Kinadaer**
to speak Chinese _(pronounced: kee-nah-dah-EHR)_

**Kinader**
to utter in Chinese

**Kinadrer**
to write Chinese

**Kinadrun**
Chinese writing

**Kina vidrun**
Chinese calligraphy

**Kinadéder**
to read Chinese

**Kinéna**
Chinese-like [adj.]

**Kinénà**
in the Chinese way [adv.]

**Kin-Amerika véani**
Sino-American relations

**Kinconi**
things Chinese _(pronounced: keen-SOH-nee)_

**Kinaser**
to sinofy _(pronounced: kee-nah-SHEHR)_

**Kintun**
Sinology _(pronounced: keen-TOON)_

**Kintuna**
Sinological

**Kintut**
Sinologist

### Pronunciation

#### Consonant sounds

    This chart shows the closest phonetic approximations of the Mirad consonant graphemes in English and some other familiar languages, along with the exact value in IPA (International Phonetic Alphabet):

**grapheme**
**IPA**
**English**
**American Spanish**
**French**
**Comment**

**b**
b
_b_ee
_b_ien
_b_on
 

**c**
s
_s_ee
ha_c_e
gar_ç_on
Watch out! Sounds like "s".

**d**
d
_d_og
_d_os
_d_e
 

**f**
f
_f_oo
_f_iesta
_f_ou
 

**g**
g
_g_oo
_g_oma
_g_ant
Always hard.

**h**
h
_h_ow
_j_ota
\--
Closer to the English value.

**j**
ʒ
mira_g_e
\--
_j_our
As in "Dr. _Zh_ivago.

**k**
k
s_k_ate
_c_asa
_c_omment
 

**l**
l
_l_aw
_l_a
_l_es
 

**m**
m
_m_oo
_m_i
_m_on
 

**n**
n
_n_o
_n_o
_n_on
 

**p**
p
s_p_oon
_p_oco
_p_eu
 

**r**
r
\--
to_r_o
\--
Dental flap or trill

**s**
ʃ
_sh_ed
\--
_ch_aise
A fricative "sh" sound!

**t**
t
s_t_eak
_t_ú
_t_on
 

**v**
v
_v_ie
\--
_v_a
 

**w**
w
_w_oo
J_u_an
_ou_i
 

**z**
z
_z_oo
\--
_z_one
 

Note! Be very careful that the **c** and the **s** are not pronounced as their English or European equivalents. Think of the **c** as being the French c cedilla (ç).

#### Simple vowel sounds

    **a** as in Spanish _l_a__ (IPA:/a/)
    **e** as in French _th_é__ (IPA:/e/)
    **i** as in Spanish _s_í! (IPA:/i/)
    **o** as in Spanish _n_o__ (IPA:/o/)
    **u** as in Spanish _t_ú__ (IPA:/u/)

#### Pre-yodified vowel sounds

    These vowels are pronounced the same as the simple vowel above, but with a y-glide at the beginning.

    **á** is like **ya** as in English __ya_cht_
    **é** is like **ye** as in German __je_der_ or English _yes_
    **í** is like **yi** as in French __yi_ppie_ or English __ye__ (without the final y-glide)
    **ó** is like **yo** as in German __Jo_ga_ or English __yo-_yo_ (without the final w-glide)
    **ú** is like **yu** as in German __Ju_li_ or English __u_nit_

#### Post-yodified vowel sounds

    These vowels are pronounced like the simple vowels, but with a y-glide at the end.

    **à** is like **ay** as in English _Th_ai__
    **è** is like **ey** as in English _f_ey__
    **ì** is like **iy** as in English _s_ee__
    **ò** is like **oy** as in English _b_oy__
    **ù** is like **uy** as in English _f_ooey__

#### Circum-yodified vowel sounds

    These vowels are pronounced with a y-glide at both the beginning and end.

    **â** is like **yay** as in English __yi_kes!_
    **ê** is like **yey** as in English __yea!__
    **î** is like **yiy**
    **ô** is like **yoy**
    **û** is like **yuy**

Note the difference in pronunciation between **aá**, which is pronounced like _A-ya_ as in Spanish "pl_aya_", and **àa**, which sounds like _AY-a_ as in English _dia_gram.)

### Syllabification and Stress

    A closed syllable is one that ends in a consonant or a y-glide (i.e., a post- or circum-yodified vowel). A syllable consists of [C]V[C], where V, the vowel nucleus, can begin or end with a y-glide, but contain only one of the set of vowels [**aeiou**], and where C consists of one or two homorganic consonants, i.e. [bcdfgjknpstvz]+[lrwy].

    The rule for stress is: If a word ends in a closed syllable, then the last syllable receives the stress, otherwise, the penultimate (next-to-last) syllable receives the stress.

**spelling**
**pronunciation**
**meaning**

**gafif**
_ga-**FIF**_
preference

**ifla**
_**I**-fla_
agreeable

**ánsea**
_yan-**SHE**-a_
collective

**manà**
_ma-**NAY**_
with light

**Kinadae**
_ki-na-**DA**-e_
speaks Chinese

**Kinad**
_ki-**NAD**_
Chinese (language)

**Hàfa**
_**HAY**-fa_
(Israeli town of) Haifa

**gracer**
_gra-**SER**_
to be extreme

  


    Every vowel in Mirad is given its full syllabic pronunciation, even when juxtaposed in what English or European speakers might consider dipthongs:

**spelling**
**pronunciation**
**meaning**
**syllable count**

**daea**
_da-**E**-a_
speaking
3

**oif**
_o-**If**_
displeasure
2

**daò**
_da-**OY**_
without saying
2

  


# Word-building

## Taxonomic codification of letters

    The consonants of root words are taken from a conceptual ontology matrix. For example, all root words beginning with the consonant **t** have something to do with _human beings_. Root words containing the consonant **j** relate somehow to _time_.

    For example, the following words all contain the consonant **p**, which indicates _motion_:

    

    **zíp** _travel_
    **jap** _precedence_
    **tóáp** _step_
    **zòp** _regression_
    **pán** _jump_
    **teap** _visit_
    **mamp** _flight_

    Similarly, the following words all end in the consonant **l**, which indicates _liquid_:

    

    **mil** _water_
    **vafil** _wine_
    **mal** _gasoline_
    **meil** _mud_
    **vozil** _paint_
    **teabil** _tear_

    Again, the following words all end in the consonant **m**, which indicates _place, space, location, or position._:

    

    **tom** _residence_
    **cem** _table_
    **dénam** _library_
    **tilam** _bar_
    **epem** _parking lot_
    **mem** _country_

### Semantic codification of vowels

  


    The vowels in root words have various qualitative and quantitative values based on the following scales:

  


Scale **o** **a** **e** **i** **u**

Cardinal
_0_
_1_
_2_
_3_
_4_

Ordinal/hierarchical
_zeroth_
_first_
_second_
_third_
fourth

Qualitative
_negative 1_
_positive 1_
_neutral_
_positive 2_
_negative 2_

Vectorial
_down_
_up_
_middle_
_left_
_right_

Natural
_underground_
_sky_
_land_
_water_
_space_

  


    The opposite of a word can often be produced by simply changing a vowel to the "opposing" vowel.

  


    

    

  * The vowels "a" and "o" are opposites in the "series 1".
  * The vowels "i" and "u" are opposites in the "series 2."

  


positive negative

**ab** _on_
**ob** _off_

**man** _light_
**mon** _shade_

**aga** _big_
**oga** _little_

**án** _together_
**ón** _apart_

**iga** _fast_
**uga** _slow_

**íga** _hard_
**úga** _soft_

  


    Throughout the Mirad word construction scheme, the vowel **e** always has a neutral or medial value:

  


medial

**éb** _between_

**éz** _inside_

**eza** _moderate_

**ge** _equal_

**zem** _middle_

**gé** _rather_

**ev** _if_

**je** _during_

**eb** _at_

**ve** _maybe_

    In hierarchical codification, the vowel **o** indicates the zeroth or toplevel element of an organization. In a qualitative codification, it has a negative slant. As a prefix, this vowel can also "nullify" a concept as in the following examples:

  


absolute nullified

**tel** _food_
**otel** _hunger_

**gela** _same_
**ogela** _different_

**tadca** _married_
**otadca** _unmarried_

**es** _function_
**oes** _malfunction_

### Hierarchical codification with ordinal vowels

    Root words related hierarchically or organizationally differ only in their ordinal vowels. By _ordinal vowels_ is meant that the vowels have inherent numerical values (**o** 0, **a** 1, **e** 2, etc.). The zeroth element of any hierarchy always contains the ordinal vowel **o**. For example, the words for royalty differ only by an enumerative vowel which determines the rank:

  


ordinal value royal rank

1
**adeb** _emperor_

2
**edeb** _king_

3
**ideb** _prince_

4
**udeb** _marquis_

5
**ádeb** _count_

6
**édeb** _duke_

7
**ódeb** _lord_

  


    For further illustration, we can look at how the concept _human being_ is hierarchically codified using ordinal vowels, where the larger the numeric value of the ordinal vowel, the lower the element is in the semantic hierarchy:

  


human being

**tob** _human_

**tab** _body_

**teb** _head_

**tib** _trunk_

**tub** _arm_

**tób** _leg_

### Scalability With Contrasting Vowels

  


    Words can be semantically constructed along the qualitative scale of "postive", '"neutral", and "negative" through the use of vowels imbued with these values. In Mirad, there are two qualitative vowel series:

  


number positive neutral negative

1
**a**
**e**
**o**

2
**i**
**e**
**u**

  


    As implied in the above table, root words with **a** contrast as semantically opposite with those with **o** and roots words with **i** contrast with those with **u**. Words with **e** are in the middle between the two extremes. The second series does sometimes lack a middle value. For example:

  


series positive neutral negative

1
**va** _yes_
**ve** _maybe_
**vo** _no_

1
**vay** _certainly_
**vey** _possibly_
**voy** _not_

1
**aza** _strong_
**eza** _moderate_
**oza** _weak_

2
**zi** _right_
**ze** _middle_
**zu** _left_

2
**fia** _good_
**fea** _neither good nor bad_
**fua** _bad_

2
**iga** _fast_
**ega** _moderate_
**uga** _slow_

### Vectorial codification

  


    On the vectorial (or: directional, geo-spatial) scale, the vowels have the following general values (see later for a more detailed explanation):

  


**positive** **neutral** **negative**

**a**
 
**o**

_up/north/ahead_
 
_down/south/back_

 
**e**
 

 
_in/middle_
 

**i**
 
**u**

_right/east/straight_
 
_left/west/crooked_

  


    Some examples:

  


**positive** **neutral** **negative**

**áb** _up_
**éb** _between_
**ób** _down_

**ab** _on_
**eb** _at_
**ob** _off_

**zi** _right_
**ze** _in the middle_
**zu** _left_

**áber** _to raise_
**éber** _to contain_
**óber** _to lower_

  


    In the following examples, the vowels **i/u** and **e** take on _directional_ values with respect to the doer of the action:

  


**bier** _to take_
**nier** _to consume_
**dier** _to ask_
**pier** _to leave_
**iper** _to go away_
**iber** _to receive_

**beer** _to keep_
**neer** _to conserve_
**der** _to say_
**peer** _to stay_
**eper** _to stop_
**eber** _to stop_

**buer** _to give_
**nuer** _to supply_
**duer** _to suggest_
**puer** _to arrive_
**uper** _to come_
**uber** _to send_

### Natural (geological) codification

  


    On the natural scale, the vowels have the following values:

  


vowel value examples

**a**
_sky/air_
**mampar** _aircraft_, **map** _wind (current)_

**e**
_land/soil_
**mempar** _car_, **mep** _road_

**i**
_sea/water_
**mimpar** _ship_, **mip** _river_

**o**
_underground_
**mompar** _subway_, **mop** _tunnel_

**u**
_outer space_
**mumpar** _spaceship_, **mup** _galaxy_

### Semantic nuancing

  


    Semantic nuances and gradations of quality of words are reflected through the "lengthening", that is, addition of a harmonic subordinal vowel to the ordinal vowel, yodification (adding **y**) of the ordinal vowel, or the addition of one in a series of intensifying (**l**, **r**) or distinguishing (**c**, **s**, **v**, **f**, etc.) consonants, or any of the above techniques in combination. In this scheme, pre-yodification signals a semantic intensification, while post-yodification indicates a weakening or mitigation of sense. A doubling of the vowel usually indicates another kind of lessened strength of the corresponding single-vowel word. Here are some examples:

  


    Post-yodification deintensifies the semantic value of the base word in much the same way as the suffix _-ish_ sometimes mitigates the value of an English adjective.

  


normal deintensified

**ama** _hot_
**àma** _warm_

**oma** _cold_
**òma** _cool_

**ima** _wet_
**ìma** _humid_

**at vage** _I want_
**at vàge** _I'd like_

**at ége** _I must_
**at yège** _I should_

**moza** _black_
**mòza** _blackish_

**e** _two_
**è** _half_

**gla** _very_
**glà** _somewhat_

**mar** _sun_
**màr** _star_

**ifer** _to love_
**ìfer** _to like_

**bók** _pain_
**bôk** _ache_

**tom** _residence_
**tòm** _home_

**dom** _city_
**dòm** _town_

**din** _story_
**dìn** _tale_

**pener** _to seize_
**pèner** _to catch_

**pon** _rest_
**pòn** _pause_

  


    Pre-yodification is sometimes used to intensify the semantic value of the base word:

  


normal intensified

**om** _cold_
**óm** _ice_

**am** _heat_
**ám** _fire_

**ga** _more_
**gá** _most_

**pener** _to seize_
**péner** _to strike_

**pot** _animal_
**pót** _wild animal_

**vaa** _affirmative_
**váa** _true_

**ab** _on_
**yab** _above_

**ze** _in the middle of_
**zé** _through_

**ib** _away_
**íb** _far_

**bok** _illness_
**bók** _pain_

**paner** _to move_
**páner** _to jump_

  


    The consonant extenders "l" and "r" are sometimes used to intensify the semantic value of the base word.

  


normal strong stronger

**bók** _pain_
**blók** _agony_
**brók** _torture_

**vag** _desire_
**vlag** _yearning_
**vrag** _craving_

**éga** _necessary_
**égla** _urgent_
**égra** _critical_

**péner** _to hit_
**pénler** _to beat_
**pénrer** _to smash_

**fúder** _to offend_
**flúder** _to insult_
**frúder** _to outrage_

**dier** _to request_
**diler** _to beg_
**direr** _to demand_

  


    The ordinal vowel can be extended with a homorganic subordinal vowel in order to add an element of "lengthening" or some other nuance to the meaning of the base word:

  


normal lengthened

**bok** _illness_
**book** _fatigue_

**vager** _to want_
**vaager** _to desire_

**dob** _state_
**doob** _nation_

**dab** _government_
**daab** _administration_

**tob** _body_
**toob** _gender_

**din** _story_
**diin** _recitation_

**béler** _to retain_
**béeler** _to conserve_

**mil** _water_
**miil** _dew_

  


    Here are some examples where all these techniques are employed:

  


derived word method of derivation

**bok** _illness_
normal

**bòk** _ailment_
post-yodification (mitigation)

**book** _fatigue_
lengthening

**boòk** _lassitude_
post-yodification (mitigation)

**bók** _pain_
pre-yodification (intensification)

**bôk** _ache_
post-yodification (mitigation)

**bóok** _suffering_
lengthening

**blók** _agony_
L-intensification (1st order)

**brók** _torture_
R-intensification (2nd order)

  


derived word method of derivation

**vager** _to want_
normal

**vlager** _to yearn for_
L-intensification (1st order)

**vrager** _to crave_
R-intensification (2nd order)

**vaager** _to desire_
lengthening

**vàger** _to wish for_
post-yodification (mitigation)

**vaàger** _to aspire to_
lengthening

  


    The consonants **l**, **r**, and **c** are used to differentiate nuances of words, usually in a positive degree of strength. Other consonants can also be used for derivation.

  


derived word

**va** _yes_

**vaa** _positive_

**vala** _sure_

**vàla** _certain_

**vaala** _safe_

**vara** _evident_

**vàra** _manifest_

**valda** _certified_

**vàca** _secure_

**váa** _true_

**váya** _genuine_

**váca** _correct_

**vâca** _right_

**vába** _regular_

**vâba** _statutory_

**váva** _exact_

**válva** _perfect_

**váfa** _precise_

**váta** _fair_

**váma** _real_

**váama** _virtual_

**vâma** _actual_

**váda** _frank_

**vála** _authentic_

  


### Mnemonic and analogic association

    Mnemonics is used to the fullest to associate root words and concepts. For example, the words "neigh", "hehaw", "bark", and "meow" in Unilingua all contain a hint of the animal name with which these are associated. For example:

  


animal sound verb

**épet** _dog_
**épeder** _to bark_

**apet** _horse_
**apeder** _to neigh_

**ápet** _pig_
**ápeder** _to squeal_

**ípet** _cat_
**ípeder** _to meow_

**apat** _cock_
**apader** _to crow_

**pat** _bird_
**pader** _to tweet_

**epèt** _cow_
**epèder** _to moo_

  


    Two or more words are often joined into a single compound, producing a new concept, where the separate elements are suggestive of the meaning of the resulting compound. In some cases, words overlap much like _portmanteau_ words in English (_breakfast_ \+ _lunch_ = _brunch_). (Note, for euphony, if the final consonant of the first root word is the same as the initial consonant of the second root word, one of the consonants is dropped.)

  


first concept second concept compound

**il** _liquid_
**pan** _motion_
**ilpan** _wave_

**teac-** _to see_
**per** _to go_
**teaper** _to visit_

**dom** _city_
**mep** _way_
**domep** _street_ (not **dommep**)

**kum** _side_
**mep** _way_
**kumep** _sidewalk_

**zè** _across_
**mep** _way_
**zèmep** _bridge_

**zé** _through_
**mep** _way_
**zémep** _thoroughfare_

**elám** _iron_
**mep** _way_
**elámep** _railroad_

**mag** _fire_
**meb** _mountain_
**magmeb** _volcano_

**tóáb** _foot_
**per** _to go_
**tóáper** _to walk_

**mic** _window_
**nof** _cloth_
**micof** _curtain_

**mac** _floor_
**nof** _cloth_
**macof** _carpet_

**bik** _care_
**nof** _cloth_
**bikof** _bandage_

**teb** _head_
**nof** _cloth_
**tef** _hat_

**új-** _to close_
**nof** _cloth_
**újof** _fold_

**tom** _home_
**nof** _cloth_
**tomof** _tent_

**nun** _merchandise_
**par** _vehicle_
**nunpar** _truck_

**pat** _bird_
**ij** _beginning_
**patij** _egg_

**án** _together_
**iv** _joy_
**ániv** _festival_

**oj** _future_
**nac** _money_
**ojnac** _credit_

**ej** _present_
**nac** _money_
**ejnac** _cash_

**vé** _relative_
**naz** _value_
**vénaz** _coefficient_

**ke-** _to seek_
**bier** _to take_
**kebier** _to choose_

**job** _time_
**bier** _to take_
**jobier** _to borrow_

**dop** _military_
**bier** _to take_
**dopbier** _to conquer_

**nuc** _payment_
**bier** _to take_
**nucbier** _to purchase_

**ko-** _to hide_
**bier** _to take_
**kobier** _to steal_

**tel** _food_
**tam** _house_
**telam** _restaurant_

**mag** _fire_
**il** _liquid_
**magil** _oil_

**mam** _sky_
**mil** _water_
**mamil** _rain_

**mir** _planet_
**nod** _point_
**mirnod** _pole_

**mam** _sky_
**nid** _line_
**mamnid** _horizon_

**mar** _light_
**nid** _line_
**marnid** _ray_

**nof** _cloth_
**yazser** _to flatten_
**nofyazser** _to iron_

**taob** _flesh_
**tel** _food_
**taol** _meat_

**taob** _flesh_
**fab** _tree_
**faob** _wood_

**faob** _wood_
**cyeb** _container_
**faocyeb** _barrel_

**ápet** _pig_
**tel** _meat_
**ápel** _pork_

  


    The following example of compounding with the root word **mep** (_way, route, road_) shows the efficiency of Unilingua compounding:

  


first concept combined concept

**kum** _side_
**kumep** _sidewalk_

**tóáb** _walk_
**tóámep** _walkway_

**dom** _city_
**domep** _boulevard_

**dom** _city_
**domèp** _avenue_

**dom** _city_
**domeap** _street_

**éb** _between_
**ébdomeap** _alley_

**zè** _across_
**zèmep** _bridge_

**zé** _through_
**zémep** _thoroughfare_

**óg-** _short_
**ógmep** _shortcut_

**oiz** _indirect_
**oizmep** _byway_

**yoz** _out_
**yozmep** _exit_

**éz** _in_
**ézmep** _entrance_

**íz** _beyond_
**ízmep** _detour_

**úz** _around_
**úzmep** _beltway_

**ig-** _fast_
**igmep** _expressway_

**ouj-** _no-end_
**oujmep** _cul-de-sac_

**nùc** _fee_
**nùcmep** _toll road, turnpike_

**agal-** _main_
**agalmep** _main road_

**anog-** _primary_
**anogmep** _highway_

**ogal-** _minor_
**ogalmep** _back road_

**vó-** _wrong_
**vómep** _blind alley_

**áb** _high_
**ábmep** _raised highway_

**mom** _underground_
**momep** _subway_

**elám** _iron_
**elámep** _railroad_

**tóáp-** _to walk_
**tóámep** _walkway_

**par** _vehicle_
**parmep** _driveway_

**-et** _little_
**mepet** _path, lane_

**iz-** _direct_
**izmep** _straightaway_

**-án** _collective_
**mepán** _network_

## Root words

  


    Root words are divided into two groups:

  


    

    

  * 1st group: nouns.
  * 2nd group: prepositions, adjectives, adverbs, conjunctions, and verbs, that is, all other words.

## Root words of the 1st group (nouns)

  


    All noun root words are composed of three letters:

  


    

    

  * The first, a consonant, called **the classifier**
  * The second, a vowel, called **the ordinal**
  * The third, a consonant, called **the generic**

  


    

    Examples:

  


**classifier**
**ordinal**
**generic**
**meaning**

**t**
**o**
**b**
man

**t**
**a**
**b**
body

**d**
**o**
**t**
society

**d**
**o**
**m**
city

**t**
**a**
**m**
house

## Table of consonant semantic values

  


**consonant**
**classifier (1st group)**
**generic (1st group)**
**classifier (2nd group)**

**b**
organ, illness, body
organism
gesture, manner

**p**
animal, vehicle
travel
movement

**c**
thing, furniture
form
making, c hundred

**s**
action
action
doing, action, thing

**d**
society
person
saying, writing

**t**
human being
person
knowing

**f**
vegetation
textiles, materials
quality

**v**
plant, color
cloth, linen
quality, truth

**g**
 
 
quantity, size, speed

**k**
 
 
weight, volume

**j**
time
time
time

**z**
 
jewels, precious, art, color
direction

**l**
 
element, liquid, food
l ten

**m**
cosmos, nature
place, building, metal
ml million

**n**
merchandise, containers
abstraction
counting

**r**
 
machine, instrument
mr billion

  


    

    The letter **w** does not have semantic value, only grammatical value as the sign of the passive voice. The letter **h** also has no semantic value; it merely forms the correlative deictics or determinants.

## Table of vowel numeric values

  


**vowel**
**numeric value**

**o**
0

**a**
1

**e**
2

**i**
3

**u**
4

**ó**
5

**á**
6

**é**
7

**í**
8

**ú**
9

## Table of vowel geo-positional values

  


**vowel**
**value**

**a**
above, superior, north

**e**
center, middle, equator

**o**
below, inferior, south

**u**
left, west

**i**
right, east

## Table of vowel vectorial values

  


**vowel**
**free movement**
**contact movement**
**position**
**examples**

**a**
on
onto
up/north
**ab** (on), **aper** (mount), **aber** (apply)

**á**
up
onto
 
**áb** (up), **áper** (climb), **páer** (rise)

**o**
under, off
underneath
down/south
**ob** (under), **ober** (remove), **boer** (support)

**ó**
down
down to
 
**óper** (descend), **póer** (fall)

**u**
near
to
left/west
**uper** (come), **puer** (arrive)

**ú**
toward
until
 
**úb** (near), **úper** (approach), **púer** (reach)

**i**
away
from
right/east
**iper** (go away), **pier** (leave)

**í**
far off
off
 
**íb** (away), **íber** (take away), **píer** (originate)

**e**
between
at
center/middle
**eb** (at), **eper** (stop), **peer** (remain)

**é**
in
into
 
**éz** (in), **éber** (contain), **béer** (detain)

  


## Table of vowel geo-specific values

  


**vowel** **value** **-p** **-m** **-l**

**a**
sky
**map** _wind_
**mam** _sky_
**mal** _air_

**e**
land
**mep** _road_
**mem** _earth_
**mel** _soil_

**i**
water
**mip** _river_
**mim** _sea_
**mil** _water_

**o**
underground
**mop** _tunnel_
**mom** _mine_
**mol** _mineral_

**u**
nature
**mup** _galaxy_
**mum** _space_
**mul** _matter_

  


## Table of vowel temporal values (for verbs)

  


**vowel**
**value**
**example**

**a**
**past**
**pa** _went_, **paa** _had gone_, **pao** _will have gone_, **pae** _has gone_

**e**
**present**
**pe** _goes_, **pee** _is going_, **pea** _has been going_, **peo** _will be going_

**o**
**future**
**po** _will go_, **poa** _would go_, **poe** _is about to go_

**u**
**untensed**
**pu** _go!_, _that (one) go_

  


## Root words of the 2nd group (non-nouns)

  


    All words of the 2nd group, which are word roots other than noun roots, are composed of two letters, either a consonant-vowel combination like **za** or a vowel-consonant combination like **az**, not counting grammatical endings like the adjectival suffix **-a** or the verbal infinitive suffix **-er**.

  


## Vowel oppositions in 2nd group root words

  


    

    Root words with **i** ⇒ **u** opposition :

  


positive negative

**fia** _good_
**fua** _bad_

**via** _beautiful_
**vua** _ugly_

**fía** _brave_
**fúa** _afraid_

**vía** _clean_
**vúa** _dirty_

**ifa** _lovable_
**ufa** _hateful_

**iva** _happy_
**uva** _sad_

**ífa** _modest_
**úfa** _proud_

**íva** _free_
**úva** _dependent_

**iga** _fast_
**uga** _slow_

**íga** _hard_
**úga** _soft_

**gia** _sharp_
**gua** _dull_

**gía** _difficult_
**gúa** _easy_

**ika** _full_
**uka** _empty_

**kia** _oblique_
**kua** _lateral_

**kía**_heavy_
**kúa** _light_

**íka** _solid_
**úka** _fragile_

**íba** _far_
**úba** _near_

**bí** _since_
**bú** _up to_

**iza** _straight_
**uza** _crooked_

**zia** _right_
**zua** _left_

**íz** _beyond_
**úz** _around_

**zí** _all over_
**zúa** _round_

  


    

    Root words with ternary vowel opposition **a** ⇒ **e** ⇒ **o** and **i** ⇒ **e** ⇒ **u**:

  


**positive** **neutral** **negative**

**aza** _strong_
**eza** _medium_
**oza** _weak_

**áza** _flat_
**éza** _concave_
**óza** _convex_

**áz** _along_
**éz** _in_
**óz** _out_

**za** _front_
**ze** _middle_
**zo** _behind_

**zà** _ahead_
**zè** _across_
**zò** _back_

**záa** _wide_
**zé** _through_
**zóa** _narrow_

**aga** _big_
**eg-** _repeat_
**oga** _small_

**ága** _long_
**ég-** _must_
**óga** _short_

**va** _yes_
**ve** _maybe_
**vo** _no_

**và** _and, both_
**vè** _or, either_
**vò** _nor, neither_

**vager** _to want_
**veger** _may, can_
**voger** _to renounce_

**av** _for_
**ev** _if_
**ov** _against_

**váa** _true_
**véa** _relative_
**vóa** _false_

**áva** _innocent_
**év-** _to judge_
**óva** _guilty_

**ga** _more_
**ge** _equal_
**go** _less_

**gà** _also_
**gè** _as_
**gò** _but, except_

**gáa** _fat_
**géa** _moderate_
**góa** _thin_

**gla** _very_
**gle** _rather_
**glo** _slightly_

**gra** _too_
**gre** _just_
**gro** _insufficiently_

**gá** _most_
**gé** _average_
**gó** _least_

**kaer** _find_
**keer** _seek_
**koer** _hide_

**kyaer** _change_
**kéer** _fluctuate_
**kóer** _stay fixed_

**aker** _win_
**eker** _play_
**oker** _lose_

**áker** _to expect_
**éker** _to try_
**óker** _to be surprised_

**ja** _before_
**je** _during_
**jo** _after_

**aj** _past_
**ej** _present_
**oj** _future_

**já** _early_
**jé** _on time_
**jó** _late_

**-a** _past tense_
**-e** _present tense_
**-o** _future tense_

**ab** _on_
**eb** _at_
**ob** _off_

**áb** _above_
**éb** _between_
**ób** _below_

**ijer** _to begin_
**ejer** _to last_
**ujer** _to end_

**tijer** _to be born_
**tejer** _to live_
**tujer** _to die_

  


## 2nd Group Root Word Matrix

  


### Two-way i/u opposition

  


    In 2nd group root words, the vowel **i** signals a positive value, while the contrasting vowel **u** indicates the negative or opposite value:

  


**positive**
**negative**
**positive**
**negative**

**fia** _good_
**fua** _bad_
**via** _beautiful_
**vua** _ugly_

**ifa** _dear_
**ufa** _hateful_
**iva** _happy_
**uva** _sad_

**fía** _brave_
**fúa** _afraid_
**vía** _clean_
**vúa** _dirty_

**ífa** _modest_
**úfa** _proud_
**íva** _free_
**úva** _bound_

**gia** _sharp_
**gua** _dull_
**kia** _oblique_
**kua** _lateral_

**gía** _difficult_
**gúa** _easy_
**kía** _heavy_
**kúa** _light_

**iga** _fast_
**uga** _slow_
**ika** _full_
**uka** _empty_

**zia** _right_
**zua** _left_
**iza** _straight_
**uza** _curved_

**zí-** _all around_
**zú-** _round_
**íz-** _beyond_
**úz-** _around_

**ij-** _begin_
**uj-** _end_
**íj-** _open_
**új-** _close_

**ib** _from_
**ub** _to_
**íb** _far_
**úb** _near_

**ib-** _receive_
**ub-** _send_
**íb-** _take away_
**úb-** _bring_

**bi-** _take_
**bu-** _give_
**bí** _away_
**bú** _toward_

**bin-** _pull_
**bun-** _push_
**bín-** _..._
**bún-** _touch_

**ip-** _go (away)_
**up-** _come_
**íp-** _escape_
**úp-** _approach_

**pi-** _depart_
**pu-** _arrive_
**pí-** _originate_
**pú-** _reach_

**pin-** _grab_
**pun-** _throw_
**pín-** _seize_
**pún-** _assault_

  


### Three-way a/e/o opposition

  


    Some 2nd group root words exhibit a three-way contrast where **a** is the base or positive value, **e** the middle or _in-between_ value, and **o** the negative or opposite value:

  


**positive**
**intermediate**
**negative**

**va** _yes_
**ve** _maybe_
**vo** _no_

**váa** _true_
**véa** _relative_
**vóa** _false_

**av** _for_
**ev** _if_
**ov** _against_

**áva** _innocent_
**év-** _judge_
**óva** _guilty_

**ga** _more_
**ge** _equal_
**go** _less_

**gla** _many_
**gle** _several_
**glo** _few_

**gra** _too many_
**gre** _just enough_
**gro** _too few_

**gá** _most_
**gé** _enough_
**gó** _least_

**gáa** _fat_
**géa** _moderate_
**góa** _thin_

**aga** _big_
**eg** _again_
**oga** _small_

**ága** _long_
**ég-** _must_
**óga** _short_

**ka-** _find_
**ke-** _search_
**ko-** _hide_

**ká-** _change_
**ké-** _waver_
**kó-** _stay_

**ak-** _win_
**ek-** _play_
**ok-** _lose_

**ák-** _expect_
**ék-** _try_
**ók-** _be surprised_

**za** _front_
**ze** _middle_
**zo** _back_

**záa** _wide_
**yzé** _through_
**zóa** _narrow_

**aza** _strong_
**eza** _average_
**oza** _weak_

**áza** _flat_
**éza** _concave_
**óza** _convex_

**áz** _along_
**éz** _in_
**óz** _out_

**ja** _before_
**je** _during_
**jo** _after_

**já** _early_
**jé** _on time_
**jó** _late_

**aj** _past_
**ej** _present_
**oj** _future_

**ab** _on_
**eb** _at_
**ob** _off_

**ab-** _apply_
**eb-** _keep_
**ob** _remove_

**áb** _above_
**éb** _between_
**ób** _lower_

**áb-** _lift_
**éb-** _contain_
**ób-** _lower_

**ba-** _lean on_
**be-** _carry_
**bo-** _hold up_

**bar-** _press_
**bel-** _keep_
**bol-** _support_

**bá-** _erect_
**bé-** _lay_
**bó-** _hang_

**ban-** _shake_
**ben-** _hold_
**bon-** _calm_

**ap-** _get on_
**ep-** _stay_
**op-** _get off_

**áp-** _ascend_
**ép-** _intervene_
**óp-** _descend_

**pan-** _move_
**pen-** _seize_
**pon-** _rest_

**pá-** _jump_
**pé-** _stand_
**pó-** _fall_

**pán-** _surge_
**pén-** _attack_
**pón-** _dive_

  


    The following table shows how some of the 2nd group root words can be expanded on through various word-building techniques:

  


**positive**
**negative**
**positive**
**negative**

**fia** _good_  
**fi** _well_  
**fian** _goodness_  
**fila** _delicious_  
**fira** _excellent_  
**fìla** _exquisite_  
**fieca** _happy_  
**firsa** _perfect_  
**fiser** _to improve_  
**fider** _to congratulate_  
**fiader** _to praise_  
**flider** _to eulogize_  
**frider** _to brag_  
**fiàsener** _to favor_  
**fibéna** _polite_  
**gafia** _better_  
**gafi** _better (adv.)_  
**gafif** _moreso_  
**gafira** _famous_  
**gafifer** _to prefer_  
**ísfira** _useful_  
**fiíser** _to utilize_
**fua** _bad_  
**fura** _cruel_  
**fula** _malignant_  
**fùra** _ferocious_  
**fueca** _unhappy_  
**flua** _wicked_  
**fluica** _sinister_  
**frueca** _furious_  
**fuvára** _jeolous_  
**fu** _ill_  
**gafua** _worse_  
**gafu** _worse (adv.)_  
**fuser** _to spoil_  
**fuscer** _to bother_  
**fuder** _to curse_  
**furser** _to pollute_  
**fùser** _to debase_  
**fuáser** _to deteriorate_  
**fulser** _to damage_  
**fuecer** _to get angry_  
**fluecer** _to get irritated_  
**fruicer** _to grow furious_  
**fun** _fault_  
**fùn** _vice_  
**fuùn** _sin_  
**dofùna** _immoral_
**via** _beautiful_  
**viá** _pretty_  
**vila** _magnificent_  
**vira** _marvelous_  
**vria** _luxurious_  
**viaga** _somptuous_  
**vifa** _elegant_  
**vìfa** _chic_  
**vifia** _charming_  
**videréna** _eloquent_  
**vikaeá** _admirable_  
**viser** _to adorn_  
**viber** _to garnish_  
**viaber** _to decorate_  
**viaser** _to embellish_  
**viraser** _to dazzle_
**vua** _ugly_  
**vuá** _vile_

**ifa** _lovable, beloved, dear_  
**ifbier** _to enjoy_  
**ifbuer** _to please_  
**ifiber** _to derive pleasure from_  
**ifca** _pleasant_  
**ifcla** _charming_  
**ìfa** _dear_  
**ìfciona** _gracious_  
**ifcra** _delightful_  
**ifra** _adorable_  
**ifla** _tender_  
**ìfala** _cute_  
**ifta** _nice_  
**ifla** _nice_  
**ifrana** _passionate_  
**ìfsrea** _seductive_  
**ifer** _to love_  
**ìfer** _to like_  
**ifcer** _to be pleased_  
**ifcler** _to be charmed_  
**ifcrer** _to be delighted_  
**ifser** _to please_  
**ifsler** _to charm_  
**ifsrer** _to delight_  
**iifper** _to stroll_  
**ifi** _thanks_  
**ifider** _to thank_  
**ifcaler** _to enjoy_
**ufa** _hateful_  
**ufla** _disagreeable_  
**ufcea** _unpleasant_  
**ufta** _mean_  
**ufer** _to hate_  
**ùfer** _to dislike_  
**ufuer** _to despise_  
**ufcer** _to be displeased_  
**ovufer** _to avenge_
**iva** _gay_  
**ìva** _joyous_  
**ivla** _glad_  
**ìvla** _content_  
**ivra** _excited_  
**ivalsa** _amused_  
**ivca** _funny_  
**ivcla** _comical_  
**ivaser** _to rejoice_  
**ivraser** _to excite_  
**ìvler** _to satisfy_  
**ivalser** _to amuse_  
**ivàlser** _to entertain_  
**ivader** _to joke_  
**ivlaser** _to content_
**uva** _sad_  
**ùva** _melancholy_  
**uvla** _lugubrious_  
**uvca** _dramatic_  
**uvcra** _tragic_  
**uvder** _to complain_  
**uvdlier** _to lament_  
**uvceuzer** _to sigh_  
**uvteucer** _to whine_  
**vónùvuser** _to regret_  
**ébuvader** _to pity_  
**uvbaner** _to move_  
**ébuvlacer** _to have compassion_  
**uvalser** _to bore_  
**uvuser** _to chagrin_  
**ùvuser** _to punish_  
**uvluser** _to afflict_

  


## Ordinal vowel codification of hierarchical nouns

  


    Nouns that are related to one another in a hierarchy or organization can be codified using the ordinal feature of vowels. The **o** vowel (zero value) is used for the topmost element.

  


**job**
time

**jab**
year

**jeb**
season

**jib**
month

**jub**
day

**jób**
hour

**jáb**
minute

**jéb**
second

**tob**
human

**tab**
body

**teb**
head

**tib**
trunk

**tub**
arm

**tób**
leg

**mor**
universe

**mar**
sun

**mer**
planet

**mir**
earth

**mur**
moon

  


    Individual elements can be further subdivided into a _secondary_ classification by the addition of an ordinal vowel to the right of the first vowel:

  


**tub**
arm

**tuab**
shoulder

**tueb**
upper arm

**tuib**
elbow

**tuub**
forearm

**tuób**
wrist

**tuáb**
hand

**tuéb**
fist

**tuíb**
palm

**tuúb**
finger

**tuób**
finger nail

**tób**
leg

**tóab**
hip

**tóeb**
thigh

**tóib**
knee

**tóub**
tibia

**tóób**
ankle

**tóáb**
foot

**tóéb**
talon

**tóíb**
heel

**tóúb**
toe

**tóób**
toe nail

  


    A further, _tertiary_ subdivision can be achieved by prefixing an ordinal vowel to the base:

  


**tuúb**
finger

**atuúb**
thumb

**etuúb**
index

**ituúb**
middle finger

**utuúb**
ring finger

**ótuúb**
little finger

  


    A convenient classification is possible by prefixing an ordinal vowel to the base without any primary or secondary enumeration:

  


**dob**
state

**adob**
empire

**edob**
kingdom

**idob**
principality

**udob**
marquisate

**ódob**
earldom

**ádob**
barony

**édob**
duchy

**ídob**
dominion

**údob**
tribe

  


## Forming concepts by compounding ("portmanteau")

  


    New concepts can be formed by compounding simple words. If the generic (final) consonant of the first word matches the classifier (initial) consonant of the following word or his consonantally homorganic with it, the latter is suppressed for convenience and ease of pronunciation:

  


concept 1 concept 2 compound

**dom** _city_
**mep** _road_
**domep** _boulevard_

**pat** _bird_
**tub** _arm_
**patub** _wing_

**teb** _head_
**bók** _pain_
**tebók** _headache_

**tep** _mind_
**book** _fatigue_
**tebook** _boredom_

  


    In cases where two ordinated nouns with the same classifier and generic consonants are combined, the vowels are combined:

  


concept 1 concept 2 compound

**mil** _water_
**mal** _gas_
**mial** _vapor_

**mel** _soil_
**mil** _water_
**meil** _mud_

  


    When you wish to form a word composed of words of the same consonantal classification, and the ordinal vowel is **o**, the **o** is replaced with the ordinal vowel of the determinant:

  


concept 1 concept 2 compound

**edob** _kingdom_
**deb** _leader_
**edeb** _king_

**udob** _principality_
**deb** _leader_
**udeb** _prince_

  


    Two singleton words often join by replacing the generic (final) consonant of the first word with the generic consonant of the second word, producing a melded concept somewhat like portmanteau words in English ("breakfast" + "lunch" "brunch").

  


concept 1 concept 2 compound

**tob** _man_
**nof** _cloth_
**tof** _clothes_

**tóáb** _foot_
**nov** _tissue_
**tóáv** _sock_

**teb** _head_
**nof** _cloth_
**tef** _hat_

**tib** _trunk_
**nof** cloth)
**tif** _vest_

**tób** _leg_
**nof** _cloth_
**tóf** _pants_

**tuób** _hand_
**nof** _cloth_
**tuóf** _glove_

**teib** _nose_
**nov** _tissue_
**teiv** _handkerchief_

  


## Making nouns and pronouns "feminine"

  


    The "feminine" counterpart of a noun or pronoun is obtained by post-yodifying the ordinal vowel (i.e. adding a **y** glide):

  


**masculine**
**feminine**

**taf** _suit_
**tàf** _dress/outfit_

**tóáv** _sock_
**tóâv** _stocking_

**tef** _pants_
**tèf** _skirt_

**néf** _carrying case_
**nêf** _purse_

**it** _he_
**ìt** _she_

**tob** _man_
**tòb** _woman_

**apet** _horse_
**apèt** _mare_

**tad** _husband_
**tèd** _wife_

  


## Codifying nuances of words

  


    There are several ways of deriving related words with slightly different nuances from the original word:

  


    

    The **l** extender is used for a comparatively stronger sense, while the **r** extender is used for an even stronger (strongest) sense:

  


absolute comparative excessive

**ga** _more_
**gla** _very much_
**gra** _too much_

**úzbaer** _squeeze_
**úzbaler** _pinch_
**úzbarer** _crush_

**buer** _give_
**buler** _grant_
**burer** _bestow_

**ika** _full_
**ikla** _packed_
**ikra** _overflowing_

**aker** _win_
**akler** _vanquish_
**akrer** _triumph_

**dier** _ask_
**diler** _beseech_
**direr** _demand_

  


    

    The post-yodifying **y** extender is used for what usually amounts to a _diminutive_ connotation:

  


normal mitigated

**vager** _want_
**vàger** _wish_

**fuf** _pipe_
**fùf** _tube_

**nas** _price_
**nàs** _cost_

**tep** _mind_
**tèp** _spirit_

**din** _story_
**dìn** _tale_

**cin** _image_
**cìn** _mark_

**ciun** _sign_
**ciùn** _signal_

**sen** _action_
**sèn** _act_

  


    

    Pre-yodification of a root vowel often imparts an intensified sense to the word. In any even, the normal and pre-yodified forms are usually related semantically. Compare:

  


normal intensified

**bok** _malady_
**bók** _pain_

**pan** _motion_
**pán** _jump_

**beer** _to remain_
**béer** _to detain_

**aper** _to get on_
**áper** _to get up_

**pet** _animal_
**pét** _reptile_

**otata** _unholy_
**ótata** _diabolical_

**vua** _ugly_
**vúa** _dirty_

**go** _less_
**gó** _least_

**ga** _more_
**gá** _most_

**ze** _in the middle_
**zé** _though_

**ijer** _to begin_
**íjer** _to open_

  


## Noun-forming derivational suffixes

### Summary

  


    Here is a list of suffixes that are added to word bases to form derived nouns:

  


**suffix**
**meaning**
**base**
**derived noun**

**et**
subdordinative
**ted** _father_
**tedet** _son_

**an**
deadjectival nominalizer (-itude, -ity, -hood, -ness)
**iva** _happy_
**ivan** _happiness_

**en**
deverbal nominalizer (-ing, -tion, -ance)
**azvader** _to confirm_
**azvaden** _confirmation_

**on**
general abstract nominalizer
**c-** _to be_
**con** _thing_

**un**
nominalizer of result
**nú-** _to produce_
**núun** _product_

**at**
person (-er)
**óga** _young_
**ógat** _youngster_

**ut**
agent (-ist)
**ces-** _to build_
**cesut** _builder_

**tut**
expert (-ologist)
**mem** _earth_
**memtut** _geologist_

**tun**
science (-ology)
**mil** _water_
**miltun** _hydrology_

**in**
doctrine (-ism)
**tot** _god_
**totin** _theism_

**ar**
instrument
**p-** _to go_
**par** _vehicle_

**ir**
machine
**vís-** _to clean_
**vísir** _vacuum cleaner_

**ur**
aparatus
**magc-** _to burn_
**magcur** _stove_

**am**
building
**tel-** _to eat_
**telam** _restaurant_

**em**
space
**vab** _grass_
**vabem** _prairie_

**im**
room
**magél-** _to cook_
**magélim** _kitchen_

**án**
collection
**nac** _money_
**nacán** _fund_

**a**
genetive/ablative case (of/from)
**at** _I_
**ata** _my_

**u**
dative/locative case (in/at/on/to)
**tam** _house_
**tamu** _at home_

**i**
pluralizer
**dén** _book_
**déni** _books_

**ag**
augmentative
**tam** _house_
**tamag** _palace_

**àg**
augmentative affective
**tam** _house_
**tamàg** _nice big house_

**ág**
augmentative pejorative
**tam** _house_
**tamág** _big ugly house_

**og**
diminutive
**tam** _house_
**tamog** _hut_

**òg**
diminutive affective
**tam** _house_
**tamòg** _cottage_

**óg**
diminutive pejorative
**tam** _house_
**tamóg** _shack_

**ob**
infantile
**tob** _human being_
**tobob** _child_

  


### Details

    Following is a detailed description of the nominalizing derivations suffixes:

#### The **-et** suffix

    

    The **-et** suffix is used to form nouns of the same nature, lineage, or composition of a _lesser_ importance:

  


**ted** _father_
**tedet** _son_

**fab** _tree_
**fabet** _bush_

**nac** _money_
**nacet** _change_

**fub** _branch_
**fubet** _shoot_

**táb** _grandfather_
**tábet** _grandson_

#### The **-an** suffix

    

    The **-an** suffix is used to form a noun of quality or state from an adjective or noun:

  


**ama** _hot_
**aman** _heat_

**iva** _beautiful_
**ivan** _beauty_

**fia** _good_
**fian** _goodness_

**ted** _father_
**tedan** _fatherhood_

**dat** _friend_
**datan** _friendship_

**odat** _enemy_
**odatan** _enmity_

#### The **-at** suffix

    

    The **-at** suffix is used to form the word for a person described by the adjective base.

  


**iktila** _drunk_
**iktilat** _a drunkard_

**iva** _happy_
**ivat** _a happy person_

**ofísa** _hypocritical_
**ofísat** _hypocrite_

**tuja** _dead_
**tujat** _dead person_

#### The **-ut** suffix

    

    The **-ut** suffix is used to form the agent for the action described by the verb base _"one who does x"_ or the fabricator of something described by the noun base _"one who makes x"_:

  


**kobier** _to steal_
**kobiut** _thief_

**tóáfser** _to make shoes_
**tóáfsut** _shoemaker_

**teaper** _to visit_
**teaput** _visitor_

**deuzer** _sing_
**deuzut** _singer_

#### The **-tut** suffix

    

    The **-tut** suffix is used to form the specialist _-ologist_ or student of something:

  


**tun** _science_
**tut** _scientist_

**memtun** _geology_
**memtut** _geography_

**dad** _language_
**dadtut** _linguist_

#### The **-ob** suffix

    

    The **-ob** suffix is used to form the child or younger version of something:

**tob** _man_
**tobob** _child_

**apet** _horse_
**apetob** _pony_

**rapat** _lion_
**rapatob** _lion cub_

**tot** _god_
**totob** _son of god_

#### The **-ar** suffix

    

    The **-ar**, **ir**, or **-ur** suffix on a verb base is used for an instrument/tool, machine, or apparatus, respectively.

  


**álber** _to lift_
**álbur** _elevator_

**álber** _to lift_
**álbar** _lever_

**álbir** _to lift_
**álbir** _fork lift_

**víarer** _to sweep_
**víarar** _sweeper_

**ilújer** _to plug_
**ilújar** _faucet_

**kácaner**_to transform_
**kácanur** _transformer_

**drecer** _to write_
**drecar** _pencil_

#### The **-en** suffix

    

    The **-en** suffix is used on a verb base for the verbal noun _-ing, -ence, -ment, -tion_:

  


**ecer** _to exist_
**ecen** _existence_

**iber** _to receive_
**iben** _reception_

**béer** _to detain_
**béen** _detention_

**otamser** _to demolish_
**otamsen** _demolition_

#### The -un suffix

    

    The suffix **-un** is used on a verb base for the concrete result of an action:

**vyarer** _to sweep_
**vyarun** _sweepings_

**gorfer** _to tear_
**gorfun** _a tear, a rip_

**teacer** _to see_
**teacun** _view_

**zéfser** _to make glass jewelry_
**zéfsun** _glass jewelry_

#### The -án suffix

    

    The suffix **-án** is used on a noun base for collections or groupings:

**fab** _tree_
**fabán** _forest_

**cir** _machine_
**cirán** _machinery_

**meb** _mountain_
**mebán** _mountain range_

**tolar** _food dish_
**tolarán** _dishes_

**mep** _road_
**mepán** _network_

**aco** _hundred_
**acoán** _century_

**dún** _word_
**dúnán** _glossary_

**tam** _house_
**tamán** _block (of houses)_

**màr** _star_
**màrán** _constellation_

#### The -ag suffix

    

    The **-ag** suffix is used on a noun base for augmentatives _"big ..."_:

**tom** _residence_
**tomag** _palace_

**mapil** _storm_
**mapilag** _tempest_

**mep** _road_
**mepag** _highway_

  


#### The -àg suffix

    

    The suffix **-àg** is used on a noun base for affectionate augmentatives _"big old..."_:

**tam** _house_
**tamàg** _big old house_

**cim** _chair_
**cimàg** _big old chair_

#### The -ág suffix

    

    The suffix **-ág** is used on a noun base for pejorative augmentatives _"big ugly..."_:

  


**apet** _horse_
**apetág** _nag_

**pem** _car_
**pemág** _jalopy_

**teb** _head_
**tebág** _blockhead_

**tob** _man_
**tobág** _brute_

**pot** _animal_
**potág** _beast_

**tòb** _woman_
**tòbág** _hag_

#### The -og suffix

    

    The suffix **-og** is used on a noun base for diminutives _"little..."_:

**tam** _house_
**tamog** _cottage_

**dén** _book_
**dénog** _booklet_

#### The -òg suffix

    

    The suffix **-òg** is used on a noun base for affectionate diminutives _"sweet little..."_:

**épet** _dog_
**épetòg** _doggie, pooch_

**tòb** _lady_
**tòbòg** _little old lady_

**tèbos** _kiss_
**tèbosòg** _peck_

#### The -óg suffix

    

    The suffix **-óg** on a noun base for pejorative diminutives _"dirty little..."_

**tebzan** _face_
**tebzanóg** _mug_

**tob** _man_
**tobóg** _wretched fellow_

#### The -in suffix

    

    The suffix **-in** is used on a word base for a philosophy or doctrine _-ism_:

**òtota** _godless_
**òtotin** _atheism_

**adoba** _republican_
**adobin** _republicanism_

**fob** _vegetable_
**fobin** _vegetarianism_

**ísfrana** _utilitarian_
**ísfranin** _utilitarianism_

## Adjective-forming derivational suffixes

### Summary

  


**suffix**
**meaning**
**base**
**derivative**

**-a**
_relating to_
**moj** _night_
**moja** _nocturnal_

**-aa**
past participle
**tuj-** _to die_
**tujaa** _dead_ (also: **tuja**)

**-ea**
present participle
**abdab-** _to dominate_
**abdabea** _dominant_

**-èna**
_like_
**tobob** _child_
**tobobèna** _childish_

**-èa**
_tending to_
**da-** _to talk_
**daèa** _talkative_

**-oa**
future participle
**tuj-** _to die_
**tujoa** _moribund_

**-wua**
_-able, -ible_
**tel-** _to eat_
**telwua** _edible_

**-àa**
_-ous, -y, -ful, having_
**maf** _cloud_
**mafàa** _cloudy_

**-òa**
_-less_
**maf** _cloud_
**mafòa** _cloudless_

**-ika**
_-ful, full of_
**nac** _money_
**nacika** _rich_

**-uka**
_-less, devoid of_
**nac** _money_
**nacuka** _poor_

  


Note: **-àa/-òa** is synonymous with **-ika/-uka**. The latter is a new addition to Unilingua author Agapoff's original grammar.

  


### Details

#### The -a suffix

  


    

    The ending **-a** is used to mean _having to do with, in the state of_. This is the most common way to form an adjective from a noun:

  


noun adjective

**tej** _life_
**teja** _vital_

**tuj** _death_
**tuja** _mortal, dead_

**moj** _night_
**moja** _nocturnal_

**tob** _man_
**toba** _human_

**yab** _up_
**yaba** _upper_

  


    In Agapoff's original work on Unlingua, the termination **a** was also used to form the past passive participle of verbs (**ota** = _unknown_). In this work, the proposed termination for past passive participle is **waa** or more simply, **wa** (ex: **otwa** = _unknown_). See [#Verbs](Print_version.html#Verbs) for more on this.

  


active infinitive passive past participle example

**ter** _to know_
**twa** _known_
**Ca twa ad meir ce yaza.** _It was known that the earth is flat._

**fiser** _to improve_
**fiswa** _improved_
**Fiswa nyun** _improved product_

**ifer** _to love_
**ifwa** _loved, beloved, dear_
**Ifwa ted...** _Dear Father..._

  


#### The -éna suffix

    

    The ending **-éna** on nouns is used to give the idea of _like, having the nature of_:

  


**tobob** _child_
**tobobéna** _childish, infantile_

**ted** _father_
**tedéna** _paternal, fatherly_

**bilíg** _cheese_
**bilígéna** _cheesy_

#### The -éa suffix

    

    The ending **-éa** is used on verb bases to mean _tending to_:

  


**tuser** _persuade_
**tuséa** _persuasive_

**oceser** _destroy_
**oceséa** _destructive_

**abdaber** _dominate_
**abdabéa** _dominating_

**daer** _talk_
**daéa** _talkative_

#### The -ea suffix

    

    The ending **-ea** is used on verb bases to form the present participle '**-ing_,_ -ant'**:

  


**tejer** _live_
**tejea** _living, alive_

**tujer** _die_
**tujea** _dying_

**abdaber** _dominate_
**abdabea** _dominant_

#### The -wua suffix

    

    The ending **-wua** is used on verb bases to mean _able to be ...ed_ '**-able'**:

  


**teler** _eat_
**telwua** _edible_

**teacer** _see_
**teacwua** _visible_

**tiler** _drink_
**tilwua** _potable_

#### The -àa suffix

    

    The ending **-àa** is used on noun bases to mean _full of, having, carrying..._ '**-ous_,_ -y'**. This comes from **-à**, meaning _with_. It is synonymous with **-ika** '**full'**, presented further on.

  


**meg** _rock_
**megàa** _rocky_

**miek** _sand_
**miekàa** _sandy_

**meb** _mountain_
**mebàa** _mountainous_

#### The -òa suffix

    

    The ending **-òa** is used on noun bases to mean _devoid of, without, un-...ed_. This comes from **-ò**, meaning _without_. It is synonymous with **-uka** '**empty'**, presented further on.

  


**taéb** _hair_
**taébòa** _hairless, bald_

**tec** _meaning_
**tecòa** _meaningless_

**toc** _feeling_
**tocòa** _numb_

#### The -ika suffix

    

    The ending **-ika** _full_ is used on noun bases to mean _full of_ '**-ful, -ous, -y'**. This suffix is synonymous with **-àa**.

  


**ilpaan** _wave_
**ilpaanika** _wavy_

**nas** _money_
**nasika** _rich_

**mil** _water_
**milika** _watery, aqueous_

**voz** _color_
**vozika** _colorful_

#### The -uka suffix

    

    The ending **-uka** _empty_ is used on noun bases to mean the _devoid of_ '**-less'**. This suffix is synonymous with **-òa** and the opposite of **-ika** and **-àa**.

  


**nas** _money_
**nasuka** _poor_

**voz** _color_
**vozuka** _colorless, bland_

**teuc** _taste_
**teucuka** _tasteless, insipid_

**nánut** _population_
**nánutuka** _unpopulated, deserted_

## Adverb-forming derivational suffixes

#### The -à suffix

    

    Change the adjectival ending **-a** to **-à** to form an adverb:

  


**yufa** _proud_
**yufà** _proudly_

**teacèa** _visible_
**teacèà** _visibly_

**uva** _sad_
**uvà** _sadly_

  


  *     * Use **-à** on noun bases to form an adverbial postpositional phrase mean _with..._:

  


**ìfcion** _grace_
**ìfcionà** _with grace_

**at** _me_
**atà** _with me_

**úf** _pride_
**úfà** _with pride_

#### The -ò suffix

    

    Use **-ò** on a noun to mean _without..._:

  


**nas** _cost_
**nasò** _cost-free_

**seuc** _noise_
**seucò** _noiselessly_

**et** _you_
**etò** _without you_

#### The -è suffix

    

    Use **-è** on a noun to mean _by, by way of, through, via..._:

  


**pam** _plane_
**pamè** _by plane_

**ìt** _her_
**ìtè** _by her_

**ésag** _hard work_
**ésagè** _through hard work_

**Paris** _Paris_
**Parisè** _via Paris_

## Verb-forming derivational suffixes

  


### Summary

  


ending meaning

**er**
infinitive

**cer**
intransitive stative verb infinitive ("to be/become")

**ser**
transitive dynamic verb infinitive ("to do/make")

**per**
intransitive verb of motion infinitive ("to go")

**ber**
transitive verb of gesture infinitive ("to put")

  


### Details

  


#### The -er suffix

  


    

    The suffix **er** is used on noun bases to form a verb infinitive.

  


**noun**
**verb**

**tej** _life_
**tejer** _to live_

**tuj** _death_
**tujer** _to die_

**túj** _sleep_
**tújer** _to sleep_

**ij** _beginning_
**ijer** _to begin_

**íj** _opening_
**íjer** _to open_

**tíj** _wakening_
**tíjer** _to waken_

**új** _closing_
**újer** _to close_

**tém** _residence_
**témer** _to reside_

**drén** _print_
**dréner** _to print_

  


#### The -cer and -ser suffixes

  


    

    The ending **-cer** _be/become_ is used to create _intransitive_ verbs from nouns and adjectives where the intransitive form contrasts significantly with the transitive form. If the adjective is a base, the **-a** ending is dropped unless 1) the resulting consonant combination would be difficult; or 2) the meaning is literal as opposed to metaphorical, in which case the dropped **-a** version is taken as metaphorical. For example, **aga** _big_ becomes either **agacer**, meaning literally _to become big_, or **agcer**, meaning metaphorically _to grow_, as in **Vab agce ga igà adjobu mamile.** _The grass grows faster when it rains._

  


    

    The ending **-ser** _do/make/act/cause_ is employed to form _transitive_ verbs. In a few cases like **teacer/teaser**, the opposition of **-cer** vs. **-ser** is semantic in nature. In these cases, **-ser** imparts a more dynamic meaning. In a few other cases, **-ser** is used to form the _causative_ form of a verb, meaning _to make/have/cause/let someone do something_.

  


**adjective**
**intransitive verb**
**transitive verb**

**aga** _big_
**agacer** _to get big_
**agaser** _to magnify_

**aga** _big_
**agcer** _to grow_
**agser** _to grow_

**ígza** _sour_
**ígzacer** _to grow sour_
**ígzaser** _to make sour_

**íva** _free_
**ívcer** _to go free_
**ívser** _to liberate_

**teab** _eye_
**teacer** _to see_
**teaser** _to look_

**man** _light_
**mancer** _to shine_
**manser** _to illuminate_

**ábta** _vertical, upright_
**ábtacer** _to stand up_
**ábtaser** _to erect_

**ázta** _incumbant, reclined_
**áztacer** _to lie down_
**áztaser** _to lay down_

**óbta** _sitting, settled_
**óbtacer** _to sit down, settle_
**óbtaser** _to set down_

  


#### The -per and -per suffixes

  


    

  * The ending **-per** is used for _intransitive_ verbs of motion (_going_).
  * The ending **-ber** is used for _transitive_ verbs of gesture (_putting_):

  


**base**
**intransitive verb**
**transitive verb**

**áb** _up_
**áper** _to rise_
**áber** _to raise_

**ón** _apart_
**ónper** _to go apart_
**ónber** _to separate_

**ob** _off_
**oper** _to get off_
**ober** _to take off_

**eb** _at_
**eper** _to stop_
**eber** _to stop_

**ika** _full_
**ikper** _to fill up_
**ikber** _to fill up_

  


## Forming numbers

  


### Cardinal numeric adjectives

  


    The _cardinal numeric adjectives_ 0-9 are formed from the ordinal vowels. The tens are formed with the extension consonant **l**, the hundreds with the consonant **c**, the thousands with **r**, the millions with **ml**, and the billions with **mr**.

  


    Numbers composed with **aro** (1,000), **amlo** (1,000,0000), and **amro** (1,000,000,000) retain the **o** and are spelled separately from the rest of the number with a space.

  


**number**
**numeral adjective**

0
**o** _zero_

1
**a** _one_

2
**e** _two_

3
**i** _three_

4
**u** _four_

5
**ó** _five_

6
**á** _six_

7
**é** _seven_

8
**í** _eight_

9
**ú** _nine_

10
**alo** _ten_

11
**ala** _eleven_

12
**ale** _twelve_

13
**ali** _thirteen_

14
**alu** _fourteen_

15
**aló** _fifteen_

20
**elo** _twenty_

21
**ela** _twenty-one_

22
**ele** _twenty-two_

30
**ilo** _thirty_

31
**ila** _thirty-one_

100
**aco** _one hundred_

101
**aca** _one hundred one_

123
**aceli** _one hundred twenty-three_

200
**eco** _two hundred_

1000
**aro** _one thousand_

1089
**aro ílú**

2348
**ero iculí**

10000
**aloro** _ten thousand_

12487
**aleru ílé**

1000000
**amlo** _one million_

6000000
**ámlo**

6058720
**ámlo ólíro écelo**

  


### Ordinal numeric adjectives

  


    The _ordinal numeric adjectives_ are formed by adding **-a** to the cardinal number:

  


cardinal ordinal

**a** _1_
**aa** _first_

**e** _2_
**ea** _second_

**i** _3_
**ia** _third_

**alo** _10_
**aloa** _tenth_

**aci** _103_
**acia** _one hundred third_ (_pron: a-CI-a)_

  


### Ordinal numeric substantives

  


    When ordinal numbers are used substantively, the letter **t** is appended for persons and the letter **c** for things:

  


English Mirad

The first shall be last.
**Aati co ujnati.**

The second in the series.
**Eec anána.**

  


### Collective numeric substantives

  


    Collective (or: multiplicative) substantives of the cardinal numbers are formed by adding **on**.

  


cardinal collective

**a** _one_
**aon** _single/whole/unit/solo_

**e** _two_
**eon** _double/couple/pair/duo/twosome_

**i** _three_
**ion** _triple/trio/threesome_

**u** _four_
**uon** _quadruple/foursome/quartet_

**ó** _five_
**óon** _quintuple_

**é** _seven_
**éon** _sevenfold_

**é** _seven_
**jubéon** _week_

**alo** _ten_
**alon** _tenfold_

**alo** _ten_
**jabalon** _decade_

**ale** _twelve_
**aleon** _dozen_

**aco** _hundred_
**acon** _hundredfold_

**aco** _hundred_
**aconè** _percent_

**aco** _hundred_
**jabacon** _century_

**aro** _thousand_
**aron** _thousandfold_

**aro** _thousand_
**aroni** _thousands_

  


### Collective numeric prefixes

  


    Prefixes having a collective (or: multiplicative) numeric meaning are expressed as:

  


cardinal collective example

**a** _one_
**an-** _single, mono-, uni_
**anzúc** _unicycle_

**e** _two_
**en-** _double, bi-, di-, duo-_
**enzúc** _bicycle_

**i** _three_
**in-** _triple, tri-_
**inzúc** _tricycle_

**u** _four_
**un-** _quadruple, quad-, tetra-_
**unkum** _tetrahedron_

**ó** _five_
**ón-** _quintuple, penta-_
**óngun** _pentagon_

**alo** _ten_
**alon-** _tenfold, deca-_
**alonjab** _decade_

**aco** _hundred_
**acon-** _hundredfold, hecato-, cent-_
**aconjab** _century_

**aro** _thousand_
**aron-** _thousandfold, kilo-_
**aronkín** _kiloliter_

  


### Fractional numeric substantives

  


    Fractional numeric substantives are formed by adding **on** to the corresponding fractional numeral. The **on** is dropped in prefixed forms of the fractions:

  


**cardinal**
**fraction**
**prefix**
**example**

**a** _one_
**àon** _unit, whole_
**à-** _holo-_
**àcin** _hologram_

**e** _two_
**èon** _half_
**è-** _semi-, demi-_
**ètot** _demigod_

**i** _three_
**ìon** _third_
**ì-** _terci-_
**ìgana** _terciform_

**u** _four_
**ùon** _quarter_
**ù-** _quatri-_
**ùser** _to quarter_

**alo** _ten_
**alòon** _tenth_
**alò-** _deci-_
**alòser** _to decimate_

**aco** _hundred_
**acòon** _hundredth_
**acò-** _centi-_
**acònog** _centrigrade_

**aro** _thousand_
**aròon** _thousandth_
**arò-** _milli-_
**aròkík** _milligram_

  


### Frequentative numeric adverbs

  


    Adverbs of frequency are formed with the root **jig**, meaning _frequency, rate_:

  


cardinal frequency

**o** _zero_
**ojigu** _never_

**a** _one_
**ajigu** _once_

**e** _two_
**ejigu** _twice_

**i** _three_
**ijigu** _thrice, three times_

**co** _hundred_
**acojigu** _a hundred times_

**od** _what_
**odjigu?** _how often, at what rate?_

**ge** _same_
**gejigu** _at the same rate, as often_

**ga** _more_
**gajigu** _more often_

**go** _less_
**gojigu** _less often_

**ud** _this_
**udjigu** _this often_

**id** _that_
**idjigu** _that often_

**gla** _much_
**glajigu** _very often_

**glo** _little_
**glojigu** _infrequently_

**glà** _rather_
**glàjigu** _rather often_

  


### Numeric adjectives of order or rank

  


    **nap** _order, rank_

  


cardinal order

**o** _zero_
**onapa** _zeroth_

**a** _one_
**anapa** _primary, first, original_

**e** _two_
**enapa** _secondary, second-ranking_

**i** _three_
**inapa** _tertiary, third-ranking_

**u** _four_
**unapa** _quaternary, fourth-ranking'_

**za** _front_
**zanapa** _front-ranking, ahead_

**zo** _back_
**zonapa** _behind, trailing_

**ja** _before_
**janapa** _former, foregoing_

**jo** _after_
**jonapa** _next, following_

**ij** _beginning_
**ijnapa** _first, original_

**uj** _end_
**ujnapa** _last, final_

**lo** _un-_
**lonapa** _random, unordered_

  


### Numeric adjectives of degree

  


    **nog** _degree, grade, stage_

  


cardinal degree

**a** _one_
**anoga** _primary_

**e** _two_
**enoga** _secondary_

**i** _three_
**inoga** _tertiary_

**u** _four_
**unoga** _quaternary_

  


### Numeric adjectives of base or bit

  


    Add **-na**:

  


cardinal base grouping

**o** _zero_
**ona** _zero-based_
**onet** _zero, null_

**a** _one_
**ana** _unary, only_
**anet** _unit_

**e** _two_
**ena** _binary_
**enet** _bit_

**i** _three_
**ina** _ternary_
 

**u** _four_
**una** _quaternary_
 

**ú** _eight_
**úna** _octal_
**únet** _octet, byte_

**alo** _ten_
**alona** _decimal_
 

**alé** _sixteen_
**aléna** _hexadecimal_
**alénet** _16-bit byte_

  


### Numeric prefixes

  


    If cardinal numeric morphemes are used as prefixes, **-n** is added, unless the base to which it is being attached already begins with that letter:

  


root numeric adjective

**kunid** _edge_
**enkunida** _double-edged_

**nid** _line_
**anida** _single-lined_

**nag** _dimension_
**enaga** _two-dimenesional_

**nég** _space_
**enéga** _double-spaced_

**tep** _mind_
**antepa** _single-minded_

**neg** _level_
**enega** _split-level_

**mep** _way_
**anmepa** _one-way_

**voz** _color_
**anvoza** _monochrome_

**can** _form_
**ancana** _uniform_

**tooc** _sex_
**entoocifa** _bisexual_

**tot** _god_
**antotina** _monotheistic_

**izan** _direction_
**enizana** _bidirectional_

  


### Numeric Expressions

  


#### Distance/size measurements (**zák** = _meter_)

  


    (**zág** is _width_, **ág** is _length_, **ag** is _size_, **íban** is _distance_, **ábag** _is height_, **óbag** _is depth_, **gán** is _girth_):

  


measurement example

**zák** _meter_
**It ca á záki íb.** _He was 5 meters away._

**arozák** _kilometer_
**Ce eli arozáki bú dom.** _It is 23 km. to (until) the city._

**aroyzák** _millimeter_
**Cizo alo aroyzáka nid.** _Draw a ten mm. line._

**acozák** _centimeter_
**Odgan acoyzáki ága ce?** _How many cm. long is it?_

  


#### Weight measurements (**kík** = _gram_)

  


    (**kín** is _weight_, **kíncer** is _to weigh_):

  


**measurement**
**example**

**kík** _gram_
**Odgan kíki id kínce?** _How many grams does that weigh?_

**arokík** _kilogram_
**At vage u arokíki vâba.** _I want five kg. of grain._

**aròkík** _milligram_
**Mez kínce e aròkíki.** _The crystal weighs two milligrams._

  


#### Volume measurements (**nék** = _liter_)

  


    (**néd** is _volume_):

  


**measurement**
**example**

**nék** _liter_
**Odganu néki it ébe?** _How many liters does it hold?_

**aronék** _kiloliter_
**At vage u aronéki vâba.** _I want five kilos of grain._

**arònék** _milliliter_
**Ézbo e arònéki mila.** _Insert two ml. of water._

  


#### Math expressions

  


    (**gaber** _to add_, **gober** _to substract_, **garer** _to multiply_, **gorer** _to divide_, **gecer** _to equal_):

  


**Mirad**
**English**

**A _gab_ a gece e.**
_One _plus_ one equals two._

**U _gob_ a gece i.**
_Four _minus_ 1 equals three._

**E _gar_ u gece ó.**
_Two _times_ four equals eight._

**Alo _gor_ e gece á.**
_Ten _divided by_ two equals five._

**E _veg_ e gece u.**
_Two _to the_ second _power_ equals four._

**E _nod_ u.**
_Two _point_ five (2.5)_

**U gab a èon** or **u a èonà**
_5 1/2_

  


#### Clock time expressions ( **jób** = _hour_)

  


    The international 24-hour clock is used.

  


**Mirad**
**English**

**Odjób ce?**
_What time is it? (lit: Which hour is [it]?)_

**Ce a jób.**
_It's one o'clock._

**Ce ali jób alá.**
_It's 1:15 PM._

**Ce i jób ilo.**
_It's 3:30 AM._

**Ce á jób gob alo.**
_It's ten 'til five. (lit: five hours minus ten)_

  


#### Calendar expressions

  


**Unilingua**
**English**

**Od ce uda jud?**
_What's today's date?'_

**Udjub ce alá jiub aroúcúli.**
_Today is 16 April 1993._

**Ted puo jo i jubi.**
_Father will arrive in two days._

**Nunam íjwe yada juebu.**
_The store opens on Mondays._

**Nunam íjwo zoa juebu.**
_The store opens on Monday (next)._

**Zajibu mamila gá ádjoba.**
_Last month it rained the most ever._

**Ju zajub!**
_Until tomorrow!_

**Gla dropeki swa je jabi aroúco.**
_There were many wars during the 1900s._

**Zoyejubánu juebu at so ivsej.**
_On monday of next week I will give a party._

  


#### Age expressions (**jag** = _age_)

  


**Mirad**
**English**

**Odjaga et ce?**
_How old are you?_

**At ce ele jaga.**
_I am 22 years old._

**At upta úlo jaga tob.**
_I met a 90-year-old man._

  


## Forming chemical element names

    To form words for chemical elements, use the following method: The first letter is the ordinal vowel for the number of electrons. The next letters are:

  


  * **m** for metals
  * **mc** for nonmetals
  * **al** for gases
  * **il** for liquids

  


electron count type Mirad English

47
metal
**ulém** _silver_

13
metal
**alim** _aluminum_

26
metal
**elám** _iron_

15
nonmetal
**elómc** _phosphorus_

6
nonmetal
**ámc** _carbon_

1
nonmetal gas
**amc** _hydrogen_

7
nonmetal gas
**émcal** _azote_

8
nonmetal gas
**ímcal** _oxygen_

80
metal liquid
**ílomil** _mercury_

## Codifyng new words based on mnemonics and analogy

    Sometimes a word or group of words can have a connection with the meaning of a derived word. Such words are formed from this derived word by changing the generic _final root_ consonant or sometimes other consonants of this word:

  


**teub** _mouth_
< **teb** _head_

**teud** _utterance_
**d** _say_

**teuz** _voice_
**z** precious/art,etc.

**deuz** _song_
**d** speak/write

  


**taéb** _hair_
**tab** human body

**faéb** _leaf_
**fab** tree

**vocaéb** _petal_
**voc** flower

**potaéb** _mane_
**pot** animal

**pataéb** _feather_
**pat** bird

**petaéb** _fur_
**pet** land animal

**upetaéb** _fleece_
**upet** sheep

**pitaéb** _fin_
**pit** fish

  


**taób** _skin_
**tab** human body

**taóf** _leather_
**nof** cloth

**faób** _bark_
**fab** tree

**fáób** _rind_
**fáb** fruit

**pitaób** _scales_
**pit** fish

**petaób** _hide, pelt_
**pet** animal

  


**cim** _chair_
**bimer** _to sit_

**cum** _bed_
**bumer** _to lie_

**cem** _table_
**bemer** _to sit down at the table_

  


**teacer** _to see_
**ceacer** _to appear_  
**beacer** _to keep watch_  
**neacer** _to target_  
**teaper** _to visit_  
**izeacer** _to show_  
**váleacer** _to check_  
**óneater** _to discern_  
**ágeacer** _to contemplate_  
**izeader** _to indicate_  
**abeacer** _to survey_  
**ijeacer** _to notice_  
**teader** _to witness_

## Forming new words with prefixation

    Prefixed elements (sometimes more than one) can be used to form new concepts related to the root word.

Here are examples where morphemes are joined to **der** _to say_:

**prefixed morpheme**
**derived concept**

**ja** _before_
**jader** _to predict_

**já** _early_
**jáder** _to warn_

**ja ve** _before maybe_
**javeder** _to guess_

**jo** _after_
**joder** _to reply_

**eg** _again_
**egder** _to repeat_

**oz** _weak_
**ozder** _to whisper/hint_

**az** _strong_
**azder** _to insist_

**óz** _out_
**ózder** _to express_

**zí** _all around_
**zíder** _to broadcast_

**uj** _end_
**ujder** _to conclude_

**ka-** _find_
**kader** _to reveal/admit/confess_

**ko-** _hide_
**koder** _to keep secret/deny_

**fi** _well_
**fider** _to eulogize/bless_

**fu** _poorly_
**fuder** _to curse/damn_

**fia** _good_
**fiader** _to praise_

**fua** _bad_
**fuader** _to malign_

**via** _beautiful_
**viader** _to compliment_

**vua** _ugly_
**vuader** _to malign_

**fri** _wonderful_
**frider** _to flatter_

**fru** _terrible_
**fruder** _to insult_

**evfia** _whether good_
**evfiader** _to critique_

**av** _for_
**avder** _to favor_

**ov** _against_
**ovder** _to object/oppose_

**ava** _favorable_
**avader** _to side with_

**ova** _opposed_
**ovader** _to contradict_

**av od** _for what_
**avoder** _to question_

**va veg** _yes can_
**vavegder** _to permit_

**vo veg** _no can_
**vovegder** _to prohibit_

**vo va** _no yes_
**vovader** _to contest_

**az ov** _strong against_
**azovder** _to protest_

**va** _yes_
**vader** _to affirm/decide_

**ve** _maybe_
**veder** _to speculate_

**vo** _no_
**voder** _to deny_

**fiva** _good yes_
**fivader** _to approve_

**o fi va** _not good yes_
**ofivader** _to disapprove_

**fu va** _bad yes_
**fuvader** _to condemn_

**az va** _strong yes_
**fivader** _to confirm_

**val** _certainty_
**valder** _to certify_

**vac** _assurance_
**vacder** _to assure_

**vag** _want_
**vagder** _to mean/express desire_

**ván** _truth_
**váder** _to swear_

**vón** _falsehood_
**vóder** _to lie_

**áva** _innocent_
**ávader** _to vindicate_

**óva** _guilty_
**óvader** _to indict_

**áva** _innocent_
**ávder** _to thank_

**óva** _guilty_
**óvder** _to blame_

**íva** _free_
**ívader** _to acquit_

**íva** _free_
**ívder** _to forgive_

**év** _judgement_
**évder** _to judge_

**éb** _between_
**ébder** _to discuss_

**ók** _surprise_
**ókder** _to improvisate_

**ág** _long_
**ágder** _to ramble_

**óg** _short_
**ógder** _to summarize_

**iva** _happy_
**ivader** _to thank_

**iva** _happy_
**ivder** _to congratulate_

**uva** _sad_
**uvder** _to complain_

**uva** _sad_
**uvader** _to apologize_

**jo uva** _after sad_
**jouvder** _to regret/mourn_

**ivcan** _merriment'_
**ivcder** to joke

**fu iva** _bad happy_
**fuivader** _to mock_

**ók** _surprise_
**ókder** _to improvisate_

**aj** _past_
**ajder** _to evoke_

**oj** _future_
**ojder** _to promise_

**naz** _value_
**nazder** _to evaluate_

**ók** _surprise_
**ókder** _to improvisate_

**dún** _name_
**dúnder** _to nominate_

**kua** _lateral_
**kuder** _to remark (aside)_

**kia** _sloped_
**kider** _to hint_

**dún** _name_
**dúnder** _to nominate_

**gra** _too much_
**grader** _to exaggerate_

**gro** _too little_
**groder** _to underplay_

**gan** _quantity_
**gander** _to quantify_

**teab** _eye_
**teader** _to testify_

**cin** _picture_
**cinder** _to describe_

**kóa** _fixed_
**kóder** _to insist_

**o** _not_
**oder** _to keep silent_

**kebi** _choice_
**kebider** _to vote_

**tata** _holy_
**tatader** _to bless/sanctify_

**fún** _fear_
**fúnder** _to express fear_

**vates** _belief_
**vatesder** _to affirm_

**vetes** _doubt_
**vetesder** _to question/doubt_

**vika** _admiration_
**vikader** _to express admiration_

**fíl** _courage_
**fílder** _to encourage_

**ofíl** _not courage_
**ofílder** _to discourage_

**ga** _more_
**gader** _to say more/go on_

**ge** _equal_
**geder** _to agree_

**oge** _not same_
**ogeder** _to disagree_

**ék** _risk_
**ékder** _to dare say_

**ég** _obligation_
**égder** _to be obliged to say_

**ek** _play_
**ekder** _to pretend_

**iz** _straight_
**izder** _to say frankly_

**uz** _crooked_
**uzder** _to beat around the bushes/equivocate_

## Forming new adjectival concepts with compounding

    New adjectival concepts can be readily formed by compounding a noun or other rootword with an existing root adjective:

**tep** _intellect_
**aza** _strong_
**tepaza** _smart_

**tep** _intellect_
**oza** _weak_
**tepoza** _dumb_

**vag** _will_
**aza** _strong_
**vagaza** _strong-willed_

**vag** _will_
**oza** _weak_
**vagoza** _weak-willed_

**vag** _will_
**ána** _together_
**vagána** _consensual_

**vag** _will_
**óna** _apart_
**vagóna** _non-consensual_

**veg** _possibility_
**aza** _strong_
**vegaza** _likely_

**veg** _possibility_
**oza** _weak_
**vegoza** _unlikely_

**tep** _intellect_
**kía** _heavy_
**tepkía** _serious_

**tep** _intellect_
**kúa** _light_
**tepkúa** _light-hearted_

**tep** _intellect_
**káa** _variable_
**tepkáa** _scatter-brained_

**tep** _intellect_
**kóa** _fixed_
**tepkóa** _attentive_

**tep** _intellect_
**záa** _wide_
**tepzáa** _fair-minded_

**tep** _intellect_
**zóa** _narrow_
**tepzóa** _narrow-minded_

**tep** _intellect_
**íja** _open_
**tepíja** _open-minded_

**tep** _intellect_
**úja** _closed_
**tepúja** _close-minded_

**tep** _intellect_
**iga** _fast_
**tepiga** _quick-witted_

**tep** _intellect_
**uga** _slow_
**tepuga** _retarded_

**tep** _intellect_
**ána** _together_
**tepána** _like-minded_

**tep** _intellect_
**óna** _apart_
**tepóna** _dissenting_

**top** _spirit_
**íga** _hard_
**topíga** _cruel_

**top** _spirit_
**úga** _soft_
**topúga** _leninent_

**top** _spirit_
**vaa** _positive_
**topvaa** _optimistic_

**top** _spirit_
**voa** _negative_
**topvoa** _pessimistic_

**top** _spirit_
**ába** _high_
**topába** _up-beat_

**top** _spirit_
**óba** _low_
**topóba** _down-beat_

**top** _spirit_
**iva** _happy_
**topiva** _jolly_

**top** _spirit_
**uva** _sad_
**topuva** _melancholy_

**nac** _money_
**ika** _full_
**nasika** _rich_

**nac** _money_
**uka** _empty_
**nasuka** _poor_

**áb** _up_
**ága** _long_
**ábága** _tall_

**ób** _down_
**ága** _long_
**óbága** _deep_

**áb** _up_
**óga** _short_
**ábóga** _short (vertically)_

**ób** _down_
**óga** _short_
**óbóga** _shallow_

**job** _time_
**ága** _long_
**jobága** _long (duration)_

**job** _time_
**óga** _short_
**jobóga** _short (duration)_

**mep** _way_
**iza** _straight_
**mepiza** _direct_

**mep** _way_
**uza** _crooked_
**mepuza** _convoluted_

**váb** _rule_
**aza** _strong_
**vábaza** _strict_

**váb** _rule_
**oza** _weak_
**váboza** _lax_

**dab** _government_
**ava** _for_
**dabava** _pro-government_

**dab** _government_
**ova** _against_
**dabova** _anti-government_

## Word Classifiers

    The following are common combinatory morphemes used to distinguish or classify entities. Many of them are abbreviated forms. If you were to produce a list of word rhyming with any of these morphemes, you would have a list of words that all fit within a similar taxonomic category. For example, all Unilingua words ending in **pyot** refer to wild animals. All those ending in **il** are liquids.

  


classifier
meaning

**am**
building

**em**
place

**im**
room

**ém**
container

**ut**
agent

**j**
time

**jig**
rate

**nog**
degree

**bén**
manner

**caun**
kind

**can**
shape

**gan**
quantity

**pat**
bird

**pet**
land animal

**pót**
wild animal

**pét**
reptile

**pelt**
insect

**peit**
amphibian

**piit**
crustacean

**pit**
fish

**fab**
tree

**fáb**
fruit

**vob**
plant

**vab**
grass

**vol**
vegetable

**voc**
flower

**voz**
color

**ar**
instrument

**par**
vehicle

**ir**
machine

**ur**
motor

**er**
verb

**ez**
gem

**tun**
science

**tut**
scientist

**il**
liquid

**el**
food

**él**
semi-solid

**ol**
solid

**of**
material

**uf**
cylinder

**án**
collective

**ber**
put

**per**
go

**cer**
be

**ser**
do

**un**
result

**en**
process

**an**
state

**on**
abstract thing

**in**
doctrine

**ub**
apendage

**eb**
head

**euz**
sound

**dren**
document

  


# Word Families

## Doing / making (**ser**)

**ser** _to do/act_
**seud** _agent_

  
**seem** _agency_  
**sen** _action_  
**aasen** _initiative_  
**seyn** _act_  
**seun** _business_  
**seunud** _businessman_  
**seon** _fact_  
**seoj** _case_  
**sej** _event_  
**sejet** _incident_  
**seb** _boss_  
**sem** _studio_  
**casem** _factory_  
**jeser** _continue_  
**ánser** _to cooperate_  
**gèser** _to copy_  
**jaser** _to prepare_  
**zòser** _to undo_  
**igser** _to hurry up_  
**ojser** _to plan_  
**egser** _to redo_  
**aanser** _to unify_  
**seser** _to have (sth) done_  
**sener** _to activate_  
**senan** _activity_  
**senen** _activation_

**aser** _to act_
**as** _action_

  
**asud** _actor_  
**alser** _to operate_  
**als** _operation_  
**alsud** _operator_  
**alsea** _operational_  
**arser** _to effectuate_

  


**saer** _to execute_
**saen** _execution_

  
**saud** _executor_  
**saena** _executive_  
**saler** _to accomplish_  
**sal** _accomplishment_

  


**iser** _to have an effect_
**is** _effect_

  
**ois** _zero effect_  
**ujis** _purpose_

  


**user** _to cause_
**us** _cause_

  
**usa** _causal_  
**ùser** _to motivate_  
**ùs** _motive_  
**ùsen** _motivation_  
**ùsea** _motivating_  
**ùsena** _motivational_  
**ulser** _to influence_  
**uls** _influence_  
**ulseá** _influential_  
**us và is** _cause and effect_

**eser** _to function_
**es** _function_

  
**esea** _functioning_  
**esena** _functional_  
**esud** _functionary_  
**esem** _office_

**éser** _to work_
**ésem** _worksite_

  
**éset** _job_  
**éser** _to work_  
**ésud** _worker_  
**éstut** _engineer_  
**ésán** _handiwork_  
**éscén** _process_  
**ésnic** _salary_  
**ésnicud** _salaried emploée_  
**ésep** _strike_  
**ésepud** _striker_  
**oyés** _unemployment_  
**oyésud** _jobless person_  
**oésea** _lazy_  
**ésjub** _workday_  
**oésjub** _holiday_  
**ánés** _collaboration_  
**ánésa** _collaborative_  
**ánésud** _collaborator_

**sier** _to result_
**siun** _result_  
**osiun** _lack of result_

**suer** _to occasion_
**suler** _to provoke_

  
**sul** _provocation_  
**suleá** _provocative_  
**sulud** _provocateur_

**seer** _to behave_
**seen** _behavior_

  
**seena** _behavioral_  
**seler** _to conduct oneself_  
**séer** _to busy onself_  
**séler** _to practice_  
**séner** _to profess_

**íser** _to use_
**ís** _use_

  
**ísud** _user_  
**írser** _to exploit_  
**írs** _exploitation_  
**írseá** _exploitative_  
**fiíser** _to put to good use_  
**fuíser** _to misuse_

**úser** _to serve_
**ús** _service_

  
**úsud** _server_  
**fiúser** _to benefit_  
**fuúser** _to serve poorly_  
**úrser** _to be a slave to_  
**úrs** _slavery_  
**úrsud** _slave_

## Being/becoming (**cer**)

**cer** _to be_
**cat** _creature_, **cyd** _subject_

**acer** _to become_
 

**ocer** _to be nonexistent_
**ocun** _nothing_, **ocuner** _to annihilate_

**icer** _come about, happen_
**ic** _event_, **ijicer** _to originate_, **ujicer** _to end up_, **ujic** _fate, destiny_, **fuic** _misfortune_

**ucer** _to make, create, cause_
**ucud** _creator_, **ucun** _a creation_, **ucunán** _(all of) creation, **uceá**_ creative

**ecer** _to exist_
**ece** _there is/are_, **ecea** _available_, **ecen** _existence_, **oecea** _nonexistent_

**àcer** _to have, own, possess_
**àcun** _possession_, **àcud** (owner), **àca** _own_, **utàc** _property_, **àser** _to make available_

**òcer** _to lack, need_
**òc** _gap_, **òcea** _lacking_, **òser** _to deprive_, **òcler** _to need_, **òcleá** _necessary_

**can** _form, shape_
**caner** _to form_, **canòa** _shapeless_, **fucana** _malformed_, **canen** _formation_, **ózcan** _aspect_, **ficaner** _to reform_, **kácaner** _to transform_, **canáner** _to compose_, **áncaner** _to constitute_, **candrener** _to formulate_

**caun** _type,kind_
**aacaun** _prototype_, **vicaun** _model_, **vácaun** _original_, **utcaun** _example_, **ajcaun** _precedent_

**caser** _to fabricate_
**casem** _factory_

**ceser** _to build_
**cesen** _construction_, **cesud** _builder_, **cesem** _building site_, **oceser** _to destrò_, **ocesen** _destruction_, **oceseá** _destructive_

**cun** _thing (concrete)_
**cunán** _reality_, **ocuner** _to anihilate_

**acun** _element_
**acana** _elemental_, **acunéna** _elementary_

**con** _matter (abstract)_
**gícon** _problem_, **kocon** _secret, **kacon**_ revelation_, **kécon**_ case_, **égcon**_ crisis

**cin** _picture_
**tecin** _figure_, **cìn** _mark_, **zocìn** _trace_, **utcìn** _character_, **pencìn** _track_, **ciun** _sign_, **siunet** _signal_, **mancin** _photograph_, **mancinar** _camera_

**cén** _fashion_
**utcén** _genre_, **secén** _procedure_

**cún** _object_
**cúnet** _article_, **cúfi** _effects_

## Putting (**ber**)

 

 
**ber** _to put_
 

 
**bler** _to carry_
**brer** _to haul_

**aber** _to put on_
**eber** _to stop_
**ober** _to take off_

**áber** _to raise_
**éber** _to contain_
**óber** _to lower_

**baer** _to lean on_
**beer** _to hold_
**boer** _to hold up_

**barer** _to press (down on)_
**beler** _to keep_
**boler** _to support (from below)_

**báer** _to lift_
**béer** _to block_
**bóer** _to hang_

**báler** _to rouse_
**béler** _to hold back, retain/conserve'_
**bóler** _to suspend_

**álber** _to elevate_
**élber** _to hold steady_
**ólber** _to lower_

 
**ézber** _to insert_
**ózber** _to extract_

 
**ézbler** _to carry in_
**ózbler** _to carry out_

**obaer** _to relieve_
**obeer** _to release, let go_
**oboer** _to drop_

**obaler** _to relax_
**obeler** _to abandon_
**oboler** _to shirk_

 
**obéer** _to yield_
 

 
 
**obóer** _to depend_

**úzbaer** _to squeeze_
**úzbeer** _to embrace_
**úzboer** _to smash_

**úzbaler** _to pinch_
 
 

**obéer** _to release_

**iber** _to receive_
 
**uber** _to send_

**bier** _to take_
 
**buer** _to give_

**íber** _to take away_
 
**úber** _to bring near_

**zíber** _to diffuse_
**zeyber** _to transpose_
 

**zíbler** _to carry around_
**zèbler** _to carry across, transport_
 

**biner** _to pull_
**bener** _to hold_
**buner** _to push_

**ézbiner** _to draw in_
**ézbener** _to hold in_
**ézbuner** _to push in_

**úbiner** _to attract_
**úbener** _to hold near_
**íbuner** _to repel_

**ózbiner** _to extract_
**ózbener** _to hold out_
**ózbuner** _to expel_

**ábiner** _to pull up_
**ábener** _to hold high_
**ábuner** _to push up_

**ónbiner** _to yank apart_
**ónbener** _to hold apart_
**ónbuner** _to shove apart_

**ánbiner** _to attract_
**ánbener** _to adhere_
**ánbuner** _to combine_ C

**vabier** _to accept_
 
**vabuer** _to volunteer_;

**zébirer** _to yank through_
 
**zéburer** _to stab (shove through)_

**kebier** _to choose_
 
**kebuer** _to disperse_

**vobier** _to refuse_
 
**vobuer** _to deny_

**embier** _to occupy_
 
**embuer** _to give way_

**gorcbier** _to take part_
 
**gorcbuer** _to give out shares_

**pitbier** _to fish_
 
 

**jobier** _to borrow_
 
**jobuer** _to lend_

**émbier** _to replace_
 
**émbuer** _to resign_

**ánabier** _to collect_
 
**ónabuer** _to scatter_

 
 
**buér** _to remit_

 
 
**buler** _to accord_

 
 
**bùler** _to attribute_

 
 
**bùrer** _to concede_

**zòbier** _to take back_
 
**zòbuer** _to give back_

**ifbier** _to welcome_
 
**ifbuer** _to offer_

 
 
**vegbuer** _to delegate_

 
 
**ifbuler** _to consacrate_

 
 
**ifbùler** _to dedicate_

 
 
**ifburer** _to sacrifice_

**nucbier** _to bù_
 
**nicbuer** _to sell_

**nacbiler** _to expend_
 
**nacbuler** _to allocate_

 
 
**ifburer** _to sacrifice_

 
 
**bluér** _to confer_

 
 
**zíbuer** _to distribute_

**obier** _to relinquish_
 
**obuer** _to deprive_

**bin** _receipts_
 
**bun** _donation_

 
 
**ivbun** _gift_

**baner** _to gesticulate_
 
**boner** _be calm_

**baaner** _to shake_
 
**booner** _to be still_

**banler** _to shake_
 

**bànler** _to shudder_
 
 

**baneter** _to rock_
**baaneter** _to vibrate_
 

**abaner** _to caress_
 
 

**albaner** _to wipe_
 
 

**ovbaner** _to resist_
 
 

 
 
**bos** _quiet_

 
 
**obos** _trouble_

 
 
**bòs** _quiet_

 
 
**obòs** _worry_

 
 
**óbos** _care_

 
 
**óbós** _anxiety_

 
**bén** _manner_

 
 
**búer** _to reach (out to)_

 
 
**búner** _to touch_

 
 
**brúner** _to contact_

 
**bemer** _to maintain_
 

## Going (**per**)

 
**per** _to go_
 

**aper** _to get on_
**eper** _to stop_
**oper** _to get off_

**paer** _to stand_
**peer** _to stay_
**poer** _to hang_

**áper** _to get up_
**éper** _to intervene_
**óper** _to get down_

**álper** _to rise/ascend_
**élper** _to block_
**ólper** _to sink'/descend'_

**âlper** _to climb up_
**ôlper** _to bow_

**árper** _to soar_
 
**órper** _to tumble_

**áprer** _to scamper up_
**...** _..._
**óprer** _to collapse_

**páer** _to jump_
**péer** _to stand still_
**póer** _to drop_

**páner** _to leap_
**péner** _to seize_
**póner** _to dive_

**párer** _to shoot up_
**pénuer** _to attack_
**pórer** _to plummit_

**iper** _go (away)_
 
**uper** _to come_

**emiper** _to emigrate_
 
**emuper** _to immigrate_

**igiper** _to flee_
**igeper** _to stop suddenly_
**iguper** _to rush (toward)_

**jauper** _to come before, precede_
 
**jouper** _to come after, succeed_

**aíper** _to off with/take along_
 
**aúper** _to come along with/bring along_

 
 
**zoâuper** _to pick up (and bring back)_

**zoíper** _to go back_
 
**zoúper** _to return (come back)_

**íper** _to go away_
 
**úper** _to approach_

**ílper** _to escape_
 
**úlper** _to come home_

**íbemper** _to go in exile_
**...** _..._
**...** _..._

**pier** _to depart_
 
**puer** _to arrive_

**jopier** _to get a headstart_
 
**jopuer** _to arrive ahead of/beat_

**igpier** _to flee_
 
 

**piler** _to quit_
 
 

**cper** _to carry_
 
 

**ézcper** _to import_
**zècper** _to transport_
**ózcper** _to export_

**zòciper** _to take back_
**zícper** _to propagate_
**zòcuper** _to bring back_

**zàper** _to advance_
**zèper** _to cross_
**zòper** _to retreat_

**ánper** _to go together_
 
**ónper** _to separate_

**izper** _to head (straight)_
 
**uzper** _to veer, turn_

**zíper** _to tour_
 
**zúper** _to rotate_

**japer** _to precede_
**jeper** _to go along_
**joper** _to follow_

**zaper** _to go in front_
**zeper** _to go in the middle_
**zoper** _to go in back_

**ézper** _to enter_
**zéper** _to go through_
**ózper** _to exit_

**igper** _to run_
**zoigper** to chase after
**ugper** _to amble_

**ízper** _to pass up_
**uzper** _to curve_
**úzper** _to go around_

**kiper** _to limp_
**képer** _to stagger_
**kuper** _to avoid, sidestep_

**egézper** _to reinter_
**azézper** _to invade_
**egózper** _to reemerge_

**ifper** _to stroll_
**ifpoper** _to tour_
**ifpiper** _to cruise_

 
**zéper** _to penetrate_
 

**poper** _to travel_
**képoper** _to shuttle back and forth_
**zípoper** _to travel around_

**papier** _to take off (flying)_
**paper** _to fly_
**papuer** _to land_

**pepier** _to ride off_
**peper** _to ride_
**pepuer** _to park_

**pipier** _to set sail_
**piper** _to sail_
**pipuer** _to dock_

**tôaper** _to walk, step_
**tuáper** _to crawl_
**tôuper** _to tiptoe_

**pan** _motion_
**pen** _seizure_
**pon** _rest_

**paz** _dance_
 
 

**paner** _to move_
**pener** _to seize_
**poner** _to rest_

**pazer** _to dance_
 
 

**opaner** _to freeze_
**opener** _to release_
**oponer** _to stir_

**paaner** _to shake_
**peener** _to catch_
**pooner** _to stay_

**apaner** _to massage_
**paaneter** _to vibrate_
 

**alpaner** _to rub_
 
 

**ópaner** _to reverse_
 
 

**kipaner** _to stumble_
 
**kupaner** _to slide_

**ónpaner** _to break_
 
 

**papaner** _to soar_
**pepaner** _to skate_
**pipaner** _to swim_

**ovpaner** _to block_
 
 

**paneter** _to balance_
 
 

**puner** _to throw_
**punrer** _to hurl_
**pùner** _to launch_

**púner** _to bump into_
 
 

**prúner** _to crash into_
 
 

**apéner** _to hit_
**apéneter** _to batter_
 

**apêner** _to tap_
 
 

**apénler** _to beat_
 
 

**ópéner** _to knock down_
 
 

**ónpéner** _to break_
 
 

**ónpêner** _to crack_
 
 

**ónpléner** _to smash'_
 
 

**ónpléner** _to burst_
 
 

**ónpréner** _to explode_
 
 

**pénuer** _to attack_
**ovpénuer** _to counter-attack_
**opénuer** _to defend_

**páner** _to leap (up)_
**péner** _to lunge_
**póner** _to dive_

**ézpáner** _to jump in_
**zépáner** _to jump through_
**ózpáner** _to jump out_

**zàpáner** _to leap forward_
**zèpáner** _to leap across_
**zòpáner** _to leap backward_

**pénarer** _to whip_
**páneter** _to skip_
**peneter** _to step_

 
**pòn** _respite_
**pos** _peace_

## Saying/talking (der, daer)

**dier** _to ask_
**der** _to say_
**duer** _to propose_

**updier** _to invite_
**ebdier** _to discuss_
 

**dider** _to question_
**doder** _to be silent_
**duder** _to answer_

**vader** _to affirm_
**veder** _to quibble_
**voder** _to deny_

**váder** _to swear_
 
**vóder** _to lie_

**ávder** _to excuse_
**évder** _to judge_
**óvder** _to accuse_

**fivader** _to approve_
 
**fuvader** _to condemn_

**fider** _to praise_
 
**fuder** _to curse_

**avder** _to advocate_
 
**ovder** _to oppose_

**frider** _to glorify_
 
**fruder** _to blaspheme_

 
 
**fúder** _to offend_

 
 
**flúder** _to insult_

 
 
**frúder** _to outrage_

 
 
**ufúder** _to threaten_

 
 
**fuébder** _to dispute_

**azder** _to shout_
**egder** _to repeat_
**ozder** _to whisper_

**jader** _to predict_
**jeder** _to narrate_
**joder** _to recount_

**ivder** _to thank_
 
**uvder** _to complain_

**ijder** _to introduce_
 
**ujder** _to conclude_

**fiader** _to recommend_
 
**fuader** _to criticize_

**ajder** _to evoke_
 
**ojder** _to promise_

**tider** _to understand_
 
**tuder** _to explain_

**ágder** _to elaborate_
 
**ógder** _to summarize_

**diler** _to beseech_
**deler** _to announce_
**duler** _to submit_

**direr** _to require_
**dèler** _to declare_
 

**daer** _to speak_

**ágdaer** _to ramble_

**ébdaer** _to converse_
**fuébdaer** _to quarrel_

**dad** _language_
**daun** _speech_
**dod** _silence_

**din** _history_
**dìn** _story_
**diin** _recitation_

**dún** _name_
**zadún** _first name_
**abdún** _last name_

**dun** _word_
**dlun** _phrase_
**drun** _sentence_

## Writing/reading (drer, déder)

**drer** _to write_
**védrer** _to correspond_, **dúndrer** _to sign_, **abdrer** _to inscribe_, **gèdrer** _to copy_, **ézdrer** _to register_, **zèdrer** _to transcribe_, **tuúdrer** _to type_, **tuúdra** _typewritten_, **tuúdrud** _typist_, **cindrer** _to draw_, **drecìn** _letter (of the alphabet)_, **dresìna** _literal_, **drecìnán** _alphabet_, **drecìnána** _alphabetical_ **drecìnánser** _to alphabetize_, **dra** written, **odra** _unwritten_

**droer** _to erase_
**droun** _erasure_, **droar** _eraser_

**dren** _script_
, **dreud** _writer_, **drenet** _article_, **drenetán** _series of articles_, **ébdren** _letter_, **ébdrenán** _mail_, **tuádren** _manuscript_, **jadren** _preface_, **jodren** _postscript_, **dedren** _prose_, **candren** _formula_, **vádren** _spelling_, **védren** _correspondence_, **vidrenán** _literature (belles lettres)_, **drenán** _scripture_, **dreden** _report_, **cunándren** _program_

**drèn** _text_
**drèna** _textual_, **óbdrèn** _subtext_, **zúdrèn** _context_, **zúdrèna** _contextual_

**déder** _to read_
**dédud** _reader_, **dédudán** _readership_, **zídéder** _to scan_, **déd** _lecture_, **dédim** _lecture hall_, **dédar** _scanner_

**dén** _book_
**dénám** _book collection_, **dénánam** _library_, **dénunam** _bookstore_, **déngorc** _chapter_, **dénifud** _bookworm_, **dénabkum** _bookcover_, **dénembelar** _bookmark_, **déndúnán** _bibliography_, **dénet** _booklet_, **dindén** _storybook, novel_, **tiundén** _textbook_

**dreun** _document, file_
**dreunán** _dossier, documentation_, **dreuner** _to document, file_

'

**drec** _note_
**drecer** _to note_, **dodrec** _bulletin_

**drecin** _drawing, design_
**dreciner** _to draw_, **drecinud** _designer_, **drecinam** _design studio_

**drez** _poem_
**drezán** _poetry_, **drezet** _verse_, **drezut** _poet_, **drezéna** _poetic_

**dreván** _grammar_
**drevána** _grammatical_, **drevánut** _grammarian_

**dréner** _to print_
**drén** _print_, **drénar** _printer_, **drénam** _printshop_, **jubdrén** _newspaper_, **jubdrénán** _the press_, **jubdrénud** _journalist_, **jobdrén** _magazine_, **cindrén** _illustration_, **zídrén** _poster_, **zídrénet** _prospectus_, **drénet** _ticket_, **ózdréner** _to publish_, **ózdrénam** _publishing house_, **dréncìn** _type, character (of a font)_, **dréncìnán** _font_, **dréncìnánam** _foundry_

**drar** _pen_
**drear** _pencil_, **dril** _ink_

**dof** _cardboard_
 

**daf** _card_
**mircindaf** _map_, **ekdaf** _playing card_, **ébdrendaf** _postcard_, **dafán** _stack of cards_

**def** _paper_
**defán** _stationary_, **defánam** _stationary shop_, **defet** _scrap of paper_, **defcasam** _paper mill_

**dáf** _notebook_
**dáfet** _book (of tickets, etc.)_, **agdáf** _register_

**dúf** _sheet (of paper)_
**dúfbuar** _sheetfeeder_

**dúv** _page_
**dúván** _ream of paper_, **mirmepán dúv** _web page_, **zàdúvper** _to page forward_

## Society (dot)

**dot** _society_
**dota** _societal_, **dotcer** _to socialize (intr.)_  
**dotin** _socialism_, **dotinat** _socialist_  
**odota** _savage, barbaric_, **odotan** _savagery, barbarism_, **odotat** _savage, barbarian_  
**dotús** _social welfare_  
**dotvàcan** _social security_  
**dotbén** _custom, more (n.)_  
**dotbéna** _customary_

  
**ajdotbén** _tradition_  
**ajdotbéna** _traditional_  
**dotcén** _civilization_, **dotcéner** _to civilize_

**dat** _friend_
**data** _friendly_, **datcer** _to befriend_, **datan** _friendship_  
**dàt** _girlfriend_  
**daat** _buddy_, **daater** _to buddy around_, **daatan** _buddyship_  
**ifdat** _sweetheart_, **ifdatan** _romance_, **ifdata** _romantic_  
**odat** _enemy_, **odata** _inimical_, **ovdata** _hostile_, **ovdatan** _hostility_  
**datibut** _host_, **dàtibut** _hostess_, **datibéa** _hospitable_, **datibéan** _hospitality_  
**datupud** _guest, visitor_, **datupudim** _guestroom_, **datupudem** _reception area_, **datuper** _to be a guest, to visit_, **datup'** _visit_

**det** _comrade, companion, associate_
**detan** _comraderie, association_, **detcer** _to associate_  
**àdet** _companion_, **àdetan** _company_

**dit** _citizen_
**dita** _civil_, **ditan** _citizenship_, **ditán** _citizenry_  
**ditbén** _civility_  
**doita** _civic_

**dut** _sir, Mr._
**dùt** _madam, Mrs._, **dután** _messieurs_  
**dutet** _master, lad_  
**dùtet** _miss, mademoiselle, young lady_  
**duut** _sire_  
**ditús** _civil service_

**dout** _bourgeois_
**douta** _bourgeois (adj.), **doutan**_ bourgeoisie_, **doután**_ bourgeoisie (coll.)

**aut** _person_
**auta** _personal_  
**autbén** _personality_  
**agaut** _personnage, v.i.p._  
**aután** _group_, **autána** _collective_  
**autgran** _crowd_, **autgrana** _crowded_, **autgrancer** _to form a crowd_

**aut** _individual_
**auta** _individual_, **autan** _individuality_  
**anuta** _private_, **anutan** _privacy_  
**aután** _group_

**áud** _commune_
**áuda** _communal_, **áudan** _community_, **áudana** _comunity-related_  
**áudin** _communism_, **áudinat** _communist_

**áut** _collective_
**áuta** _collective_  
**áutan** _collectivity_  
**áutser** _to collectivize_, **áutin** _collectivism_, **áutinat** _collectivist_

**át** _everyone_
**áta** _everyone's_

**tán** _people_
**tána** _popular_, **tánikcer** _to populate_, **tánikca** _populated_, **tánika** _populous_, **tánukser** _todepopulate_, also: **tánòser** _to depopulate_, **tánuka** _unpopulated, deserted_  
**táncág** _population_, **táncágtut** _demographics_  
**tân** _populace_  
**tánin** _populism_, **táninat** _populist_  
**tánifa** _popular_, **tánifan** _popularity_, **tánifser** _to popularize_, **otánifa** _unpopular_  
**tánbén** _custom_, **tánbéna** _customary_

## State (dob)

**realm**
**chief**
**female counterpart**

**dob** _state_
**deb** _leader_
 

**adob** _empire_
**adeb** _emperor_
**adèb** _empress_

**edob** _kingdom_
**edeb** _king, monorach_
**edèb** _queen_

**idob** _principality_
**ideb** _prince_
**idèb** _princess_

**udob** _marquisate_
**ideb** _marquis_
**idèb** _marquise_

**ódob** _earldom_
**ódeb** _count_
**ódèb** _countess_

**ádob** _barony_
**ádeb** _baron_
**ádèb** _baroness_

**édob** _duchy_
**édeb** _duke_
**édèb** _duchess_

**ídob** _domain_
**ídeb** _lord_
**ídèb** _lordess_

**údob** _tribe_
**údeb** _tribal chief_
 

**tándob** _republic_
**tándeb** _president (of the republic)_
 

### Government (dab)

**dab** _government_
**daber** _to govern_  
**dabdren** _ordnance_  
**daba** _government_  
**dabzem** _government center, capital_  
**andab** _autocracy_  
**nacdab** _plutocracy_  
**abdaber** _to dominate_, **abdabin** _imperialism_, **dabovper** _to revolt_, **dabovpen** _revolution_  
**dabtun** _politics_, **dabtut** _politician_, **dabtuna** _political_

**daab** _administration_
**daaber** _to administer_  
**daaba** _administrative_

**deb** _chief, leader_
**deber** _to lead, command_  
**andeb** _dictator, autocrat_  
**deban** _leadership_  
**debán** _leadership (coll.)_  
**debveg** _authority_, **debvegdren** _authorization_  
**debòser** _to depose_  
**debovper** _to rebel_, **debovpud** _rebel_, **debovpen** _rebellion_, **vodebder** _to prohibit_, **vodebden** _prohibition_, **debden** _order_

**doob** _nation_
**dooba** _national_  
**dooban** _nationality_  
**doof** _flag_, **doobdeuz** _national anthem_

**dub** _minister_
**duba** _ministerial_, **dubam** _ministry_  
**ózdub** _ambassador_, **ózdubam** _embassy_  
**ózdubet** _consul_, **ózdubetam** _consulate'_

**dek** _combat_
**deker** _to combat_  
**dekpan** _fight_, **dekpaner** _to fight_, **dekpanud** _fighter_  
**dopek** _battle_, **dopekem** _battlefield_  
**dropek** _war_, **dropeker** _to wage war_, **dropekud** _warrior_, **dropekéna** _bellicose_

**damem** _metropolis_
**damema** _metropolitan_  
**obdamam** _colony_, **obdamemser** _to colonize_, **obdamemsud** _colonialist_

**domem** _territory_
**domeam** _province/state_, **domeameb** _governor_  
**domeem** _department (eg. of France)_, **domeemeb** _prefect_  
**domeim** _canton_  
**domeum** _commune_

**dom** _city_
**doma** _urban_, **domaser** _to urbanize_  
**dombén** _polity_  
**úzdom** _suburb_, **domag** _metropolis_  
**debdom** _capital_, **midom** _port_, **domgon** _district_, **domgob** _quarter_, **domeb** _mayor_, **domam** _mayor's office_, **domab** _municipality_, **domaba** _municipal_  
**dòm** _town_  
**doam** _borough_  
**doem** _village_  
**doim** _hamlet_  
**domcin** _cityscape_

**domep** _boulevard_
**domèp** _avenue_  
**domeap** _street_  
**domeep** _lane_  
**mepet** _alley_  
**gacmep** _intersection_  
**omep** _impasse, cul-de-sac, deadend_  
**ábmep** _highway_  
**igmep** _expressway_  
**abzèmep** _bridge, overpass_  
**obzèmep** _underpass_  
**zémep** _tunnel_  
**ízmep** _bypass, detour_  
**úzmep** _beltway_  
**ébdoma mep** _interstate highway (lit: intercity road)_

**domém** _square_
**domzúm** _circle_

## Knowing (**ter**)

**tier** _to study_  
**tiud** _student_  
**titam** _school_  
**atitam** _elementary school_  
**etitam** _high school_  
**ititam** _college_  
**tin** _doctrine, -ism_
**ter** _to know_  
**oter** _to ignore_  
**keter** _to be curious_  
**jàter** _to guess_  
**egter** _to recognize_  
**vater** _to believe_  
**veter** _to wonder_  
**voter** _to doubt_  
**ten** _knowledge, information_
**tuer** _to teach_  
**tuud** _teacher_  
**tutam** _institute_  
**tutamán** _university_  
**tut** _expert, scholar, scientist_  
**tun** _science, -ology_

**ticer** _to learn_  
**ticun** _lesson_
**tecer** _to perceive, sense_  
**tecun** _data_
**tucer** _to instruct_  
**tucun** _instruction_

**tiser** _to agree_
**teser** _to think_  
**tújteser** _to dream_  
**ijtes** _idea_  
**jotes** _afterthought_
**tuser** _to convince_

**akteser** _to remember_
 
**okteser** _to forget_

**vateser** _to assume_
**veteser** _to suppose_
**voteser** _to discount_

**váteser** _to believe_
**véteser** _to wonder, weigh_
**vóteser** _to doubt_

**ánteser** _to agree_
 
**ónteser** _to disagree_

**avteser** _to favor_
**evteser** _to quibble_
**ovteser** _to oppose_

**fiteser** _to thank_
 
**futeser** _to regret_

**jàteser** _to plan_
 
**jòteser** _to reflect_

**kateser** _to recall_
**keteser** _to search one's memory_
**koteser** _to forget (deliberately)_

**keter** _to be interested_
**keten** _curiosity_, **ketea** _curious_, **ketenàa** _interesting_, **ketenukser** _to interest_, **oketer** _to be uninterested_

 
**tújteser** _to dream_
 

**tep** _mind_
**tepa** _mental_
**tepén** _attitude_,**aztepa** _intelligent_, **vátepa** _wise_, **tepbén** _method_, **tepbéna** _methodical_, **otepa** _imbecile_

**tèp** _spirit_
**tèpa** _spiritual_
**agtep** _genie_

**tez** _culture_
**teza** _cultural_
**óbtez** _subculture_, **tezser** _to cultivate_

**tén** _industry_
**téna** _industrial_
**joténa** _post-industrial_,**téntun** _technique_, **téntuna** _technical_

**tun** _science_
**tuna** _scientific_
**tut** _scholar_

**tin** _doctrine_
**tina** _doctrinal_
**tinéna** _doctrinaire_

**tún** _idea_
**túna** _ideal_
**túncer** _conceive of_, **túnca** _conceptual_, **túnán** _ideology_, **túnánud** _ideolog_

**tekóer** _to pay attention_
**tekóa** _attentive_
**otekóa** _inattentive_

  


## Family (tod)

**tod** _family_
**toda** _familial_  
**tòd** _home_, **tòda** _domestic_  
**todana** _familiar_

**tad** _spouse, husband_
**tàd** _wife_  
**tadán** _household_  
**tadcer** _to get married_, **tadca** _married_, **tadcen** _marriage_, **tada** _marital_  
**otadca** _unmarried_, **otadcat** _bachelor_  
**tadòcat** _widower_, **tadòcàt** _widower_, **tadóncer**  
_to divorce_, **tadóncat** _divorcee_, **tadónc** _divorce_  
**tadán** _husband and wife team_, **jatad** _fiance_, **jatàd** _fiancee_  
**tadceat** _groom_, **tàdceat** _bride_, **tàdceata** _bridal_  
**tadet** _brother_, **tadeta** _fraternal_, **tadetan** _fraternity_, **tadetán** _fraternity (group)_, **tàdetán** _sorority_  
**tàdet** _sister_  
**taodet** _brother-in-law_  
**taódet** _sister-in-law_

**ted** _parent, father_
**teda** _parental, paternal_  
**tèd** _mother_, **tèda** _maternal_  
**teda**  
**tedòa** _orphaned_, **tedòat** _orphan_, **tedòan** _orphanhood_, **tedòcer** _to be orphaned_, **tedòatam** _orphanage_  
**tedet** _son_, **tedeta** _filial_  
**tèdet** _daughter_  
**teodet** _son-in-law_  
**teódet** _daughter-in-law_

**tid** _uncle_
**tidéna** _avuncular_  
**tìd** _aunt_  
**tidet** _cousin_  
**tìdet** _cousin (female)'_

**tud** _brother-in-law_
**tùd** _sister-in-law_  
**tudet** _nephew_  
**tùdet** _niece_

**tód** _father-in-law_
**tôd** _mother-in-law_  
**tódet** _son-in-law_  
**tôdet** _daughter-in-law_

**tád** _grandparent, grandfather_
**tádéna** _grandfatherly_  
**tâd** _grandmother_, **tâdéna** _grandmotherly_  
**tádet** _grandson_  
**tâdet** _granddaughter_  
**tádán** _grandparents_  
**tádetán** _grandchildren_

**téd** _relative_
**téda** _related_, **tédan** _kinship_  
**tédcer** _to be related_, **tédán** _kin(folks)_, **otéda** _unrelated_

**tíd** _god-parent,_ god-father
**tídet** godson_  
**tîdet**_ goddaughter'

**ajted** _ancestor_
**ajteda** _ancestral_, **ajtedán** _ancestry_

**jat** _ascendant_
 

**jot** _descendant_
**jòtan** _descendance_

## Human being (tob)

**tob** _human being_  
**tab** _body_  
. **taab** _lymph_  
.. **taaba** _lymphatic_  
.. **taabocet** _lymph gland_  
. **taeb** _muscle_  
.. **taeba** _muscular_  
. **taib** _bone_  
.. **taibán** _skeleton_  
... **taibána** _skeletal_  
.. **taibàa** _bony_  
.. **taibcer** _ossify_  
... **taibcen** _ossification_  
.. **taibòa** _boneless_  
... **taibòser** _to debone_  
. **taob** _flesh_  
.. **taoba** _carnal_  
... **egtaobcen** _reincarnation_  
.. **taobàa** _fleshy_  
.. **taobtelea** _flesh-eating_  
.. **potaob** _meat_  
... **potaobtelea** _carnivorous_  
. **taub** _cartilege_  
.. **tauba** _cartilagenous_  
. **taób** _skin_  
.. **taóbil** _sweat_  
... **taóbiler** _to sweat_  
... **taóbilàa** _sweaty_  
.. **petaób** _hide_  
.. **taóf** _leather_  
... **taófud** _leatherer_  
... **taóféna** _leathery_  
. **tàab** _fat_  
.. **tàaba** _fat-related_  
.. **tàabòa** _fat-free_  
.. **tàabél** _lard_  
.. **tàabil** _oil_  
... **tàbiler** _to oil_  
... **tàabilém** _oilcan_  
... **tàabilàa** _oily_  
.. **tàabàa** _fatty_  
. **taéb** _hair_  
.. **tàabàa** _hairy_  
.. **taébòa** _bald_  
... **taébòcer** _to go bald_  
... **taébòat** _bald person_  
... **taébòan** _baldness_  
... **taébòser** _to depilate_  
.. **taêb** _fuzz_  
... **taêbàa** _fuzzy_  
.. **pataéb** _feather_  
... **pataébán** _plumage_  
.. **petaéb** _mane_  
.. **pitaéb** _scales_  
... **pitaébàa** _scaly_  
.. **taéf** _wig_  
. **taíb** _nerve_  
.. **taíba** _nervous_  
.. **taíbaanea** _nerve-rattling_  
.. **taíbzem** _nerve-center_  
. **tap** _physique_  
.. **tapa** _physical_  
.. **íztapa** _metaphysical_  
.. **taptun** _physiology_  
.. **taptut** _physiologist_  
. **taf** _suit [of clothes]_  
.. **tàf** _dress_  
**teb** _head_  
. **tebném** _cranium_  
.. **tebnéma** _cranial_  
. **teboc** _brain_  
.. **teboca** _cerebral_  
. **ábteb** _forehead_  
. **óbteb** _chin_  
. **obteb** _neck_  
.. **obteba** _cervical_  
.. **zaobteb** _throat_  
.. **zoobteb** _nape_  
. **tebzan** _face_  
.. **tebzana** _facial_  
.. **tebzanábs** _face-lift_  
.. **tebzanòa** _faceless_  
. **teab** _eye_  
.. **teaba** _ocular_  
.. **teabéb** _eyebrow_  
.. **teabil** _tear_  
... **teabiler** _to weep_  
.. **teabéb** _eyebrow_  
.. **fateab** _eyelid_  
... **fateabéb** _eyelash_  
.. **zeteab** _pupil_  
.. **anteaba** _one-eyed_  
.. **teac** _sight_  
... **teacer** _to see_  
... **oteaca** _blind_  
.... **oteacan** _blindness_  
.... **oteacat** _blind person_  
.... **oteacacer** _go blind_  
.... **oteacaser** _to blind_  
... **teacoker** _gain one's sight_  
... **teacoker** _lose one's sight_  
... **teacar** _eye glasses_  
.. **teas** _look_  
... **teaser** _to look_  
.... **igteaser** _to glance_  
.... **ágteaser** _to stare_  
.... **uzteaser** _to look askance_  
.... **izteaser** _to look directly in the eye_  
.. **teabzúen** _eyeball_  
.. **teaczéc** _eye socket_  
. **teeb** _ear_  
.. **teeba** _aural_  
.. **fozteeb** _ear lobe_  
.. **teec** _hearing_  
... **teecer** _to hear_  
... **teeca** _auditory_  
... **teecier** _to listen_  
.... **teeciud** _listener_  
..... **teeciudán** _audience_  
.... **teecien** _audition_  
.... **teeciar** _listening device_  
... **oteeca** _deaf_  
.... **oteecser** _to deafen_  
..... **oteecseá** _deafening_  
.... **oteecat** _deaf person_  
.... **oteecan** _deafness_  
... **teecar** _hearing aid_  
.. **ózteeb** _outer ear_  
. **teib** _nose_  
.. **teiba** _nasal_  
.. **teibil** _snot_  
... **teibila** _mucous_  
.. **teiv** _handkerchief_  
.. **ózteiber** _to sneeze_  
.. **teic** _smell_  
... **teicer** _to smell_  
... **teica** _olfactory_  
... **treic** _odor_  
.... **treicàa** _odorous_  
... **fiteic** _fragrance_  
... **futeic** _stink_  
... **teiz** _perfume_  
... **teicier** _to sniff_  
.. **teiceucer** _to snore_  
.. **teibzéc** _nostril_  
. **teob** _cheek_  
.. **zeteob** _cheekbone_  
.. **teobéb** _beard_  
... **teobébàa** _bearded_  
... **teobébòa** _beardless_  
. **teub** _mouth_  
.. **teuba** _oral_  
.. **teubil** _saliva_  
... **teubiler** _to salivate_  
.. **ózteuber** _to spit_  
.. **teubíjer** _to yawn_  
.. **ézteuber** _to swallow_  
.. **teubob** _lip_  
... **teuboz** _smile_  
... **teuboc** _kiss_  
... **teuboba** _labial_  
.. **teud** _shout_  
... **teuder** _to scream_  
.. **teuc** _taste_  
... **teucer** _to taste_  
... **fiteuca** _delicious_  
... **futeuca** _nasty-tasting_  
.. **teumib** _palate_  
... **teumiba** _palatal_  
.. **teubéb** _mustache_  
... **teubébàa** _mustachioed_  
.. **teubab** _tongue_  
... **teubaba** _lingual_  
... **teubaber** _to lick_  
... **éztèbaber** _to suck_  
.. **teubeb** _gum_  
.. **teubib** _jaw_  
... **teubiser** _to chew_  
.. **teupib** _tooth_  
... **teupiba** _dental_  
... **teupibut** _dentist_  
.... **teupibutam** _dentist's office_  
... **teupicer** _to bite_  
.... **teupicoger** _to nibble_  
... **oteupiba** _toothless_  
... **teupibán** _denture_  
. **tef** _hat_  
.. **tefet** _cap_  
.. **tefud** _haberdasher_  
.. **tefam** _haberdashery_  
. **tep** _mind_  
.. **tepa** _mental_  
.. **tepcan** _sentiment_  
.. **tepcana** _sentimental_  
. **tes** _thought_  
.. **teser** _to think_  
... **ágteser** _to ponder_  
.. **tesa** _cognitive_  
.. **tesen** _cognition_  
.. **teseá** _conceivable_  
.. **oteseá** _inconceivable_  
.. **tesoker** _to forget_  
... **otesokeá** _unforgetable_  
.. **tesaker** _to remember_  
. **ter** _to know_  
.. **oter** _to ignore_  
.. **ota** _unknown_  
.. **otea** _unaware_  
.. **tuer** _to teach_  
... **tuna** _scientific_  
... **tut** _scientist_  
... **tuen** _teaching_  
.... **tuena** _didactic_  
... **tuut** _teacher_  
.... **tuután** _academe_  
... **tun** _science_  
... **tuun** _lesson_  
.. **tier** _to learn_  
.. **titam** _school_  
.. **atitam** _grade school_  
.. **etitam** _high school_  
.. **ititam** _college_  
... **tiud** _student_  
... **tiudán** _student body_  
... **tiun** _study_  
.... **tiuna** _scholastic_  
.... **tiunán** _studies, scholastics</i  
... **tin**_ doctrine_  
.... **tina**_ doctrinal_  
.. **tez**_ culture_  
... **teza**_ cultural_  
.. **ten**_ knowledge_  
... **tena**_ awareness-related_  
.. **teá**_ known_  
.. **tea**_ aware_  
... **tean**_ awareness_  
. **trer**_ to recognize_  
.. **tren**_ cognizance_  
.. **treá**_ recognizable_  
.. **trea**_ cognizant_  
.. **éztrer**_ be conscious_  
.. **éztren**_ conscience_  
.. **éztrea**_ conscious_  
.. **oéztrea**_ unconscious_  
.. **otra**_ incognito_  
.. **otrea**_ incognizant_  
. **tec**_ perception_  
.. **tecer**_ to perceive_  
.. **teceá**_ perceptible_  
.. **tecpan**_ emotion_  
.. **tecpana**_ emotional_  
.. **tecpanea**_ emotive_  
.. **tecpanean**_ emotivity_  
.. **tecpaneá**_ excitable_  
.. **tecpaner**_ to emote_  
**tib**_ trunk_  
. **zetib**_ waist_  
.. **tetibgan**_ waist size_  
. **zotib**_ back_  
.. **zotiba**_ dorsal_  
.. **zotibók**_ back pain_  
. **tiab**_ chest_  
.. **tilab**_ breast_  
... **tilabil, bil**_ milk_  
.... **tilabiler**_ to lactate_  
.... **tilabila**_ lactic_  
.... **tilabilbier**_ to milk_  
.... **tilabilbuer**_ to give milk_  
.... **tilabiléna**_ milky_  
. **tieb**_ lung_  
.. **tieba**_ pulmonary_  
.. **tieser**_ to breathe_  
.. **éztieser**_ to inhale_  
.. **óztieser**_ to exhale_  
.. **tiebok**_ pneumonia_  
... **tieboser**_ to cough_  
. **tiib**_ heart_  
.. **tiiba**_ cardiac_  
.. **tiibil**_ blood_  
... **tiibiler**_ to bleed_  
... **tiibilàa**_ bloody_  
... **tiibiloker**_ to lose blood_  
... **tiibilotila**_ blood-thirsty_  
... **tiibila**_ sanguinary_  
... **tiibilánam**_ bloodbank_  
.. **tiibuf**_ artery_  
... **tiibufa**_ arterial_  
... **tiibufog**_ arteriole_  
... **zòtiibuf**_ vein_  
.... **zòtiibufa**_ venal_  
. **tiub**_ belly_  
.. **tiuba**_ ventral_  
.. **tiùb**_ abdomen_  
... **tiùba**_ abdominal_  
.. **zetiub**_ navel_  
.. **zotiub**_ buttock_  
. **tiób**_ kidney_  
.. **tióba**_ renal_  
.. **tióbok**_ kidney disease_  
.. **tióbil**_ urine_  
... **tióbiler**_ to urinate_  
... **tióbilem**_ urinal_  
... **tióbila**_ urinary_  
. **tiáb**_ penis_  
.. **tiába**_ penile_  
.. **tìáb**_ vagina_  
... **tìába**_ vaginal_  
.. **ébtiába**_ sexual_  
.. **tiábcan**_ phallus_  
... **tiábcana**_ phallic_  
.. **tiábòser**_ to castrate_  
.. **tiábòcat**_ castrato_  
.. **tiáv**_ condom_  
. **tikob**_ esophagus_  
.. **tikoba**_ esophageal_  
. **tikab**_ stomach_  
.. **tikaba**_ gastric_  
. **tikeb**_ liver_  
.. **tikeba**_ hepatic_  
.. **tikebok**_ hepatitis_  
.. **tikebil**_ bile_  
. **tikib**_ pancreas_  
.. **tikiba**_ pancreatic_  
. **tikub**_ instestine_  
.. **tikuba**_ instestinal_  
.. **tikubil**_ feces_  
... **tikubila**_ fecal_  
... **tikubiler**_ to defecate_  
.. **tikubuj**_ anus_  
... **tikubuja**_ anal_  
... **tikubujbok**_ proctitis_  
**tub**_ arm_  
. **tuba**_ brachial_  
. **tuab**_ shoulder_  
. **tueb**_ upper arm_  
. **tuib**_ elbow_  
.. **tuiber**_ to elbow_  
. **tuub**_ forearm_  
. **tuób**_ wrist_  
. **tuáb**_ hand_  
.. **tuába**_ manual_  
.. **tuácer**_ to handle_  
.. **tuábier**_ to grasp_  
.. **tuábuer**_ to lend a hand_  
.. **tuúpúner**_ to slap_  
.. **ébtuáber**_ to clasp/shake hands_  
.. **tuápaner**_ to clap/applaud_  
.. **tuálpaner**_ to massage/knead_  
.. **tuásiner**_ to sign_  
.. **tuádotsiner**_ to wave [hello/goodbye]_  
.. **tuáf**_ glove_  
... **tuáfém**_ glove compartment_  
... **tuáfud**_ glover_  
. **tuéb**_ fist_  
.. **tuépaner**_ to pound_  
. **tuúb**_ finger_  
.. **tuúba**_ digital_  
.. **atuúb**_ thumb_  
.. **etuúb**_ index_  
... **etuúber**_ to point_  
.. **ituúb**_ middle finger_  
.. **utuúb**_ ring finger_  
.. **ótuúb**_ little finger_  
.. **tuúcer**_ to feel_  
... **tuúca**_ tactile_  
... **tuúceá**_ palpable_  
.. **tuúpaner**_ to tap_  
.. **tuúdrer**_ to type_  
... **tuúdrar**_ typewriter, keyboard_  
.. **tuúbuj**_ finger tip_  
. **tulob**_ fingernail_  
.. **tulocer**_ to scratch_  
.. **tulop**_ claw_  
... **tuloper**_ to claw_  
. **tuúb**_ palm_  
.. **tuúpaner**_ to slap_  
. **tulib**_ knuckle_  
.. **tulipaner**_ to knock_  
**tób**_ leg_  
. **tóab**_ hip_  
.. **tóaper**_ to sit_  
. **tóeb**_ thigh_  
. **tóib**_ knee_  
.. **tóiper**_ to kneel_  
. **tóub**_ shin_  
. **tôab**_ foot_  
.. **tôabektun**_ podiatry_  
.. **tôabektut**_ podiatrist_  
.. **tôaper**_ to walk_  
... **tôapud**_ pedestrian_  
... **tôapem**_ sidewalk_  
... **tôapar**_ walker_  
... **igtôaper**_ to run_  
... **igtôapem**_ racetrack_  
.. **tôapúner**_ to kick_  
.. **tôapaner**_ to stomp_  
.. **tôabar**_ pedal_  
.. **tôaf**_ shoe_  
... **tôafser**_ to cobble_  
.... **tôafsud**_ shoemaker_  
.... **tôafsam**_ shoemaker's shop_  
.... **tôafber**_ to shoe_  
.... **tôafba**_ shod_  
... **apetôaf**_ horseshoe_  
... **tôafmacil**_ shoe polish_  
... **tôafnífet**_ shoelace_  
... **tôafodet**_ shoetack_  
. **tôeb**_ heel_  
.. **tôepaner**_ to supplant_  
. **tôib**_ sole_  
. **tôub**_ toe_  
.. **tôuper**_ to tiptoe_  
. **tólob**_ toenail_  
**toba**_ human_  
. **tobaser**_ to humanize_  
. **otobaser**_ to dehumanize_  
. **toban**_ humanity_  
. **tobin**_ humanism_  
.. **tobina**_ humanistic_  
.. **tobinat**_ humanist_  
. **iftoba**_ humanitarian_  
.. **iftoban**_ humanitarianism_  
**tobán**_ mankind_  
**tobéna**_ human_  
**toob**_ male_  
. **tooba**_ masculine_  
.. **otoobaser**_ to emasculate_  
.. **tooban**_ masculinity_  
. **toòba**_ feminine_  
.. **toòban**_ femininity_  
**tooc**_ sex_  
. **tooca**_ sexual_  
. **toocan**_ sexuality_  
. **otooca**_ asexual_  
. **entooca**_ bisexual_  
. **hátooca**_ pansexual_  
. **getooca**_ homosexual_  
.. **getoocan**_ homosexuality_  
.. **getoocat**_ homosexual [person]_  
**tos**_ instinct_  
. **tosa**_ instinctual_  
. **toséna**_ instintive_  
**top**_ soul_  
. **toptun**_ psychology_  
. **toptuna**_ psychological_  
. **toptut**_ psychologist_  
. **topéna**_ animate_  
.. **topénaser**_ to animate_  
.. **topénasen**_ animation_  
.. **otopéna**_ inanimate_  
. **topòa**_ soulless_  
**tòb**_ woman_  
. **tòba**_ female_  
.. **eóntòba**_ effeminate, quasi-female_  
. **tòbéna**_ feminine_  
.. **otobéna**_ unwomanly_  
. **tòbet**_ girl_  
.. **tòbeténa**_ girlish_  
.. **tòbetan**_ girlhood_  
. **tòbán**_ womankind_  
**tobob**_ child_  
. **toboba**_ infantile_  
.. **toboban**_ infancy_  
. **tobéna**_ childish_  
. **tobobòa**_ childless_  
. **tobobikam**_ child care center_  
**tobet**_ boy_  
. **tobeténa**_ boyish_  
. **tobetan**_ boyhood_  
**tobog**_ kid, midget_  
. **tobòg**_ kiddie_  
**tobóg**_ brat_  
**tobag**_ giant_  
. **tobagéna**_ gigantic_  
**tobág**_ monster_  
. **tobágéna**_ monstrous_  
**toc**_ sense_  
. **toca**_ sensorial_  
. **tocan**_ sensation_  
. **tocer**_ to sense_  
. **toceá**_ sensible_  
. **tocea**_ sensitive_  
**boc**_ organ_  
. **boca**_ organic_  
. **bocán**_ organism_  
. **bocet**_ gland_  
.. **boceta**_ glandular_  
_

## Bodily functions (tab...er)

**body part**
**body function**

**tab** _body_
**óbtaber** _to bow, stoop_  
**áztaber** _to prostrate oneself_  
**ábtaber** _to stand erect_

**teb** _head_
**óbteber** _to duck_  
**tebciner** _to nod_

**tep** _mind_
**ter** _to know_, etc. [see Mental Activities]

**teab** _eye_
**teacer** _to see_  
**teaser** _to look_  
**teabiler** _to weep_  
**zóteaber** _to squint_  
**ágteaser** _to stare_  
**igteaser** _to glance  
**igteacer**_ to glimpse_  
**teabciner**_ to wink  
**teabigíjer** _to blink_

**taéb** _hair_
**taébòcer** _to bald_

**taób** _skin_
**taóbiler** _to sweat_  
**taóboker** _to shed_

**taíb** _nerve_
**taíser** _irritate_  
**iftaíser** _to tickle_  
**taícer** _to itch_

**teeb** _ear_
**teecer** _hear_  
**teeser** _listen_

**teib** _nose_
**teicer** _to smell_  
**teiser** _to sniff_  
**teiseucer** _to snore_  
**teibiler** _to run at the nose_  
**teibilpuner** _to sneeze_  
**teibukser** _to blow the nose_

**teub** _mouth_
**teubiler** _to salivate_  
**teubilpuner** _to spit_  
**ézteuber** _swallow_  
**teubíjer** _to yawn_  
**teuder** _to shout_

**teubob** _lip_
**teubocer** _to kiss_  
**éztèbober** _to suck_  
**teubozer** _to smile_  
**teucozer** _to laugh_

**teubab** _tongue_
**teubaber** _to lick_  
**teucer** _to taste_

**teubib** _jaw_
**teubiser** _to chew_

**teipid** _tooth_
**teupicer** _to bite_

**tilab** _breast_
**tilabiler** _to lactate_

**tikab** _stomach_
**tikabilpuner** _to vomit_

**tieb** _lung_
**tieser** _to breath_  
**éztieser** _to inhale_  
**óztieser** _to exhale_  
**tiebil** _phlegm_  
**tiebukser** _to cough_

**tiib** _heart_
**tiibiler** _to bleed_

**tiób** _kidney_
**tióbiler** _to urinate_

**tuab** _shoulder_
**tuaber** _to shoulder_

**tuib** _elbow_
**tuiber** _to elbow_

**tuáb** _hand_
**tuábier** _to grab_  
**tuábuer** _to hand_  
**tuáser** _to manipulate_  
**ébtuáber** _to shake hands_  
**tuáciner** _to wave_  
**tuápéner** _to slap_  
**tuápéneter** _to pat_  
**tuálpaner** _to massage_

**tuúb** _finger_
**tuúcer** _to feel_  
**tuúpéneter** _to tap_  
**tuúdrer** _to type_  
**iztuúber** _to point_  
**ivtuúcer** _to tickle_  
**tuúbginer** _to poke_  
**tuúser** _to strum, fiddle_

**tôab** _foot_
**tôapéner** _to kick_  
**tôaper** _to walk_  
**igtôaper** _to run_  
**kitôaper** _to hobble_

**tôob** _knee_
**tôocer** _to kneel_  
**tôoper** _to crawl_

**tôeb** _heel_
**tôepéner** _to stomp_

**tôub** _toe_
**tôuper** _to tiptoe_

**tulob** _nail_
**tuloser** _to scratch_

## Bodily fluids and other liquids (tab...il)

**object**
**fluid**

**tab** _body_
**tabil** _humor_

**teab** _eye_
**teabil** _tear_

**teib** _nose_
**teibil** _mucus, snot_

**tilab** _breast_
_**bil**_ milk _(**tila** dropped)_

**teub** _mouth_
**teubil** _saliva, spit_

**tiib** _heart_
**tiibil** _blood_

**tiób** _kidney_
**tióbil** _urine, piss_

**tikeb** _liver_
**tikebil** _bile_

**tikub** _intestine_
**tikubil** _feces, shit_

**taób** _skin_
**taóbil** _perspiration, sweat_

**tieb** _lung_
**tiebil** _phlegm, sputum_

**tobij** _seed_
**tobijil** _semen_

**mam** _sky_
**mamil** _rain_

**vafáb** _grape_
**vafil** _wine_ (**vafáb** shortened to **vaf**)

**voz** _color_
**vozil** _paint_

**dr-** _write_
**dril** _ink_

**mag** _fire_
**magil** _petroleum_

**mag** _fire_
**maagil** _fuel_

**mag** _fire_
**maegil** _gasoline_

**mag** _fire_
**maigil** _kerosene_

**meg** _rock_
**megil** _cement_

**magmeb** _volcano_
**magmebil** _lava_ (_fire mountain liquid_)

**án** _together_
**ánil** _glue_

**mel** _ground_
**meil** _mud_

**tel** _food_
**telil** _soup_

**ovob** _cereal_
**ovobil** _meal, porridge_

**bil** _milk_
**biel** _cream_

**fáb** _fruit_
**fábil** _juice_

**afáb** _apple_
**afábil** _apple juice_

**ufáb** _prune_
**ufábil** _prune juice_

**lafáb** _orange_
**lafábil** _orange juice_

**afáb** _apple_
**afil** _cider_ (**afáb** shortened to **af**)

**kafáb** _olive_
**kafábél** _olive oil_

**vol** _vegetable_
**volél** _vegetable oil_

**levol** _beet_
**levolil** _beet juice_

**fab** _tree_
**fabil** _sap_

**ávob** _hop_
**ávil** _beer_ (**ábov** shortened to **áv**)

**levaf** _..._
**levafil** _liqueur_

**level** _sugar_
**levil** _syrup_ (**el** < **tel** _food_, **il** < **til** _drink_)

**tul** _plate_
**tulil** _sauce_

**m-** _nature_
**mil** _water_

**mil** _water_
**miil** _liquid_

**óm** _ice_
**ómil** _dew_

**óm** _ice_
**ómbiil** _ice cream_

**t-** _human/animal_
**til** _drink_

**bek** _treatment_
**bekil** _medicine_

**bok** _illness_
**bokil** _poison_

**cafaéb** _tea leaf_
**cafaél** _tea_ (**-b** _organism_ to **-l** _liquid_)

**cefáb** _coffee bean_
**cefál** _coffee_

 
**él** _oil_

 
**fél** _wax_

**apelat** _bee_
**apelatel** _honey_ (**-el** _food_)

**apelat** _bee_
**apelatél** _wax_ (**-él** _oil_)

**c** _metaloid_
**cil** _acid_

**ílom** _80-electron metalloid_
**ílomil** _mercury_

**mam** _sky_
**mal** _air_ (**mam** shortened to **ma**)

**mal** _air_
**meal** _gas_

**mal** _air_
**mial** _vapor_

**amc** _1-electron metalloid_
**amcal** _hydrogen_ (**-al** _gas_)

**ímc** _8-electron metalloid_
**ímcal** _oxygen_

**émc** _7-electron metalloid_
**émcal** _azote_

## Health (bak)

**bak** _health_

**baka** _healthy_

**baker** _to be healthy_

**bakcer** _to heal'_

**bakser** _to cure_

**baktun** _hygiene_

**baktut** _hygienist_

**bakam** _sanatorium_

**bakat** _healthy person_

**baktel** _health food_

**baktelam** _health food place_

**baak** _sanitation_

**baaka** _sanitary_

**obaaka** _unsanitary_

**baakser** _to sanitize_

**tabak** _physical health_

**tebak** _mental health_

**bàk** _safety_

**bàka** _safe_

**bàker** _to save_

**bàkser** _to make safe_

**bàksud** _savior_

**obàk** _danger, peril_

**obàka** _unsafe, dangerous_

**obàkser** _to endanger_

**bek** _treatment, remedy, cure_

**beka** _clinical_

**beker** _to treat_

**bekcer** _to heal [intr.]_

**bekser** _to heal [tr.]_

**bekler** _to cure, to remedy_

**beklacer** _to be cured_

**bektun** _medecine (practice of)_

**bektut** _doctor_

**bekam** _clinic, hospital, care facility_

**bekim** _hospital room_

**bekat** _patient_

**bekut** _care-giver, nurse_

**bekil** _medecine, drug_

**bekel** _pill_

**bekila** _medicinal_

**bekilam** _pharmacy_

**bekiler** _to medicate_

**tebektun** _psychiatry_

**tebektut** _psychiatrist_

**bekleá** _curable_

**obekleá** _incurable_

**obekeá** _untreatable_

**fubek** _mistreatment, abuse_

**fubeker** _to mistreat, to abuse_

**bok** _illness_

**boka** _sick_

**boker** _to be sick'_

**bokcer** _to fall ill_

**bokser** _to sicken'_

**boktun** _pathology_

**boktut** _pathologist_

**boktuna** _pathological_

**bokus** _pathogen_

**bokam** _hospital_

**bokamber** _to hospitalize_

**bokat** _patient_

**book** _fatigue_

**booka** _tired_

**bookcer** _to grow tired_

**bookser** _to tire_

**bookseá** _tiresome_

**bokil** _poison_

**bokiler** _to poison_

**bokiléna** _poisonous_

**obokilam** _detox facility_

**ombok** _cold_

**teibok** _influenza, flu_

**vúrbok** _infection_

**ambok** _inflammation_

**tebok** _mental illness_

**teboka** _mentally ill_

**tebokam** _insane asylum_

**tebokat** _mentally ill person_

**tebook** _boredom_

**tebooker** _to bore_

**tebookcer** _to grow bored_

**tebookca** _bored_

**oboker** _to cure, to heal, to save_

**obokut** _savior, healer_

**egbokcer** _to relapse_

**bik** _care_

**bikea** _careful_

**biker** _to care for_

**biktun** _nursing_

**biktut** _nurse_

**bikam** _care facility_

**bikat** _care patient_

**bikof** _bandage_

**bikofer** _to bandage_

**obik** _lack of care_

**obiker** _to leave uncared for_

**tebiker** _to care (about)_

**otebik** _apathy, lack of concern_

**otebiker** _to be unconcerned about_

**obikea** _careless_

**otebikea** _unconcerned, apathetic_

**igéga bik** _urgent care_

**igéga bikim** _emergency room_

**buk** _wound_

**buka** _wounded_

**buker** _to wound_

**bukcer** _to be wounded_

**bùk** _sore_

**buket** _scratch_

**buketer** _to scratch_

**bukof** _patch_

**bukofber** _to patch up_

**bukat** _trauma patient, victim_

**buuk** _harm_

**buuker** _to harm_

**buukeá** _harmful_

**buukòa** _harmless_

**buukék** _danger_

**bók** _pain_

**bôk** _ache_

**bôkcer** _to ache_

**bóker** _to hurt (someone)_

**bókcer** _to be in pain_

**bókeá** _painful_

**bókòa** _painless_

**bókòsil** _painkiller_

**bôker** _to ache_

**bóokcer** _to suffer_

**brók** _agony_

**bróker** _to torture_

**brókeá** _torturous_

**brókcer** _to agonize_

**tebók** _anguish_

**tebókcer** _to anguish_

## Clothes (tof)

**body part**
**heavier material**
**lighter material**

**tob** _man_
**tof** _apparel_
**tov** _underwear_

**tab** _body_
**taf** _suit_
**pontav** _pijama_

**teb** _head_
**tef** _hat_
**tev** _scarf_

**teib** _nose_
**teif** _nose cover_
**teiv** _handkerchief_

**teób** _neck_
**teóf** _tie_
**teóv** _collar_

**tuab** _shoulder_
**tuaf** _shawl_
 

**tib** _trunk_
**tif** _vest_
 

**zetib** _waist_
**zetif** _belt_
**zetiv** _sash_

**tiab** _chest_
**nefiaf** _sweater_
**tiav** _shirt_

**tiub** _belly_
**tiuf** _corset_
**tiuv** _underpants_

**tilab** _breast_
 
**tilav** _brassiere_

**tiáb** _penis_
 
**tiáv** _loin cloth_

**tób** _leg_
**tóf** _pants_
 

**tôab** _foot_
**tôaf** _shoe_
**tôav** _sock_

**tuáb** _hand_
**tuáf** _mit_  
**tuáfém** _pocket_
**tuáv** _glove_

**tiúb** _tail_
**tiúf** _train_
 

## Habitation (**tom**)

**tom** _habitation_
**tomer** _to live_, **tomud** _inhabitant_  
**tòm** _home_, **tòma** _domestic_  
**toem** _place of residence_  
**toom** _accommodation, lodging_, **toomer** _to accommodate_  
**tomet** _apartment_, **tometán** _apartment building_  
**tomof** _tent_  
**utom** _property_  
**tomtun** _architecture_, **tomtut** _architect_, **tomtuna** _architectural_  
**tombuer** _to lease_,**tombuud** _landlord_, **dren tombuena** _lease_  
**tombier** _to rent, let_, **tombiud** _renter, lessee_  
**tomnoc** _rent_  
  
**tombel** _housekeeping_, **tombelud** _concierge_  
**ábtom** _hi-rise_

**tém** _residence_
**témer** _to reside_  
**témud** _resident_  
**téma** _residential_  
**vegdren témuda** _resident's permit_  
**otémud** _non-resident_

**tam** _house_
**tameb** _master of the house_  
**taam** _villa_  
**agtam** _chateau_  
**ivagtam** _palace_  
**ogtam** _cottage_  
**tamet** _cabin_  
**ogtamet** _hut_  
**potam** _hotel_, **igpotam** _motel_  
**zútam** _tower_  
**azcatam** _castle_  
**tamán** _housing complex_  
**tamózem** _yard_  
**tameézem** _courtyard_  
**abtamac** _roof_  
**zatam** _facade_  
**telam** _restaurant_  
**epam** _station_  
**tilam** _bar_  
**tuzam** _museum_  
**dénam** _library_  
**titam** _school_  
**tutam** _institute_  
**nunam** _store_  
**cesam** _factory_  
**avolam** _bakery_  
**bikam** _hospital_  
**totam** _church_  
**tabekanam** _gym_  
**milbam** _bathhouse_  
**partam** _garage_  
**beelam** _warehouse_  
**vobésam** _farm_

**tàm** _building_
**tàmser** _to build_, **otàmser** _to demolish_, **otàms** _ruins_, **tàmsud** _builder_  
**tamcer** _to found_, **tamc** _foundation_  
**mamtàm** _skyscraper_

**tem** _space_
**abtem** _attic_  
**obtem** _basement_  
**ágtem** _gallery_  
**pemepem** _parking lot_  
**ponem** _rest stop_  
**ifekem** _playground_  
**dropekem** _battleground_  
**maparem** _airport_  
**ózem** _yard, outdoors_  
**ázem** _flat space_  
**úbem** _neighborhood_  
**íbem** _the far side_  
**kum** _side_  
**abem** _top_  
**obem** _bottom_  
**zam** _front_  
**zom** _back_  
**zem** _middle_  
**zém** _indoors_  
**kunadam** _frontier_  
**kim** _slope_  
**ábem** _upstairs_  
**óbem** _downstairs_  
**zém** _tunnel_  
**zèm** _bridge_  
**ifpem** _promenade_  
**mimkum** _beach_  
**ifpopem** _resort_  
**tujémem** _cemetery_  
**tatem** _shrine_  
**zúm** _zone_  
**ubem** _destination_  
**ibem** _origin_  
**pum** _destination_  
**pim**starting point_  
**epem**_ station_  
**ijem**_ starting point_  
**ujem**_ endpoint

**tim** _room, chamber_
**miltim** _bathroom_  
**éstim** _bureau_  
**datim** _salon, living room_  
**zótim** _hall, corridor_  
**tjujim** _bedroom_  
**telim** _dining room_  
**magelim** _kitchen_  
**tilim** _bar_  
**zatim** _lobby_  
**zotim** _antechamber_  
**áktim** _waiting room_  
**timet** _cubicle, cabin, roomette_

## Places and containers

    The "place" suffixes **am**, **(e)m**, **im**, **ém**, and **éb** are short for and recall **tam** _house_, **tem** _space_, **tim** _room_, **ném** _box_, and **céb** _container_.

  


### Buildings (-tam, -am)

**t-** _human-related_
**tam** _house_

**nun** _merchandise_
**nunam** _store_

**nac** _money_
**nacam** _bank_

**apelat** _bee_
**apelatam** _beehive_

**pancin** _cinema_
**pancinam** _moviehouse_

**tel** _food_
**telam** _restaurant_

**til** _drink_
**tilam** _bar_

**tier** _to study_
**titam** _school_

**tuer** _to instruct_
**tutam** _institute_

**tata** _holy_
**tatam** _church_

**dénán** _book collection_
**dénánam** _library_

**cuzán** _art collection_
**cuzánam** _museum_

**bekil** _drug_
**bekilam** _pharmacy_

**ep** _stop_
**epam** _station_

**pon** _rest_
**ponam** _hotel_

**bek** _treatment_
**bekam** _clinic_

**bok** _illness_
**bokam** _hospital_

**bik** _care_
**bikam** _nursing home_

**bak** _health_
**bakam** _sanatorium_

**avol** _bread_
**avolam** _bakery_

**dez** _show_
**dezam** _theatre_

**daz** _dance_
**dazam** _dance studio_

**cefál** _coffee_
**cefálam** _café_

**belud** _guard_
**beludam** _guardhouse_

**apet** _horse_
**apetam** _stable_

**koer** _to hide_
**koam** _shelter_

**def** _paper_
**defam** _stationery_

**túj** _sleep_
**tújam** _dormitory_

**voc** _flower_
**vocam** _floristry_

**par** _vehicle_
**param** _garage_

**pat** _bird_
**patam** _nest_

**vab** _grass_
**vabam** _grange_

### Places and spaces (-tem, -em)

**t-** _human-related_
**tem** _hall_

**ep** _stop_
**epem** _stopping point_

**tij** _birth_
**tijem** _birthplace_

**és** _work_
**ésem** _factory_

**ek** _play_
**ekem** _playground_

**dropek** _war_
**dropekem** _battlefield_

**koer** _to hide_
**koem** _hideaway_

**pier** _to depart_
**piem** _departure point_

**puer** _to arrive_
**puem** _arrival point_

**ab** _on_
**abem** _top_

**ob** _under_
**obem'** _bottom_

**áb** _up_
**ábem** _upstairs_

**ób** _down_
**óbem** _downstairs_

**éb** _between_
**ébem** _interstice_

**éz** _in_
**ézem** _interior_

**óz** _out_
**ózem** _exterior_

**ib** _from_
**ibem** _origin_

**ub** _to_
**ubem** _destination_

**ij** _start_
**ijem** _starting point_

**uj** _end_
**ujem** _endpoint, goal_

**úb** _near_
**úbem** _vicinity_

**íb** _far_
**íbem** _distance_

**za** _before_
**zam** _front_

**zo** _behind'_
**zom** back

**ze** _middle'_
**zem** center

**ák** _wait_
**akem** _waiting area_

**úz** _around_
**územ** _environment_

**zú** _round_
**zúm** _zone_

**uka** _empty_
**ukem** _vacant lot_

**kua** _lateral_
**kum** _side_

**kua** _lateral_
**kuem** _sidelines_

**kia** _oblique_
**kiem** _slope_

**kes** _trial_
**kesem** _proving ground_

**vab** _grass_
**vabem** _prairie_

**áza** _flat_
**ázem** _plain_

**íja** _open_
**íjem** _open area_

**zé** _through_
**zém** _transit area_

**zè** _across_
**zèm** _crossing/bridge_

**záa** _wide_
**zám** _expanse_

**zóa** _narrow_
**zóm** _tight spot_

**pon** _rest_
**ponem** _rest area_

**tapek** _sport_
**tapekem** _sports arena_

**ifzíp** _tour_
**ifzípem** _tourist site_

**ánup** _meeting_
**ánupem** _meeting venue_

**tujém** **coffin'**
tujyemem **_cemetery_**

**ézmelben** _burial_
**ézmelbem** _burial ground_

**tata** _holy_
**tatem** _shrine_

**tesbeler** _to memorialize_
**tesbelem** _memorial (site)_

**nun** _merchandise_
**nunem** _marketplace_

**hea** _which_
**hem** _where?_

**háa** _every_
**hám** _everywhere_

**héa** _any_
**hém** _anywhere_

**hoa** _no_
**hom** _nowhere_

**hua** _this_
**hum** _here_

**hia** _that_
**him** _there_

**gea** _same_
**gem** _the same place_

**teler** _to eat_
**telem** _refectory_

**ób** _under_
**óbtem** _cellar_

**úja** _open_
**újtem** _court_

**ága** _long_
**ágtem** _gallery_

**áb** _above_
**ábtem** _attic_

**zaóz** _front outside_
**zaóztem** _front porch_

**zaéz** _front inside_
**zaéztem** _lobby_

**tier** _to study_
**titem** _study hall_

**tuer** _to teach_
**tutem** _class_

### Rooms (-tim, -im)

**t-** _human-related_
**tim** _room_

**tjujer** _to sleep_
**tjujim** _bedroom_

**teler** _to eat_
**teltim** _dining room_

**mageler** _to cook_
**magelim** _kitchen_

**és** _work_
**ésim** _bureau_

**mil** _water_
**miltim** _bathroom_

**tata** _holy_
**tatim** _chapel_

**vi** _nice_
**vitim** _salon_

**ák** _wait_
**áktim** _waiting room_

**za** _front_
**zatim** _lobby_

**zo** _back_
**zotim** _backroom_

**daer** _to talk_
**datim** _parlor_

**tapek** _sport_
**tapektim** _exercise room_

**teacibar** _t.v._
**teacibarim** _t.v. den_

**mover** _to smoke_
**movim** _smoking den_

**ón** _apart_
**óntim** _compartment_

**éz** _in_
**éztim** _chamber_

**zóa** _narrow_
**zótim** _corridor/hall_

**tuer** _to teach_
**tutim** _classroom_

**cim** _chair_
**bimer** _to sit_

**cum** _bed_
**bumer** _to lie down_

### Enclosures (-tém, -ném, -ém) and containers (-céb, -éb, -éf)

**t-** _human-related_
**tém** _residence_

**aza** _strong_
**azém** _safe_

**koer** _to hide_
**koém** _shelter_

**pon** _vacation_
**poném** _suitcase_

**mog** _ash_
**mogém** _ashtray_

**óm** _ice_
**ómém** _ice chest_

**voc** _flower_
**vocém** _flower bed_

**voc** _flower_
**vocéb** _flower pot_

**il** _liquid_ \+ **neer** _reserve_
**ilneéb** _tank_

**il** _liquid_
**iléb** _bottle_

**il** _liquid_
**ilcéb** _carafe_

**til** _drink_
**tiléb** _glass_

**til** _drink_
**tilcéb** _cup_

**el** _food_
**elcéb** _pot_

**tol** _food_
**toléb** _casserole_

**áz** _flat_+**tol** _consumables_
**áztoléb** _pan_

**telil** _soup_
**teliléb** _bowl_

**ber** _put_
**bém** _position_

**tab** _body_
**tabém** _posture_

**tes** _thought_
**tesbém** _method_

**tep** _mind_
**tebém** _attitude_

**eber** _to stop_
**ebém** _situation_

**uka** _empty_
**ukém** _slot, vacancy_

**nac** _money_
**nacém** _cashbox_

**noz** _jewel_
**nozém** _jewelry box_

**n-** _commercial_
**ném** _box_

**nac** _money_
**nacéf** _purse_

**n-** _commercial_
**néf** _bag_

**néf** _weave_
**néfém** _basket_

**faof** _wood_
**faoféb** _barrel_

**mak** _electricity_
**makéb** _battery_

## Building structures (**moc**) and furniture (**com**)

**moc** _floor [stage]_
**amoc** _ground floor_  
**emoc** _second floor_  
**imoc** _third floor_  
**obmoc** _basement_  
**abmoc** _penthouse_  
**ébmoc** _mezzanine_  
**mocpar** _elevator_ (also: **álbur**)

**mac** _wall_
**abmac** _roof_  
**obmac** _foundation_  
**ézabmac** _ceiling_  
**ézobmac** _floor_  
**uzabmac** _vault_  
**abzamac** _balcony_  
**abkumac** _ledge_  
**macsud** _mason_  
**mactén** _masonry (industry)_  
**macán** _masonry_  
**ózmac** _outer wall_  
**ézmac** _inner wall_  
**úzmac** _fence_  
**mefa mac** _brick wall_  
**macet** _fence_  
**ónsmac** _partition_  
**màc** _screen_

**mec** _door_
**mecag** _entrance-way_  
**zamec** _threshold_

**mic** _window_
**micet** _ticket window, porthole_  
**micof** _blinds_  
**micov** _curtain_  
**abmic** _sunroof_  
**micog** _skylight_

**muc** _stairs_
**mucnog** _step_  
**mùc** _ladder_  
**zúpea muc** _escalator_  
**mucim** _stairwell_  
**igózpen muc** _fire escape_

**com** _item of furniture_
**comber** _to furnish_  
**comán** _furniture_  
**comser** _to make furniture_  
**comsud** _furniture maker_  
**milcom** _sink_  
**comiper** _to move_

**cam** _closet_
**telarcam** _buffet_  
**tofcam** _clothes closet_  
**déncam** _bookcase_  
**macam** _cupboard_  
**comoc** _shelf_  
**tovcam** _linen closet_  
**ècam** _alcove_

**cem** _table_
**drecem** _desk_  
**cèm** _pulpit_  
**cemném** _drawer_  
**cemof** _table cloth_  
**cemób** _table leg_  
**cemet** _board_  
**úscemet** _serving tray_  
**tilcem** _bar_  
**cágcem** _counter_  
**cemaper** _to sit down at the table_ (also: **bemer**)

**cim** _chair_
**cìm** _seat_  
**agcim** _armchair_  
**ágcim** _couch_  
**ciim** _bench_  
**ècim** _stool_  
**tôabcim** _footstool_  
**cimub** _arm rest_  
**cimzom** _seat back_  
**baanetcim** _rocking chair_  
**zoólbcim** _recliner_  
**milnef cim** _bucket seat_  
**cimbier** _to occupy a seat_  
**cimbuer** _to seat (someone)_  
**cimober** _to unseat_  
**cimaper** _to sit down_ (also: **bimer**)

**cum** _bed_
**cuam** _cushin_  
**cuàm** _pillow_  
**cuem** _mattress_  
**cuav** _bedspread_  
**cuev** _sheet_  
**cuef** _cover_  
**cuim** _box springs_  
**cumnán** _litter_  
**cumaper** _to go to bed, lie down_ (also: **bumer**)

## Food (**tol**)

**tol** _foodstuffs_
**toler** _to feed_  
**tola** _alimentary_  
**tolcéb** _pot_  
**toléb** _casserole_  
**áztoléb** _pan_  
**tolam** _grocery store, market_, **tolamud** _grocer_  
**tolar** _eating utensil_, **tolarán** _dishes_  
**tolnún** _produce, groceries_

**tel** _(prepared) food_
**teler** _to eat_  
**otel** _hunger_, **otelcer** _to hunger_, **otela** _hungry_, **otelag** _famine_, **oteltujer** _to starve (to death)_  
**telun** _edible (item)_  
**vitelyd** _gourmet_  
**vitelea** _gourmand_  
**telam** _restaurant_, **telamet** _cafe_, **telamseb** _restauranteur_  
**telém** _buffet_  
**teléb** _plate_, **telébar** _serving tray_  
**telar** _fork_, **telarán** _place setting, cutlery_  
**telim** _kitchen_  
**telten** _culinery_  
**telsur** _cooker_  
**telsud** _cook_  
**telseb** _chef_  
**telil** _soup_, **teliléb** _soup bowl_  
**magtelur** _stove_  
**teleá** _edible_, **oteleá** _inedible_

**teluz** _taste_
**teluzer** _to taste_  
**tèluz** _savor_, **tèluza** _savory_, **tèluzer** _to savor_  
**oteluz** _disgust_  
**oteluza** _disgusting_  
**oteluzer** _to be disgusted_

**til** _drink_
**tiler** _to drink_  
**otil** _thirst_  
**otilcer** _to thirst_  
**otila** _thirsty_  
**otilag** _draught_  
**tilam** _bar_  
**tilamag** _brasserie_  
**tiléb** _glass_  
**tilcéb** _bowl_  
**tìlcéb** _cup_  
**tilar** _spoon_  
**tilarag** _soup spoon_  
**tilarog** _teaspoon_  
**tileá** _potable_, **otileá** _non-potable_  
**omtil** _refreshment, soft-drink_

**tul** _dish, served food_
**tulán** _meal_  
**atulán** _breakfast_, **atuláner** _to eat breakfast_  
**etulán** _lunch_, **etuláner** _to lunch_  
**itulán** _dinner_,**ituláner** _to dine_  
**jatul** _appetizer_  
**jotul** _dessert_  
**ébtul** _snack_  
**tuléb** _platter_  
**tulil** _soup_  
**tulánag** _banquet_  
**tuldren** _menu_  
**tulusud** _waiter_, **tulusudán** _wait staff_, **tulusdeb** _head waiter, maitre d'_ , **tulúsnac** _(restaurant) tip_  
**tuljób** _mealtime_

**-ol/ól** (solid)
**taol** _meat_,**taolam** _butcher shop_, **taolud** _butcher_, **taolil** _stew_, **úgtaol** _beef steak_, **ápetaol** _sausage_, **ápetól** _ham_  
**mimol** _salt_, **mimolika** _salty_  
**vavol** _salade, greens_  
**avol** _bread_, **avolet** _bread crumb_, **abavol** _crust_, **avolek** _flour_, **avolam** _bakery_, **avolud** _baker_  
**ébcavol** _sandwich_  
**cabavol** _slice of bread_  
**ázavol** _pancake, flatbread, pizza_  
**úzavol** _wrap, burrito_  
**góavol** _crepe_  
**leavol** _pastry_  
**leávol** _cake_  
**aleavol** _brioche_  
**umleavol** _cookie_  
**umcavol** _cracker, biscuit_  
**uzleavol** _croissant_  
**afleavol** _fruit pie_  
**taoleavol** _meatpie_  
**leavolser** _to make pastry_  
**leavolsud** _pastrymaker_  
**leavolam** _patisserie_

**-el/él/ál** (semi-solid)
**eopel** _beef_, **gocra eopel** _ground beef_, **gocra eopel ébcavol** _hamburger_  
**uopel** _mutton_  
**ápel** _pork_  
**él** _oil_  
**kafabél** _olive oil_  
**gevobél** _corn oil_  
**magél** _cooking oil_  
**tàal** _fat, grease_  
**mageler** _to cook_  
**magéler** _to fry_  
**level** _sugar_, **levela** _sweet_, **leveler** _to sweeten_, **lèvel** _candy_, **levil** _syrop_, **lèvelud** _confectioner_, **lèvelam** _confectionary_  
**elcéb** _pot_  
**ápel** _pork_, **ápelán** _pork meats_, **ápelam** _pork butchery_

**-il** (liquid)
**iléb** _bottle_  
**tuil** _sauce_  
**tulil** _soup_  
**vafil** _wine_  
**ígvafil** _vinegar_  
**afil** _cider_  
**ávil** _beer_  
**levafil** _liqueur_  
**bil** _milk_, **bilam** _dairy_, **bilíg** _cheese_, **bilúg** _butter_  
**bilúgl** _yoghurt_  
**abil** _cream_  
**fáblevil** _compote_  
**fábil** _fruit juice_  
**taobil** _gravy, jus_  
**levil** _syrup_  
**apelatil** _honey_

**mag-**
**mageler** _to cook_, **magelur** _cooker_  
**magiler** _to boil_, **magilur** _boiler_  
**màgiler** _to broil_, **màgilur** _broiler_  
**magler** _to roast_, **maglúr** _roaster_  
**abmagler** _to grill_, **abmaglur** _grill_  
**magéler** _to fry_, **magélur** _frier_  
**magoler** _to bake_, **magolur** _oven_  
**magler** _to roast_, **maglur** _roaster_  
**magtelur** _stove_  
**magsur** _burner_

**gopar** _knife_
 

## Time (**job**)

**job** _time_
**joba** _temporal_  
**ponjob** _vacation_  
**ógjob** _short while_, **ógjoba** _temporary_  
**ívjob** _leasure_  
**ágjob** _longtime_, **ágjoba** _chronic_  
**jejoba** _chronic_  
**zé job** _over time_  
**ádjob** _eternity_, **ádjoba** _eternal_  
**gonjoba** _part-time_  
**jobúgc** _delay_, **jobúgser** _to delay_, **jobúgca** _delayed_  
**jobigc** _haste_, **jobigcer** _to hurry_  
**kóca (jonabca) jobem** _appointment_  
**jobnabs** _schedule_  
**jobdaf** _schedule_

**joob** _period_
**joòb** _era, epoch_  
**joobag** _eon_  
**joobog** _short period_  
**jooba** _periodic_  
**jooban** _periodicity_  
**joobà** _periodically_  
**odjobu?** _when?_  
**udjobu** _now_  
**idjobu** _then_  
**ádjobu** _always_  
**ódjobu** _never_  
**édjobu** _whenever_  
**gedjobu** _at the same time_  
**ogedjobu** _some other time_  
**údjobu** _sometime_

**jab** _year_
**jaba** _annual_  
**cojab** _century_, **cojaba** _secular_  
**jabij** _new year_  
**jabuj** _year's end_  
**jabdén** _yearbook_  
**jabzòp** _anniversary_

**jeb** _season_
**jeba** _seasonal_  
**jeab** _spring_  
**jeeb** _summer_  
**jeib** _autumn_  
**jeub** _winter_

**jib** _month_
**jiba** _monthly_  
**ijib** _trimester_  
**ájib** _semester_  
**jiab** _January_  
**jieb** _February_  
**jiib** _March_  
**jiub** _April_  
**jiób** _May_  
**jiáb** _June_  
**jiéb** _July_  
**jiíb** _August_  
**jiáb** _September_  
**jilob** _October_  
**jilab** _November_  
**jileb** _December_

**jub** _day_
**juba** _daily_  
**éjub** _week_, **éjuba** _weekly_  
**juab** _Monday_  
**jueb** _Tuesday_  
**juib** _Wednesday_  
**juub** _Thursday_  
**juób** _Friday_  
**juáb** _Saturday_  
**juéb** _Sunday_  
**ponjub** _holiday_  
**ívjub** _day off_  
**ádjubu** _every day_, **ádjuba** _daily_  
**jubdén** _diary_  
**jubdrén** _newspaper_, **jubdréna** _journalistic_, **jubdrénud** _journalist_  
**zojub** _yesterday_  
**udjub** _today_  
**zajub** _tomorrow_  
**ivjub** _feast_, **ivjuber** _to feast_, **ivjuber** _to celebrate_  
**tijub** _birthday_  
**agtijub** _Christmas_  
**zòtujub** _Easter_

**jób** _hour_
**jóba** _hourly_  
**jóbar** _clock_  
**tíjóbar** _alarm clock_  
**tubjóbar** _wrist watch_  
**jóbándaf** _schedule_

**jáb** _minute_
**jâb** _moment_, **jâba** _momentary_

**jéb** _second_
**jêb** _instant_, **jêba** _instantaneous_

**maj** _daytime_
**maja** _diurnal_  
**ijmaj** _dawn_  
**imaj** _morning_  
**ujmaj** _dusk_  
**umaj** _evening_  
**èmaj** _noon_  
**joèmaj** _afternoon_  
**fimaj** _good day!_  
**fiumaj** _good evening!_
**ádmaju** _every morning_
**udmaju** _this morning_
**zomaju** _yesterday morning_
**zomaju** _tomorrow morning_

**moj** _night_
**moja** _nocturnal_  
**èmoj** _midnight_  
**fimoj** _good night!_  
**ádmoju** _every night_  
**udmoju** _tonight_

**jud** _date_
**judrer** _to date_  
**jojudrer** _to postdate_  
**jajudrer** _to antedate_  
**judar** _calendar_  
**judaf** _calendar_  
**judén** _datebook_  
**odjudu** _on what date_
**udjudu** _on this date_
**idjudu** _on that date_

**jàg** _age_
**jaga** _old_, **jagat** _elder_, **jagan** _old age_, **jagat bikam** _elder care facility_, **jagcer** _to age_, **jagca** _aged_, **ágcea** _ageing_  
**joga** _young/new_, **jogan** _youth (state)_, **jogat** _youth (person)_, **jogatán** _youth (coll.)_, **egjogser** _to rejuvenate/renew_, **joganéna** _youthful_  
**gajàga** _elder_  
**gojàga** _younger_  
**gejàga** _of the same age, as old (as)_  
**jéga** _adult_  
**jega** _middle aged_  
**jòga** _adolescent_  
**ojéga** _minor_  
**gájàga** _eldest_  
**gójàga** _youngest_  
**glajàga** _antique, ancient_  
**glojàga** _brand new, very young_  
**odjàg** _how old?_

  


### Time expressions

expression
example

**ja** _before_
**Yujo mani ja et pio.** _Turn out the lights before you leave._

**je** _while_
**Tobob tuja je tújá.** _The child died while sleeping._

**jo** _after_
**Jo teacera mavi it igípa.** _After seeing the flames, he fled._

**ji** _since_
**Aita tijé ga fià ji dropek úja.** _We have been living better since the war ended._

**ju** _until_
**Ju et agco, et ho tido.** _Until you grow up, you won't understand._

**já** _early_
**Ga já ga fi.** _The earlier the better._

**jé** _on time_
**Valco puer jé.** _Be sure to arrive on time._

**jó** _late_
**Ho puo já!** _Don't arrive late!_

**zojubu** _yesterday_
**Hè mamila zojubu?** _Did it rain yesterday?_

**udjubu** _today_
**Iyt deuzo udjubu.** _She is going to sing today._

**zajubu** _tomorrow_
**At ikso dén zajubu.** _I will finish the book tomorrow._

**zomoju** _last night_
**Hè et fi túja zomoju?** _Did you sleep well last night?_

**udmoju** _tonight_
**Udmoju ho eco màri mamu.** _Tonight there will be no stars in the sky._

**zamoju** _tomorrow night_
**Tijuba vitul aco zamoju.** _The birthday feast will occur tomorrow night._

**jazojubu** _the day before yesterday_
**Vab gorfàa jazojubu.** _The grass had been mowed the day before yesterday._

**jozajubu** _the day after tomorrow_
**Avolam íjco jozajubu.** _The bakery will open the day after tomorrow._

**jà** _already_
**Uvà eta ted jà pia.** _Sadly, your father has already left._

**gaj** _still_
**Hè pati gaj tijea?** _Are the birds still alive?_

**jù** _yet_
**Hè et jù teuca hia pancin?** _Have you seen this movie yet?_

**aju** _in the past_
**Uti sá hubén aju.** _People used to act that way in the past._

**eju** _at present_
**Eju ait ukce mil.** _At present, we are out of water._

**oju** _in the future_
**Et fi to oju.** _You'll know better in the future._

**ji idjob** _since then, thenceforth_
**Ji idjob eca hoga sejeti.** _Since then, there have been no further incidents._

**jo udjob** _from now on, henceforth_
**Jo udjob at éso ga tepazà.** _From now on I will work more diligently._

**ju idjob** _until then_
**Ju idjob at ho teacàa ídcuni.** _Until then, I had not seen such things._

**ju udjob** _until now, up to now, so far_
**Hot ózpa ju udjob.** _Nobody has emerged so far._

**iju** _first_
**At vagó iju ivader et av updier at.** _I would first like to thank you for inviting me._

**jò** _next_
**Jò ait teeco drez Sekspira.** _Next we shall hear a poem by Shakespeare._

**uju** _finally_
**Elánidpar uju pua.** _The train has finally arrived._

**gloja** _recently_
**Iit gloja tadca.** _They recently married._

**glojo** _soon_
**Jobipar co him glojo.** _The taxi will be here soon._

**glaja** _a long time ago_
**Hua pancin ózpa glaja.** _That movie came out a long time ago._

**glajo** _a long time hence_
**Dropek ujco glajo.** _The war will come to an end a long time from now._

**gója** _just_
**At gója ijeaca eta vóon.** _I just now noticed your error._

**úbji** _just_
**At úbji ijeaca eta vóon.** _I just now noticed your error._

**úbju** _almost_
**At úbju aka.** _I almost won._

**ja** _ago_
**Keus aca ja e jub.** _The accident occurred two days ago._

**glaj** _for a long time_
**At ésa hum glaj.** _I worked there for a long time._

**gloj** _for a short time_
**At ésa him anà gloj.** _I worked here only for a short time._

**ókbénà** _suddenly, all of a sudden_
**Yokbénà teuzibar ceusa.** _Suddenly the phone rang._

**igjobu** _suddenly, all of a sudden_
**Igjobu teuzibar ceusa.** _Suddenly the phone rang._

**odjobu?** _when?_
**Odjobu et sa uda cizun?** _When did you do this painting?_

**adjobu** _when (relative)_
**At sa cizun adjobu at ca joga.** _I did the painting when I was young._

**ji odjob?** _since when? for how long?_
**Ji objob et ce tadca?** _How long have you been married?_

**ju odjob** _until when?, how long_
**Ju odjob et drecéo eta dén?** _How long will you be writing your book?_

**idjubu** _then, at that time_
**Et ca via idjubu.** _You were beautiful then._

**udjubu** _now, at this time_
**At ése ge tuut udjubu.** _I work as a teacher now._

**ádjubu** _always, all the time_
**Iyt ádjubu teubòze.** _She always smiles._

**údjubu** _sometime_
**Iyt egteapo údjubu.** _She'll visit again someday._

**ódjubu** _never_
**Ata épet ódjubu épede.** _My dog never barks._

**ju ádjub** _forever_
**Iit áke beer tadca ju ádjub.** _They hope to remain married forever._

**édjubu** _ever, anytime_
**Et vege teaper édjubu et vage.** _You can visit anytime you like._

**údjubu** _sometime_
**At teapo et údjubu úboju.** _I will visit you sometime in the near future._

**ogedjubu** _some other time_
**Et égo uper ogedjubu.** _You'll have to come some other time._

**ídjubu** _at such a time_
**Ait ége doer ídjubu.** _We must be silent at such a time._

**gedjubu** _at the same time_
**Yad e nidpari pua gedjubu.** _Both trains arrived at the same time._

**vo...gaj** _no longer, anymore_
**At vo vage gaj teacer et.** _I don't want to see you any longer._

**odjopi?** _how often?_
**Odjopi et pe pancinu?** _How often to you go to the movies?_ (**jop** _instance in time_)

**ajop** _once_
**Et ége utmilabaner ajop jubè.** _You must bathe once a day._

**ejopi** _twice_
**At vísa par ejopi.** _I washed the car twice._

**glajopi** _often_
**Ait deuze ánà glajop.** _We often sing together._

**glojopi** _seldom_
**At glojopi teaca ídcun.** _Seldom have I seen such a thing._

**gaijopi** _sometimes, at times_
**Iyt ceace geijopi jó.** _She sometimes shows up late._

**ojop** _never_
**At ojop vóde.** _I never lie._

**ídjop** _so often_
**Et ídjop abdabe ébdaen.** _You dominate the conversion so often._

**gejopi** _as often_
**Upo gejopi vé et vage.** _Come as often as you like._

**gajopi** _more often_
**Ata ted datupe gajopi vé ja.** _My father visits more often than before._ (**vé** _than_)

**gojopi** _less often_
**At zípe gojopi udjubi.** _I travel less often these days._

**géjopi** _quite often_
**Nun ce géjopi nasaga.** _The merchandise is quite often expensive._

**grajopi** _too often_
**Et tile grajopi.** _You drink too often._

**grojopi** _too infrequently_
**At ózpe tam grajopi.** _I get out of the house too infrequently._

**gájopi** _as often as possible_
**Et ége milaber voci gájopi.** _You should water the flowers as often as possible._

**gójopi** _as seldom as possible_
**At ázte maru gójopi.** _I lie in the sun as seldom as possible._

### Beginning and ending (ijer, ujer)

    The following table shows **j** (time) words that forms parallels on the basis of the **i** ⇒ **u** ordinal vowel opposition:

**ijer** _to begin_
**ujer** _to end_

**ij** _beginning_
**uj** _end_

**ija** _initial_
**uja** _final_

**tijer** _to be born_
**tujer** _to die_

**tij** _birth_
**tuj** _death_

**tija** _natal, born_
**tuja** _mortal, dead_

**tijser** _to birth_
**tujser** _to kill_

**majij** _dawn_
**majuj** _dusk_

**tobij** _ovum>_
 

**vabij** _seed_
 

**patij** _egg_
 

**magijer** _to spark_
**magujer** _to extinguish_

**manijer** _to light_
**manujer** _to turn off_

**esijer** _to set in motion_
**esuj** _to terminate_

**tesij** _idea_
 

**jabij** _new year's_
**jabuj** _year's end_

**íjer** _to open_
**újer** _to close_

**íj** _opening_
**új** _close_

**íja** _open_
**úja** _closed_

**íjar** _key_
**újar** _lock_

**íjem** _passageway_
**újem** _dead end_

**íjofer** _to unfold_
**újofer** _to fold_

**íjden** _introduction_
**újden** _conclusion_

**tíjer** _to wake_
**tújer** _to sleep_

**tíj** _wakefulness_
**túj** _sleep_

**tíja** _awake_
**túja** _asleep_

  


**aj** _past_
**aju** _in the past, then_
**ajer** _to delay_
**taj** _former life_
**ja** _before_
**já** _early_

**ej** _present_
**eju** _at present, now_
**ejer** _to wait_
**tej** _life_
**je** _during_
**jé** _on time_

**oj** _future_
**oju** _in the future_
**ojer** _to preempt_
**toj** _afterlife_
**jo** _after_
**jó** _late_

**ij** _beginning_
**iju** _in the beginning, at first_
**ijer** _to begin_
**tij** _birth_
**ji** _since_
 

**uj** _end_
**uju** _in the end, at last_
**ujer** _to end_
**tuj** _death_
**ju** _until_
 

## Natural phenomena (mor, mar, etc.)

**mor** _universe_
**mora** _universal_,

**mòr** _cosmos_
**mòra** _cosmic_, **mòrtun** _cosmology_

**mar** _sun_
**mara** _solar_, **marnad** _sun ray_

**màr** _star_
**màra** _stellar_, **màrán** _constellation_, **màránag** _galaxy_, **màrtun** _astronomy_

**mer** _planet_
**mear** _Mercury_  
**meer** _Venus_  
**meir** _Earth_  
**meur** _Mars_  
**meór** _Jupiter_  
**meár** _Saturn_  
**meér** _Uranus_  
**meír** _Pluto_

**mir** _world_
**mira** _global_  
**amir** _north_, **amira** _nordic_  
**omir** _south_, **omira** _southern_  
**imir** _east_, **imira** _oriental_  
**umir** _west_, **umira** _occidental_  
**emir** _equator, **emira**_ equatorial

**mur** _moon_
**mura** _lunar_  
**mùr** _satellite_  
**muar** _comet_  
**muer** _meteor_  
**muerog** _meteorite_

**mol** _nature_
**mola** _natural_, **omola** _artificial_

**mul** _matter_
**mula** _material_, **multun** _physics_  
**mulet** _particle_  
**amul** _atom_  
**amulán** _molecule_  
**amulet** _atomic particle_  
**amula** _atomic_, **amulzem** _nucleus_, **amulzema** _nuclear_  
**emul** _electron_  
**imul** _proton_  
**umul** _neutron_  
**umulet** _neutrino_  
**ámul** _quark_

**mal** _air_
**mala** _aerial_  
**màl** _gas_  
**maal** _atmosphere_  
**mael** _troposphere_  
**mail** _stratosphere_  
**maul** _ionosphere_  
**maól** _exosphere_  
**malp** _airwave_

**mam** _sky_
**mama** _celestial_, **mamnad** _horizon_, **mamèzún** _rainbow_, **mamceus** _thunder_  
**mamevan** _weather_  
**mamevantun** _meteorology_

**maem** _space_
**maema** _spatial_, **paem** _spacecraft_, **maempopud** _astronaut_

**map** _wind_
**maap** _gust_  
**maep** _breeze_  
**maip** _puff_  
**mapag** _cyclone_  
**mapaget** _storm_  
**maper** _to blow_  
**maiper** _to puff_

**maf** _cloud_
**maaf** _stratus_  
**maef** _nimbostratus_  
**maif** _cumulus_  
**mauf** _cumulonimbus_  
**maóf** _stratocumulus_  
**màaf** _allocumulus_  
**maéf** _allostratus_  
**maíf** _cirrocumulus_  
**maúf** _cirrostratus_  
**malof** _cirrus_  
**óbmaf** _nimbus_  
**mafàa** _cloudy_  
**mafòa** _cloudless_

**mel** _ground, earth_
**mela** _terrestrial_, **meltun** _geography_  
**ánmel** _continent_, **ánmela** _continental_  
**ónmel** _island_, **ónmela** _insular_

**mem** _country_
**meam** _region_  
**meem** _land_  
**meim** _countryside_  
**memcin** _scenery_  
**memud** _peasant_  
**ázmem** _plain_  
**ázmeam** _valley_  
**ázmeem** _dale_  
**ukmem** _desert_  
**ènukmem** _steppe_  
**vabem** _prairie_  
**vabemet** _meadow_  
**ébmem** _isthmus_  
**ézmelber** _to bury_

**mep** _way_
**mèp** _route_  
**meap** _road_  
**meep** _path_  
**meip** _lane, track_  
**meup** _pass_  
**mepet** _alley_  
**uzmep** _detour_  
**izmep** _bee-line_  
**kumep** _sidewalk_  
**domep** _highway_  
**óbmep** _subway_

**meb** _mountain_
  
**mebán** _mountain chain_  
**ázmeb** _plateau_  
**miekmeb** _dune_  
**magmeb** _volcano_, **magmeba** _volcanic_, **magmebil** _lava_  
**mèb** _mount_  
**meab** _hill_  
**meabet** _hillock_

**met** _garden_
**zamet** _front yard, **zomet**_ back yard_, **kumet**_ side yard_, **vocmet**_ flower garden

**med** _park_
**potmed** _zoo_, **fabmed** _arboretum_, **pemed** _parking lot_

**mom** _underground_
**moma** _subterranean_  
**mompar** _subway_  
**momesem** _mine_, **momesud** _miner_

**mob** _precipice_
**mòb** _abyss_  
**moab** _canyon_  
**moeb** _ravine_  
**moib** _cave_  
**moub** _ditch_

**mop** _tunnel_
 

**mim** _sea_
**mima** _marine_  
**mimag** _ocean_  
**miam** _lake_  
**miem** _pond_  
**miim** _marsh_  
**mióm** _swamp_  
**ézmim** _bay_  
**midom** _port_  
**mimkum** _shore_  
**mimázkum** _beach_  
**mimuzkum** _gulf_  
**ébmim** _strait_  
**mimpop** _ocean cruise_  
**mimbok** _seasickness_  
**mimanar** _lighthouse_

**mit** _basin_
 

**mip** _river_
**mipa** _fluvial_, **miper** _to flow, run_  
**miap** _river_  
**miep** _stream_  
**miip** _brook_  
**mipet** _tributary_  
**igmip** _torrent_, **igmipa** _torrential_  
**ébmip** _canal_  
**mipkum** _riverbank_  
**mimzèmep** _bridge_  
**mipugar** _dam_  
**mipàa** _riparian_

**mil** _water_
**mila** _aquatic_  
**óbmila** _underwater_  
**mamil** _rain_  
**mamiler** _to rain_  
**mileter** _to drip_, **milet** _drop_, **miletog** _droplet_, **mileteá** _drippy_  
**umilóbiner** _to drown [intr.]_  
**milpóer** _to drown [intr.]_  
**miltujer** _to drown_, **miltujat** _drowning victim_, **miltuj** _drowning_  
**milper** _to swim_  
**milber** _to water, irrigate_  
**milpón** _waterfall_  
**milabaner** _to wash [tr.]_, **utmilabaner** _to bathe_, **milaban** _bath_, **milabanim** _bathroom_, **milabanam** _bathhouse_, **milabaném** _bathtub_  
**miltim** _bath, washroom_  
**milcom** _sink_  
**ilper** _to flow_, **ilp** _flux, current_  
**iligper** _to gush, stream_  
**ilaper** _to float_, **ilapar** _flotation device_  
**ilukser** _to flush_, **iluksar** _toilet_  
**ilikser** _to flood_, **iliks** _inundation_  
**gámiluper** _to flood_, **gámilup** _flood_  
**ilóper** _to downpour_  
**ilzíber** _to spray_  
**ilpúner** _to squirt_  
**ilpáner** _to gush_  
**iloker** _to leak_, **ilok** _leak_  
**ilpéner** _to splash_  
**tiibiloker** _to bleed_  
**ilzéper** _to leak_, **ilzép** _leak_  
**ogilzéper** _to trickle_, **ogilzép** _trickle_  
**zoílper** _to back up with water_, **zoílp** _reflux_  
**ilpan** _wave_  
**ilpanet** _ripple_  
**ilápóper** _to undulate_, **ilápóp** _undulation, wave action_  
**mimupip** _tide_, **mimupipa** _tidal_  
**mimbin** _tide_, **mibina** _tidal_  
**mimpán** _surf_, **mimpánud** _surfer_, **mimpán faof** _surfboard_  
**ilbuner** _to pump_, **ilbunar** _pump_  
**milbiner** _to pump, draw water_, **milbinar** _pump_, **milbinéc** _well_  
**ilaber** _to pour_  
**utmilzíber** _to take a shower_  
**milbím** _spring_  
**tilcom** _drinking fountain_  
**milbíc** _fountain_  
**mimper** _to navigate, sail_, **mimpar** _ship_  
**mimpoper** _to sail, travel by sea_, **mimpop** _cruise, sea voyage_, **mimpopud** _sea voyager_, **mimpopar** _cruise ship_

**ima** _wet_
**imcer** _to get wet_,**imsrer** _to drench_, **ìmser** _to dampen_, **iman** _wetness_, **ìman** _humidity_, **olimsar** _dehumidifier_

**uma** _dry_
**uman** _dryness_, **umser** _to dry_, **umsar** _dryer_, **umca** _dried_

**ama** _hot_
**aman** _heat_, **amanàg** _temperature_, **àma** _warm_, **àman** _warmth_, **amser** _to heat_, **amsar** _heater_

**oma** _cold_
**oman** _cold_, **òma** _cool_, **omser** _to cool_, **omsur** _refrigerator_, **òmser** _to refresh_, **òmsea** _refreshing_, **òmsun** _refreshment_

**óm** _ice_
**óma** _frozen_, **ómser** _to freeze_, **ómsur** _freezer_  
**óom** _frost_, **óoma** _frosted_, **óomcer** _to frost over_, **olóomser** _to defrost_, **ovóomil** _antifreeze_

**man** _light_
**maer** _to shine_  
**manet** _glimmer_, **maneter** _to glimmer_  
**manser** _to light up_  
**maníjer** _to turn on the light_  
**manújer** _to turn off the light_  
**manager** _to illuminate_  
**màna** _clear_, **mànser** _to clarify_, **mànan** _clarity_  
**lomàna** _opaque_  
**manig** _sparkle_, **maniger** _to sparkle_  
**kumaner** _to reflect_  
**zòmaner** _to mirror_, **zòmanar** _mirror_

**mag** _fire_
**magar** _match_, **magam** _fireplace_  
**magser** _to burn_, **magsar** _burner_  
**magcer** _to burn (intr.)_, **magca** _burned_, **magcun** _a burn_  
**mageler** _to cook_, **magelud** _a cook_, **magelun** _cuisine_, **magelar** _oven_, **magelur** _frying pan_  
**magújer** _to extinguish a fire_, **magújud** _fireman_, **magújam'** _fire department_

  
**magil** _petroleum_  
**magìl** _napth_  
**maagil** _fuel_  
**maegil** _gasoline_  
**maigil** _kerosene_

**mav** _flame_
**maver** _to flame_, **maveá** _flammable_, **mavser** _to inflame_, **mavsen** _inflammation_, **mavugea** _flame retardant_

**mak** _electricity_
**maka** _electrical_, **makser** _to electrify_, **makéna** _electronic_, **maktun** _electronics_, **makveg** _electric power_, **makvegam** _electric power plant_

**mov** _smoke_
**mover** _to smoke_, **movikca** _smoke-filled_, **movet** _plume_

**mon** _dark_
**mona** _dark_, **moncer** _to grow dark_, **monser** _to darken (tr.)_  
**otmon** _shadow_, **otmonéna** _shadowy_  
**mòn** _shade_, **mòna** _shady, obscure_, **mònan** _obscurity_

**meg** _stone_
**megéna** _(made of) stone_, **megàa** _rocky_, **megunkum** _cinder block_  
**megag** _boulder_  
**megog** _pebble_  
**meag** _marble_  
**meeg** _slate_  
**meig** _granite_  
**meug** _clay_  
**meóg** _clay_  
**meág** _chalk_  
**meég** _limestone_  
**meíg** _alabaster_  
**meúg** _rubble stone_  
**mealog** _sandstone_  
**megóg** _gravel_  
**mieg** _pebble_  
**mameg** _coal_  
**maameg** _anthracite_  
**èmameg** _coke_  
**maemeg** _peat_  
**maimeg** _lignite_

**mek** _dust_
**mék** _powder_  
**méik** _paste_  
**mékar** _mill_  
**mékam** _mill_  
**meil** _mud_

**mef** _brick_
**abmef** _tile_

**mev** _porcelaine_
 

**mez** _gemstone_
**amez** _diamond_  
**emez** _topaze_  
**imez** _ruby_  
**ómez** _sapphire_  
**ámez** _amethyste_  
**vamez** _emerald  
**mezán**_ jewelry_, **mezánam**_ jewelry shop

## Money (**nac**)

**naz** _value_
**nazer** _to be worth_, **nazika** _valuable_, **nazuka** _worthless_, **nazder** _to evaluate_, **nazter** _to esteem_, **utnaz** _merit_, **utnazer** _to deserve_, **utnazika** _meritorious_, **onazteá** _inestimable_, **nazta** _esteemed_

**nas** _price_
**nasaga** _expensive_, **nasoga** _cheap_, **nasán** _rates_, **nasuka** _priceless_  
**nàs** _cost_, **nàser** _to cost_, **nàsaga** _costly_, **nàsòa** _cost-free_, **nàsán** _costs_, **nàsder** _to cost out_

**nac** _money_
**nacet** _change_, **nacetéb** _coin purse_, **nacdref** _check_, **jonacdref** _bill_, **nacán** _capital_, **ánac** _funds_, **ánàc** _sum_, **nactun** _finance_, **donactun** _economy_, **nacam** _bank_, **nacika** _rich_, **nacuka** _poor_, **úsnac** _gratuity, tip_, **nasak** _profit_, **nacok** _loss_, **gornacdren** _stock_, **gornacdrenam** _stock market_, **yebkyanac** _commission_, **nacyeg** _debt_, **nacyegaya** _indebted_, **nacyeger** _to owe money_

**noc** _expense_
**nocer** _to spend_, **nòc** _fee_, **funoc** _waste_, **finoca** _generous_

**nec** _savings_
**necer** _to save_, **necán** _savings_, **cágdin necána** _savings account_, **funeca** _stingy_, **nècer** _to economize_

**nuc** _payment_
**nucer** _to pay out_, **nucbier** _to buy_, **nucbiud** _buyer_, **nucbiudán** _clientele_, **dobnuc** _tax_, **nucvegeá** _solvable_, **jobnuc** _credit_, **jobnucud** _creditor_, **jobnucdaf** _credit card_, **januc** _prepayment_, **zònucer** _to reimburse_

**nic** _income_
**nicer** _to collect, cash_, **nicán** _revenue_, **nicbuer** _to pay for_, **nicbuud** _vendor_, **ésnic** _salary_, **ésnìc** _wage_, **tutnic** _honorarium_, **égnicag** _tribute_, **dobnic** _pension_, **dotnic** _allowance_, **donic** _annuity_, **ésnicud** _wage earner_, **jonic** _debit_, **jonicud** _debitor_, **jonicdaf** _debit card_, **zònicer**_to recover_

## Merchandise (**nun**) and materials (**nof**)

**nun** _merchandise_
**nunam** _store_, **nunàm** _boutique_, **nunamet** _shop_, **nunamán** _shopping center_, **nunem** _market_, **nunud** _merchant_, **nunébkán** _commerce_, **nundel** _advertisement_, **nunemtun** _marketing_, **nuler** _to acquit_,

**noz** _jewel_
**nozud** _jeweler_, **nozam** _jewelry shop_, **nozán** _jewelry_, **nozika** _bejeweled_, **tuóz** _bracelet_, **obtez** _necklace_, **tuúz** _ring_, **tiaz** _broche_, **teez** _earring_, **tez** _crown_, **teiz** _nose ring_, **nozkobilud** _jewel thief_

**nof** _material_
**nofser** _to weave_, **nofsar** _loom_, **nofán** _textiles_

**tof** _clothes_
**taf** _suit_  
**tif** _vest_, etc.

**nov** _linen_
**nòv** _sheet_  
**novet** _rag_  
**milnov** _towel_  
**milnovet** _handtowel_  
**milov** _wash cloth_

**naf** _cloth_
**naaf** _drape/curtain_, **naafán** _drapery_  
**naef** _canvas_  
**naif** _velvet_  
**nauf** _net_

**nef** _knit, yarn_
**nefser** _to knit, yarn_  
**neef** _lace_

**nif** _thread, wire_
**nifser** _to thread, wire_  
**nìf** _string_  
**nifet** _filament_  
**nifar** _needle_  
**nivar** _pin_, **ánifer** _to sew_, **ánifur** _sewing machine_, **ániftén** _couture_, **nifòa** _wireless_, **maknif** _electrical cord_

**náf** _knot_
**náfser** _to knot_

**níf** _cord_
**nífet** _lace_  
**nífetog** _braid_

**néf** _sack, bag_
**ném** _box_, **némag** _case_, **poném** _suitcase_, **áznéfem** _basket_

**nóf** _film_
**nóv** _ribbon_

**núf** _button_
**núfec** _buttonhole_ (**zéc** _hole_)

**fuf** _pipe_
**fùf** _tube_  
**tilfuf** _drinking straw_  
**tiibuf** _artery_ (**fub** _branch_)

**zúf** _post_
**zúfet** _column_, **pimzúf** _mast_, **zézúf** _cross-beam_

**zúv** _stick_
**zúvet** _cane_, **ágzúv** _pole_

**faof** _board_
**faocéb** _barrel_ (**fab** _tree_ \+ **nof** _material_ \+ **céb** _container_)

**mez** _crystal_
**meg** _stone_ \+ **naz** _value_

**zéf** _glass_
**zév** _glass_  
**cinzéf** _mirror_, **cimzéf** _window pane_ (**zéteaser** _see through_ \+ **nof** _material_)

**utaéf** _wool_
**upet** _sheep_

**apeéf** _silk_
**apeét** _worm_

**favof** _cotton_
**favob** _cotton plant_

**fivof** _hemp_
**fivob** _hemp plant_

**fuvof** _jute_
**fuvob** _jute plant_

**favov** _cotton wool_
**favob** _cotton plant_

**taóf** _leather_
**taób** _skin_ \+ **nof** _material_

**taéz** _fur_
**taéb** _hair_ \+ **naz** _value_

## Measures and dimensions (nag)

**nog** _degree_
**anoga** _primary_  
**enoga** _secondary_  
**inoga** _tertiary_  
**unoga** _quaternary_  
**henoga** _to what degree, how?_  
**nogper** _to step_, **zànogper** _to advance, progress, step ahead_, **zònogper** _to step back, regress_, **ábnogper** _to step up, be promoted, advance_, **óbnogper** _to step down, be demoted_, **nogà** _by degrees_  
**nòg** _grade, step_, **nogéna** _gradual_, **ujnògper** _to graduate_, **ujnògpud** _graduate_  
**noog** _stage, level, status_, **enooga** _bi-level, two-staged_, **ábnooga** _high-status_, **dotnoog** _social status, class_, **óbdotnooga** _low-class_, **kódotnoog** _caste_

**nag** _dimension_
**anaga** _one-dimensional_  
**enaga** _two-dimensional_  
**inaga** _three-dimensional_  
**glanaga** _multi-dimensional_

  
**nàg** _measure, size', **nàger**_ to measure_, **genàga**_ commensurate_, **onnàgeá**_ immeasurable_,_ zenayga **_moderate_,** ozenayga **_immoderate_,** zenaygaser **_to moderate_,** naygar **_meter (measuring device)_,** nayga **_metric_,** naygpar **_taxi_**

**neg** _level_
**genega** _even_, **ogenega** _uneven, odd_, **glanega** _multiplanar_, **negar** _level (planing device)_, **enega** _bi-level_, **ébnega** _interplanar_

**nég** _space_
**néga** _spatial_, **onég** _void_, **glanéga** _spacious_, **ónanég** _interval_, **ónanégser** _to space out_, **tomnég** _Lebensraum_, cf. **néb** _container_

**nib** _row, rank_
**nibser** _to arrange_, **nibcer** _to adapt_, **niber** _to array_, **oniber** _to disarray_, **óniber** _to topple_, **nibémer** _to dispose_, **ábniba** _high-ranking_

**nip** _order, turn, sequence, queue_
**nipber** _to order_, **onip** _disorder_, **onipber** _to mess up_, **nipba** _ordered, orderly, neat, sequential_, **onipba** _out of sequence, out of order, messed up_, **Heta nip ce?** _Whose turn is it?_, **jonipa** _next_, **janipa** _prior_, **niper** _to queue up, to line up, to get in order_, **zínipber** _to sort_, **vánip** _proper order, order_

**nud** _column_
**nuda** _columnar_, **nibnubi** _coordinates_, **nibnubcan** _grid, matrix, row-column format_

**nod** _point_
**zenod** _mid-point, center_, **zénod** _hub, intersection_, **ábnod** _high-point, climax, apex_, **óbnod** _low-point, nadir_, **ijnod** _starting point_, **ujnod** _endpoint, butt, terminal_, **drenod** _period, dot_

**ned** _surface, plane, face_
**neda** _superficial, planar_, **záned** _stretch_  
**nedet** _facet_, **glaneda** _multifaceted_

**nid** _line_  
(cf. **nif** _wire_)
**nida** _linear_, **teacnid** _light of sight_, **nidber** _to align_, **obnider** _to underline_, **nidar** _ruler_, **elánid** _rail_, **jopnid** _track_, _kunid _**edge, border, rim_,_** _zyunid _**circumference, boundary_,_** _zyeiznid _**perpendicular (line)_,_** _zyeiznida _**perpendicular_,_** _mamnid _**horizon_,_** _yaztanida _**horizontal_,_** _yabtanida _**vertical_,_** _kinid _**diagonal_,_** _zeynid _**transversal_,_** _kinida _**diagonal_,_** _zenid _**midline_,_** _nidcer _**to line up, queue up, form a line_,_ iznid** _straight line_, **geizana nid** _parallel line_, **ébnida** _interlinear_, **drenid** _line of text_, **zanid** _front-line, frontier, forward line_, **óznid** _limit_, **íbnid** _limit_  
**nìd** _ray, radius_, **nìdcer** _to radiate_, **marnìd** _sun ray_, **nìda** _radial_  
**niid** _trait_

**néd** _volume_  
(cf. **néb** _container_)
**nédàa** _voluminous_, **zúnéd** _sphere_  
**gekumnéd** _cube_

**cag** _number_
**caga** _numeric_, **cager** _to number_, **cág** _count_, **cáger** _to count_, **cáag** _calculation_, **cágar** _computer_, **cáagar** _calculator_, **cágud** _accountant_, **cágán** _account_

**nan** _time (frequency)_
**anan** _one time_  
**enan** _twice_  
**glanan** _often_, **glanana** _frequent_  
**glonan** _seldom_  
**henan** _how often?_

  


### Geometry

**kín** _weight_
 

**azan** _strength_
 

**igan** _velocity_
 

**íban** _distance_
 

**izan** _direction_
 

**ágan** _length_
 

**záan** _width_
 

**óban** _depth_
 

**ában** _height_
 

**zúan** _girth_
 

**bar** _pressure_
 

**kítan** _gravity_
 

**gáan** _thickness_
 

**ígan** _solidity_
 

**zeban** _density_
 

**maan** _brightness_
 

**nangan** _frequency_
**egan** _repetition_, **nan** _time(s)_

**jag** _age_
 

**voz** _color_
 

**gan** _quantity_
 

**fin** _quality_
 

**cág** _number_
meaning _count_; _number_ is **cag**

**nog** _degree_
 

**nébgan** _volume_
**nég** _volume, meaning a solid_

**végan** _ratio_
 

**nas** _cost_
 

**naz** _value_
 

**zènidgan** _diameter_
as a line: **zènid**

**zúnidgan** _circumference_
 

**ènzègan** _radius_
as a line: **nìd**

**nag** _dimension_
 

**neg** _level_
 

**nib** _row_
 

**nip** _order_
also: _turn, sequence_

**nub** _column_
(on a grid)

**can** _shape_
 

**néd** _volume, solid_
**zúnéd** _sphere_, **gekumnéd** _cube_, **zúfnéd** _cylinder_, **defábnéd** _cone_, **aginéd** _cone_

**nid** _line_
**kunid** _border_, **zúnid** _contour_, **zénid** _transverse_, **zéiznid** _perpendicular_, **kinid** _diagonal_, **áztanid** _horizontal_, **ábtanid** _vertical_, **zenid** _midline_, **iznid** _vector_, **uznid** _curve, curved line_, **geizana nid** _parallel_

**gun** _angle_
**gegun** _right angle_, **gagun** _obtuse angle_, **gogun** _sharp angle_, **igun** _triangle_, **ugegun** _rectangle_, **uogegun** _rhomboid_

**nod** _point_
**zenod** _midpoint_, **zúnod** _turning point_, **zénod** _intersection_

**kum** _side_
**ágkum** _hypotenuse_, **abkum** _topside_, **obkum** _bottom_, **gekuma** _equilateral_, **ekuma** _bilateral_, **glakuma** _multilateral_, **ugekum** _square_

**ned** _plane_
**eneda** _biplane_, **glaneda** _multifaceted_

**zúc** _circle_
**èzúc** _semi-circle_, **zûc** _oval_

**zúfuf** _cylinder_
 

**gin** _tip, point_
**aginéd** _cone_

## Instruments and Machines (-ar, -ir, -ur)

    The **-ar** suffix is used for _instruments_ and _devices_ in general. The **-ir** suffix is used for _machines_, while **-ur** is used for motors and engines. The distinction is only made when necessary.

### Vehicles (par)

**zíp** _travel_
**zíper** _to travel_, **zíptam** _hotel_, **zípem** _travel destination_, **zìpud** _traveler_, **ifzíp** _tourism_, **ifzípud** _tourist_, **zípdren** _passport_, **zípmep** _itinerary_, **zípém** _suitcase_ or **zípa ném** _suitcase_

**par** _vehicle_
**para** _vehicular_, **parupip** _traffic_, **parzíp** _traffic_, **pareper** _to park_, **parepam** _garage_, **parepem** _parking lot_  
**nunpar** _truck_  
**éspar** _truck_  
**nunparet** _van_  
**makabnifpar** _tram_(electrified overhead wire car)  
**binifpar** _trolley, cable car_ (pulled cable car)  
**elánaadpar** _train_ (iron rail car), **elánaadpar epam** _railway station_  
**naadpar** _train_  
**ágpar** _train_  
**gorsémpar** _train_ (compartmented vehicle)  
**dompar** _bus_ (city vehicle), **dompar epam** _bus station, bus stop_ **dompar epem**  
**tánpar** _bus_ (people vehicle)  
**zípar** _bus_ (roundabout vehicle)  
**ébdompar** _motorcoach_ (intercity vehicle)  
**paret** _cart, wagon_  
**curezúcpar** _motorcycle_, **parizber** _to drive/pilot_, **parizbud** _driver/pilot_, **parizbuda vegdren** _driver's license, pilot's license  
**jobnucpar**_ taxi, cab

**mamp** _flight_
**mamper** _to fly_, **mampud** _aviator_, **mampen** _aviation_

**mampar** _airplane_
**mamparam** _hangar_, **mamparem** _airport_, **mamparet** _small plane_, **memparag** _jumbo jet_, **zípuda mampar** _passenger plane_, **nunkína mampar** _cargo plane_, **dropeka mampar** _warplane_, **zúptuba mampar** _helicopter ("rotating wing plane")_

**memp** _ride_
**memper** _to ride_

**mempar** _car_
**memparam** _carport, garage_, **meparem** _parking lot_, **nàga mempar** _taxi_

**mimp** _sea voyage_
**mimper** _to sail_, **mimpena** _maritime_

**mimpar** _ship_
**mimparem** _marina_, **mimparof** _sail_, **óbmimpar** _submarine_, **mimparud** _mariner_, **mimpartim** _ship cabin_, **mimzíp** _cruise_, **mimpareb** _ship captain_, **nunmimpar** _cargo ship_

**maimpar** _hydroplane_
 

**meampar** _funicular_
 

**mompar** _subway_
**momparem** _subway station_, **mompar zémep** _subway tunnel_

### Tools

**c-** _object_
**car** _tool_  
**carán** _toolset_  
**tuábcar** _handtool_  
**éscar** _work tool_  
**carném** _toolbox_  
**egcarser** _to retool, repair_  
**egcarsud** _repair technician_

**c-** _object_
**càr** _instrument_  
**càrán** _instrumentation_  
**càréna** _instrumental_  
**càrcer** _to be instrumental_

**c-** _object_
**cur** _device_  
**curán** _equipment_  
**curbàser** _to equip_  
**dopcurán** _ordnance_

**c-** _object_
**cúr** _apparatus, system_  
**cúra** _systemic_  
**cúraser** _to systematize_

**c-** _object_
**cir** _machine_  
**cirán** _machinery_  
**cira** _mechanical_  
**cirud** _mechanic_  
**ciraser** _to mechanize_

**c-** _object_
**cír** _motor, engine_  
**círàa** _motorized_  
**círàser** _to motorize_

**c-** _object_
**cìr** _mecanism_
 

**p-** _go_
**par** _vehicle, car_  
**para** _vehicular_  
**parupip** _traffic_  
**parepam** _garage_  
**parepem** _parking lot_  
**círpar** _motor vehicle_  
**círezúcpar** _motorcycle_ (also: **círezúc** _motorbike_)

**goper** _to cut_
**gopar** _knife_  
**goparer** _to stab_

**ígfagoper** _to saw_
**ígfagopar** _saw_

**gofer** _to shear_
**gofar** _scissors, shears_

**grorber** _to shave_
**grorbar** _shaver, razor_

**úzbaler** _to pinch_
**úzbalar** _pliers_  
**úzbalaret** _tweezers_

**zúfod** _screw_
**zúfodar** _screwdriver_

**apéner** _to hit_
**apénar** _hammer_  
**apénarer** _to hammer_

**mamil** _rain_
**ovmamilar** _umbrella_

**póner** _to fall_
**ovpónar** _parachute_

**mar** _sun_
**ovmarar** _parasol_

**biner** _to pull_
**binar** _handle_

**mobser** _to dig_
**mobsar** _excavator_

**uklan** _hollow_
**uklar** _shovel_

**zéc** _hole_
**zécbar** _bore_

**nofázer** _to iron_
**nofázar** _iron_  
**nofázenfaof** _ironing board_

**aman** _heat_
**amsar** _heater_

**oman** _cold_
**omsar** _refrigerator_

**óm** _ice_
**ómsar** _freezer_

**ánifer** _to sew_
**ánifur** _sewing machine_

**nif** _thread_
**nifar** _needle_  
**nivar** _pin_

**mék** _powder_
**mékar** _mill, grinder_

**taéb** _hair_
**taébar** _comb_  
**taébarer** _to comb_

**vícer** _to clean_
**vícar** _brush, sweep_  
'**vícarer** _to brush, sweep_

**albaner** _to wipe_
**albanar** _mop_  
**albanarer** _to mop_

**álber** _to lift_
**álbur** _elevator_

**teler** _to eat_
**telar** _fork_

**tiler** _to drink_
**tilar** _spoon_

**iber** _to receive_
**ibar** _receiver_

**uber** _to send_
**ubar** _transmitter_

**íjer** _to open_
**íjar** _key, opener_

**azújer** _to lock_
**azújar** _lock_

**céb** _container_
**cébíjar** _opener (for cans, bottles, etc.)_

**dopa** _military_
**dopar** _weapon_  
**doapar** _gun_

  
**dopur** _rifle_  
**igdopur** _machine-gun_  
**dopir** _canon_  
**doapir** _bazooka_

**mageler** _to cook_
**magelar** _cooker_

**magiler** _to boil_
**magilar** _boiler_

**magler** _to roast_
**maglar** _roaster, oven_

**abmagler** _to grill_
**abmaglar** _grill_

**tel** _food_ \+ **éber** _to hold_
**telébar** _platter_

**telarán** _dishes_
**telarán milbar** _dishwasher_

**il** _liquid_ \+ **újer** _to close_
**ilújar** _faucet_

**mip** _river_ \+ **ugser** _to brake_
**mipugsar** _dam_

**mil** _water_ \+ **ukser** _to flush_
**miluksar** _toilet_

**drer** _to write_
**drar** _pen_  
**drear** _pencil_

**uga** _slow_
**ugsar** _brake_

**úgcra** _elastic_
**úgcrar** _spring_

**eker** _to play_
**ekar** _toy_

**cág** _count_
**cágar** _calculator_  
**cágir** _computer_

**mancin** _photo_
**mancinar** _camera_

**panmancin** _movie_
**panmancinar** _movie camera_

**ceus** _sound_
**ceusdrar** _recorder_

**ceus** _sound_ \+ **iber** _to receive_
**ceusibar** _radio_

**cin** _image_ \+ **iber** _to receive_
**cinibar** _television_

**teuz** _voice_ \+ **iber** _to receive_
**teuzibar** _telephone_

**mak** _electricity_ \+ _cyefet_ _cell_
**makcéfet teuzibar** _cellphone_

**nif** _wire_
**onifa teuzibar** _wireless phone_

**pan** _motion_
**paneá teuzibar** _mobile phone_

**tuúb** _finger_ \+ **drer** _write_
**tuúdrar** _keyboard, typewriter_

**tun** _datum_ \+ **káls** _conversion_
**ébtunkálsar** _modem_

## Animals (pot)

    All animal terms contain the notions of _mobile_ (**p**) and _organism_ (**t**).

### Summary

**pot**
_animal (in general)_

**pót**
_wild beast_

**pat**
_bird_

**pet**
_animal (land)_

**pét**
_reptile_

**pelt**
_insect_

**pit**
_fish_

### Domesticated animals (pet)

**male**
**female**
**child**
**home**
**noise**
**other**

**pot** _animal_
**pòt** _female animal_
**potob** _baby animal_
**potmet** _zoo_
**poder** _to make an animal noise_
**potun** _zoology_  
**potuna** _zoological_  
**potmet** _zoo_  
**potuj** _hunt_, **potujud** _hunter_, **potujer** _tohunt_  
**potaéb** _mane_  
**poteub** _muzzle_  
**poteib** _snout_  
**potub** _paw_  
**potuúb** _claw_  
**tiúb** _tail_  
**teúb** _horn_  
**tampot** _pet_, **poténa** _animalistic_, **potán** _animalia_, **potan** _animality_

**apet** _horse_
**apèt** _mare_
**apetob** _foal_
**apetam** _stable_
**apeder** _to neigh_
**apeta** _equine_  
**apetapen** _equitation_  
**apetigpek** _horse race_  
**apetigpekam** _hippodrome_  
**aopet** _gelding_

**epet** _bull_
**epèt** _cow_
**epetob** _calf_
**epetam** _bull pen_
**epeder** _to snort_, **epèder** _to moo_
**epeta** _bovine_  
**eapet** _buffalo_  
**eopel** _beef_

**ipet** _ass_
**ipèt** _she-ass_
**ipetob** _donkey_
 
**ipeder** _to bray, hehaw_
**iapet** _mule_

**upet** _ram_
**upèt** _ewe_
**upetob** _lamb_
 
**upeder** _to bleat_
**uopet** _sheep_, **uopetbelud** _shepherd_  
**utaef** _wool_  
**íopel** _mutton_

**ópet** _goat_
**ópèt** _nanny-goat_
**ópetob** _kid_
 
 
**ópetbelud** _goatherder_  
**ótaéf** _goat's hair_

**ápet** _hog_
**ápèt** _sow_
**ápetob** _piglet_
**ápetam** _pigpen_
**ápeder** _to squeal_
**ápeta** _porcine_  
**ápetôafud** 'pig's foot_  
**ápel**_ pork_  
**ápetól**_ ham_  
**ápetaol**_ sausage

**épet** _dog_
**épèt** _bitch_
**épetob** _pup_
**épetam** _doghouse_
**épeder** _to bark_
**épeta** _canine_, **êpetob** _puppy_

**ípet** _cat_
**ípèt** _she-cat_
**ípetob** _kitten_
**ípetam** _cathouse_
**ípeder** _to meow_, **îpeder** _to purr_
**ípeta** _feline_, **ípetobán** _litter_

**úpet** _rabbit_
**úpèt** _doe rabbit_
**ípetob** _baby rabbit_
**úpetam** _rabbit cage_
 
**úpetôafud** _rabbit's foot_  
**úlpet** _hare_

**tapet** _monkey_
**tapèt** _female monkey_
 
 
**tapeder** _to make monkey noises_
**taapet** _chimpanzee_, **tapetag** _ape_

**gapet** _elephant_
 
**gapetob** _elephant cub_
 
 
**gapeit** _hippopotamus_

**gepet** _rhinoceros_
 
 
 
 
 

**vapet** _stag, hart_
**vapèt** _doe, hind_
**vapetob** _fawn_
 
 
 

**vepet** _deer_
 
 
 
 
 

**vipet** _roebuck_
 
 
 
 
 

**vupet** _chamois_
 
 
 
 
 

**vópet** _llama_
 
 
 
 
 

**vápet** _antilope_
 
 
 
 
 

**vépet** _gazelle_
 
 
 
 
 

**vípet** _elk, moose_
 
 
 
 
 

**fapet** _camel_
**fapèt** _she-camel_
 
 
 
 

**fepet** _dromadery_
 
 
 
 
 

**kapet** _squirrel_
 
 
 
 
 

**kepet** _polecat_
 
 
 
 
 

**kipet** _badger_
 
 
 
 
 

**kupet** _otter_
 
 
 
 
 

**kópet** _weasel, stone marten_
 
 
 
 
 

**kápet** _beaver_
 
 
 
 
 

**képet** _ermine, stoat_
 
 
 
 
 

**sapet** _hedgehog_
 
 
 
 
 

**sepet** _porcupine_
 
 
 
 
 

**sipet** _mole_
 
 
 
 
 

**zapet** _tortoise_
 
 
 
 
**zapeit** _turtle_  
**zataób** _turtle shell_

**klapet** _rat_
 
**klapetob** _baby rat_
**klapetam** _rat's nest_
 
 

**klepet** _mouse_
 
**klepetob** _young mouse_
 
**klapeder** _to squeek_
**klepetar** _mouse (computer device)_

### Wild animals ( pyot )

**male**
**female**
**child**
**home**
**noise**
**other**

**ápót** _boar_
 
 
 
 
 

**rapót** _lion_
**rapôt** _lioness_
**rapótob** _lion cub_
**rapótam** _lion's den_
**rapóder** _to roar_
 

**repót** _tiger_
**repôt** _tigress_
**repótob** _tiger cub_
**repótam** _tiger's den_
**repóder** _to growl_
 

**ripót** _leopard_
**ripôt** _female leopard_
**ripótob** _leopard dub_
 
 
**riapót** _panther_  
**riepót** _jaguar_  
**riipót** _puma_  
**riupót** _lynx_

**rupót** _wolf_
**rupôt** _she-wolf_
**rupótob** _wolf cub_
**rupótam** _wolf's lair_
**rupóder** _to howl_
**rupóta** _lupine_

**rópót** _fox_
**rópôt** _vixen_
**rópótob** _fox cub_
**rópótam** _foxhole_
 
 

**gápót** _hyena_
**gâpót** _she-hyena_
**gápótob** _baby byena_
 
**gápóder** _to laugh like a hyena_
**gáapót** _jackal_

**tapót** _orang-utang_
 
 
 
 
 

**tepót** _bear_
 
**tepótob** _bear cub_
**tepótam** _bear cave_
**tepóder** _to growl (like a bear)_
 

### Reptiles (pyet) and amphibians (pyeit)

**male**
**female**
**child**
**home**
**noise**
other

**pyet** _reptile_
 
 
 
 
**pyeta** _reptilian_

**gapyet** _crocodile_
 
 
 
 
**gaypyet** _alligator_

**gepyet** _cayman_
 
 
 
 
 

**kepyet** _lizard_
 
 
 
 
 

**lopyet** _snake_
 
 
 
**lopyeder** _to hiss_
**lopyeper** _to slither_

**lapyet** _boa_
 
 
 
 
 

**lepyet** _cobra_
 
 
 
 
 

**lipyet** _viper_
 
 
**lipyetam** _viper's nest_
 
 

**sipet** _mole_
 
 
 
 
 

**apyeat** _bat_
 
 
**apyeatam** _bat's cave_
 
 

**epyeat** _vampire_
 
 
 
 
 

**fapyet** _grass snake_
 
 
 
 
 

**fepyet** _slug_
 
 
 
 
 

**fipyet** _leech_
 
 
 
 
 

**vapyet** _snail_
 
 
 
 
**vapyel** _escargot_  
**vapyetigyena** _sluggish, at a snail's pace_, **vapyeper** _to move at a snail's pace_

**apyeit** _toad_
 
 
**apyeitam** _toadstool_
 
 

**epyeit** _frog_
 
 
 
 
**epyeiper** _to leapfrog_

**ipyeit** _tree frog_
 
 
 
 
 

### Insects (pelt)

**male**
**female**
**child**
**home**
**noise**
**other**

**pelt** _insect_
 
 
 
 
**peltán** _swarm_, **ovpeltil** _insecticide_, **peltujsil** _insecticide_, **pelteleat** _insectivore_, **pelper** _to crawl around_

**kopelt** _vermine_
 
 
 
 
 

**kapelt** _louse_
 
 
 
 
**kapeltika** _lousy_

**kepelt** _flea_
 
 
 
 
**ovkepeltof** _flea collar_, **kepeltika** _flea-bitten_

**kipelt** _bug_
 
 
 
 
**ovkipeltil** _bug spray_

**apelat** _bee_
 
 
**apelatam** _beehive_
**apelader** _to buzz_
**apelatil** _honey_, **apelatél** _wax_, **apelatán** _swarm of bees_

**epelat** _wasp_
 
 
**epelatam** _wasp's nest_
 
 

**ipelat** _horsefly_
 
 
 
 
 

**upelat** _fly_
 
 
 
 
**ovupelatar** _fly-swatter_

**ópelat** _mosquito_
 
 
 
 
**ovópelanef** _mosquito net_

**lapelat** _maybug_
 
 
 
 
 

**lepelat** _beetle_
 
 
 
 
 

**tapelat** _cicada_
 
 
 
**tapelader** _to chirp_
 

**gapelat** _butterfly_
 
 
 
 
**ápelaper** _to flit about_

**fapelt** _ant_
 
 
**fapeltam** _anthill_
 
**fapeltán** _swarm of ants_

**peét** _worm_
 
 
 
 
**peétéc** _wormhole_

**apeát** _silkworm_
 
 
 
 
 

### Birds (pat)

**male**
**female**
**child**
**home**
**noise**
**other**

**pat** _bird_
 
 
**patam** _bird's nest_
**pader** _to chirp_
**patijob** _egg_, **patijser** _to hatch_, **patper** _to fly_, **patpier** _to fly off_, **pateub** _beak_, **patub** _wing_, **pataéb** _feather_, **patulob** _claw_, **patésun** _aviculture_, **patém** _farmyard_, **patán** _poultry_

**apat** _rooster, cock_
**apàt** _hen_
**apatob** _chick_
**apatam** _chicken coop_
**apader** _to crow_
**apàtog** _chicken_

**epat** _duck, drake_
**epàt** _hen_
**epatob** _duckling_
 
**epader** _to quack_
**epatob** _duckling_

**ipat** _turkey_
**ipàt** _turkey hen_
 
 
**ipader** _to gobble_

**upat** _goose_
 
 
 
 
**upatijob** _goose-egg_

**ópat** _guinea-fowl_
 
 
 
 
 

**ápat** _pigeon_
**ápàt** _dove_
 
**ápatam** _pigeon house_
**ápader** _to coo_
 

**rapat** _eagle_
 
**rapatob** _eaglet_
 
 
 

**repat** _vulture_
 
 
 
 
 

**ripat** _kite_
 
 
 
 
 

**rupat** _buzzard_
 
 
 
 
 

**rópat** _hawk_
 
 
 
 
 

**rápat** _falcon_
 
 
 
 
**rápatud** _falconer_

**fapat** _raven_
 
 
 
 
 

**fepat** _crow_
 
 
 
 
 

**fipat'** _magpie_
 
 
 
 
 

**gapat** _ostrich_
 
 
 
 
 

**gepat** _peacock_
 
 
 
 
 

**dapat** _stork_
 
 
 
 
 

**dapait** _heron_
 
 
 
 
 

**depat** _marabou_
 
 
 
 
 

**depait** _crane_
 
 
 
 
 

**zapat** _swallow_
 
 
 
 
 

**zepat** _martinet_
 
 
 
 
 

**tapat** _parrot_
 
 
 
**tapader** _to parrot_
 

**tepat** _budgie_
 
 
 
 
 

**vapat** _nightingale_
 
 
 
 
 

**vepat** _yellow canary_
 
 
 
 
 

'_vipat_ _canary_
 
 
 
 
 

**vupat** _chaffinch_
 
 
 
 
 

**vápat** _robin_
 
 
 
 
 

**fapat** _thrush_
 
 
 
 
 

**fepat** _warbler_
 
 
 
**fepader** _to warble, yodel_
 

**fipat** _sparrow_
 
 
 
 
 

**sapat** _partridge_
 
 
 
 
 

**sepat** _quail_
 
 
 
 
 

**sipat** _woodcock_
 
 
 
 
 

**supat** _lark_
 
 
 
 
 

**sópat** _pheasant_
 
 
 
 
 

**sápat** _grouse_
 
 
 
 
 

**lapait** _swan_
 
 
 
 
 

**apait** _cormorant_
 
 
 
 
 

**epait** _gull_
 
 
 
 
 

**gapait** _penguin_
 
 
 
 
**gapaiper** _to strut like a penguin_

### Fish (pit)

**pit** _fish_
**pitán** _school of fish_, **pitub** _fin_, **pitaéb** _scale_, **pitésun** _pisciculture_, **pitun** _ichthyology_, **pitut** _ichthyologist_, **pitpin** _fishing_, **pitpinud** _fisherman_

**rapit** _shark_
 

**repit** _dolphin_
 

**ripit** _sperm whale_
 

**rupit** _walrus_
 

**rópit** _porpoise_
 

**rápit** _swordfish_
 

**répit** _tuna_
 

**rípit** _sturgeon_
 

**rúpit** _cod_
 

**lapit** _ray_
 

**lepit** _turbot_
 

**lipit** _salmon_
 

**lupit** _sole_
 

**capit** _herring_
 

**cepit** _barbel_
 

**cipit** _anchovie_
 

**cupit** _gilt-head_
 

**apit** _sardine_
 

**epit** _perch_
 

**ipit** _pike_
 

**upit** _carp_
 

**ópit** _tench_
 

**ápit** _gudgeon_
 

**épit** _stickleback_
 

**ípit** _marline_
 

**gapit** _whale_
 

**vapit** _eel_
 

**apiet** _seal_
 

**epiet** _sea-lion_
 

### Crustaceans (piit)

**piit** _shellfish_
 

**apiit** _lobster_
 

**epiit** _crayfish_
 

**ipiit** _prawn_
 

**upiit** _crawfish_
 

**ópiit** _prawn_
 

**ápiit** _shrimp_
**ápiitpin** _shrimping_

**lapiit** _crab_
**lapiitpin** _crabbing_

**apiét** _oyster_
**piétaób** _shell_, **piéz** _pearl_, **piètésun** _ostreiculture_

**epiét** _mussle_
 

**ipiét** _clam_
**ipiétpinud** _clamdigger_

## Vegetation (fob)

### Summary

**fob**
_vegetation_

**fab**
_tree_

**fáb**
_fruit_

**vob**
_plant_

**vol**
_legume_

**voc**
_flower_

**voz**
_color_

**vab**
_grass_

### Trees and fruits

**fob** _vegetation_
**fobtun** _botany_, **fobtut** _botanist_, **fobéstun** _agronomy_, **fobésun** _agriculture_, **fobésuna** _agricultural_, **fobésud** _farmer_, **fobésem** _farm_

**fab** _tree_
**fàb** _shrub_, **fàbet** _bush_, **fàbán** _shrubery_, **fabán** _forest_, **fabánésun** _forestry_, **fabánésud** _forester_, **fabánàca** _forested_, **fabánet** _woods_, **fabánog** _grove, copse_, **fàbánet** _scrub_, **fàbán** _thicket_, **fabmed** _orchard_

**fib** _trunk_
 

**fub** _branch, limb_
**fubet** _twig_

**faéb** _leaf_
**faébán** _foliage_, **faébet** _bud_

**fáb** _fruit_
**fábéna** _fruity_, **fábél** _jam_, **fâbél** _jelly, marmalade_, **fábóm** _sherbet_, **fábtul** _fruit cocktail_, **fábzeb** _pit (of fruit)_, **fâob** _peel_

**fób** _root_
**radicule**, **fóbober** _to deracinate_

**faob** _wood_
**faoba** _wooden_

**faab** _sap_
 

**faób** _bark_
 

**afab** _apple tree_
**afáb** _apple_, **afabet** _boxer tree_

**efab** _pear tree_
**efáb** _pear_, **efabet** _spindle-tree_

**ifab** _cherry tree_
**ifáb** _cherry_, **ifabet** _privet_

**ufab** _prune tree_
**ufáb** _prune_

**ófab** _apricot tree_
**ófáb** _apricot_

**áfab** _peach tree_
**áfáb** _peach_

**éfab** _quince tree_
**éfáb** _quince_

**ífab** _walnut tree_
**ífáb** _walnut_

**úfab** _hazelnut tree_
**úfáb** _hazelnut_

**alofàb** _blackberry vine_
**alofáb** _blackberry_

**lafab** _orange tree_
**lafáb** _orange_

**lefab** _mandarin tree_
**lefáb** _mandarin_

**lifab** _lemon tree_
**lifáb** _lemon_

**lufab** _grapefruit tree_
**lufáb** _grapefruit_

**fefab** _date tree_
**fefáb** _date_

**fifab** _banana tree_
**fifáb** _banana_

**fufab** _cononut tree_
**fufáb** _coconut_

**fófab** _pomegranite tree_
**fófáb** _pomegranite_

**fífab** _fig tree_
**fífáb** _fig_

**vafàb** _grape vine_
**vafáb** _grape_, **vafàbem** _vineyard_, **vafábil** _grape juice_, **vafil** _wine_, **vafilsam** _winery_, **ígvafil** _vinaiger_, **vafilifud** _oinophile_

**cafàb** _tea plant_
**cafaéb** _tea leaf, tea_, **cafil** _tea (drink)_, **cafilam** _tea house_

**cefàb** _coffee plant_
**cefáb** _coffee bean, coffee_, **cefil** _coffee (drink)_, **cefilam** _cafe_

**cifàb** _blackcurrant bush_
**cifáb** _blackcurrant_

**cufàb** _raspberry bush_
**cufáb** _raspberry_

**cófàb** _currant bush_
**cófáb** _currant_

**sifàb** _pepper plant_
**sifáb** _pepper_, **sifáber** _to pepper_, **sifábika** _peppery_

**kafab** _olive tree_
**kafáb** _olive_, **kafábél** _olive oil_

**rafab** _oak tree_
**rafáb** _acorn_

**refab** _beech tree_
**refaob** _beechwood_

**rifab** _chestnut tree_
**rifáb** _chestnut_

**rufab** _plane tree_
 

**rófab** _poplar tree_
'**rófaob** _poplar wood_

**ráfab** _birch tree_
**ráfaob** _birchwood_

**réfab** _locust tree_
 

**rífab** _chestnut tree_
**fífáb** _chestnut_

**rúfab** _willow tree_
**rúafab** _weeping willow_

**ralafab** _lime tree, linden_
**ralafáb** _lime_

**ralefab** _maple tree_
**ralefaob** _maplewood_

**ralofab** _elm tree_
**ralofaob** _elmwood_

**dofab** _evergreen tree_
**dofáb** _cone_

**dafab** _fir tree_
 

**defab** _pine tree_
**defáb** _pine cone_, **defaéb** _pine needle_, **defaob** _pine (wood)_

**dufab** _cypress tree_
**dufaob** _cypress wood_

### Plants, vegetables, grains, and legumes

**vob** _plant_
**vober** _to plant_, **vobem** _plantation_, **vobud** _planter_, **vobier** _to harvest_, **vobijob** _harvest (time)_, **vobésam _farm_,** vobyesud **_farmer_**

**vab** _grass_
**vabem** _grassland, prairie_, **vabema** _rural_, **vabgorcer** _to mow_, **vabemet** _lawn_, **vabán** _grass (lawn)_, **vabij** _germ_, **vabóg** _moss_, **vabib** _crop, harvest_, **vabiber** _to reap_, **vabam** _barn_

**veb** _ear, tuft, spike_
 

**vib** _stem_
 

**vaob** _hay_
 

**vub** _blade, sprig, twig_
 

**váb** _seed_
**vábet** _seedling_, **váber** _to seed_

**vâb** _grain, bean_
 

**vulob** _thorn, spine_
**vulobika** _thorny_

**ovob** _cereal_
 

**avob** _wheat_
**avol** _bread_, **avolek** _flour_

**evob** _rye_
 

**ivob** _barley_
 

**uvob** _buckwheat_
 

**óvob** _oat_
**óvolek** _oatmeal_

**ávob** _hop_
**ávil** _beer_

**évob** _rapeseed, colza_
 

**ívob** _rice_
 

**gavob** _sunflower_
**gaváb** _sunflower seed_

**gevob** _corn, maize_
**geváb** _kernel_, **gevobek** _cornmeal_

**givob** _tobacco_
**givoc** _cigar_, **givocet** _cigarette_, **givov** _tobacco smoke_

**favob** _cotton_
**faváb** _cottonseed_, **favof** _cotton fabric_

**fevob** _flax_
 

**fivob** _hemp_
**fuvov** _marijuana, pot_

**fuvob** _jute_
 

**zavob** _strawberry bush_
**zaváb** _strawberry_

**cavob** _fern_
 

**cevob** _thistle_
 

**civob** _nettle_
 

**savob** _mushroom_
 

**zevob** _basil_
 

**zivob** _thyme_
 

**zuvob** _rosemary_
 

**ováb** _legume, bean_
 

**aváb** _green bean_

**eváb** _lentil_
 

**iváb** _pea_
 

**uváb** _broad bean_
 

**óváb** _lima bean_
 

**vol** _vegetable_
**volinud** _vegetarian_, **volem** _vegetable garden_, **volcer** _to vegetate_

**lovol** _tuber_
 

**lavol** _potato_
 

**levol** _beet_
**level** _sugar_, **levela** _sweet_

**livol** _radish_
 

**luvol** _carrot_
 

**lávol** _artichoke_
 

**lóvol** _turnip_
 

**favol** _leek_
 

**fevol** _onion_
 

**fivol** _shallot_
 

**fuvol** _garlic_
 

**pavol** _cabbage_
 

**pevol** _cauliflower_
 

**bavol** _tomato_
**bavil** _tomato juice_

**bevol** _eggplant_
 

**bivol** _squash_
 

**buvol** _cucumber_
**ígza buvol** _pickle_

**bávol** _artichoke_
 

**bóvol** _gherkin_
 

**vavol** _lettuce_
 

**vevol** _spinach_
 

**vivol** _sorrel_
 

**vuvol** _dandelion_
 

**vávol** _watercress_
 

**vóvol** _chicory_
 

**gavol** _pumpkin_
 

**gevol** _melon_
 

**givol** _watermelon_
 

**zavol** _parsley_
 

### Flowers and colors

**voc** _flower_
**voca** _floral_, **vocer** _to flower_, **vocen** _flowering_, **vocud** _florist_, **vocán** _bouquet_, **vocaéb** _petal_, **vocém** _flowerbed_, **vocésun** _horticulture_

**avoc** _lily_
**avoza** _white_

**evoc** _narcissus_
**evoza** _yellow_

**ivoc** _poppy_
**ivoza** _red_

**uvoc** _rose_
**uvoza** _pink_

**óvoc** _cornflower_
**óvoza** _blue_

**ávoc** _hydrangea_
**ávoza** _mauve_

**évoc** _lilac_
**évoza** _lilac_

**ívoc** _violet_
**ívoza** _violet_

**úvoc** _carnation_
 

**lovoc** _daisy_
 

**lavoc** _lily of the valley_
 

**levoc** _jonquil_
 

**livoc** _geranium_
 

**luvoc** _forget-me-not_
 

**lávoc** _tulip_
 

**lévoc** _dahlia_
 

**lóvoc** _hyacinthe_
 

**elavoc** _iris_
 

**elevoc** _primrose_
 

**elivoc** _chrysanthemum_
 

### Colors (voz)

    Change **-oza** to **-òza** to get _-ish_ as in _whitish (**avòza**)._
    Change **-oza** to **-óza** to get _dark ..._ as in _dark red (**ivóza**)._

  


  
**voz** _color_
**vooz** _tint, hue_

  
**avoza** _white_
from **avoc** _lily_

  
**evoza** _yellow_
from **evoc** _narcissus_

  
**ivoza** _red_
from **ivoc** _poppy_

  
**uvoza** _pink_
from **uvoc** _rose_

  
**óvoza** _blue_
from **óvoc** _cornflower_

  
**ávoza** _mauve_
from **ávoc** _hydrangea_

  
**évoza** _lilac_
from **óvoca** _lilac_

  
**ívoza** _violet, purple_
from **ívoc** _violet_

  
**vaza** _green_
from **vab** _grass_

  
**moza** _black_
from **mon** _darkness_ or **moj** _night_

  
**maza** _sky blue_
from **mam** _sky_ or **maj** _day_

  
**èmoza** _gray_
from **è** _half_ \+ **moza** _black_

  
**meza** _khaki_
from **mel** _soil_

  
**lafáza** _orange_
from **lafáb** _orange_

  
**rifáza** _maroon_
from **rifáb** _water chestnut_

  
**rífyza** _brown_
from **rífáb** _chestnut_

  
**vápeza** _beige_
from **vápet** _antilope_

## Some Cross-thematic Analogies in Vocabulary

human
tree
grass
food
material

**taob**
**faob**
**vaob**
**taol**
**faof**

flesh
wood
hay
meat
board

human
tree
plant
fruit
fish
cloth

**taób**
**faób**
**vaób**
**vâob**
**piétaób**
**taóf**

skin
bark
husk
rind
shell
leather

human
tree
plant
flower
bird
fish

**taéb**
**faéb**
**vaéb**
**vocaéb**
**pataéb**
**pitaéb**

hair
leaf
twig
petal
feather
scale

human
tree
plant
bird
fish
government
animal

**tub**
**fub**
**vub**
**patub**
**pitub**
**dub**
**petub**

arm
branch
blade
wing
fin
minister
forepaw

society
human
work
plant
fish

**deb**
**teb**
**seb**
**veb**
**piteb**

chief
head
boss
tuft
fish-head

form
gesture
knowledge
action
society
citizen
people
person
past+person
person
life
speech

**cén**
**bén**
**tén**
**sén**
**dotcén**
**ditbén**
**udánbén**
**utbén**
**ajutbén**
**utcén**
**tijbén**
**dabén**

style
manner
profession
tradecraft
civilization
civility
custom
habit
tradition
genre
lifestyle
dialect

t-d
t-z
d-c
d-z
s-c
s-z
c-z
c-s

**teud**
**teuz**
**deuc**
**deuz**
**seuc**
**seuz**
**ceuz**
**ceus**

shout
voice
accent
song
noise
melody
tone
sound

t-c
t-s
b-c
t-p
t-d
c-c
iz-c
n-c
ij-c

**teacer**
**teaser**
**beacer**
**teaper**
**teader**
**ceacer**
**izeacer**
**neacer**
**ijeacer**

to see
to look
to watch
to visit
to witness
to seem
to show
to aim
to perceive

  


**mar**
**mag**
**man**
**mak**
**maz**
**mav**
**mal**
**mam**
**map**
**maf**
**maj**

sun
fire
light
electricity
sparkle
flame
air
sky
wind
cloud
day

  


**mer**
**meg**
**mek**
**mez**
**mef**
**mev**
**mel**
**mem**
**meb**
**mep**
**mej**
**med**
**met**

planet
rock
dust
gem
brick
porcelain
soil
land
mountain
road
noon
park
garden

  


**ij**
**tij**
**patij**
**tobij**
**atobij**
**vobij**
**tesij**

beginning
birth
egg
embryo
germ
seed
idea

## Nationalities

place name adjective inhabitant language

Asyam
Asya
Asyat
n/a

Afrikam
Afrika
Afrikat
n/a

Algeryam
Algerya
Algeryat
Algerya Arabad

Albanyam
Albanya
Albanyat
Albanyad

Amerikam
Amerika
Amerikat
Amerikad

Armenyam
Armenya
Armenyat
Armenyad

Afganam
Afganya
Afganat
n/a

Argentinyam
Argentinya
Argentinyat
Argentinya Spanyad

Arabam
Araba
Arabat
Arabad

Balujam
Baluja
Balujat
Balujad

Ciryam
Cirya
Ciryat
Cirya Arabad

Cenegalam
Cenegala
Cenegalat
Cenegalad

Ckotlandam
Ckotlanda
Ckotlandat
Ckotlandad

Cpanam
Cpana
Cpanat
Cpanad

Cwedam
Cweda
Cwedat
Cwedad

Danmarkam
Danmarka
Danmarkat
Danmarkad

Englandam
Englanda
Englandat
Englandad

Europam
Europa
Europat
n/a

Francam
Franca
Francat
Francad

Finlandam
Finlanda
Finlandat
Finlandad

Germanyam
Germanya
Germanyat
Germanyad

Helvetyam
Helvetya
Helvetyat
Helvetyad

Holandam
Holanda
Holandat
Holandad

Italyam
Italya
Italyat
Italyad

Irlandam
Irlanda
Irlandat
Irlandad

Kanadam
Kanada
Kanadat
Kanada Englandad/Francad

Lugandam
Luganda
Lugandat
Lugandad

Nairobam
Nairoba
Nairobat
Nairobad

Omir-Afrikam
Omir-Afrika
Omir-Afrikat
Omir-Afrika Holandad

Pakistanam
Pakistana
Pakistanat
n/a

Rodesyam
Rodesya
Rodesyat
n/a

Setlandam
Setlanda
Setlandat
n/a

Tailandam
Tailanda
Tailandat
Tailandad

Ugandam
Uganda
Ugandat
Ugandad

Vietnam
Vietnama
Vietnamat
Vietnamad

Zululandam
Zululanda
Zululandat
Zululandad

  


  


# Grammar

### Spelling

    The author of Unilingua, Agapoff, uses a double quote to signal capitalization and thus dispenses with all majuscules. In this Mirad textbook, however, majuscules (upper case graphemes) are used and capitalization adheres to the American English model.

    In this book, the mostly Cyrillic single-grapheme characters used by Agapoff for yodified vowels are replaced with the following system:

    Pre-yodified vowels, that is, those preceded by a y-glide sound, take an acute accent:

plain vowel pre-yodified vowel

**a**
**á** (_ya_)

**e**
**é** (_ye_)

**i**
**í** (_yi_)

**o**
**ó** (_yo_)

**u**
**ú** (_yu_)

    Post-yodified vowels, that is, those followed by a y-glide sound, take a grave accent:

plain vowel post-yodified vowel

**a**
**à** (_ay_)

**e**
**è** (_ey_)

**i**
**ì** (_iy_)

**o**
**ò** (_oy_)

**u**
**ù** (_uy_)

    Circum-yodified vowels, that is those that are both preceded and followed by a y-glide sound, take a circumflex accent:

plain vowel circum-yodified vowel

**a**
**â** (_yay_)

**e**
**ê** (_yey_)

**i**
**î** (_yiy_)

**o**
**ô** (_yoy_)

**u**
**û** (_yuy_)

    A pre-yodified vowel always begins a new vowel syllabic nucleus, whereas a post-yodified vowel ends a vowel syllabic nucleus.

    Upper-case vowels take the yodifying accents just as the lower-case values do (thus **Á**, **È**, **Ô**, etc.

### Punctuation

    The punctuation marks in Mirad are the same as in English. For example, a question mark (?) is used at the end of a sentence or sentence fragement to signal an interrogation.

### Nouns

#### Structure

    All nouns in their base form end in a consonant. This distinguishes them from adjectives and conjugated verbs, which end in a vowel.

#### Pluralization

    Nouns are made plural by adding the suffix **-i**.

singular plural

**tob** _man_
**tobi** _men_

**dat** _friend_
**dati** _friends_

**car** _instrument_
**cari** _instruments_

#### Femininization

    Although nouns do not have inherent gender, the _feminine_ or _female-related_ counterpart of a noun can be formed by post-yodifying the ordinal (inner) vowel, that is, by adding the grave accent **`** to the vowel. If the vowel is already pre-yodified (with an acute accent), then the the acute accent is replaced with a circumflex (^) (circum-yodification) to show that it is both pre-yodified and post-yodified.

  


male-related female-related

**tad** _father_
**tàd** _mother_

**tob** _man_
**tòb** _woman_

**tóáv** _sock_
**tóâv** _stocking_

**epet** _bull_
**epèt** _cow_

#### Case Tagging

    Nouns can take the following case endings, which are shortcuts for prepositional phrases:

case ending category base cased form

**-a**
genetive/possessive/relative/ablative [origin]
**tob** _man_
**toba** _of the man, human (adj.), man's, from the man_

**-u**
locative/dative [destination]
**tam** _house_
**tamu** _to the house, (at) home, for the house_

**-à**
comitive [accompaniment]
**at** _I, me_
**atà** _with me_

**-è**
instrumental [means]
**és** _work_
**ésè** _through / by / via work_

**-ò**
privative ["without"]
**tec** _meaning_
**tecò** _without meaning, senseless_

  


    Examples of the _genetive/possessive_ case:

    

    **_Meira_ zem ce gra ama.** = __The earth's_ core is very hot._
    **_Ata_ ted tome íbà.** = __My_ father lives far away._
    **Ed et te dad _ifana_?** = _Do you know the language _of love_?_

  


    Examples of the _locative/dative_ case:

    

    **Pu _tamu_!** = _Go _home_!_
    **Ít peé _tamu_.** = _She is staying _at home / in the house / home_._
    **At teaco et uda _moju_.** = _I'll see you this _evening_._ (= at this evening)
    **Buu dén _atu_!** = _Give the book _to me_!_
    **Ev ud ce _atu_?** = _Is this _for me_?_

  


    Examples of the _comitive_ case:

    

    **Upu _atà_!** = _Come _with me_!_
    **Ud ca ekpan _tija tujà_.** = _This was a _life-and-death_ struggle._
    **At ubeé uda ébdren _ifanà_.** = _I am sending you this letter _with love_._

  


    Examples of the _instrumental_ case:

    

    **Et vege nacikcer anà _esè_.** = _You can get rich only _through work_._
    **It aksa _koenè_ ván.** = _He succeded _by hiding_ the truth._
    **Ágpar pa _Parisè_.** = _The train went _through Paris_._

  


    Examples of the _privative_ case:

    

    **Et vò vege akser _nacò_.** = _You cannot succeed _without money_._
    **Tij _ifanò_ vò naze ser.** = _Life _without love_ is not worth living._
    **Od et su _atò_?** = _What would you do _without me_._

### Pronouns

#### Forms

    All animate pronouns (those referring to people) end in **t** in their base form, while all inanimate pronouns (those referring to things) end in **d** in their base form. Pronouns can be singular or plural. All plural pronouns take the plural suffix **i**.

animate animate

singular plural

**ot?** _who?, whom?_
**oti?** _who all?_

**at** _I, me_
**ati** _we, us_

**et** _you_
**eti*** _you (pl.), you all_

**it** _he, him, that person_
**iti** _they, these persons_

**ìt** _she, her_
**ìti** _they (fem.)_

**ut** _this person, he_
**uti** _those persons, they_

**ót** _nobody, no one_
**óti** _none_

**át** _everyone, everybody, each person_
**áti** _all_

**ót** _another, someone else_
**éti** _others_

**ít** _such a person_
**íti** _such people_

**ét** _whoever, anyone_
**óti** _any_

**út** _someone, somebody_
**úti** _certain people_

**oát** _not a single person, nobody, no one_
 

**get** _the same person_
**geti** _the same ones_

**oget** _someone else_
**ogeti** _others_

**gat** _another one_
**gati** _several_

singular plural

**od** _what_
**odi** _what things_

**ad** _that (relative), the one_
**adi** the things that

**id** _that_
**idi** _those things_

**ud** _this_
**udi** _these things_

**ód** _nothing_
**ódi** _nothing_

**ád** _everything, each_
**ádi** _all things_

**ód** _something else, another_
**édi** _other things_

**íd** _such a thing_
**ídi** _such things_

**éd** _whatever, anything_
**édi** _any_

**úd** _something_
**údi** _some things, certain things_

**oád** _not a single thing, nothing_
**oádi** _none_

**ged** _the same thing_
**gedi** _the same things_

**oged** _something else_
**ogedi** _other things_

**gad** _another one_
**gadi** _several things_

  


  *     * Note: Agapoff prefers **ait**, **eit**, **iit** for **ati**, **eti**, and **iti**.

#### Inflection

    All pronouns can take cases, just as nouns do:

genetive/possessive ("of")  
ablative ("from")  
adjectival dative ("to/in/on/at")  
locative comitive ("with") instrumental ("by/through/via") privative ("without")

**ata** _my, of me, from me_
**atu** _to me_
**atà** _with me_
**atè** _by me_
**atò** _without me_

**eta** _your, of you, from you_
**etu** _to you_
**età** _with you_
**etè** _by you_
**etò** _without you_

**ita** _his, of him, from him_
**itu** _to him_
**ità** _with you_
**itè** _by him_
**itò** _without him_

**ìta** _her, of her, from her_
**ìtu** _to her_
**ìtà** _with her_
**ìtè** _by her_
**ìtò** _without her_

**atia** _our, of us, from us_
**atiu** _to us_
**atià** _with us_
**atiè** _by us_
**atiò** _without us_

**ota** _whose?, of whom?, from whom?_
**otu** _to whom_
**otà** _with whom_
**otè** _by whom_
**otò** _without whom_

**áta** _everyone's_
**átu** _to everyone_
**átà** _with everyone_
**átè** _by everyone_
**átò** _without everyone_

**oda** _which, of what, from what_
**odu** _to which, at which, in which_
**odà** _with what?_
**odè** _by what?, how?_
**odò?** _without what?_

**ida** _that, of that, from that, those_
**idu** _to that, at that, in that_
**idà** _with that_
**idè** _by that, thus_
**idò'** _without that_

**uda** _this/these, of this, from this_
**udu** _to/at this, therefore_
**udà** _with this_
**udè** _by this, thus_
**udò** _without this_

**áda** _every, each, all_
**ádu** _to everything, in everyting_
**ádà** _with everything_
**ádè** _by everything, by all means_
**ádò** _without everything_

**óda** _not, not a_
**ódu** _to nothing_
**ódà** _with nothing_
**ódè** _by nothing_
**ódò** _without nothing_

**oáda** _not a single, no_
**oádu** _in not a single one, to none_
**oádà** _with nothing_
**oádè** _by nothing, in no way_
\--

**éda** _any, whichever_
**édu** _to anything_
**édà** _with whatever_
**édè** _by whatever, however_
**édò** _without whatever_

**úda** _some, a certain_
**údu** _at a certain thing_
**údà** _with something_
**údè** _by something, somehow_
**údò** _without something_

**geda** _same, the same_
**gedu** _to the same thing_
**gedà** _with the same thing_
**gedè** _by the same thing_
**gedò** _without the same thing_

**ogeda** _different, the other, another_
**ogedu** _to another thing_
**ogedà** _with another thing_
**ogedè** _by something else_
**ogedò** _without another thing_

#### Possessive Pronouns

    Any of the above pronominal adjective forms can be substantivized by adding **-c**. The resulting possessive pronouns can then take the plural affix and case endings.

singular plural

**atac** _mine_
**ataci** _mine_

**etac** _yours_
**etaci** _yours_

**itac** _his_
**itaci** _his_

**ìtac** _hers_
**ìtaci** _hers_

**atiac** _ours_
**atiaci** _ours_

**etiac** _yours_
**etiaci** _yours_

**itiac** _theirs_
**itiaci** _theirs_

**ìtiac** _theirs_
**ìtiaci** _theirs_

**utac** _one's_
**utaci** _one's_

**otac?** _whose?_
**otaci** _whose_

**átac** _everyone's_
**átaci** _everyone's_

**ótac** _nobody's_
**ótaci** _nobody's_

**odac?** _which one_
**odaci** _which ones_

**ódac** _the other one_
**ódaci** _the other ones_

**udac** _this one_
**udaci** _these_

**idac** _that one_
**idaci** _those_

**ádac** _each one_
**ádaci** _all of them_

**édac** _any one, whichever one_
**édaci** _whichever ones_

    Any of the above substantival pronouns can take case endings:

Mirad English

**ataca**
_of mine_

**otacà**
_with whose_

**átacu**
_to everyone's_

**udacò**
_without this one_

    Examples:

  


Mirad English

**Uda tam ce atac.**
_That house is mine._

**Oda déni et dédaé?**
_Which books have you read?_

**Ída tej aju vò teacâe.**
_Such a life has not been seen before._

**Buu atu udi!**
_Give me those!_

**Áda tej nazace.**
_Every life counts._

**Ádac nazace.**
_Each one counts._

**Áta tej nazace.**
_Everyone's life counts._

**Átac nazace.**
_Everyone's counts._

**Áda évcunuti kode.**
_All lawyers lie._

**Áti kode.**
_All of them lie._

**Át kodeé.**
_Everyone is lying._

**Ád ce kod.**
_Everything is a lie._

**Mar ce zem áda.**
_The sun is the center of everything._

**Ót ége kaer if ádu.**
_One can find pleasure in everything._

**If ége uper bi éd.**
_Pleasure can come from anything._

**Ud ce ga fia vél id** (_or:_ **ga fia idu**).
_This is better than that._

**Od ce eta dún?**
_What is your name?_

**At vage éd et vage.**
_I want what(ever) you want._

**At vò ta ev it upo.**
_I didn't know whether he would come._

**At ta ad it upo.**
_I knew (that) he would come._

**Ad tej ce gúa vò vege vodé.**
_That life is hard cannot be denied._

**Ev it íztejo vò twe.**
_Whether he will survive is unknown._

**At vò te ev it íztejo.**
_I don't know if he'll survive._

**Ad ìt sa ce ota seun.**
_What she did is nobody's business._

**Atac ce ga aga vé etac.**
_Mine is bigger than yours._

**Odac ce etac.**
_Which one is yours?_

**Édac cu fia atu.**
_Whichever one would be fine for me._

**Otac ce ud?**
_Whose is this?_

**Otaci ce udi?**
_Whose are these?_

**Ev et co ata dat?**
_Are you going to be my friend?_

**Oádad ifca atu.**
_I did not like a single one._

**Odè ìt tujswa?**
_How (by what) was she killed?_

**Otà et pa?**
_With whom did you go?_

**...otacò ait vò vegu íztejer.**
_...without whose we could not survive._

**Odu et sa id?**
_Why (for what) did you do it (that)?_

**Iti údè kaa mep.**
_They somehow found the way._

**Ébdren drwa atà otè?**
_The letter was written to me by whom?_

**Ota tamu et peé?**
_To whose house are you going?_

**Otacu et peé?**
_To whose are you going?_

### Correlatives

    By "correlatives" is meant a set of functional words in the languages than can be arranged in a matrix, all sharing a set of "deictic" or "specifier" prefixes. For example, the English words "which, what, where, why, when, how, who, whether, etc." can be considered part of a matrix of correlatives, because they all ask a question about topics such as "place", "time", "manner", and are therefore called "interrogative correlatives." The situation is similar in Unilingua. Note, however, that some of the correlative words in the chart below are slightly different from those invented by the original author of Unilingua.

#### Deictic morphemes (specifiers)

category deictic morpheme

interrogative
**od-** _which, what_

relative
**ad-** _the, the one which_

proximal
**ud-** _this_

distal
**id-** _that_

intensive
**íd-** _so, such a_

generic
**úd-** _some, a certain_

distributive
**ád-** _all, every, each_

indeterminate
**éd-** _any, whatever_

negative
**ód-** _no, not any_

identical
**ged-** _same, selfsame_

non-indentical
**oged-** _different, other_

#### Dimensional Classifiers

    The above deictic morphemes combine with the following dimensional classifiers to form a whole matrix of functional deictic correlatives:

category classifier short version

person
**-t**

thing
**-d**

place
**-em**
**m**

time
**-job**
**j**

manner/means
**-è**

quality/kind
**-én**

quantity
**-gan**

degree
**-nog**

frequency
**-jig**

#### Matrix of Deictic Correlatives

thing person adjective place time manner kind frequency quantity degree

**od** _what_
**ot** _who_
**oda** _which_
**odmu** _where_
**odju** _when_
**odè** _how_
**odéna** _what kind of_
**odjigu** _how often_
**odganu** _how much_
**odnogu** _how_

**ud** _this_
**ut** _this person_
**uda** _this_
**udmu** _here_
**udju** _now_
**udè** _this way_
**udéna** _this kind of_
**udjigu** _this often_
**udganu** _this much_
**udnogu** _to this extent_

**id** _that_
**it** _that person, he_
**ida** _that_
**idmu** _there_
**idju** _then_
**idè** _that way, thus_
**idéna** _that kind of_
**idjigu** _that often_
**idganu** _that much_
**idnogu** _to that extent_

**íd** _such a thing_
**ít** _such a person_
**ída** _such, such a_
**ídmu** _at such a place_
**ídju** _at such a time_
**ídè** _in such a way, so_
**ídéna** _such a_
**ídjigu** _so often_
**ídganu** _so much_
**ídnogu** _so_

**úd** _something_
**út** _someone_
**úda** _some, a certain_
**údmu** _somewhere_
**údju** _sometime_
**údè** _somehow_
**údéna** _some kind of_
**údjigu** _sometimes_
**údganu** _some_
**údnogu** _somewhat_

**ád** _everything_
**át** _everyone_
**áda** _every, each_
**ádmu** _everywhere_
**ádju** _every time, always_
**ádè** _in every way_
**ádéna** _every kind of_
**ádjigu** _at all times_
**ádganu** _all of_
**ádnogu** _completely_

**éd** _whatever, anything_
**ét** _whoever, anyone_
**éda** _whichever, any_
**édmu** _wherever, anywhere_
**édju** _whenever, anytime_
**édè** _however, in any way_
**édéna** _whatever kind of_
**édjigu** _however often_
**édganu** _however much, any_
**édnogu** _to any extent_

**ód** _nothing_
**ót** _nobody_
**óda** _no, not a_
**ódmu** _nowhere_
**ódju** _never_
**ódè** _in no way_
**ódéna** _no kind of_
**ódjigu** _not once_
**ódganu** _not any, no_
**ódnogu** _not at all_

**ged** _the same thing_
**get** _the same person, self_
**geda** _the same, the very_
**gedmu** _at the same place_
**gedju** _at the same time_
**gedè** _in the same way_
**gedéna** _the same kind of_
**gedjigu** _as often_
**gedganu, ge** _as much_
**gednogu, ge** _to the same degree, as_

**oged** _something else_
**oget** _someone else_
**ogeda** _the other, another_
**ogedmu** _elsewhere_
**ogedju** _at another time_
**ogedè** _elsewise_
**ogedéna** _another kind of_
**ogedjigu** _at a different frequency_
**ogedganu** _not as much_
**ogednogu** _otherwise_

#### Basic deictic adjectives / Determiners

category determiner example

indefinite/unary
**a** _a_
**a tam** _a house_

definite/relative
**ada** _the_
**ada tam** _the house_, **ada tami** _the houses_

interrogative
**oda** _which_
**oda dén** _which book_, **oda déni** _which books_

proximal
**uda** _this, these_
**uda pat** _this bird_, **uda pati** _these birds_

distal
**ida** _that, those_
**ida pat** _that bird_, **ida pati** _those birds_

negative
**óda** _no_
**óda mep** _no road_, **óda mepi** _no roads_

totalative
**áda** _every, all, each_
**áda mep** _every road_, **áda mepi** _all roads_

indeterminate
**éda** _any, whichever_
**éda voz** _any color_, **éda vozi** _whichever colors_

intensive
**ída** _such a, such_
**ída dún** _such a name_, **ída dúni** _such names_

partitive
**úda** _some, a certain, certain_
**úda tob** _some man_, **úda tobi** _certain men_

identical
**geda** _same_
**geda dún** _the same name_

non-identical
**ogeda** _different, other_
**ogeda dún** _different name, another name_

quasi-identical
**gèda** _similar_
**gèda ceus** _a similar sound_

superior
**ga** _more_
**ga nac vé at** _more money than I_

equal
**ge** _as much, as many_
**ge job vé et vage** _as much time as you want_

inferior
**go** _less, fewer_
**go és** _less work_

majorative
**gla** _a lot, much_
**gla if** _a lot of fun_

quasi-majorative
**glà** _a goodly portion of, several_
**glà jubi** _several days_

excessive
**gra** _too much, too many_
**gra tel** _too much food_

maximal
**gá** _most_
**gá poti** _most animals_

sufficient
**gé** _enough, quite a bit_
**gé job** _enough time_

minorative
**glo** _very little, very few_
**glo auti** _very few individuals_

insufficient
**gro** _too little, too few_
**gro ék** _too little effort_

minimal
**gó** _the least_
**gó ék** _the least effort_

  


    Note: Nouns in Mirad are not normally accompanied by a definite article (_the_) or an indefinite article (_a/an_). The word **tob** can mean _man_, _a man_, or _the man_, depending on circumstances. Where further definition is required, **a**, the numeric or deictic adjective _one_, can be used for the indefinite article, while **ada**, the deictic adjective _the_ can be used for the definite article.

#### Deitic pronouns

##### Inanimate pronouns

singular plural

**od?** _what?_
**odi?** _what (things)_

**ad** _the thing (that)_
**adi** _the things (that)_

**ud** _this_
**udi** _these_

**id** _that_
**idi** _those_

**ád** _everything_
**ádi** _all things_

**éd** _anything, whatever_
**édi** _any things_

**íd** _such, such a thing_
**ídi** _such things_

**ód** _nothing_
**ódi** _none_

**úd** _something_
**údi** _certain things_

**ged** _the same thing_
**gedi** _the same things_

**oged** _another, something else_
**ogedi** _other things_

**gèlac** _a similar thing_
**gèlaci** _similar things_

**gac** _more_
**gaci** _more things_

**gec** _as much_
**geci** _as many things_

**goc** _less_
**goci** _fewer things_

**glac** _a lot, much_
**glaci** _many things_

**glàc** _a goodly portion_
**glàci** _several things_

**grac** _too much_
**graci** _too many things_

**gác** _the most_
**gáci** _most things_

**géc** _enough, quite a bit_
**géci** _quite a few things_

**gloc** _very little_
**gloci** _few things_

**groc** _too little_
**groci** _too few things_

**góc** _the least_
**góic** _as few things as possible_

##### Animate pronouns

singular plural

**ot?** _who?_
**oti** _who (pl.)_

**at** _I_
**ati** _we_

**et** _you_
**eti** _you (pl.)_

**ut** _this person, this one_
**uti** _these_

**it** _that person, that one_
**iti** _those_

**át** _everyone_
**áti** _all people_

**ét** _anyone, whoever_
**éti** _any people_

**ít** _such a person_
**íti** _such people_

**ót** _not a single person, noboby_
**óti** _none_

**út** _somebody_
**úti** _certain people_

**get** _the same person, self_
**geti** _the same people, themselves_

**oget'** _the other person, someone else_
**ogeti** _others, other people_

**ìt** _that female,she, her_
**ìti** _they (f.), them_

**ùt** _this female, she, her_
**ùti** _they (f.), them_

**aut** _person, individual_
**auti** _persons, people_

**out** _nobody, no one_
**outi** _no people, none_

 
**ga auti** _more people_

 
**ge auti** _as many people_

 
**go auti** _fewer people_

 
**gla auti** _many people_

 
**glà auti** _several people_

 
**gra auti** _too many people_

 
**gá auti** _most people_

 
**gé auti** _quite a few people_

 
**glo auti** _few people_

 
**gro auti** _too few people_

 
**gó auti** _as few people as possible_

  


    Note: As with all pronouns and nouns, the above pronouns can appear in the genetive/ablative/possessive case (**-a**) or dative/locative case (**u**). For example: **otu** _to whom_, **ota** _whose_, **áta** _everyone's_, **gla autia** _most people's_, **ata** _my_, **etu** _to you_. The possessive adjective forms can, in turn, be substantivized by adding **-c** (_thing_): **atac** _mine_, **atacu** _to mine_, **otac** _whose_, **getac** _the same person's_, etc.

#### Determiners of Place

place

**odmu?** _where?, whither?_ (also: **odma?** _from where?, whence?_)

**udmu** _here_ (also: **udma** _from here, hence_)

**idmu** _there_ (also: **idma** _from there, thence_)

**admu** _at/in/to the place where_ (relative)

**ódmu** _nowhere_

**ádmu** _everywhere_

**édmu** _anywhere, whereever_

**ídmu** _at/in/to such a place_

**ogedmu** _elsewhere_ (**ogedem** _alibi_)

**údmu** _somewhere_

**gedmu** _at/in/to the same place_ (also: **gedma** _from the same place_)

**gèdmu** _at/in/to a similar place_ (also: **gèdma** _from a similar place_)

#### Determiners of Time

time

**odju?** _when?_ (also: **odja** _whence?_, **ji odjob** _since when?_, etc.)

**udju** _now_ (also: **udja** _hence_)

**idju** _then_ (also: **idja** _thence_)

**adju** _when, at the time when_ (relative)

**ódju** _never_

**ádju** _each time, everytime, always, ever_

**édju** _anytime, whenever_

**ídju** _at/in/to such a time_

**údju** _sometime_

**gedju** _at the same time_

**ogedju** _at another time_

#### Determiners of Quality

kind

**odéna?** _what kind of?_

**udéna** _this kind of_

**idéna** _that kind of_

**adéna** _the/what kind of_ (relative)

**ódéna** _no kind of_

**ádéna** _every kind of_

**édéna** _any/whatever kind of_

**ídéna** _such_

**údéna** _some kind of_

**gedéna** _the same kind of_

**gèdéna** _a similar kind of_

**ogedéna** _another kind of_

#### Determiners of Degree

degree

**odnogu?** _how (...big, ...little, etc.)?, to what extent?_

**udnogu** _this, to this degree_

**idnogu** _that, to that extent_

**adnogu** _how, to what degree, to the extent (that...) (relative)_

**ódnogu** _not at all, to no extent_

**ádnogu** _completely, to the full extent_

**édnogu** _however, to whatever extent_

**ídnogu** _so, to such an extent_

**údnogu** _in some way, somehow_

**ge, genogu** _equally, to the same degree, as_

**oge, ogenogu** _unequally, to a different extent_

**gè, gènogu** _similarly, to a similar extent_

**ga, ganogu** _more, to a greater extent_

**gla, glanogu** _very, greatly, very much so_

**gra, granogu** _too, to too great an extent, overly, extremely_

**go, gonogu** _less, to a lesser extent_

**glo, glonogu** _slightly, to a small extent_

**gro, gronogu** _to too small a degree, under_

**gá, gánogu** _maximally, to the greatest extent possible_

**gó, gónogu** _minimally, to the smallest extent possible_

**gé, génogu** _enough, rather, pretty, sufficiently, quite_

**ogé, ogénogu** _insufficiently_

**fià, finogu** _to a good extent, well_

**fuà, funogu** _to a bad extent, poorly_

**végà, véga nogu** _proportionately_

**vácà, váca nogu** _to the right extent, properly, duly_

**vócà, vóca nogu** _to the wrong extent, disproportionately, unduly_

**anogu** _primarily_

**enogu** _secondarily_

**uja nogu** _ultimately_

#### Determiners of Manner, Means

manner

**odè?** _how?, in what way?_

**udè** _this way, thus_

**idè** _that way, thus_

**adè** _how, in the way that, as_

**ódè** _in no way_

**ádè** _in every way_

**édè** _in whatever way, however_

**ídè** _so, in such a way_

**údè** _somehow'_

**gedè** _in the same way, also_

**ogedè** _otherwise_

**gèdè** _similarly, likewise_

#### Determiners of Quantity

    

    The noun following the determiner is in the singular if a mass noun (**odganu dril** _how much ink_) or in the plural if a countable noun (**odganu jubi** _how many years_).

quantity

**odganu?*** _how much, how many_

**udganu** _this much, this many_

**idganu** _that much, that many_

**adganu** _how much, how many, the amount/number that_

**ódganu** _no, not any, no amount of_

**ádganu** _all_

**édganu** _any, however much, however many_

**ídganu** _so much, so many_

**údganu** _a certain amount of, some, some number of'_

**ge, geganu** _as much, as many_

**oge, ogeganu** _a different quanity of_

**ga** _more_

**go** _less, fewer_

**gla** _a lot (of), much, many_

**glà** _a goodly amount (of), quite a few_

**glo** _little, too many_

**glò** _barely, scarcely, hardly_

**gá** _most_

**gro** _too little, too few_

**gó** _as little/few as possible_

**gé** _a fair amount (of), enough, quite a lot (of)_

**gê** _several_

    * Literally: _in what quantity_, as in **Odganu nac et àce?** _How much money do you have?_. Used substantively, **Odganu** becomes **Odgan**, as in **Odgan et àce?** _How much do you have?_ If followed by a mass noun, **gla** means _much_; if followed by a counting noun, **gla** means _many_; if followed by an adjective or adverb, it means _very_. All of the **ga...ge...go** words are multifunctional in this way.

#### Determiners of Frequency

frequency (**jig** = _rate, frequency_

**odjigu?** _how often?_(lit: on how many occasions)

**udjigu** _this often_

**idjigu** _that often_

**adjigu** _as often as, the rate that_

**ódjigu** _never_

**ádjigu** _every time_

**édjigu** _however often, anytime_

**ídjigu** _so often_

**údjigu** _with some frequency, sometimes'_

**gejigu** _as often_

**ogejigu** _at a different rate_

**gajigu** _more often_

**gojigu** _less often_

**glajigu** _(very) often, frequently_

**glojigu** _seldom, rarely, not very often_

**grajigu** _too often_

**gájigu** _as often as possible_

**grojigu** _too seldom_

**gójigu** _as seldom as possible_

**géjigu** _quite often, rather often, frequently enough_

### Prepositions and relational adverbs

positive   middle   negative  

**ab**
on, at the top of
**eb**
between
**ob**
off, at the bottom of

**áb**
above, up
**éb**
amid, among
**ób**
below, down

**bà**
with, along
**bè**
by, via
**bò**
without

**ib**
away from
**\---**
 
**ub**
toward

**íb**
far from
**\---**
 
**úb**
near to

**bi**
from, of
**be**
at
**bu**
to

**bí**
starting with, since
**\---**
 
**bú**
ending with, up to, as far as

**án**
together
**\---**
 
**ón**
apart

**za**
in front of
**ze**
in the middle of
**zo**
behind

**zà**
forward
**zè**
across
**zò**
back

**áz**
flush with
**éz**
in
**óz**
out

**iza**
straight
**\---**
**uza**
roundabout

**íz**
beyond
**\---**
 
**úz**
around, about

**zi**
right
**\---**
 
**zu**
left

**zí**
all over
**zé**
through
**zúa**
round

**ja**
before
**je**
during, while
**jo**
after

**jà**
ahead (in time)
**jè**
throughout
**jò**
back (in time)

**ji**
since
**\---**
**ju**
until

**av**
for
**ev**
if
**ov**
against

#### Compound prepositions

    Prepositions can be compounded for more detailed senses:

compound preposition example

**ézbu** _into_
**It tôapa ézbu tim.** He walked _into_ the room.

**ézbi** _in from_
**At upa ézbi mamil.** I came _in from_ the rain.

**ézbe** _in (location)_
**Dén ce ézbe ném.** The book is _inside_ the box.

**ózbu** _out to_
**Po ózbu ekem.** Go _out to_ the playground.

**ózbi** _out of, out from_
**It upea ózbi ita ésim.** He was coming _out of_ his office.

**ózbe** _out in_ (as in: _out in the backyard_)
**Potòg ce ózbe mamil.** The pet is _out in_ the rain.

**ábzè** _over_
**Mampar pa ábzè tam.** The plane flew _over_ the house.

**óbzè** _under_
**At tôapa óbzè domep.** I walked _under_ the highway.

**zèbu** _across to_
**At tôapa zèbu ogeda kum.** I walked _over to_ the other side.

**zèbi** _across from_
**It beme zèbi at.** He sits _across from_ me.

**zòbu** _back to_
**Ait pee zòbu Berlin.** We are going _back to_ Berlin.

**zòbe** _back at_
**Ait ce zòbe tom.** We are _back at_ home.

**zòbi** _back from_
**Ait ce zóbi Berlin.** We are _back from_ Berlin.

**zàbu** _ahead to_
**Teaso zàbu eta oj.** Look _forward to_ your future.

**zàbi** _ahead of_
**Ed et ce zàbi at?** Are you _ahead of_ me?

**ónbi** _apart from_
**Pa ónbi ogeti.** _It went_ apart from _the others._

**ánbe** _together with_
**Upo ánbe at.** Come _along with_ me.

**izbu** _straight to_
**Po izbu ótotem!** Go _straight to_ hell!

**izbi** _straight from_
**Ìt upa izbi nunem.** She came _straight from_ the market.

**izbe** _right at_
**At ca izbe zem.** I was _right at_ the center.

**zabi** _in front of_
**At ce zabi et.** I am _in front of_ you.

**zobi** _in back of_
**Et ce zobi at.'** You are _in back of_ me.

**abu** _onto_
**Bo dén abu cem.** Put the book _onto_ the table.

**abe** _on (at)_
**Dén ce abe cem.** The book is _on_ the table.

**obi** _off of_
**Bio dén obi cem.** Take the book _off of_ the table.

**obe** _on the underside of_
**Ece úd obe cem.** There is something _on the underside of_ the table.

**ábu** _up to_
**Po ábi eta tim.** Go _up to_ your room.

**ábe** _up in_
**Od ce íd ábe mam?** What is that _up in_ the sky?

**ábi** _up from_
**It upa ábi aaned.** He came _up from_ the first floor.

**ábè** _up (via)_
**At tôapa ábè meb.** I walked _up_ the mountain.

**óbu** _down to_
**Upo óbu momtim.** Come _down to_ the basement.

**óbe** _down in_
**At ce óbe momtim.** I am _down in_ the basement.

**óbi** _dowm from_
**Upo óbi mamtim.** Come _down from the attic._

**óbè** _down (via)_
**It igpa óbè meb.** He hurried _down_ the mountain.

**óbézbu** _down into_
**Pa óbézbu mom.** He went _down into_ the underground.

**úzbu** _around to_
**Po úzbu ogeda kum tama.** Go _around to_ the other side of the house.

**úzbè** _around (via)_
**Par pa úzbè tam.** The car went _around_ the house.

**ízbi** _past, beyond_
**Par pa ízbi ait.** The car went _past_ us.

**ízbu** _on to_
**At pa ízbu Kanad.** I went _on to_ Canada.

#### Postpositions / Cases

    The following case endings or postpositions are shortcuts for prepositions:

  


short form long form

**-a** _of, from_
**bi**

**-u** _to, on, at_
**bu** _to_ or **be** _at / in / on_

**-à** _with_
**bà**

**-ò** _without_
**bò**

**-è** _by, via, through, per_
**bè**

    For example, the following expressions are equivalent:

short form long form

**be tam bi X** _at the house of X_
**tamu Xa**

**bi dom bu dom** _from town to town_
**doma domu**

**tej bò if** _life without pleasure_
**tej ifò**

**bè Paris** _by way of Paris_
**Parisè**

**bà at** _with me_
**atà**

#### Other Prepositional Constructions

**vélu** _regarding, concerning, about, with respect to_

**gè ov** _despite_

**kumu** _next to, beside, along, on the side of_

**ón bi** _apart from_

**án bu** _together with_

**gal** _in addition to, plus, including, besides_

**gol** _minus, except_

**gar** _times, multiplied by_

**gor** _divided by_

**zamu...-a** _in the face of_ (also: **be zamu bi**)

**cànu ...-a** _in the guise of_

**canu ...-a** _in the form of_

**debanu ...-a** _under the auspices of_

**ûb** _in the presence of, in the face of_

**dida ...-è** _at the request of_

**iju...-a** _at the end of_

**tecu...-a** _in the sense of_

**av búun...-a** _for the sake of_

**...** _thanks to_

**...** _along the lines of_

**izanu...-a** _in the direction of_

**zág** _along_

**kumnidu ...-a** _on the edge of, on the brink of_

**genidu ...-a** _in line with, parallel to_

**úbanu ...-a** _in the vicinity of, around_

**gáanu ...-a** _in excess of_

**bi abem...-a** _off the top of_

**bi kumnidu...-a** _from the brink of_

**dudea...-u** _in response to_

**ovbea** _in opposition to_

**...** _in contrast to_

**lovanu...-a** _in spite of_

**oejanu...-a** _in the absence of_

**usu ...-a** _because of_

**usu ...-a** _on account of_

**gè ov** _notwithstanding_

**...-è** _per_

**zé** _via_

**vél** _than, compared to, relative to_

**adju ...-a** _at the time of_

**admu ...-a** _at the place of_

#### Using prepositions

    Prepositions go between the two elements they link, just as in English. Here are some examples:

Mirad English

Odju et po **bu déntam**?(or: **déntamu**)
When are you going _to the library_?

Uda bun ce **av et** (or: **etu**).
This gift is _for you_.

Dyen ca **ab cem** (or: **cemu**).
The book was _on the table_.

Upu **bay at** (or: **atà**).
Come _with me_.

Iyt igpa **ub titam**.
She ran _toward the school_.

Et co **éz gela titim**.
You will be _in the same class_.

Tob tyoyapa **ózbi tam**.
The man walked _out of the house._

Mampar zaymampa **ábzè dom**.
The plane flew _over the city_.

Nidpar pa **bi him bu hum**.
The train went _from here to there._

Et voy ibo bun **ju zemoj**.
You won't receive the _gift until midnight_.

#### Prepositions prefixed to verbs

    As adverbials, many prepositions can be prefixed to other words, especially to verb bases. The following is a list of **per** (go) and **ber** (put) verbs with prepositional prefixes. Note that prepositions ending in **b** drop the **b** before the verb bases **per** and **ber**.

  


**intransitive**
 
**transitive**
 

**aper**
get on
**aber**
put on

**eper**
stop
**eber**
stop

**oper**
get off
**ober**
take off

**áper**
rise
**áber**
raise

**éper**
intervene
**éber**
block

**óper**
descend
**óber**
lower

**iper**
go (away)
**iber**
receive

**uper**
come
**uber**
send

**úper**
approach
**úber**
bring near

**íper**
go away
**íber**
take away

**ézper**
enter
**ézber**
bring in

**ízper**
surpass
**ízber**
take beyond

**zéper**
go through
**zéber**
pull through

**zèper**
transit
**zèber**
take across

**ánper**
meet
**ánber**
unite

**ónper**
separate
**ónber**
separate

**izper**
go straight/ head (for)
**izber**
guide

**zúper**
roll
**zúber**
turn

**ózper**
exit
**ózber**
take out

**zòper**
return, go back
**zòber**
take back

**zòpuer**
arrive back
**zòbuer**
give back

**zateaser**
look forward
**zoteaser**
look behind

**zèteaser**
look across
**zíteaser**
look all around

**zéteaser**
look through
**ízteaser**
look beyond

**ézteaser**
look in
**ózteaser**
look out

**ábteaser**
look up
**óbteaser**
look down

**ibteaser**
look away
**izteaser**
look straight (ahead)

**ziteaser**
look left
**zuteaser**
look right

**uzteaser**
look askance
**úzteaser**
look around

**avdaer**
speak for
**ovdaer**
speak against

### Personal pronouns and pronominal adjectives

    Personal pronouns have three _persons_ (represented by the ordinal vowels **a** (1st), **e** (2nd), and **i** (3rd).

    The plural forms have the suffix **i**.

    There are also three _case_ forms, which are alternate ways of expressing prepositional relations: Add **-a** for the genetive/possessive (_of_, _from_); **-u** for the locative/dative (_to_, _at_, 'for_); **-à** (short for **bà**) for_ with_; **è** (short for **bè**) for_ through/by_, and **ò** (short for **bò**) for_ without_._

    Note: These are the same case endings that can be added to any nouns. For example, **tamu** (to the house), **taébò** (without hair), **teda** (father's).

nominative/accusative genetive/possessive dative/locative comitive instrumental privative

**at** (I, me)
**ata** (my, mine)
**atu** (to/for me)
**atà** (with me)
**atè** (through/by me)
**atò** (without me)

**et** (you)
**eta** (your, yours)
**etu** (to/for you)
**età** (with you)
**etè** (through/by you)
**etò** (without you)

**it** (he, him)
**ita** (his)
**itu** (to/for him)
**ità** (with him)
**itè** (through/by him)
**itò** (without him)

**ìt** (she,her)
**ìta** (her, hers)
**ìtu** (to/for her)
**ìtà** (with her)
**ìtè** (through/by her)
**ìtò** (without her)

**ati** (we, our)
**atia** (our, ours)
**atiu** (to/for us)
**atià** (with us)
**atiè** (through/by us)
**atiò** (without us)

**eti** (you [all])
**etia** (your, yours)
**etiu** (to/for you)
**etià** (with you)
**etiè** (through/by you)
**etiò** (without you)

**iti** (they, them (m. or m/f))
**itia** (their)
**itiu** (to/for them)
**itià** (with them)
**itiè** (through/by them)
**itiò** (without them)

**ìt** (they (f.))
**ìtia** (their)
**ìtiu** (to/for them)
**ìtià** (with them)
**ìtiè** (through/by them)
**ìtiò** (without them)

  


    Possessive pronouns are expressed with the addition of **-c** to the genetive/possessive ending:

English Mirad

This book is _mine_.
**Uda dén ce _atac_.**

Those books are _ours_.
**Ida déni ce _atiaci_.**

_Theirs_ has not arrived.
**_Itiac_ vò puaé.**

_Theirs_ have arrived.
**_Itiaci_ puaé.**

Is this _yours_ or _mine_?
**Ev ud ce _etac_ vè _atac_?**

Will you come _to mine_ tomorrow?
**Ev et upo _atacu_ zajubu?**

Nothing will happen _without yours_.
**ód swo _etacò_.**

### Conjunctions

#### Correlative Conjunctions/Adverbs

positive neutral negative

**va** _yes_
**ve** _maybe_
**vo** _no_

**và** _indeed_
**vè** _possibly_
**vò** _not_

**và...và** _both...and_
**vè...vè** _either...or_
**vò...vò** _neither...nor_

**av** _that, so that, for_
**ev** _whether, if_
**ov** _lest, against_

**à** _and_
**è** _or_
**ò** _but_

**-à** _with_
**-è** _by, through, via_
**-ò** _without_

**ga** _more (than)_
**ge** _as, equal to_
**go** _less (than_

**gá** _most_
**gé** _enough_
**gó** _least_

**gà** _also, moreoever_
**gè** _even, including_
**gò** _except, but_

**gla** _very_
**gle** _somewhat_
**glo** _slightly, little, not very_

**gra** _too (much)_
**gre** _just, exactly_
**gro** _too little_
    
    
    Note: **oev** = _unless_; **ad** means _that_ as the conjunction introducing a factual clause, not to be confused with **av** meaning _so that_ introducing a subjunctive or unreal clause.
    

English Mirad

_I _do_ want to go, but I can_not_._
**At _và_ vage per ò at _vò_ vege.**

__Do_ you know _whether_ he's coming._
**_Ev_ et te _ev_ it upo?**

_It will _either_ rain _or_ snow._
**_Vè_ mamilo _vè_ màlómo.**

__If_ it rains, I'll not come._
**_Ev_ mamilo at vò upo.**

__No_, it's _not_ true _that_ he died._
**_Vo_, _vò_ ce váa _ad_ it tuja.**

_My father _and_ mother are still alive._
**Ata ted _à_ tèd gaju tejeé.**

__Is it true that_ you were you born here?_
**_Ev_ et tija udmu?**

_We did _not_ know _(that)_ you were married._
**Ati _vò_ ta _ad_ et ce tadca.**

__The fact that_ you work is not the issue._
**_Ad_ et ése vò ce kos.**

__Whether_ you work _or_ play is more important._
**Et _vè_ ése _vè_ eke ce ga kíta.**

__Unless_ you go to school you will never learn anything._
**_Oev_ et po titamu et ódju tio úd.**

__In order to_ learn you must study _more_._
**_Av_ ticer et ége _ga_ tier.**

_Everyone _except_ you is ready._
**Yat _gò_ et ce perfia.**

__Did_ you want me _to_ come long?'_
**_Ev_ et vaga _av_ at àpu?**

_I want you _not to_ leave._
**At vage _ov_ et piu.**

__Don't_ tell her what I did._
**_Ov_ du ìtu od at sa.**

_Are you _for_ _or_ _against_ me?_
**_Ev_ et _av_ _è_ _ov_ at?**

#### Other Conjunctional Expressions

conjunction example

**ad** _that_
**Ati ta ad it upo.** _We knew (that) he would come._

**av** _so that_
**At egdo id av et tico.** _I will repeat it so that you'll understand._

**avad** _because_
**It tuja bi us avad it vò abá ígtef.** _He died because he was not wearing a helmet._

**ju** _until_
**Ju et uvdo at vò teapo et.** _Until you apologize, I will not visit you._

**ji** _since_
**Ji et pua at cee iva.** _Since you arrived, I've been happy._

**ánad** _even though, although_
**Ánad et oka, at gaju fítce et.** _Even though you lost, I still respect you._

**ovad** _despite the fact that_
**Ovad et zageda, et vò upa.** _Despite the fact that you agreed in advance, you didn't come._

**igjo** _as soon as_
**Igjo ìt pua at gafi teca.** _As soon as she arrived, I felt better._

**váfà ge** _just as_
**Váfà ge at jada, ija mamiler.** _Just as I predicted, it started raining._

**ge ev** _as if_
**Ìt teubozá ge ev ìt ca iva.** _She smiled as if she were happy._

**ev** _whether_
**At vò te ev mamilo.** _I don't know whether it will rain._

**ev** _if_
**Et zàpo ev et éko.** _You will advance if you try._

**à** _and_
**Et à at ce gá fia.** _You and I are the best._

**è** _or_
**Et vege jobier è kobier; ce eta kebi.** _You can borrow or steal; it's your choice._

**kéà ad** _in the event that_
**Kéà ad mamilo, aúbio eta mamilovar.** _In the event that it should rain, bring along your umbrella._

**fiákea av** _in the hope that_
**It nucbia drénet fiákea av it ako.** _He bought a ticket in the hope that he would win._

**fúnea ov** _for fear that_
**It ézpa fúnea ov mamilo.** _He went inside for fear that it might rain._

**ov** _lest_
**Bono ov et tíjso lopét.** _Stay calm lest you awake the snake._

**ónad** _aside from the fact that_
**Yonad gaijop mamile, doma mamecan ce gla fia.** _Aside from the fact that it rains occasionally, the city's weather is very nice._

**tea ad** _knowing that_
**At vage tujer tea ad at po totamu.** _I want to die knowing that I will go to heaven._

### Verbs

    Verbs in Mirad are conjugated for tense (present, past, future), mood (indicative, conditional/imperative/subjunctive/jussive), voice (active, passive), and finiteness. The verbal system is perfectly regular and predictable.
    The _infinitive_, which serves as the dictionary lookup form, always ends in **-er**. The _stem_, therefore, is the infinitive without the **-er** ending. For example, the stem of the verb **buner** (to push) is **bun**. The stem is used as the base of all conjugated verb forms.

#### Finite forms

    Finite verb forms are modulated for tense based on the three-way vowel distinction **a** (present), **e** (past), and **o** (future).
    A fourth ending, **u** is used for the equivalent of the English conditionals, subjunctives, and imperatives.
    Verbs can be further modulated for progressive, anterior (perfect), and imminent senses through compounding.
    Endings do not change depending on the subject person. For example, unlike in English where _am_, _are_, and _is_ are used in the present depending on the subject, the Unilingua verb **cer** has one present indicative form of _to be_ for all persons: **ce**.

Mirad English

**at ce**
_I am_

**et ce**
_you are_

**it ce**
_he is_

**ìt ce**
_she is_

**id ce**
_that is, it is_

**ud ce**
_this is_

**ot ce**
_who is?_

**ati ce**
_we are_

**eti ce**
_you (all) are_

**iti ce**
_they are_

**íti ce**
_they are_

**oti ce**
_who are?_

**át ce**
_everyone is_

**ét ce**
_whoever/anyone is_

**ód ce**
_nothing is_

**apeti ce**
_horses are_

##### Simple tense forms

    The simple tense verb forms are generated by adding the tense markers **a**, **e**, **o**, or the conditional marker **u** to the stem of the verb. For example, the stem of the verb **ter** _to know_ is **t** and the inflected forms of the simple tenses are as follows:

##### Active voice forms

ending meaning example

**e**
_present_
**It te.** _He knows._

**a**
_past_
**At ta.** _I knew._

**o**
_future_
**Et to.** _You will know._

**u**
_conditional_
**Iti tu.** _They would know._

##### Non-indicative forms

    The **u** ending is not only used for the conditional as above, but also non-indicatives moods such as the imperative and and subjunctive. The conditional form without a subject is used for imperatives (direct commands). Positive subjunctives and jussives are expressed with the use of the affirmative jussive conjunction **av** (for, so that, let) followed by the subject and the verb in the conditional.

**pattern** **meaning** **example**

**Vu**
_direct command_
**Aku!** (short for **Av et aku!**) _Win!._

**av N Vu**
_may N V_
**Av ati aku!** _May we win!._

**av N Vu**
_let N V_
**Av it upu.** _Let him come._

**av N Vu**
_wishes, etc._
**At vàge (av) et piu.** _I wish you would leave._

    Negative subjunctives and jussives are expressed with the use of the negative jussive conjunction **ov** (against, lest) followed by the subject and the verb in the conditional.

**pattern** **meaning** **example**

**ov Vu**
_direct command_
**Ov oku!.** _Don't lose!_

**ov N Vu**
_may N V_
**Ov ati oku!** _May we NOT lose!._

**ov N Vu**
_lest N V_
**Ov it upu.** _Don't let him come._

**ov N Vu**
_wishes, etc._
**At vayge ov et piu.** _I wish you would NOT leave (lit: I wish lest you leave)._

    Unreal conditionals are expressed with the conditional conjunction **ev** (if, whether) followed by the subject and the verb in the conditional (**-u**) in both the main and subordinate clause..

**pattern** **meaning** **example**

**ev N Vu, N Vu...**
**if N were..., N would...**
**Ev at cu edeb, at ívsu it.** _If I were king, I would free him._

##### Illative patterns

###### Interrogative

    Beginning a sentence with the conditional conjunction **ev** (whether, if) makes the sentence into a yes/no question:

**pattern** **meaning** **example**

**ev + VP**
_Is it true that...?_
**Ev et aka?** _Did you win?_

###### Negative

    Use the negative adverb **voy** (not) in front a verb to negate it:

pattern meaning example

**vò + V**
_negative_
**Et vò ako.** _You will not win._

**ev + negVP**
_negative interrogative_
**Ev et vò akeé?** _Aren't you winning?_

###### Affirmative

    Similary, the positive adverb **vay' _(indeed) is used in various combinations to qualify verbs. Like_** _vò_ (not), this adverb immediate preceeds the verb form.

ending meaning example

**và + V**
_affirmative_
**At và aka.** _I did win. / I won indeed._

###### Potential

    Used the potential adverb **vè** (maybe) in front of a verb to qualify it as potential or possible (like English _may_):

ending meaning example

**vè + V**
_potential_
**It vè ako** _He may win!._

**ev + VP**
_negative potential interrogative_
**Ev et vè vò akaú?** _Might'nt you have won?_

##### Passive voice forms

    The passive voice is formed by preceding the tense endings with **w**.

ending meaning example

**w+e**
_present_
**It twe.** _He is known._

**w+a**
_past_
**It twa.** _He was known._

**w+o**
_future_
**It two.** _He will be known._

**w+u**
_conditional_
**It twu.** _He would be known._

#### Progressive aspect forms

    The progressive or continuous tenses, which are optional and used only where the distinction is useful, are formed from the simple present forms by compounding with pre-yodified tense vowels.

ending meaning example

**e+é**
_present continuous active_
**At akeé.** _I am winning._ (pronounced: _a-KE-ye_)

**e+á**
_past continuous active_
**At akeá** _I was winning._ (pronounced: _a-KE-ya_)

**e+ó**
_future continuous active_
**At akeó.** _I will be winning._

**e+ú**
_conditional continuous active_
**At akeú.** _I would be winning._

**we+é**
_present continuous passive_
**At akweé.** _I am being beaten._

**we+á**
_past continuous passive_
**At akweá** _I was being beaten._

**we+ó**
_future continuous passive_
**At akweó.** _I will be in the process of being beaten._

**we+ú**
_conditional continuous passive_
**At akweú.** _I would be in the process of being beaten._

#### Anterior tense forms

    The anterior or perfect tenses, which are also optional, are formed from the simple past tense form by compounding with pro-yodified tense vowels.

ending meaning example

**a+é**
_present perfect active_
**At akaé.** _I have won._

**a+á**
_past perfect active_
**Ati akaá** _We had won._

**a+ó**
_future perfect active_
**Ati akaó.** _We will have won._

**a+ú**
_conditional perfect active_
**Ati akaú.** _We would have won._

**wa+é**
_present perfect passive_
**Iti akwaé.** _They have been beaten._

**wa+á**
_past perfect passive_
**Iti akwaá.** _They had been beaten._

**wa+ó**
_future perfect passive_
**Iti akwaó.** _They will have been beaten._

**wa+ú**
_conditional perfect passive_
**Iti akwaú.** _They would have been beaten._

#### Imminent aspect forms

    The so-called _imminent_ tenses are formed from the simple future active tense forms in the same way.

ending meaning example

**o+é**
_present imminent active_
**At akoé.** _I am going to win._

**o+á**
_past imminent active_
**At akoá** _I was about to win._

**wo+é**
_present imminent passive_
**Et akwoé.** _You are going to be beaten._

**wo+á**
_past imminent passive_
**Et akwoá.** _You were about to be beaten._

#### Non-finite forms

ending meaning example

**er**
active infinitive
**Et ége aker** _You must win._

**wer**
passive infinitive
**Et vò vagu akwer** _You would not want to be defeated._

**en**
active verbal noun
**Aken ce ád.** _Winning is everything._

**wen**
passive verbal noun
**At vò ife akwen.** _I do not like being beaten._

**ea**
active present participle
**Akea ekut** _The winning player_

**aa**
active past participle
**Akaa ekut** _The player who won._

**oa**
active future participle
**Tob ce tujoa.** _Man is mortal (about to die)._

**ua**
active conditional participle
**Tob cua deb.** _The man who would be king._

**wea**
passive present participle
**Akwea ekut** _The player being beaten_

**waa**
passive past participle
**Magelwaa taol** _Cooked meat._

**woa**
passive future participle
**Teacwoa pancin** _the film to be seen_

**wua**
passive conditional participle
**Oteacwua tob** _the invisible man_

**eà**
present affirmative gerundive
**At teacibso pueà.** _I will call upon arriving._

**eò**
present negative gerundive
**At ija teò éd.** _I started without knowing anything._

**aà**
past affirmative gerundive
**Teacaà at pia.** _Having seen, I left._

**aò**
past negative gerundive
**At pila dom teacaò ád.** _I left the town without having seen everything._

**enè**
present instrumental gerundive
**Et akso gla ésenè.** _You will succeed by working hard._

  *     * Note: The **-ua/wua** ending approximates the English _-able_ ending. **oteacwua** = _invisible_, **íztijua** = _survivable_, **ogorwua** = 'indivisible_, **vegua** =_ capable_, **opanua** =_ immobile_. Adding an **-n** forms the substantive, eg. **ogorwuan** =_ indivisibility_._

#### Conditional constructions

    In sentences with conditional clauses the conditional clause is in the same tense as the main clause, contrary to the practice in English:

    

    

  * **Ev mamilo at co uva.** _If it rains (= will rain), I will be sad._
  * **Ev mamilaú at caú uva.** _If it had rained (= would have rained), I would have been sad._
  * **Ev at cu nasika at ga zípu.** _If I were (=would be) rich, I'd travel more._
  * **Ev et tu dud, (av et) du id atu.** _If you (= would) know the answer, (= that you would) tell it to me._

#### Sequence of tenses

    Unlike in English, the tense of a consecutive clause is a real tense, not an adjusted tense relative to the main clause:

    

    

  * **It da ad it _tadco_ at.** _He said he would (= will) marry me._
  * **It da ad it _teaca_ it ejipu.** _He said he had seen (= saw) it twice._

#### Impersonal constructions

    Impersonal verbs are conjugated without the subject personal pronoun:

    

    

  * **Mamileé.** _It is raining._
  * **Amco.** _It will warm up._
  * **Eco dropek.** _There will be a war._
  * **Ége av et upu já.** _It is necessary that you come early._
  * **Ce fia.** _It's ok._

#### The verb _"to be"_

    In Mirad, the verb **cer** (_to be_) is not suppressed in the present tense as in some languages like Russian or Agapoff's original version of Unilingua. Also, there is no existential distinction as in Spanish between **ser** and **estar**. Furthermore, the progressive forms **ceá** and **ceé** can be used at times as in some of the examples below:

    

    

  * **Ati ce íva!** _We are free._
  * **At co idmu.** _I'll be there._
  * **Déni ca ab cem.** _The books were on the table._
  * **Cayo e jubi ji at ca dopu.** _It will have been two days since I was in the army._
  * **Cer ey voy cer.** _To be or not to be._
  * **At caú uva ev et vò upaú.** _I would have been sad if you hadn't_

come.

    

    

  * **Et ceé gla fua.** _You are being very bad._
  * **At vò ceá ivcla.** _I was not being funny._

#### Reflexive constructions

    Verbs can be made reflexive by adding the direct object **get** (self).

    

    

  * **At vímila get ja per majtulu.** _I washed up (washed myself) before going to breakfast._
  * **Tobet tuja get.** _The boy killed himself._
  * **At teasa get cinzéfu.** _I looked at myself in the mirror._
  * **Tu get!** _Know thyself!_

#### Modal or auxiliary verbs

Mirad English Meaning Example

**íver**
may
permission
**Et íve iper.** _You may leave._

**úver**
must
requirement
**Et úve iper.** _You must leave._

**ûver**
should
obligation
**Et ûve iper.** _You should leave._

**éger**
have to
necessity
**At ége iper.** _I have to leave._

**êger**
should
obligation
**Et êge iper.** _You ought to leave._

**vager**
want to
volition
**At vage iper.** _I want to leave._

**vaager**
long to
yearning
**At vaage iper.** _I long to leave._

**vàger**
would like to
preference
**At vàge iper.** _I would like to go._

**vagrer**
be eager to
eagerness
**At vagre iper.** _I am eager to leave._

**valter**
intend to
intention
**At valte iper.** _I intend to leave._

**veger**
can
ability
**At vege ser id.** _I can do that._

**voger**
refuse to
refusal
**At voge ser id.** _I refuse to do that._

**áker**
expect to
expectation
**At áke aker.** _I expect to win._

**áaker**
hopeto
aspiration
**At áake aker.** _I hope to win._

**éker**
try to
attempt
**It vò éko iper.** _He won't try to leave._

**ékler**
dare to
dare
**It vò éklo iper.** _He will not dare leave._

**óker**
to be surprised to
surprise
**At óka aker.** _I was surprised to win._

**ifer**
to love to
love
**It ife eker.** _He loves to play._

**ìfer**
to like to
liking
**It ìfe eker.** _He likes to play._

**ufer**
to hate to
hate
**It ufe eker.** _He hates to play._

**ùfer**
to dislike to
dislike
**It ùfe eker.** _He dislikes playing._

**iver**
to be glad to
gladness
**At ivo iper.** _I shall be glad to leave._

**uver**
to regret to
regret
**At uva der id.** _I regretted saying it._

**aver**
to favor
espousal
**At ave iper.** _I favor leaving._

**over**
to be opposed to
opposition
**At ove eker.** _I am opposed to playing._

    As you see in the examples above, modal verbs are followed by the infinitive form (**-er**) of the main verb.

#### Subordinate clauses introduced by **ad**

    The positive complementizer particle **ad** (_the fact that_) is used to introduce a subordinate clause:

  


    

    

  * **At ta (ad) it upo.** _I knew THAT he would come._
  * **At ce vala (ad) et vádeé.** _I'm sure THAT you are telling the truth._
  * **Ad mamilo ce valan.** _THAT it will rain is a certainty._
  * **Ata tèd da (ad) iyt co tamu ojo èmaj.** _My mother said THAT she would be home by noon._

    As in English, if the _that_ can be dropped without any loss of meaning, it can be:

    

    

  * **At da at dro.** _I said I'd (= I'll) write._
  * **Et ta it sa id.** _You knew he had done (= did) it._

    Unlike in English, a relative sequence of tenses is not applied. For example, English "I knew he would come." is rendered in Unilingua as "I knew he will come."

    Do not confuse the particles **ad** and **av**. Clauses following **ad** are facts, whereas clauses following **av** are unreal wishes. **Av** should be thought of as _so that_.

    

    

  * **At pana _av_ it ábtu.** _I moved _so that_ he could (= would) sit down._
  * **At ta _ad_ it ábto.** _I knew _that_ he would (= will) sit down._

#### Subordinate clauses introduced by **ev**

    The conditional complementizer particle **ev** (_whether_) is used to introduce a subordinate clause of the type "whether...":

    

    

  * **At vò ta _ev_ it upo.** _I did not know _whether_ he would come._
  * **_Ev_ it upo ca teskía atu.** __whether_ he would or would come was not important to me._

### Adjectives

    Adjectives end in the suffix **-a**. They are invariable in form:

    

  * **aga** _big_
  * **oga** _small_
  * **aza** _strong_
  * **oza** _weak_
  * **taba** _bodily_
  * **teaba** _ocular_
  * **tea** _aware_
  * **otea** _unaware_

  


    Adjectives used substantively to describe persons end in **-t**, while those used to describe things end in **-c**:

  


adjective animate substantive inanimate substantive

**yoga** _young / new_
**yogat** _youth_
**yogac** _novelty_

**tuja** _dead_
**tujat** _dead person_
**tujac** _dead thing_

**fia** _good_
**fiat** _good person_
**fiac** _good thing_

  


    Adjectives always preceed the noun they modify:

  


    

  * **aga tam** _a big house_
  * **yaga drun** _the long sentence_
  * **aza tob** _the strong man_
  * **mona maf** _a dark cloud_

  


    Serial adjectives usually go in the same order as in English:

  


    

  * **ujna via jeeba jub** _the last beautiful summer day_

  


#### Degrees of Comparison in Adjectives and Adverbs

##### Summary of Comparison Constructions

    Note: **vél** is a preposition that comes from the verb **véler** _to relate_ and is used to signal the object against which a relative comparison is being made (_than, relative to_).

Mirad English

**ga...vél**
_more...than_

**ge...vél**
_as...as_

**go...vél**
_less...than_

**gá...vél**
_the most...in/of_

**gé...vél**
_rather...compared to_

**gó...vél**
_the least...in/of_

##### The Comparative of Superiority

    _More than_ is expressed by the adverb **ga**, followed by the adjective, adverb, or verb and the preposition **vél** (in relation to, than, as) preceding the noun, pronoun, or predicate being compared:

Mirad English

**Ata tadet ce ga aza vél et.**
_My brother is stronger than you._

**At ga ése vél et.**
_I work more than you._

**Ita tedet ga aga vél ata.**
_His son is taller than mine._

**Uda dén ce ga ketlea vél idac.**
_This book is more interesting that that one._

**Mam ce ga aga vél et tese.**
_The sky is bigger than you think._

##### The Comparative of Equality

    _As...as'_ is expressed by the adverb **ge**, following by the adjective, adverb, or verb and the preposition **vél** (in relation to, than, as) preceding the noun, pronoun, or predicate being compared.

Mirad English

**Ìt ge te vél at.**
_She knows as much as I do._

**At ge fi deuze vél et.**
_I sing as well as you do._

**Ata tam ce ge aga vél eta.**
_My house is as big as yours._

**Ece ge tobi vél tobomi.**
_There are as many grownups as babies._

##### The Comparative of Inferiority

    _Less...than'_ is expressed by the adverb **go**, following by the adjective, adverb, or verb and the preposition **vél** (in relation to, than, as) preceding the noun, pronoun, or predicate being compared.

Mirad English

**Ìt go te vél at.**
_She knows less than I do._

**At go fi deuze vél et.**
_I sing less well than you do._

**Ata tam ce go aga vél etac.**
_My house is less big than yours._

**Ece go tobi vél tobomi.**
_There are fewer grownups than babies._

##### The Superlative of Superiority

    _The most...of/in'_ is expressed by the adverb **gya**, followed by the adjective, adverb, or verb, and the compared noun or pronoun preceded by the preposition **vyel**.

Mirad English

**Ud ce gya yobaga miam vyel mir.**
_This is the deepest lake in the world._

**At gya fi deuze.**
_I sing the best._

**Gya fia ticudi vyel ticudyan akbuyo.**
_The best students in the class will be rewarded._

**At ce gya ivat vyel yati.**
_I am the happiest person of all._

##### The Superlative of Inferiority

    _The least...of/in'_ is expressed by the adverb **gyo**, followed by the adjective, adverb, or verb, and the compared noun or pronoun preceded by the preposition **vyel**.

  


Mirad English

**Uda ticud ce gó tepaza vél áda ticudi.**
_This student is the least intelligent of all the students._

**At gó fi deuze.**
_I sing the least well._

**Gó fia ticudi vél ticudyan uóvfuso.**
_The worst students in the class will be punished._

**At ce gó ivat vél áti.**
_I am the least happy person of all._

##### Idioms Using Adjectival/Adverbial Comparison Constructions

Mirad English example

**ga...ga**
_the more...the more_
**Ga mamile ga ilirke.** _The more it rains, the more it floods._

**ga...go**
_the more...the less_
**Ga iva at ce ga azà at dae.** _The happier I am the louder I speak._

**go...ga**
_the less...the more_
**Go et tile ga fia ce.** _The less you drink the better._

**go...go**
_the less...the less_
**Go et ézbue go et ózbie.** _The less you put in the less you get out._

**gá...**
_as much as possible..._
**At tele gá ida telamu.** _I eat as much as possible in that restaurant._

**gá veá...**
_the most possible_
**Puo gá já veá.** _Arrive as early as possible._

**gó veá...**
_the least possible_
**Bookco gó veá.** _Tire yourself out the least possible._

**vòga...vél**
_no more...than_
**At tila oga vél jubénà.** _I drank no more than usual._

  


    Note: **vél**, as a preposition, originates from a verb, much like the prepositions **gal** _plus_ and **gar** _times_:

  


verb preposition

**galer** _to add_
**gal** _plus_

**garer** _to multiply_
**gar** _times_

**goler** _to subtract_
**gol** _minus_

**gorer** _to divide_
**gor** _divided by_

**véler** _to relate_
**vél** _relative to, than_

### Adverbs

#### Formation

    Adverbs can be formed from adjectives by post-yodifying the adjectival ending, that is, by changing **-a** to **-à**, for example:

adjective adverb

**fia** _good_
**fià** _well_

**ana** _single_
**anà** _only_

**gía** _easy_
**gíà** _easily_

    The adverbial ending **-à** is really the same as the comitive ending, meaning _with_. So, in effect, nouns in the comitive case are really adverbs. The same holds true for the instrumental ending **-è** _by means of, through, by_.

noun adverb

**gúan** _difficulty_
**gúanà** _with difficulty_

**ágan** _length_
**áganè** _lengthwise, by length_

**bik** _care_
**bikà** _with care, carefully_

**at** _me_
**atè** _by me_

    Similarly, a noun in the dative case (**-u**) can amount to an adverbial expression.

noun adverb

**uda job** _this day_
**udjobu** _today_

**oda em** _which place_
**od(e)mu** _where?_

**tam** _house_
**tamu** _(at) home_

**mep** _way_
**mepu** _en route_

    Some words are inherently adverbs:

    

    

  * **áb** _up_ as in _go up_
  * **ób** _down_ as in _come down_
  * **zà** _ahead_ as in _run ahead_
  * **zò** _back_ as _come back_
  * **úz** _around_ as in _spin around_
  * **ga** _more_ as in _eat more_
  * **go** _less_ as in _eat less_
  * **ge** _same, as_ as in _as big_ or _do the same_
  * **gla** _very_ as in _very good_
  * **glo** _not so_ as in _not so bad_
  * **và** _indeed_ as in _He is indeed our leader._
  * **vò** _not_ as in _He is not our leader._
  * **vè** _possibly_ as in _It's possibly true._

#### Comparison

    Adverbs are compared in the same way as adjectives:

normal equalitive degree comparitive degree maximal degree

**igà** _quickly_
**ge igà (vél)** _as quickly (as)_
**ga igà** more quickly
**gá igà** as quickly as possible

**ugà** _slowly_
**ge ugà (vél)** _as slowly (as)_
**go ugà** less slowly
**gá ugà** as slowly as possible

#### Syntax

    Adverbs, like adjectively, normally precede the element in the sentence which they modify, however, this rule is a loose one and can be bent without peril in most cases.

    

    

  * **_Igà_ upu!** _Come _quickly_!'_
  * **At _anà go_ te.** _I know _only a little_._
  * **Uda tam _fià_ ceswa.** _This house was built well._
  * **Et vò sa ge fuà.** _You did not do as badly._
  * **Upu gá ubà.** _Come as closely as possible._
  * **At vò te ev it pa áb è ób.** _I don't know whether he went up or down._

#### Shortcuts

    Adverbs formed from adjectives ending in **-ia** or **-ua** can be shorted to **-i** and **-u**, respectively:

    

    

  * **Pu fi! Fare well!'**
  * **vi swa** _beautifully done_
  * **ésu gú!** _Work hard!_

  


  


# Conversation Lessons

## Lesson 1: Greetings (Dotsini)

Mirad English

**Cu baka!**
_Hello!_ [Lit: "Be healthy."]

**Gè et.**
_Hi._ (in return) [Lit: "Equally you."]

**Fijub!**
_Good day!_

**Fimaj!**
_Good morning!_

**Fiumaj!**
_Good evening!_

**Fimoj!**
_Good night._

**Upu và!!**
_Welcome!_ [Lit: "Come indeed"]

**Et ce odéna?**
_How are you?_ [Lit: "You are what-like"]

**Et ce odbéna?**
_How are you?_ [Lit: "You are in-what-situation."]

**At ce baka.**
_I'm fine._ [Lit: "I am well."]

**At ce fibéna.**
_I'm fine._ [Lit: "I am in-good-situation."]

**At ce ficana.**
_I'm fine._ [Lit: "I am in-good-form."]

**Ev coni fipe?**
_How are things?_ [Lit: "Are things going well?"]

**Yad fipe.**
_Everything is going well._

**Et se odà?**
_How are you doing?_ [Lit: "You do how?"]

**At se fià.**
_I'm doing well._ [Lit: "I do well."

**Vò fia vò fua.**
_So-so._ [Lit: "Not good not bad."]

**Naztwe!**
_Thanks!_ [Lit: "It is appreciated."][**naz** = _value_]

**Atu ifca.**
_You're welcome._ [Lit: "It was a pleasure for me."]

**À ev et?**
_And you?_ [Lit: "And whether you?"]

**At gè ce baka.**
_I'm fine, too._ [Lit: "I likewise am healthy."]

**Od ce joga?**
_What's new._ [Lit: What is new?"]

**Ód.**
_Nothing._

**Eta tod ce odéna?**
_How is your family?_ [Lit: "You family is what-way?"]

**Ata tod ce ficana.**
_My family is fine._ [Lit: "My family is in good shape."]

**Cu baka!!**
_Goodbye!_, _Farewell!_ [Lit: "Be healthy."]

**Gè et!!**
_Goodbye to you, too!_ [Lit: "Likewise you."]

### Vocabulary Notes

    

  * **bak** = _health_
  * **baka** = _healthy_
  * **cer** = _to be_
  * **cer baka** = _to be healthy, to be well_
  * **Cu baka!!** [future/imperative] = _Be well! Farewell! Hello!_
  * **At ce baka.** = _I'm fine._ (= _I am well._)

    

  * **gè** = _equally, also, too, likewise_
  * **gè at** = _me too; I, as well_
  * **gè fia** = _equally good, also good_
  * **gebénu** = _in the same situation/manner_

    

  * **ev** = _Whether?; Is it true that?_
  * **od?** = _What?_
    * **odà?** = _How?_ (**-à** = adverbial ending/"with")
    * **odéna?** = _How?, (Lit: what-wise?)_
    * **odbéna?** = _How? (Lit: what-mannered?)_
    * **odcana?** = _How? (Lit: what-shaped?)_
  * **av** = _for_ (prep), _let, so that_ (conj.) 
    * **Av it bakcu.** = _Let him be well._ [Lit: "So that he be healthy."]
  * **à** = _and_ (**ò** = _but_, **è** = _or_)
  * **vo** = _no_ (**va** = _yes_, **ve** = _maybe_) 
    * **vò** = _not_ (**và** = _indeed, certainly_, **vè** = _possibly, may_)
    * **vò fua** = _not bad_
    * **At vè ce boka.** = _I may be ill._
    * **It và ce ficana.** = _He is really in good shape._
  * **ód** = _nothing_ (**ád** = _everything_)

    

  * **at** = _I, me_
  * **atu** = _to me, for me_
  * **ata** = _my, mine_

    

  * **et** = _you_
  * **etu** = _to you, for you_
  * **eta** = _your_

    

  * **it** = _he, him_
  * **itu** = _to him, for him_
  * **ita** = _his_

    

  * **can** = _shape, form, condition, state, status_
  * **fican** = _good shape, good form, good condition_
  * **ficana** = _in good shape, well, in good condition_
  * **ficana cer / fincancer** = _to be in good shape, to be fine_
  * **fucan** = _bad shape, bad condition_
  * **fucana cer / fucancer** = _to be in bad shape, to be unwell_
  * **odcana** = _in what shape, how_
  * **odcana ce...** = _How is..._

    

  * **bén** = _manner, situation_
  * **fia** = _good_ (**fua** = _bad_)
  * **fibéna** = _in a good situation, fine_
  * **odbéna?** = _in what situation?, in what manner?, how?_
  * **ge** = _equal, same, as_
  * **gebéna** = _in the same situation, unchanged_

    

  * **naz** = _value_
  * **ter** = _to know_
  * **twer** = _to be known_
  * **nazter** = _to appreciate, to know the value, to be thankful_
    * **naztwe.** = _(It) is appreciated [passive voice], thank-you, thanks_
    * **Gla naztwe.** = _Much appreciated; Thank-you very much._
  * **der** = _to say_ (...to [someone] = ...-u)
  * **nazder** = _to express appreciation, to thank (+ ...-u)_
    * **At nazda itu av ita és.** = _I thanked him for his work._
  * **nazden** = _thanks, expression of appreciation_

## Lesson 2: Getting Acquainted

Mirad English

**At vàge [ad] et ijtu ata dat Ivan.**
_I'd like you to meet my friend, Ivan._ [Lit: "I'd like that you be acquainted with..."]

**Ce gla if ijter et.**
_Very pleased to meet you._ [Lit: "It is a great pleasure to..."]

**Od ce eta dún?**
_What's your name?_

**Ata dún ce Maria.**
_My name is Mary._

**Odmu et tome?**
_Where do you live?_

**At tome New Yorku/erozáki udma.**
_I live in New York/two kilometers from here._

**Et tome idmu ji od?**
_How long have you lived there?_ [Lit: "You live there since what?"]

**At tome ida domu ji alo jabi.**
_I have lived in that city for 10 years._ [Lit: I live in that city since...]

**Od ce eta és?**
_What do you do for a living?_ [Lit: "What is your work?"]

**At ése ge biktut. À ev et?**
_I work as a nurse. And you?_

**At eju keé és.**
_I am currently looking for work._

**Ev et aé aga tod?**
_Do you have a big family?_

**Ata tedeti ce odjaga?**
_How old are your children?_ [Lit: "What-aged are..."]

**Gajagat ce ale jaga à gajogat ce ú jaga.**
_The elder is twelve years old and the younger is nine._ [Lit: "...is 12 of age...is 9 of age."]

**Ev et gè ce tadca (or: tadaá)?**
_Are you also married?_

**Vo. At ce tadokca/tadónca/tadoá.**
_No. I'm widowed/divorced/unmarried._ [Lit: "mate-lost/mate-separated/mate-less"]

**Odmu et tija?**
_Where were you born?_

**At tija úb udem.**
_I was born near here._

**Odju et emkála udmu?**
_When did you move here._ [Lit: "....change location..."]

**At pua ji e jabi.**
_I arrived four years ago._ [Lit: "...since four years"]

### Vocabulary Notes

    

  * **ijter** = _to get to know, to become acquainted with, to meet (for the first time) (**ijtat**_ acquaintance_)_
  * **ifcer/uifcer** = _to please/be pleased_
  * **tomer** = _to reside, to live, to make one's home_
  * **éser** = _to work_
  * **aér** = _to have_
  * **vàger** = _to wish, to like to_ (**At vàge --er** = _I'd like to --_)
  * **dúncer** = _to be named, to be called_
  * **ser** = _to do, to make_
  * **keer** = _to seek, to look for_ (**kaer** = _to find_, **koer** = _to hide_)
  * **tijer** = _to be born_ (**tujer** = _to die_)
  * **tadcer** = _to get married_
  * **tadokcer** = _to be widowed_
  * **tadòcer** = _to be unmarried_
  * **emkáler** = _to relocate, to move_ (**emkóler** = _to settle down_)
  * **puer** = _to arrive_ (**pier** = _to depart_)
  * **jagcer** = _to get old, to age_ (**jogcer** = _to get young_)

    

  * **dat** = _friend_
  * **tad** = _spouse, mate_ (**tàd** = _wife_, **tadca** _married_) 
    * **tadokcat** = _widow(er)_
    * **tadóncat** = _divore(e)_
    * **tadoát** = _bachelor/bachelorette_
  * **tedet** = _offspring, son, daughter, child_
  * **tod** = _family_
  * **tom** = _residence, home_ = (**tomu** = _at home_)
  * **dom** = _city_ (**domu** = _in the city, in town_)
  * **és** = _work_ (**ésu** = _at work_)
  * **jag** = _age_ (**jaga** = _old_, **joga** = _young_)
  * **tij** = _birth_ (**tuj** = _death_, **tej** = _life_)
  * **dún** = _name_
  * **job** = _time_
  * **jab** = _year_ (**jabi** = _years_, **e jabi** _two years_, **udjabu** _this year_)
  * **ej** = _the present_ (**eju** _at present_, **eja** _present_)
  * **em** = _place, space_ (**emkáer** _to relocate_)
  * **jagat** = _young person_ (**gajagat** = _cadet, younger one_)
  * **jogat** = _old person_ (**gajogat** = _elder_)
  * **if** = _pleasure_ (**Ca if.** _It was a pleasure._)

    

  * **ja** = _before_ (**jo** = _after_, **je** = _during_) 
    * **ja ej** = _ago_ [Lit: _before the present_]
  * **ji** = _since_ (**ju** = _until_) 
    * **ji od** = _since when, for how long_ (**ji e jabi** = _for two years_)
  * **ga** = _more_ (**go** = _less_, **ge** = _equal_)
  * **gla** = _very, much, many_ (**glo** = _little, few, slightly_)
  * **úb** = _near to_ (**íb** = _far from_, **úbem** _vicinity_)
  * **bu** = _to_ (**bi** = _from_)

    

  * **udem** = _this place_ (**ud(e)mu** = _here_, **ud(e)ma** _from here_, **od(e)mu?** = _where?_
  * **idem** = _that place_ (**id(e)mu** = _there_, **id(e)ma** _from there_)
  * **udjob** = _the present_ (**udj(ob)u** = _now_, **odj(ob)u?** _when?_)
  * **idjob** = _that time_ (**idj(ob)u** = _then_, **ji id** _since then_)
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&oldid=1963581](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&oldid=1963581)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Mirad](http://en.wikibooks.org/wiki/Category:Mirad)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Mirad%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Mirad%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:Mirad/Print_version)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Mirad/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Mirad/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&oldid=1963581)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Mirad%2FPrint_version&id=1963581)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Mirad%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Mirad%2FPrint+version&oldid=1963581&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Mirad/Print_version&printable=yes)

    * This page was last modified on 1 November 2010, at 22:42.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Mirad/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
