# Organic Business Guide/Print version

From Wikibooks, open books for an open world

< [Organic Business Guide](http://en.wikibooks.org/wiki/Organic_Business_Guide)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


# The Organic Business Guide - ready to print[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&action=edit&section=1)]

  
  
**The Organic Business Guide**  
_Developing sustainable value chains with smallholders_  
  


**by Bo van Elzakker** (Agro Eco Louis Bolk Institute, The Netherlands, (<http://www.louisbolk.org>)  
and **Frank Eyhorn** (Helvetas Organic & Fair Trade Competence Centre, Switzerland, (<http://www.organicandfair.org>)  
  


Sales of organic products are steadily increasing, and so is organic production in low and middle income countries. For good reason: for farmers it is an opportunity to increase their income and manage their land in a more sustainable way. Getting the produce from the field to the market requires a certain level of organisation, management and finance; a well-functioning organic business. Whether set up in the form of a producer cooperative or a private company, the organic business needs to be efficient, well structured and profitable.

This guide is written for those who are actively engaged in setting up or managing organic businesses with groups of smallholders. It provides practical know-how and essential information for planning, managing and expanding such a business. Covering topics from designing production and internal control systems to business planning and marketing, it attempts to be a comprehensive reference book for organic entrepreneurs, cooperatives and facilitators.

The guide was developed in a participatory process involving people who are active and experienced in managing or supporting organic businesses in Africa, Asia, and Latin America. It draws on a wide range of practical examples and provides links to useful resources available on the internet.

  
**In cooperation with:**

  * [HELVETAS](http://www.helvetas.org) \- Swiss Association for International Cooperation
  * [Agro Eco](http://www.louisbolk.org) \- Louis Bolk Institute
  * [ICCO](http://www.icco.nl/en) \- Dutch Interchurch Organisation for Development Co-operation
  * [UNEP](http://www.unep.org) \- United Nations Environment Programme

  
_English language editing: Sheila Taylor (Kulika, Uganda)_  
_Set-up of wikibook version: Patrick Bottermann_  
  


The Organic Business Guide provides you with several tools that will help you to get your business started and keep it running - some of which were already displayed in the Annex. The link below will take you to some "ready-to-use" word and excel documents, which are hosted on the website of the Organic and Fairtrade Competence Center:  
  


**[Tools to The Organic Business Guide**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  
**Print copies of this publication are available via the IFOAM web shop at <http://www.ifoam.org/bookstore>. The tools in the Annex are available in electronic format from <http://www.organicandfair.org> -> Publications. Any reproduction in full or part of this publication is encouraged, but must identify the title of the publication and IFOAM as the publisher.** **The following people substantially contributed to the guide by writing parts of the text, contributing case studies or reviewing draft versions:**

  * Alastair Taylor (Agro Eco Louis Bolk Institute – Eastern Africa, Uganda) - review
  * André Vording, Angelica Senders, Lisette van Benthum, Rob Witte (ICCO, The Netherlands) - concept, content, review
  * Fabio Sagliocca (Claro Fair Trade, Switzerland) - photos
  * Ghidey Gebremedhin Debessu (Tigray Agricultural Marketing Promotion Agency, Ethiopia) - content, examples
  * Gideon Adeoye (Nigerian Organic Agriculture Network NOAN, Nigeria) - content, examples
  * Gunnar Rundgren (Grolink, Sweden) - review
  * Joachim Weber (Agri and Co-operative Training and Consultancy Services, Kenya) - content, examples
  * Kees van den Berg (Oikocredit, Netherlands) - micro-finance aspects
  * Lazare Yombi (Helvetas Burkina Faso) - ICS documents
  * María Durán (Ecomercados, Nicaragua) - photos
  * Martina Meckel, Louise Luttikholt (Fairtrade Labelling Organizations International) - Fair Trade aspects, photos
  * Mirjam Güntert, Adrian Wiedmer (Gebana AG, Switzerland) - photos and tools
  * Mohammed Suleman Khan (Chetna Organic Farmers Association, India) - content, examples
  * Paul van den Berge (FiBL, Switzerland) -review
  * Peter Lendi (Erboristi Lendi SA, Switzerland) - review
  * Peter Schmidt, Jens Soth (Helvetas, Switzerland) - content, review
  * Prachanda Man Shresta (Helvetas Nepal) - extension and ICS documents
  * Rhiannon Pyburn (KIT - Royal Tropical Institute, The Netherlands) - gender aspects
  * Robert Berlin, Lionnel Giron (Intercooperation, Switzerland) - review
  * Simon Ferrigno (Consultant, UK) - review
  * Steven de Vries Reilingh (Rabobank, The Netherlands) - financial aspects

  
**This guide was produced with support of:**

  * ICCO - Dutch Interchurch Organisation for Development Co-operation
  * SECO - Swiss State Secretariat for Economic Affairs
  * SIDA - Swedish International Development Cooperation Agency
  * UNEP - United Nations Environmental Program

What does organic mean for you? This question makes most people think, triggers emotions, and sparks the imagination. Seeing products branded as organic, the consumer expects a high level of ethics and integrity. It is clear for most consumers that organic may cost an extra price. At the same time it is also clear that the claims are expected to be true. Products ought to be of high quality, healthy and tasty; moreover, provisions should be made for animal welfare, the protection of biodiversity and a decent living for smallholders.

Organic developed into an internationally known and recognized philosophy of production and trade that is based on the organic principles of ecology, health, fairness and care, as articulated by IFOAM. Producers and consumers alike want sustainable systems in place that provide real solutions to global challenges such as hunger, loss of biodiversity, soil depletion and climate change. This only works if all stakeholders along the value chain are fairly treated and able to be competitive.

Smallholder farmers in low and middle income countries are at the core of IFOAM's attention. While they are the most important source for tropical organic products, they are also the group most vulnerable to poverty and malnutrition due to unsustainable practices. Organic is an opportunity for them. However, opportunities may fail if they are not properly managed and if they cannot be aligned with demand. Setting up an organic business is ambitious and requires skills. On the other hand, organic production is a successful model for millions of smallholders, who, taken together, are responsible for billions of dollars of consumer turnover around the world.

The recommendations and case studies in this guide are built upon a wealth of practical experience and in-depth research, and came out of a broad participation process. We are grateful to all those who committed to passing on their knowledge and hope to encourage and assist all those who strive for improvement or even dare to venture into organic businesses with smallholders in low and middle income countries.

We wish you good luck and prosperity!

Organically Yours,

**Markus Arbenz**  
Executive Director, IFOAM

## Abbreviations[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Abbreviations&action=edit&section=T-1)]

  * **AELBI** Agro Eco - Louis Bolk Institute
  * **BDS** Business Development Services
  * **CAD** Cash Against Documents
  * **CB** Certification body
  * **CIF** Carrier, insurance, freight
  * **CFR** Cost and Freight
  * **FLO** Fair trade Labelling Organisations
  * **FOB** Free on board
  * **GMO** Genetically modified organism
  * **GPS** Geographic Positioning System
  * **ha** Hectare
  * **HACCP** Hazard Analysis and Critical Control Point
  * **ICS** Internal Control System
  * **IFOAM** International Federation of Organic Agricultural Movements
  * **ISO** International Organisation for Standardisation
  * **JAS** Japanese Agricultural Standards
  * **NGO** Non Governmental Organisation
  * **NOP** National Organic Programme (US)
  * **OFT** Organic & Fair trade
  * **PO** Producer organisation
  * **PGS** Participatory Guarantee System
  * **SPS** Sanitary and Phytosanitary
  * **SWOT** Method to analyze Strengths, Weaknesses, Opportunities and Threats
  * **USP** Unique Selling Point

## Definitions[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Definitions&action=edit&section=T-1)]

**Associated crop** Crops grown along with a main crop in the same field.  
  
**Break even point** The moment when revenues start to exceed operational costs.  
  
**Bulking** Collection of raw material from several individual farms.  
  
**Business plan** Documented strategy to develop an idea into a viable business.  
  
**Cash flow** Movement of cash into or out of a business over a specified period of time, determining the liquidity of a company.  
  
**Certification** A third-party confirmation that a certain product or process complies with a set of requirements defined in regulations or standards.  
  
**Cooperative** A marketing cooperative of producers engaged in bulking and selling of products, possibly including processing and exporting and provision of inputs.  
  
**Company** A business of an individual entrepreneur or a shareholding; can include farmers or farmer organisations as shareholders.  
  
**Competitive advantage** Attribute or combination of attributes that allows a business to outperform its competitors.  
  
**Contingency** An additional amount or percentage added to any cash flow item in order to cover unforeseen costs.  
  
**Conversion** The process of changing from conventional to organic production.  
  
**Cost price** Actual total costs per unit of output of a product; excluding the profit margin.  
  
**Depreciation** Spread of cost of an asset (equipment, building, vehicle etc.) over its useful life.  
  
**Development agency** NGO or government organisation that supports development in low and middle income countries.  
  
**Entrepreneur** An individual who possesses an enterprise and assumes significant responsibility for the inherent risks and for the outcome.  
  
**Exporter** A company or a cooperative engaged in exporting products.  
  
**Facilitation** Any activity used to make tasks easier for others. Facilitation of value chains refers to supporting coordination and communication among value chain operators.  
  
**Fair Trade** Fair Trade is an organized market-based approach that aims to help producers in developing countries by paying them a higher price as well as enforcing social and environmental standards.  
  
**Gross margin** Difference between revenues and production costs (excluding overhead costs or own labour costs).  
  
**Inputs** Material used for agricultural production, such as seeds, fertilizers and pest management materials.  
  
**Marketing plan** Documented strategy to promote and market the produce.  
  
**Operator** A person or business directly involved in producing, buying, processing or selling of a product.  
  
**Organic agriculture** An agricultural production system that relies on natural means like crop rotation, compost, biological pest control, and mechanical cultivation to maintain soil fertility and control pests, excluding the use of synthetic fertilizers and synthetic pesticides, plant growth regulators, livestock feed additives, and genetically modified organisms.  
  
**Organic business** Commercial operations of a specific entity involved in the production, processing or trade of organic products.  
  
**Organic by default** A farming system that does not use chemical inputs, but does not actively work on maintaining soil fertility (e.g. through application of organic manures, crop rotation).  
  
**Organic project** An initiative to set-up an organic business; with a defined start and end of the intervention.  
  
**Pig cycles** Cyclical fluctuations of supply and prices; high prices leading to an increase in production, leading to oversupply, leading to drop in prices, leading to a decrease in supply etc.  
  
**Premium** A charge paid in addition to normal (market) prices, for higher quality, organic production or Fair Trade.  
  
**Rotation crop** A crop grown in sequence with the main crop in the same field.  
  
**Smallholder** A farm of small size which mainly relies on family labour.  
  
**Supply chain** The system that moves a product from supplier to customers, emphasizing the perspective of sourcing.  
  
**Transaction certificate** Certificate stating that a certain shipment and volume originates from certified organic production.  
  
**Value chain** A chain of activities through which the product gains in value on its down stream journey from production to final consumption.  


## Introduction to the guide[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Introduction_to_the_guide&action=edit&section=T-1)]

Sales of organic products are steadily increasing, and so is organic production in low and middle income countries. For good reason: for farmers it is an opportunity to improve their livelihoods and at the same time manage their land in a more sustainable way. It enables them to access promising local and international markets and to gain a better income. There are many successful examples of how this potential can be turned into a sound business in which all stakeholders benefit. However, there are also less successful cases where it was found difficult to seize - and to maintain - a market. Some of them have struggled for a long time to become independent from external support. The main objective of this guide is to increase the success rate among organic farming initiatives in low and middle income countries.

## What can you expect from this guide?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Introduction_to_the_guide&action=edit&section=T-2)]

This guide should help those actively engaged in setting up or in managing organic businesses with smallholders, to do a better job, and thus to be more successful. They should know what they are getting into, be well prepared, and able to keep an overview once they are involved in an organic business. We purposely use the term "organic business", as we strongly believe that organic production initiatives, even if they focus on improving the livelihoods of smallholders, can only grow and survive if they are economically viable. In the guide you can expect to find the practical know-how and essential information you need to be familiar with in order to set up, manage and expand an organic business. By spending some time reading (parts of) the guide, you will:

  * get a succinct but full overview of the main aspects and issues involved, including management principles needed in all businesses;
  * receive practical guidance on how to structure and manage an organic business;
  * learn about successful examples and the key factors that made them a success;
  * learn about pitfalls so that they can be avoided;
  * become familiar with systems and tools that can help you to be effective and efficient;
  * get to know the most relevant information and linkages that help you to orient yourself further in this field

This guide was developed in a participatory process involving people who are active and experienced in managing or supporting organic businesses in Asia, Africa and Latin America. For the first step, the content identified by the editorial team was tested and expanded in an international workshop involving more than 30 practitioners. On this basis, and drawing from years of their own practical experience, the authors developed a first draft of the guide. Documents and websites on related topics served as sources of inspiration, and are referenced where useful for the reader. Drafts of the guide were reviewed by entrepreneurs, consultants and development experts active in this field.

## Who is this guide for?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Introduction_to_the_guide&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikipedia/commons/d/d3/Organic_Business_in_the_value_chain.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 1: The organic business in the value chain.

The guide is primarily written for people who are directly involved in the set-up or management of an organic business that involves smallholders in low and middle income countries. These can be individual entrepreneurs, senior staff of companies, but also the management of producer cooperatives marketing organic products. In this guide, when we use ‘you’ we address this type of people (Figure 1).

Secondly, the guide should be useful for those who facilitate the development of such businesses. These can be NGOs focusing on sustainable development and income generation of rural communities, or consultants and business development services. Thirdly, the guide should help donors, financial service providers and government agencies active or interested in this field to better understand the particularities of organic businesses and to provide the right support to the right initiatives. The chapter ["Roles for facilitators, governments and donors"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors) specifically addresses organisations that facilitate and support the development of organic businesses. The focus of the guide is on organic businesses and where this is possible, organic in combination with Fair Trade. However, it is not about Fair Trade in conventional farming. The following examples from Africa, Asia and Latin America provide an idea of some of the different types of organic businesses:

  * **Pineapple processing and export in Uganda:** An individual entrepreneur, who contracts 200 farmers producing organic pineapple, exports fresh pineapples and runs a solar based drying plant. He sells the fresh pineapple to Europe and sometimes to Kenya, and the dried fruit to Europe and on local urban markets.
  * **Cocoa production in the Dominican Republic:** A Fair Trade-certified cooperative consisting of 180 producer associations which involve a total of approximately 10,000 farmers, most of them certified organic. The cooperative runs fermentation facilities and exports directly to Europe and the US. Fruits and vegetables intercropped in the cocoa are sold in the local market.
  * **Cotton and pulses in India:** A farmer co-owned company that involves 5,000 cotton farmers who hold the majority of shares. The marketing company was set up in order to improve the livelihoods of smallholders by increasing efficiencies, lowering input costs and raising incomes through organic and Fair Trade certification. It established commercial partnerships with the local processing industry, and with textile brands abroad. Pulses and other rotation crops are currently sold in the local market.

## Entrepreneurial or developmental perspective?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Introduction_to_the_guide&action=edit&section=T-4)]

Organic businesses may be developed by entrepreneurs who use their own funds or take up loans, or by producer organisations that use the shares or fees of their members. They may receive support from locally available funds for private sector development, or from development agencies. The approaches of these different actors, however, are often quite different. First of all, an entrepreneur needs to ensure that s/he will make a profit, meaning that revenues are higher than costs after an as short as possible initial phase. As entrepreneurs are using their own money, they are usually more sensitive about avoiding risk. They particularly need to be sure that their investments pay off, and that no one else reaps their benefits. At the same time entrepreneurs can also be opportunistic in the sense that they can easily change business focus from one product to another one, and in that way abandon groups of farmers.

**Examples of entrepreneur thinking** How do I become profitable in a short time? What is the minimum I have to do, and what extra if I want to do a really good job? What is the cost; can someone else pay for it? What are the risks, and how can I reduce them? How can I avoid farmers turning against me?

Producer organisations have a longer term perspective with the wellbeing of their members in mind. They are not focused on profits; they are focused on getting their members a better deal. Development agencies are most concerned about the impact the organic initiative has on poverty reduction and on sustainable development of disadvantaged communities. They need to ensure that small farmers benefit, and that important cross-cutting issues such as gender equity and HIV/AIDS are given due attention. Unfortunately, many support programmes follow a project logic, and some businesses collapse at the end of that period as they are not yet self-financing. In some cases they have become addicted to donor support, and programmes are then extended for a long period.

**Examples of development agency thinking** How can we achieve development goals? How do we ensure that small farmers benefit? How does this integrate cross cutting issues (gender, social inclusion, HIV/AIDS etc.)? How can we make sure that public money is spent in a responsible way? How can we ensure that the objectives of the project are achieved?

A far-sighted entrepreneur will understand that his or her organic and certainly Fair Trade business will only succeed in the long run if the farmers benefit too. A far-sighted development agency as well as a farmer cooperative, on the other hand, will understand that farmers will only benefit if the production and marketing of their products is handled in a professional and competitive way so that it makes money. This guide is written for all of them.

In general it is a lot easier for existing companies and cooperatives to convert (part of) their business to organics rather than for companies and cooperatives to be started up for the purpose of going into organic business. However, in an existing business, it is necessary to separate the organic unit from the conventional one. Setting up a new business, developing an organic product line, or starting up organic processing are all very challenging tasks, certainly in a three year period; a good business person knows when and where to ask for assistance. Many entrepreneurs are reluctant to ask for help because of the paperwork involved or because they have to expose their figures. This is an unnecessary obstacle to the growth of their business (see chapter ["Gender issues in organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Gender_issues_in_organic_value_chains)).

## How to use this guide?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Introduction_to_the_guide&action=edit&section=T-5)]

You could read this guide from beginning to the end, thus covering all relevant aspects of an organic business; more probably, however, the guide will serve you as a reference manual which you can consult when searching for information or guidance on a topic that is relevant for your work at that time.  
  
The Organic Business Guide provides you with several tools that will help you to get your business started and keep it running - some of which were already displayed in the Annex. The link below will take you to some "ready-to-use" word and excel documents, which are hosted on the website of the Organic and Fairtrade Competence Center:  
  


**[Tools to The Organic Business Guide**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)

## Organic production and Fair Trade[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-1)]

In the following chapter you will find a summary of what you need to know about organic farming and Fair Trade, and what you can expect from entering this type of business. It also provides you with an overview of the different standards and certification options for organic farming, Fair Trade and related sustainability initiatives.

## What is organic production?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-2)]

The most simple understanding of organic farming is "No chemical pesticides + No chemical fertilisers + Certification = Premium Price". While this may be a useful formula to begin with, organic farming is really much more than this. Where farmers do nothing about soil fertility or pest problems you do not have a sustainable business. You may start with an ‘organic by default’ situation but pretty quickly you need to move into an active organic farming approach. At this point you are then looking at a sustainable agricultural production system that builds on ecological processes without using chemical inputs or genetically modified organisms, in order to produce safe and high-quality food. IFOAM, the International Federation of Organic Agriculture Movements, defines organic agriculture as follows:[[1]](Print_version.html#cite_note-1)

_"Organic agriculture is a production system that sustains the health of soils, ecosystems and people. It relies on ecological processes, biodiversity and cycles adapted to local conditions, rather than the use of inputs with adverse effects. Organic agriculture combines tradition, innovation and science to benefit the shared environment and promote fair relationships and a good quality of life for all involved."_

What the design of organic production systems means in practice, and what challenges need to be addressed, is described in detail in chapter ["Designing the organic production system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Designing_the_organic_production_system).

  
**Standards and their enforcement**  
Since the 1990s, organic production and trade has evolved into a whole industry of its own. In order to protect producers and consumers from fraudulent claims, the need arose to regulate the use of the organic label. In a participatory ongoing process, the international organic movement has defined organic agriculture in a set of principles and standards[[2]](Print_version.html#cite_note-2). These form the basis for many regulations at international (Codex Alimentarius), national (e.g. the US NOP, the Japanese JAS or the Indian NOS) and regional level (EU-Regulation), as well as for private labels (Soil Association, Naturland, BIO SUISSE etc.). There are organic standards for plant production, animal husbandry but also for wild collected products. Organic standards not only address primary agricultural production, but also include rules for processing and labelling. There are also rules for keeping organic products separate from conventional ones, to avoid contamination or mixing. All these rules and regulations are just the minimum requirements. It does no harm to go beyond the minimum; a lot of buyers and certainly the consumers will appreciate that!

Inspection and certification by an independent third-party ensure that products labelled organic really fulfil the requirements of the standard. For businesses that want to sell their products as organic in international markets, certification as per the respective standard is a must. In a situation where the product of a large number of smallholders is marketed, group certification systems based on an Internal Control System (ICS) are used (see chapter ["Certification and Internal Control Systems"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Certification_and_Internal_Control_Systems)). Participatory guarantee systems (PGS) have evolved as an alternative to formal certification in situations where producers sell directly to consumers, in local markets[[3]](Print_version.html#cite_note-3). While in most markets there are national logos that are free to use, the use of a specific certification body allows the use of their private logo as well (e.g. Soil Association in the UK or Naturland in Germany). This can have certain advantages when marketing the produce.

## What is Fair Trade?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-3)]

The term "Fair Trade" usually refers to trading partnerships between producers in developing countries and market partners in consuming countries. It is based on conditions that enable producers to improve their livelihoods. A trade relationship does not necessarily need to be certified in order to be fair, but certification provides third-party independence which ensures the integrity of the trading relationship, also for communication to consumers.

There are several Fair Trade standards and labels in the market. The most widely used Fair Trade standard and certification system is the one under the Fairtrade Labelling Organization International FLO[[4]](Print_version.html#cite_note-4). The FLO standards address social, socio-economic and environmental aspects. They combine minimum requirements that need to be met before certification (see box), and progress requirements that require gradual improvement over a period of time. The FLO pricing system is explained in chapter ["Handling pricing, premiums and payments for farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Handling_pricing.2C_premiums_and_payments_for_farmers).

  


**The main minimum criteria of FLO:**

  * Small producers need to be organized in a democratic, participatory and transparent way
  * The buyer and the producer organisation or company enter into a (preferably long-term) relationship with a formal buying agreement
  * The buyer guarantees paying producers at least the minimum price defined by FLO based on the calculated cost of sustainable production
  * If market prices are higher than the guaranteed minimum price, the market price must be paid; for organic products an additional organic premium is paid (see [here](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Handling_pricing.2C_premiums_and_payments_for_farmers))
  * In addition to the payment of the product, the buyer pays a Fairtrade premium that the producer organisation uses for achieving its development objectives; this is administered democratically either by cooperative members or a joint body of management and workers
  * Basic environmental standards need to be observed (e.g. no use of the most hazardous agro-chemicals, no GMOs) for certification, with progressively stricter requirements over time. The development approach also includes encouragement towards organic conversion
  * Core labour standards need to be observed (e.g. no forced or child labour, freedom of association, safe working conditions, payment of minimum wages etc.)  


**www.fairtrade.net**

  
When market prices fall below the Fairtrade minimum price, this can be a financial burden for buyers, and sometimes may even restrict access to certain markets. However the whole point of Fairtrade is to provide producers with a safety net for exactly those situations. As different minimum prices are defined for different regions, there is also a certain risk that those with high prices are not competitive in the Fairtrade market.

In addition to the generic standards that apply to all products, product specific standards need to be fulfilled. These are defined for an increasing range of products, but not yet for all[[5]](Print_version.html#cite_note-5). FLO certification is therefore currently not open to all products, but only those included in the FLO standards. The Fairtrade audit verifies compliance with the standard concerning the functioning of the producer organisation (including the handling of the Fairtrade premium), environmental and labour aspects and the commercial activities, like the payment and administration of the Fairtrade Minimum Price.

## Fair trade certification[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-4)]

FLO standards and certification are designed to strengthen the position of smallholders organized into cooperatives as well as workers in plantations. Contracted farmers selling to a company can increasingly participate in FLO Fairtrade and the opening up to a broader variety of producer setups is under investigation.

Costs for FLO producer certification are usually covered by the producer organisation or the exporter. The FLO Producer Certification Fund offers a grant to small producer organisations, who are applying for Fair Trade certification but lack sufficient financial resources to pay the certification fee. Brands and retailers who want to use the FLO Fairtrade label pay a license fee to the national label initiative of the respective market (e.g. TransFair in Germany, Max Havelaar in France, Switzerland and the Netherlands, Fair trade Foundation in the UK). The national label initiative in turn raises awareness amongst consumers about Fairtrade and Fairtrade products. In many consuming countries, the FLO label has reached very high consumer recognition, e.g. 86% in the UK.

Some buyers, however, prefer to work with alternative Fair Trade certification systems such as those developed by organic certifiers like IMO (see box), Soil Association and Ecocert[[6]](Print_version.html#cite_note-6). These systems are more flexible concerning the definition of minimum prices, cover a wider range of agricultural products, and do not involve a licence fee. However, they are also not as well-known in the market as the FLO label.

  


**Fair for Life**

In 2006, IMO introduced “Fair for Life" in order to complement existing Fair Trade certification systems. The programme builds on key social and Fair Trade standards such as the ILO conventions, SA 8000, FLO standards and the social criteria of IFOAM. All agricultural operations including smallholder groups, plantations and contract production, manufacturing and trading companies worldwide that practice social responsibility and fair-trade can be certified.

Fair for Life certification confirms that price setting negotiations are transparent, that a Fair Trade premium for social development of the concerned communities is paid, and that workers enjoy fair and safe working conditions. The actual minimum price and Fair Trade premium is to be negotiated between the seller and the buyer. Some people in the Fair Trade movement, however, criticize that leaving this negotiation to players with unequal power does not guarantee prices that are fair and that cover the cost of sustainable production.

The Fair for Life certification programme is available for products and countries not (yet) covered by FLO. It covers all steps along the supply chain, and allows for certification of multi-ingredient products. Ingredients certified by FLO are accepted as being equivalent. A rating system for social and Fair Trade performance enables operators to demonstrate gradual improvement and achievements.

**<http://www.fairforlife.net>**

  
FLO aims at improving the position of the weakest part of the supply chain - farmers and labourers - through market access and a premium for communal investments. Adding more value and bargaining power through processing and exporting can be an avenue of empowerment. Some small producer organisations, however, lack the management capacity to handle commercial activities and the use of the Fair Trade premium. It is therefore essential for them to get support in their organisational development and in acquiring the necessary management skills.

The FLO Producer Services and Relations Unit (PSR) offers producer organisations assistance in different fields, such as offering guidance on certification requirements, helping producers to gain access to new markets and facilitating relationships with buyers. Locally based Liaison Officers support PSR’s work by providing training for producer organisations and facilitating input into the pricing process. Furthermore, FLO has elaborated training manuals for Fairtrade producers on different relevant topics.

## Why is organic production an interesting business?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-5)]

Consumers have an interest in organic production mainly for environmental and health reasons. They are increasingly concerned about the social and ecological production conditions of the products they buy. Development agencies support it because they see it as a way to reduce poverty (see chapter ["Roles for facilitators, governments and donors"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors)). Organics can also be an interesting business opportunity, both for entrepreneurs as well as for farmers.

## From an entrepreneur's point of view[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-6)]

![](../../../upload.wikimedia.org/wikipedia/commons/d/da/Sonya_Mwadime_Biofresh_Uganda_AELBI.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Sonya Mwadime of Biofresh (Uganda) Ltd promoting her produce at Biofach (Source: AELBI).

Business people may be attracted to the organic sector because they hear that there is a growing market that offers premium prices and therefore higher margins. Some think that the products they deal with are already organic and just need to be certified, and so it could be an easy way to make more profit. Others are involved because they sympathise with the goals of organic farming: with helping farmers, and doing something good for the environment. Some like the exclusivity of it: they like the image, they like to stand out from the crowd, and to be part of a People - Planet – Profit market. In such fairly small specialty markets, you would have relatively few competitors, and you could probably meet most of them every year during Biofach[[7]](Print_version.html#cite_note-7)

In organic trade there are less intermediaries and so more direct contact with buyers. These buyers like to know you, like to visit your project, for reasons of integrity but also to be sure of their supplies over the years. Some buyers are interested in developing you as a supplier, and are therefore interested in discussing with you how to improve and expand your business. Over time you can become a preferred supplier which gives you a chance to develop longer term business relationships that give some security.

Some of the buyers are development oriented, they like to know and help the farmers. This sometimes leads to situations where besides doing business with you they offer to provide support to the farming communities. They might be able to organise trade finance for pre-financing the harvest. Some may even assist you in getting help from outside, doing a joint project with donor funding. This can help you in your standing with the farmers, and their loyalty towards you. As a premium price is usually paid, there is potentially a larger margin and hence more financial flexibility. However, there are also extra costs to contend with. If you can do it well, and can cope with the requirements, an organic business can offer more opportunities to make profit than conventional business. Additionally, there are some specialised funds to finance organic and Fair Trade businesses (see chapter ["Financing your organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financing_your_organic_business)).

## From a farmer's point of view[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-7)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f0/Organic_farmer_Kyrgyzstan_Helvetas.JPG/500px-Organic_farmer_Kyrgyzstan_Helvetas.JPG)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Organic cotton farmer in Kyrgyzstan (Source: Helvetas).

Every farmer needs to decide individually whether organic farming is the right way to manage his or her farm. From a farmer's point of view, organic farming has some important potential advantages (Figure 3). Initially, few farmers believe that through organic farming they can achieve good yields. Many fear that by not using chemicals, yields will go down, or pests will destroy the crop - which is a true risk. Yields in conventional smallholder farms are often rather low, and soil fertility declining. When switching to more intensive and better managed organic production methods, farmers often managed to stabilize and even increase yields[[8]](Print_version.html#cite_note-8). Improvements in access to inputs, credit and know-how that usually goes along with an organic farming initiative play an important role in this. In addition, organic farming systems tend to be more diverse than conventional ones, resulting in more agro-ecological and economic stability.

  
Farmers usually find the possibility of getting a premium price very attractive. Even when conversion to organic means some uncertainty in the first years, and more work, the premium compensates for that. By becoming certified, farmers can make more money on the same size of farm. This can be important in a situation where population pressure is high. For farmer groups, the guaranteed minimum price in the Fair Trade system is an important reason to go for Fair Trade certification when that is possible. This premium offers an opportunity to improve their livelihood as well as getting a better farm gate price. What appeals to a lot of farmers, is the fact that they won’t need expensive, ‘unnatural’ external inputs. This is also a financial matter - many of them have had experiences with inputs on credit schemes, which might have cost them 1/3 of their income. Since prices for synthetic nitrogen fertilizers are tied to the crude oil price, it is likely that production costs in conventional farming will continue to increase. In organic production you usually need less money to buy inputs - provided appropriate training and technical advice on how to produce organically is available. Women especially find it easier to grow their own organic cash crops and to earn their own income. Lower production costs also reduce the financial risk involved, especially in situations where climatic conditions frequently cause crop losses.

![](../../../upload.wikimedia.org/wikipedia/commons/f/f7/Net-Income.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 3: Economic and non-economic benefits of organic production, as compared to conventional production.

Most farmers appreciate that organic production is better for their soils, but the benefits for water quality and bio-diversity are usually of less immediate importance for them. In many cases, there is also a health concern involved in the decision to convert. There are plenty of farmers who have experienced negative impacts from working with pesticides, like headaches and nausea. They know that pesticides are poisons and when they have an alternative to do without them then it is not a difficult choice. Many farmers know about natural alternatives and as these are considered less harmful, they prefer to work with those. Some farmers (especially women) can see the benefit that by not using pesticides, you are able to grow food crops safely in between the cash crops, like yams in coffee or beans in cotton, which improves food security. There is no more risk of food poisoning, and no pesticides need to be kept in the house.

It is true that a lot of farmers like organic and Fair Trade initiatives because of the assistance given. Organic farming initiatives usually provide some training, visits by extension officers, and sometimes inputs. They support farmers in forming groups and thus help strengthen their position in the market. Besides the premium this is the other big motivating factor. One should however not underestimate the extra effort that it requires to become a good organic farmer. It is important to be careful not to raise expectations too much; don’t create the impression that organic farming is easy.

## The difference from normal agri-business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-8)]

An organic business shares many features of any other agri-business. You need to manage production in an efficient way, you need to be competitive and professional, and you need to keep your figures and risks under control. Nevertheless, there are a couple of aspects that are specific to organic businesses. It is important to be aware of these.

  
**Changes in primary production**  
At farmer level, the main differences from conventional agri-businesses are the following:

  * The producer base is a fixed group of farmers who are certified organic and possibly also Fair Trade. You can only buy from the approved farmers, and from no one else. This means that you depend on them, and vice versa.
  * You should start in an area of the country that is suitable for organic production, not in areas where the crop is heavily attacked by pests and diseases.
  * There might be some technical problems with pest and diseases, soil fertility, nutrient management and alternative inputs that need to be solved.
  * The farmers need to be informed about what it means to be an organic farmer, about what they are not allowed to use, and they need to be trained/guided in how to become good organic farmers. This training is a prerequisite for certification.
  * The farmers need to be organised; you have to set up an internal control system to allow for group certification.
  * The farms and the farmer groups need to be certified by an approved certification body. Once you are there you need to maintain certification.

For all this you need field staff: extension agents who double as internal inspectors and information carriers, and are also active in quality control (see chapter ["Staff development"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Staff_development)). Employing field staff is common in producer cooperatives, but not a normal role for most entrepreneurs, who may reside in the capital and delegate the buying to middlemen. An organic business must be closely involved with the primary production.

  
**Different buying, storage, packaging requirements**  
The fact that you need to buy each year from the same farmers and will need very good recordkeeping of the quantities bought often means that the buying system will change. In many cases, the traditional middle men cannot cope with these changes and have to be replaced by buying agents and store keepers who are directly employed by you. You can only be certified if there is a high level of transparency. You may get questions that require you to trace back a certain shipment to the farmers. The organic product must be kept separately and identified as organic in a clean store which should not be fumigated against storage pests. There are some specific requirements for packaging and correct labelling: these are covered in detail in chapter ["From field to market"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market). While the additional requirements in buying, storage and packaging are likely to cause additional costs, they also provide opportunities for improving quality and increasing efficiency.

  
**Different markets, different exposure**  
In organic markets quality often is an even more important issue than in conventional markets. As organic products command a premium price in the market, consumers and buyers expect a high quality product. Often the organic premium is for the combination of being certified and for having a good quality product. It is a market in which you are responsible for your product, and the business is not over the moment you have been paid. This sense of responsibility needs to be instilled into staff at all levels: you are responsible for your supply base.

Being involved in organic production will give you a certain exposure: people will enquire about what you are doing. Many people will visit you because you are in an organic project: scientists who want to study your project, an assortment of potential and hoax buyers, farmers who want to join in, authorities that want a share, and students who want to do an internship. Inspectors from the certification body who need to see your premises and your records at any time of the year can also come, announced or unannounced!

  
**Different business models**  
Getting into an organic business may confront you with new challenges, but also new opportunities:

  * It might be possible to interest a buyer in an early stage, to let them participate in the project so that they become a co-owner. Such joint ventures are some of the most successful businesses.
  * Some buyers are ready to support you in overcoming hurdles and managing risks, so that you grow the business together. However, not everyone is prepared to do this.
  * An organic project is more complex than running a normal buying and selling operation. You need to be pretty good at dealing with farmers, the certification body, and the buyers, and thus it requires a higher management capacity.
  * You must be interested in getting to know other people who are active in this field. You need to be good at communication, and you should possess open-mindedness, a willingness to learn, to improve, and to go a long way. You don’t need to possess these virtues from the beginning, but you should be willing to take this route.

## Different sorts of standards and certification[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-9)]

There are specific standards and certification schemes for particular types of organic production or related fields that are not covered in the broader organic regulations, such as wild collection, textiles, cosmetics etc. These are ‘regulated’ in private or industry standards. An overview on the main organic standards and labels is provided in the ["Annex"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Certification_and_ICS).

  
**Sustainability standards**  
Besides organic and Fair Trade, there are a number of other sustainability initiatives and quality management options, some with, and some without formal certification (see overview [here](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Sustainability_and_industry_standards_that_can_be_combined_with_organics)). Coffee producers, for example, have also the option of working with Rainforest Alliance, Utz Certified, 4C (Common Code for the Coffee Community) or with private programmes like Starbucks, Sara Lee and Coffee Partners. In cotton, options include the Better Cotton Initiative (BCI) and Cotton made in Africa (CmiA).

Most of the sustainability initiatives do not go as far as organic and Fair Trade concerning sustainable production practices and social standards. Nevertheless, they are an improvement from the common conventional practices (Figure 4). They can be a stepping stone on the way to organic production and Fair Trade.

![](../../../upload.wikimedia.org/wikipedia/commons/4/48/Sustainability.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 4: Increasing sustainability in commodity production and trade.

Not all certification, however, necessarily means that farmers benefit. In some of the sustainability initiatives, farmers do not improve their practices that much, and do not receive a better price and income. Some of the standards, especially those that are not certified, are not always implemented on the ground. They look nice on paper but have little effect in practice. Even with organic and Fair Trade certification it should not be taken for granted that you comply with all possible social and environmental criteria. In order to stay in business, organic and Fair Trade initiatives need to seriously address issues like fair payment for seasonal labour, control of soil erosion and sustainable water use (see in chapter ["Challenges in organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Designing_the_organic_production_system#Challenges_in_organic_production)). Consumers, development agencies and civil society organisations will hold you accountable - rightly so.

  
**Industry standards**  
For certain products, processing areas and markets, it may make sense to combine organic certification with mainstream certification schemes like Global-GAP[[9]](Print_version.html#cite_note-9) (good agricultural practice, particularly for fresh food production) or SA 8000[[10]](Print_version.html#cite_note-10) (social accountability, particularly in manufacturing industries). The Certification Guide of FAO provides a comprehensive overview on the different options[[11]](Print_version.html#cite_note-11).

In any case, products and their packaging need to comply with the food regulation of the importing country[[12]](Print_version.html#cite_note-12). Their requirements include standards for hygiene, limits for contamination levels, restrictions on certain technologies and inputs like methyl bromide for fumigation (see chapter ["Processing and Value addition"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Processing_and_value_addition)).  
  
  


## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organic_production_and_Fair_Trade&action=edit&section=T-10)]

  1. [↑](Print_version.html#cite_ref-1) <http://www.ifoam.org/growing_organic/definitions/doa/index.html>
  2. [↑](Print_version.html#cite_ref-2) <http://www.ifoam.org/about_ifoam/standards/norms.html>
  3. [↑](Print_version.html#cite_ref-3) <http://www.ifoam.org/about_ifoam/standards/pgs.html>
  4. [↑](Print_version.html#cite_ref-4) <http://www.fairtrade.net/standards.html>
  5. [↑](Print_version.html#cite_ref-5) FLO certification for non-agricultural products, such as forest products, rubber and seafood are under exploration.
  6. [↑](Print_version.html#cite_ref-6) Soil Association Ethical Trade at www.soilassociation.org and Ecocert Fair trade <http://www.ecocert.com/-EFT-.html>
  7. [↑](Print_version.html#cite_ref-7) The largest international trade fair for organic products, see <http://www.biofach.de>.
  8. [↑](Print_version.html#cite_ref-8) Pretty, J., 2005. The Earthscan Reader in Sustainable Agriculture. Earthscan, London.
  9. [↑](Print_version.html#cite_ref-9) <http://www.globalgap.org>
  10. [↑](Print_version.html#cite_ref-10) <http://www.sa-intl.org>
  11. [↑](Print_version.html#cite_ref-11) <http://www.fao.org/ES/ESC/en/15/262/highlight_269.html>
  12. [↑](Print_version.html#cite_ref-12) E.g. EU regulation on organic production and labelling <http://www.cbi.eu/marketinfo/cbi/docs/eu_legislation_organic_production_and_labelling>

## Starting from the market[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-1)]

In the past there have been too many supply driven organic production initiatives. Many times production has taken place, only to find there is not yet a market, or that there is strong competition from cheaper suppliers. It is important that any new venture is demand driven. This chapter is an introduction to that demand, the market.

## What is the organic market?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-2)]

The main organic markets are in the US and the European Union; the Japanese market is much smaller. Emerging economies like India and China are big exporters, but as yet are small consumers of organic products. Brazil and South Africa have better developed local markets for organic products, especially in their cities. However, these countries import very little; the consumption is mainly based on local production. Whereas the US and European Union are big producers, they are also big importers of organic products. Some of these products need to come from tropical countries, like coffee, tea and tropical fruits. But most organic imports are due to the fact that increase in national production is not sufficient to match market growth. In most European countries and in the US, the number of organic farms is presently not growing very much. Especially European farmers find it difficult to compete with imports. This is a chance for developing country producers.

  
**Market trends**  
In 2007, approximately 1.2 m organic farms cultivated 32.2 m ha organically managed land worldwide[[1]](Print_version.html#cite_note-13). The global market volume for organic food & drink sales that year is estimated at 46 billion US$[[2]](Print_version.html#cite_note-14). The market has tripled in value over eight years. In 2009 there is only a limited slowing down of growth due to the global recession. Some companies have suffered but structural long-term growth is expected to continue spurred on by the interest in more sustainable production. The volume of organic imports from developing countries is growing steadily. This is true for the big commodities like coffee, cocoa, cotton, tea and cereals, but also for fruits and fruit juices, vegetables, oil seeds and aromatic plants. With large retailers expanding their organic product lines, another important tendency is the demand for larger volumes per supplier (see box).

**Meeting the big demand**  
One year, a number of aspiring fruit drying operators from two African countries came back from Biofach excited about the high demand they had encountered for dried pineapple. They all tried to keep to themselves where the buyer came from but after a while it turned out to be one single German importer. Each individual drier produced only a fraction of the 10 tons per month that the German buyer wanted. Nevertheless, all of them wanted to be the supplier for this client, and they all wanted to buy the product from the others at a low price. This went on for two years without resolution. In the third year, a food processing company from another country announced that they are going to switch from canned pineapple to dried pineapple because they had found a solid buyer for a good quantity. It turned out that they too had spoken with the same German importer whose demand had still not been filled. If the fruit drying operators had pooled their output together, they might have been able to reach the required volume.

Market demand for products in conversion to organic production is rather limited. Most clients clearly prefer organic products to in-conversion products. In-conversion fresh produce is more marketable than storable products or ingredients destined for the processing industry. Products which are in short supply in full organic quality are sometimes sourced in in-conversion quality, albeit with a lower price-premium.

  
**Market channels**  
Organic products are sold in various types of outlets: in supermarkets, in specialised shops, in open markets, in direct deliveries to clients, and on farms. The market is supplied by a myriad of importers, wholesalers, processors, packers and distributors. The tendency is that an increasing share of organic food is marketed through supermarkets. You can make a distinction between organic retailers who only work with organic products, and companies that have organic products alongside conventional products.

There are now organic versions of most food products. A supermarket like Tesco in the UK has above 1,000 organic product items; Coop in Switzerland has around 2,000, including textiles. The most popular of these amongst consumers are the fresh foods, like fruits and vegetables, bread and dairy. There is also a wide variety of processed foods. Processing is almost always done where the market is. The food processing industry may therefore be another interesting market channel for your business. When you start in organics, you will start at the bottom of the market. You will probably do business with companies that buy all kinds of products. They in their turn sell to wholesalers or processors. In time you might be able to move up into the supply chain, selling directly to processors or retailers. Also a processor is usually interested in cutting out the importer, but only when convinced that you are a reliable supplier of good, consistent quality produce in the required quantities.

  
**What price can you expect?**  
When prospecting for markets, most businesses are looking for attractive prices. However, doing business is much more than achieving the best possible price. In the organic sector, and certainly in the Fair Trade sector, you need to have a wider perspective (see chapter ["Building on your competetive advantages"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Starting_from_the_market#Building_on_your_competitive_advantages)). What the market means for you depends to a large extent on who your buyer is. Looking for a market means finding the buyer(s) that fit you, and the other way around. Buyer and seller should fit together.

Generally speaking, prices for organic products relate to world market prices. Market prices for organic products fluctuate with the change in supply and demand. There is no fixed organic premium in the market. On average, you can expect a 5-15% organic premium for storable produce, and 10-25% organic premium for fresh produce. At times of oversupply it can come close to zero, while at times of shortage or for speciality products it can be as high as 50%. On the other hand, price setting for value added, or semi-manufactured products is not affected very much by international prices; it is dominated by the specific organic market. The general tendency is for the organic premiums to go down. Remember, the organic premium often includes the quality premium. This is what you get when selling the product - what you pay to the farmer is a different issue (see chapter ["Handling pricing, premiums and payments for farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Handling_pricing.2C_premiums_and_payments_for_farmers)).

  
**Relevance of the Fair Trade market**  
With a turnover of 2.9 billion Euro in 2008, the market for Fair Trade products is approx. 10 times smaller than for organic products. However, growth of this market segment has been faster than in organics. Only a limited number of products are currently available as Fair Trade, whereas nearly every food product nowadays has an organic version. About 30-40 % of all Fair Trade products are also certified organic. The Fair Trade organic market is a subset of the organic one, i.e. the Fair Trade certification is usually added to an existing organic product. The big difference is the guaranteed minimum price in Fair Trade. While Fair Trade certification usually improves your market position, the minimum price may also limit your market, as the product becomes more expensive.

Usually, only a part of the production from Fair Trade certified producers can be sold under Fair Trade conditions. The remaining is sold in the conventional market. If your production is certified organic, you are normally able to sell most of your product as organic, as long as the quality is fine.

As an organic supplier you have to realise that most of your consumers expect you to be also somewhat Fair Trade. As a result many of the buyers of organic products also want them to be certified Fair Trade. If your organic buyers indicate that they want Fair Trade, make sure that they know what it means (see chapter ["What is Fair Trade?"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organic_production_and_Fair_Trade#What_is_Fair_Trade.3F)), and that they are ready to pay the minimum price plus a Fair Trade premium. In general it is advisable to follow Fair Trade principles within your business, and use that in your negotiations with your buyers, whether you get formally certified or not. Working towards Fair Trade already makes your business more attractive to farmers as well as to clients.

## Clients first![[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-3)]

There are two types of clients: your buyers and the final consumers. In your discussions with your buyers you will talk about the consumers and about what they want. It is thus important that you know some basics about the people that are going to buy your product, or a processed product that contains your ingredient[[3]](Print_version.html#cite_note-15).

In the business, the buyers represent the consumers. They are supposed to know their markets, the consumers, and they will claim to do so. It is very difficult to argue with buyers whether or not they have their facts right. It is best to accept that demand dictates the market. So when your buyer says that the market wants a different variety or different packaging, don’t argue. When they say that consumers want lighter coloured dried pineapple, don’t argue. It is different for products that are blended. The market for coffee does not change that much, and there is little to change from your side as long as the quality is good. In the field of processed and retail packed products it is prudent to expect changes in demand about every year.

  
**Knowing your market**  
There are various sources of information on organic markets that will provide you with an overview (see [Annex "Markets and marketing"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Useful_references_and_websites)). It is also a good idea to visit online supermarket stores that sell organic products, and screen newspaper pages in target markets for articles on organic consumption. Despite all this publicly available information you may still find it quite difficult to understand what is in it for you. The overall organic market for dried fruits may be growing for example, but does it mean that you, with your specific product, quality, volumes and the price you can offer, are able to capture a share of this growing market? By carefully considering the products and services you can deliver, you can get a feeling for your potential in the market. It is very difficult to find good, real information without having a product and being in the market.

  
**From markets to products**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Product-portofolio.png/400px-Product-portofolio.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 5: Steps to identify the right product portfolio for your business.

Maybe you do not yet have a clearly defined product, or you are thinking of ways to diversify your product portfolio. You may have a range of options that you theoretically could produce, but you are not sure what would be the best option. In this situation you should start by checking which organic products are in demand, and then consider technical feasibility, profitability and competitiveness (Figure 5).

Out of the products which you could produce from a technical point of view (climatic conditions, farming system, know-how), for which of these does an organic market exist that offers both interesting prices and has good future prospects? Even if a demand exists for certain products, can you meet the market requirements for quality, volumes, timing of the supply (especially for fresh produce) and packaging (in case of processed or retail packed products)?

Once you have identified products that fulfil all these criteria, check whether their production would be profitable for you and for the involved farmers, considering realistic production costs and prices (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). In order to be able to sell your product in the end, you need to be able to compete with others who offer the same product. Can you compete on price, on quality, or on another type of added value (see chapter ["Building on your competetive advantages"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Starting_from_the_market#Building_on_your_competitive_advantages))? Are you ready to offer discount prices or other contract terms that are attractive for buyers? Suitable methods to systematically conduct value chain and market feasibility studies before engaging in production are the Rapid Market Appraisal[[4]](Print_version.html#cite_note-16) and the Participatory Market Chain Approach[[5]](Print_version.html#cite_note-17). This approach is particularly suited in situations where local and regional markets are targeted, or produce is sold to local exporters.

  


**From markets to products - Nepal organic coffee**  
The organic and Fair Trade coffee market is highly competitive, with the coffee on offer exceeding the actual demand. Nepali producers, with their comparatively high production costs and small volumes are not able to compete in the general organic or Fair Trade coffee market. However, there is an increasing demand for single-origin speciality coffees. Buyers have already indicated interest in high-altitude shade grown Arabica coffee from Nepal, and small volumes have been sold to Europe and Japan.

With the image of a beautiful country and pristine environment, particularly well-known for its famous Himalaya mountain ranges, Nepal offers interesting options from a promotional perspective. The organic coffee producer organisations in Nepal therefore decided to focus on the speciality coffee market, with adequate quality management and branding. As it will take some time to increase production volumes to a level where they will be of interest to the larger brands offering speciality coffees, the initial focus is on specialized organic or Fair Trade shops. The producer organisations make sure that only coffee of top quality is exported, while the second grade is marketed in Nepali supermarkets, targeting upper-class consumers and expatriates.

As the rising awareness of the health benefits of organic food has induced momentum in organic vegetable production in Nepal, the coffee producer organisation could make use of a new market opportunity: they are planning to promote organic fertiliser based on coffee husks - a by-product of their coffee processing activities. In this way, the producer organisation hopes to be able to gain additional revenue. This would enable them to cover part of the overhead costs through the sales of the fertiliser, so that they are more flexible in coffee price negotiations.

## Matching supply and demand[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-4)]

Too many projects have been set up where it was not at all clear that there would be a demand for the products. It is, however, very difficult to be sure of demand when you do not have much to show. Nevertheless it is important to get a feel of the potential market, for example, by interviewing a number of traders during a trade show. At this stage it is very important to be realistic about your predictions of when and what quantity of production will become available. You should maintain those contacts, for example by sending them half yearly updates on your progress, or samples before the certified product becomes available. You can send a conventional sample as long as it is of the quality that you expect to be produced in the future in the organic project. Your questions in that situation could be: "What do you think of the quality of the sample, what would you be willing to pay for this kind of product and what kind of volumes are you thinking about?"

At the same time it is important that you have realistic data on your own production, in terms of farmers who are willing to participate, the acreage they have, the normal yield, and their sales in the last few years. In many cases, farmers, extension agents, authorities and everybody else tends to be over optimistic. If there is one thing potential buyers are very tired of, it is wrong estimates. The recommendation is that you start small (but still big enough to fill a container), plan conservatively, and take limited risks. Once this is successful and you know the market better, then expand (see chapter ["Developing the business step by step"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Developing_the_business_step_by_step)).

**Adapting to the demand**  
While you may not be too sure about your offer, demand is not stable either. Organic markets are as prone to the typical "pig cycles" of mismatching supply and demand, as markets for conventional agricultural commodities are. Forget about one market for all your produce, in which you sell the same volume of the same product every year. It is better to be prepared for demand that could stagnate but could also increase. You may want to do a certain volume on fixed contracts and another part ‘as the market develops’. For this you will need different type of buyers, and different products you can rely on. You may have long term relationships with some buyers, with fixed purchase and sales contracts. For the remaining part of the production you can try to find new clients, or sell in the open market. Of the first part you need to be certain, with the second part you can speculate to some extent.

In many internationally traded commodities demand never seems to match supply (see box in chapter ["Scaling up organic cotton production in West-Africa"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Moving_up#Scaling_up)). It is obvious that when supply is low, prices are high, and vice versa. Particularly in smaller but growing markets, the relation of supply and demand may change rapidly. Prices may be high one year, but when another major producing country starts to harvest, then the prices drop sharply. There are a number of ways to build up a buffer:

  * Build strong relationships with different types of buyers that cater to different retail markets and processing industries
  * Sell your product in different countries on two different continents
  * Sell part of your product right after harvest but have the facility to store part for six months
  * Always have a fall back market for your products in local and regional markets
  * Grade your products and use the different qualities for different market channels (e.g. first grade fruits for fresh export, second grade for drying, remaining for juice)
  * Find a market for by-products (e.g. for cotton seeds, cactus leaves)
  * Diversify your production (see chapter ["Developing the business step by step"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Developing_the_business_step_by_step))

## Relevance of local and regional markets[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-5)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/82/Folie05.jpg/400px-Folie05.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 6: Characteristics of local, regional and global markets for organic products.

There are differences between local rural markets, regional urban markets (in the same or in neighbouring countries) and global markets for organic products (Figure 6). In the rural markets of most developing countries, organic products do not fetch a price premium, but quality sells. These markets are especially relevant to organic farmers who sell part of their rotation crops locally. Urban regional markets in some countries offer the potential of good prices for organic products, particularly for fresh produce of high quality. For many developing countries, export markets still provide the most promising opportunity for obtaining a reasonably high price. However, requirements in terms of logistics, quality management and formal certification are also the highest here. In addition, you need to be able to compete with other countries that produce the same product. A pure export focus with only one product is therefore risky. In many cases it is a better strategy to sell different products in different markets (local, regional and global ones).

Companies involved in export often do not, or do not like to operate in local or regional markets. The local market is often a different range of products from the export market. Sometimes there is an overlap though, like in the case of mangos in Mali, where dried mangos are going for export (some to the local market, see box), first-grade fresh mangos are mainly sold in regional markets (some are exported), and the remainder goes for juice sold in regional urban markets. In Uganda, pineapples can be exported fresh or dried to Europe, while some truckloads of fresh pineapples are sold to the juice market in Kenya. For honey producers in Tanzania it turned out to be more profitable to sell to the Kenyan market rather then to export to Europe.

  


**Promoting dried organic mangos in Mali**  
"Here in Mali, we are producing organic and conventional mangos. Part of the organic mango is dried for export. For this, we need to ensure that only organic mangos enter the drying process. Initially, we only produced dried mango chips, but then some buyers expressed interest in discs, which are more difficult to cut. Today, we offer both types of dried mangos, so that the client has the choice.

We also started to promote dried mangos in the local market so that our own people can benefit from this healthy product, and also to reduce dependency on exports. However, people were not used to consuming dried mangos, so we first needed to make the product known. At different occasions we offered people product samples to taste, and most people were surprised about how good it tasted. However, they usually found the price too high. We had to explain to them that several mangos are needed to prepare dried mangos for one package. Only after having understood this, customers accepted the price and bought the product. To introduce a new product, you really need to make efforts to sensitize consumers."

  
**Characteristics of local and regional markets**  

    
    
    In each country there are a limited number of consumers willing to pay more for organic products, mainly because of health reasons but also taste. The local market for organic products is often based on interest from middle to upper class people, and expatriates. These local markets typically start with products such as fruit and vegetables. With some promotional activities to raise consumer awareness, this type of market can grown significantly.
    

In India, for example, organic pulses and cereals fetch a better price in local markets because consumers value the quality and taste. In Laos, a traditional aromatic rice variety produced by the organic farmers of a specific region has successfully been introduced in urban markets. In Zambia, organic farmers sell part of their produce in local farmers' markets or to urban supermarkets, while in Uganda box schemes have been organised that supply individual households. In many cities in low and middle income countries, organic farmers’ markets have been established. Typical examples are the "Eco Ferias" in Latin America[[6]](Print_version.html#cite_note-18). Different producers come together to market their (organic) produce directly to consumers. This is especially suitable if you have a variety of products, but of smaller volumes.

There are many more successful examples of developing local markets for organic products[[7]](Print_version.html#cite_note-19). With increasing consumer awareness and rising incomes, the potential of local and regional markets for organic products is clearly increasing. Organic businesses should therefore think early about how to capture this opportunity[[8]](Print_version.html#cite_note-20)

Whereas your initial interest may be in exports of one specific product, it is important to assist the farmers with marketing their other crops as well. This is especially true in the case of annual crops grown in rotation with the main crop. It is also a way of keeping the money turning over, the trucks rolling and your staff busy. Some traders of conventional agricultural produce offer attractive conditions to organised groups of organic farmers, as they appreciate the extension and quality control system and that logistics are already organised.

For processed products it is almost a must to try them on the local market and compete with imports before launching them in the export market. If you want to use the local market as a stepping stone towards exports you can target local supermarket chains. Their requirements are often similar to those of the export market. They usually want some sort of formal certification or labelling. Another demanding customer is the hospitality industry: restaurants and hotels. They are also strict on quality, delivery and reliability of supply.

**How to gain a market share in a conventional market**  
The onion market in Burkina Faso is dominated by imported conventional onion from the EU. This is the case although onions are produced locally, using organic methods (not certified yet). The locally produced onions have a competitive disadvantage in that they are more expensive then the cheap onions imported from the EU. In this situation, the following options seem promising in order to gain a share for the organically produced onions in the local market:

  * promote organic products among urban consumers and shops
  * distinguish the product from conventional onion through packaging and labelling
  * emphasize the advantages of the organic local onion (taste, shelf life, benefit for farmers)
  * in order to penetrate the market, sell at a competitive price for the start-up period
  * look for another new market segment (i.e. differentiate), e.g. dried onion

(Result of a group discussion in an organic value chain workshop)

## Building on your competitive advantages[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-6)]

Even if the market demand for a certain product is growing, you can not take it for granted that you will secure your share in this market. Competition between different producers and different countries supplying organic products is increasing. It is therefore a good exercise to regularly evaluate how you compare with your competitors. You should not only consider the product and the price, but also what it is like for the buyer doing business with you.

  
**What could your competitive advantage be?**  
Do you have a unique product that no-one else has? Suppliers often think overly positively about their own product but it is quite rare that someone has something really unique. Nevertheless, there are ways to stand out from your competitors. Your competitive advantage could for example be:

  * Clear and reliable product specification: Do you actually know your product, have you analysed it; did you ask your buyers for their analyses? Do you have a formal product specification? Have you asked your buyers for your competitors’ specifications?
  * Reliable and consistent quality: Is your product of consistently good quality? Even the fact that you might check your product yourself for aflatoxin, microorganisms or oil content can be seen as a good company attribute!
  * Additional certifications: You can express your awareness around quality issues by exploring what extra certification or quality management systems may help you in developing your business. Would the buyer like you to use the ISO, GAP or HACCP system? Ask them.
  * Flexibility in volumes: Are you willing to supply 200 kg to try? Can you supply one container less, or two containers more at short notice? Can you supply larger volumes next year?
  * Logistics: How fast can you deliver? Can you rely on the container line you use and ensure that there are no delays in the port? Can you deliver during a period when a major competitor can not? Do you have good storage facilities and can you ship throughout the year?
  * The story behind the product: Can you prove that your production has a positive social and environmental impact (see chapter ["Having an impact"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Moving_up#Having_an_impact))? Can you provide suitable information and visual material about your production?

  
**Competing on price?**  
You should be sceptical about a low price being your main competitive advantage. Organic trade is not about the lowest price, and both buyers and sellers should be wary if the other party talks only about low prices. Discussion should be about remunerative prices, i.e. a price that you deserve but also allows other stakeholders of the value chain to make some money. If you are able to defend your calculations, then use this as a tool to demonstrate the minimum price required (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). Most businesses do not want to disclose their cost structure, but what is there to worry about confidentiality? You make a much better impression by being able to show your calculations and then ‘on the spot’ adjust the farm gate prices if there is a change in exchange rate, or a smaller or bigger order.

  


**It's not only about price**  
"Price is only one aspect when deciding whether or not to buy from a specific supplier. Volumes for sale and availability of the product are of course important as well. The next thing then is the question of whether the supplier is able to handle the export bureaucracy and paper work, and the necessary logistics. Can the supplier ensure that the product is properly packed and shipped, or does he rely on sub-contractors? Having proper quality management in production, processing and exporting is key. Quality specifications indicated in the technical sheets need to be taken very seriously - they are binding. Probably the most important aspect, however, is the service provided by the supplier. Do I get precise and honest answers without delay? Can I rely on the promises of the supplier, and does he tell me when something I asked for is not feasible? If problems come up, does he work with me to find a solution?"
    
    
                                                            _Peter Lendi, importer of organic spices, herbs and oil seeds_
    

  
Nevertheless, price is an important aspect in any commercial transaction. If your prices are considerably higher than those of competitors, you will find it difficult to find a buyer. Some countries benefit from free trade agreements or preferential treatment conditions with importing countries[[9]](Print_version.html#cite_note-21). This can be an important factor in competing with other producing countries.

  


**Summary of recommendations**

  * Inform yourself about the requirements and trends in different markets, including the expectations of the final consumer.
  * Plan your business based on realistic price expectations - in the long term, you should be able to run it with a 10-15% organic premium.
  * Before entering into production, check whether you can meet market requirements (quality, volumes, packaging, logistics) and whether you can compete with others while still making a profit.
  * Get in touch with the market at an early stage; check quality requirements based on samples of your products.
  * Be realistic with your plans; start small, get into the market, expand step by step.
  * Diversify your markets and think of a fall back market in order to cope with fluctuations in market demand.
  * Arrange for marketing of part of your production in local and regional markets, and help farmers to sell their rotation crops locally.
  * Develop your competitive advantage beyond offering an attractive price. Focus on quality, flexibility, service and a unique story.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Starting_from_the_market&action=edit&section=T-7)]

  1. [↑](Print_version.html#cite_ref-13) The World of Organic Agriculture 2009, <http://orgprints.org/15575/3/willer-kilcher-2009-1-26.pdf>
  2. [↑](Print_version.html#cite_ref-14) Organic Monitor: <http://www.organicmonitor.com>
  3. [↑](Print_version.html#cite_ref-15) For information on organic consumer profiles in North America, see <http://www.ota.com/organic/mt/consumer.html>
  4. [↑](Print_version.html#cite_ref-16) Helvetas, 2004. Clients First! A Rapid Market Appraisal Tool Kit. <http://www.helvetas.org/wEnglish/competencies/documented_experiences/doc_resources.asp?navid=16>
  5. [↑](Print_version.html#cite_ref-17) Bernet, Thomas (ed.), 2006. Participatory Market Chain Approach. <http://www.papandina.org/fileadmin/PMCA/User-Guide.pdf>
  6. [↑](Print_version.html#cite_ref-18) E.g. <http://www.agrosolidaria.org>
  7. [↑](Print_version.html#cite_ref-19) IFOAM, 2004. Developing Local Marketing Initiatives. A Guide for Small and Medium Enterprises: [http://shop.ifoam.org/bookstore/product_info.php?cPath=64_22&products_id=452](http://shop.ifoam.org/bookstore/product_info.php?cPath=64_22&products_id=452)
  8. [↑](Print_version.html#cite_ref-20) Although based on experience from Europe, the "Guide to successful organic marketing initiatives" provides useful guidance on how producer organisations can develop local and regional markets. [https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338](https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338).
  9. [↑](Print_version.html#cite_ref-21) E.g. the EU's Generalised System of Preferences, <http://ec.europa.eu/trade/wider-agenda/development/generalised-system-of-preferences> and the US' African Growth and Opportunity Act, <http://www.agoa.gov>

## Developing organic value chains[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Developing_organic_value_chains&action=edit&section=T-1)]

An organic business can only function if it is part of one or several supply chains that link production and consumption. This chapter will help you to define your role in an organic value chain and how to collaborate efficiently with other stakeholders.

**What is an organic value chain?**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Typical-value-Chain.png/400px-Typical-value-Chain.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 7: Typical value chain of agricultural commodities

A value chain consists of all the actors involved in the production, processing, trading and selling of a specific product (Figure 7). It is more or less the same as a supply chain, with the difference that the term supply chain implies that the perspective is from a buyer sourcing raw materials, while the value chain puts more focus on the value added at each step, and on the collaboration between the different value chain actors. The value chain operates in a certain context or business environment, and relies on different types of services (financial services, certification services, technical advice etc.).

Quite a lot of work has been done on how to facilitate and manage effectively both value chains in general and agricultural value chains in developing countries in particular. Some useful references are provided in the Annex ["Value chain facilitation"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Value_chain_facilitation).

**Different products, different value chains**  
Different agricultural products and their value chains have different characteristics. Perishable products like fresh fruits and vegetables, for example, require more sophisticated logistics and efforts in timing than non-perishable products like rice or sesame. Bulk commodities like cotton and coffee need a certain scale of production (i.e. larger farmer groups) in order to break even, while production of high-value niche products like medicinal plants can be viable at a much smaller scale. From a development perspective, different value chains may have different socio-economic impacts. Crops which require high initial investment, like fruits or tea, are likely to exclude marginal farmers. Some products particularly benefit women, like shea or lemon grass (see chapter ["Gender isuues in organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Gender_issues_in_organic_value_chains)).

## Who plays which role in a value chain?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Developing_organic_value_chains&action=edit&section=T-2)]

Organic businesses want to bring organic products to promising markets. In doing this, they depend on a number of other players directly involved in their value chain: input suppliers, farmers, store keepers, transporters, processors, traders, retailers[[1]](Print_version.html#cite_note-22). The value chain will only function well if each chain actor does a good job in playing his/her role, thus adding real value to the product, and if each actor can do this in a profitable way. Both in organic and Fair Trade value chains there are usually fewer intermediaries, because of the transparency and traceability requirement. As traceability and integrity of the organic products need to be ensured, suppliers and processors cannot be replaced that easily. All chain actors need to know their role and cooperate well in order to succeed. It requires that all are committed to a long-term perspective.

One of the most important factors for the smooth and efficient functioning of a value chain is that each actor involved plays a role that suits his/her capacities and structure s/he is operating in. A farmer organisation may expand its activities from organising farmers to bulking and first-level processing, but is it also able to develop markets and pursue commercial contacts with buyers abroad? Local processors may perform well when subcontracted by a company or cooperative to do a job, but may find it difficult to purchase and sell raw materials at their own risk. An NGO may be good at training farmers and setting up extension services, but may be less experienced in advising a commercial business.

**Finding a role that fits you**  
There is no general rule on who should - or should not - take up a specific function, but there is a tendency that organic businesses try to do more than they actually can manage. Before absorbing a new role, it is therefore wise to thoroughly and honestly check the following points:

  * Do you have the necessary technical know-how?
  * Do you have sufficient professional experience and managerial skills?
  * If not, are you ready to employ professional staff who have these experiences and skills?
  * Are you sufficiently familiar and connected with the target markets?
  * Does the new role result in conflicting interests that could affect effective implementation?
  * Are you able to react quickly and take business-minded decisions?
  * Do you have access to the necessary capital for investment and trade finance?
  * Can you take the risks involved in playing this role?
  * Do you have the necessary checks and balances to handle large amounts of money?
  * Are you sufficiently service oriented?
  * Do you have the necessary communication skills (language!) and connections?

Often there is a "lead agency" that mobilises the value chain and ensures that all required chain links are in place. In organic value chains, this can be the producer organisation, the processing company or the exporter.

  
**Value chain supporters**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/71/Value-chain-map-organic-cotton.png/400px-Value-chain-map-organic-cotton.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 8: Example of a value chain map for organic cotton, from inputs to consumption

Besides the actors directly involved in the chain, there are a number of stakeholders supporting the set-up or functioning of the value chain (see example in Figure 8). Typical supporting functions that are needed for an organic value chain are:

  * business development and consultancy services
  * financial services (micro-credit, investment, trade finance)
  * certification services (organic and possibly also Fair Trade)
  * farm extension and advisory services (preferably integrated in the chain)
  * transportation and storage services
  * sales agents and brokers

Drawing a value chain map like the one in Figure 8 is very useful in order to get an overview of the stakeholders involved to clarify the role of each one, and to distinguish clearly between value chain actors and supporters. The distinction is quite simple: chain actors own the product at a certain time (they produce, process, buy or sell), while supporters don't.

Development NGOs and donors can facilitate the initial development of an organic business or value chain, withdrawing once these can function independently. They usually work in projects of a given duration. As they thus only play a temporary role, development NGOs should be careful with taking on a role that is crucial for the functioning of the value chain (see chapter ["Facilitating the development of organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors#Facilitating_the_development_of_organic_value_chains)). They should particularly refrain from engaging in buying and selling. The role of local governments and facilitators in creating an enabling environment for the development of organic value chains is dealt with in chapter ["Creating a conducive environment for organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors#Creating_a_conducive_environment_for_organic_businesses).

## Building partnerships along the chain[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Developing_organic_value_chains&action=edit&section=T-3)]

The organic value chain - and thus your business - will only function well if all stakeholders involved cooperate. Partnerships between the different stakeholders therefore play an important role.

  
**Partnerships between farmers and businesses**  
The relationship between the farmers who produce the product and the entity that buys it from them - be it a company or their own marketing cooperative - is of crucial importance. For the export company this is not always a natural thing. Many entrepreneurs do not really know what is going on in the countryside. An entrepreneur who has turned organic needs to learn and understand the plight of the farmers: this is a sensitive relationship. Farmers have plenty of stories of how they were ripped off by traders or their cooperatives, receiving promises, but none of them were kept. Many farmers will be wary of yet another great project. In an organic business, where substantial time and effort is needed to convert from conventional to organic farming, it is of particular importance to develop a trustful and loyal relationship with the farmers. How this can be done is dealt with in detail in chapter ["Involving Farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Involving_farmers).

  
**Partnerships between businesses and clients**  
Equally important is the relationship between the seller (the cooperative or company) and the buyer (importer, processor or retailer). In many cases there is distrust between them. There are cases where trade finance disappears, or delivered produce is not paid for. As a seller, you have to choose between speculation on the spot market and developing business relationships where benefits and risks are shared; or finding a balance between these two (see chapter ["Marketing"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Marketing#Marketing)).

Building a trade relationship is a whole lot more than agreeing on a price (see box). In chapter ["Building and maintaining client relations"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Marketing#Building_and_maintaining_client_relations) you find detailed recommendations on how to successfully build - and maintain - client relations.

  


**Doing business together**  
In country X, exporter Z insisted on getting at least the cost price, which he had calculated at US$ 0.42. Buyer D offered only US$ 0.37/kg, but also wanted to support the organic initiative in several ways. He wanted to donate 5 cents of the retail price of each product sold to a fund supporting the project. He also thought that he could find funds for buying new motorcycles for the field officers. He wanted to start an information campaign in Europe about the organic initiative, and visit it with representatives of an important customer of his, an American retailer. Apart from buying all that was in stock, D wanted to order 250 tons of the produce for next season.

For that the project needed to expand. D was willing to provide the working capital to pay for the field staff during the season. Based on a realistic crop estimate, he could free up trade finance, so that the exporter could pay the farmers the full price cash in hand the moment they delivered. D wanted to take the product directly after harvest, so no storage costs and risks, and limited costs of capital (interest). He would pay 95% FOB and the remaining 5% following a quality check upon arrival.

Still, Z insisted on getting the cost price, and refused the offer. In the end the business did not happen, and Z was still sitting on the product by the time the next harvest came in, and he did not have the trade finance to buy it from the farmers.

  


**The vertically integrated supply chain**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Downstream-integration.png/400px-Downstream-integration.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 9: Downstream integration of processing, packing and exporting

Vertical integration means becoming part of, or engaging yourself, in operations that are upstream or downstream of your present core business. A producer cooperative may for example start processing and marketing the produce of their farmers (Figure 9), or an exporter may directly contract farmers and provide them with farm inputs. Vertical integration has the advantage that routes get shorter (avoiding middle-men), controlling quality and traceability becomes easier, and management systems can cover a larger part of the chain.

In the ideal case this leads to higher transparency and efficiency. On the other hand, the risk increases, too. An entity that tries to take care of everything may not be able to manage each step in an appropriate and professional way (see chapter ["Setting up your operation"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Setting_up_your_operation)). A trader may not be very good in organising agricultural extension, and a farmer organisation may find it difficult to manage sales and cash flows. Taking up more functions also means absorbing more financial risk. A natural move over time for an organic project is to progress from being a supplier to a general trader, or to becoming a preferred supplier of a processing company or a retailer producing with advanced contracts (thus being part of a vertically integrated supply chain), and perhaps to being an exporter of semi-processed products selling to different clients.

  
**Collaboration with service providers**  
For part of your operations such as transport and processing it may be more efficient to use commercial service providers rather than developing these capacities within your own organisation. If this involves handling the product (e.g. transport, storage, cleaning, processing), you need to make sure that appropriate measures are taken to avoid contamination and co-mingling of the organic product. In order to ensure traceability of the product flow, these services need to be covered by the internal control or quality management system (see chapter [Transport and storage of raw material"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Transport_and_storage_of_raw_material) and ["Processing and value addition"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Processing_and_value_addition)). You may also think of outsourcing agricultural extension and internal control to a service provider - a private business or an NGO - or to involve the official agricultural extension service. If you do so, make sure the provided service really matches with the needs of the farmers concerning organic production (see chapter ["Building up an extension system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Building_up_an_extension_system)).

  
**Certification and financial service providers**  
Unless the main client insists on a specific certification body, organic businesses can usually chose from a range of certification agencies operating in their country. Criteria to select your certification body can be: price, recognition in the market, or reliability and commitment to quality (see chapter ["Certification and internal control systems"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems)). It usually pays off to stick to one certification body for a period of time and to work jointly on improving the internal control system. If the certification body knows and trusts your business, they can do their job more efficiently, which may result in less cost and troubles. If there is one thing to compare notes with fellow organic businesses in your country on, it is about how the different CBs perform.

Most probably you will require credit to finance investments, perhaps for working capital during the season, and for trade finance. Your relation with financial service providers will thus play a crucial role in your business. Select a bank that understands your plans and requirements, and offers suitable services at reasonable conditions. If you can not find such a service provider locally, you may want to check the programmes that some of the international banks have specifically designed to support organic and Fair Trade initiatives. For more guidance on how to finance your business, see chapter ["Financing your organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financing_your_organic_business) In any case, to build trust with your financial service provider you will need to present a convincing business case (see chapter ["Planning and managing your business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Planning_and_managing_your_business)).

  
**Dealing with local authorities**  
When starting an organic business, you need to develop a relationship with local authorities. At the very least you should inform them about the initiative, and ensure that they cooperate and do not block your activities. It is quite normal that local politicians will take a keen interest in your venture. Once they understand the potential benefit that the initiative can have for the local population, they may even decide to support it.

Local politicians and officials, however, sometimes try to "adopt" a project. If it goes well, they may want to be credited for having brought it to the district. Be very careful, however, with getting into a dependency situation. Officials may change after the elections, and you may have to build up your relationships once more. If they are against you, they can make things difficult for your business.

Lack of good governance as well as a lack of local infrastructure like feeder roads, electricity and water supply can be severe obstacles to developing your business. You are hopefully not the only one in your region trying to set up an agri-business, and it may be a good idea to identify points of common interest with fellow entrepreneurs in order to get things done at district level.

As a successful and respected business, the authorities should actually be keen to hear from you about your worries, and see how they can be of service (i.e. being part of the enabling environment, see chapter ["Creating a conducive environment for organic businesses"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors#Creating_a_conducive_environment_for_organic_businesses)). If they are not, you may need to get together with like-minded individuals, companies and organisations and lobby together for better business conditions. This can involve:

  * lobbying against policies that make the development of organic businesses difficult (e.g. mass spraying programmes, mandatory fumigation in ports)
  * lobbying for supportive policies (like start-up support, research, promotion, subsidies for fertilisers to include organic fertilisers)
  * lobbying for organic agriculture to be included in the national agricultural policy, or in a food security or poverty reduction strategy

  
**Competent technical support?**  
There are a number of NGOs, development agencies and consultancies engaged in facilitating the development of organic value chains. Earlier, many of the development-oriented organisations have tended to focus solely on strengthening the position of farmers. Nowadays, most have changed their approach; they support the development of viable value chains in which different actors act responsibly and make a profit.

Assisting producer cooperatives and local entrepreneurs to become viable organic businesses and linking them into a fair arrangement with clients are challenging processes. There are local and international consultancies specialised in this field who offer their assistance (see Annex ["Consultancy for developing organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Value_chain_facilitation)).

## Gender issues in organic value chains[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Developing_organic_value_chains&action=edit&section=T-4)]

Do organic production and processing inherently empower women or shift gender relations within households, in farmer cooperatives and processing facilities? Probably not. So why raise this issue in a book for organic businesses and service providers? Why work towards the empowerment of women within an organic business?

Attention to gender dynamics and impact is far more than a fall-back to a misty-eyed view that organic agriculture is an idyllic alternative to conventional mainstream agriculture. Besides the developmental reasoning for addressing gender issues, and the motivation to appease donors or particular segments of consumers, there is a compelling economic and efficiency-based case to make. Engaging women and recognising the whole family’s efforts on smallholdings has an efficiency value as well as allowing the full costs and benefits of organic production and processing to be made visible. This should appeal to the social entrepreneur[[2]](Print_version.html#cite_note-23) – to businesses that are concerned about efficiency and mobilising human capacities to the maximum in order to build up the chain that they depend on.

This short chapter approaches gender in the organic sector from these two angles: the developmental perspective directed primarily towards service providers and supporters, and the economic case. It explores some of the challenges and possibilities for positive change for women through involvement in the organic sector.

  
**Gender relations in agricultural value chains**  
Some gender, power and inclusion issues are common to a particular country or commodity context while others are specific to organic chains. For example, organic production often demands more labour than conventional, such as for weeding. This ‘extra’ workload is usually borne by the family, especially the women. Increases in labour are in addition to ‘normal’ workloads in the field and in the home.

That said an often cited positive impact of participation in organic production and processing is that there are increases in family income and health. Yet constraints to the full participation of women in farm level activities, benefits, and decision making are important to note so that they can be adequately addressed. Women have a critical role in farming, as a workforce in charge of hoeing, sowing, weeding, harvesting, but often also as the family member responsible for food production and preparation. Female involvement in any organic production initiative is thus vital, though often disappointing, overlooked or marginalised.

  
**Transforming the role of women in organic value chains**  
How can gender issues be approached in organic value chains? Can (and should) participation in the organic chain contribute to women’s empowerment and shifting power relations? What transformative role is expected of organic or Fair Trade certification? A key issue is the assurance that auditors, producer organisations and processing plants are at the very minimum not worsening the position of women or being blind to the impact of participation in the organic sector.

While it is perhaps unrealistic and overly idealistic to imagine that organic production, processing and certification will radically change gender relations for the better, or have a significant impact on the position of women within a given societal context, it is reasonable to work towards gender awareness and a positive impact. There are limits given that organic production and processing operate within a larger societal context, which may not support shifts in gender relations. What impact can organic systems have in this setting?

  
**Towards the empowerment of women in the organic initiative**  
Development agencies and other stakeholders in the organic sector often have developmental objectives driving their support. They play an important role in triggering the transformative power of organic agriculture. But how can these and other initiators (companies, cooperatives) work towards gender equity? There are several levels at which gender issues can be addressed:

  * **Household and community level:** access to land and employment, division of labour (usually the less valued tasks are reserved for women), social constraints on women’s mobility
  * **Producer support level:** access to support schemes, participation in trainings (including training on business and leadership skills)
  * **Institutional level:** access to financial services (possibly hindered by having no land or property in her name), women to have opportunities in leadership positions, participation of women in planning and decision-making
  * **Policy level:** legislation for cooperatives, labour rights (including equal pay, maternity leave, childcare facilities) and creating standards that compel producers and processors to meet basic gender criteria[[3]](Print_version.html#cite_note-24).

  
**Starting points for managing gender issues responsibly**  
The approaches mentioned above aim to empower women in the long term. There are several ways in which you can contribute to empowerment of women in your organic business:

  
_**Capacity Development:**_ Women need to be able to attend training for organic production methods, processing techniques and commercial know-how, as well as leadership and organisational development sessions. Experience demonstrates that little transfer of information occurs from a man attending training on to his wife. In some cases, women are even unaware after a number of years of certification that their farm is organic! This is particularly impressive when we consider that much of the work related to organic production – planting, weeding, harvesting, marketing – is done by women. It not only represents inequity between men and women, but creates a weak link in an organic system. How can the system be robust if the people doing much of the work in an operation are unfamiliar with the essence of that system? From a business perspective, this presents a risk. By building capacities of both men and women, quality can be better ensured.

  
_**Appropriate timing:**_ Organise meetings and trainings in a way that they fit the rhythm of women's responsibilities. For example, a women’s training may require child care support or may need to be in the evening, after the evening meal is served – or at another convenient time.

  
_**Extension and ICS staff:**_ Female field staff are needed not only as role models, but because they will better be able to engage with the women in a producer organisation and women in the fields. As women are doing a disproportionate amount of the work related to production, their perspectives are absolutely critical to the good functioning of the system. Organic businesses and producer organisations should therefore employ female field staff. Especially in more traditional contexts, female staff members communicate differently with women in the village than male field officers, and may well be perceived as more approachable by women[[4]](Print_version.html#cite_note-25).

  
_**Women’s groups:**_ Often women in a village or in a processing facility talk to each other, share ideas and compare experiences. Creating and supporting women’s groups can strengthen this exchange. Allowing women’s groups to define the issues that they want to address, and monitor the company’s or cooperative's development on these issues is a positive way of triggering participation and loyalty. Communication can only strengthen the organic system.

  
_**Leadership:**_ Often it is assumed that gender issues are better addressed within organic agriculture than conventional. In many cases, women are indeed initiators or a driving force behind organic initiatives. To strengthen this, women also need to be in leadership positions within a producer organisation or agri-business. This requires building leadership and management skills among women.

Registration as an Organic Farming Couple. Women should be co-registered alongside their husbands as an organic farming couple. This empowers the women to exert influence over their husbands to take farming more seriously. And it allows women to be aware of the income derived from organic and how it is spent or allocated.

  
_**Women-only activities:**_ In some cases, it may make sense to have women-only value chains in order to preserve the integrity of women’s roles in that chain, avoid exploitation and provide opportunities otherwise unavailable. This happens for some commodities for some of the links in the chain in an unplanned manner, where certain activities are reserved for women. For example, women collecting shea nuts, while the men in the community produce cotton and sesame, or women drying mangoes. However, a women-only chain (or link in the chain) can also be intentional. Some innovative companies are experimenting with women-only chains[[5]](Print_version.html#cite_note-26). The idea is to build up capacity and leadership amongst women at each step in the process.

Addressing gender issues in value chains, and specifically, organic value chains is a bustling area of change at the moment. If you want to learn more about gender issues in organic agriculture and in value chains, consult the references in Annex ["Useful references and websites"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Useful_references_and_websites).

**Summary of recommendations:**

  * Get a clear idea on who plays which role in and around a value chain, e.g. by drawing a value chain map.
  * Ensure that the different stakeholders involved in an organic value chain each play a role that really suits them.
  * Temporary facilitators like development NGOs should not take up tasks that are permanently needed, and should especially refrain from buying and selling the produce.
  * Invest in building trustful and loyal long-term partnerships with producers and buyers.
  * Take care to integrate only those upstream or downstream processes into your business that you are able to manage well.
  * If you outsource any services, make sure that product integrity is guaranteed and that the providers really match with the needs of your business.
  * Carefully select certification and financial service providers that understand your requirements and that offer suitable conditions.
  * Make sure that local authorities have a supportive attitude towards your business, without getting dependent on them.
  * Encourage participation of women in the organic business. Ensure that women can participate in capacity building activities and that they can take up positions within the organisation (as extension staff, board members etc.).

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Developing_organic_value_chains&action=edit&section=T-5)]

  1. [↑](Print_version.html#cite_ref-22) The particular role of government is dealt with in Chapter ["Moving up"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Moving_up)
  2. [↑](Print_version.html#cite_ref-23) See <http://www.ashoka.org>
  3. [↑](Print_version.html#cite_ref-24) E.g. MayaCert in Guatemala, <http://www.mayacert.com>
  4. [↑](Print_version.html#cite_ref-25) See Grolink/Agro Eco, 2008. Gender Learning and Sharing. <http://www.grolink.se/epopa/Publications/GenderProjectEndReport.pdf>
  5. [↑](Print_version.html#cite_ref-26) For example Zameen in India, see <http://www.zameen.org>.

## Designing the organic production system[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Designing_the_organic_production_system&action=edit&section=T-1)]

The basis of your business is the farmers, and their production. You depend on the way that they farm. This chapter describes what organic farming means in practice and what you need to consider to be sure that the farmers become, and continue to be, good organic farmers.

  
**What type of organic farming?**  
Some organic businesses start from the idea that farmers in their area already use only a little or no chemical inputs, because these are not available or not affordable to them. If their farms were certified organic, the rationale goes, they could at least get a better price for their products, without changing much in their way of farming. On closer inspection, however, one may realise that the farmers do not use fertilisers and pesticides for the simple reason that it would not pay off. The money they could get from possibly increased yields would hardly cover the costs of the inputs, and there is a risk that they will lose more money or become indebted in case the crop fails. Maybe the remoteness of their location makes inputs very expensive, or they lack access to markets where their products fetch a reasonable price - or both. By not using external inputs farmers thus act in a risk avoiding and economically rational way.

Once farmers get a better price for their produce, which is likely when they are certified organic or Fair Trade, the situation changes. The use of fertilisers and pesticides to increase yields could - theoretically - become profitable. The temptation to use these inputs therefore increases with the price they get for their crop. Introducing Fair Trade prices in conventional farming can thus result in a higher use of fertilisers and pesticides. In organic farming, farmers get the organic premium precisely because they are not using agrochemicals. They need to find organic ways to increase and maintain their yields. An "organic by default" approach, without training farmers on how to improve their (organic) farming practices, is thus not very likely to succeed in the long run. Even if farmers can be stopped from using chemical inputs, without proper organic management yields are likely to remain low.

  
**Sustainable farming systems**  
Compliance with organic standards does not automatically imply that the production is sustainable. Without proper organic management that takes care of improving soil fertility and eco-system stability, an "organic by default" production is not sustainable. Innumerable examples have shown that well-managed organic farming systems can deliver reasonably high yields without depleting natural resources[[1]](Print_version.html#cite_note-27). In some low production contexts, a low-input-low-effort strategy may be appropriate, but in most situations organic farming means more intensive farming (in the sense of active soil fertility management and pest management, application of manures etc.). This requires that farmers get appropriate training and technical advice on how to do productive organic farming.

Although an organic business may start from an "organic by default" situation, within two to three years it is crucial to shift to active sustainable organic farming. Otherwise organic certification will make poor farmers only a little less poor, and only for a while. Introducing modern organic farming methods can improve the overall performance of a smallholder farm. This is of concern for the company or cooperative organising the farmers for marketing their produce. If yields per farmer are low, you need to organise more farmers for a certain production volume. This incurs higher costs for extension, internal control, certification, transport, etc. than when fewer farmers with higher productivity are involved. If the premium is the sole motivation for farmers to shift to organic production, they may easily drop out once premiums go down. Proper farming practices and specifically soil fertility and nutrient management are also crucial to achieve good product quality - which is a key success factor for being and remaining competitive in the market. It is better to base your business on skilled organic farmers that have good yields of food and cash crops - farms with a future! - rather than pursuing an "organic by default" approach.

  
**Commodity approach versus crop diversity**  
Many organic farming initiatives start with a focus on one commodity or value chain. This seems logical from a specialisation point of view – having a focus on being efficient, knowing the production technology, the business, the market (see chapter ["Developing the business step by step"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Developing_the_business_step_by_step)). On the other hand, there are several reasons why organic projects should think of crop diversification from the beginning:

  * Crop rotation and intercropping are important strategies in an organic farming system to keep soils fertile and prevent pest populations from building up.
  * Crop diversity helps farmers to reduce risk - if one crop fails or market prices drop, other crops can compensate for the loss.
  * Crop diversity is an important factor in improving food security.
  * If the business can sell several crops, the overhead cost share (for extension, certification, management etc.) for each crop is reduced, making the products more competitive in the market.

Even if the project is built around one lead crop, it is therefore important to include suitable rotation or associated crops that can ideally be marketed as organic. The same extension system that was primarily built to support farmers in growing their organic cotton or cocoa in a good way could also cover the production of maize, cassava or chillies.

**Organic farming in Mali**  
Mobiom - the umbrella organisation of organic farming cooperatives in Mali - was mainly set up to organise the production of organic cotton. They soon realized that there is some demand for organic sesame and shea nuts - crops which were already grown by most of their farmers. Mobiom hence included these crops in the extension activities in order to improve their yields and quality, and to ensure that they can be certified organic. They found a buyer for the sesame who locally cleans the harvest and exports it for processing into sesame oil. In order to be able to sell not only the shea nuts but also it's butter, they built a small butter processing plant. Today, sesame and shea contribute about one third of Mobiom's turnover. Without this diversification, the costs of extension and certification per unit of produced cotton would be too high to be cost competitive in the market. In 2009, when there was an oversupply of organic cotton in global markets, Mobiom decided to temporarily reduce the cotton area and to shift some of this area to the production of sesame and fonio, a traditional cereal for which there is high demand in the domestic market. A next step will be to promote a leguminous crop like peanuts or beans grown in rotation with cotton and sesame, which will help to improve soil fertility and thus yields.

Ways to good organic farming How exactly do you do good organic farming? Each crop and farming system has its own peculiarities when it comes to organic production methods; nevertheless, there are some common features of good organic farming systems that can serve as a checklist: • Crop diversity in time (crop rotation) or space (intercropping), involving leguminous plants • Use of sufficient volumes of organic manure such as farm yard manure, compost or green manure, ideally produced on the farm itself • Integration of animal husbandry in the farming system • Recycling of all kinds of biomass and crop residues, instead of burning it • Careful soil cultivation that does not lead to soil erosion and that preserves soil moisture • Preventive measures to manage pests, diseases and weeds • The absence of any synthetic fertilizers, pesticides, growth regulators and GMO

There are several guides and manuals that can help you to set up good organic farming systems. IFOAM has published a series of training manuals that cover organic production in the tropics in a comprehensive way[[2]](Print_version.html#cite_note-28). Practical guides on the production of specific crops are available for free at the IFOAM Training platform[[3]](Print_version.html#cite_note-29). The United Nations Environmental Program UNEP is developing an e-learning course on organic farming[[4]](Print_version.html#cite_note-30).

Access to know-how alone, however, does not make good farming. It is crucial that the know-how is transferred to the farmer in an appropriate and effective way. The extension system of the organic initiative needs to ensure that the know-how is applied in practice. How this can be done is covered in detail in chapter ["Building up an extension system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Building_up_an_extension_system). The implementation of certain organic farming practices can also form a part of the agreement that the farmer signs with the cooperative or company.

**Wild collection**  
A quite different market segment is that of wild collection. This includes herbs, spices, nuts and mushrooms collected from forests, uncultivated land and pastures. It includes non-timber forest products (NTFPs) and medicinal plants. If wild collection meets certain sustainability and social standards, it can be certified organic and Fair Trade. There are also specific standards for wild collection[[5]](Print_version.html#cite_note-31). There is a growing market for these products in the body care, cosmetics and natural medicine industry[[6]](Print_version.html#cite_note-32).

Wild collection is a rather informal and unregulated sector, involving many collectors who often belong to the most marginalised sections of society. Linking collectors to organic production and Fair Trade markets has the potential to help the poorest of the poor, but organising them for reliable quality collection may not be an easy task. Traditional or careless collecting practices may overexploit plant populations, especially when roots are collected. In many cases, collectors lack training on how to harvest in a way that ensures that this wild production continues. It is therefore important that collectors and buyers comply with sustainable harvesting rates. As it may involve large groups of collectors who harvest sometimes small quantities, it is quite a task to develop a not too expensive and still effective Internal Control System. Experience shows that wild collection is easier to manage when it is a side activity of an organic producer group that is already organised for certified organic farming.

## Managing the conversion to organic farming[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Designing_the_organic_production_system&action=edit&section=T-2)]

At the beginning of a new organic production initiative, one of the important challenges is to motivate farmers to convert their farms to organic management. They will like the organic premium for not using chemicals. They will nod when you talk about the benefits for soil fertility, health and environment, but those may not be their own priority. The advantage of lower input costs is a better motivating factor. They will have to restructure their system and maintain soil fertility which leads to drastic changes on their way of farming. The main question for the farmers will be whether the conversion is economically viable, in the short and in the long term. A comparison of estimated gross margins for each rotation crop provides a first idea whether the conversion to organic makes sense from agronomic point of view[[7]](Print_version.html#cite_note-33). Be careful not to be too optimistic with the organic yield and price that you may achieve.

When farmers start from an "organic by default" situation, the issue is usually to proof that additional labour input and the move to a more intensive production system are profitable. Often the soil is exhausted and needs application of organic manure. Perennial crops may need pruning or re-planting, while with annual crops soil cultivation, weed control, and sometimes seed quality are issues. Measures like better mulching, including leguminous plants and use of some natural pesticides quickly lead to better yields. That makes it difficult to explain to the farmers that a more productive system uses more nutrients, and that there is a need to bring in additional manure. Working on sustainable soil fertility and nutrient management is the biggest challenge for any organic farmer, bigger than the challenge of crop protection.

During the conversion period, technical advice should support farmers to adapt their farming system. Bottlenecks like the availability of organic manures or equipment to transport them, and leguminous crops in the rotation, need to be addressed (see chapter ["Challenges of organic production"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Designing_the_organic_production_system#Challenges_in_organic_production)). There is usually a fear of pest and disease outbreaks but that very seldom happens. Much of this work with farmers takes place in groups, in guided discussions, assisted by field officers.

  
**Coping with initial drop in yields**  
When farmers convert from intensive conventional farming in which fertilizers and pesticides are frequently used, yields are initially likely to be lower, at least during the first 2-3 years of the conversion process. Soils need time to re-build fertility, diverse agro-ecosystems need to be established, and farmers need to gain know-how and experiment with organic farming methods. An initial investment in soil fertility and nutrient management, e.g. by applying organic manure from outside the farm, can help to reduce or even avoid a drop in yields. Over time, yields usually increase in organic farming systems. Whether they are eventually lower than, on par with or even higher than in the conventional system depends on the intensity of the production system.

When there (initially) is a drop in yields, this is a severe obstacle to conversion, especially for resource-poor farmers. During the conversion period usually no or only a small organic premium can be obtained. There is not much of a market for in-conversion products. Some organic businesses, however, already pay farmers an organic price premium in the first two years of conversion, when that money is needed most urgently, to account for the loss in yield and to motivate farmers to continue. As Fair Trade certification does not require a conversion period, Fair Trade arrangements can be a way to get higher prices to farmers in the first years, if they are already organised, and provided that there is a Fair Trade market for the product in question. Better prices can also be achieved when the initiative leads to ‘immediate’ improved product quality (see chapter ["The importance and value of quality"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#The_importance_and_value_of_quality)) or more efficient market access. However, it is better to budget for paying a small premium and see it as an investment, rather than bank on immediate better prices. The early availability of an organic premium is a stimulus to pay more attention to farming.

**Success factors in the conversion process**  
_Getting ready:_  


  * Adequate training in organic agriculture and organic production methods
  * Develop strategies to cope with initial drop in yields and higher labour requirement
  * Competent and timely advice on organic crop management
  * Regular exchanges with experienced organic farmers (role models)

_Adapting the production system:_  


  * Try out organic technologies on small plots to gain experience
  * Identify suitable crop rotation and intercrops
  * Ensure sufficient input of organic manure (if necessary from outside the farm) or other materials (like oil cakes)

  
**Reducing the conversion period**  
For organic certification, the conversion period is between one and three years. Most standards require that crops have been under organic management and monitored by a certification body before the harvest can be sold as "organic"[[8]](Print_version.html#cite_note-34). If there is sufficient proof that no prohibited inputs have been used on a specific plot for at least two years, the certification agency can reduce the conversion period to one year after the start of organic management. Some certification bodies consider the starting point of the organic management the moment farmers register with a project or company, others from the time farmers sign a contract, again others from the first inspection. In any case, adherence to organic standards needs to be monitored also during the conversion period (field staff needs to be in place). Many certification bodies require two inspections before the first certification, one at the beginning of the cropping cycle and one before the first harvest.

Choosing plots that have not received fertilisers or pesticides for some years has the advantage that the production can sometimes be certified organic from the first harvest onwards. However, these plots often are not very fertile (and were therefore left fallow), or are located far away from the farm. Clearing virgin forest land is definitely not an option in organic farming. Initiatives pursuing a quick-conversion strategy risk ending up with comparatively low yields, which cause high extension and certification costs per unit produced. Farmers may then drop out if yields continue to decline. It therefore pays off in the long term to engage in real conversion of formerly conventionally farmed land and not stay with a do-nothing scenario.

  
**Gradual conversion**  
Organic farming initiatives should think about whether they want to create opportunities for farmers to convert gradually to organic farming, enabling them to reduce the risk involved in conversion. New farmers could, for example, be encouraged to try out organic methods on part of their land before registering with the project. Although this will prolong the period until the farm can be certified organic, it might be more feasible and sustainable than converting in one single step. However, keep in mind that handling conventional, in-conversion and organic qualities of the same crop may be quite a challenge for your buying system.

## Challenges in organic production[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Designing_the_organic_production_system&action=edit&section=T-3)]

Organic production may face a number of challenges that need to be addressed. As outlined above, achieving sustainability of the farming system and a satisfying yield level is not always easy. Conversion to organic farming usually requires extra effort, and so working around the availability and distribution of labour can also be difficult.

  
**Access to farm inputs and equipments**  
Organic production initiatives need to ensure that farmers get access to appropriate production inputs like seeds, pest management items and fertilisers that are permitted in organic production. It can be difficult for farmers to obtain seeds that are untreated and of varieties suitable for organic production. For soil fertility management, sufficient application of organic matter is crucial, especially for achieving satisfying yields and good product quality. Many organic businesses therefore organise the required inputs on behalf of their farmers, or support them in producing the inputs on-farm.

Input supply requires that efficient and reliable logistics are in place, ensuring that farmers receive the inputs in time and at an affordable price. However, it is not sufficient for farmers to have access to inputs - they also need to know how to use them in the most efficient way. Extension services therefore need to train and advise farmers on when and how to apply the respective inputs. It should not be simplistic and top-down; farmers should be encouraged to experiment, to find out what is best for their situation (see chapter ["Building an extension approach"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Building_up_an_extension_system)).

Farmers may also need specific equipment for successful organic production, like sprayers for biopesticides, carts to transport organic manure, or infrastructure to produce good quality compost. The company or cooperative can help them to get suitable equipment and building materials by bulking orders or stimulating local manufacturing.

Organised supply of inputs and equipment, however, may keep farmers from trying out new techniques on their own. Support should thus be designed in a way that farmers still have options from which they can choose, and should stimulate rather than hinder innovation.

  
**Financial services for farmers**  
Costs for inputs in organic farming may be lower than in conventional farming, but many farmers nevertheless find it difficult to pay for inputs at the beginning of the cropping season. Some organic businesses therefore provide inputs on a loan basis. They deduct the value of the input at the time when the farmers deliver the product. Problems may arise when farmers sell their crop to someone else, or use the inputs on their food crop. When the cash crop fails for whatever reason and there is little income to deduct from, the farmer may become indebted. If the input supply is subsidised, farmers may not realise their real costs, which can lead to an inefficient use of the input. In short, input provision is a minefield, whether in organic or conventional agriculture.

Another frequently used system is where organic business or projects provide micro-credit to farmers for buying inputs, seeds, equipment or animals, or for paying hired labour. Handling a credit scheme yourself, however, is a complex and risky matter. It is better to invite existing micro-credit schemes which will appreciate that the farmers are already organised and under some management because of the organic venture[[9]](Print_version.html#cite_note-35). The organic business may become involved in linking farmers with micro-credit schemes, and negotiate favourable conditions for them.

The organic business can promote saving, for example by paying the farmers into a bank account, or by stimulating the formation of saving groups. Micro-credit schemes and saving groups can also help prevent farmers from selling part of their crop on the open market due to immediate cash needs (see also chapter ["Handling pricing, premiums and payments for farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Handling_pricing.2C_premiums_and_payments_for_farmers)). The farmers are able to take out a little credit instead.

  
**Managing co-existence with conventional farming**  
Ideally, all farmers in a village decide to convert to organic production. In situations where organic farms are located amidst conventional farms that use pesticides, fertilisers or GMO (genetically modified organisms), the organic farming initiative needs to take precautionary measures to avoid contamination from neighbouring farms. Contamination can be in the form of surface irrigation water passing through conventional fields and thus potentially carrying fertilisers or pesticides, wind drift from spraying pesticides, or pollen carried by wind or insects from genetically modified organisms to organic crops. According to organic regulations, operators need to ensure that there is no contamination. They leave it to the certification agencies to determine whether the risk is sufficiently well managed.

Different certifiers handle this in different ways. Most require that irrigation water shall not have passed through conventional farm land on which fertilisers have been used. In order to prevent contamination from the drift of pesticide sprays, usually buffer zones of some metres are required. However, selling off part of the crop as non-organic is a painful exercise. It is better to work with a buffer crop or hedge. Agreements with neighbours or within communities for not spraying the areas adjacent to organic plots, or only when wind is away from organic land are also options to solve the problem. In regions where governments organise mass spraying of specific crops, solutions need to be sought with the local authorities (see chapter ["Building partnerships along the chain"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Building_partnerships_along_the_chain)).

  
**Co-existance with GMO?**  
When it comes to preventing contamination from GMOs, things become more complex. It is a requirement of organic regulations, based on consumer preferences, that organic products are free from GMOs. However, there are no clear and homogeneous rules yet on how to prevent pollen from a genetically modified crop getting in contact with an organic one. Each crop has different pollination characteristics - they may be open pollinated (e.g. alfalfa) or self-pollinating (e.g. beans, tomatoes), or pollen can be carried by wind (e.g. maize) or insects (e.g. cotton).

For crops in which the seeds are commercialised (e.g. cereals and pulses), there is an immediate risk that the harvest itself is already contaminated, whereas for crops in which leaves or fibres are used, the foreign genes will only appear in the harvest of the next generation when farmer’s own seed is used. Reasonable minimum distances therefore depend on the crop and on whether farmer-saved seeds are used for the next crop.

Analytical tests to check for the presence of specific genes in seeds or plant material are highly sensitive. Operators run the risk of getting ‘de-certified’ if GMO contamination is detected in the field or in the final product. Contamination with GMO material can also happen during transport or processing. A lot of research still needs to be done. Coordination amongst certifiers on how to handle the matter in a reasonable and uniform way is a necessity. Increasingly now, slight contamination is accepted, as long as it is deemed accidental.

**Summary of recommendations**  


  * Ensure that good organic farming practices are applied. An "organic by default approach" is neither sustainable nor profitable in the long term.
  * Even if the business is built around one main crop, take care that rotation crops and intercrops are also covered by the extension system and that they find a good market.
  * Get inspiration from existing guides and manuals on organic production, and ensure that the know-how is applied in practice.
  * Address bottlenecks in organic production and find ways to support farmers' incomes during the conversion period.
  * Motivate and train farmers in sustainable soil fertility management, especially when starting on soils of low fertility.
  * Assist the farmers in trying organic methods on part of their land before fully converting, even if this prolongs the time until the certified produce is available.
  * Ensure that farmers have access to appropriate inputs and equipment. Stimulate experimentation with locally available materials.
  * Take care with providing inputs or equipment on credit and with handling micro-credit; rather link farmers with existing micro-credit schemes and encourage saving among farmers.
  * With your certification agency, identify suitable measures that enable co-existence with conventional farming.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Designing_the_organic_production_system&action=edit&section=T-4)]

  1. [↑](Print_version.html#cite_ref-27) See Pretty, J. (ed), 2005. The Earthscan Reader in Sustainable Agriculture, Earthscan, London. Nemes, N., 2009. Comparative Analyses of Organic and Non-Organic Farming Systems: A critical assessment of farm profitability. FAO Rome. <ftp://ftp.fao.org/docrep/fao/011/ak355e/ak355e00.pdf>
  2. [↑](Print_version.html#cite_ref-28) <http://www.ifoam.org/growing_organic/7_training/t_materials/6_gen_publications/gen_publications_main.php>
  3. [↑](Print_version.html#cite_ref-29) <http://www.ifoam.org/growing_organic/7_training/t_materials/training_materials_main_page.html>
  4. [↑](Print_version.html#cite_ref-30) Check <http://www.unep-unctad.org/cbtf> → Organic agriculture
  5. [↑](Print_version.html#cite_ref-31) E.g. FairWild certification, see <http://www.fairwild.org>
  6. [↑](Print_version.html#cite_ref-32) See IFOAM/ITC, 2007. Overview of World Production and Marketing of Organic Wild Collected Products. <http://www.intracen.org/Organics>
  7. [↑](Print_version.html#cite_ref-33) A simple tool to calculate gross margins is available from <http://www.organicandfair.org/oftcc/Publications/Publications.php>
  8. [↑](Print_version.html#cite_ref-34) According to the EU regulation, for annual crops a conversion period of two years prior to sowing is required; see Article 36 in <http://eur-lex.europa.eu/LexUriServ/LexUriServ.do?uri=OJ:L:2008:250:0001:0084:EN:PDF>
  9. [↑](Print_version.html#cite_ref-35) Links to micro-finance institutions are provided at <http://www.mixmarket.org/networks> and <http://www.microfinancegateway.org>.

## Planning and managing your business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-1)]

In the end, the success of any organic production initiative depends on whether you are able to run it as a sound and profitable business. Some entrepreneurs get a long way working on intuition, but sooner or later everyone needs to think through their business in an organised way; have a strategy, a plan, an organisation, proper financial management etc. In this chapter you will find some guidance and tools for developing the most crucial aspects of a business strategy and plan. They will help you to make better decisions concerning the set-up of your business, to defend your sales prices when negotiating with buyers, to apply for investment and trade finance, to monitor the performance of your business and to adjust it to a changing market demand.

  
**Developing a business strategy and plan**  
Some entrepreneurs and producer organisations are scared by the term business plan – they are afraid of a big, theoretical and inflexible thing. Everyone knows successful entrepreneurs who never prepared a business plan, but succeeded because they had the strategy and figures in their head. There are also experiences with projects which had a 100 page business plan written for them by a hired expert, but completely failed because the plan was not realistic, or not understood and not internalised. Developing a business plan is crucial for an organisation in which more than one person is involved, such as a producer organisation. It will help the organisation plan its activities in order to generate a better income for the involved producers. Once the business has started it will help you monitor the progress and profitability of the business and to adjust your planning where necessary; in short it will help you to get and keep your business on track.

  
**A business strategy**  
Any business needs to have a fairly clear idea how it wants to develop. Whether you call this a business plan or not, and to what level of detail you develop these ideas depends on the size of the business, whether you have investors or a management body to answer to, or on the need to convince banks or donors that your business case is viable. If you have an existing business and want to start an organic unit or expand your production capacity a feasibility study, cost price calculation or adaptation of your existing business plan might be sufficient.

  
**The minimum you need in terms of a business strategy is to have fairly well thought through ideas on the following points:**  


  * What is your core business (products, processing, trade)?
  * What is your market, who are your competitors and how can you compete with them?
  * How do you organise your business (legal and organisational structure, who does what)?
  * What will be the size of the operation (number of farmers, production volumes), and what growth do you envisage over time?
  * What are the estimated costs and revenues over some years, and when will you break even?
  * What price do you need to get for your product(s) to cover your costs, and to make a reasonable profit reflecting the risks you take?
  * What finance do you need to start your business, and where will you get it from?
  * How will you manage your cash flow, and how do you propose to bridge possible shortages of cash at certain times?
  * What marketing activities do you need to take up, and what resources do you need for this (see chapter ["Marketing strategy"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Marketing#Marketing_strategy))?
  * What risks are involved in doing this business, and how can you reduce them?
  * What happens when you miss the projections you made; what is your plan B?

  


**Preparing a business plan**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/47/Folie09.jpg/400px-Folie09.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 10: SWOT-Analysis of the organic business idea.

The extent to which the business plan is written out largely depends on the requirements of the agency providing the finance. If you want to apply for a loan, investment or other external finance, a fully-fledged business plan is clearly needed. You need to convince the bank or investor that your business idea is viable and that the investment will result in a profitable, sustainable business. In this case it won’t be sufficient for you alone to be convinced; the case needs to be properly presented and documented so that it convinces others. In addition, a business plan is a valuable planning and strategy development tool that will help you to be successful in doing business.

A good starting point for a business plan is to conduct a SWOT-Analysis of your business idea (Figure 10). In this process you do not only analyse the strengths, weaknesses, opportunities and threats of your current business, but also take into consideration the situation in the market (preferences, trends), the position of competitors, and the prevailing business environment (legal framework, services). Strengths can be used to capture opportunities, while weaknesses may pose threats to your business idea.

Starting from the SWOT-Analysis, you can develop the business plan step by step. An outline of a simple business plan for an organic business is provided in Annex ["Business Planning"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Business_planning). Sources that provide general guidance on business planning are listed in Annex ["Useful references and websites"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Useful_references_and_websites), Business planning and management.

A business plan is not of much use if it is not understood by the people who are supposed to implement it. Developing a business plan needs to be a participatory process which helps those involved to gain an in-depth understanding of the business case and its challenges. They will then know almost ‘off by heart’ what the direction is for the next few years. The process of developing the plan happens in loops of brainstorming, analysing, structuring, testing, revising; it is more important than the final document itself.

Successful businesses do think through their plans themselves. It may be a good idea to involve an external expert in developing the business plan, to get an outside view of your business model as well. Make sure that you keep ownership of the process, and that you understand each aspect of the plan - especially the financial ones!

A business plan is not only a feasibility check and a way to plan your business, it is also a management tool which helps you to focus on the most important aspects, to keep the core figures under control, and to help you adapt to the ever changing business environment. A business plan is also not a one-off exercise put in the drawer once the bank or the donor is convinced. You should live by it, implement it, periodically update the core figures at least, especially those concerning production volumes, costs and revenues, and check that it is still viable. Dare to adjust projections downwards if that will give you a more viable business case. Especially when one of your key drivers behind the business turns out not to be feasible, it is important to adjust your business case, inform your investors or financiers and discuss possible solutions.

## Setting up your operation[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-2)]

This sub-chapter deals with what you need in order to start an organic business, or to convert an existing product line to organics. It also covers how you organise the different elements, and who plays which role.

  


**Elements of the organic business**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Core-elements-of-organic.png/400px-Core-elements-of-organic.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 1: Core elements of an organic business, and their respective functions

An organic business consists of several core elements that are interlinked with each other (Table 1). Obviously, first of all you need farmers from whom you will buy. Ideally, the farmers are not only producers but are also involved in post-harvest operations, in bringing the product together (bulking), and in ensuring the organic integrity and the quality of the production. Farmers need to be partners in your business - depending on the set-up of the business they can even be owners or shareholders of the business (see chapter ["Involving farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Involving_farmers)).

The field staff is in charge of training the farmers on organic farming methods, and provides technical advice as per the farmers' needs. It encourages experimentation and supports farmers to exchange information among themselves. Extension is closely linked to the Internal Control System (ICS), which is a requirement for organic certification of smallholder groups. The ICS is a tool to manage the integrity of the organic production and ensures traceability during buying. The ICS can also be used to monitor and improve the quality of production (see chapter ["Developing an internal control system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Developing_an_internal_control_system)).

The core of an organic business is the buying of raw materials from approved farmers on the one side, and the selling on of that product after some cleaning, processing and packaging on the other. In addition to dealing with the product, some businesses also provide inputs to the farmers, such as seeds, natural fertilizers or tarpaulins for drying (see chapter ["Challenges in organic production"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Designing_the_organic_production_system#Challenges_in_organic_production)). The buying and selling activities include securing trade finance, logistics and storage.

Most organic businesses also engage in some kind of processing of the raw product as delivered by the farmers (see chapter ["Processing and value addition"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Processing_and_value_addition)). This may range from simple cleaning and grading, up to the production of finished products such as juices or honey in jars. Proper quality management at this level is crucial for being successful. Processing also includes the packaging of the product into units for sale (bales, bags, containers, boxes etc.).

The activities and transactions within the above mentioned business elements require a certain level of administration and management. An organic business requires a higher level of management than in a conventional agri-business of the same type and size. There is a lot more to manage and a lot less space to fiddle as there is an annual inspection (including of the books) for certification. You need to ensure that finances are properly managed and that production and sales figures are correct and available on time.

Running an organic business is almost never a one-man/woman show. You need to have a certain number of staff that will need to be managed (recruitment, employment contracts, training, incentives, etc.). "Human Resource Management" may seem to be a big term for small businesses, but it is not only about hiring and firing people. The quality of the staff determines the success of the enterprise, whether it is a cooperative or a private company (see chapter ["Staff development"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Staff_development)). The management has responsibility to ensure that the system works, the plan is implemented and is also responsible for the enterprise’s strategic development. The management also represents the business to the outside world, and develops linkages and alliances with other stakeholders (see chapter ["Management structures and capacity"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Management_structures_and_capacity)). In Annex ["What you may need for an organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Checklist:_What_you_may_need_for_an_organic_business) you will find a detailed checklist of what resources you might need for an organic business. It should help you not to forget any important elements. If an existing business develops an organic product line, many of these are of course already in place.

  


**How do you organise your business?**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5d/Organizational-examples.png/400px-Organizational-examples.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 11: Example of an organisational structure of an organic business. Specific functions like processing and trade could also be outsourced.

How you organise the different elements of your business depends on the size and scope of your operation - the smaller it is, the less organisational units you may require. However, even if one person is in charge of several functions, it is still advisable to have a clear idea of the different organisational units. Extension and ICS may be organised in one unit, and similarly processing and trade (unless processing is a major activity of your business). The organisational chart (Figure 11) provides an overview on how the key functions of the business are typically arranged.

Keep it as slim and simple as possible! In a small start-up, combine functions rather than hiring too many staff. The director, for example, can also manage accounts and marketing, and another person can be in charge of production and processing. Once the business grows you may hire additional personnel who take over specific functions.

  
**Defining roles and responsibilities**  
For the smooth functioning of your business it is important that each person involved has a clear idea on his/her roles and responsibilities. Ideally, each person working in the company has a job description (or terms of reference) that clearly defines the duties and competencies needed (see texample in Annex ["Job description for field officer"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Job_description_for_Field_Officer_-_example)).

Once the business gets bigger and more complex, it can be useful to document the main structures and processes in an operating or quality management manual. The manual describes how the business is structured and organised, who has which responsibilities, and how the main processes (production, extension, internal control, processing, trade etc.) are done. The text part of the operating manual refers to separate documents such as organisational charts, job descriptions, internal regulations etc. An example of a Table of Contents of a typical operating manual is provided in Annex ["Content of an operating manual"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Content_of_an_Operating_Manual).

Most certifiers will require that the procedures of the internal control system are clearly defined and documented. This can be done in a separate ICS manual, or integrated in the operating manual or the quality management manual. As the ICS usually involves documents such as forms, standards, checklists etc. which are updated from time to time, the manual helps to keep an overview of the different documents and versions that are in use (see chapter ["Developing an internal control system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Developing_an_internal_control_system)).

Preparing the operating manual helps you to think through the different aspects of your business, to identify ways of making it more efficient, and to keep an overview of the complex operations. The operating manual makes it easy for outsiders (e.g. the certification body or the bank) to get a clear idea on how you function. It also helps you to make new staff familiar with how your business works. Developing the operating manual and keeping it up to date may require time, but it also helps you to save time - and money!

## Developing the business step by step[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-3)]

This sub-chapter should assist you to identify and plan the necessary actions and investments in a timely way, so that you achieve the envisaged quantity and quality of products for sales.

  
**What scale of production?**  
Defining the envisaged scale of the production is a crucial first step in planning the business. The scale of the production will determine the resources you require. Start small enough to be able to manage the operation and the financial risk involved, but large enough to reach sizable volumes in a reasonable time span. What volumes have you dealt with before? Is that kind of volume or twice that size the maximum that you can manage for the time being? In other words, is your plan realistic? Make sure that you do not produce or buy more than you can sell, but enough that you can satisfy the minimum volume of your first client. Do you envisage reaching a scale that involves 50, 500 or 5,000 farmers? Are you planning for 10, 100 or 1,000 tons of production per year? How many staff do you need to employ, and how much capital do you have to invest? What is the time span? Of course, the different parameters are closely interrelated. Make a plan for the next 3-5 years in which you estimate the number of farmers and their expected production (based on average acreage and yields). The planning tool in Annex ["Production planning tool"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Production_planning_tool_-_example) can help you to plan these figures.

As reality is always different from the best prediction, it is wise to calculate an optimistic and a pessimistic scenario as well as what you actually expect to happen. This production plan is the basis for calculating costs, revenues and the break even point (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). You need to revise it every year, inserting the actual volumes and costs incurred.

  


**Minimum economy of scale**  
Assume that you achieve a 15% export premium on a good quality, certified organic product. With an export volume of US$ 400,000 that means that you get US$ 60,000 above the normal value of the product. All the extra costs that you need to make to get certified, to find the market, etc. should be subtracted. In the case where: you need half of that money to pay the farmers a higher price than other local buyers, certification costs US$ 6,000 a year, your field staff costs US$ 7,500, the extra measures to keep the organic product separate from conventional US$ 3,500 and participation in the Biofach costs US$ 6,000 a year, you are left with a U$ 7,000 extra profit.

For a commodity like cotton or sesame, such an export value may be attained with, for example, a volume of 250 tons of the product. If each farmer on average produces 500 kilos and the capture rate is 50%, you will need to work with more than 1,000 farmers.

  
**The time needed to set up an organic business**  
If you are not yet in business and start from scratch, expect to take 5-6 years for your organic business to be fully established. Even if you are converting an existing business to organic, or developing an organic division in a company, it will take usually 3-4 years until it is running smoothly. However, most investors and entrepreneurs expect their business to break even within three years. Introducing a new production method, crop or processing technology again requires considerable time, maybe 3 to 5 years, because most people involved need time to become familiar with the change, which usually happens through a trial and error process. Don't forget that the farmers also need to become familiar with the organic way of managing a farm, and need to trust that you will market their produce year after year. While they are having their first trial field experiences, you have to have made plans for the organisational structures.

  


**Phases in developing the business**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Phases-in-veleopment.png/300px-Phases-in-veleopment.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 2: Phases in developing an organic business.

It is advisable to start small and fairly focused. Once you are able to handle a business on a small scale and if the market responds well, you can grow and/or diversify by adding components such as additional processing levels or other products. If you try to develop everything at the same time and on a large scale, you are very likely to fail. Growing rapidly because many farmers are eager to join can easily lead to a situation in which quality management and marketing are no longer ensured. Make a realistic plan for a period of 3 years to reach a first break-even point (it may actually become 4 or 5 years…). Only once you have reached this point, go for a next step of growth and diversification, which requires new investment. Most businesses go through phases of starting up, consolidation, expansion, and diversification (Table 2). This means that there is a continuous development.

  


**Diversification or specialisation?**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Folie11.jpg/300px-Folie11.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 12: Specialisation versus diversification of an organic business.

Being successful in a specific business field requires a certain degree of expertise and thus specialisation. You need to know the specific production and processing technology to achieve high quality, and you need to know the specific market for the product. Most businesses therefore focus on one or few products. It rarely happens that, for example, an organic coffee business also includes vanilla in their portfolio, or that cotton businesses also deal with cereals and pulses, even though these crops combine very well in the field. Some companies feel better off dealing with only one product.

On the other hand, diversification helps farmers to improve the farming system (rotation), to enhance food security and to reduce production risks (see chapter ["Designing the organic procustion system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Designing_the_organic_production_system#Designing_the_organic_production_system)). It allows businesses to spread certification and management costs over different products, and reduces their vulnerability to market fluctuations. Diversified business operations allow more flexibility when reacting to the changing business environment. Diversification, however, also has its limits. Developing new crops and markets requires new investments and specific know-how. There is a risk that it distracts management capacity from the core business, and that you get into fields which are just not your “cup of tea".

Organic businesses should therefore weigh carefully the pros and cons of taking up diversification options or focusing on the existing product portfolio (Figure 12). An alternative is to collaborate with other companies that deal with some of the other products. An organisation of cotton producers in Burkina Faso, for example, collaborates for the quality control, collection, processing and marketing of shea nuts with a local company specialised in shea butter processing.

## Financial planning and management[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-4)]

Finance is one of the most important elements in any business activity. Although it is usually not the most favourite aspect people like to deal with, financial planning and management is not something you should leave to an accountant. If you have a solid financial plan then a major part of the business planning process is done. Financial planning is the financial translation of the detailed activities and their financial requirement. It makes you aware of all the costs involved and allows assessment of whether and when your business will break even. It helps you to keep finances under control and avoid running out of cash. Your business needs to compete on price with others who can produce the same product and quality. You therefore need to operate your business in a cost efficient way, and to produce good quality for a low price of production. In order to assess and monitor your price competitiveness you need good insight in your total costs. Even if you are an existing enterprise that adds on an organic business line or replaces an existing activity, you need to calculate all costs of production and of doing business.

  
**Types of costs**  
You can divide your costs into variable and fixed costs: Variable costs are expenditure that varies with the production volume. Variable costs increase when production increases, and fall when it decreases. Examples of variable costs include the purchase of raw materials, packaging, or labour directly involved in processing. For instance if for the production of 10 litres of pineapple juice you need 10 pineapples and 10 bottles, then for the production of 1000 litres of pineapple juice you need 1000 pineapples and 1000 bottles. The costs of the inputs go up in direct proportion to the volume of production.

Fixed costs are expenses that do not vary depending on your production volume. Examples of fixed costs are rent of premises, certification fees, depreciation costs of equipment, salaries of extension staff and management etc. Whether your production is 10 tons of cotton or 100 tons of cotton that year, the rent for the building you are hiring will be the same. In the case of pineapple juice; the machine you use for producing the juice will cost the same in depreciation whether you produce 100 litres or 10,000 litres.

Your variable costs go up gradually, while your fixed costs increase or decrease in steps, for example when you change your office building, buy new equipment or hire additional staff. Costs for extension, ICS and certification are semi-fixed/semi-variable costs; they are not directly linked with the output, but increase to some extent when more farmers are included. When the fixed costs are relatively high, it is especially important to look for maximum use of what those fixed costs stand for.

  


**Cost price calculation**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c3/Table-3.png/400px-Table-3.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 3: Cost price calculation with different volumes (generic example).

The cost price is the total of all variable and fixed costs divided by the number of produced units (e.g. per kg cocoa beans or per litre of sesame oil). Initially, when production volumes are still small, the cost price per unit is high. With growing volumes that support fixed costs, economies of scale bring your cost price down (Table 3) Examples of cost price calculations are given in Annex ["Examples of cost price calculations"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Examples_of_cost_price_calculations).

It is especially important when you are planning a new business that you calculate the cost price. It is of course much easier for an existing business, involved in the conventional business of the same product, to work out the extra costs that come with the organic project.

During the planning phase, exact costs are not usually known and therefore need to be estimated. There are often costs which are not sufficiently anticipated; especially for logistics. It is therefore wise to include a certain contingency in your cash flow planning, and to build up sufficient reserves. It is very important to keep close track of what the real costs are and redo the calculation as soon as the first season is over. Businesses should update their cost price calculation every year, and it becomes a tool to improve the efficiency of the operation.

  
**Sales margins**  
The sales margin is the difference between cost price and sales price. Each type of business has its own margin. The higher the investment and the risk, the higher the margin needs to be. Margins on processed products are usually higher than on raw materials. The margin is not simply profit in the sense of money put in somebody’s pocket; it is a safety net that helps a business to survive in bad times, and it is needed if a business is to grow. In organic value chains in developing countries a margin of 10-30% is quite common. This margin can not be expected in the first year, but only when the business is consolidated.

  
**Breaking even**  
The break even point is the level of production and sales where total revenue of sales is equal or above total costs (variable and fixed). After determination of variable costs, fixed costs and selling price, you can easily determine the break even point of your operation. If you want to estimate the volume needed to reach break-even you can use the following formula:

_**Total fixed cost![/](../../../upload.wikimedia.org/math/6/6/6/6666cd76f96956469e7be39d750cc7d9.png)(sales price per unit – variable cost per unit) ![=](../../../upload.wikimedia.org/math/4/3/e/43ec3e5dee6e706af7766fffea512721.png) break-even volume**_

You should calculate the expected costs and revenues over a period of time to assess the profitability of your business (Table 4). In organic businesses you have a conversion period. Usually you cannot sell the product as certified organic during the first one or two years. At the same time you have all the costs of putting field staff in place, an ICS, certification, and you probably have to pay the farmers some premium to motivate them. This means that the first two years are almost always a period in which you make a loss.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Profit-loss-table-4.png/400px-Profit-loss-table-4.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 4: Example of a profit and loss calculation.

Once you are able to sell certified organic product, the situation looks better. However, often you will have expanded from the initial producer base to a larger one, which requires additional resources for extension, ICS and certification. First time marketing costs may also be higher than in a consolidated situation. In the third or fourth year, when you are able to sell larger volumes of your product as certified organic you should be approaching the break even point. Most organic businesses turn profitable within 3-5 years. The length of the conversion period, the complexity and the overall size of the business are the major determining factors (see chapter ["Organic Business Guide"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Developing_the_business_step_by_step), The time needed to set up an organic business).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ac/Folie12.jpg/400px-Folie12.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 13: Break even of costs and revenues; new investment.

In the following years you try to make the business more efficient, by optimising your cost price and marketing approach. This is when you start earning money. However, when reaching the initial break even point, you should already start thinking of adding another product or investing in scaling up your operation (Figure 13).

  


  


  


**Sensitivity analyses**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Sensitivity-analysis.png/200px-Sensitivity-analysis.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 5: Example of a sensitivity analysis.

Cost calculations are normally based on real costs (existing business) or assumptions (start-up business). It is good also to analyse what happens when one or more of the factors changes considerably. This could be positive or negative changes. Typical changes are fluctuations in the currency exchange rate, but also higher or lower yields or changing market demand. A shortage of the crop may increase local prices above what you have planned to be the organic premium price. Increases in cost of diesel and energy have surprised many businesses in the recent past, so if you want to reduce your risks, you need to make a sensitivity analysis. This means that besides the normal case you calculate a best and worse case scenario. Table 5 provides an example of a sensitivity analysis. It is unlikely that all these factors will change for the better or the worse at the same time. You can also calculate worst and best case scenarios for each single factor.

  


**Cash flow management**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6b/Cash-flow.png/200px-Cash-flow.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 6: Example of a cash flow calculation.

For any business activity it is important to plan your financial needs in order not to have a working capital shortage at a crucial time in your production or trade process, which would block your business activities. Throughout the year there are significant changes in cash flow. The best way to get insight into your financial needs is by planning your incoming and outgoing cash flow on a monthly basis (Table 6). You have to pay your office staff and the field officers on a monthly basis. Some organic businesses provide their farmers with inputs, like seeds and organic fertiliser at the start of the season. It can be quite an investment and it may take 10 months before that money comes back on to your bank account. You normally need most cash to pay the producers upon delivery, while you will only receive payments from your clients quite some time later. You will need to bridge the period between expenditures and revenues, for which you require extra working capital. By planning your cash flow on a monthly basis you can determine how much ‘foreign’ capital you need, and for how long. As money is expensive (interest) the smaller that amount and the shorter you need it for, the better. Cash flow predictions, like the one provided in Table 6, are also used to request a trade loan from a bank (see chapter ["Financing your organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financing_your_organic_business)).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2d/Monthly-liquidity.png/200px-Monthly-liquidity.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 14: Monthly liquidity of an organic vegetable business (example).

A cash flow plan deals with incoming and outgoing payments and not with revenues and costs. For instance depreciation of a car is a cost but not an actual payment. It will therefore not appear on your cash flow planning, but will appear on your profit & loss account. When planning your cash flow always ask yourself if the items you are budgeting lead to an actual change in your cash or bank position in that month.

Figure 14 shows the liquidity situation of an organic vegetable production unit prior to getting external finance. They export during part of the year with weekly shipments. This means that the money comes back fairly regularly and the liquidity requirement is not high. Nevertheless, they need financing for their cash flow for the first 6 months.  
  
  
  
  
  


## Financing your organic business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-5)]

There are not many companies that have sufficient working capital on their own to completely finance their business by themselves. Some people say that the success of a good entrepreneur depends on how good a banker s/he is. A producer organisation or enterprise will need capital generally for the following purposes:

  * Investments (buildings, trucks, motor bikes, furniture, computers, processing equipment etc.)
  * Working capital (payment of personnel, running cost of the business, inputs)
  * Trade finance for buying of harvest
  * Capital to overcome start-up losses

  
There a many different ways to attract or generate capital for these purposes, and most businesses use a mix of them. Possible sources of finance are:

  * equity (own capital)
  * loans from family and friends
  * product provided on credit by the farmers
  * advance payment by your client
  * loan from a financial institution
  * grants

**Equity (own capital)** Your own capital is the most dependable source of capital because you have full control over it and there are no costs attached to it. There are different ways of generating equity:

  * Financial reserves built up through profits from previous seasons. These have to be well guarded until the funds are needed.
  * **Member equity:** Most cooperatives ask their members to pay a fee when becoming a member. It can be in the form of product. This fee will be registered in the name of the member depositing it as equity of the cooperative. The membership entitles him/her to a share in the profit of the cooperative, unless the general assembly decides to keep the money in the cooperative. Profit can be paid out based on the value of the share, or based on the volume of product that the member delivered to the cooperative. Proper provisions need to be in place in case a member dies, or wishes to leave. The advantage of member equity is that it creates commitment of the producers towards their cooperative. It will also mean that they will want influence in the decision making in the cooperative.
  * **Share capital:** If you are not a cooperative but an enterprise you can look for external investors willing to invest in your company. By issuing shares to them in exchange for their investment you give them part of the ownership in your company. Usually you have to convince them through a business plan. There should be rules on profit sharing among the shareholders, and about the influence that share holders can have in the company strategy or management. Investors can have a positive influence on your company, as they are often seasoned business people. Another example is the main importer of your product. There are even funds stimulating this, like the Private Sector Investment Programme in the Netherlandsy[[1]](Print_version.html#cite_note-36). There are also venture capitalists who wish to invest in promising businesses in the so-called emerging markets[[2]](Print_version.html#cite_note-37), and financing institutions focusing on sustainable investments.

  
**Loans from family or friends**  
Many entrepreneurs have family abroad, or friends who have done well. For smaller amounts it is quite common to obtain a loan from family or friends, especially one that is paid back fairly quickly, with a profit. These are often informal loans that are not even put on paper. When it concerns larger sums of money, it is very likely that the person will want to have guarantees. They may become a shareholder in the company, so that the loan turns into equity. Whether family or friend, the relationship may come under stress when things do not go as planned, or when the lender wants his/her money back while you still need it. It is up to you how much risk you want to take to sacrifice friendly relations for your business purposes.

  
**Product provided by farmers on credit**  
The biggest bottleneck in financing is the one of trade finance, needed to buy the product from the farmers, until you get paid by your buyer. In some cases it is a matter of six weeks before the payment comes in, in other cases this takes 3-4 months. Businesses therefore may try to ask the farmers to provide their produce on credit, in exchange for a document stating the quantity delivered. This type of credit system often goes wrong and most farmers prefer to sell cash in hand to the best possible buyer. Asking the farmers to deliver their produce without immediate payment is a situation that you should try to avoid.

**Advance payment by clients**  
Certainly in more advanced relationships the buyer is often willing to pre-finance part of the trade contract. It can be part of the sales agreement and of the price negotiation. For them it is an assurance that they will get the product. They may be able to get trade finance for a much lower interest rate than you would need to pay. The condition for this is that the buyer trusts you. This trust is usually built over the years; it won’t happen in the first year. While the buyer may trust you, his/her accountant or bank will still insist on maximum guarantees. This usually starts with an exclusive trade agreement - otherwise you might be buying the product with his/her money and selling it to a competitor.

It might also mean that an external agency must be contracted to monitor how much product is in your warehouse. There may even be a construction with a kind of bonded warehouse. This means that all product that you bring in is registered and additional funds are paid out based on that collateral, and product can only leave the warehouse in a sealed container with the buyer as addressee. The moment that the container leaves, the real payment is effected by your bank. Then the money is really yours. These contracts are usually made for a specific amount of produce and with a tight time schedule. Once that contract is fulfilled you are free to sell the remainder to any other party. Be aware that such pre-finance might limit you in your freedom to sell to other buyers. It might however be a good solution if banks consider your business as too risky to provide a loan, or if attracting pre-finance from your buyer is a lot cheaper then a bank loan. Always check the different options that are open to you, and compare the pro’s and con’s of each option.

  
**Loan from a financial institution**  
Taking a loan from a financial institution has a cost, and bears some risk. You need to pay interest and possibly pledge collateral. If the loan is taken in foreign currency, there also is the risk that the exchange rate changes to your disadvantage. Start-up businesses usually only get part of the required finance; the banks will always ask you to provide a significant part of the total sum required yourself. No one is going to put their money in your business if you do not invest yourself. One can distinguish two types of loans: trade finance and investment finance.

  * **Trade Finance:** A short-term working capital loan (usually 4 to 8 months), mainly used for buying the raw product from the producers. In order to become eligible for trade finance you usually need a contract or a letter of intent of a buyer of your product. The buyer of the product has to be trustworthy enough for the financial institution as well, as often the loan is repaid through the buyer to the bank.
  * **Bank Overdraft Facility:** Once you have built a good relationship with your local bank it might also be possible to negotiate a short-term overdraft facility on your bank account. An overdraft facility is to be used only for short term capital needs.
  * **Long term loans:** For long term investments, such as machinery, a building or a truck, or to cover start-up losses, a long term loan is needed since you will need more than one season to recover the costs of the investment. In order to become eligible for a long term loan, a financial institution will look at your business plan, your financial and sales track record, possible collateral, and your equity/debt ratio etc.

For start up producer organisations or enterprises it is difficult to access external loans because of the lack of a long term relationship with a client, the absence of a financial or trade track record, the absence of collateral or other securities and the absence of equity. A guarantor could be the solution in this case. A third party who really believes in the future of your organisation or enterprise and who is financially healthy itself can partially diminish the risk for the lender, by issuing for instance a 50% guarantee to the loan.

Check with local banks and micro-finance institutions whether they can offer you credit for your organic business on reasonable conditions. If they can not, it is a good idea to also consider international financing institutions specialized in providing trade finance or long-term loans to organic and Fair Trade businesses (see list in Annex ["Financing institutions providing loans for organic and Fair Trade businesses"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Financing_institutions_providing_loans_for_organic_and_Fair_Trade_businesses)).

  
**Grants**  
The last possible source of finance is a grant by a third party, such as development organisations or government economic development schemes. A grant could be given in the form of a seed capital grant. A seed capital grant will be integrated in the balance sheet of your organisation as donated equity. The advantage of a seed capital grant is that it improves your equity position through which access to external capital in the future becomes more feasible. There are also schemes that provide grants within a public-private development partnership, or assign a grant for the capacity building of your staff (see chapter Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors#What_role_for_donors_and_development_agencies.3F|"What role for donors and development agencies" and Annex ["Donors and development agencies supporting organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Donors_and_development_agencies_supporting_organic_value_chains)).

The issuing of grants to start up companies is a last resort, because they may distort competition with market actors. Grants do not necessarily stimulate commitment of the grant receiver. In general, it is advisable to use your own funds and being cost efficient by ensuring good financial management. However, especially in a situation where a new business supports smallholders who otherwise have little chance in a market economy, grants can be justified.

## Keeping the business going[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-6)]

**Keeping an overview**  
An organic business rapidly becomes complex and so it is not always easy to keep a good overview. The management needs to know how key business parameters evolve in order to be able to take the right decisions. A reliable accounting system clearly is a must. Regular staff meetings help to keep everyone up to date, and to decide about how to deal with upcoming problems in a team spirit.

Keeping an overview also means knowing where the business actually stands concerning its key figures. It means being able to answer questions like: What acreage is under organic cultivation this year, and what is the expected production? How many farmers have already been inspected by the ICS, and how many were excluded from the project due to non-compliance with the standards? How much produce has already been sold, and how much is still in stock? What volume of seeds is required for the next season, and how much money to purchase the harvest from the farmers?

As your production is spread over hundreds or thousands of farmers, answering these questions usually requires summing up the respective figures of each farm. A database will help you to handle production and ICS figures in an effective and transparent way (see chapter ["traceability and data management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Traceability_and_data_management)). Similarly, your processing and sales figures should be entered in some kind of database. An Excel file can do the job until the business reaches a certain size and complexity that a more sophisticated system is required. The database also helps you to calculate and monitor key indicators of your business such as average yields, the ratio between extension staff and farmers, the realised margin between buying and selling, or the additional income generated at the level of the farmer.

  
**Operational planning**  
In an organic business, many activities that are interlinked need to be orchestrated over the year. Farmers need to be registered and trained at the beginning of the season, harvest estimates need to be done at certain points of time, internal inspections need to be completed before the harvests start, logistics need to be arranged etc. Operational plans (see example in Annex ["Annual operational plan"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Annual_operational_plan)) in which the different activities are listed with their respective period of implementation help you not to miss an important activity, and to plan activities that are interdependent. It is also a useful tool for monitoring and steering.

  
**Annual review of plans versus realisation**  
You may plan your business with utmost care and sincerity, but reality almost always turns out differently. It is therefore important to compare your plan with the actual results at the end of each season, and to analyse the differences. This is true for production and sales figures, but also for the overall budget. Get the real expenditure out of your book-keeping, and adapt the budget for the next season accordingly.

Check real cost prices at the end of the season and see what costs you did not budget correctly. Analyse cost drivers and identify ways to save costs. However, there are also points where it does not pay off to cut costs: quality management and quality certification services, postponing payments or premiums to farmers, payment of field staff etc. Annual reviews also help you to optimise the performance of your business. It is a good idea to involve your team in this exercise, for example by discussing jointly the strengths and weaknesses observed during the last season. Evaluate how you could possibly become more efficient. Develop strategies on how to earn more, and how to reach the optimum size for your business.

  
**Managing risks**  
Running an organic business involves certain operational, financial and market risks (Table 7). Doing business means taking risks; knowing and managing risks. Realistic planning is needed, which takes into consideration that effective volumes may turn out to be lower, costs higher and markets less responsive than one had hoped. Table 7 outlines some ways in which these risks can be mitigated to some extent. A simple rule of thumb says: The higher the risk you take, the higher margin you need to obtain.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Possible-risks.png/500px-Possible-risks.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 7: Possible risks involved in running an organic business, and measures to mitigate these risks.

**Price risk management**  
Most entrepreneurs have orders or contracts fixed before the season starts. Within the order, the price can either be fixed or kept open. You may want to be sure that you are in the business for a certain volume, but if you have fixed the price far ahead of the actual buying, both can gain or lose from movements in the market or the exchange rate. Some entrepreneurs seem to wait for the best possible price; they are in fact speculators. Very seldom do they actually get the best possible price and often they don’t stay long in the market. They may not only harm the producers they buy from, but also disturb the wider organic market for the respective product. It is a much better policy to be content with a fair reward for your effort; you won't get this by taking great risks.

Entrepreneurs have to estimate the price they will buy at, and the price they will sell at. Local and world market situations change and exchange rates fluctuate too. This can be positive or negative; it is a risk. The risk is limited if you sell ‘back to back’. This means that you only buy for a certain farm gate price when you have a contract in your pocket for a certain sales price. The order is to buy 200 tons, possibly 250, and buyer and seller are in weekly contact, discuss and agree what will be the best time to fulfil the order. You ‘lock’ the price, the next week you buy.

However, most businesses dealing with non-perishable products do not only sell during the harvesting season. You have to buy produce that you keep in stock for delivery later in the year. You can either go “short” (you have contracts to deliver for more than you possess), or go “long” (you have more in stock than you have sold). It is very dangerous to commit yourself to sell more than you have in stock; you may even lose your buyers. On the other hand, if you want to expand, and you expect more orders to come in you may decide to go long. In both cases you are playing with fire! One major strategy for limiting your risk is to limit the volume by which you are long or short.

## Management structures and capacity[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-7)]

Organic enterprises often start as a very small structure, possibly even as a one-man or one-woman show. Even when hiring staff, many entrepreneurs stick to taking all the decisions themselves. Producer cooperatives on the other side tend to involve a large number of people in decision making. This can block the development of the business. In both cases, the top management needs to be willing to delegate responsibility to ‘middle management’. Whether an entrepreneur or a cooperative governing body is able to delegate responsibilities will determine whether the business moves from small to medium size.

  
**Efficient management structures**  
Management structures need to be designed in such a way that decisions can be taken in an informed and timely way, and at the same time ensure that the people involved in the business feel that their views are taken into consideration. Farmer cooperatives tend to keep a lot of decision power with the general assembly and the board of directors they elect. Decisions sometimes need to be taken in a very short time in order to make use of an opportunity, or to avoid failing to meet a contract. The executive director and the sales manager therefore need to have sufficient mandate to decide on most operational matters. When every decision, every bank draft needs to be signed by a hoard of people, it does not reflect well on your coop. On the other side the management structure needs to ensure that the executive forces report back to the governing body in a transparent and accountable way. The governing body needs to ensure that the business is managed in line with its core principles, and that there is no fraud or corruption involved.

  
**Professional management**  
Being professional means being both honest and trustworthy. Commit only to what you can live up to, and stick to your commitments. The market is small; you will be surprised by how much information is exchanged between traders who are in competition with each. When assisting existing businesses in looking for new markets it is not uncommon to hear ‘Oh no, not that one, thanks!” or similar. It is very difficult to turn such an image around.

Your clients expect you to be professional. That means that you have to have, or move towards having, a good administration, a functioning membership or shareholder system, checks and balances in place, accounts annually audited by a reputable organisation, and goods delivered on time at the same quality as the sample

The professionalism of your business should also be reflected in the way you present yourself: your printed materials and website, your business communication, and the way you interact with clients.

  
**Developing management capacity**  
Running a business requires a set of skills and abilities that can not easily be developed on your own. An executive director of an organic business needs to have an entrepreneurial mind set and the ability to sell, but at the same time needs to be able to understand the situation of the farmers. He or she needs to be able to handle and understand budgets and business figures, but also to recruit and guide staff, and interact with the outside world.

When the business expands, new management capacities are needed. Running a small family business requires different skills and experiences from running a company involving thousands of farmers. Make sure you develop these capacities whilst growing the business, or hire the right staff with the necessary experience, and delegate tasks.

**Criteria for successful entrepreneurs or managers in organic business:**

  * Open minded, flexible, determined
  * Able to listen, willing to learn
  * Good in keeping an overview of the finances
  * Good communicators
  * Sense the market, react to changing requirements, innovative
  * Good business managers, organisers

  
**There are various ways to build and improve your management capacities and these of your staff:**

  * Attend management training
  * Get coached by an experienced person
  * Make use of business development services
  * Exchange with peers in other companies
  * Exposure to other businesses, participation in networks
  * Self-reflective "learning by doing"

**Summary of recommendations**  


  * Even if you do not write a fully-fledged business plan, you need to have fairly clear ideas on the main elements of your business strategy (organisation, scale, markets, costs and revenues, finance etc.).
  * If you get assistance in writing a business plan, make sure that you and your team understand and support what is written in it. The process of developing a business plan is usually more important than the document itself.
  * Keep the organisational structure of your business slim, simple and efficient. Define clear responsibilities for the main processes, and write them down.
  * Start small and focused enough to be able to manage the operation and the financial risk involved, but large enough to reach sizable volumes in a reasonable time span.
  * Plan your business in phases; expand and diversify after having reached a first break-even point.
  * As a certain degree of specialisation is needed in order to be successful, carefully weigh the advantages and disadvantages of diversifying your business.
  * Calculate expected costs and revenues over a period of time in order to assess whether your business can eventually break even.
  * Make sure that you do not temporarily run out of money during the course of the year. Plan your cash flow in advance, and organise finance in time, if needed.
  * Make sure that you have reliable and up to date figures at hand that provide you an overview of the core aspects of your business.
  * At the end of the season or year, check the effective results with the plans. Analyse cost drivers and evaluate how your business can become more efficient.
  * Limit your entrepreneurial risk by buying from farmers only at a certain farm-gate price if you have the respective sales contracts for most of this volume.
  * Make sure that the people in charge of managing your business have the necessary skills and experience.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Planning_and_managing_your_business&action=edit&section=T-8)]

  1. [↑](Print_version.html#cite_ref-36) <http://www.evd.nl/business/programmes/programmaint_psi.asp?land=psi>
  2. [↑](Print_version.html#cite_ref-37) See for example <http://www.bidnetwork.org/page/97620>, <http://www.responsability.com>

## Organising producers for the market[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-1)]

Traditionally, producers are organised in cooperatives or farmer groups in order to negotiate better prices, like having a union. In organic value chains, farmers are organised for extension, certification and marketing. This helps to make the supply chain more efficient, which in the end is better for all parties.

  


**Producer organisation versus company set-up**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Advantages.png/400px-Advantages.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 8: Advantages (+) and disadvantages (-) of a producer organisation versus a company set-up.

Producers can be organised in different ways in relation to the unit that is marketing their products. They can form a cooperative or a similar type of producer organisation that takes the raw material from the individual members and looks after the marketing. They can also be organised and contracted by a company or trade house which buys and sells the product. Both set-ups have their advantages and disadvantages (Table 8). A third option is that farmers participate as shareholders in a company (see chapter ["Developing an internal control system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Developing_an_internal_control_system)).

  
**Producer cooperatives** A producer cooperative is a marketing organisation that is owned by the farmers who are the members of the cooperative (Figure 15)[[1]](Print_version.html#cite_note-38). The management and staff hired by the cooperative organise production, extension, the internal control system and sales, and possibly also processing of the product. As the cooperative is the owner of the certificates, it is free to sell to whichever buyer it wants. The advantages of a producer-based set-up are that farmers are involved in decision making (via the general assembly and their representatives in the board of directors) and that the profits of the operation belong to them. Equally, in case of losses farmers risk getting paid less than what had been planned.

As it is their own organisation, farmers could be expected to adhere to the rules and to sell their produce to the cooperative only. This is not always the case. Many cooperatives lack management skills and entrepreneurial spirit. Due to the cooperative structure, decision making may be slow. In addition, there is a tendency that imbalanced focus is given to farmers' interests, especially when it comes to pricing, which can put the profitability and competitiveness of the operation at risk. Quality differentiated pricing is not always possible as farmers expect the cooperative to take all produce for the same price.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Set-up.png/400px-Set-up.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 15: Typical set-up of an organic producer organisation.

Inefficiently managed cooperatives can be quite expensive intermediaries through which farmers may earn less than when selling to private buyers. There is also a risk that farmers do not really have a say in their cooperative, because board members may not represent their interests. Not all board members always understand how the business works.

As it is their own organisation, farmers could be expected to adhere to the rules and to sell their produce to the cooperative only. This is not always the case. Many cooperatives lack management skills and entrepreneurial spirit. Due to the cooperative structure, decision making may be slow. In addition, there is a tendency that imbalanced focus is given to farmers' interests, especially when it comes to pricing, which can put the profitability and competitiveness of the operation at risk. Quality differentiated pricing is not always possible as farmers expect the cooperative to take all produce for the same price.

Inefficiently managed cooperatives can be quite expensive intermediaries through which farmers may earn less than when selling to private buyers. There is also a risk that farmers do not really have a say in their cooperative, because board members may not represent their interests. Not all board members always understand how the business works.

  
**Company relating to producers through a contract farming basis**  
In this set-up of an organic business, the company contracts farmers for the supply of raw material[[2]](Print_version.html#cite_note-39). It organises input supply, extension, ICS, first level processing and sales. As the company holds the organic certificate, the farmers can sell their produce as organic to that company only. As the company feels that they take all the risks, they also take the profit. Any commercial enterprise will have a strong risk reduction strategy. What that means for the farmers is that the company will buy the produce for as little premium as they can get away with. They may be willing to share some of the profits after the business is done to build loyalty among the farmers, but this is the exception rather than the rule. As a result, farmers often sell a significant part to other buyers (at least the low quality part). They may also try to link up with other companies that can offer a better price as they did not have to invest in the development of the farmers.

The advantages of a company set-up are that the entire operation is strongly focused on competitiveness and profitability. The owners therefore have an interest in hiring a professional director and staff, and decisions are usually taken in a quick and flexible way. Of course there are also examples of companies that are not efficient, competitive or profitable. They usually do not stay in business for very long.

  
**Which structure to choose?**  
Because of the traditional stand off between farmers and buyers, it is necessary to look for new ways of cooperating. Unfortunately, there are still too many mutual apprehensions between entrepreneurs and companies on the one side, and farmer organisations and development agencies on the other side. Many development agencies and farmer organisations have a very exclusive focus on the farmers. Rather than encouraging collaboration with entrepreneurs and companies, they feel that farmer organisations should do everything from production to exporting. That is a very challenging task.

On the other hand, companies tend to focus too much on their own profit rather than on paying farmers a good price. As their main business is to trade, they may not be very familiar with agricultural production. Organising farmers, training and guiding them in organic methods, and building internal control systems which involve farmers is alien to many entrepreneurs.

It is therefore a question as to whether one should engage both in farming and in the export business. These are two very different worlds, and require quite different sets of skills and mind sets. Doing everything at the same time - organising production, getting certified, improving quality, processing, financing, exporting etc. - may just be too much. A reasonable division of tasks could be that the producer organisation is in charge of production, extension, ICS and bulking, and then sells the raw material to a company that covers trade finance, packaging, marketing and export. Certain functions like the provision of inputs, quality management and first-level grading can also be initially covered by the company, and then transferred to the farmer organisation. A crucial question is whether the company or the producer organisation holds the certificate (see chapter ["Certification and internal control systems"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Certification_and_Internal_Control_Systems)).

  
**Whatever set-up you chose, make sure that:**  


  * the management is professional and experienced
  * financial matters are managed in a professional way
  * the overall responsibility for the ICS is clearly defined
  * skilled staff is in charge of sales and marketing

  


## Involving farmers[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-2)]

Whether you are a company or a cooperative, the farmers are your production base. You need to invest in them, you want them to sell to you, and you depend on them. Consider yourself close to being married with "your" farmers. It is important that there is a strong trust relationship between your business and the associated farmers. In this relationship, both sides have certain rights and duties.

  
**Building ownership and trust**  
A top-down approach is not likely to work with farmers; a partnership approach has better prospects. If farmers feel that it is also "their" business and that they have a stake in the success (or failure) of the operation, they are more likely to collaborate than if they are mere raw material suppliers. Think about how you can involve farmers in designing the business - for example by regularly consulting with farmer representatives or by involving them in the governing body (for producer cooperatives this is anyway a must). Think about how the management of the business can stay in touch with the farmers, and about how part of the profits can be shared.

**Building trust and loyalty with farmers requires:**  


  * timely and transparent information on prices and market developments etc.
  * honouring agreements concerning purchases, prices and payments
  * transparency; open-book calculation of profits and margins
  * tangible impacts and benefits for farmers

  
**Farmers as shareholders?**  
If you are a private company, you may consider the option of involving farmers as share holders. The company operates as a privately owned profit-oriented entity, but farmers or farmers’ organisations hold part of the shares. They can participate in decision making in the annual meeting of shareholders and through their representatives in the board of directors, thus ensuring that farmers' interests are taken into consideration. They participate in profits - and losses - of the company as per the value of their shares. The shares in the company may act as collateral when getting loans, for example for building collection stores. Profits are shared in the form of dividends.

As the farmers are co-owners of the company, they are more likely to be loyal than if compared to a pure contract farming set-up. Despite these advantages, there is also a risk that the participation of farmers in strategic decision making may interfere with the business interests of the company. It is not always easy to find the right balance between paying farmers a high price and being competitive in the market. There are relatively few examples of this type of set-up, in organic[[3]](Print_version.html#cite_note-40) as well as in conventional business.

  
**Collaborating with farmers**  
There are different types of farmers, and you should be careful to associate with the ones who fit with your business. Working with larger and wealthier farmers may make it easier for you to start, as they are more likely to try out new things, and organising them is easier than with smaller and poorer farmers. However, the "early adopters" are usually also the first ones to break off and go their own way. By working with the poorest of the farming community you can make a real impact on their livelihoods, but it can also mean that you are working with the weakest farmers in terms of productivity, which may affect the profitability of your business[[4]](Print_version.html#cite_note-41).

One approach is to work on a community base - a village or existing farmer group - and leave it to the group to decide about whom they include. Clusters of 10-20 farms/families who trust each other seem to work well. However, this can lead to social exclusion of certain marginalised communities. Discuss this issue with the concerned farmers, and find ways together in which the different sections of the farming community can participate. In many cases, traditional leaders (elders) or lead farmers are suitable entry points to win the hearts and minds of entire groups of farmers. On the other hand there is a risk that the leaders become too domineering, or start to pursue their own interests through the organic business.

As some of the farmers who join the initiative may leave after some time, it is advisable to start with a somewhat larger producer base than what is required for the planned production. On the other side, farmer groups usually want to keep all their members in, even the less well performing ones. In order to achieve good product quality and to keep the operation efficient, however, you may need to be able to exclude non-performing farmers. Set clear and transparent conditions at the beginning of the cooperation period, and explain them to the farmers.

Another issue is the spatial distribution of the farmers. If they are spread over too large an area, or located too far away from the processing factory or transport infrastructure, high transaction costs may jeopardise the profitability of your business. Having clusters of farmers in the same location is particularly important for organising extension and internal control in an efficient way. Although connections are getting better (e.g. via cell phone), if the producers are several hours away from the office, you need competent field supervisors who are able to make decisions on their own.

  
**Predators or just … competitors**  
There is always a risk that once you have organised and trained the farmers, competitors will come in and take over. You may have invested in a group, provided them with equipment and training, and still the group may break away. It is not very efficient to contract all the farmers in a region, thinking that it will prevent them selling to your competitor. A contract does not say very much if you don’t actually buy all their products for a sufficiently high price. In the end, the only way to avoid farmers switching to a competitor is by being a better buyer, and by building loyalty with the farmers, e.g. by making them shareholders of the company. Diversification into more crops might also help, as farmers see the advantage of being able to sell a larger part of their production through you.

## Building up an extension system[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-3)]

An organic business needs to have some sort of extension system in place, and it needs to be performing sufficiently well to achieve the desired results. Running an extension system costs money (for salaries, transport, equipment etc.), but also brings benefits. This sub-chapter provides some practical advice on how to develop and manage an effective and efficient extension system.

  


**Roles and functions of the extension system**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/66/Set-up-roles.png/400px-Set-up-roles.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 16: Set-up and roles within the extension and internal control system of an organic business. In practice the roles may be divided during part of the year only.

The extension system ensures that farmers are able to produce in a way that is complying with the organic standards, and at the same time achieve good yields and products of high quality. The extension staff provides the link between the company or cooperative and the individual farmer.

The extension system in an organic farming initiative is usually closely linked to, but not identical with the internal control system (see Figure 16): while the extension staff trains and advises the farmer to produce in the best possible (organic) way, the internal inspector has the responsibility to control whether the farmer sticks to the organic standards (see chapter ["Developing an internal control system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Developing_an_internal_control_system)). If staff fulfil both functions, it is advisable that they do the internal inspection of farmer groups in a different location from their work as extension officers.

Many organic projects involve farmers in the extension and internal control system. These are group leaders or farmers who are particularly well versed with organic farming practices, and who are ready to support their fellow farmers by providing advice or assistance in filling in the forms. The service can either be delivered on a voluntary basis or for a small payment. These lead farmers are trained and supervised by the extension staff of the project.

  
**Extension approaches that work**  
It is obvious that top-down, class-room type lecturing is not a very suitable approach to building practical know-how among farmers. Nor do farmers read much in the way of manuals or technical leaflets. Training farmers therefore needs to be very practical, involving illustrations, demonstration of the proposed methods, and experimentation. Simple but appropriate extension material, prepared in a language and style understood by the farmers can support this process. Illustrated posters or calendars, for example, are more suitable than plain text.

The content of training and technical advice should match the needs and interests of the farmers, male and female. It is not of much use to repeat trainings on compost production and the preparation of botanical pesticides if the main challenges for the farmers are related to crop diseases, weed management or irrigation. Try to find out why farmers are not applying the proposed methods, identify the underlying obstacles, and encourage them to develop solutions that can work.

**Key elements of successful extension**  


  * apply practical, interactive training methods
  * use illustrations rather than text
  * focus on what problems farmers are actually facing, not on what you want to teach
  * facilitate farmer-to-farmer exchange
  * "seeing is believing" - organize visits to pilot farms or model farms
  * stimulate experimenting with innovative ideas
  * get inspiration from suitable guide books and from exchange with other initiatives

Extension is not limited to training farmers and providing technical advice. Extension also means mobilising resources that are lying with the farmers: their traditional knowledge, their ability to experiment and observe, and their interest to share their know-how and experience with fellow farmers. Farms of successful members that use innovative and good organic agricultural practices may serve as an example for other farmers (pilot farms). Farmers are more liable to try out techniques that they see are working at fellow member’s farms, than techniques propagated by the extension officer. Methods like farmer field schools[[5]](Print_version.html#cite_note-42) and participatory technology development[[6]](Print_version.html#cite_note-43) can easily be adopted for organic extension. It is not the scientist, not the field officer, but the farmer who is the best researcher.

  
**Financing extension**  
Extension services involve costs, which either are paid by the farmers themselves, by public funds or by the organic business[[7]](Print_version.html#cite_note-44) It is obviously rather difficult to convince farmers to pay for extension services, even if they will benefit from an organic premium. Most organic businesses therefore will need to cover these costs from their sales margin. In both cases, you want to make sure that the services are cost efficient and useful.

Systems that work with result-based payments pay a part of their staff's salary depending on the achieved output.[[8]](Print_version.html#cite_note-45) This can be linked to an annual assessment of the training and advisory services by the farmers. Being assessed by those who are supposed to benefit from the service can make the extension system more accountable.

  
**Outsourcing extension services?**  
Some organic production initiatives involve official agricultural advisory services which are funded by the government. This can be an efficient and cheap way of organising extension - why should it only be the conventional farmers that benefit from these services? This only works providing that the quality of the extension and the conveyed contents are appropriate. In many cases, the official agricultural extension services are strongly linked to conventional farming practices and inputs.

It is quite a change to switch from promoting 'modern' agrochemicals to nurturing farmer experimentation and using locally available 'dirty' materials like manure. Some agricultural extension officers clearly have difficulty telling another story. In some countries, organic businesses have given up employing former agricultural extension workers and prefer to employ young, untarnished college graduates as field agents instead. Keep in mind that, if you outsource extension and internal control, you have fewer opportunities to take corrective measures than if they are under your direct control.  
  
  
  


## Staff development[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-4)]

The most critical factor in any plan is that the right people are in place: the people who will make it happen. You need people who are competent and committed, and who can take and handle responsibilities. This is particularly true for your field staff. An organic business comes with a whole set of extra tasks. It is therefore important to get the right field staff, prepare them well for their tasks, and motivate them to stay with your business.

  
**Recruiting field staff**  
Your field staff needs to be able to closely interact with the farmers, to understand their problems and assist them in finding solutions. This requires practical people, ideally with an agricultural background. On the other hand your field staff needs to be good at working with figures and forms, understand manuals and writing reports. The ideal extension staff member is also a good facilitator who stimulates farmers to try out new things and who creates opportunities for farmer-to-farmer exchange.

When recruiting field staff try to get candidates who speak the language of the concerned farming communities. Take care not to exclude certain ethnic minorities because your field staff does not speak their language, or does not like to interact with them for social reasons. In order to encourage participation of women in the organic business, strive to have a gender balanced extension team.

The more challenging the project, the larger the distance to cover and the worse the roads are, the better your field staff needs to be; but also the fewer the people to choose from, as most capable people probably take up jobs that are less strenuous and better paid. Don’t think that your field staff is cheaper in remote areas - on the contrary: their training and the incentives need to be better.

  
**Training of field staff**  
It is very rare that you are able to hire field personnel who are already experienced in organic farming. In most cases, you will need to train them. The training should not be limited to your focus crop, but cover the entire farm which needs to be managed in an organic way. There are a couple of training manuals that you can adapt and use for this purpose[[9]](Print_version.html#cite_note-46). In addition to technical agronomic know-how, field staff also needs to be trained on extension methods[[10]](Print_version.html#cite_note-47).

**HIV/Aids**  
Don’t think that this has nothing to do with your business. Your staff and your farmers could get infected with this disease. No need to say that your staff or your farmers suffering from this disease will seriously hamper the development of the business. It therefore makes perfect business sense to deal with this issue, to make your staff aware of HIV/Aids and to sensitize the farmers before it becomes a real problem for your business. In many countries there are funds and institutions that can help you with training material for awareness creation, and with formulating a workplace policy (see <http://www.ilo.org/aids>).

Start with a thorough and systematic training of all new staff, and also ensure that they continuously update their know-how. If you provide experienced staff the opportunity to become experts in a specific field, they are more likely to stay with you. At a certain size, the organisation should have sufficient capacity of its own to train new staff. Do not remain dependent on development agencies or service providers for training.

  
**Motivating your field staff to stay**  
Besides the producers, your field staff will become one of the most valuable assets of your business. They know the farmers and their problems; they know how the business functions and what needs to be done to make it a success. It therefore can be a disaster for an organic business if field staff members leave. A particularly bad situation is when your staff members leave you in order to start a competing business for themselves.

However, it is also quite natural that people will look for new opportunities. Therefore, it pays off to think early on about how you can provide experienced staff with the opportunities to take up additional responsibilities within the organisation. Exposure visits to other organic businesses or attendance at external training programmes are important incentives for staff to stay.

**Ways to motivate your staff to stay**

  * Pay competitive salaries that match the tasks
  * Provide opportunities for training and exposure
  * Involve your staff in decision making
  * Provide opportunities to grow and develop within the business
  * Let your staff participate in the success of the business (via shares, or a bonus system)

  


## Handling pricing, premiums and payments for farmers[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-5)]

Whether you are a company or a cooperative, the relationship between you and the farmers associated with your business first of all is a commercial one. It is based on a transfer of goods against payments. The way prices are set and payments are handled will be crucial for the success of this relationship.

  
**Defining the price for the producer**  
The price that the company or cooperative pays to the individual farmer for the organic raw product should be high enough to cover the production costs the farmer encounters (variable and fixed costs), and to enable the farmer to make a reasonable profit that ensures a decent living. This is the basic idea of the Fair Trade concept, but should also be applied in organics. The price paid to the farmer is one of the main factors in the cost price calculation of the final product (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). If the price is too high, the final product may not be competitive in the market.

At the time of harvest, you may not yet know the price you will receive from your buyers for the final product. This makes it difficult to define the price that you pay to the farmers. Even if you have a clear idea of your cost price, and have signed contracts with buyers who are ready to pay at least this price, you may not be able to sell the entire production at this price. In addition, costs may turn out higher than expected, and exchange rates may change to your disadvantage. Committing a certain price to the farmers is part of your entrepreneurial risk. You therefore need to be careful with offering farmers a high price at the beginning of the season that can ruin you when frame conditions change - especially if your sales are not yet fully covered by sales contracts.

On the other hand, if the price you offer to farmers is too low, they may leave the programme and sell to someone else. Sometimes, local market prices may temporarily rise to a level beyond the price you offer, so that farmers prefer to sell in the open market. It is therefore important to define a price that is attractive to farmers and that allows some flexibility to increase it in case the market prices rise. Alternatively, be prepared to lose some volume by not following the (temporarily higher) local price.

It is most important that prices are set in a clear and transparent way, and that you communicate this well to the farmers you work with. Nowadays farmers understand that prices fluctuate. Try to find out who else is buying locally, and how to best address local price fluctuations. Explain the buying mechanism to the farmers, including the quality differential (see chapter ["Getting quality produce from the farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Getting_quality_produce_from_the_farmers)).

  
**Side-selling**  
You can not - and should not try to - force farmers to sell their products to your business or cooperative; but there are ways to motivate them to sell to you instead of selling to other buyers (see box). You can, for example, try to tie farmers to your business by offering good services (pre-financing, immediate payment on delivery, attractive premiums etc.), but farmers may still sell to the buyer who offers the highest price at the time of harvest. It can be difficult to convince the farmers that a long term engagement with a buyer who regularly pays adequate prices including in years of low price-levels, is better than a buyer who pays a high price once but disastrously low ones in the following years. But it is worth trying! If the "capture rate" is low, you have invested in extension and ICS without the likelihood of recovering these costs from your sales margin.

**How to motivate farmers to sell to you?**

  * Offer them contracts with attractive conditions
  * Commit to paying a price that is higher than the local market price
  * If local prices go up, increase your price offer and communicate this to the farmers in time
  * Pay cash against delivery
  * Support linkages with micro-credit schemes and encourage saving, so that farmers do not need to sell produce for urgent cash needs
  * Make provisions to buy small volumes at village level even before the main purchase activities start

  


**Pricing based on the FLO system**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/Pricing.png/400px-Pricing.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 17: Pricing according to the FLO system.

If the produce is certified "Fair Trade" in line with the FLO system, the FLO minimum price and Fair Trade premium need to be taken into consideration. These are defined for specific products and regions[[11]](Print_version.html#cite_note-48). If market prices are higher than the Fair Trade price, the market price shall be paid (Figure 17). In addition to this price, the producer group receives a Fair Trade premium that shall be used to improve their social, economic and environmental conditions.

Be careful that you are sufficiently covered by Fair Trade sales contracts, so that you can pay the farmers both the Fair Trade minimum price and the organic premium. In the beginning it is difficult to explain to farmers that for any produce for which you do not get a Fair Trade buyer, you can only pay an organic price. It may also not be accepted in Fair Trade certification for all products and situations.

It is often overlooked but important to note that the FLO minimum price usually defines what the producer organisation needs to get ("ex works producer organisation" or "farm gate producer organisation"), and not the price for the individual farmer. This means that the FLO minimum price includes the costs of all activities necessary to produce the certified organic & Fair Trade product. This includes costs of extension, ICS, certification, bulking and - if done by the producer organisation - cleaning, grading and packaging. The producer organisation can deduct these costs from the Fair Trade minimum price and pay the remainder to the farmer.

  
**Defining and handling premiums for farmers**  
The premium is what you pay to farmers in addition to the normal market price. There are three types of premiums relevant in this context: the organic premium, the Fair Trade premium and the premium for high product quality.

The premium you pay to the farmer is often similar to the premium you fetch in the market. If you expect an organic premium of 15% on the exports, it is usually safe to pay the farmers 15% on the farm gate price. That is, when you have a sufficiently large operation. If you deal with in-conversion products, it is a good idea to pay farmers a certain (but lower, e.g. 5-10%) premium during the first two years of conversion. This provides farmers with an incentive to engage in and stick to organic production. If you manage to achieve a better product quality through your extension and internal control system, you in turn should be able to get this premium even when selling the in-conversion produce in the conventional market.

If you follow the FLO Fairtrade system, your clients need to pay the Fairtrade premium. The full Fairtrade premium needs to be used for community projects decided by a body representing the producers. If the Fair Trade premium is managed at the level of individual primary cooperatives, the central producer cooperative needs to distribute the Fairtrade premium to the primary cooperatives according to the product volume they produced.

It is a good idea to pay farmers a premium for better product quality. This will motivate them to engage in quality management and deliver products of high quality, which in turn allows you to obtain a better price in the market (see chapter ["Getting quality produce from the farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Getting_quality_produce_from_the_farmers)).

  
**Handling payments to farmers**  
The exact price you can get in the market, and the volume you can sell as Fair Trade, are not usually known at the time of buying the produce. Therefore it may be a good idea to pay farmers in two instalments:

  * 1st payment: the minimum price you offer farmers for their organic produce (needs to be at least as high as local market prices);
  * 2nd payment: premiums for organic, Fair Trade and quality, depending on actual sales.

Most organic businesses open up buying stations in the villages. You can also delegate the bulking of the crop to a village level farmers organisation. In some set-ups, farmers are required to deliver their production in groups to a larger buying store or warehouse.

Whatever the construction, it is important that the buying staff is properly instructed, that the weighing scales have been calibrated in the presence of some farmers, and that the approved farmers have received an ID card and a buying record. In most organic businesses, farmers are paid cash in hand upon delivery, which involves certain risks. Make sure that payments are done in a transparent and traceable way, and investigate any allegation of cheating by your buying staff. Where possible, payments into the farmers' bank accounts are even better, as it reduces the risk of carrying money. Obviously, these bank transfers also need to be done promptly.

  


**Summary of recommendations**

  * Producer cooperatives should be careful with handling business activities that go beyond their management capacity. Companies should ensure that farmer interests are taken care of and that they can participate in decision making.
  * In order to build trust and loyalty with your producer base, communicate transparently, honour agreements and ensure that farmers benefit.
  * When selecting farmers for participating in your business, ensure that the different groups of the farming community can participate, and that they are geographically not too dispersed.
  * Define clear roles within the extension and internal control system and make sure that the services are delivered according to the needs of the farmers.
  * Make sure that the right people are in the right positions. Provide suitable incentives so that qualified staff members are motivated to stay with your business.
  * Set farm-gate prices in a way that they are high enough to motivate farmers to sell to you, without jeopardising the profitability of your business.
  * If you are not sure whether you can sell all your produce with the expected organic and possibly Fair Trade premium, agree with farmers that part of the premium is paid at a (defined) later point of time.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Organising_producers_for_the_market&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-38) Examples of organic producer cooperatives are Greennet in Thailand (<http://www.greennet.or.th>), El Ceibo in Bolivia (<http://www.elceibo.org>) and La Florida in Peru (<http://www.lafloridaperu.com>).
  2. [↑](Print_version.html#cite_ref-39) Examples of companies contracting organic producers are bioRe India (<http://www.bioreindia.com>), Aratex Organica in Paraguay (<http://www.aratex.com.py>), Yiriwa in Mali (<http://www.yiriwa.com>) and Ibero (Uganda) Ltd. (<http://www.ibero.co.ug>).
  3. [↑](Print_version.html#cite_ref-40) Examples of organic farmer co-owned businesses are Zameen (<http://www.zameen.org>) and AgroFair (<http://www.agrofair.nl>).
  4. [↑](Print_version.html#cite_ref-41) See Koning, Maurits de et al., 2009. Farmers as Shareholders - A close look at recent experience. [http://www.kitpublishers.nl/smartsite.shtml?&id=33740&ItemID=2764&ch=FAB](http://www.kitpublishers.nl/smartsite.shtml?&id=33740&ItemID=2764&ch=FAB)
  5. [↑](Print_version.html#cite_ref-42) <http://www.farmerfieldschool.info>
  6. [↑](Print_version.html#cite_ref-43) CIP-UPWARD/IDRC, 2005. Participatory Research and Development for Sustainable Agriculture and Natural Resources Management: A Sourcebook. <http://www.idrc.ca>
  7. [↑](Print_version.html#cite_ref-44) Agridea, 2002. Innovative Approaches to Financing Extension for Agriculture and Natural Resource Management. Conceptual considerations and analysis of experience. <http://www.agridea-international.ch>.
  8. [↑](Print_version.html#cite_ref-45) Helvetas, 2005. You Pay for What you Get. From budget financing to result based payments. <http://www.helvetas.org>
  9. [↑](Print_version.html#cite_ref-46) See IFOAM training platform, <http://www.ifoam.org/training>
  10. [↑](Print_version.html#cite_ref-47) See <http://www.agridea-international.ch>
  11. [↑](Print_version.html#cite_ref-48) See <http://www.fairtrade.net>

## Certification and Internal Control Systems[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Certification_and_internal_control_systems&action=edit&section=T-1)]

For organic businesses, achieving and maintaining certification is one of the most difficult aspects to master. It requires a level of organisation, communication and transparency that not everybody can provide. In this chapter you will find practical guidance on how to achieve and maintain certification based on an internal control system (ICS).

  
**Certification options**  
In most of the larger markets for organic products - Europe, North America, Japan, Brazil, South Africa, China, India - labelling agricultural products as "organic" requires certification from an approved certification body (CB). Certification needs to be renewed on an annual basis and needs to also cover all processing and trading steps involved up to the sale of the product. Organic certification ensures that the product is truly produced in compliance with organic standards. It builds trust between the buyer and the producer, and also protects the genuine producer from unfair competition. The organic integrity of your products is a pre-condition for gaining access to organic markets.

Some buyers offer to pay for the certificate, on the condition that they have the ownership of the certificate. Although this may be tempting as it saves costs, it also leads to a strong dependency on this specific buyer. In most cases organic businesses are better off if they own the certificate themselves, and are flexible in whom they sell to.

  
**What certification do you need?**  
Think early on about what your target markets are. If you want to sell to the European Union, you will require certification according to the EU organic regulation; if you want to sell to the United States, you need to be NOP-certified, and for Japan JAS-certification is necessary[[1]](Print_version.html#cite_note-49). For local organic markets, the standards and regulations of the respective country apply - if available. Although the most important official regulations have similar requirements, there are also some aspects which are specific. The NOP regulation, for instance, requires that producers have a production plan, and allows retrospective recognition of conversion.

In addition to the public organic regulations which are mandatory, in some markets voluntary private standards and labels play an important role. Private labels like Soil Association in the UK, Naturland in Germany or the BIO SUISSE bud-label ("Knospe"), for example, may be more popular than the respective official regulations and logos. Supermarkets and brands sometimes have their own company label and standards, which go beyond organic regulations. If you want to be able to cater to different markets and labels, make sure that you meet all the different requirements[[2]](Print_version.html#cite_note-50).

Some buyers may have additional requirements concerning production, social and food safety standards, or they want a combination of organic and other certifications, such as Fair Trade, Rainforest Alliance or Global-GAP (see chapter ["Different sorts of standards and certification"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organic_production_and_Fair_Trade#Different_sorts_of_standards_and_certification) and Annex ["Sustainability and industry standards that can be combined with organics"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Sustainability_and_industry_standards_that_can_be_combined_with_organics)). Organic and other certifications may be a pre-condition to marketing your products, but they are no guarantee for finding a buyer. As certification involves certain costs, make sure you only go for additional certifications when you have buyers.

  
**How to choose the right certification body?**  
In most situations you can choose between certification bodies. Due to global competition, prices are very competitive, which you can use to bargain for a lower quote. However, cheap certification usually comes with a mediocre service. It is much better for your business if you insist on high quality inspection and certification, even if this is more expensive. Your certifier can help you establish real organic farming, good quality management, traceability and product integrity. Going for the cheapest offer may turn out to be more expensive in the end. There is a risk that farmers won't take the standards very seriously. It may also happen that a certifier who quoted a cheap price for a minimum product may later demand additional inspections or tests for which you need to pay. Make sure that everything is included in the offer - costs for travel, hotel, accommodation, residue analyses, second inspections, transaction certificates etc. Provide clear terms of reference when inviting offers from different certification bodies. Criteria for selection between different offers include:

**13 steps to certification**  


  * Create awareness among producers
  * Decide together to go for O or OFT production
  * Producers commit themselves to follow O or OFT rules
  * Training on production rules
  * Training on producer organisation (in case of OFT)
  * Training on documentation requirements
  * Formalization of ICS, registration
  * Contracting of producers
  * Application for external inspection
  * Internal annual inspection, compilation of findings, corrective action when needed
  * First external inspection
  * Complying with the corrective action requests
  * Second external inspection; certification

  
**Criteria for selection between different offers include:**  


  * recognition of the certification body in the target markets (ask potential buyers)
  * range of certifications offered (EU organic, NOP, JAS, GlobalGAP etc.)
  * local office; working with experienced local inspectors who speak the language
  * service orientation; time required for processing files (track record)
  * costs for travel, inspection, certification, transaction certificates

  
If your attitude is to go for quality instead of the cheapest possible certification, you will attract a better class of buyers who are willing to pay better prices. These are the buyers who want to build partnerships with reliable suppliers; they are not interested in shopping around every year for the cheapest raw material around. Therefore, think carefully how you want to position yourself in the market. Ask other organic businesses in your countries as well as potential buyers about their experience with different certifiers.

If available, chose a local certification body that is approved for certifying according to the standards you require[[3]](Print_version.html#cite_note-51). The European Union maintains a list of recognized CBs[[4]](Print_version.html#cite_note-52). Some countries like Costa Rica and India are recognized by the EU as having standards, certification and accreditation in place that are equivalent to those of the European Union. In these cases, the organic certificates of your local certification body can be used for imports into the EU. There are also international certification bodies that recognise certificates of a local certifier.

If no internationally accredited local certification exists - which is still the case for most developing countries - chose an international certification body that is working with local inspectors. This reduces travel costs, and makes it more likely that the inspector knows the local context and speaks the language of the farmers.

Certification contracts can be renewed - or cancelled - on an annual basis. Changing the certification body frequently does not reflect well on you. It may raise concerns about your credibility in the same way that changing your auditing company often would. It does not pay to change the certifier after they have detected non-compliances. Be aware that certification bodies are obliged to exchange information about you when you switch certifier.

  
**Managing certification costs**  
Costs for certification consist of costs for travel and accommodation of the inspector, fees for the inspection (depending on the number of days required), a certification fee (depending on the different standards you want to be certified against, e.g. EU and NOP), as well as the eventual costs of transaction certificates.

Organic standards require that each farm must be inspected at least once per year. However, physical inspection of each smallholder farm by an external agency – whether by a local or an international certifier – would involve considerable costs. To reduce these costs and thus to facilitate certification of smallholders, most certification schemes have provisions for group certification based on an internal control system (ICS, see chapter ["Developing and internal control system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Certification_and_internal_control_systems#Developing_an_internal_control_system)).

Although high certification costs are frequently cited as a major obstacle for smallholders to convert to organic farming, they are usually much lower than the costs for the extension and internal control system (salaries, transport, equipment etc.). Both costs can be reduced by setting up efficient systems. The more efficiently the extension system works, and the better the ICS performs, the less staff members are needed and the faster an external certifier can do the inspections. Another way to reduce per-unit certification costs is to include several crops under the same ICS and certificate, so that the additional organic premium can contribute to cover these costs (see box).

**Big trees to support organic cotton**  
In Burkina Faso a cotton project included shea trees and sesame in their organic certification. As these crops are growing on the already certified and monitored area of the operator no conversion period and little additional costs were required. All the required production data could be collected during regular internal inspection visits. The data collected was submitted to the certification agency before external inspection. During the inspection these data were verified and then the crops were included in the certificate. The additional cost of including the crops in the certificate was about 1,000 Euro while the additional turnover now including shea nuts sold as organic, increased by more than 70,000 Euro.

There is no doubt that certification is costly even with an ICS, and even if several crops are covered under the same certificate. On the other hand, it opens up access to interesting markets. To be viable, the additional value generated through certification needs to be bigger than the costs of certification. This requires a certain scale of production: getting 1000 farmers certified under an ICS does not cost much more than getting 100 farmers certified. You will require more staff for extension and ICS if there are more farmers to be covered, but you can gain in efficiency. After 3-4 years, certification costs should not account for more than 2-3% of the export price, while the cost of field staff for extension and ICS may cost 4-6% in an efficient project.

Costs of Fair Trade certification by FLO-Cert depend on the type of organisation, its size (number of members) and the number and volume of certified products. FLO International has created a fund from which small farmers' organisations can receive a subsidy of up to 75% for their initial Fair Trade certification.

## Developing an internal control system[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Certification_and_internal_control_systems&action=edit&section=T-2)]

In an ICS, a central body (e.g. the cooperative or the processor) ensures and verifies that all individual farmers comply with the respective standards. Each farmer needs to sign a contract with the organisation in which they declare their commitment to following the specific internal regulations of the project (see examples in Annex ["Farmer agreement example"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Farmer_agreement_-_example) and ["Internal regulations"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Internal_regulations_.E2.80.93_example)). The ICS operator maintains files of all producers and inspects each member at least once a year. Risks which might jeopardise the organic integrity of the product need to de identified at all levels of production, transport, storing, and processing. The internal control procedures need to focus on these specific risks.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/International-control.png/400px-International-control.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 18: The structure of an internal control system and its relation to the external certifier (adopted from IFOAM).

Internal inspectors need to inspect the farms at least once a year. Additional inspections - announced or un-announced - can be conducted. An internal approval committee or an approval officer deals with non-compliances according to set procedures and sanctions, and decides whether a specific farm can be approved for certification.

In this setting, the external certifier inspects the functioning of the ICS based on its documentation and physical re-inspection of a certain percentage of the farms. The re-inspection rate depends on the size of the group and on the performance of the ICS. Overall, the ICS and the external certification need to cover all trade and processing steps implemented by the project (Figure 18).

For a detailed description of group certification and guidelines to develop an ICS, refer to the IFOAM tool ‘Smallholder Group Certification’[[5]](Print_version.html#cite_note-53). IFOAM also provides a training curriculum with transparencies to train project staff on ICS. Therefore, the following chapters explain the aspects that need further attention from a business perspective.

**Key questions in building up an internal control system**

  * What structure will the ICS of the project have? How will it be managed?
  * Who will develop the documents for the ICS? How?
  * How will the project involve the farmers in the ICS?
  * Who will decide internally about approval of farms and about sanctions?
  * How will inspections be organised (by whom, how often, separation from advice)?
  * How will you ensure that internal inspections are effective and reliable?
  * What measures will you implement to ensure traceability?

  


**Structures and roles in the ICS**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/People-in-ICS.png/400px-People-in-ICS.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 19: People involved in an ICS, their roles, and the key tools they use.

The ICS is closely interlinked with the extension system (see chapter ["Building up an extension system"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Organising_producers_for_the_market#Building_up_an_extension_system)). It is important that you set up a lean and efficient extension and internal control system in which all staff have clearly defined roles (Figure 19). An example on how the roles and responsibilities of each actor can be defined in detail is given in Annex ["Organisational set-up and processes"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Organisational_set-up_and_processes).

**ICS processes and forms**  
The main processes that are relevant for the ICS are the registration and training of the farmers, the documentation of farm and field data, the internal inspection of the farm including estimation of the expected harvest, and the maintenance of traceability during bulking of the produce. The person responsible for the ICS needs to supervise the work of the internal inspectors and check traceability in processing, storage and sales. Table 9 lists these processes, defines the responsible persons and indicates the required forms.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/61/ICS-process.png/400px-ICS-process.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 9: Processes of an ICS, responsible people and documents needed.

The procedures and forms are documented in an ICS manual or within the overall operating or quality management manual[[6]](Print_version.html#cite_note-54). This helps you to develop a clear idea on roles and responsibilities of the involved staff, and to have all relevant documents in one place. It also allows new staff and the certifying body to understand how your system functions. There are various sample ICS documents available[[7]](Print_version.html#cite_note-55). It is recommended though that you engage an experienced local consultant in the design of your ICS. In most countries fellow organic business people can give you a recommendation. The consultant may also train your staff in implementing the ICS.

  
**Dealing with non-compliance**  
Thorough selection and training of the farmers and a well functioning internal control system are crucial to ensure farmers’ compliance with organic standards. However, even with the most sophisticated inspection system it is impossible to have 100% control. At least of equal importance is the trust relationship between the farmers and the project. Farmers should understand that if just one of them violates the standards, the certification of the entire project could be at stake. If farmers have a strong feeling of responsibility, mutual social control among the farmers can become an effective way key for guaranteeing the organic integrity of the project.

Still, in every project there will be some farmers who - purposely or by mistake – violate the organic standards. If these violations are not detected and sanctioned by the internal control system, but only come out during the external inspection or when checking for residues on the final product, the project risks losing its organic certification. To reduce this risk, projects might consider creating incentives for farmers themselves to admit to the application of prohibited inputs, for example by giving them the chance to re-join the project after passing through the conversion period again.

If a farmer is found to have violated the standards, the project needs to apply clearly defined sanctions (see the example of a sanction catalogue in Annex ["List of non-conformities and sanctions](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#List_of_non-conformities_and_sanctions_.E2.80.93_example)). This may start with refusal of their produce for one year right up to removal of that farmer from the organic group. There is normally an Approval Committee that decides on these issues. It is important to inform and discuss the results with farmer representatives to avoid the same thing happening again.

  
**Ensuring traceability**  
One of the most critical risks jeopardising the organic product integrity is that produce from farms that are not covered by the ICS enter the organic product flow. When organic products fetch a price which is considerably higher than the conventional market price, some farmers and produce buyers may be especially tempted to deliver product from conventional producers. In order to ensure that this does not happen, it is compulsory to make a harvest estimate of each individual farm[[8]](Print_version.html#cite_note-56). For this it is important to verify the field size indicated by the farmer (with measuring tape, GPS or Google Earth). When farmers deliver their production to the company or cooperative, the quantity delivered is checked with the estimated harvest volume (Table 10).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/84/Approved-farmers.png/400px-Approved-farmers.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 10: Approved farmers list with delivered produce vs. harvest estimates.

It is equally important to keep track of the volumes of organic products during transporting, processing, storing and selling. Establish a system of weighing and written records and receipts at each level, and cross-check the totals.

  
**Training field staff on the ICS**  
Once you developed the basic elements of the ICS, your field staff needs to be trained on how to implement the system. The ICS manual (or the respective chapters in the operating or quality management manual) provides the basis for this training. You need to pay particular attention to providing a thorough on-the-job training to the internal inspectors. They not only need to be able to fill in the forms in a way that reflects the reality in the field, but also to focus on the critical control points and to ask the right questions during the inspections. Besides the initial training, all staff require an annual refresher. In most countries the national organic movement can connect you with experienced consultants who can help you in this.

Too often, ICS activities start late in the year, and inspections and farm visits are done in a hurry. Too many farms are then inspected in one day, or forms are even filled in without visiting the farms and fields. Allowing this to happen is short sighted, as it jeopardises your certification, and is also not really of assistance to the farmers. On the other hand, there also is a danger that the staff are too slow, wanting to do a ‘too good’ job. This means that it will take them too much time, which causes high costs. On the other hand they may create a write up that is how it should be, rather than how it is on the ground, in order to please the management and the certifier. Good training and supervision of the field staff needs to address these aspects in an appropriate way. You need to have a really good field supervisor.

## Traceability and data management[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Certification_and_internal_control_systems&action=edit&section=T-3)]

Managing a business that involves several hundreds or thousands of individual farmers who need to be monitored also means handling a large amount of data. For each farm, you need to collect and update various types of data: information about the farms (details of the farmer, landholdings etc.), their production (field size under each crop you are dealing with, estimated and real harvests), the inputs you provided, the inspections, the payments etc. In addition to the field level data, you need to handle data at central level, like staff data, client data, and data concerning stocks, processing and sales (Figure 20).

Having these data available is not only a necessity for certification - it is also crucial for managing your business. You need to be able to plan the extension and ICS operations, the purchase of inputs and the transport and processing of the produce. Based on these data you will manage your cash flow, and you will know how much production you can offer and when it is available in the market. It may start with a bundle of hand-written tables, some excel sheets or perhaps a real database system.

  


**A database has the following functions:**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/Functions-database.png/400px-Functions-database.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 20: Functions of a central database in an organic business; arrows indicating flow of information.

  * Keeping an updated list of approved farmers to hand at any time
  * Collecting and centralising field data (e.g. production details of each farm)
  * Calculating totals and averages (e.g. total expected harvest or average yield)
  * Keeping track of extension and ICS activities (e.g. participation in trainings, completed/pending inspections etc.)
  * Feeding processed information back to the field (e.g. lists of approved farmers)
  * Handling personal data (addresses of producers, staff, clients etc.)

  
**Developing a database for your business**  


Before you start developing a database, think carefully about which data you really need to manage at central level. It is easy to prepare a database with all kinds of fields for data entry, but collecting and updating this data is time consuming and costly. Therefore, you should restrict the data to the absolute minimum. You may, for example, be tempted to collect the numbers of farm animals of all farmers in your database, in order to get an idea of how much manure is available. Keeping these data up to date, however, is a Herculean task. You might be better off with collecting this information in a survey on just a representative sample of farms. The simplest form of a computer-supported database is an excel sheet in which all essential data of each farmer are entered into a table (see Table 11).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/16/Database-excel.png/400px-Database-excel.png)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Table 11: Extract of a producer database.

The disadvantage of Excel is that the data records are difficult to handle when the business grows and farmers produce several crops.

  
**A database system like Access allows storage of data in a way that you can easily:**

  * enter data via simple forms
  * interlink different levels of data
  * access extracts of data for specific years, crops, regions etc.
  * create summary reports
  * export specific data in a simple format (e.g. as form or excel file)

As this is a specialist area, consult with other organic projects on which system they use and whose services they use to set up and maintain the system, including training your staff to use it properly.

  
**Managing data**  
The most sophisticated database is of no use if the data contained are incomplete, incorrect or not up to date. Managing the database therefore involves checks and cross checks. The person responsible for data management should periodically check whether the data of the current year are entered completely. Furthermore, s/he should check whether the entered data are realistic, e.g. by simple sorting and cross-calculations. Ideally, this also involves spot-checks on randomly selected farms.

Collecting data is equally of not much use if the results are not available at the right time at the level where they are needed. The decisions of the approval committee and the harvest estimates, for example, need to be available in the villages when the product is collected from the farmers - otherwise they are of no use. It is therefore important that you think about how to transfer data from the field to the centre, and back.

Make sure that the right persons have access to the database. As the database may contain some sensitive producer data, take appropriate measures to ensure confidentiality.

## Maintaining certification[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Certification_and_internal_control_systems&action=edit&section=T-4)]

Being certified is not a one-time thing, but an ongoing process. While achieving the first certification is a big effort, the challenge of maintaining certification should not be ignored. Losing your organic certification is the worst thing that can happen to you, as you can not sell your production with an organic premium, but still have to bear all the additional costs (including those for certification!).

As the farmers are expected to comply with the standards throughout the year, the surveillance by the ICS should also be active throughout the year. It is not enough for someone to fill in the forms and do a skimpy internal inspection shortly before the external inspector arrives. The ICS needs to start its operations before the season starts (registering and training new farmers on ICS, updating farmer files etc.) and needs to continuously monitor the ongoing activities up to the time of harvest. Some CBs insist that you employ field staff on fixed contracts to be sure that they are active the whole year round. The person who is responsible for the ICS makes an annual plan of activities. The internal inspection usually takes three of the twelve months of the year and is finished one month before the harvest starts (see example of an annual operational plan in Annex ["Annual operational plan"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Annual_operational_plan)).

  
**Checking the system**  
It is not sufficient to set up an ICS and to hire and train field staff. You also need to make sure that they really do their jobs, and that the collected information is correct. Collecting reliable information in the field is a tiresome process, and field staff may be tempted to fill in approximate figures, possibly even without visiting the farms. To prevent this, a system of cross-checks through the person responsible for the ICS should be introduced. S/he should re-visit a randomly selected sample of 2-5% of the farms at certain critical moments during the season (e.g. after farmer registration is completed, before harvests start), and cross-check the registered information. Regular supervision of field staff also helps identify bottlenecks and shortcomings, and thus contributes to continuous improvement of the effectiveness and efficiency of the system. In the end this helps in saving time and money.

  
**ICS and quality management**  
Having a system in place which is in continuous contact with the farmers can be turned into THE big competitive advantage of an organic business. The ICS allows inclusion of quality management aspects without much additional effort. You can integrate measures that improve product quality during production, harvesting and post-harvest handling in the internal regulations, and verify their implementation through the internal inspections (i.e. include them in the inspection report). The most important quality management measures are usually to keep the product free of contamination and to sort out produce of lower quality (see chapter ["Getting quality produce from the farmers"](http://en.wikibooks.org/wiki/Organic_Business_Guide/From_field_to_market#Getting_quality_produce_from_the_farmers)).

  
**Managing growth**  
It is particularly challenging to maintain quality of the ICS in situations of fast growth of the business. Including large numbers of new farmers requires hiring new field staff, which in turn need to be trained and supervised by the Field Supervisor. Although growth is necessary in order to reach economies of scale (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)), it increases the burden for the initial team - and costs additional money. In the end, growth which is too fast may jeopardize certification, as quality of the internal control measures go down. To avoid this, make sure that your staff is well prepared to manage the growth, and keep the speed of it within reasonable limits.

  
**Revising the ICS system**  
It is advisable to revise the ICS including the manual after the annual external inspection and before the start of the new season. External inspections usually result in some corrective action requests or conditions and recommendations from the certifier. These need to be incorporated in the ICS for the next season. It is a good idea to combine this external review with an internal review, in which the concerned ICS staff are involved. A simple method of doing this is to conduct an analysis of strengths, weaknesses, opportunities and threats (SWOT-Analysis). During a meeting, ask the ICS team to list the strengths and weaknesses they observed in the ICS during the previous season. Ask them which opportunities they see to improve the effectiveness and efficiency of the ICS, and which threats they see for its functioning in the next season. Based on this analysis, you can then define appropriate methods to improve the system.

Take care that all staff (including the buying agents) are aware of the changes you decide. If necessary, conduct refresher trainings with the staff. Also make sure that the farmers are properly informed on changes they need to be aware of. Be careful with introducing new forms whenever a new aspect is taken into consideration. It might take a bit more time to think how the aspect can be integrated in the present set of forms and processes, but this pays off as you gain efficiency. Many ICS tend to get big and heavy over the course of the years, making it difficult to handle the data. It therefore is advisable to conduct a larger review of the ICS forms and processes every five years. Keeping it lean and simple is the most important principle in managing an ICS. Otherwise there is a risk that the ICS becomes inefficient - and too costly!

**Summary of recommendations**

  * Think early on about what your target markets are in order to decide what certification you need
  * Insist on quality certification services rather than going for the cheapest option
  * In order to reduce certification costs, try to increase the efficiency of your ICS and cover several commercial crops under one certificate
  * Set up lean extension and ICS structures and clearly define roles and responsibilities for all involved
  * Define clear processes and practical forms; make sure that they are applied
  * Set clear internal standards, and define and apply effective sanctions in case of non-conformity
  * Use harvest estimates and receipts to check traceability of the organic produce
  * Train ICS staff "on the job" and ensure timely implementation of internal controls
  * Keep all production and ICS data up to date in a well managed database
  * Ensure close monitoring of the ICS and revise it periodically, without making it too heavy
  * Exchange experiences and tools with fellow organic projects in the region

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Certification_and_internal_control_systems&action=edit&section=T-5)]

  1. [↑](Print_version.html#cite_ref-49) For the respective links see Annex ["Certification and ICS"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Certification_and_ICS)
  2. [↑](Print_version.html#cite_ref-50) For a comprehensive comparison of the requirements of the different standards, see <http://organicrules.org/view/EU>
  3. [↑](Print_version.html#cite_ref-51) A directory of organic certification bodies is available from <http://www.organicstandard.com/directory.html>
  4. [↑](Print_version.html#cite_ref-52) <http://ec.europa.eu/agriculture/ofis_public/index.cfm>
  5. [↑](Print_version.html#cite_ref-53) See <http://shop.ifoam.org/bookstore>
  6. [↑](Print_version.html#cite_ref-54) E.g. Operating manual of Mobiom in Mali (available in the tools section on [[1]](http://www.organiccotton.org)) or ICS manual of ALCODE in Uganda, [[2]](http://www.grolink.se/epopa/Publications/ALCODE-ICS-Mar07.pdf)
  7. [↑](Print_version.html#cite_ref-55) See the IFOAM Training Kit for ICS for Group Certification, <http://shop.ifoam.org/bookstore>
  8. [↑](Print_version.html#cite_ref-56) For a procedure how harvest estimates and traceability checks can be done in cotton production, see <http://www.organiccotton.org> → Library → Tools

## Marketing[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-1)]

Throughout this guide a number of characteristics of organic markets have been given, especially in chapter ["Starting from the market"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Starting_from_the_market). This chapter is about marketing: how to get your products to the market, and how to get somebody to buy your products. Some entrepreneurs have a natural gift for marketing, others find it difficult. A lot has been written elsewhere about the marketing of agricultural products in general and in some cases about organic marketing in particular[[1]](Print_version.html#cite_note-57). This chapter provides you with the basic know-how needed for successful marketing of organic products.

## Marketing strategy[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-2)]

Until the end of the 1990s, there was a shortage of supply of most organic products. Any supplier could find a place in the international market. Nowadays it is a buyer’s market, there is a lot on offer, products are coming in from many different countries, and buyers can pick and choose. Newcomers try to find their place by being cheaper. While that is usually the way to start the business, cheap organic production usually comes with quality and integrity problems. You may start at the bottom of the market but as soon as possible you move up by building a track record of accomplished deals, learning and improving along the way.

  
**Spot market versus fixed buyers**  
Some organic businesses sell to one buyer. The majority however sells to a number of buyers, into quite different markets. When you supply to a fixed buyer every year, you are part of an integrated supply chain. You may still sell part of your goods on the spot market: this last one is more for speculators. Often organic businesses start on the ‘spot’ market, and over time find some fixed buyers. How you do your marketing obviously differs depending on the market that you are addressing.

  


**Quick deal or long-term trade relationship?**  
The Tigray Agricultural Marketing Promotion Agency (TAMPA) supported onion producers in Northern Ethiopia establish links with a wholesaler from a major town in the district. A contract between the wholesaler and the farmers group was signed while the production was at planting stage. The agreed price was 2.20 birr (0.22 dollar) per kilogram. At the time of harvesting, another trader from the region promised the farmers he would buy their onions at 2.40 birr (0.24 dollar) per kg, and they terminated the previous contract. However, he did not respect the agreement, and finally the farmers had to sell their onions at the local market at 1.20 birr (0.12 dollar) per kg. The farmers therefore lost a lot compared to the price offered by the wholesaler who had wanted to establish a long-term trade relationship.

_Ghidey Gebremedhin Debessu, TAMPA, Ethiopia_

  
**Developing a marketing plan**  
It is not necessary to write out a big plan but it is important to think through a number of areas where you must make some choices, and then that becomes your marketing plan or strategy. The marketing plan is part of your business plan (see chapter ["Developing the business step by step"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Developing_the_business_step_by_step)). When you review it a few years later you will appreciate it and will realise how much has changed. Typically, a marketing plan includes the following steps:

  * Market overview – trends, market segments, target markets
  * Competitive review
  * Strengths, weaknesses, opportunities and threats
  * Sales goals & marketing objectives
  * Strategies
  * Marketing budget
  * Timing

  
There is a lot of general information about making marketing plans on the internet. Some of it is not so relevant to the context of an organic agriculture business. In some cases information is promised for free, but very soon you are triggered into buying something. Nevertheless it is a good idea to surf on the internet to get inspiration for developing the content of a marketing plan[[2]](Print_version.html#cite_note-58).

## The 4 Ps[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/4Ps_Organic.jpg/400px-4Ps_Organic.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 21: Example of the 4Ps for marketing of organic-Fair Trade cotton from Africa.

A helpful exercise in order to develop your marketing strategy is to think in the 4 Ps. These are Product, Price, Place and Promotion. An example is given below.

  
**Product**  
Do you know your product details: the variety, the specification, what exactly you are selling and how it compares with that of your competitors? How are you doing your shipping, what are the payment terms that you are proposing? Is there a story behind the product (e.g. the impact on the farmers' livelihoods)? Also, have you asked the various buyers precisely what they are looking for? Can you supply that? If you are a coffee exporter, it may be fairly easy to determine whether there is a market for your coffee, organic and/or Fair Trade, as most origins are well known to most traders. For many products however, the market depends very much on what your product exactly is. Many buyers will insist on seeing and testing a sample before they can say whether it is a product they might be interested in. Send them a representative sample and always ask them for the results of their analyses; there is much to learn from these.

  
**Price**  
The way you price your product gives it a certain position in the market. Prices of organic products are subject to supply and demand. For many commodities the conventional world market price is taken as a reference, with a certain fixed or percentage premium added, for example 15%. That is still just an idea of the price; throughout the year prices will vary to some extent. In times of temporary shortage especially, prices can shoot up. If there is an oversupply or glut, prices can even fall to conventional levels.

  


**There are 4 types of pricing strategies (Figure 22):**  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5d/Pricing-strategies.jpg/400px-Pricing-strategies.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Figure 22: Pricing strategies matrix (Source: www.marketingteacher.com).

  * **Penetration Pricing:** The price is set artificially low in order to gain market share. Once this is achieved, the price is increased.
  * **Economy Pricing:** This is a no frills low price. The cost of marketing is kept at a minimum. You use the cheapest certification body. You offer a product and that’s it, no questions asked.
  * **Price Skimming:** You can charge a high price because you have a substantial competitive advantage, or because there is a shortage in the market. However, the high price is not sustainable, it actually attracts new competitors into the market, and the price inevitably falls due to increased supply.
  * **Premium Pricing:** You use a high price because there is uniqueness about the product or service you offer. This approach is used where a substantial competitive advantage exists. Such high prices are charged for example for specialty coffees.

You will normally agree on a price in US $, sometimes in EUR. At the time when you set the price the calculation may be correct. However, payment date may be 2 or 3 months away. If you agree on a price before you buy from the farmers you have to be particularly aware of the risks you run with the exchange rate and the farm gate price. An example of how the profitability of the business can completely change is given in chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management) (sensitivity analyses). To reduce these risks the two parties can agree on a price setting mechanism, which possibly also involves the farmers (associations). You reduce the risk but at the same time you increase the opportunity to get the best possible price.

  
**Place**  
Most businesses like to sell themselves. In some sectors you have the choice to supply to an agent, a distributor. Examples are weekly consignments of fresh fruit sent to Europe by sea freight. Nobody really knows what the market situation is in two to three weeks time when the fruits arrive at the market. As it is a perishable product you are at the buyer’s mercy. In such a case it might be advantageous to work with a commission agent, who knows the market inside out and is always able to sell the fruit for the best possible price. You cannot deal with that from say Ghana, Cameroon or Costa Rica.

Another example is with shea oil or butter. If you want to supply the cosmetics market you have to deliver relatively small volumes, perhaps 1500 kgs. When supplying from West Africa, you have to ship such a small volume by air freight. The alternative is to ship a sea container and have stock somewhere in Europe from where the product is distributed from. Such distributors often become partners in your business. The same happens with spices.

There are some efforts going on to promote internet based trading platforms[[3]](Print_version.html#cite_note-59). In organic businesses where quality and integrity is of more importance than in the regular trade, this interest is limited. For business in developing countries where it is already difficult to do normal business, selling products over the internet adds yet another dimension. However, it is an interesting platform to see what is around. You can always place your product on such a website and see what serious and not so serious offers come in. If it becomes serious there will be personal contacts made.

  
**Promotion**  
The most important way of promoting your product, your company, is through communication with your clients. This is the Achilles heel or weak point for many start-up businesses that often feel somewhat insecure; you have to be able to present yourself, you have to communicate well.

You can start with compiling information for a company brochure, with the history and location of the project, the production base, what has been achieved by the project over time, what the plans are for the future, and ending with product information like product specification, volumes, harvest season, and packaging options[[4]](Print_version.html#cite_note-60). The next step is to formulate your unique selling proposition, USP. You come up with the reason why your products stand out: are they better, cheaper, or targeted to a specific market niche? The particular mix of core benefits of your products is the basis for the promotion of your products; that is what you are selling. If your product does not stand out, then your service needs to make the difference. Stress that element. Are you better at delivery times, payment terms, and answering the phone than your competitors? For further information, see "Your Image Builder"[[5]](Print_version.html#cite_note-61).

You could print this information as a nice brochure but you first should think through where you would distribute this brochure. If you don’t intend to go to trade shows there is little use in having such a brochure. Another option is to prepare product description sheets for each product you have on offer, which still can include information on the initiative on its back (see the example in Annex ["Marketing tools"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Marketing_tools)). You need this kind of information at hand whenever someone contacts you or somebody else from your company. Your people need to all tell the same story.

The same type of information is often placed on a company web site. While a lot of people take pride in having a website, its usefulness in terms of promotion is often limited, if the website is not easily found by an internet search, or the content is not updated. However, a well maintained and well linked website can be a useful tool to promote your products. In some countries, the national movement or association has an internet platform where all members can present their products. Whatever medium you chose, you have to refresh the information at least once a year.

## Building and maintaining client relations[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-4)]

Personal contact is of primary importance in organic marketing, more so than in general trade. For a business relationship to become more than a one-off deal you need to build a personal rapport with your buyers. Whereas in conventional trade your product usually goes into an anonymous supply, this is not the case in organics. Buyers, retailers and even consumers want to know where the product comes from.

When you are new in the organic business you may be at a loss to know how to get your first contacts. The GreenTrade website may put you in contact with potential buyers[[6]](Print_version.html#cite_note-62). The catalogues of past trade shows are also good sources of information. Ask a friend who visits a show to bring a spare copy of the catalogue. In some cases like the Biofach, these catalogues are on-line. The Chamber of Commerce, Export Board or foreign embassies often have databases with requests. You may want to talk with someone about your ideas. Another entry point could be local organic conferences where the organisers have invited some international speakers. They may not be in your line of business but they may still give you some advice and contacts. However, there is no better place to meet potential buyers than at an international trade fair.

  
**Participating in trade fairs**  
To keep your commercial relationships up to date, it is best to meet your main buyers every year. Unless you have the funds to visit them one by one, or for inviting them one by one to visit your place, there is no better way for doing this than at a trade fair. There are a number of specifically organic trade fairs, there are international and regional organic trade fairs, and increasingly you will find organic suppliers also exhibiting at general trade fairs.

Trade fairs are a good place to let buyers know that you are in the market: to show yourself, to see what others are offering, to compare yourself with the competition. It is a good place to meet your (prospective) buyers, and to understand their requirements. It is an excellent place to see and discuss how the market moves so that you can adapt yourself in time. Very often important orders are agreed on. Some of your buyers may invite you to visit their premises before or after a trade show. It can be a very worthwhile investment. A few weeks after the trade fair you should use all this information to evaluate your business and - if necessary - to adapt your marketing strategy.

  
**The main organic trade fairs**  


  * The oldest and biggest organic trade show is Biofach[[7]](Print_version.html#cite_note-63) in Nuremberg, Germany, in February each year. Biofach is so successful that it has spread to other countries like the US, Japan, China, India and Brazil.
  * The All Things Organic show[[8]](Print_version.html#cite_note-64) in Chicago is the main event for the US and Canada. It is organised by the Organic Trade Association[[9]](Print_version.html#cite_note-65), the organic business association in North America.
  * In the UK, the main show is the Natural and Organic Food Expo[[10]](Print_version.html#cite_note-66). As the name indicates it is both for certified organic products and for natural products. That includes food supplements.
  * In Dubai there is the Middle East Natural and Organic Products Expo (MENOPE)[[11]](Print_version.html#cite_note-67), which would give you a glimpse of the Middle East market.
  * The European Fair Trade Fair is a new exhibition specifically for Fair Trade products, so far held in France[[12]](Print_version.html#cite_note-68). This is interesting if your organic products are also certified Fair Trade.

  
There are many more national shows where local producers and buyers meet, but also buyers come from abroad looking for goods to import. These are not usually as interesting for exporters from developing countries to visit or exhibit at. For the local or regional market you should look for local or national trade shows. Quite often the organic associations will have a booth there. This may help you in developing your national or regional business. Do not forget: you can export your product as certified organic but it may be a lot easier to sell volumes of good quality product as conventional in the local market.

  
**How to get to international trade fairs**  
You can choose to go as a visitor, or you can have your own stall. There is quite a difference. The first is sufficient if you just want to look around, or you already know your buyers. If you are not yet known you may have to make the investment of exhibiting. That is, for many, fairly expensive but it is also a hassle to organise. There are a number of agencies that have programmes to support you going there. Sometimes this is part of a wider activity to assist you improving your business. Examples are CBI[[13]](Print_version.html#cite_note-69), SIPPO[[14]](Print_version.html#cite_note-70) and CDE[[15]](Print_version.html#cite_note-71). In some countries, the Export Promotion Board has such schemes, too.

For established companies it is a regular activity to visit trade shows, but it is quite a step for a start up company. For African exporters there is an Africa Pavilion[[16]](Print_version.html#cite_note-72) at the Biofach. It is organised centrally but each country or region has a local coordinator who supports exporters and visitors to organise a country stand. Exporters from other continents depend on their export board to organise a country stand. These agencies help you to prepare for such a trade show, and advise on the flyer or poster to make, and on what samples to take. They can give you a list of potential buyers who also exhibit. This is always done by cost-sharing: inevitably you’ll have to pay part of the costs yourself, even if it is only the flight.

If you go to a trade fair the SIPPO manual ‘From contacts to contracts’ is a very good guide to help you get the most out of your participation[[17]](Print_version.html#cite_note-73). Do not forget that it is one thing to make a good presentation during the trade show but that the ‘proof of the pudding’ comes after it. You should plan to follow-up on what was discussed during the meetings, send reminder letters, etc. Only then it is an investment that will pay off.

  


**Maintaining client relations**  


[File:Farmer-cooperative-bolivia.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Farmer-cooperative-bolivia.jpg)

A farmer cooperative in Bolivia meets a client for fairtrade organic cocoa (Source: Claro).

Communication is key in maintaining client relations. In international trade, this primarily happens through email. Be very serious about how you handle your e-mailing. Respond to e-mails within a week at the latest. Otherwise you will create the impression that you are not in business. Telephoning may be the main communication at home, but international calls are often still prohibitively expensive. Skype (Voice Over Internet) offers some cheap or free opportunities and is increasingly used[[18]](Print_version.html#cite_note-74). If you are in the field or abroad, and so not available to buyers, delegate communication tasks to someone else. You can still keep in touch by phone with your staff if there are queries over how they should reply. With some businesses it is only the director that is allowed to communicate with clients. This does not give a good impression as no one wants to work with a company that hinges on one person only (see also chapter 6.7, management capacity).

You have to respond to enquiries from potential buyers. Some of these will not be serious interests; they are just to find out what your offer is. There is no harm though in checking back with them a few months later. It is more important that you follow up clients with whom you have done business before. Get their feedback - are they satisfied with your product and service, what could be improved the next time? In case of an unhappy customer, do not hide. Do not think up excuses but try to come up with solutions.

It is most important that you are reliable. It is a big mistake to promise to deliver if you can’t. Do not forget that your buyers all communicate with each other, tell stories but also buy from each other. How do you want to be remembered when they talk about you? Do you want them to say ‘Ah, that is a good one’, or do you want them to say ‘Oh no, not that one’? Some exporters don’t want to tell anyone with whom they have done business and for how long and what their experiences were. There are exporters who have supplied about every buyer, but every time it was a one-off. If you can show that you fulfilled your contracts for three years with a certain buyer, and that you never failed on a contract, then you are in a good position for finding a better market.

  
**Why do buyers stick to you?**  
Having a couple of loyal buyers is one of the most important success factors for your business. Below you can find a list of reasons why buyers may stick to you:

  * You deliver the desired products and volumes; you have consistent quality, year after year.
  * You follow up professionally on complaints about quality. You ask for evidence, you investigate, you explain, you learn from it.
  * You can be easily reached. You respond seriously, even to difficult issues. When you are not there, there is somebody else in your organisation who can respond.
  * You have clear information on how far you can go with your prices, and you explain why you cannot reduce further. You know your numbers and you know the alternatives.
  * You are willing to listen to your buyer’s problems. You don’t tell stories or have excuses all the time.
  * You inform them about problems at your end if they do the same with you. You act like a partner.
  * You can keep a secret or two (so that they tell you more…).
  * When you promise something, you keep to it. You are reliable and trustworthy.
  * You can deal with their competitors, but are open about it instead of denying it, or giving them a feeling that you are cheating them.
  * You are willing and capable to adjust, improve, and expand.

## What assistance and support can I get in marketing?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-5)]

In most countries there is an Export Promotion Board. They may have information; they may have a programme where you can get support, like visiting international trade fairs. There may be donor-financed Private Sector Development programmes that have a market development component. See for example what USAid[[19]](Print_version.html#cite_note-75) is doing in your country.

The Dutch Centre for Promotion of Imports, CBI [[20]](Print_version.html#cite_note-76)has an Export Coaching programme in the field of natural ingredients for food, pharmaceuticals and cosmetics. Organic fits under that, and exporters from 30 countries can apply. Upon pre-selection, you are visited by an expert who makes an audit to see how ready you are. This leads to an action plan, and you can get assistance from experts who visit but also correspond with you. You can participate in the EXPRO seminar, which includes a familiarisation study of the supply chain on the importer’s side. At the end of the seminar you write up an export marketing plan. You then start preparing for participation in a major trade show, such as Biofach. Participation in the show is for three years. It is subsidised but you are expected to take over the costs increasingly.

SIPPO is the Swiss Import Promotion Programme[[21]](Print_version.html#cite_note-77). It has the facility to support producers in participating in selected trade fairs: again Biofach is one of them. The SIPPO homepage has a range of publications on export-import related topics. If you are also Fair Trade certified you may benefit from support provided by local coordinators of the Fair Trade movement. Various organisations support their producers’ organisations. The international Fair Trade Labelling Organisation (FLO)[[22]](Print_version.html#cite_note-78) has regional coordinators on the ground that support new and existing producers to improve their business. Also Twin Trade[[23]](Print_version.html#cite_note-79) in the UK has a partnership programme.

**Summary of recommendations**

  * Think through the main points relevant for successful marketing of your products (target markets, competitiveness, marketing strategies and budget etc.).
  * Decide how to position your product in the market (product specification, price, distribution channels, and promotion).
  * Find out the exact specifications of your product; if necessary get it tested for quality parameters. Be clear on how your product compares with that of your competitors.
  * When agreeing a price with a client, be aware of possible fluctuations in local market prices (farmers may sell in the open market) and in exchange rates.
  * Check out options for selling to agents or wholesalers who know the market and might be able to keep stocks at central locations.
  * Prepare yourself for interaction with clients in a professional way. Present your business and offer in a suitable way (e.g. brochure, web site), and make sure that the provided information is up to date.
  * In order to get in touch with potential buyers and to get to know the market, participate in international trade fairs specialising in organic products - either as a visitor or an exhibitor. Good preparation and follow-up are crucial for making a successful trade fair visit.
  * Ensure prompt and reliable communication with your clients. Get their feedback, and try to find solutions in case they have complaints.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Marketing&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-57) E.g. EPOPA, 2006. Organic Exporter Guide. Hands-on help for exports from Africa. www.grolink.se/epopa/Publications/EPOPA%20Organic%20Exporter%20Guide%2006.pdf; FiBL, 2004. A Guide to successful organic marketing initiatives. [https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338](https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338)
  2. [↑](Print_version.html#cite_ref-58) For a detailed description, see <http://www.netmba.com/marketing/mix>
  3. [↑](Print_version.html#cite_ref-59) One example is <http://www.greentrade.net>
  4. [↑](Print_version.html#cite_ref-60) For examples of brochures, see <http://www.grolink.se/epopa/Publications/index.htm#Brochures>
  5. [↑](Print_version.html#cite_ref-61) SIPPO/CBI, 2003. Your Image Builder. <http://www.sippo.ch/internet/osec/en/home/import/publications/sippo_and_partner.html>
  6. [↑](Print_version.html#cite_ref-62) <http://www.greentrade.net>
  7. [↑](Print_version.html#cite_ref-63) <http://www.biofach.de>
  8. [↑](Print_version.html#cite_ref-64) <http://www.organicexpo.com>
  9. [↑](Print_version.html#cite_ref-65) <http://www.ota.com>
  10. [↑](Print_version.html#cite_ref-66) <http://www.naturalproducts.co.uk>
  11. [↑](Print_version.html#cite_ref-67) <http://10times.com/natural-organic-expo>
  12. [↑](Print_version.html#cite_ref-68) <http://www.salon-europeen-commerce-equitable.org/en>
  13. [↑](Print_version.html#cite_ref-69) <http://www.cbi.eu>
  14. [↑](Print_version.html#cite_ref-70) <http://www.sippo.ch>
  15. [↑](Print_version.html#cite_ref-71) <http://www.cde.eu>
  16. [↑](Print_version.html#cite_ref-72) <http://www.organicafricapavilion.com>
  17. [↑](Print_version.html#cite_ref-73) <http://www.sippo.ch/internet/osec/en/home/import/publications/sippo_and_partner.html>
  18. [↑](Print_version.html#cite_ref-74) Available for free download from <http://www.skype.org>
  19. [↑](Print_version.html#cite_ref-75) <http://www.usaid.gov/our_work/economic_growth_and_trade>
  20. [↑](Print_version.html#cite_ref-76) <http://www.cbi.eu>
  21. [↑](Print_version.html#cite_ref-77) <http://www.sippo.ch>
  22. [↑](Print_version.html#cite_ref-78) <http://www.fairtrade.net/what_we_do>
  23. [↑](Print_version.html#cite_ref-79) <http://www.twin.org.uk/PPP>

## Moving up[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-1)]

Once your business is set-up and going well, you will probably think about the next step to take in order to expand, improve, and consolidate. This chapter takes up a couple of topics that are worth considering at this stage. It is about reaching out in scale and depth (impact), and the need to constantly change and adapt. It ends with some reflections and guidance concerning the role of your business in a national and international context.

## Scaling up[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-2)]

Donors usually limit their support for the development of value chains to an initial phase in which the costs are still high as outreach is limited and research and extension are rather intensive. In the first years, the "cost of intervention per farmer" is high. Once the field staff and the farmers find out what works, the first farmers are certified and a market has been reached, more farmers can join in, and costs per farmer should go down substantially. Economies of scale kick in (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). Buyers normally want larger volumes once they are satisfied with your quality. It is therefore important to develop a scalable approach, and to think and work in phases of developing your business. You might start with 200 farmers, and your plan is that 6 years later there will be 1000 involved.

  
**Scalability**  
In some value chains it is easy to scale up as long as there is a growing demand for the product and enough farmers who are interested in becoming part of the initiative. Other chains are small and will remain small. In this case high initial start up costs may not be justified. As all business needs to start from market demand, the trend in this demand is a critical factor in scalability. If market demand increases too fast for production to keep up with it, one might lose buyers as they go elsewhere. There is an extreme example where a group of farmers in Uganda got a trial shipment of pre-packed dried fruit together. Two weeks after arrival in Europe, the customer sent a message that he wanted 3 times more, immediately, as the product was selling very well. This kind of jump in demand is difficult to respond to, and may even lead to the end of the business relationship (as it did in this case).

On the other hand, if market demand halts, growth of production may stall as well. This was observed in organic cotton projects in West-Africa in 2009, where expansion was temporarily halted as a result of oversupply at global level (see box). This reiterates the point that a business should preferably not be dependant on one product or one market alone. As a last resort there should also be a conventional market. Have an emergency market in mind all the time.

  


**Scaling up organic cotton production in West-Africa**  
In 2002, Helvetas (Swiss Association for International Cooperation) started supporting cotton farmers in Mali to convert to organic production and to access Fair Trade markets in Europe. Within four years, the initiative that had started with some 200 farmers grew into a producer organisation with almost 2,000 members. New organic cotton initiatives were subsequently started in Burkina Faso, Senegal and Benin. By 2008, in response to strong market demand, the number of organic cotton producers in these initiatives had grown to 13'000. Besides cotton, the producer organisations also started dealing with sesame, shea and other crops. Quick expansion of organic cotton production in Asia and a slow-down in global demand due to the economic crisis lead to an oversupply of organic cotton in 2009. As the crisis also affected some of the buyers of the West African cotton, the producer organisations decided to halt expansion until the market situation relaxes. Farmers were encouraged to reduce their cotton area to some extent, and to grow sesame, peanuts and fonio instead, for which market prospects were better. In the end, the crisis stimulated efforts to diversify production and markets, to increase efficiency and thus reduce the cost price, and to intensify local processing and value addition.

A group of organic pineapple growers in West-Africa started processing pineapples and had to consolidate their production process and increase their market first before they could include more farmers. In general it is good to have a certain buffer: that there are farmers waiting to sell to you, or that there are mechanisms to buy more or less from the farmers. That means that you, or the farmers, need to have alternative (local) markets in times of lower demand.

  
**Adapting to scale**  
When your business has grown significantly, it is likely that you will need to revise some of your structures and processes and adapt them to the new scale of operations. You will probably need to redefine roles and responsibilities within the organisation and may need to hire additional people to whom you can delegate tasks that you are not able to handle all by yourself any longer. An extension system that covers 5,000 farmers needs to have more sophisticated management processes than one for 200 farmers. In order to realise lower costs per new farmer reached, less staff intensive methods need to be developed, e.g. by involving farmer leaders who train other farmers. For specific new target groups or for a new product, however, higher capacity building costs could be temporarily justified.

Another issue in scalability is the internal control system: the bigger the group of producers gets, the more developed the ICS has to be. At some time you may need to revise and re-organize the whole system. That is perfectly normal when business grows.

## Having an impact[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-3)]

As a mature organic business you not only want to see good figures in your books, but you also want to be sure that what you are doing benefits the farmers, the environment, and the country. You probably also want to let others know, so that they buy your product or support your work in some way. Some donor agencies insist on monitoring the impact of their support. But how can you find out the actual impact of your work?

  
**Measuring impact**  
Impact in this context refers to the change in the economic, social and environmental situation of the involved farming communities that is induced by the organic business. It goes beyond the increase of income; it also looks at how the additional income is distributed and spent, and how the overall livelihood situation changes (see box).

**Typical impact indicators**

  * crop shares in cultivated land
  * crop yields
  * gross margins of crops (revenues minus input costs)
  * work load and distribution
  * household revenue and its utilisation
  * soil fertility (e.g. organic carbon content)
  * health and nutrition status
  * change in gender relations
  * ability to cope with risks

A first approximation to assess the economic impact is to consider proxy indicators that can be easily observed, e.g. the change in the number of farm animals, motorbikes or brick houses. You can do this more systematically by conducting a baseline study before the first marketing season, and comparing with the changes after a couple of years. However, there can be various reasons for these changes, many of which are not related to your intervention (general economic development, climatic conditions etc.).

These should be identified. Another approach to assess the impact of the organic business is to compare organic farmers with a similar group of conventional farmers. For this one needs to select representative samples of organic and conventional farms located in the same area and to collect the most relevant impact data. It is better to focus on a limited set of data which can be easily collected, rather than getting lost in surveys that are too complex. Before you get engaged in impact assessments, it is a good idea to get familiar with the basic concepts[[1]](Print_version.html#cite_note-80), and to have a look at some examples [[2]](Print_version.html#cite_note-81).

  
**Getting to know your impact**  
You can use this kind of methodology yourself to monitor direct economic impact. Your field staff should be able to conduct a survey among samples of organic and conventional farmers in a period of the year in which they are not so busy. Ideally, you involve the farmers in keeping simple records on input costs, yields and revenues, which they are usually able to do with some assistance of your field staff. More sophisticated assessments, for example of gender equity, health or vulnerability, require more expertise and should be left to specialists.

With a bit of luck you can find an external agency that will do the impact assessment for you, with or without your field agents being involved, for free or for a little money. This could be thesis students from a national or foreign university, or consultants mandated by the organisations that support you. You then get an independent report, which is more credible. There is always a lot to learn from such a study; it is another way of looking at what you are doing. Often such studies indicate ways that you can improve your impact, and provide you with suggestions on how to consolidate and expand your business. They may also show weaknesses, and be critical. Don’t take that personally - there should always be something to improve!  
  
  
  
  
  
  


## Constant learning and improving[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-4)]

Any business can only become successful when you constantly observe your performance, learn from positive as well as negative experiences, and know how to adapt yourself to the changing environment - the local environment as well as the market.

  
**Performance indicators**  
What do you measure as an indicator of success? Is it the volume of products sold, or how much is in your bank account at the end of the year? There are other performance indicators that are worth taking a closer look at:

  * Real cost price at the end of the season compared with calculated cost price beforehand
  * Cost of field staff per farmer and per product output
  * Quantity of product sold per farmer
  * Isolated costs per unit of output (certification, logistics, management, marketing, financing costs)
  * Increase of income for your business as well as for the average farmer
  * Accuracy of your risk assessment, and how you addressed these risks
  * Number of non-compliances identified during inspection
  * Number of farmers wanting to join the initiative
  * Staff turnover
  * Complaints from clients

  
**Continuous improvement**  
As you would expect, there are certain techniques developed for periodically assessing your business performance. One of them is called the PDCA cycle, which stands for Plan-Do-Control-Act[[3]](Print_version.html#cite_note-82). It means that you plan your activities, you implement them, you measure (control) and then you act on what you have found.

It is important to involve your team in evaluating the performance of your business, as they may be aware of problems you might overlook. If they are involved in the analysis, it is more likely that they will implement the necessary corrective measures. You can do exercises like asking yourself and your team the following questions:

  * How organic are the farmers we work with? How sustainable is their farming system? Are they reliable suppliers; how loyal are they to our business; how loyal are we to them?
  * Do we have a proper book keeping and data management system; do we get the information that we need to optimise the business?
  * Where did we gain and where did we lose business opportunities? How do our clients perceive us, and what could we do to improve client relations?
  * How did the environment in which we operate change, and how about the markets which we are targeting? What did we do to respond to these changes?

You will see that it is very worthwhile to do this kind of self-assessment, and you will probably detect some points to help you improve your internal business performance. Only continuous improvement and adaptation will keep you in business in the long term.

## National and international networks[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-5)]

Most business people - organic or not - start up their ventures on their own. Many think that involvement of others may create dependencies and make you vulnerable. On the other hand, there is a lot to gain from collaboration with other businesses and initiatives that have similar goals.

  
**Collaboration at national level**  
The development of an organic sector in your country also benefits your business. Of course you run your business on your own, but it is better to communicate, coordinate and perhaps even cooperate with fellow initiatives. In a number of countries there are national movements or NGOs with the specific purpose of facilitating the development of the organic sector. By being a member, you support this development and also keep in touch with likeminded individuals.

**A better bargain**  
Pineapple exporters in Ghana are known for their ferocious competition, yet, there are some common interests. It was found that the price that exporters paid for the same pineapple cartons differed by 200%. As the cost of packaging is about the same as for the fruits that go in it, pooling of the carton orders quickly paid off. Finally they decided to cooperate.

There can be benefits on the political level (see chapter ["Building partnerships along the chain"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Building_partnerships_along_the_chain)) as well as on the business level. Exchanging information about suppliers of inputs, certification bodies or other service providers easily pays off. In some cases trainings are organised on a national level, like certification updates, or on maintaining your ICS. Some national organic movements organize round tables where stakeholders of a specific sub-sector come together to coordinate their activities. Others receive donor funding for trade related activities, like organising a stall in national and international fairs, or developing local markets.

Doing things together may be difficult at times, but should bring benefits in the end. Even if you think that the national movement is NGO-driven and thus not your style, it may still contribute to a more suitable environment for your business. It is therefore still worthwhile to be a member, a quiet but supportive member, or an active member when you can. Basically, the more you give, the more you will get out of it.

  
**What can you expect from international networks?**  
On an even larger scale there are international networks for organic agriculture and Fair Trade. The most relevant international networks for organic businesses and Fair Trade are:

  * IFOAM - International Federation of Organic Agriculture Movements (<http://www.ifoam.org>)
  * Organic Exchange - a business network of the organic fibre and textile industry (<http://www.organicexchange.org>)
  * FLO - Fair trade Labelling Organisations (<http://www.fairtrade.net>)
  * WFTO - World Fair Trade Organization (<http://www.wfto.com>)

These organisations provide information and produce publications on organics and Fair Trade, and links to other businesses and organisations (directories). They organise meetings and conferences where you can learn more about specific topics and make useful contacts. They all have newsletters that keep you informed about new developments in the sector. Last but not least they lobby for an enabling policy environment, and have their own projects to support initiatives in developing countries. By becoming a member of one of these organisations, you become member of a global community. You get access to information and networks, and you can actively participate in shaping the development of the sector.

Another option is to join a community of practice formed around your field of interest. A community of practice is an internet-based platform on which practitioners exchange know-how and discuss topics of joint interest. An example is the Global Organic Cotton Community Platform (<http://www.organiccotton.org>).

**Summary of recommendations**  


  * Develop a scalable approach, and work in phases of developing your business.
  * Do not depend on one product and one market alone, as your growth plan may otherwise be disrupted by fluctuations in market demand.
  * Keep flexible to react to the market and think of alternative markets in times of lower demand.
  * When your business has grown substantially, adapt your structures and processes to the new scale.
  * Assess the impact of your work by monitoring changes of economic, social and environmental indicators over time, and by comparing "your" farmers with similar conventional ones.
  * Review the performance of your business in regular intervals with the help of meaningful performance indicators and suitable methods (like PDCA).
  * Involve your team in a self-assessment of your business, and address identified points to improve business performance.
  * Collaborate with likeminded businesses and organisations to jointly develop the organic sector in your country.
  * Join international networks and communities of practice in order to get access to information and know-how.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Moving_up&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-80) Useful websites on impact assessment in general are <http://www.iaia.org>, and for environmental and social impact in particular <http://www.isealalliance.org> (Standards Tools → Assessing Impacts)
  2. [↑](Print_version.html#cite_ref-81) Examples of impact studies in organic farming are available on the following web sites: <http://www.epopa.info>; <http://www.organicandfair.org>; <http://www.fibl.org>
  3. [↑](Print_version.html#cite_ref-82) <http://en.wikipedia.org/wiki/PDCA>

## What role for facilitators, governments and donors?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors&action=edit&section=T-1)]

As stated in the beginning, the guide is primarily written for people directly involved in organic businesses. This last chapter addresses organisations that support the development of organic businesses and value chains. These can be NGOs, development agencies, local governments and donors.

## Facilitating the development of organic value chains[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors&action=edit&section=T-2)]

Typical facilitators of organic value chains are development NGOs and business development programmes. Their role is usually a temporary one, needed until the point of time when an organic business is economically and institutionally viable and the value chain is functioning well. If some kind of facilitation is needed permanently, it should be offered by a service provider and should be paid for by the chain actors (see chapter ["Who plays which role in the value chain"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Who_plays_which_role_in_a_value_chain.3F)).

  
**What role for facilitators?**  
The role of the facilitator is to develop and strengthen the capacities of chain actors and service providers, and to help them overcome hurdles and bottlenecks. In a situation where organic production and marketing are entirely new, the facilitator can also make information accessible, stimulate innovation, and support interested chain actors in building the necessary capacities. One important function of value chain facilitation is to link suitable stakeholders (producer organisations, processors, buyers, certification agencies, finance) and to ensure that they mutually communicate their requirements and coordinate their activities. The facilitator needs to make sure that all stakeholders are heard, and mediates between the different interests of the chain actors. Doing this in a way that is accepted by all stakeholders is much easier for a neutral organisation than for a value chain actor.

  
**The following activities are suitable to facilitate the development of organic businesses and value chains:**

  * Convening information events in which interested stakeholders can learn about the basic aspects of this business (production systems, certification, markets), and the available support;
  * Providing organic businesses with initial links to suitable value chain partners (e.g. processors, traders) and service providers (e.g. business development services, financial service providers);
  * Organising workshops in which value chain actors can learn about how to set-up an organic business;
  * Organising periodic round tables at which the different stakeholders of a value chain coordinate their activities and discuss how to address challenges jointly;
  * Coaching value chain actors on implementing their role, and stimulate the development of the required capacities (participation in trainings, exchange workshops, exposure visits etc.);
  * Lobbying to create a more enabling environment for organic value chains (see chapter ["Creating a conducive environment for organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors#Creating_a_conducive_environment_for_organic_businesses)).

  
**What should be avoided?**  
There are a number of activities that facilitators should be very careful not to get engaged in (see box "common pitfalls"). Facilitation implies that you do not get directly involved in the value chain - you do not produce, buy, sell, or provide services that are permanently needed. If an NGO or government programme that is designed to last only for a few years takes up core functions of a value chain, the entire chain is likely to collapse once the support ends. A competent agricultural advisory service and an internal control system, for example, are essential for the functioning of an organic production initiative. These services should therefore not be provided by a development project. However, the facilitator can support the initial development of the necessary capacities by helping the actors to design suitable systems and tools, and to recruit and train the necessary staff.

**Common pitfalls in facilitating organic value chains**  


  * Taking up or subsidising core functions of the value chain such as operating the extension and internal control system, or conducting marketing activities.
  * Being biased towards some actors, e.g. exclusively promoting farmer's interests.
  * Motivating actors to cover more functions than they are able to manage.
  * Putting people in place who do not have the required experience and skills, including foreign ‘experts’.
  * Focusing only on one product, ignoring the importance of rotation crops or the farm system.
  * Focusing only on one (export) market, ignoring the importance of product and market diversification.
  * Narrowly focusing on certification aspects, neglecting the need to address quality issues or field problems like pest management.
  * Neglecting the aspect of scale (break even!) and scalability (impact!).
  * Missing important aspects influencing the value chain (e.g. government policies, competitive disadvantages).
  * Hanging on to the pilot phase; lacking a clear exit strategy.

  
Often, development projects are too ambitious, i.e. one wants to do too much in a too short a time period. Farmer groups or business have to take on more than they can handle, and are left to their own devices at a too early stage. This may result in failures which frustrate producers, entrepreneurs and donors alike[[1]](Print_version.html#cite_note-83).

## Creating a conducive environment for organic businesses[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors&action=edit&section=T-3)]

The success of an organic value chain initiative depends to a considerable extent on the business environment in which it operates. Do government policies further or hinder organic production? Are legal provisions in place that will enable private businesses to enforce contracts and to prosecute fraudulent practices? Can agriculture-based businesses get access to credit? Do agricultural research and extension services cater to the needs of organic farmers? In many countries, the answer to most of these questions is "only to some extent" or "not really".

  
**Working towards an enabling environment**  
Some aspects of the business environment of a specific country cause obstacles to agro-businesses in general. Weaknesses in transport infrastructure, financial services and legal systems affect many types of businesses, and are not easily changed. However, there are some aspects that cause obstacles specifically to organic businesses. Pesticide application schemes, compulsory fumigation of agricultural goods for export, fertiliser subsidies and the promotion of GMOs are typical examples.

For identifying these obstacles, it is important to consult with and listen to the practitioners involved in organic value chains. In the case of Uganda, the organic export sector came together after realising that the plan of the Ministry of Health to spray farmers’ huts with DDT to control malaria was seriously jeopardising their business (many farmers store produce in their huts). Guided by the national organic movement (NOGAMU) they convinced the government that in the organic areas less hazardous insecticides would be sprayed.

In many countries, there are either national or international schemes to support the development of agri-businesses. Often they include cost sharing arrangements for setting up processing or storage facilities, or export promotion programmes. Organic businesses should be able to benefit from these schemes as well. Transparent and proactive information about the existence of these schemes, for example via the organic agriculture movement of the country, is a first step in this.

**Organic agriculture policies**  
In most countries with an organic sector, NGOs and private businesses were the early drivers. Increasingly, governments are taking an interest in the development of this sector. Governments that want to create an enabling environment for organic businesses could formulate an organic agriculture policy. The book "Best Practices for Organic Policy" published by UNEP and UNCTAD provides comprehensive guidance for formulating suitable policies[[2]](Print_version.html#cite_note-84). Suitable elements of an organic sector policy are:

  * Informing farmers and companies about organic agriculture
  * Support the set-up of organic extension services and internal control systems
  * Promote recycling of agricultural waste
  * Promote consumer education and awareness on organic agriculture
  * Collect and publish data on organic production and markets
  * Develop national standards and regulations to foster the domestic market
  * Facilitate development of the domestic market; encourage public procurement of organic products
  * Support export promotion activities, e.g. participation in trade fairs
  * Establish organic research and seed breeding programmes
  * Include organic agriculture in the curricula of schools and universities

  
When developing organic policies, it is important that the different stakeholders can contribute their views. It is a good idea to establish a permanent body for consultations between government, civil society and private sector. Equally important as having an organic policy is that other policies are coherent with and not contradictory to it. Once organic agriculture is included in national policies, funds need to be made available to implement them.

## What role for donors and development agencies?[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors&action=edit&section=T-4)]

Various donors and development agencies support organic initiatives in low and middle-income countries[[3]](Print_version.html#cite_note-85). They want to be sure that their support is effective in producing the desired impact. They also should be concerned that the initiatives grow into a viable business that can continue without donor funding.

  
**Reasons to support the development of organic businesses**  
Supporting organic initiatives addresses agriculture, environment, economic development and trade in one go. Aspects like biodiversity and climate change can easily be added to an organic project. Anybody can become an organic farmer but organic farming seems to be particularly fitting for smallholders. Besides the well-known advantages of organic production - the avoidance of potentially harmful agro-chemicals and the higher price for producers - there are some aspects that should be of particular interest for donors and development agencies:

  * As organic farming usually requires more labour, and people are needed in extension, internal control and value addition, organic initiatives offer an opportunity to create employment in rural areas.
  * Organic markets not only offer a better price; they are usually a safer place for smallholders to be in than anonymous bulk markets where they have to compete with large-scale mechanised producers.
  * The fact that organic farming does not need much money for inputs makes it easier for women to produce cash-crops and thus to earn some extra income. If organic initiatives take gender aspects into consideration from the beginning, women can really benefit (see chapter ["Gender issues in organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Developing_organic_value_chains#Gender_issues_in_organic_value_chains)).
  * Organic and Fair Trade certification require that farmers are organised in groups. This helps strengthen their position within the value chain (negotiation power!) and makes it easier to address social and environmental issues. The farmer organisations can facilitate access to know-how, credit and political influence.
  * Because of the traceability requirement in organic supply chains, it is easier to measure the impact of an intervention. From the ICS documents one can learn how many farmers produced how much, and can calculate the additional income generated. One can show value for money.

By supporting the development of organic value chains that link smallholders to markets, donors and development agencies can contribute to more sustainable resource management, better livelihoods of the involved farmers and workers, and more employment and value generation in the producing country.

  
**Making sure that support is effective**  
Not all organic initiatives, however, automatically result in viable value chains that can run on their own once the support ends. In some cases, donor intervention may even hinder promising organic businesses from flourishing, as it can hamper emerging entrepreneurial thinking, subsidise competition, and distort the market. The long-term effect of the intervention largely depends on how the support programme is designed.

If the aim is to establish value chains and businesses that sooner rather than later run on their own, donors and development organisations should select carefully the partners who have the potential to achieve this goal. Their contributions should be designed in a way that they stimulate and reward entrepreneurial thinking (if it is not already there). In allocating financial support, they should therefore follow a similar procedure as a bank would do: carefully check whether the envisaged business model has real potential to become profitable within a reasonable time span, define the grant amount based on a business plan, and set clear conditions to be fulfilled. Conditions should include that progress in implementation is monitored and documented, and that other funding sources are openly declared.

In order to make sure that the business aspects are taken seriously, the donor should insist that the grantee invests at least some of their own capital, or organises a loan from a bank. It is a good idea to provide part of the contribution as a loan that is to be paid back once the break-even point is reached. This is particularly true for funds used for investing in processing infrastructure. Working with loans rather than grants also helps reduce distorting effects on competition. Donors can also change the due amount into shares issued to the farmers.

Instead of subsidising specific components like extension services or certification fees, donors should preferably pay a diminishing contribution to cover the expected loss until the business breaks even (see chapter ["Financial planning and management"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financial_planning_and_management)). If core functions of the operation are subsidised, it will be difficult to integrate their costs into the product price once the subsidy stops (see box).

  


**Subsidies?**  
No doubt: an organic business needs financial means to start-up, improve or enlarge its operations. If prospects for making profit are good enough, private businesses are likely to invest their money. Most probably, such businesses would choose to work with some large farms rather than with hundreds of smallholders in remote areas. Where poverty alleviation and inclusion of disadvantaged groups of society is an inherent goal of an initiative, investment of public funds is justified.

Nevertheless, the ultimate goal of supporting an organic initiative, next to improving the income of the producers and their households, is the financial sustainability of the producer organisation or company. All funds should therefore be used in a business-like manner, and be efficient and cost effective. Dependency on donor funding should be avoided among value chain actors. Financial instruments for financing value chain actors should stimulate entrepreneurship, responsibility, ownership and financial sustainability. Examples are loans, guarantees and share capital (see chapter ["Financing your organic business"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Planning_and_managing_your_business#Financing_your_organic_business)). However, a producer organisation or a social enterprise will need a strong financial base (sufficient equity) in order to qualify for external investments and loans. Donation of seed capital and investments into shares are suitable mechanisms to create sufficient equity.

  
**Exit strategy**  
Development agencies need to have a clear exit strategy for their support to organic initiatives. They need to communicate clearly to the partners in which way and for how long they are going to support them. The exit strategy needs to ensure that by the end of the project intervention businesses are established that are institutionally and economically sustainable. The support should therefore not only be limited to funding part of the operational costs and investments, but also to ensuring that necessary capacities and skills are developed, that the entire value chain is functioning well, and that an enabling environment is created. Some level of donor coordination is needed to avoid donors coming in where others go out because of lack of progress (see box).

**Donor darlings**  
There are some producer organisations but also private businesses that continue to attract donor funding. In some cases there are different donors assisting at the same time. "Milking donors" may be one way of doing business, but it does not reflect well on the capacity of a business to earn its own money. It does not make a business a trustworthy commercial partner, and it certainly does not stimulate entrepreneurial thinking if funds are too easily available. Although the development impact of organic businesses may justify that such funds are used to start them, businesses should be very careful not to become dependent on donor funding for their survival.

For the sustainability of the value chain it is important that businesses have access to local service providers. Donors come and go, foreign experts come and go, but a local service provider stays - provided they get sufficient business from users that are willing to pay for it.

## Footnotes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Roles_for_facilitators,_governments_and_donors&action=edit&section=T-5)]

  1. [↑](Print_version.html#cite_ref-83) See also Lusby, F. 2006. Useful Principles for Adopting a Market Development Approach for Enterprise Development Organisations. In: International Journal of Emerging Markets Vol. 1, No. 4.
  2. [↑](Print_version.html#cite_ref-84) <http://www.unep.ch/etb/publications/UNCTAD_DITC_TED_2007_3.pdf>
  3. [↑](Print_version.html#cite_ref-85) A list of major donors and development agencies that are currently engaged in supporting the development of organic value chains and businesses is provided in Annex ["Donors and development agencies supporting organic value chains"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Donors_and_development_agencies_supporting_organic_value_chains)

## Annexes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-1)]

  
  
  
**Some of these annexes can be downloaded as "ready-to-use" tools in word and excel format. Klick** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php) **to go to the download page**.  
  
  


## Useful references and websites[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-2)]

**Organic agriculture**  
_Organisations and websites_

  * IFOAM - International Federation of Organic Agriculture Movements: Comprehensive information, principles and standards, member directory, list of professionals, publications, media, training platform etc. <http://www.ifoam.org>
  * ISOFAR - International Society of Organic Agriculture Research: Research publications and events. <http://www.isofar.org>
  * Organic world: Statistics and news. <http://www.organic-world.net>
  * Organics at FAO - Food and Agriculture Organisation: Publications, country data, glossary, bibliographic references, web links, link to research institutions, events etc. <http://www.fao.org/organicag>
  * Organics at ITC - International Trade Centre: Business directories, news, publications <http://www.intracen.org/organics>
  * Naturland: Organic cultivation guildines for various crops. <http://www.naturland.de/publications.html>
  * ILEIA - Centre for Information on Low External Input and Sustainable Agriculture: Library, information, news. <http://ileia.leisa.info>
  * UNEP-UNCTAD: Capacity building on organic agriculture. <http://www.unep-unctad.org/cbtf> → Organic agriculture  


  
**Publications**  


  * FAO (2007): Organic Agriculture and Food Security, <ftp://ftp.fao.org/docrep/fao/meeting/012/ah952e.pdf>
  * FiBL/ITC (2007): Organic Farming and Climate Change, <https://www.fibl-shop.org/shop/pdf/mb-1500-climate-change.pdf>
  * IFOAM Training manuals on organic agriculture in the tropics, <http://www.ifoam.org> → Growing Organic → Training Platform
  * Pretty, J., 2005. The Earthscan Reader in Sustainable Agriculture. Earthscan, London.
  * Nemes, N., 2009. Comparative Analyses of Organic and Non-Organic Farming Systems: A critical assessment of farm profitability. FAO Rome. <ftp://ftp.fao.org/docrep/fao/011/ak355e/ak355e00.pdf>  


  
**Organic certification**  
_Publications_  


  * Standards and regulations: see Annex A5.1
  * EPOPA/CTA/FAO, 2006: Regulations, standards and certification for agricultural exports.

<http://www.fao.org/docrep/010/a0791e/a0791e00.HTM>

  * FAO Manuals on Certification for agricultural exports. <http://www.fao.org/ES/ESC/en/15/262/highlight_269.html>
  * IFOAM Internal Control Systems for Group Certification – Training Kit for Producer. www.ifoam.org → Growing Organic → Training Platform
  * ICS tools on www.organicandfair.org → Publications and <http://www.organiccotton.org> → Library
  * IFOAM/IOIA, 2000. International Organic Inspection Manual. shop.ifoam.org
  * The Organic Standard: Monthly journal on organic certification topics. <http://www.organicstandard.com>
  * The Organic Certification Directory. <http://www.organicstandard.com/directory.html>  


  
**Fair trade**  
_Organisations and websites_  


  * FLO - Fairtrade Labelling Organisations International: Standards, products, producers, resources, news. <http://www.fairtrade.net>
  * Fair Trade Institute: Online collection of Fair Trade research publications. <http://www.fairtrade-institute.org>
  * World Fair Trade Organization. <http://www.wfto.com>
  * Fair for Life. <http://www.fairforlife.net>
  * Ecocert Fair Trade. <http://www.ecocert.com/-EFT-.html>
  * Soil Association Ethical Trade. <http://www.soilassociation.org>  


  
**Value chain facilitation**  
_Organisations and websites_  


  * GTZ ValueLinks (<http://www.value-links.de/manual/distributor.html>)
  * KIT Value chains for development ([http://smartsite.kit.nl/smartsite.shtml?ch=FAB&id=12505](http://smartsite.kit.nl/smartsite.shtml?ch=FAB&id=12505))
  * SDC Markets4Poor (<http://www.markets4poor.org/publication>)  


  
**Publications**  


  * UNEP/UNCTAD, 2008. Best practices for Organic Policy. What developing country governments can do to promote the organic sector.

  
**Agricultural extension**  
_Organizations and websites_  


  * Agridea. <http://www.agridea-international.ch>
  * Global Farmer Field School. <http://www.farmerfieldschool.info>  


  
_Publications_  


  * Agridea, 2002. Innovative Approaches to Financing Extension for Agriculture and Natural Resource Management. Conceptual considerations and analysis of experience. <http://www.agridea-international.ch>
  * CIP-UPWARD/IDRC, 2005. Participatory Research and Development for Sustainable Agriculture and Natural Resources Management: A Sourcebook. <http://www.idrc.ca>
  * Helvetas, 2005. You Pay for What You Get. From budget financing to result based payments. <http://www.helvetas.org>  


  
**Gender issues in value chains**  
_Organisations and websites_  


  * Agri-ProFocus Gender in Value Chains Learning Group. <http://genderinvaluechains.ning.com>  


  
_Publications_  


  * EPOPA Gender Learning and Sharing; Project end report. <http://www.grolink.se/epopa/Publications/GenderProjectEndReport.pdf>
  * Farnworth, Cathy & Jessica Hutchings, 2009. Organic Agriculture and Womens’ Empowerment. IFOAM. <http://www.ifoam.org> → Growing organic → Arguments for Organic → Social Justice
  * IFOAM Training Module on Gender in Organic Agriculture.

<http://www.ifoam.org> → Growing Organic → Training Platform

  * Pyburn & Verhart (forthcoming). Strategies for Addressing Gender in Certified Coffee Chains. KIT, Amsterdam.  


  
**Business planning and management**  
_Organisations and websites_  


  * BizPlanCompany business plan firm. <http://www.bizplancompany.com/services/business-plan-details/>
  * BizPlanIt's Virtual Business Plan. <http://www.bizplanit.com/vplan.html>
  * ICA - International Cooperatives Association. <http://www.ica.coop/al-ica>
  * FAO/ILO. Cooperatives and Producers' Organisations. <http://www.fao-ilo.org/fao-ilo-coop>
  * ILO - International Labour Organisation. Publications related to agricultural cooperatives <http://www.ilo.org/empent/WorkingUnits/lang--en/WCMS_DOC_ENT_DPT_COO_EN/index.htm>
  * Agromisia/CTA, 2006: Starting a cooperative. Farmer-controlled economic initiatives. <http://www.agromisa.org/agrodoks/Agromisa-AD-38-E.pdf>
  * Financing institutions: see Annex ["Financing Institutions providing loans for organic and Fair Trade businesses"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Annexes#Financing_institutions_providing_loans_for_organic_and_Fair_Trade_businesses)
  * Micro-finance: <http://www.microfinancegateway.org>  


  
_Publications_  


  * Berdegué, J.A., E. Biénabe and L. Peppelenbos, 2008. Keys to Inclusion of Small-scale Producers in Dynamic Markets. IIED London.
  * FAO, 1998. Agricultural Cooperative Development. A manual for trainers. <ftp://ftp.fao.org/docrep/fao/005/X0475E/X0475E00.pdf>
  * FAO, 2009. Business management for small-scale agri-industries. <http://www.fao.org/docrep/011/i0499e/i0499e00.htm>
  * Koning, M. de, van Steenhuijsen Piters, B., 2009. Farmers as Shareholders; A close look at recent experience. KIT, Amsterdam.

[http://www.kitpublishers.nl/smartsite.shtml?&id=33740&ItemID=2764&ch=FAB](http://www.kitpublishers.nl/smartsite.shtml?&id=33740&ItemID=2764&ch=FAB)

  * MATCOM Cooperative Training Manuals, available from COOP@ilo.org.  


  
**Markets and marketing**  
_Organisations and websites_  


  * For a list of the main organic trade fairs, see chapter ["Organic Business Guide"](http://en.wikibooks.org/wiki/Organic_Business_Guide/Marketing#Building_and_maintaining_client_relations)
  * CBI - Centre for the Promotion of Imports. <http://www.cbi.eu>
  * Greentrade: Organic market place and exchange platform. <http://www.greentrade.net>
  * Organic Links: Market information and business directory. <http://www.organic-market.info>
  * Organic Market Place at ITC: Importers, exporters, fairs. <http://www.intracen.org/organics/market-place.htm>
  * Organic Monitor: Organic market information. <http://www.organicmonitor.com>
  * Organic Trade Association: Business platform for North Amercia. <http://www.ota.com>
  * Ecomercados: Organic marketing initiative in Central America; business directory and market information. <http://www.ecomercados.org>
  * EU Generalised System of Preferences, <http://ec.europa.eu/trade/wider-agenda/development/generalised-system-of-preferences>
  * US African Growth and Opportunity Act, <http://www.agoa.gov>
  * Sanitary and Phytosanitary Measures. <http://spsims.wto.org>
  * SIPPO - Swiss Import Promotion Programme. <http://www.sippo.ch>
  * Marketing: <http://www.knowthis.com/principles-of-marketing-tutorials>, <http://www.quickmba.com/marketing/plan> and <http://www.netmba.com/marketing/mix>  


  
_Publications_  


  * Agromisia/CTA, 2004: Marketing for small-scale producers. <http://www.agromisa.org/agrodoks/Agromisa-AD-26-E.pdf>
  * Buley, M. et al, 1997. Exporting Organic Products; Marketing Handbook. GTZ, Eschborn
  * EPOPA, 2006. Organic Exporter Guide – hands-on help for organic exports from Africa. <http://www.ifoam.org>
  * FiBL, 2004. A Guide to successful organic marketing initiatives. [https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338](https://www.fibl-shop.org/shop/show.php?sprache=EN&art=1338)
  * IFOAM, 2004. Developing Local Marketing Initiatives. A Guide for Small and Medium Enterprises. [http://shop.ifoam.org/bookstore/product_info.php?cPath=64_22&products_id=452](http://shop.ifoam.org/bookstore/product_info.php?cPath=64_22&products_id=452)
  * ITC, 2007. Overview of World Production and Marketing of Organic Wild Collected Products. <http://www.intracen.org/organics>
  * ITC, 2006. Marketing Manual and Web Directory for Organic Spices, Culinary Herbs and Essential Oils. <http://www.intracen.org/Organics/documents/marketing-manual.pdf>
  * Organic Exchange, 2009: Export Logistics. An introductory guide to procedures. <http://www.organicexchange.org/Documents/farmer_expo2.pdf>
  * CBI, 2004. Export Planner. A comprehensive guide for prospective exporters in developing countries. [http://cbi.nl/marketinfo/cbi/?action=showDetails&id=55&via=pub](http://cbi.nl/marketinfo/cbi/?action=showDetails&id=55&via=pub)
  * SIPPO/CBI, 2003. Your Image Builder. <http://www.sippo.ch/internet/osec/en/home/import/publications/sippo_and_partner.html>
  * SIPPO, 2008. From contacts to contracts. A guide to practice. <http://www.sippo.ch/internet/osec/en/home/import/publications/sippo_and_partner.html>  


  


## Value chain facilitation[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-3)]
    
    
                                              **Consultancy for developing organic value chains**  
    
    

Organisations Comments Further information

IFOAM Forum of Consultants
Consultancy companies and individuals with a common code of conduct supporting the organic movement  
  

<http://www.ifoam.org/about_ifoam/professional/consultants.html>

ITC platform
Database of business contacts for importers and exporters of organic products  
  

<http://www.intracen.org/dbms/organics/index.asp>

UNEP
List of resource persons  
  

<http://www.unep.fr/scp/rpanel/members.htm>

UNIDO
Providing trade related development services, consultancy in agro-value chain development and a value chain analysis tool kit  
  

<http://www.unido.org/index.php?id=7395>

AgroEco LB
Consultancy in linking partners in organic food supply chains  
  

<http://www.agroeco.nl>

Bioherb
Consultancy on all aspects of organic agriculture and essential oils, spices, herbs and medicinal plants  
  

<http://www.bioherb.de>

FiBL
Consultancy in market development, certification  
  

<http://www.fibl.org>

FLO producer support unit
Supporting producers by facilitating relationships with buyers and by helping to gain access to new markets  
  

<http://www.fairtrade.net/services_and_relations.html>

Greennet
Support to organic initiatives in East and South-East Asia  
  

<http://www.greennet.or.th>

Grolink
Assistance in development projects, training, and marketing of organic products  
  

<http://www.grolink.se>

Helvetas Organic & Fair trade Competence Centre OFTCC
Supporting development of organic and Fair Trade value chains  
  

<http://www.organicandfair.org>

Intercooperation
Consultancy services and project implementation on organic value chains  
  

<http://www.intercooperation.org>

Organic Exchange
Supporting farmers in increasing their access to markets for organically grown cotton and food crops  
  

<http://www.organicexchange.org>

Traidcraft
Support in building supply chains and in developing market access programms  
  

<http://www.traidcraft.co.uk>

  
  
  


## Donors and development agencies supporting organic value chains[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-4)]

The following table lists important organisations that are or have been active in supporting organic value chain projects. Please note that the list is not complete, and that priorities may change over time.

  


Organisations Weblink

AECF - Africa Enterprise Challenge Fund
<http://www.aecfafrica.org>  
  


BTC - Belgian Development Cooperation Agency
<http://www.btcctb.org>  
  


Danida, Denmark
<http://www.danidadevforum.um.dk>  
  


DED - German Development Service
<http://www.ded.de>  
  


GTZ - Deutsche Gesellschaft für Technische Zusammenarbeit, Germany
<http://www.gtz.de>  
  


Hivos - Humanist Institute for Development Cooperation, The Netherlands
<http://www.hivos.nl>  
  


ICCO - Interchurch Organisation for Development Cooperation, The Netherlands
<http://www.icco.nl>  
  


ITC - International Trade Centre
<http://www.intracen.org>  
  


Oxfam
<http://www.oxfam.org>  
  


Pro Invest (EU)
<http://www.proinvest-eu.org>  
  


SECO - Swiss State Secretariat for Economic Affairs
<http://www.seco.admin.ch>  
  


Shell Foundation
<http://www.shellfoundation.org>  
  


SIDA - Swedish
<http://www.sida.se>

  


  
  


## Business planning[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-5)]

**Outline of a business plan for an organic business**

_Executive Summary_

  * A very important part of your business plan, especially if you want to convince investors! Provide on max. 2-3 pages a precise summary of the main aspects of your organic business.
  * Cover at least the following: Scope of your business (production, processing, trade etc.), description of products, certifications, target markets, organisational set-up, management team, financing sources, finance requirements.
  * Keep it short; details on each of these points should be explained in the body of the business plan. The executive summary is meant to give a short, to the point, overview of your business, your financial needs and the unique selling points of your business.

  
_Description of the company or organisation_

  * Explain who you are (legal organisation) and what is your motivation for organic farming, the envisaged development impact, your guiding principles in working with farmers etc.
  * Describe your business history; include historical data on volumes, turnover, number of farmers and employees etc.
  * Outline how you are organized (organisational chart), especially how you involve farmers in your business, how you are linked with processors, traders or service providers.
  * Describe the current status of your business and your future plans (growth, product diversification, vertical integration).

  
_Business environment_

  * Describe the political, social and economic environment in which your business operates. What are the main obstacles and threats for an organic business? What opportunities can be used? What is the attitude of the government towards organic businesses; are there supportive policies?
  * Describe the situation of other organic businesses operating in your country. Do they collaborate or participate in networks?

  
_Products and services_

  * Describe the products you are planning to offer, the degree of processing, and the quality specifications. Explain which certifications you envisage.
  * Analyze how your products compete in the market.
  * Describe the purpose of your products. Describe any specific features or benefits of your products, i.e. the competitive advantage (or disadvantage) of your product.

  
_Industry and value chain analysis_

  * Describe the organic industry you are in (volumes, revenue, trends). Describe the opportunities and threats of the industry to your company.
  * Describe the value chain(s) in which you are involved (value chain map). Analyse and describe any bottle necks, critical links, opportunities and threats in the value chain.

  
_Marketing plan_

  * Describe your target markets (at local, regional and international level) and the respective clients (processing industry, wholesalers, retailers etc.). Indicate the market size and average sales price of each target market.
  * Identify the trends of your target markets concerning market growth and preferences and how these trends form an opportunity or threat for your business.
  * Outline how you will reach your target market (sales price, marketing activities, marketing channels and material).

  
_Competitive analysis_

  * Identify your main competitors. Describe the strength and weaknesses of the competitors, including product quality and sales price.
  * Clarify your competitive (dis)advantages.
  * Define the market share you envisage to achieve and motivate how you will achieve this.

  
_Operations Plan_

  * Describe the location of your office and production area, the facilities and equipment needed. Indicate the planned number of associated farmers, production figures, number of staff etc.
  * Describe the activities from input supply up to sales, including the arrangements for bulking, storing, transporting and processing of the produce.
  * Describe the extension and internal control system, the system to manage information, and the measures taken to ensure product quality.
  * Calculate the variable and fixed costs of the production (cost price).

  
_Financial Plan_

  * Demonstrate the feasibility of your business (break-even). Calculate and comment your expected profit or loss over the next 3-5 years (including worst case - best case scenarios). Include an income statement and balance sheet with the results of the past 3 years (for existing businesses) and the planned results of the coming 3 to 5 years.
  * Calculate the expected cash flow and the need for (trade) finance for the first two years on a monthly basis.
  * Describe the sources of funds (own capital, investments, loans, advance payments by clients, grants), and how they are used.

  
_Management Plan_

  * Describe the management structures and how decisions are taken. Describe the profiles of the individual members of the management team.
  * Describe the Advisory Board, the supporting organisation or the consultants assisting you.
  * Describe which competencies are still missing and how you plan to get them.

  
_Risk analysis_

  * Demonstrate your ability to understand potential problems that could occur to your business. Explain how you plan to reduce and manage these risks.  


  


## Production planning tool - example[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-6)]

  
**Download the corresponding excel file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![Production-planning.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Production-planning.jpg/800px-Production-planning.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


## Examples of cost price calculations[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-7)]
    
    
                                                **Example of organic pineapple processing**  
    
    

![Pineapple-processing.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Pineapple-processing.jpg/800px-Pineapple-processing.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  

    
    
                                                **Example of organic cotton fibre production**  
    
    

![Organic-cotton.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Organic-cotton.jpg/600px-Organic-cotton.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


## Financing institutions providing loans for organic and Fair Trade businesses[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-8)]

  


Name of the bank Services Web link

Triodos
Trade finance loans to organic and Fair Trade producers Microfinance  
  

<http://www.triodos.org>

Oikocredit
Microfinance Loans Guarantees Credit lines Equity investments  
  

<http://www.oikocredit.org>

ResponsAbility
SME finance microfinance Fair Trade Finance of independent media Private equity  
  

<http://www.responsability.com>

Rabobank
Trade finance Farm finance, Sustainable Agriculture Guarantee Fund Infrastructure finance for food & agribusiness industries Finance of clean technology / renewable energy  
  

<http://www.rabobank.com>

Shared Interest
Trade finance and longer term loans for Fair Trade producer groups Credit to Fair Trade buyers to provide advance payments to producers  
  

<http://www.shared-interest.com>

Etimos
Finance for micro-credit institutions and trade finance for producer groups  
  

<http://www.etimos.it>

  


  
  


## Organisational set-up and processes[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-9)]
    
    
                                            **Roles and responsibilities in extension and ICS**  
    
    

  


**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


Actors Responsibility of extension service Responsibility of ICS

**Approval committee**

  * Approval of list of non-conformities and sanctions
  * Approval of organic status of producers, based on recommendations in inspection reports
  * Decision on exclusion of producers due to non-compliance with internal standards
  * Handling appeals of producers against decisions of the internal inspectors or ICS manager  
  


**Head of extension / ICS**

  * Development, management and revision of the extension system (curricula, training material)
  * Training of extension staff on extension methodology
  * Coordination of participatory research activities
  * Supervision of training activities, technical advice and exchange activities (including visits to at least 1-2% of the farmers)
  * Coordination of input supply and distribution

  * Development, management and revision of the ICS (procedures, forms etc.)
  * Training of extension staff on ICS aspects
  * Update and analysis of central database
  * Supervision of internal inspection activities (including re-inspection of 1-2% of the farms)
  * Decision on sanctions for minor non-compliances

**Field officer / internal inspector**

  * Technical advice to lead farmers and farmers
  * Training of producers
  * Visit to each farm at least twice per season
  * Monitoring of implementation of recommended production practices
  * Identification of problems in the field, and developing appropriate solutions
  * Facilitating the exchange between farmers
  * Follow-up on the distribution of inputs and equipments

  * Supervision of the work of lead farmers
  * Registration of producers (farm characteristics, location of plots, plot size)
  * Supervision of record keeping at farmer group level
  * Transfer of data and information to the head of ICS
  * Internal inspection of each farm (check records, physical inspection of farm, yield estimates)
  * Inspection of storage facilities
  * Supervision of buying the produce
  * Cross-checking data of each farm

**Lead farmer**

  * Regular visit to farmers; technical advice
  * Monitoring of implementation of recommended production practices
  * Identification of problems in the field, and developing appropriate solutions
  * Facilitating the exchange between farmers

  * Support farmers in keeping records
  * Registering farmers interested to join
  * Transfer of data and information to the field officer

  


## Job description for Field Officer - example[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-10)]

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  
**Team and responsibilities**  
The Field Officer (FO) functions in a team comprising of other Field Officers and a Documentation Officer (DO), all managed by the Field Supervisor (FS). The FO reports to the Field Supervisor. The team works from the field office. The FO attends monthly team meetings in the organic field office. Progress and any problems are reported and a plan made how to solve them.

The FO is assigned to a certain area, a locality, a group of farmers for whom he/she is responsible. The FO is expected to live in that area. The FO is not expected to be a farmer unless it is a model farm. During the time of internal inspection (2 months of the year), the FO may be transferred to the locality of a fellow FO.

The FO shall be a good representative of the exporter. This includes that the right information from the exporter is communicated to the farmers, and that important information from the farmers is fed back to the exporter (via the Field Supervisor). Good communication normally means through contact farmers.

  
**Assistance to farmers**  
The FO shall be responsible for correctly informing the farmers (men and women) of the standards of organic production as laid down in the internal regulation. This means that regularly, awareness and training workshops are held on demonstration farms, or otherwise. The FO shall assist the farmers (men and women) in improving agricultural production in a sustainable organic way. This may involve some experimentation on the demonstration farms or on individual farms. The strategy for farm improvements is decided every year in the team. The FO is to implement that strategy. The FO shall work with the farmers to produce predominantly Grade 1 produce; picked at the right time in the right way, properly fermented, washed and dried.

  
**Responsibilities within the ICS**  
The FO shall implement the Internal Control System as described in the ICS manual. This means that the FO is responsible that for each farm under his/her responsibility

  * correct information is available, updated from the Farm Entrance Form
  * producer contracts are signed
  * a proper yield estimate is done prior to harvest
  * an annual internal inspection is done
  * non-compliances from the internal inspection are followed-up
  * areas for improvements indicated during the internal inspection are addressed
  * Corrective Action Requests from the certification body are implemented

The documents under the FO’s control are always kept dry and in a secure place. Documents gone missing are reported instantly to the FS. The FO guards the organic integrity of the farmers under his/her control. Failure to maintain organic status is a reason for summary dismissal.  
  


  
**Responsibilities during marketing**  
_During marketing, the FO shall_

  * communicate prices and buying times to the farmers
  * monitor prices paid by the competition and report to the FS
  * advise farmers on logistics (storage, delivery)
  * confirm the identity of delivering farmers
  * assist the buying agent in establishing the quality grade
  * address substandard quality
  * investigate suspicions of over delivery and contamination

**Equipment**  
Every three years, the FO is given a bicycle as means of transport. The FO is responsible for maintenance of the bicycle. Breakdown of the bicycle is not an acceptable excuse for work not done. The FO is given gumboots and a cap to identify him/her as the internal inspector.

  
**Targets**  
Every year specific targets are set by the FS (number of farmers, yield, new practices implemented, ICS work done on time). When achieved, the FO receives a bonus.

  
**Confidentiality**  
All documents are confidential and should not be shared with any person without the consent of the Field Supervisor. Information requests from outsiders are forwarded to the FS. The FO shall assist buyers and/or inspectors of the certification body when they are visiting the farmers. At that time, the FO shall answer questions, share information, show documents etc. to facilitate the visit.

  
**Further conditions**  
The Field Officer is not allowed to work for one year for another organic operator after termination of his/her job, regardless who is to blame for the discontinuation of the employment.

Date:

Signature of FO  
Signature of Employer  


## Content of an Operating Manual[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-11)]

**Use and update of the manual**  


  * Objectives, how to use, distribution
  * Revision and up-dating of the manual  


**The organic production and Fair Trade system**  


  * The organic farming system, production methods
  * The Fair Trade system, handling of minimum price and premiums  


**Organisational set-up**  


  * Organigramme, roles and responsibilities
  * Selecting and organizing the producers  


**The extension system**  


  * Roles, processes and tools
  * Training of staff
  * Training of farmers
  * Extension visits
  * Facilitating farmer-to-farmer exchange
  * Supply of inputs  


**The Internal Control System (ICS)**  


  * Roles, processes and tools
  * Training of staff
  * Risk management
  * Documentation
  * Internal inspection visits
  * Internal approval procedure  


**Post-harvest operations**  


  * Storage, bulking, transport
  * Processing
  * Marketing, payments  


**Quality management and monitoring**  


  * Data management
  * Sampling, cross-checking
  * Product quality management
  * Impact monitoring

**Annexes**  


  * Reference documents
  * Forms and templates  


  


## Annual operational plan[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-12)]

  
**Download the corresponding excel file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![Annual-operational-plan.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Annual-operational-plan.jpg/600px-Annual-operational-plan.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


## Checklist: What you may need for an organic business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-13)]

Category Details

Personnel

  * management
  * accountant
  * extension staff, internal inspectors
  * marketing staff
  * labour for processing, packaging, transport

Buildings (owned or on rent)

  * office buildings
  * processing facilities
  * storage facilities

Processing equipment

  * cleaning / sorting / grading equipment
  * processing equipment and machinery
  * packaging equipment

Transport equipment

  * motorbikes for field staff
  * trucks for transport of goods

IT & communication equipment

  * computers, internet equipment
  * printer, copier etc.
  * communication equipment

Other technical equipment

  * scales to weigh goods
  * GPS to position / measure fields

External services

  * input providers
  * technical advisory services
  * certification services
  * business advisory services
  * transport services (if outsourced),
  * processing services (if outsourced)
  * auditing services
  * financial services

Certificates / Permits

  * organic certificates
  * Fair Trade certificates
  * phytosanitary declaration
  * (non) fumigation declaration
  * export permits

Finance

  * own capital (equity)
  * credits
  * trade loans

  


  


## Certification and ICS[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-14)]
    
    
                                           **Overview of important organic standards and labels**  
    
    

Standards / labels Comments Further information

_Official organic regulations_  


  


EU-organic regulation
Council Regulation (EC) No 834/2007 came into force on January 1, 2009  
  

<http://ec.europa.eu/agriculture/organic>

US-NOP
Production and labelling standards for organic agricultural products in the USA  
  

<http://www.ams.usda.gov/AMSv1.0/NOP>

Japan JAS
Standards for production and processing of organic products in the Japanese market  
  

<http://www.maff.go.jp/e/jas/specific/organic.html>

_Private organic labels_  


  


Naturland
German label for organic agricultural production and processing, organic aquaculture, textile production, cosmetics, forest management, bio + fair  
  

<http://www.naturland.de>

Soil Association
UK standards for organic production and processing of food, but also of textiles and cosmetics, ethical trade standard  
  

<http://www.soilassociation.org>

Swiss bud ("Knospe")
Swiss label for organic food products, known for prohibiting air freight  
  

<http://www.bio-suisse.ch>

Demeter
Biodynamic agriculture method, requiring specific measures to strengthen the life processes in soil and foodstuffs  
  

<http://www.demeter.net>

_Product-specific organic standards_

Global Organic Textile Standard-GOTS
Covering the entire process from (organic) fibre to finished product  
  

<http://www.global-standard.org>

Cosmetics-COSMOS
A number of private initiatives have merged into one European standard  
  

<http://www.cosmos-standard.org>

  


  
  


## Sustainability and industry standards that can be combined with organics[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-15)]

  


  


Standards / labels Comments Further information

_Sustainability standards_  


  


Fair trade
Food, wine, flowers, sport balls  
  

<http://www.fairtrade.net>

FairWild
Standard for wild-collected natural ingredients  
  

<http://www.fairwild.org>

FairForLife
Combination of social and fair-trade standards for agricultural, manufacturing and trading operations  
  

<http://www.fairforlife.net>

Rainforest Alliance
Conserving biodiversity, standard for agricultural and forest products as well as tourism
<http://www.rainforest-alliance.org>

Utz Certified
Coffee, cocoa and tea certification programs
<http://www.utzcertified.org/>

CmiA - Cotton made in Africa
Enhancing competitiveness of African cotton
<http://www.cotton-made-in-africa.com>

BCI
Approach to minimize harmful impacts in cotton production, no formal certification but self assessment and learning exercise
<http://www.bettercotton.org>

4C
Producers, trade, industry and civil society work together for more sustainability in the coffee sector
<http://www.4c-coffeeassociation.org>

_Quality and social standards_  


  


GLOBALGAP
Key reference for Good Agricultural Practices (G.A.P.), is a single integrated supermarket standard with modular applications for different product groups, mainly known in the fruit and vegetables sector  
  

<http://www.globalgap.org>

SA 8000
Standard for improving working conditions, based on international human rights conventions. Was first auditable social standard  
  

<http://www.sa-intl.org>

Child labour
Certification showing that agricultural products are not produced by forced labour or child labour  
  

<http://www.www.laborrights.org/stop-child-labor/child-labor-free-certification-initiative>

International Food Standard
Food safety standard used by many supermarkets in Germany and France  
  

<http://www.food-care.info>

BRC Food Standard
Food safety standard of the British Retail Consortium  
  

<http://www.www.brcglobalstandards.com/standards/food>

ISO 9000
Quality management standard  
  

<http://www.iso.org/iso/iso_catalogue/management_standards/iso_9000_iso_14000.htm>

HACCP
Hazard Analysis & Critical Control Point, a systematic preventive approach used in the food industry  

<http://www.haccpalliance.org>

_Product-specific organic standards_

Global Organic Textile Standard-GOTS
Covering the entire process from (organic) fibre to finished product  
  

<http://www.global-standard.org>

Cosmetics-COSMOS
A number of private initiatives have merged into one European standard  
  

<http://www.cosmos-standard.org>

  


  
  


## Farmer agreement - example[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-16)]

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![Farmer-agreement.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Farmer-agreement.jpg/600px-Farmer-agreement.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


## Internal regulations – example[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-17)]

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  


  


![Internal-regulations.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Internal-regulations.jpg/600px-Internal-regulations.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


## List of non-conformities and sanctions – example[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-18)]
    
    
                                                **Sanctions and the levels of decisions**  
    
    

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![Sanctions.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/43/Sanctions.jpg/600px-Sanctions.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)
    
    
                                     **Non conformities according to internal standards / internal control**  
    
    

![Non-conformatie.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/Non-conformatie.jpg/600px-Non-conformatie.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

## Marketing tools[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-19)]
    
    
                                      **Product description sheet - example of cotton from Burkina Faso**  
    
    

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/36/Product-description.jpg/600px-Product-description.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

A template is available on www.organiccotton.org --> library --> Product description sheet template.

  


  

    
    
                                             **Contract between seller and buyer - example**  
    
    

  
**Download the corresponding word file** **[here**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)  
  


![Purchase-Contact.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Purchase-Contact.jpg/600px-Purchase-Contact.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

## General tools[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-20)]
    
    
                                                **Typical pitfalls, and how to avoid them**  
    
    

![Pitfalls.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Pitfalls.jpg/600px-Pitfalls.jpg)

![](http://bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

  


  


  


## Checklist: What makes a successful organic business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Annexes&action=edit&section=T-21)]

  * Your farmers are loyal to you. More farmers want to join. The farmers appreciate the support of the field officers; both production and quality increase. The farmers have a farm with a future.
  * An organisation with head office, grading, processing and packing facilities, stores, field office and buying stations is in place. Quality assurance has been developed. You work with the same, reliable transport company year after year.
  * The company is well-managed, the staff is well trained, there is low staff rotation. The company can always be reached by email, phone, and fax, and it responds rapidly. There are clear arrangements for decision making when key staff members are travelling.
  * There is proper organic certification for the target markets. The contact with the certifier is pleasant. There are only few corrective action requests after the annual inspection.
  * You have a sizeable volume of a number of products of a quality demanded in the market. Every three years there is a new product. A unique selling proposition has been developed, one that is recognised by your buyers and competitors. You improve your business by asking feedback from customers.
  * Every year the marketing plan is rehearsed and confirmed. A number of markets and buyers have been tested. You operate in 2-3 different markets. Longer term agreements have been made with 2-3 selected buyers. You see each other every year. You have visited each other.
  * There are clear and efficient procedures on how to define prices (in buying and selling). There is a consistent policy on handling price and exchange risks. The company is in touch with the latest market and price developments.
  * A continuous analysis of costs and benefits shows that normally there is a 15-20% margin. This margin is used to expand the business.
  * Your health and that of the family is well.

## Tools to administer your organic business[[edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Tools&action=edit&section=T-1)]

The Organic Business Guide provides you with several tools that will help you to get your business started and keep it running - some of which were already displayed in the Annex. The link below will take you to some "ready-to-use" word and excel documents, which are hosted on the website of the Organic and Fairtrade Competence Center:  
  


**[Tools to The Organic Business Guide**](http://www.organicandfair.org/oftcc/Publications/Tools-and-Guides/Organic-Business-Guide-publications.php)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&oldid=1718049](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&oldid=1718049)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Organic Business Guide](http://en.wikibooks.org/wiki/Category:Organic_Business_Guide)

Hidden category: 

  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Organic+Business+Guide%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Organic+Business+Guide%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Organic_Business_Guide/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Organic_Business_Guide/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Organic_Business_Guide/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&oldid=1718049)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Organic_Business_Guide%2FPrint_version&id=1718049)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Organic+Business+Guide%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Organic+Business+Guide%2FPrint+version&oldid=1718049&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Organic_Business_Guide/Print_version&printable=yes)

    * This page was last modified on 11 February 2010, at 13:54.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Organic_Business_Guide/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
