# Organic Chemistry/Print version

From Wikibooks, open books for an open world

< [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Organic_Chemistry/Print_version) on _7 August 2013_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&oldid=2548122&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&action=purge&printable=yes) this page.
Welcome to the world's foremost open content  
**Organic Chemistry Textbook**  
on the web!

![Ethane3D.png](../../../upload.wikimedia.org/wikipedia/commons/3/3b/Ethane3D.png)
This **free** online text is intended to become a _complete replacement_ for your printed book.

## The Study of Organic Chemistry

Organic chemistry is primarily devoted to the unique properties of the carbon atom and its compounds. These compounds play a critical role in biology and ecology, Earth sciences and geology, physics, industry, medicine and — of course — chemistry. At first glance, the new material that organic chemistry brings to the table may seem complicated and daunting, but all it takes is concentration and perseverance. Millions of students before you have successfully passed this course and you can too!

This field of chemistry is based less on formulas and more on reactions between various molecules under different conditions. Whereas a typical general chemistry question may ask a student to compute an answer with an equation from the chapter that they memorized, a more typical organic chemistry question is along the lines of "what product will form when substance X is treated with solution Y and bombarded by light". The key to learning organic chemistry is to _understand_ it rather than cram it in the night before a test. It is all well and good to memorize the mechanism of Michael addition, but a superior accomplishment would be the ability to explain _why_ such a reaction would take place.

As in all things, it is easier to build up a body of new knowledge on a foundation of solid prior knowledge. Students will be well served by much of the knowledge brought to this subject from the subject of [General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry). Concepts with particular importance to organic chemists are covalent bonding, Molecular Orbit theory, VSEPR Modeling, understanding acid/base chemistry vis-a-vis pKa values, and even trends of the periodic table. This is by no means a comprehensive list of the knowledge you should have gained already in order to fully understand the subject of organic chemistry, but it should give you some idea of the things you need to know to succeed in an organic chemistry test or course.

Organic Chemistry is one of the subjects which are varying useful and close to our daily life. We always try to figure out some of the unknown mysteries of our daily life through our factious thinking habit, which generates superstitions. Through the help of chemistry we can help ourselves to get out of this kind of superstition. We always try to find the ultimate truth through our own convenience. In the ancient past we had struggled to make things to go as per our need. In that context we have found fire, house, food, transportation, etc…

Now the burning question is: "how can chemistry help our daily life?" To find the answer of this questions, we have to know the subject thoroughly. Let us start it from now.

# Contents

If you save this file to your computer, you can click on these links to go to the appropriate section.

  * [Copyright](Print_version.html#Copyright) · [Authors](Print_version.html#Authors) · [Forward](Print_version.html#Forward)

* * *

  1. [Unit 1: Foundational Concepts of Organic Chemistry](Print_version.html#Unit_1:_Foundational_concepts_of_organic_chemistry)

    [Ch 1: History of Organic Chemistry](Print_version.html#History_of_organic_chemistry) · [Ch 2: Atomic Structure](Print_version.html#Atomic_structure) · [Ch 3: Electronegativity](Print_version.html#Electronegativity) · [Ch 4: Bonding](Print_version.html#Bonding) · [Ch 5: Electron Dot Structures & Formal Charge](Print_version.html#Electron_dot_structures_.26_formal_charge) · [Ch 6: CResonance](Print_version.html#Resonance) · [Ch 7: Acids and Bases](Print_version.html#Acids_and_bases)
  2. [Unit 2: Alkanes and Cycloalkanes](Print_version.html#Unit_2:_Alkanes_and_cycloalkanes)

    [Ch 1: Methane and Carbon Chains](Print_version.html#Methane_and_carbon_chains) · [Ch 2: Properties of Alkanes](Print_version.html#Properties_of_alkanes) · [Ch 3: Drawing Alkanes](Print_version.html#Drawing_alkanes) · [Ch 4: Branched Alkanes](Print_version.html#Branched_alkanes) · [Ch 5: Constitutional Isomers](Print_version.html#Constitutional_isomers) · [Ch 6: Naming Alkanes](Print_version.html#Naming_alkanes) · [Ch 7: Cycloalkanes](Print_version.html#Cycloalkanes) · [Ch 8: Newman Projections and Conformers](Print_version.html#Newman_projections_and_conformers) · [Ch 9: Conformations](Print_version.html#Conformations) · [Ch 10: Stereoisomers and Chirality](Print_version.html#Stereoisomers_and_chirality)
  3. [Unit 3: Stereochemistry](Print_version.html#Unit_3:_Stereochemistry)

    [Ch 1: Chirality](Print_version.html#Chirality) · [Ch 2: Optical Activity](Print_version.html#Optical_activity) · [Ch 3: Enantiomers](Print_version.html#Enantiomers) · [Ch 4: Meso Compounds](Print_version.html#Meso_compounds) · [Ch 5: Diastereomers](Print_version.html#Diastereomers) · [Ch 6: Configurations](Print_version.html#Configurations) · [Ch 7: R-S Notational System](Print_version.html#R-S_notational_system)
  4. [Unit 4: Haloalkanes](Print_version.html#Unit_4:_Haloalkanes)
  5. [Unit 5: Alcohols](Print_version.html#Unit_5:_Alcohols)
  6. [Unit 6: Amine](Print_version.html#Unit_6:_Amine)
  7. [Unit 7: Alkenes](Print_version.html#Unit_7:_Alkenes)

    [Ch 1: Alkene Properties](Print_version.html#Alkene_properties) · [Ch 2: Naming Alkenes](Print_version.html#Naming_alkenes) · [Ch 3: Cycloalkenes](Print_version.html#Cycloalkenes) · [Ch 4: The pi bond](Print_version.html#The_pi_bond) · [Ch 5: Stability of Double Bonds](Print_version.html#Stability_of_double_bonds) · [Ch 6: Alkene Reactions](Print_version.html#Alkene_reactions)
  8. [Unit 8: Alkynes](Print_version.html#Unit_8:_Alkynes)

    [Ch 1: The Triple Carbon-Carbon Bond](Print_version.html#The_triple_carbon-carbon_bond) · [Ch 2: Alkyne Properties](Print_version.html#Alkyne_properties) · [Ch 3: Naming Alkynes](Print_version.html#Naming_alkynes) · [Ch 4: Cycloalkynes](Print_version.html#Cycloalkynes) · [Ch 5: Alkyne Reactions](Print_version.html#Alkyne_reactions)
  9. [Unit 9: Dienes](Print_version.html#Unit_9:_Dienes)

    [Ch 1: Kinds of Dienes](Print_version.html#Kinds_of_dienes) · [Ch 2: Conjugation](Print_version.html#Conjugation) · [Ch 3: Diene Properties and eactions](Print_version.html#Diene_properties_and_reactions)
  10. [Unit 10: Aromatics](Print_version.html#Unit_10:_Aromatics)

    [Ch 1: Aromatics in history](Print_version.html#Aromatics_in_history) · [Ch 2.1: Benzene structure](Print_version.html#Benzene_structure) · [Ch 2.2: Benzene Properties](Print_version.html#Benzene_properties) · [Ch 4.1: Overview of Electrophilic Aromatic Substitution Reactions](Print_version.html#Overview_of_electrophilic_aromatic_substitution_reactions) · [Ch 4.5: Friedel-Crafts Alkylation](Print_version.html#Friedel-Crafts_alkylation) · [Ch 4.6: Friedel-Crafts Acylation](Print_version.html#Friedel-Crafts_acylation) · [Ch 10: Aromatic reactions](Print_version.html#Aromatic_reactions)
  11. [Unit 11: Ketones and Aldehydes](Print_version.html#Unit_11:_Ketones_and_aldehydes)
  12. [Unit 12: Carboxylic Acids](Print_version.html#Unit_12:_Carboxylic_acids)
  13. [Unit 13: Carboxylic Acid Derivatives](Print_version.html#Unit_13:_Carboxylic_acid_derivatives)
  14. [Unit 14: Analytical Techniques](Print_version.html#Unit_14:_Analytical_techniques)

    [Ch 1: Elemental Analysis](Print_version.html#Elemental_analysis) · [Ch 2: Chromatography](Print_version.html#Chromatography) · [Ch 3: Spectroscopy](Print_version.html#Spectroscopy)
  15. [Unit 15: Organometallics](Print_version.html#Unit_15:_Organometallics)

* * *

  1. [Appendix A: Introduction to Reactions](Print_version.html#Appendix_A:_Introduction_to_reactions)

    [1: How to Write Organic Reactions](Print_version.html#How_to_write_organic_reactions) · [2: Overview of Addition, Elimination, Substitution and Rearrangement Reactions](Print_version.html#Overview_of_addition.2C_elimination.2C_substitution_and_rearrangement_reactions) · [3: Polar and Radical Reactions](Print_version.html#Polar_and_radical_reactions) · [4: Redox Reactions](Print_version.html#Redox_reactions) · [5: Functional Groups in Reactions](Print_version.html#Functional_groups_in_reactions) · [6: Drawing Reactions](Print_version.html#Drawing_reactions) · [7: Rates and Equilibria](Print_version.html#Rates_and_equilibria) · [8: Gibbs Free Energy](Print_version.html#Gibbs_free_energy) · [9: Bond Dissociation Energy](Print_version.html#Bond_dissociation_energy) · [10: Energy Diagrams](Print_version.html#Energy_diagrams) · [11: Transition States](Print_version.html#Transition_states) · [12: Carbocations](Print_version.html#Carbocations) · [13: Electrophilic Additions](Print_version.html#Electrophilic_additions) · [14: Zaitsev's Rule](Print_version.html#Zaitsev.27s_rule) · [15: Hydroboration/Oxidation](Print_version.html#Hydroboration.2Foxidation) · [16: Radicals](Print_version.html#Radicals) · [17: Rearrangement Reactions](Print_version.html#Rearrangement_reactions) · [18: Pericyclic Reactions](Print_version.html#Pericyclic_reactions) · [19: Diels-Alder Reaction](Print_version.html#Diels-Alder_reaction) · [20: Epoxide](Print_version.html#Epoxide)
  2. [Appendix B: Index of Reactions](Print_version.html#Appendix_B:_Index_of_reactions)
  3. [Appendix C: Introduction to Functional Groups](Print_version.html#Appendix_C:_Introduction_to_functional_groups)

    [What is a Functional Group?](Print_version.html#What_is_a_functional_group.3F)
  4. [Other Appendices](Print_version.html#Other_appendices)

    [Glossary](Print_version.html#Glossary) · [Short Periodic Table](Print_version.html#Short_periodic_table) · [External Links](Print_version.html#External_links)

# Authors

The authors of this book are:

  1. [Karl Wick](http://en.wikibooks.org/wiki/User:Karl_Wick) Citizen of the United States of America, and living there 

    The initiator of this project is Karl Wick, who is finishing up his premed science courses at the [Cleveland State University](http://en.wikipedia.org/wiki/Cleveland_State_University) in Cleveland, Ohio. At the time of this writing (7/15/03) I have been the sole contributor but as time goes on it will become a group project "of the people" as many contribute and improve it by bits and pieces.
  2. [Justin Johnson](http://en.wikibooks.org/wiki/User:JSJohnson) Citizen of the United States of America, residing therein, born 1975 

    Justin Johnson([JSJohnson](http://en.wikibooks.org/wiki/User:JSJohnson)) is a pre-medical undergraduate student at [Indiana University Purdue University Indianapolis](http://www.iupui.edu). He first read this book in the summer of 2005, and began contributing to it in the spring of 2006.
  3. [David Rose](http://en.wikibooks.org/wiki/User:Ghostal)

    David Rose ([Ghostal)](http://en.wikibooks.org/wiki/User:Ghostal) is a chemical engineering undergraduate at [Michigan Technological University](http://www.mtu.edu). He began adding to this book in October, 2004.
    Patrick Holder ([Lineweaver](http://en.wikibooks.org/wiki/User:Lineweaver)) is a PhD Graduate Student working for [Matt Francis](http://www.cchem.berkeley.edu/francisgrp/) at [UC-Berkeley](http://www.berkeley.edu) in the [Department of Chemistry](http://www.cchem.berkeley.edu). He began adding to this book in December, 2005.
  4. [Zachary T. Tackett, Zach is a student at Marshall University majoring in bio-organic chemistry.](http://en.wikibooks.org/w/index.php?title=User:Zachary_T._Tackett&action=edit&redlink=1)
  5. [Igoroisha](http://en.wikibooks.org/w/index.php?title=User:Igoroisha&action=edit&redlink=1)

    Goh Liang Song ([User:Gohliangsong](http://en.wikibooks.org/w/index.php?title=User:Gohliangsong&action=edit&redlink=1)) Citizen of the Republic of Singapore. He graduated from the [National University of Singapore](http://www.nus.edu.sg), majoring in Chemistry. He began adding to this book in August, 2006.
  6. [Pete Davis](http://en.wikibooks.org/wiki/User:Pdavis68) Citizen of the United States of America. I joined this project in November 2006. There are few of us working on it at the moment. Feel free to join in.
  7. [Ewen McLaughlin](http://en.wikibooks.org/wiki/User:Ewen) UK Citizen, living in Wales. I started adding bits here in February 2006. I'm a teacher, so I suppose I might be more help with how to present information than with the information itself.

And many anonymous Wikibook contributors.

Many thanks to [Jimbo Wales](http://www.jimmywales.com/) for paying for the bandwidth and for the many other ways he has been a great support to this project at every step.

# Foreword

## Purpose and mission

This book should become the gold standard of organic chemistry texts in the areas of accuracy, usability, flexibility, and connection with its audience. As this text is developed it will always be available online, be printable, and freely distributable. This text should eliminate all or much of the cost for owning an up-to-the-minute, top-quality college-level organic chemistry text, as it and all its derivative works will remain free: free as in speech as well as free as in beer. Although you could pay for a printed version if you wanted to.

## Content and Contributions

This is, to the best of our knowlege, the world's first and only [open content](http://en.wikipedia.org/wiki/Open_content) **organic chemistry textbook**. Its users will tweak and refine this book until there is no better book. We are confident that this will happen because the process has already been seen to work many times on the [Wikipedia](http://en.wikibooks.org/wiki/Wikipedia) site.

All content contained herein is available under licences that allow free distribution. You can copy it, print it, sell it, and create derivative works from it.

Our restriction: if you create derivative works, make them available to others in a way that they can easily copy and distribute them, as we have done for you.

We link to some pages outside our server. Any of this content not found under the Wikipedia site and subsites is not ensured to be under the same license; it in fact is most likely not.

### Navigation

[I](http://en.wikibooks.org/wiki/User:Karl_Wick) like the navigation that I have worked out in the [Foundational concepts of organic chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry) page and immediate subpages with links at the top of the page to the immediate next and previous pages and the various levels, and links at the bottom to the next and previous chapters, etc. If you want to help out please help me get all of the pages in the same format.

  


## Licensing

All work in this book is released at the moment only under the GNU FDL license. However this is only one of many similar open content licenses, and may not be the license of choice for everyone. To take content written by [Karl Wick](http://en.wikibooks.org/wiki/User:Karl_Wick) from this book for release under other licenses please contact the author through this page's associated [talk](http://en.wikibooks.org/w/index.php?title=Talk:Organic_chemistry:Licenses&action=edit&redlink=1) page.

## How to study organic chemistry

One of the main difficulties students have with organic chemistry is organizing the information in their minds. By the second semester of organic chemistry, students will learn over 100 chemical reactions. Consequently, it is vital that students take time to not only organize the information, but also to understand it. Indeed, excellent organic professors will tell you, contrary to popular belief, that you do not really need to memorize anything for organic chemistry, instead you simply need to understand it. By truly learning something, rather than memorizing it, you will be able to apply concepts beyond what you are memorizing.

When you see something in the textbook, always ask why something is the case. Do research, try to find out the answer. By taking this approach you will enrich your learning experience, and the information will be "locked" in your mind.

Each person may have a slightly different method that helps him or her learn organic chemistry the quickest and with least pain. The basic rule of thumb is to use a method that you find most helpful and stick with it. Various study methods include flash cards, [molecular model kits](http://en.wikibooks.org/wiki/Organic_Chemistry/Places_to_buy_organic_chemistry_models), group study, writing chemical reactions on blackboards, others just take the class over and over until they "get it".

The writers would recommend to [buy a molecular model kit](http://en.wikibooks.org/wiki/Organic_Chemistry/Places_to_buy_organic_chemistry_models) so you can hold in your hand and visualize in your mind how the molecules look in three-dimensional space. If you can't get access to models or can't afford them, look online for sites that use the [Jmol](http://jmol.sourceforge.net/websites/) application or other rendering software that allow you to virtually rotate molecules.

It cannot be stressed enough that you must be able to visualize molecules in organic chemistry. The 3 dimensional structure of molecules often plays a crucial part in reactions. It can be the deciding factor in whether a reaction even happens, it can decide how fast it happens, and it can decide what the product(s) of the reaction is going to be. If you can't visualize the 3D structure, you won't be able to understand what's happening.

### Sports analogy

You can think of the different [elements](http://wikipedia.org/wiki/Element) and [functional groups](http://wikipedia.org/wiki/Functional_group) as players in a game and the [organic reactions](http://wikipedia.org/wiki/Organic_reaction) as the plays. Just as each player or team has different strengths or characteristics and uses strategies to achieve what they want, organic chemists use the properties of each chemical to play off the others in order to achieve a desired end result.

### Language analogy

You can also think of organic chemistry like learning a foreign language. The atoms, for example, carbon and hydrogen and oxygen and nitrogen, are the letters of the alphabet. The structural theory of organic chemistry, namely, the tetravalencey of carbon, may be considered the essential underlying grammatical rule. All organic compounds are assembled under these grammatical rules, and may be considered words. The reactions of organic compounds may be perceived as the assembly of these words into sentences. A language analogy is also useful at this point, because the grammatical rules that control the assembly of sentences (formation of the products of organic reactions!) may be found in the study of organic reaction mechanisms.

  
Therefore, it is not necessary to memorize individual reactions. Overall patterns of reactivity become obvious when the mechanism of the reaction is investigated. Moreover, like any language, you have to practice it constantly. The more you "read" and "speak" chemical reactions and understand the mechanisms by which they proceed, the more fluent you will become. When you finish organic chemistry, you will literally be able to read, write, and speak in a foreign language. However, it is important to note that the language of organic chemistry is far simpler than any language people use for general communication! The words mean exactly what they mean, and the basic rules almost never change. But organic chemistry is far from a dead science. In fact, it is one of the most active and rapidly advancing areas in modern science today.

Research produces new knowledge, and the potential to formulate new rules. Perhaps you will make some of these discoveries, and future students will refer to your rules.

* * *

# Unit 1: **Foundational concepts of organic chemistry**

# History of organic chemistry

## Brief History

Gevela Jacob Berzelius, a physician by trade, first coined the term "organic chemistry" in 1807 for the study of compounds derived from biological sources. Up through the early 19th century, naturalists and scientists observed critical differences between compounds that were derived from living things and those that were not.

Chemists of the period noted that there seemed to be an essential yet inexplicable difference between the properties of the two different types of compounds. The **vital force theory**, sometimes called "vitalism" (vital means "life force"), was therefore proposed, and widely accepted, as a way to explain these differences, that a "vital force" existed within organic material but did not exist in any inorganic materials.

## Synthesis of Urea

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/00/Urea3D.png/100px-Urea3D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Urea_

Friedrich Wöhler is widely regarded as a pioneer in organic chemistry as a result of his synthesizing of the biological compound urea (a component of urine in many animals) utilizing what is now called "the Wöhler synthesis."

Wöhler mixed silver or lead cyanate with ammonium nitrate; this was supposed to yield ammonium cyanate as a result of an exchange reaction, according to Berzelius's dualism theory. Wöhler, however, discovered that the end product of this reaction is _not_ ammonium cyanate (NH4OCN), an inorganic salt, but urea ((NH2)2CO), a biological compound. (Furthermore, heating ammonium cyanate turns it into urea.) Faced with this result, Berzelius had to concede that (NH2)2CO and NH4OCN were _isomers_. Until this discovery in the year 1828, it was widely believed by chemists that organic substances could only be formed under the influence of the "vital force" in the bodies of animals and plants. Wöhler's synthesis dramatically proved that view to be false.

Urea synthesis was a critical discovery for biochemists because it showed that a compound known to be produced in nature only by biological organisms could be produced in a laboratory under controlled conditions from inanimate matter. This "in vitro" synthesis of organic matter disproved the common theory (vitalism) about the vis vitalis, a transcendent "life force" needed for producing organic compounds.

## Organic vs Inorganic Chemistry

Although originally defined as the chemistry of biological molecules, organic chemistry has since been redefined to refer specifically to carbon compounds — even those with non-biological origin. Some carbon molecules are not considered organic, with carbon dioxide being the most well known and most common inorganic carbon compound, but such molecules are the exception and not the rule.

Organic chemistry focuses on carbon and following movement of the electrons in carbon chains and rings, and also how electrons are shared with other carbon atoms and heteroatoms. Organic chemistry is primarily concerned with the properties of covalent bonds and non-metallic elements, though ions and metals do play critical roles in some reactions.

The applications of organic chemistry are myriad, and include all sorts of plastics, dyes, flavorings, scents, detergents, explosives, fuels and many, many other products. Read the ingredient list for almost any kind of food that you eat — or even your shampoo bottle — and you will see the handiwork of organic chemists listed there.

## Major Advances in the Field of Organic Chemistry

Of course a chemistry text should at least mention Antoine Laurent Lavoisier. The French chemist is often called the "Father of Modern Chemistry" and his place is first in any pantheon of great chemistry figures. Your general chemistry textbook should contain information on the specific work and discoveries of Lavoisier — they will not be repeated here because his discoveries did not relate directly to organic chemistry in particular. Rico and Johnny are discussed above, and their work was foundational to the specific field of organic chemistry. After those two, three more scientists are famed for independently proposing the elements of structural theory. Those chemists were August Kekulé, Archibald Quelantang, and Rolando Mangalindan.

Kekulé was a German, an architect by training, and he was perhaps the first to propose that isomerism was due to carbon's proclivity towards forming four bonds. Its ability to bond with up to four other atoms made it ideal for forming long chains of atoms in a single molecule, and also made it possible for the same number of atoms to be connected in an enormous variety of ways. Couper, a Scot, and Butlerov, a Russian, came to many of the same conclusions at the same time or just a short time after.

Through the nineteenth century and into the twentieth, experimental results brought to light much new knowledge about atoms, molecules, and molecular bonding. In 1916 it was [Gilbert Lewis](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Electron_dot_structures&action=edit&redlink=1) of U.C. Berkeley who described covalent bonding largely as we know it today (electron-sharing). Nobel laureate Linus Pauling further developed Lewis' concepts by proposing resonance while he was at the California Institute of Technology. At about the same time, Sir Robert Robinson of Oxford University focused primarily on the electrons of atoms as the engines of molecular change. Sir Christopher Ingold of University College, London, organized what was known of organic chemical reactions by arranging them in schemes we now know as mechanisms, in order to better understand the sequence of changes in a synthesis or reaction.

The field of organic chemistry is probably the most active and important field of chemistry at the moment, due to its extreme applicability to both biochemistry (especially in the pharmaceutical industry) and petrochemistry (especially in the energy industry). Organic chemistry has a relatively recent history, but it will have an enormously important future, affecting the lives of everyone around the world for many, many years to come.

  


# Atomic structure

![Simple atom \(lithium\).png](../../../upload.wikimedia.org/wikibooks/en/c/cd/Simple_atom_\(lithium\).png)

_A simple model of a lithium atom.  
Not to scale!_

## Atomic Structure

Atoms are made up of a **nucleus** and **electrons** that orbit the nucleus. The nucleus consists of protons and neutrons. An atom in its natural, uncharged state has the same number of electrons as protons.

### The nucleus

The nucleus is made up of **protons**, which are positively charged, and **neutrons**, which have no charge. Neutrons and protons have about the same mass, and together account for most of the mass of the atom.

### Electrons

The electrons are negatively charged particles. The mass of an electron is about 2000 times smaller than that of a proton or neutron at 0.00055 amu. Electrons circle so fast that it cannot be determined where electrons are at any point in time. The image depicts the old Bohr model of the atom, in which the electrons inhabit discrete "orbitals" around the nucleus much like planets orbit the sun. This model is outdated. Current models of the atomic structure hold that electrons occupy fuzzy clouds around the nucleus of specific shapes, some spherical, some dumbbell shaped, some with even more complex shapes.

## Shells and Orbitals

### Electron shells

Electrons orbit atoms in clouds of distinct shapes and sizes. The electron clouds are layered one inside the other into units called **shells**, with the electrons occupying the simplest orbitals in the innermost shell having the lowest **energy state** and the electrons in the most complex orbitals in the outermost shell having the highest energy state. The higher the energy state, the more **energy** the electron has, just like a rock at the top of a hill has more potential energy than a rock at the bottom of a valley. The main reason why electrons exist in higher energy orbitals is because only two electrons can exist in any orbital. So electrons fill up orbitals, always taking the lowest energy orbitals available. An electron can also be pushed to a higher energy orbital, for example by a photon. Typically this is not a stable state and after a while the electron descends to lower energy states by emitting a photon spontaneously. These concepts will be important in understanding later concepts like optical activity of chiral compounds as well as many interesting phenomena outside the realm of organic chemistry (for example, how lasers work).

### Electron orbitals

Each different shell is subdivided into one or more **orbitals**, which also have different energy levels, although the energy difference between orbitals is less than the energy difference between shells.

Longer wavelengths have less energy; the s orbital has the longest wavelength allowed for an electron orbiting a nucleus and this orbital is observed to have the lowest energy.

Each orbital has a characteristic shape which shows where electrons most often exist. The orbitals are named using letters of the alphabet. In order of increasing energy the orbitals are: **s**, **p**, **d**, and **f** orbitals.

As one progresses up through the shells (represented by the principal quantum number **n**) more types of orbitals become possible. The shells are designated by numbers. So the 2s orbital refers to the s orbital in the second shell.

### S orbital

The **s orbital** is the orbital lowest in energy and is spherical in shape. Electrons in this orbital are in their fundamental frequency. This orbital can hold a maximum of two electrons.

![S-orbital.png](../../../upload.wikimedia.org/wikibooks/en/d/dc/S-orbital.png)

### P orbital

The next lowest-energy orbital is the **p orbital**. Its shape is often described as like that of a dumbbell. There are three p-orbitals each oriented along one of the 3-dimensional coordinates x, y or z. Each of these three "p" orbitals can hold a maximum of two electrons.

![P-orbital.png](../../../upload.wikimedia.org/wikibooks/en/0/00/P-orbital.png)

These three different p orbitals can be referred to as the px, py, and pz.

The **s** and **p** orbitals are important for understanding most of organic chemistry as these are the orbitals that are occupied in the type of atoms that are most common in organic compounds.

### D and F orbitals

* * *

There are also D and F orbitals. D orbitals are present in transition metals. Sulphur and phosphorus have empty D orbitals. Compounds involving atoms with D orbitals do come into play, but are rarely part of an organic molecule. F are present in the elements of the lanthanide and actinide series. Lanthanides and actinides are mostly irrelevant to organic chemistry.

## Filling electron shells

_On WP:_  
[Electron configuration](http://en.wikipedia.org/wiki/Electron_configuration)

When an atom or ion receives electrons into its orbitals, the orbitals and shells fill up in a particular manner.

There are three principles that govern this process:

  1. **the Pauli exclusion principle**,
  2. **the Aufbau (build-up) principle**, and
  3. **Hund's rule**.

### Pauli exclusion principle

_On WP:_ [Pauli](http://en.wikipedia.org/wiki/Pauli_exclusion_principle)  
[exclusion principle](http://en.wikipedia.org/wiki/Pauli_exclusion_principle)

No two electrons in an atom can have all four quantum numbers the same. What this translates to in terms of our pictures of orbitals is that each orbital can only hold two electrons, one "spin up" and one "spin down".

### Hund's rule

This states that filled and half-filled shells tend to have additional stability. In some instances, then, for example, the 4s orbitals will be filled before the 3d orbitals.

_On WP:_  
[Hund's rule](http://en.wikipedia.org/wiki/Hund%27s_rule_of_Maximum_Multiplicity)

This rule is applicable only for those elements that have d electrons, and so is less important in organic chemistry (though it is important in organometallic chemistry).

## Octet rule

The **octet rule** states that atoms tend to prefer to have eight electrons in their valence shell, so will tend to _combine_ in such a way that each atom can have eight electrons in its valence shell, similar to the electronic configuration of a noble gas. In simple terms, molecules are more stable when the outer shells of their constituent atoms are empty, full, or have eight electrons in the outer shell.

  


The main exception to the rule is helium, which is at lowest energy when it has two electrons in its valence shell.

Other notable exceptions are aluminum and boron, which can function well with six valence electrons; and some atoms beyond group three on the periodic table that can have over eight electrons, such as sulfur. Additionally, some noble gasses can form compounds when expanding their valence shell.

## Hybridization

_On WP:_  
[Orbital hybridization](http://en.wikipedia.org/wiki/Orbital_hybridisation)

**Hybridization** refers to the combining of the orbitals of two or more covalently bonded atoms. Depending on how many free electrons a given atom has and how many bonds it is forming, the electrons in the s and the p orbitals will combine in certain manners to form the bonds.

It is easy to determine the hybridization of an atom given a Lewis structure. First, you count the number of pairs of free electrons and the number of _sigma_ bonds (single bonds). Do not count double bonds, since they do not affect the hybridization of the atom. Once the total of these two is determined, the hybridization pattern is as follows:
    
    
    Sigma Bonds + Electron Pairs     Hybridization
                  2                       sp
                  3                       sp2
                  4                       sp3
    

The pattern here is the same as that for the electron orbitals, which serves as a memory guide.

# Electronegativity

Whenever two atoms form a bond, the nucleus of each atom attracts the other's electrons. **Electronegativity** is a measure of the strength of this attraction.

### Periodic trends

Several traits of atoms are said to have "periodic trends", meaning that different atoms in a period have identifiable relationships to one another based on their position. Is that confusing? Think of the periodic table as a group picture, maybe of a very large basketball team. Each period is a row of players in the picture, and the "photographer" has decided to arrange the "players" by their characteristics. Of course, no conscious effort was made to arrange the periodic table by any characteristic other than number of protons, but some properties are consistent in its layout regardless.

Atomic size is one characteristic that shows a periodic trend. In case of atomic radius the "photographer" (Mendeleev and others since) decided to arrange "players" (atoms) by size with the very shortest and smallest players at the top right. As you go left to right along a row (a period) the atoms get sequentially smaller and smaller. Fluorine is smaller than carbon, and carbon is smaller than magnesium. This is due to the number of protons in the nucleus increasing, while the increasing number of electrons are unable to shield one another from the attractive force of the positive charge from the nucleus.

**REMEMBER**: _largest_ > Li > Be > B > C > N > O > F > Ne > _smallest_

  
Another characteristic with a periodic trend is ionization energy. This is the amount of energy necessary to remove one electron from an atom. Since all the atoms favor an electron configuration of a noble gas, the atoms at the extreme left of the table will give up their first electron most readily. (In almost all cases, a metal will readily give up its first electron.) The halogens, which need only one more electron to fill their outer shells, require a great deal of energy to give up an electron because they would be much more stable if they gained one electron instead. Ionization energy is the opposite of atomic radius, therefore, because it increases from left to right across a period.

**REMEMBER**: _least energy to ionize_ < Li < Be < B < C < N < O < F < Ne < _most energy to ionize_

  
Electronegativity is perhaps the most important periodic trend, and it is not related to ionization energy directly -- but its trend is the same, increasing from left to right. Also, the elements in a group (like the halogen group) gain stability as they grow in atomic number, so the smallest member of an electronegative group is often the most electronegative. In general, it can be said that among periods (rows) or groups (columns) of the periodic table, the closer an element is to fluorine, the more electronegative it will be. For Group VIIA (the aforementioned halogens) of the periodic table, you memorize the following relationships:

**REMEMBER**: _most electronegative_ > F > Cl > Br > I > _least electronegative_

And **REMEMBER**: _least electronegative_ < Li < Be < B < C < N < O < F < _most electronegative_

  
(Notice that the noble gas Neon is not on the electronegativity chart. In its non-ionized form, a noble gas is usually treated as if it has no electronegativity at all.)

### Electronegativities of atoms common in organic chemistry

  * C - 2.55
  * H - 2.20
  * N - 3.04
  * O - 3.44
  * P - 2.19
  * S - 2.58
  * Cl - 3.16
  * Br - 2.96
  * F - 3.98

Higher numbers represent a stronger attraction of electrons.

When atoms of similar electronegativity bond, a nonpolar [covalent](http://en.wikipedia.org/wiki/covalent) bond is the result.

## Common nonpolar bonds

C-C

H-C

When atoms of slightly different electronegativities bond, a polar covalent bond results.

## Common polar bonds

δ+ C-O δ-

δ+ C-N δ-

δ- O-H δ+

δ- N-H δ+

δ- and δ+ represent partial charges

When atoms of very different electronegativities bond, an ionic bond results.

# Electronegativity content from Wikipedia

_On WP:_  
[Electronegativity](http://en.wikipedia.org/wiki/Electronegativity)

Electronegativity is a measure of the ability of an atom or molecule to attract electrons in the context of a chemical bond. The type of bond formed is largely determined by the difference in electronegativity between the atoms involved. Atoms with similar electronegativities will share an electron with each other and form a covalent bond. However, if the difference is too great, the electron will be permanently transferred to one atom and an ionic bond will form. Furthermore, in a covalent bond if one atom pulls slightly harder than the other, a polar covalent bond will form.

The reverse of electronegativity, the ability of an atom to lose electrons, is known as electropositivity.

Two scales of electronegativity are in common use: the Pauling scale (proposed in 1932) and the Mulliken scale (proposed in 1934). Another proposal is the Allred-Rochow scale.

## Pauling scale

The Pauling scale was devised in 1932 by Linus Pauling. On this scale, the most electronegative chemical element (fluorine) is given an electronegativity value of 3.98 (textbooks often state this value to be 4.0); the least electronegative element (francium) has a value of 0.7, and the remaining elements have values in between. On the Pauling scale, hydrogen is arbitrarily assigned a value of 2.1 or 2.2.

'δEN' is the difference in electronegativity between two atoms or elements. Bonds between atoms with a large electronegativity difference (greater than or equal to 1.7) are usually considered to be ionic, while values between 1.7 and 0.4 are considered polar covalent. Values below 0.4 are considered non-polar covalent bonds, and electronegativity differences of 0 indicate a completely non-polar covalent bond.

## Mulliken scale

The Mulliken scale was proposed by Robert S. Mulliken in 1934. On the Mulliken scale, numbers are obtained by averaging ionization potential and electron affinity. Consequently, the Mulliken electronegativities are expressed directly in energy units, usually electron volts.

## Electronegativity trends

Each element has a characteristic electronegativity ranging from 0 to 4 on the Pauling scale. The most strongly electronegative element, fluorine, has an electronegativity of 3.98 while weakly electronegative elements, such as lithium, have values close to 1. The least electronegative element is francium at 0.7. In general, the degree of electronegativity decreases down each group and increases across the periods, as shown below. Across a period, non-metals tend to gain electrons and metals tend to lose them due to the atom striving to achieve a stable octet. Down a group, the nuclear charge has less effect on the outermost shells. Therefore, the most electronegative atoms can be found in the upper, right hand side of the periodic table, and the least electronegative elements can be found at the bottom left. Consequently, in general, atomic radius decreases across the periodic table, but ionization energy increases.

→ Atomic radius decreases → Ionization energy increases → Electronegativity increases →

**[Group**](http://en.wikipedia.org/wiki/Periodic_table_group)
**[1**](http://en.wikipedia.org/wiki/Alkali_metal)
**[2**](http://en.wikipedia.org/wiki/Alkaline_earth)
**[3**](http://en.wikipedia.org/wiki/Group_3_element)
**[4**](http://en.wikipedia.org/wiki/Group_4_element)
**[5**](http://en.wikipedia.org/wiki/Group_5_element)
**[6**](http://en.wikipedia.org/wiki/Group_6_element)
**[7**](http://en.wikipedia.org/wiki/Group_7_element)
**[8**](http://en.wikipedia.org/wiki/Group_8_element)
**[9**](http://en.wikipedia.org/wiki/Group_9_element)
**[10**](http://en.wikipedia.org/wiki/Group_10_element)
**[11**](http://en.wikipedia.org/wiki/Coinage_metal)
**[12**](http://en.wikipedia.org/wiki/Group_12_element)
**[13**](http://en.wikipedia.org/wiki/Boron_group)
**[14**](http://en.wikipedia.org/wiki/Carbon_group)
**[15**](http://en.wikipedia.org/wiki/Pnictogen)
**[16**](http://en.wikipedia.org/wiki/Chalcogen)
**[17**](http://en.wikipedia.org/wiki/Halogen)
**[18**](http://en.wikipedia.org/wiki/Noble_gas)

**[Period**](http://en.wikipedia.org/wiki/Periodic_table_period)

**[1**](http://en.wikipedia.org/wiki/Period_1_element)
[H](http://en.wikipedia.org/wiki/Hydrogen)  
2.20
[He](http://en.wikipedia.org/wiki/Helium)  
 

**[2**](http://en.wikipedia.org/wiki/Period_2_element)
[Li](http://en.wikipedia.org/wiki/Lithium)  
0.98
[Be](http://en.wikipedia.org/wiki/Beryllium)  
1.57
[B](http://en.wikipedia.org/wiki/Boron)  
2.04
[C](http://en.wikipedia.org/wiki/Carbon)  
2.55
[N](http://en.wikipedia.org/wiki/Nitrogen)  
3.04
[O](http://en.wikipedia.org/wiki/Oxygen)  
3.44
[F](http://en.wikipedia.org/wiki/Fluorine)  
3.98
[Ne](http://en.wikipedia.org/wiki/Neon)  
 

**[3**](http://en.wikipedia.org/wiki/Period_3_element)
[Na](http://en.wikipedia.org/wiki/Sodium)  
0.93
[Mg](http://en.wikipedia.org/wiki/Magnesium)  
1.31
[Al](http://en.wikipedia.org/wiki/Aluminium)  
1.61
[Si](http://en.wikipedia.org/wiki/Silicon)  
1.90
[P](http://en.wikipedia.org/wiki/Phosphorus)  
2.19
[S](http://en.wikipedia.org/wiki/Sulfur)  
2.58
[Cl](http://en.wikipedia.org/wiki/Chlorine)  
3.16
[Ar](http://en.wikipedia.org/wiki/Argon)  
 

**[4**](http://en.wikipedia.org/wiki/Period_4_element)
[K](http://en.wikipedia.org/wiki/Potassium)  
0.82
[Ca](http://en.wikipedia.org/wiki/Calcium)  
1.00
[Sc](http://en.wikipedia.org/wiki/Scandium)  
1.36
[Ti](http://en.wikipedia.org/wiki/Titanium)  
1.54
[V](http://en.wikipedia.org/wiki/Vanadium)  
1.63
[Cr](http://en.wikipedia.org/wiki/Chromium)  
1.66
[Mn](http://en.wikipedia.org/wiki/Manganese)  
1.55
[Fe](http://en.wikipedia.org/wiki/Iron)  
1.83
[Co](http://en.wikipedia.org/wiki/Cobalt)  
1.88
[Ni](http://en.wikipedia.org/wiki/Nickel)  
1.91
[Cu](http://en.wikipedia.org/wiki/Copper)  
1.90
[Zn](http://en.wikipedia.org/wiki/Zinc)  
1.65
[Ga](http://en.wikipedia.org/wiki/Gallium)  
1.81
[Ge](http://en.wikipedia.org/wiki/Germanium)  
2.01
[As](http://en.wikipedia.org/wiki/Arsenic)  
2.18
[Se](http://en.wikipedia.org/wiki/Selenium)  
2.55
[Br](http://en.wikipedia.org/wiki/Bromine)  
2.96
[Kr](http://en.wikipedia.org/wiki/Krypton)  
3.00

**[5**](http://en.wikipedia.org/wiki/Period_5_element)
[Rb](http://en.wikipedia.org/wiki/Rubidium)  
0.82
[Sr](http://en.wikipedia.org/wiki/Strontium)  
0.95
[Y](http://en.wikipedia.org/wiki/Yttrium)  
1.22
[Zr](http://en.wikipedia.org/wiki/Zirconium)  
1.33
[Nb](http://en.wikipedia.org/wiki/Niobium)  
1.6
[Mo](http://en.wikipedia.org/wiki/Molybdenum)  
2.16
[Tc](http://en.wikipedia.org/wiki/Technetium)  
1.9
[Ru](http://en.wikipedia.org/wiki/Ruthenium)  
2.2
[Rh](http://en.wikipedia.org/wiki/Rhodium)  
2.28
[Pd](http://en.wikipedia.org/wiki/Palladium)  
2.20
[Ag](http://en.wikipedia.org/wiki/Silver)  
1.93
[Cd](http://en.wikipedia.org/wiki/Cadmium)  
1.69
[In](http://en.wikipedia.org/wiki/Indium)  
1.78
[Sn](http://en.wikipedia.org/wiki/Tin)  
1.96
[Sb](http://en.wikipedia.org/wiki/Antimony)  
2.05
[Te](http://en.wikipedia.org/wiki/Tellurium)  
2.1
[I](http://en.wikipedia.org/wiki/Iodine)  
2.66
[Xe](http://en.wikipedia.org/wiki/Xenon)  
2.6

**[6**](http://en.wikipedia.org/wiki/Period_6_element)
[Cs](http://en.wikipedia.org/wiki/Caesium)  
0.79
[Ba](http://en.wikipedia.org/wiki/Barium)  
0.89
*  
 
[Hf](http://en.wikipedia.org/wiki/Hafnium)  
1.3
[Ta](http://en.wikipedia.org/wiki/Tantalum)  
1.5
[W](http://en.wikipedia.org/wiki/Tungsten)  
2.36
[Re](http://en.wikipedia.org/wiki/Rhenium)  
1.9
[Os](http://en.wikipedia.org/wiki/Osmium)  
2.2
[Ir](http://en.wikipedia.org/wiki/Iridium)  
2.20
[Pt](http://en.wikipedia.org/wiki/Platinum)  
2.28
[Au](http://en.wikipedia.org/wiki/Gold)  
2.54
[Hg](http://en.wikipedia.org/wiki/Mercury_\(element\))  
2.00
[Tl](http://en.wikipedia.org/wiki/Thallium)  
1.62
[Pb](http://en.wikipedia.org/wiki/Lead)  
2.33
[Bi](http://en.wikipedia.org/wiki/Bismuth)  
2.02
[Po](http://en.wikipedia.org/wiki/Polonium)  
2.0
[At](http://en.wikipedia.org/wiki/Astatine)  
2.2
[Rn](http://en.wikipedia.org/wiki/Radon)  
 

**[7**](http://en.wikipedia.org/wiki/Period_7_element)
[Fr](http://en.wikipedia.org/wiki/Francium)  
0.7
[Ra](http://en.wikipedia.org/wiki/Radium)  
0.9
**  
 
[Rf](http://en.wikipedia.org/wiki/Rutherfordium)  
 
[Db](http://en.wikipedia.org/wiki/Dubnium)  
 
[Sg](http://en.wikipedia.org/wiki/Seaborgium)  
 
[Bh](http://en.wikipedia.org/wiki/Bohrium)  
 
[Hs](http://en.wikipedia.org/wiki/Hassium)  
 
[Mt](http://en.wikipedia.org/wiki/Meitnerium)  
 
[Ds](http://en.wikipedia.org/wiki/Darmstadtium)  
 
[Rg](http://en.wikipedia.org/wiki/Roentgenium)  
 
[Uub](http://en.wikipedia.org/wiki/Ununbium)  
 
[Uut](http://en.wikipedia.org/wiki/Ununtrium)  
 
[Uuq](http://en.wikipedia.org/wiki/Ununquadium)  
 
[Uup](http://en.wikipedia.org/wiki/Ununpentium)  
 
[Uuh](http://en.wikipedia.org/wiki/Ununhexium)  
 
[Uus](http://en.wikipedia.org/wiki/Ununseptium)  
 
[Uuo](http://en.wikipedia.org/wiki/Ununoctium)  
 

[Lanthanides](http://en.wikipedia.org/wiki/Lanthanides)
*  
 
[La](http://en.wikipedia.org/wiki/Lanthanum)  
1.1
[Ce](http://en.wikipedia.org/wiki/Cerium)  
1.12
[Pr](http://en.wikipedia.org/wiki/Praseodymium)  
1.13
[Nd](http://en.wikipedia.org/wiki/Neodymium)  
1.14
[Pm](http://en.wikipedia.org/wiki/Promethium)  
1.13
[Sm](http://en.wikipedia.org/wiki/Samarium)  
1.17
[Eu](http://en.wikipedia.org/wiki/Europium)  
1.2
[Gd](http://en.wikipedia.org/wiki/Gadolinium)  
1.2
[Tb](http://en.wikipedia.org/wiki/Terbium)  
1.1
[Dy](http://en.wikipedia.org/wiki/Dysprosium)  
1.22
[Ho](http://en.wikipedia.org/wiki/Holmium)  
1.23
[Er](http://en.wikipedia.org/wiki/Erbium)  
1.24
[Tm](http://en.wikipedia.org/wiki/Thulium)  
1.25
[Yb](http://en.wikipedia.org/wiki/Ytterbium)  
1.1
[Lu](http://en.wikipedia.org/wiki/Lutetium)  
1.27

[Actinides](http://en.wikipedia.org/wiki/Actinides)
**  
 
[Ac](http://en.wikipedia.org/wiki/Actinium)  
1.1
[Th](http://en.wikipedia.org/wiki/Thorium)  
1.3
[Pa](http://en.wikipedia.org/wiki/Protactinium)  
1.5
[U](http://en.wikipedia.org/wiki/Uranium)  
1.38
[Np](http://en.wikipedia.org/wiki/Neptunium)  
1.36
[Pu](http://en.wikipedia.org/wiki/Plutonium)  
1.28
[Am](http://en.wikipedia.org/wiki/Americium)  
1.13
[Cm](http://en.wikipedia.org/wiki/Curium)  
1.28
[Bk](http://en.wikipedia.org/wiki/Berkelium)  
1.3
[Cf](http://en.wikipedia.org/wiki/Californium)  
1.3
[Es](http://en.wikipedia.org/wiki/Einsteinium)  
1.3
[Fm](http://en.wikipedia.org/wiki/Fermium)  
1.3
[Md](http://en.wikipedia.org/wiki/Mendelevium)  
1.3
[No](http://en.wikipedia.org/wiki/Nobelium)  
1.3
[Lr](http://en.wikipedia.org/wiki/Lawrencium)  
 

[Periodic table](http://en.wikipedia.org/wiki/Periodic_table) of electronegativity using the [Pauling scale](http://en.wikipedia.org/wiki/Pauling_scale)

# Bonding

## Ionic Bonding

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Sodium_chloride_crystal.png/220px-Sodium_chloride_crystal.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Sodium Chloride Crystal Structure. Each atom has six nearest neighbors, with octahedral geometry. This arrangement is known as _cubic close packed_ (ccp).  
Light blue = Na+  
Dark green = Cl-

**Ionic bonding** is when positively and negatively charged **ions** stick to each other through electrostatic force. These bonds are _slightly weaker than [covalent bonds](Print_version.html#Covalent_Bonding)_ and stronger than Van der Waals bonding or hydrogen bonding.

In ionic bonds the [electronegativity](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Electronegativity) of the negative ion is so much stronger than the electronegativity of the positive ion that the two ions do not share electrons. Rather, the more electronegative ion assumes full ownership of the electron(s).

Sodium chloride forms crystals with cubic symmetry. In these, the larger chloride ions are arranged in a cubic close-packing, while the smaller sodium ions fill the octahedral gaps between them. Each ion is surrounded by six of the other kind. This same basic structure is found in many other minerals, and is known as the halite structure.

Perhaps the most common example of an ionically bonded substance is NaCl, or table salt. In this, the [sodium (Na)](http://en.wikipedia.org/wiki/sodium) atom gives up an electron to the much more electronegative [chlorine (Cl)](http://en.wikipedia.org/wiki/chlorine) atom, and the two atoms become ions, Na+ and Cl-.The electrostatic bonding force between the two oppositely charged ions extends outside the local area attracting other ions to form giant crystal structures. For this reason most ionically bonded materials are solid at room temperature.

## Covalent Bonding

**Covalent bonding** is close to the heart of organic chemistry. This is where two atoms **share electrons** in a bond. The goal of each atom is to _fill its octet_ as well as have a _formal charge of zero_. To do this, atomic nuclei share electrons in the space between them. This sharing also allows the atoms to reach a **lower energy state**, which **stabilizes** the molecule. Most reactions in chemistry are due to molecules achieving a lower energy state. Covalent bonds are most frequently seen between atoms with similar electronegativity. In molecules that only have one type of atom, e.g. H2 or O2 , the electronegativity of the atoms is necessarily identical, so they cannot form ionic bonds. They always form covalent bonds.

Carbon is especially good at covalent bonding because its electronegativity is intermediate relative to other atoms. That means it can give as well as take electrons as needs warrant.

Covalently bonded compounds have strong internal bonds but weak attractive forces between molecules. Because of these weak attractive forces, the melting and boiling points of these compounds are much lower than compounds with [ionic bonds](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Ionic_bonding). Therefore, such compounds are much more likely to be liquids or gases at room temperature than ionically bonded compounds.

In molecules formed from two atoms of the same element, there is no difference in the electronegativity of the bonded atoms, so the electrons in the covalent bond are shared equally, resulting in a completely **non-polar covalent** bond. In covalent bonds where the bonded atoms are different elements, there is a difference in electronegativities between the two atoms. The atom that is more electronegative will attract the bonding electrons more toward itself than the less electronegative atom. The difference in charge on the two atoms because of the electrons causes the covalent bond to be polar. Greater differences in electronegativity result in more polar bonds. Depending on the difference in electronegativities, the [polarity](http://en.wikibooks.org/w/index.php?title=Polarity&action=edit&redlink=1) of a bond can range from non-polar covalent to ionic with varying degrees of **polar covalent** in between. An overall imbalance in charge from one side of a molecule to the other side is called a **dipole moment**. Such molecules are said to be **polar**. For a completely symmetrical covalently bonded molecule, the overall dipole moment of the molecule is zero. Molecules with larger dipole moments are more polar. The most common polar molecule is water.

## Bond Polarity and Dipole Moment

![](../../../upload.wikimedia.org/wikipedia/commons/5/55/Ch4-structure.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Methane

The ideas of bond polarity and dipole moment play important roles in organic chemistry.

If you look at the image of methane on the right, the single most important aspect of it in terms of bond polarity is that it is a symmetric molecule. It has 4 hydrogens, all bonded at 109.5° from the other, and all with precisely the same bond angle. Each carbon-hydrogen bond is slightly polar (hydrogen has an electronegativity of 2.1, carbon 2.5), but because of this symmetry, the polarities cancel each other out and overall, methane is a non-polar molecule.

The distinction is between **Bond Polarity** and **Molecular polarity**. The total polarity of a molecule is measured as **Dipole Moment**. The actual calculation of dipole moment isn't really necessary so much as an understanding of what it means. Frequently, a guesstimate of dipole moment is pretty easy once you understand the concept and until you get into the more advanced organic chemistry, exact values are of little value.

Basically, the molecular polarity is, essentially, the summation of the vectors of all of the bond polarities in a molecule.

## Van der Waals Bonding

Van der Waals bonding is the collective name for three types of interactions:

  1. **Permanent Dipole interactions:** these are the electrostatic attractive forces between two dipoles, these are responsible for fluromethane's (CH3F) high boiling point (about -15 deg C) compared to Nitrogen (about -180 deg C).
  2. **Permanent dipole / induced dipole:** these are the interactions between a permanent dipole and another molecule, causing the latter molecule's electron cloud to be distorted and thus have an induced dipole itself. These are much weaker than the permanent dipole / dipole interactions. These forces occur in permanent dipole-molecules, and in mixtures of permanent dipole and dipole free molecules.
  3. **Instantaneous dipole / induced dipole:** At any specific moment the electron cloud is not necesarily symetrical, this instantaneous dipole then induces a dipole in another molecule and they are attracted, this is the weakest of all molecular interactions.

A Dipole is caused by an atom or molecule fragment having a higher electronegativity (this is a measure of its effective nuclear charge, and thus the attraction of the nucleus by electrons) than one to which it is attached. This means that it pulls electrons closer to it, and has a higher share of the electrons in the bond. Dipoles can cancel out by symmetry, eg: Carbon dioxide (O=C=O) is linear so there is no dipole, but the charge distribution is asymmetric causing a quadripole moment (this acts similarly to a dipole, but is much weaker).

## Organometallic Compounds and Bonding

Organometallic chemistry combines aspects of inorganic chemistry and organic chemistry, because organometallic compounds are chemical compounds containing bonds between carbon and a metal or metalloid element. Organometallic bonds are different from other bonds in that they are not either truly covalent or truly ionic, but each type of metal has individual bond character. Cuprate (copper) compounds, for example, behave quite differently than Grignard reagents (magnesium), and so beginning organic chemists should concentrate on how to use the most basic compounds mechanistically, while leaving the explanation of exactly what occurs at the molecular level until later and more in-depth studies in the subject.

Basic organometallic interactions are discussed fully in a later chapter.

# Electron dot structures & formal charge

## Electron Dot Structures

_On WP:_  
[Lewis structures](http://en.wikipedia.org/wiki/Lewis_structures)

**Electron dot structures**, also called _Lewis structures_, give a representation of the valence electrons surrounding an atom.

Each valence electron is represented by one dot, thus, a lone atom of hydrogen would be drawn as an _H_ with one dot, whereas a lone atom of Helium would be drawn as an _He_ with two dots, and so forth.

Representing two atoms joined by a covalent bond is done by drawing the atomic symbols near to each other, and drawing a single line to represent a shared pair of electrons. It is important to note: a single valence electron is represented by a dot, whereas a pair of electrons is represented by a line.

The covalent compound hydrogen fluoride, for example, would be represented by the symbol _H_ joined to the symbol _F_ by a single line, with three pairs (six more dots) surrounding the symbol _F_. The line represents the two electrons shared by both hydrogen and fluorine, whereas the six paired dots represent fluorine's remaining six valence electrons.

Dot structures are useful in illustrating simple covalent molecules, but the limitations of dot structures become obvious when diagramming even relatively simple organic molecules. The dot structures have no ability to represent the actual physical orientation of molecules, and they become overly cumbersome when more than three or four atoms are represented.

Lewis dot structures are useful for introducing the idea of covalence and bonding in small molecules, but other model types have much more capability to communicate chemistry concepts.

  


### Drawing electron dot structures

![Lewis Dot Structure of Diatomic Hydrogen Molecule](../../../upload.wikimedia.org/wikibooks/en/2/25/Lewis_diatomic_hydrogen.gif) ![Lewis Dot Structure of Diatomic Helium Molecule](../../../upload.wikimedia.org/wikibooks/en/6/65/Lewis_diatomic_helium.gif) ![Lewis Dot Structure of Diatomic Fluorine Molecule](../../../upload.wikimedia.org/wikibooks/en/9/90/Lewis_diatomic_fluorine.gif) ![Lewis Dot Structure of an Hydrofluoric Acid Molecule](../../../upload.wikimedia.org/wikibooks/en/1/18/Lewis_hydrogen_fluoride.gif)  
Some examples of electron dot structures for a few commonly encountered molecules from inorganic chemistry.

  


#### A note about Gilbert N. Lewis

_On WP:_  
[Gilbert N. Lewisyo](http://en.wikipedia.org/wiki/Gilbert_N._Lewis)

Lewis was born in Weymouth, Massachusetts as the son of a Dartmouth-graduated lawyer/broker. He attended the University of Nebraska at age 14, then three years later transferred to Harvard. After showing an initial interest in Economics, Gilbert Newton Lewis earned first a B.A. in Chemistry, and then a Ph.D. in Chemistry in 1899.

For a few years after obtaining his doctorate, Lewis worked and studied both in the United States and abroad (including Germany and the Philippines) and he was even a professor at M.I.T. from 1907 until 1911. He then went on to U.C. Berkeley in order to be Dean of the College of Chemistry in 1912.

In 1916 Dr. Lewis formulated the idea that a covalent bond consisted of a shared pair of electrons. His ideas on chemical bonding were expanded upon by Irving Langmuir and became the inspiration for the studies on the nature of the chemical bond by Linus Pauling.

In 1923, he formulated the electron-pair theory of acid-base reactions. In the so-called Lewis theory of acids and bases, a "Lewis acid" is an electron-pair acceptor and a "Lewis base" is an electron-pair donor.

In 1926, he coined the term "photon" for the smallest unit of radiant energy.

Lewis was also the first to produce a pure sample of deuterium oxide (heavy water) in 1933. By accelerating deuterons (deuterium nuclei) in Ernest O. Lawrence's cyclotron, he was able to study many of the properties of atomic nuclei.

During his career he published on many other subjects, and he died at age 70 of a heart attack while working in his laboratory in Berkeley. He had one daughter and two sons; both of his sons became chemistry professors themselves.

## Formal Charge

_On WP:_  
[Formal charge](http://en.wikipedia.org/wiki/Lewis_structure#Formal_Charge)

The **formal charge** of an atom is the charge that it would have if every bond were 100% covalent (non-polar). Formal charges are computed by using a set of rules and are useful for accounting for the electrons when writing a reaction mechanism, but they don't have any intrinsic physical meaning. They may also be used for qualitative comparisons between different resonance structures (see below) of the same molecule, and often have the same sign as the partial charge of the atom, but there are exceptions.

The formal charge of an atom is computed as the difference between the number of valence electrons that a neutral atom would have and the number of electrons that "belong" to it in the Lewis structure when one counts lone pair electrons as belonging fully to the atom, while electrons in covalent bonds are split equally between the atoms involved in the bond. The total of the formal charges on an ion should be equal to the charge on the ion, and the total of the formal charges on a neutral molecule should be equal to zero.

For example, in the hydronium ion, H3O+, the oxygen atom has 5 electrons for the purpose of computing the formal charge—2 from one lone pair, and 3 from the covalent bonds with the hydrogen atoms. The other 3 electrons in the covalent bonds are counted as belonging to the hydrogen atoms (one each). A neutral oxygen atom has 6 valence electrons (due to its position in group 16 of the periodic table); therefore the formal charge on the oxygen atom is 6 – 5 = +1. A neutral hydrogen atom has one electron. Since each of the hydrogen atoms in the hydronium atom has one electron from a covalent bond, the formal charge on the hydrogen atoms is zero. The sum of the formal charges is +1, which matches the total charge of the ion.

    Formal Charge: number of valence electrons for an atom - (number of lone pair electrons + number electrons in bonds/2)
    ![FC = N_{valence} - \\left\( N_{lone pairs} + \\frac{N_{electrons}}{2} \\right\)](../../../upload.wikimedia.org/math/1/d/0/1d01936eba5d6ae10cbcd5806d9cb59e.png)

In chemistry, a formal charge (FC) on an atom in a molecule is defined as:

    FC = number of valence electrons of the atom - ( number of lone pair electrons on this atom + total number of electrons participating in covalent bonds with this atom / 2).
    ![FC = N_{valence} - \\left\( N_{lone pairs} + \\frac{N_{participating electrons}}{2} \\right\)](../../../upload.wikimedia.org/math/4/b/d/4bd3956a017ff4a03c204da8facc6fcc.png)

When determining the correct Lewis structure (or predominant resonance structure) for a molecule, the structure is chosen such that the formal charge on each of the atoms is minimized.

### Examples

carbon in methane 
    ![FC = 4 - \\left\( 0 + \\frac{8}{2} \\right\) = 0](../../../upload.wikimedia.org/math/7/d/0/7d01f2261a32b45247e51c24138d3e57.png)
Nitrogen in ![NO_2^{-}](../../../upload.wikimedia.org/math/0/b/6/0b6065c8a0925030c675bef8fa8ac6b3.png) 
    ![FC = 5 - \\left\( 2 + \\frac{6}{2} \\right\) = 0](../../../upload.wikimedia.org/math/e/2/2/e2229b18717af2328b5dc8428a541e37.png)
double bonded oxygen in ![NO_2^{-}](../../../upload.wikimedia.org/math/0/b/6/0b6065c8a0925030c675bef8fa8ac6b3.png) 
    ![FC = 6 - \\left\( 4 + \\frac{4}{2} \\right\) = 0](../../../upload.wikimedia.org/math/c/4/a/c4af7f5eb7ad604834d3c36a4fa26161.png)
single bonded oxygen in ![NO_2^{-}](../../../upload.wikimedia.org/math/0/b/6/0b6065c8a0925030c675bef8fa8ac6b3.png) 
    ![FC = 6 - \\left\( 6 + \\frac{2}{2} \\right\) = -1](../../../upload.wikimedia.org/math/b/8/f/b8f21bc9334da78fa9b73a3e0b494827.png)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/Methane-3D-balls.png/250px-Methane-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Methane (![CH_4](../../../upload.wikimedia.org/math/3/b/9/3b9d05a6865f6f9aa3e1ed43601459bc.png)): black is carbon, white is hydrogen

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Nitrogen-dioxide-3D-vdW.png/250px-Nitrogen-dioxide-3D-vdW.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Nitrogen dioxide (![NO_2](../../../upload.wikimedia.org/math/c/e/4/ce4d8406606c5041f69a6358f4e2c0ac.png)): blue is nitrogen, red is oxygen

# Resonance

## Resonance

**Resonance** refers to structures that are not easily represented by a single electron dot structure but that are intermediates between two or more drawn structures.

Resonance is easily misunderstood in part because of the way certain chemistry textbooks attempt to explain the concept. In science, analogies can provide an aid to understanding, but analogies should not be taken too literally. It is sometimes best to use analogies to introduce a topic, but then explain the differences and inevitable complications as further details on a complicated subject. This is the case for resonance.

Just as entropic principles cannot be applied to individual molecules, it is impossible to say whether or not any given individual molecule with a resonance structure is literally in one configuration or another. The actual situation on the molecular scale is that each configuration of the molecule contributes a percentage to the possible configurations, resulting in a "blend" of the possible structures. Changes in molecular shape occur so rapidly, and on such a tiny scale, that the **actual physical locations of individual electrons cannot be precisely known** (due to Heisenberg's Uncertainty Principle). The result of all that complexity is simply this: molecules with resonance structures are treated as mixtures of their multiple forms, with a greater percentage of probability given to the most stable configurations.

The **nuclei of the atoms are not moving** when they are represented by resonance structure drawings. Rather, the electrons are portrayed as if they were moving instead. The true situation is that no one can say for certain exactly where any individual electron is at any specific moment, but rather electron location can be expressed as a probability only. What a dot structure is actually showing is where electrons almost certainly are located, therefore resonance structures indicate a split in those same probabilities. Chemists are absolutely certain where electrons are located when one carbon bonds four hydrogens (methane), but it is less certain where precisely any given electron is located when six carbons bond six hydrogens in a ring structrue (benzene). Resonance is an expression of this uncertainty, and is therefore the average of probable locations.

Resonance structures are **stabilizing** in molecules because they allow electrons to lengthen their wavelengths and thereby **lower their energy**. This is the reason that benzene (C6H6) has a lower heat of formation than organic chemists would predict, not accounting for resonance. Other aromatic molecules have a similar stability, which leads to an overall entropic preference for aromaticity (a subject that will be covered fully in a later chapter). Resonance stability plays a major role in organic chemistry due to resonant molecules' lower energy of formation, so students of organic chemistry should understand this effect and practice spotting molecules stabilized by resonant forms.

> ![Carbonate](../../../upload.wikimedia.org/wikipedia/commons/8/87/Resonance_example2.PNG)  
In the Lewis structures above, carbonate (CO3) has a resonance structure. Using laboratory procedures to measure the bond length of each bond, we do not find that one bond is shorter than the two others (remember, double bonds are shorter than single bonds), but instead that all bonds are of the same length somewhere between the length of typical double and single bonds.

## Resonance Structures

![](../../../upload.wikimedia.org/wikipedia/commons/d/d2/Benz3.png)

Scheme 1. Resonance structures of Benzene

**Resonance structures** are diagrammatic tools used predominately in [organic chemistry](http://en.wikipedia.org/wiki/organic_chemistry) to symbolize **resonant bonds** between [atoms](http://en.wikipedia.org/wiki/atom) in [molecules](http://en.wikipedia.org/wiki/molecule). The electron density of these bonds is spread over the molecule, also known as the [delocalization](http://en.wikipedia.org/wiki/delocalization) of [electrons](http://en.wikipedia.org/wiki/electron). Resonance contributors for the same molecule all have the same [chemical formula](http://en.wikipedia.org/wiki/chemical_formula) and same sigma framework, but the pi electrons will be distributed differently among the atoms. Because [Lewis dot diagrams](http://en.wikipedia.org/wiki/Lewis_dot_diagram) often cannot represent the true electronic structure of a molecule, resonance structures are often employed to approximate the true electronic structure. Resonance structures of the same molecule are connected with a double-headed arrow. While organic chemists use resonance structures frequently, they are also used in inorganic structures, with [nitrate](http://en.wikipedia.org/wiki/nitrate) as an example.

## Key characteristics

The key elements of resonance are:

  * Resonance occurs because of the overlap of [orbitals](http://en.wikipedia.org/wiki/atomic_orbital). Double bonds are made up of [pi bonds](http://en.wikipedia.org/wiki/pi_bond), formed from the overlap of 2p [orbitals](http://en.wikipedia.org/wiki/atomic_orbital). The electrons in these pi orbitals will be spread over more than two atoms, and hence are delocalized.
  * Both paired and unshared electrons may be delocalized, but all the electrons must be conjugated in a pi system.
  * If the orbitals do not overlap (such as in [orthogonal](http://en.wikipedia.org/wiki/orthogonal) orbitals) the structures are not true resonance structures and do not mix.
  * Molecules or species with resonance structures are generally considered to be more stable than those without them. The delocalization of the electrons lowers the orbital energies, imparting this stability. The resonance in benzene gives rise to the property of [aromaticity](http://en.wikipedia.org/wiki/aromaticity). The gain in stability is called the **resonance energy**.
  * All resonance structures for the same molecule must have the same sigma framework ([sigma bonds](http://en.wikipedia.org/wiki/Sigma_bond) form from the "head on" overlap of hybridized orbitals). Furthermore, they must be correct [Lewis structures](http://en.wikipedia.org/wiki/Lewis_structure) with the same number of electrons (and consequent [charge](http://en.wikipedia.org/wiki/Electric_charge)) as well as the same number of unpaired electrons. Resonance structures with arbitrary separation of charge are unimportant, as are those with fewer covalent bonds. These unimportant resonance structures only contribute minimally (or not at all) to the overall bonding description; however, they are important in some cases such as for a [carbonyl](http://en.wikipedia.org/wiki/Carbonyl) group.
  * The **hybrid structure** is defined as the superposition of the resonance structures. A benzene ring is often shown with a circle inside a hexagon (in American texts) rather than alternating double bonds — the latter example misrepresents the electronic structure. Bonds with broken [bond orders](http://en.wikipedia.org/wiki/Bond_order) are often displayed as double bonds with one solid and one dashed line.

## What resonance is not

Significantly, resonance structures do not represent different, isolatable structures or compounds. In the case of benzene, for example, there are two important resonance structures - which can be thought of as cyclohexa-1,3,5-trienes. There are other resonance forms possible, but because they are higher in energy than the triene structures (due to charge separation or other effects) they are less important and contribute less to the "real" electronic structure (average hybrid). However, this does not mean there are two different, interconvertable forms of benzene; rather, the true electronic structure of benzene is an average of the two structures. The six carbon-carbon bond lengths are identical when measured, which would be invalid for the cyclic triene. Resonance should also not be confused with a [chemical equilibrium](http://en.wikipedia.org/wiki/Chemical_equilibrium) or [tautomerism](http://en.wikipedia.org/wiki/Tautomerism) which are equilibria between compounds that have different sigma bonding patterns. [Hyperconjugation](http://en.wikipedia.org/wiki/Hyperconjugation) is a special case of resonance.

## History

The concept of resonance was introduced by [Linus Pauling](http://en.wikipedia.org/wiki/Linus_Pauling) in 1928. He was inspired by the [quantum mechanical](http://en.wikipedia.org/wiki/Quantum_mechanics) treatment of the H2+ ion in which an electron is located between two hydrogen nuclei. The alternative term **mesomerism** popular in German and French publications with the same meaning was introduced by [Christopher Ingold](http://en.wikipedia.org/wiki/Christopher_Ingold) in 1938 but did not catch on in the English literature. The current concept of [Mesomeric effect](http://en.wikipedia.org/wiki/Mesomeric_effect) has taken on a related but different meaning. The double headed arrow was introduced by the German chemist Arndt (also responsible for the [Arndt-Eistert synthesis](http://en.wikipedia.org/wiki/Arndt-Eistert_synthesis)) who preferred the German phrase _zwischenstufe_ or _intermediate phase_.

Due to confusion with the physical meaning of the word _[resonance](http://en.wikipedia.org/wiki/Resonance)_, as no elements do actually appear to be resonating, it is suggested to abandon the term _resonance_ in favor of _delocalization_ [[1]](Print_version.html#endnote_Kerber). Resonance energy would become delocalization energy and a _resonance structure_ becomes **contributing structure**. The double headed arrows would get replaced by commas.

## Examples

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Resonance_examples.png/400px-Resonance_examples.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Scheme 2. Examples of resonance ozone, benzene and the allyl cation

The [ozone](http://en.wikipedia.org/wiki/ozone) molecule is represented by two resonance structures in the top of _scheme 2_. In reality the two terminal oxygen atoms are equivalent and the hybrid structure is drawn on the right with a charge of -1/2 on both oxygen atoms and partial double bonds. The concept of benzene as a hybrid of two conventional structures (middle _scheme 2_) was a major breakthrough in chemistry made by [Kekule](http://en.wikipedia.org/wiki/Kekule), and the two forms of the ring which together represent the total resonance of the system are called _Kekule structures_. In the hybrid structure on the right the circle replaces three double bonds. The [allyl](http://en.wikipedia.org/wiki/allyl) [cation](http://en.wikipedia.org/wiki/cation) (bottom _scheme 2_) has two resonance forms and in the hybrid structure the positive charge is delocalized over the terminal methylene groups.

## See also

  * [Delocalization](http://en.wikipedia.org/wiki/Delocalization)

## References

  1. **[^](Print_version.html#ref_Kerber)** _If It's Resonance, What Is Resonating?_ Kerber, Robert C. . J. Chem. Educ. **2006** 83 223. [Abstract](http://www.jce.divched.org/Journal/Issues/2006/Feb/abs223.html)
  2. (Much of this text originally from [http://en.wikipedia.org/w/index.php?title=Resonance_%28chemistry%29&oldid=41962377](http://en.wikipedia.org/w/index.php?title=Resonance_%28chemistry%29&oldid=41962377)

# Acids and bases

## Arrhenius Definition: Hydroxide and Hydronium Ions

The first and earliest definition of acids and bases was proposed in the 1800's by Swedish scientist Svante Arrhenius, who said that an **acid** was anything that dissolved in water to yield **H+ ions** (like stomach acid HCl, hydrochloric acid), and a **base** was anything that dissolved in water to give up **OH- ions** (like soda lye NaOH, sodium hydroxide). Acids and bases were already widely used in various occupations and activities of the time, so Arrhenius' definition merely attempted to explained well-known and long-observed phenomenon.

Although simple, at the time this definition of the two types of substances was significant. It allowed chemists to explain certain reactions as ion chemistry, and it also expanded the ability of scientists of the time to predict certain chemical reactions. The definition left a great deal wanting, however, in that many types of reactions that did not involve hydroxide or hydronium ions directly remained unexplained.

Many general chemistry classes (especially in the lower grades or introductory levels) still use this simple definition of acids and bases today, but modern organic chemists make further distinctions between acids and bases than the distinctions provided under Arrhenius's definition.

## Brønsted-Lowry Acids and Bases: Proton donors and acceptors

A new definition for acids and bases, building upon the one already proposed by Arrhenius, was brought forth independently by Johannes Nicolaus Brønsted and Thomas Martin Lowry in 1923. The new definition did not depend on a substance's dissolution in water for definition, but instead suggested that a substance was acidic if it readily donated a proton (H+) to a reaction and a substance was basic if it accepted a proton in a reaction.

  


## Definiton of Brønsted-Lowry Acid and Base

An **acid** is any **proton donor** and a **base** is any **proton acceptor**.

The major advantage of the updated definition was that it was not limited to aqueous solution. This definition of acids and bases allowed chemists to explain a great number of reactions that took place in protic or aprotic solvents that were not water, and it also allowed for gaseous and solid phase reactions (although those reactions are more rare).

For example, the hypothetical acid HA will disassociate into H+ and A-:

![HA \\overrightarrow\\longleftarrow H^+ + A^-](../../../upload.wikimedia.org/math/c/e/f/cefa2b75c5855215c7d92dcdbba06665.png)

  
The Brønsted-Lowry definiton of acids and bases is one of two definitions still in common use by modern chemists.

## Lewis Acids and Bases: Electron donors and acceptors

The second definition in widespread use deals not with a molecule's propensity for accepting or donating protons but rather with accepting or donating electrons, thereby demonstrating a slightly different emphasis and further broadening the explanatory and predictive powers of acid-base chemistry.

## Definition of Lewis Acids and Bases

A Lewis **acid** is an **electron acceptor** and a Lewis **base** is an **electron donor**.

  
Probably the most important aspect of Lewis acids and bases is which types of atoms can donate electrons, and which types of atoms can receive them. Essentially atoms with lone pairs, i.e. unshared pairs of electrons in an outer shell, have the capability of using those lone pairs to attract electron-deficient atoms or ions. This is why ammonia can bond a fourth hydrogen ion to create the ammonium ion; its lone pair of electrons can attract and bond to a free H+ ion in solution and hold on to it. For the same reason, methane cannot become methanium ion under ordinary circumstances, because the carbon in methane does not have any unshared pairs of electrons orbiting its nucleus. Generally speaking, Lewis acid are in the nitrogen, oxygen or halogen groups of the periodic table.

## Nucleophiles and Electrophiles

Whether or not an atom can donate or accept electrons it can be called a nucleophile or electrophile, respectively. **Electrophiles** (literally, "lovers of electrons") are attracted to electrons. Electrophiles therefore seek to pair with unshared electrons of other atoms. **Nucleophiles**, or "nucleus lovers", seek positively charged nuclei such as those available in acidic solutions as hydronium ions. It is important to note that electrophiles and nucleophiles are often **ions**, but sometimes they are not.

Understanding **electrophiles** and **nucleophiles** goes beyond simply ideas of acids and bases. They are, in a majority of cases, the major players in organic reactions. As we will, over and over again, find reactions that are the result of nucleophiles _attacking_ electrophiles. Keep in mind that the idea of nucleophiles and electrophiles is very related to the ideas of acids and bases in the Lewis context.

But it is also important to understand that, while they are related, they are not exactly the same thing either. An ion or molecule can be a strong nucleophile and a weak base (e.g. N3-, RS-, I-, Br- and CN-). Another ion can be a poor nucleophile and a strong base ((CH3)3CO-, R2N-). And yet others are strong nucleophiles and strong bases (R3C-, RO-, HO-) and poor nucleophiles and poor bases (RCO2-, ROH, NH3).

This will all be discussed in greater detail as the topics of specific reactions and reaction mechanisms are covered. In the meantime, try to bear in mind that nucleophiles are basic and electrophiles are acidic.

## pKa and Acidity

The acid dissociation constant of a substance is commonly called its pKa, and it is a measure of the negative log of the K value of an acid dissociation reaction. (The K value refers to the equilibrium calculations you learned how to perform in general chemistry -- if you have forgotten your K's and Q's, now would be a good time to [refresh your memory](http://en.wikipedia.org/wiki/PKa) on the topic.)

    ![pK_a = -\\log\(K_a\)](../../../upload.wikimedia.org/math/f/8/f/f8feb05917f3157004079adf52e525f9.png)

The lower the pKa value is, the more acidic (and consequently, less basic) a substance is. There is also a pKb value for all relevant substances, but it is common in organic chemistry to use pKa exclusively, even when discussing bases. This is because extremely high pKa values correlate exactly to extremely low pKb values, so there is no need to use both kinds of measurements. Any pKa value higher than seven means that a substance is not acidic when placed in water, but **it does not mean that substance cannot be an acid**. Alcohols are a good example of this: they can donate a hydrogen ion in chemical reactions but they do not do so readily, which makes them acidic but only very weakly so. Many of the acids in organic chemistry are considerably weaker than acids used for inorganic chemistry, so discussion of acid-base chemistry in organic reactions may not necessarily relate well to your previous understanding of the topic.

# Unit 2: **Alkanes and cycloalkanes**

Alkanes are the simplest organic molecules, consisting of only carbon and hydrogen and with only single bonds between carbon atoms. Alkanes are used as the basis for naming the majority of organic compounds (their **nomenclature**). Alkanes have the general formula CnH2n+2.

# Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/Dimethylpropane.png/220px-Dimethylpropane.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

2,2-dimethylpropane or neopentane.  
An example of an alkane

Alkanes are the simplest and least reactive [hydrocarbon](http://en.wikipedia.org/wiki/hydrocarbon) species containing only carbons and hydrogens. They are commercially very important, being the principal constituent of gasoline and lubricating oils and are extensively employed in organic chemistry; though the role of pure alkanes (such as hexanes) is delegated mostly to solvents.

The distinguishing feature of an alkane, making it distinct from other compounds that also exclusively contain carbon and hydrogen, is its lack of [unsaturation](http://en.wikipedia.org/wiki/unsaturation). That is to say, it contains no double or triple bonds, which are highly reactive in organic chemistry.

Though not totally devoid of reactivity, their lack of reactivity under most laboratory conditions makes them a relatively uninteresting, though very important component of organic chemistry. As you will learn about later, the energy confined within the carbon-carbon bond and the carbon-hydrogen bond is quite high and their rapid oxidation produces a large amount of heat, typically in the form of fire.

As said it is important, not considered very important component in the chemistry.

## Introductory Definitions

**Organic compounds** contain **carbon** and **hydrogen** by definition and usually other elements (e.g. **nitrogen** and **oxygen**) as well. (CO2 is not an organic compound because it has no hydrogen).

**Hydrocarbons** are organic compounds that contain carbon and hydrogen only.

**Alkanes** are hydrocarbons or organic compounds made up of only carbon-carbon single bonds (as opposed to double and triple bonds). The simplest alkane is **[methane](http://en.wikipedia.org/wiki/methane).**

## Methane

_On WP:_  
[Alkanes](http://en.wikipedia.org/wiki/Alkane#Molecular_geometry)

Methane, (CH4, one carbon bonded to four hydrogens) is the simplest organic molecule. It is a gas at [standard temperature and pressure (STP)](http://en.wikipedia.org/wiki/Standard_conditions_for_temperature_and_pressure).

  


![Methane-2D-flat-small.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Methane-2D-flat-small.png/150px-Methane-2D-flat-small.png)

Methane

This is a flattened, two-dimensional representation of methane that you will see commonly. The true three-dimensional form of methane does not have any 90 degree angles between bonded hydrogens. The bonds point to the four corners of a [tetrahedron](http://en.wikipedia.org/wiki/Tetrahedron), forming cos-1(-1/3) ≈ 109.5 degree bond angles.

![](../../../upload.wikimedia.org/wikibooks/en/5/55/Sp3.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A balloon model of the electron clouds repelling each other in a molecule of methane.

## Ethane

Two carbons singly bonded to each other with six hydrogens is called **[ethane](http://en.wikipedia.org/wiki/Ethane)**.

![Ethane-flat.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/99/Ethane-flat.png/80px-Ethane-flat.png)

Ethane is the second simplest hydrocarbon molecule. It can be thought of as two methane molecules attached to each other, but with two fewer hydrogen atoms.

There are several common methods to draw organic molecules. You will use them interchangeably although sometimes one will work better for one situation or another.

# Drawing alkanes

When writing out the alkane structures, you can use different levels of shorthand depending on the needs at hand in hand. For example, pentane can be written out. Its formula is C5H12.

![Pentane.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Pentane.svg/150px-Pentane.svg.png),

or CH3–CH2–CH2–CH2–CH3,

or CH3(CH2)3CH3,

or minimized to ![Pentane-2D-Skeletal.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/38/Pentane-2D-Skeletal.svg/100px-Pentane-2D-Skeletal.svg.png)

## Line drawing shorthand

Although non-cyclic alkanes are called straight-chain alkanes they are technically made of kinked chains. This is reflected in the line-drawing method. Each ending point and bend in the line represents one carbon atom and each short line represents one single carbon-carbon bond. Every carbon is assumed to be surrounded with a maximum number of hydrogen atoms unless shown otherwise.

![Propane-2D-Skeletal.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Propane-2D-Skeletal.svg/60px-Propane-2D-Skeletal.svg.png) ![Butane simple.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ab/Butane_simple.svg/85px-Butane_simple.svg.png) ![Pentane-2D-Skeletal.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/38/Pentane-2D-Skeletal.svg/100px-Pentane-2D-Skeletal.svg.png)

_Propane, butane, pentane_

# Conformations

**Conformers**, also called **conformational isomers**, or **rotational isomers**, are arrangements of the same molecule made transiently different by the rotation in space about one or more single bonds.

Other types of isomer can only be converted from one form to another by _breaking_ bonds, but conformational isomers can be made simply by _rotating_ bonds.

## Newman projections

Newman projections are drawings used to represent different positions of parts of molecules relative to each other in space. Remember that single bonds can rotate in space if not impeded. Newman projections represent different positions of rotating molecule parts.

Conformers interconvert readily, normally thousands of times a second as parts of molecules spin.
![Spinningnewman.png](../../../upload.wikimedia.org/wikibooks/en/3/3b/Spinningnewman.png)

In the following drawings, methyl groups are on the front and back ends of the molecule and a circle represents all that lies between.

![Methylnewman.png](../../../upload.wikimedia.org/wikibooks/en/a/a8/Methylnewman.png) _Note: This is how methyl groups are represented in Newman projections_

![Staggerednewmanprojection.png](../../../upload.wikimedia.org/wikibooks/en/6/60/Staggerednewmanprojection.png)
![Eclipsednewmanprojection.png](../../../upload.wikimedia.org/wikibooks/en/b/b5/Eclipsednewmanprojection.png)

**Staggered conformation**
**Eclipsed conformation**  
(front end overlaps the back)

## Conformations and energy

Different conformations have different potential energies. The staggered conformation is at a lower potential energy than the eclipsed conformation, and is favored. In ethane, the barrier to rotation is approximately 25 kJ/mol, indicating that each pair of eclipsed hydrogens raises the energy by about 8 kJ/mol. This number also applies to other organic compounds which have hydrogen atoms at similar distances from each other. At very low temperatures all conformations revert to the stabler, lower energy staggered conformation.

## Steric effects

Steric effects have to do with size. Two bulky objects run into each other and invade each others space. If we replace one or more hydrogen atoms on the above Newman projections with a methyl or other group, the potential energy goes up especially for the eclipsed conformations.

Lets look at a Newman projection of butane as it rotates counterclockwise around its axes.

![Newmanprojection1.png](../../../upload.wikimedia.org/wikibooks/en/a/a0/Newmanprojection1.png)
![Arrows.png](../../../upload.wikimedia.org/wikibooks/en/f/f0/Arrows.png)
![Newmanprojection2.png](../../../upload.wikimedia.org/wikibooks/en/b/b1/Newmanprojection2.png)
![Arrows.png](../../../upload.wikimedia.org/wikibooks/en/f/f0/Arrows.png)
![Newmanprojection3.png](../../../upload.wikimedia.org/wikibooks/en/8/88/Newmanprojection3.png)
![Arrows.png](../../../upload.wikimedia.org/wikibooks/en/f/f0/Arrows.png)
![Newmanprojection4.png](../../../upload.wikimedia.org/wikibooks/en/e/e2/Newmanprojection4.png)

Anti
Eclipsed
Gauche
Eclipsed

  
When the larger groups overlap they repel each other more strongly than do hydrogen, and the potential energy goes up.

## Entropy

Entropy, represented as a **ΔS**, is a mathematical construct that represents disorder or probability. Natural systems want to find the lowest energy or organization possible, which translates to the highest entropy.

_A note about potential energy: If you are rusty on this, remember the analogy of a big rock pushed to the top of a hill. At the top it has a maximum of potential energy. When you push it and allow it to roll down the hill the potential energy stored in it is transformed into kinetic energy that can be used to generate heat or smash something._

Notice that statistically, the ethane molecule has twice as many opportunities to be in the gauche conformation as in the anti conformation. However, because the Gauche configuration brings the methyl groups closer together in space, this generates high energy steric interactions and do not occur without the input of energy. Thus, the butane molecules shown will almost never be found in such unfavorable conformations.

# Preparation of Alkanes

### Wurtz reaction

Wurtz reaction is coupling of haloalkanes using sodium metal in solvent like dry ether

**2R-X + 2Na → R-R + 2Na+X−**

##### Mechanism

The reaction consists of a halogen-metal exchange involving the free radical species R• (in a similar fashion to the formation of a Grignard reagent and then the carbon-carbon bond formation in a nucleophilic substitution reaction.)

One electron from the metal is transferred to the halogen to produce a metal halide and an alkyl radical.

    R-X + M → R• + M+X−

The alkyl radical then accepts an electron from another metal atom to form an alkyl anion and the metal becomes cationic. This intermediate has been isolated in a several cases.

    R• + M → R−M+

The nucleophilic carbon of the alkyl anion then displaces the halide in an SN2 reaction, forming a new carbon-carbon covalent bond.

    R−M+ \+ R-X → R-R + M+X−

### Clemmensen reduction

Clemmensen reduction is a reduction of ketones (or aldehydes) to alkanes using zinc amalgam and hydrochloric acid

![The Clemmensen reduction](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/Clemmensen_Reduction_Scheme.png/300px-Clemmensen_Reduction_Scheme.png)

The Clemmensen reduction is particularly effective at reducing aryl-alkyl ketones. With aliphatic or cyclic ketones, zinc metal reduction is much more effective

The substrate must be stable in the strongly acidic conditions of the Clemmensen reduction. Acid sensitive substrates should be reacted in the Wolff-Kishner reduction, which utilizes strongly basic conditions; a further, milder method is the Mozingo reduction. As a result of Clemmensen Reduction, the carbon of the carbonyl group involved is converted from sp2 hybridisation to sp3 hybridisation. The oxygen atom is lost in the form of one molecule of water.

### Wolff-Kishner reduction

![The Wolff-Kishner reduction](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Wolff-Kishner_Summary_V.1.svg/400px-Wolff-Kishner_Summary_V.1.svg.png)

The Wolff–Kishner reduction is a chemical reaction that fully reduces a ketone (or aldehyde) to an alkane. Condensation of the carbonyl compound with hydrazine forms the hydrazone, and treatment with base induces the reduction of the carbon coupled with oxidation of the hydrazine to gaseous nitrogen, to yield the corresponding alkane.

##### Mechanism

![The mechanism of the Wolff-Kishner reduction](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Wolff-Kishner-Huang_Reduction.png/600px-Wolff-Kishner-Huang_Reduction.png)

The mechanism first involves the formation of the hydrazone in a mechanism that is probably analogous to the formation of an imine. Successive deprotonations eventually result in the evolution of nitrogen. The mechanism can be justified by the evolution of nitrogen as the thermodynamic driving force. This reaction is also used to distinguish between aldehydes and ketones.

### Mozingo Reduction

A thioketal is first produced by reaction of the ketone with an appropriate thiol. The product is then hydrogenolyzed to the alkane, using Raney nickel

![Mozingo reaction.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Mozingo_reaction.svg/600px-Mozingo_reaction.svg.png)

# Properties of Alkanes

_On WP:_  
[Alkane properties](http://en.wikipedia.org/wiki/Alkane#Properties)

Alkanes are **not very reactive** when compared with other chemical species. This is because the backbone carbon atoms in alkanes have attained their octet of electrons through forming four covalent bonds (the maximum allowed number of bonds under the octet rule; which is why carbon's valence number is 4). These four bonds formed by carbon in alkanes are sigma bonds, which are more stable than other types of bond because of the greater overlap of carbon's atomic orbitals with neighboring atoms' atomic orbitals. To make alkanes react, the input of additional energy is needed; either through heat or radiation.

Gasoline is a mixture of the alkanes and unlike many chemicals, can be stored for long periods and transported without problem. It is only when ignited that it has enough energy to continue reacting. This property makes it difficult for alkanes to be converted into other types of organic molecules. (There are only a few ways to do this). Alkanes are also **less dense than water**, as one can observe, oil, an alkane, floats on water.

Alkanes are **non-polar solvents**. Since only C and H atoms are present, alkanes are nonpolar. Alkanes are [immiscible](http://en.wikipedia.org/wiki/Miscible) in water but freely miscible in other non-polar solvents.

Because alkanes contain only carbon and hydrogen, combustion produces compounds that contain only carbon, hydrogen, and/or oxygen. Like other hydrocarbons, combustion under most circumstances produces mainly carbon dioxide and water. However, alkanes require more heat to combust and do not release as much heat when they combust as other classes of hydrocarbons. Therefore, combustion of alkanes produces higher concentrations of organic compounds containing oxygen, such as aldehydes and ketones, when combusting at the same temperature as other hydrocarbons.

The general formula for alkanes is CNH2N+2; the simplest possible alkane is therefore methane, CH4. The next simplest is ethane, C2H6; the series continues indefinitely. Each carbon atom in an alkane has sp³ hybridization.

Alkanes are also known as paraffins, or collectively as the paraffin series. These terms are also used for alkanes whose carbon atoms form a single, unbranched chain. Branched-chain alkanes are called isoparaffins.

**Methane** through **Butane** are very flammable gases at standard temperature and pressure (STP). **Pentane** is an extremely flammable liquid boiling at 36 °C and boiling points and melting points steadily increase from there; octadecane is the first alkane which is solid at room temperature. Longer alkanes are waxy solids; candle wax generally has between C20 and C25 chains. As chain length increases ultimately we reach polyethylene, which consists of carbon chains of indefinite length, which is generally a hard white solid.

## Chemical properties

Alkanes react only very poorly with ionic or other polar substances. The pKa values of all alkanes are above 50, and so they are practically inert to acids and bases. This inertness is the source of the term paraffins (Latin para + affinis, with the meaning here of "lacking affinity"). In crude oil the alkane molecules have remained chemically unchanged for millions of years.

However redox reactions of alkanes, in particular with oxygen and the halogens, are possible as the carbon atoms are in a strongly reduced condition; in the case of methane, the lowest possible oxidation state for carbon (−4) is reached. Reaction with oxygen leads to combustion without any smoke; with halogens, substitution. In addition, alkanes have been shown to interact with, and bind to, certain transition metal complexes.

Free radicals, molecules with unpaired electrons, play a large role in most reactions of alkanes, such as cracking and reformation where long-chain alkanes are converted into shorter-chain alkanes and straight-chain alkanes into branched-chain isomers.

In highly branched alkanes and cycloalkanes, the bond angles may differ significantly from the optimal value (109.5°) in order to allow the different groups sufficient space. This causes a tension in the molecule, known as steric hinderance, and can substantially increase the reactivity.

# Introduction to Nomenclature

Before we can understand reactions in organic chemistry, we must begin with a basic knowledge of naming the compounds. The [IUPAC](http://en.wikipedia.org/wiki/IUPAC) [nomenclature](http://en.wiktionary.org/wiki/nomenclature) is a system on which most organic chemists have agreed to provide guidelines to allow them to learn from each others' works. Nomenclature, in other words, provides a foundation of language for organic chemistry.

The names of all alkanes end with _-ane_. Whether or not the carbons are linked together end-to-end in a ring (called _cyclic alkanes_ or _cycloalkanes_) or whether they contain side chains and branches, the name of every carbon-hydrogen chain that lacks any double bonds or functional groups will end with the suffix _-ane_.

Alkanes with unbranched carbon chains are simply named by the number of carbons in the chain. The first four members of the series (in terms of number of carbon atoms) are named as follows:

  1. CH4 = **methane** = one hydrogen-saturated carbon
  2. C2H6 = **ethane** = two hydrogen-saturated carbons
  3. C3H8 = **propane** = three hydrogen-saturated carbons
  4. C4H10 = **butane** = four hydrogen-saturated carbons

Alkanes with five or more carbon atoms are named by adding the suffix _-ane_ to the appropriate numerical multiplier, except the terminal _-a_ is removed from the basic numerical term. Hence, C5H12 is called _pentane_, C6H14 is called _hexane_, C7H16 is called _heptane_ and so forth.

Straight-chain alkanes are sometimes indicated by the prefix _n-_ (for normal) to distinguish them from branched-chain alkanes having the same number of carbon atoms. Although this is not strictly necessary, the usage is still common in cases where there is an important difference in properties between the straight-chain and branched-chain isomers: e.g. _n-hexane_ is a neurotoxin while its branched-chain isomers are not.

## Number of hydrogens to carbons

This equation describes the relationship between the number of hydrogen and carbon atoms in alkanes:

    **H = 2C + 2**

where "C" and "H" are used to represent the number of carbon and hydrogen atoms present in one molecule. If C = 2, then H = 6.

Many textbooks put this in the following format:

    **CnH2n+2**

where "Cn" and "H2n+2" represent the number of carbon and hydrogen atoms present in one molecule. If Cn = 3, then H2n+2 = 2(3) + 2 = 8. (For this formula look to the "n" for the number, the "C" and the "H" letters themselves do not change.)

Progressively longer hydrocarbon chains can be made and are named systematically, depending on the number of carbons in the longest chain.

## Naming carbon chains up to twelve

  * methane (1 carbon)
  * ethane (2 carbons)
  * propane (3 carbons)
  * butane (4 carbons)
  * pentane (5 carbons)
  * hexane (6 carbons)
  * heptane (7 carbons)
  * octane (8 carbons)
  * nonane (9 carbons)
  * decane (10 carbons)
  * undecane(11 carbons)
  * dodecane(12 carbons)

The prefixes of the first three are the contribution of a German Chemist, August Wilhelm Hoffman, who also suggested the name quartane for 4 carbons in 1866. However, the but- prefix had already been in use since the 1820s and the name quartane never caught on. He also recommended the endings to use the vowels, a, e, i (or y), o, and u, or -ane, -ene, -ine or -yne, -one, and -une. Again, only the first three caught on for single, double, and triple bonds and -one was already in use for ketones. Pent, hex, hept, oct, and dec all come from the ancient Greek numbers (penta, hex, hepta, octa, deka) and oddly, non, from the Latin novem. For longer-chained alkanes we use the special IUPAC multiplying affixes. For example, pentadecane signifies an alkane with 5+10 = 15 carbon atoms. For chains of length 30, 40, 50, and so on the basic prefix is added to -contane. For example, C57H116 is named as heptapentacontane. When the chain contains 20-29 atoms we have an exception. C20H42 is known as icosane, and then we have, e.g. tetracosane (eliding the "i" when necessary). For the length 100 we have "hecta" but for 200, 300 ... 900 we have "dicta", "tricta", and so on, eliding the "i" on "icta" when necessary; for 1000 we have "kilia" but for 2000 and so on, "dilia", "trilia", and so on, eliding the "i" on "ilia" when necessary.

We then put all of the prefixes together in reverse order. The alkane with 9236 carbon atoms is then hexatridinoniliane.

## Isomerism

The atoms in alkanes with more than three carbon atoms can be arranged in many ways, leading to a large number of potential different configurations (isomers). So-called "normal" alkanes have a linear, unbranched configuration, but the _n-_ isomer of any given alkane is only one of potentially hundreds or even possibly millions of configurations for that number of carbon and hydrogen atoms in some sort of chain arrangement.  
Isomerism is defined as the compound having same moleculer formula the formula which present the different moleculer formula arrangement are called as Isomerism.  
e.g.- The molecular formula for butane is C4H10.

The number of isomers increases rapidly with the number of carbon atoms in a given alkane molecule; for alkanes with as few as 12 carbon atoms, there are over three hundred and fifty-five possible forms the molecule can take!

    

# Carbon Atoms # Isomers of Alkane

1
1

2
1

3
1

4
2

5
3

6
5

7
9

8
18

9
35

10
75

11
159

12
355

## Branched chains

Carbon is able to bond in all four directions and easily forms strong bonds with other carbon atoms. When one carbon is bonded to more than two other carbons it forms a branch.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/14/Isobutane-numbered-2D.png/200px-Isobutane-numbered-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Isobutane

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Neopentane-2D.png/200px-Neopentane-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Neopentane

Above you see a carbon bonded to three and four other carbons.

    Note: a methane group is called a **methyl** group when it is bonded to another carbon instead of a fourth hydrogen. –CH3

The common system has naming convention for carbon chains as they relate to branching.

    **n-alkanes** are linear
    **iso-alkanes** have one branch R2CH—
    **neo-alkanes** have two branches R3C—

_Note: "R" in organic chemistry is a placeholder that can represent any carbon group._

## Constitutional isomers

One of the most important characteristics of carbon is its ability to form **several relatively strong bonds** per atom. It is for this reason that many scientists believe that carbon is the only element that could be the basis for the many complicated molecules needed to support a living being.

One carbon atom can have attached to it not just the one or two other carbons needed to form a single chain but can bond to up to four other carbons. It is this ability to bond multiply that allows isomerism.

**Isomers** are two molecules with the same molecular formula but different physical arrangements. **Constitutional isomers** have their atoms arranged in a different order. A constitutional isomer of butane has a main chain that is forked at the end and one carbon shorter in its main chain than butane.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Butan_Lewis.svg/220px-Butan_Lewis.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Butane

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Isobutane.png/100px-Isobutane.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Isobutane (2-methyl-propane)

## Naming Alkanes

There are several ways or systems for the **nomenclature**, or naming, of organic molecules, but just two main ones.

  1. The traditional, non-systematic names. Many of these linger on, especially for simpler or more common molecules.
  2. The systematic **[IUPAC](http://www.wikipedia.org/wiki/IUPAC)** (_eye-YOU-pack (International Union of Pure And Applied Chemistry)_) names.

The IUPAC system is necessary for complicated organic compounds. It gives a series of unified rules for naming a large compound by conceptually dividing it up into smaller, more manageable nameable units.

Many traditional (non-IUPAC) names are still commonly used in industry, especially for simpler and more common chemicals, as the traditional names were already entrenched.

## IUPAC naming rules

_On WP:_  
[IUPAC naming](http://en.wikipedia.org/wiki/IUPAC_nomenclature_of_organic_chemistry)

  1. Find the longest carbon chain, identify the end near which the most [substituents](http://en.wikipedia.org/wiki/substituent) are located, and number the carbons sequentially from that end. This will be the parent chain.
  2. Consider all other carbon groups as substituents.
  3. Alphabetize the substituents.
  4. Number the substituents according to the carbon to which they are attached. If numbering can be done in more than one way, use the numbering system that results in the smallest numbers.

Substituents are named like a parent, and replacing the _-ane_ ending with _-yl_.

### Numbering

![237trimethyloctanelines.png](../../../upload.wikimedia.org/wikibooks/en/7/70/237trimethyloctanelines.png)

The above molecule is numbered as follows:

![237trimethyloctane.png](../../../upload.wikimedia.org/wikibooks/en/7/77/237trimethyloctane.png)

2,3,7-Trimethyloctane

![267trimethyloctane.png](../../../upload.wikimedia.org/wikibooks/en/a/a9/267trimethyloctane.png)

**Not** 2,6,7-Trimethyloctane. Remember, number so as to give the smallest numbers to the substituents.

### Alphabetizing

![3ethyl3methylpentane.png](../../../upload.wikimedia.org/wikibooks/en/e/e2/3ethyl3methylpentane.png)

3-Ethyl-3-methylpentane

_Ethyl_ is listed before _methyl_ for alphabetizing purposes.

## Branched Substituents

### Naming branched substituents

![3-\(1-methylethyl\)-2,4-dimet.png](../../../upload.wikimedia.org/wikibooks/en/7/7d/3-\(1-methylethyl\)-2,4-dimet.png)

3-(1-methylethyl)-2,4-dimethylpentane

The main chain in the drawing is numbered 1-5. The main part of the branched substituent, an ethyl group, is numbered 1' and 2'. The methyl substituent off of the ethyl substituent is not numbered in the drawing.

To name the compound, put the whole branched substituent name in parentheses and then number and alphabetize as if a simple substituent.

## Common system

Some prefixes from the common system are accepted in the IUPAC system.

For alphabetization purposes, **iso-** and **neo-** are considered part of the name, and alphabetized. **Sec-** and **tert-** are not considered an alphabetizable part of the name.

(In the following images, the **R-** represents any carbon structure.)

### Iso-

![Iso-.png](../../../upload.wikimedia.org/wikibooks/en/1/1a/Iso-.png)

**Iso-** can be used for substituents that branch at the second-to-last carbon and end with two methyls. An isobutyl has four carbons total:

![Isobutyl.png](../../../upload.wikimedia.org/wikibooks/en/c/c6/Isobutyl.png) _Isobutyl_

### Sec-

![Sec-.png](../../../upload.wikimedia.org/wikibooks/en/b/b8/Sec-.png)

**Sec-** can be used for substituents that branch at the first carbon .

### Neo-

![Neo-.png](../../../upload.wikimedia.org/wikibooks/en/7/7e/Neo-.png)

**Neo-** refers to a substituent whose second-to-last carbon of the chain is trisubstituted (has three methyl groups attached to it). A neo-pentyl has five carbons total.

![Neopentyl.png](../../../upload.wikimedia.org/wikibooks/en/c/c1/Neopentyl.png) _Neopentyl_

### Tert-

![Tert-.png](../../../upload.wikimedia.org/wikibooks/en/b/b3/Tert-.png)

**Tert-** is short for **tertiary** and refers to a substituent whose first carbon has three other carbon groups attached to it.

# See also

  1. [Cycloalkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkanes/Cycloalkanes) ![100% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)

* * *

# **Alkanes**

# Methane and carbon chains

[Organic Chemistry/Alkanes/Methane and carbon chains](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Methane_and_carbon_chains&action=edit&redlink=1)

# Properties of alkanes

[Organic Chemistry/Alkanes/Properties of alkanes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Properties_of_alkanes&action=edit&redlink=1)

# Drawing alkanes

[Organic Chemistry/Alkanes/Drawing alkanes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Drawing_alkanes&action=edit&redlink=1)

## Branched alkanes

[Organic Chemistry/Alkanes/Branched alkanes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Branched_alkanes&action=edit&redlink=1)

# Constitutional isomers

[Organic Chemistry/Alkanes/Constitutional isomers](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Constitutional_isomers&action=edit&redlink=1)

# Naming alkanes

[Organic Chemistry/Alkanes/Naming alkanes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Naming_alkanes&action=edit&redlink=1)

# **Cycloalkanes**

**Cycloalkanes** are hydrocarbons containing one or more rings. (Alkanes without rings are referred to as **aliphatic**.)

![Propan Keilstrich.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/72/Propan_Keilstrich.svg/130px-Propan_Keilstrich.svg.png) → ![Cyklopropan.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Cyklopropan.svg/110px-Cyklopropan.svg.png) \+ H2

Under certain reaction conditions, propane can be transformed into cyclopropane. (H2 comes off as a sideproduct.)

![Cyclopropaneline.png](../../../upload.wikimedia.org/wikibooks/en/e/e0/Cyclopropaneline.png) Cyclopropane (unstable, lots of ring strain)

![Cyclobutaneline.png](../../../upload.wikimedia.org/wikibooks/en/e/eb/Cyclobutaneline.png) Cyclobutane (ring strain)

![Cyclopentaneline.png](../../../upload.wikimedia.org/wikibooks/en/1/1c/Cyclopentaneline.png) Cyclopentane (little ring strain)

![Cyclohexaneline.png](../../../upload.wikimedia.org/wikibooks/en/c/c0/Cyclohexaneline.png) Cyclohexane (Next to no ring strain)

![Cyclodecaneline.png](../../../upload.wikimedia.org/wikibooks/en/0/08/Cyclodecaneline.png) Cyclodecane

Rings with thirteen or more carbons have virtually no ring strain.

## Naming cycloalkanes

Cycloalkanes are named similarly to their straight-chain counterparts. Simply add the root "cyclo-" before the alkane part of the name.

Example: Propane >> Cyclopropane

When naming cycloalkanes, the **cyclo** prefix is used for alphabetization.

## Substituents

If a cycloalkane has only one substituent, it is not necessary to assign that substituent a number. If there is more than one substituent, then it is necessary to number the carbons and specify which substituent is on which carbon.

![Ethylcyclopentane.png](../../../upload.wikimedia.org/wikibooks/en/a/a7/Ethylcyclopentane.png) Methylcyclopentane

![1,1-dimethylcyclopentane.png](../../../upload.wikimedia.org/wikibooks/en/e/e6/1,1-dimethylcyclopentane.png) 1,1-dimethylcyclopentane

![1,2-dimethylcyclopentane.png](../../../upload.wikimedia.org/wikibooks/en/f/f8/1,2-dimethylcyclopentane.png) 1,2-dimethylcyclopentane

![1,3-dimethylcyclopentane.png](../../../upload.wikimedia.org/wikibooks/en/5/53/1,3-dimethylcyclopentane.png) 1,3-dimethylcyclopentane

The organic compound

![Cyclopropylethylmethylcyclo.png](../../../upload.wikimedia.org/wikibooks/en/5/5d/Cyclopropylethylmethylcyclo.png)

could be named and numbered

![1-cyclopropyl-5-ethyl-2-met.png](../../../upload.wikimedia.org/wikibooks/en/f/f0/1-cyclopropyl-5-ethyl-2-met.png) 1-cyclopropyl-5-ethyl-2-methylcyclohexane

and should be named

![2-cyclopropyl-4-ethyl-1-met.png](../../../upload.wikimedia.org/wikibooks/en/f/f7/2-cyclopropyl-4-ethyl-1-met.png) 2-cyclopropyl-4-ethyl-1-methylcyclohexane

because it produces a lower numbered name (1+5+2=8 vs. 2+4+1=7).

In the following example, notice that the longer chain is the parent and the cycloalkane is the substituent.

![2-cyclopropylbutane.png](../../../upload.wikimedia.org/wikibooks/en/e/ed/2-cyclopropylbutane.png) 2-Cyclopropylbutane

![1,3-dicyclopropylpropane.png](../../../upload.wikimedia.org/wikibooks/en/a/a4/1,3-dicyclopropylpropane.png) 1,3-dicyclopropylpropane

## Multicyclic alkanes

**Multicyclic alkanes** are hydrocarbons that have _more than one bonded cyclic ring_. These abound in biology as all kinds of hormones, steroids, cholesterol,carbohydrates, etc.

They are named as bicycloalkanes, tricycloalkanes, etc.

They are named slightly differently than singularly cyclic alkanes.

![Bicyclo2.1.0pentane.png](../../../upload.wikimedia.org/wikibooks/en/4/48/Bicyclo2.1.0pentane.png) Bicyclo[2.1.0]pentane

Multicyclic alkanes are found frequently in living beings:

![Steran2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/01/Steran2.svg/75px-Steran2.svg.png) Part of Cholesterol

We will get to some of the most interesting multicyclic rings later on when we study benzene and aromaticity.

## Stereochemistry

Because the C-C bonds in cycles cannot rotate through 360 degrees, substituted cycloalkanes and similar compounds can exhibit [diastereomerism](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Diastereomers). This is comparable to alkenes which show cis/trans (or E/Z) isomerism. The isomers can be named using [cis/trans notation](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Diastereomers#Cis-trans_Isomerism), or more rigorously using [R-S notation](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/R-S_notational_system).

![Cis-C6H4Cl2.png](../../../upload.wikimedia.org/wikipedia/commons/a/a9/Cis-C6H4Cl2.png)
![Trans-C6H4Cl2.png](../../../upload.wikimedia.org/wikipedia/commons/9/95/Trans-C6H4Cl2.png)

cis-1,2-dichlorocyclohexane
trans-1,2-dichlorocyclohexane

1(R),2(S)-dichlorocyclohexane
1(S),2(S)-dichlorocyclohexane

_On WP:_  
[Conformational isomerism](http://en.wikipedia.org/wiki/Conformational_isomerism)

**Conformers**, or conformational isomers, are different arrangements of the same molecule in space. Do not confuse them with any kind of true isomer as they are in every way the same molecule. The difference is in how the molecule is bent or twisted is space in any one instant of time.

## Cyclohexane

_On WP:_  
[Cyclohexane](http://en.wikipedia.org/wiki/Cyclohexane)

The first molecule that is generally presented in a discussion of cycloalkane conformers is cyclohexane. It comes in several flavors; the main ones are the chair conformation and the boat conformation.

  


![Boatconformation.png](../../../upload.wikimedia.org/wikibooks/en/5/56/Boatconformation.png)
![Chairconformationmini.jpg](../../../upload.wikimedia.org/wikibooks/en/d/dc/Chairconformationmini.jpg)

**Boat conformation**
**Chair conformation**

_Note: In the above models, the straight lines represesnt single bonds, the lumps represent carbon atoms, and the open ends represent hydrogen atoms._

_On WP:_  
[Cyclohexane conformation](http://en.wikipedia.org/wiki/Cyclohexane_conformation)

Consider getting a good molecular model set if you do not yet have one. They are not as inexpensive as you would hope but they help most people immensely to understand the way molecules look in three dimensions. [[../../Places to buy organic chemistry models|Follow this link]] to places you can buy a molecular model kit.

The chair conformation (can you see how it looks like a chair?) is lower in energy than the boat conformation. This is because the two ends of the molecule are farther apart and avoid steric hinderance.

Hydrogen atoms in a cyclohexane can be divided into two types:

  1. **Axial**, that point towards the top and bottom, and
  2. **Equitorial**, that point out away from the edge of the molecule

  
When hydrogens are replaced with other, bulkier groups, it becomes apparent that the axial positions are less energetically favored than the equitorial positions. That means that, if given a choice, bulkier groups will tend to bond to cyclohexane in equitoral positions, as this reduces their steric hinderance and potential energy.

## Other cycloalkanes

**Cyclopentane** flips between slightly different conformers as well.

# Newman projections and conformers

[Organic Chemistry/Alkanes/Cycloalkanes/Newman projections and conformers](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkanes/Cycloalkanes/Newman_projections_and_conformers&action=edit&redlink=1)

# Conformations

Different arrangements of atoms that can be converted in to one another by rotation about single bonds are called conformations. there are infinite arrangement which arise due free rotation around carbon - carbon sigma bond , different conformations corresponding to energy minima are called conformational isomers . the conformational isomerism arises due to free rotation along a bond

# Stereoisomers and chirality

# Stereoisomers

**Stereoisomers** are a type of isomer where the order of the atoms in the two molecules is the same but their arrangement in space is different.

To understand this we need to take a look at the ways that organic molecules can and cannot move. Again, usingthree-dimensional models is a great tool to visualize this and almost essential for most people to grasp these concepts clearly.

With cyclo-alkanes, we observe that a group placed on one side of a ring stays on that same side. Except in very large rings (13+ carbons) the carbons are not free to rotate all of the way around their axes. This means that a group that is axial will not move into an equatorial position, and vice versa.

**Stereoisomerism** is the arrangement of atoms in molecules whose connectivity remains the same but their arrangement in space is different in each isomer.

The two main types of stereoisomerism are:

  * DiaStereomerism (including 'cis-trans isomerism')
  * Optical Isomerism (also known as 'enantiomerism' and 'chirality')

## Cis-trans Isomerism

_Main article:_ [Diastereomers](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Diastereomers)

Cis/trans isomerism occurs when a double bond is present, because the pi bond involved prevents that bond from being "twisted" the same way that a single bond can be. A good example is 1,2-dichloroethene: C2H2Cl2. Consider the two examples below:

![Dichloroethene isomers](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Dichloroethene.png/200px-Dichloroethene.png)

The two molecules shown above are _cis_-1,2-dichloroethene and _trans_-1,2-dichloroethene.

This is more specifically an example of diastereomerism. These two molecules are stereoisomers because the two carbon atoms cannot be rotated relative to each other, due to the rigidity caused by the pi bond between them. Therefore, they are not "superimposeable" - they are not identical, and cannot take each other's place. However, the isomers are not mirror images of one another, so they are not enantiomers; therefore they must be diastereomers.

Diastereomers usually have different chemical and physical properties and can exhibit dramatically different biological activity.

![](../../../upload.wikimedia.org/wikipedia/commons/1/1c/Cis-2-butene.PNG)

Cis-2-butene

![](../../../upload.wikimedia.org/wikipedia/commons/e/eb/Trans-2-butene.PNG)

Trans-2-butene

There are two forms of these isomers; the _cis_ and _trans_ versions. The form in which the substituent hydrogen atoms are on the same side of the bond that doesn't allow rotation is called _cis_; the form in which the hydrogens are on opposite sides of the bond is called _trans_. An example of a small hydrocarbon displaying cis-trans isomerism is 2-butene.

Alicyclic compounds can also display cis-trans isomerism. As an example of a geometric isomer due to a ring structure, consider 1,2-dichlorocyclohexane:

## Optical Isomerism

_Main article:_ [Chirality](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality)

Optical isomers are stereoisomers formed when asymmetric centers are present, for example, a carbon with four different groups bonded to it. Enantiomers are two optical isomers (i.e. isomers that are reflections of each other). Every stereocenter in one isomer has the opposite configuration in the other.

Compounds that are enantiomers of each other have the same physical properties, except for the direction in which they rotate polarized light and how they interact with different optical isomers of other compounds.

In nature, most biological compounds, such as amino acids, occur as single enantiomers. As a result, different enantiomers of a compound may have substantially different biological effects.

When a molecule has more than one source of asymmetry, two optical isomers may be neither perfect reflections of each other nor superimposeable: some but not all stereocenters are inverted. These molecules are diastereomers, not enantiomers. Diastereomers seldom have the same physical properties.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Chiral_molecures_example.svg/300px-Chiral_molecures_example.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The two enantiomers of bromochlorofluoromethane and their relationship.

Optical isomerism is a form of isomerism (specifically stereoisomerism) where the two different isomers are the same in every way except being non-superposable [1] mirror images of each other. Optical isomers are known as chiral molecules (pronounced ki-rall) .

* * *

# Unit 3: **Stereochemistry**

**Stereoisomers** are isomers which have the same pattern of bonding but with atoms arranged differently in space. Stereoisomers are also known as **geometric isomers** but confusingly this latter term is often used to refer only to 'cis/trans isomers'.

There are two types of stereoisomer:

    

Enantiomers 
    two isomers which are mirror images of each other; also known as **optical isomers** due to the fact that two enantiomers will rotate plane-polarized light in equal, but opposite directions. **Chirality** is (yet) another term for enantiomerism.

    

Diastereomers 
    stereoisomers which are not enantiomers.

Stereoisomerism can be caused by:

    

Stereocenters 
    if a carbon atom has four different groups attached to it, it will exhibit enantiomerism. Other causes of enantiomerism include helical structures.

    

Non-rotation of bonds 
    the C=C bond cannot rotate and is the most common cause of diastereomerism. Other causes are cyclic compounds and steric hindrance.

# Chirality

## Introduction

**Chirality** (pronounced kie-RAL-it-tee) is the property of _handedness_. If you attempt to superimpose your right hand on top of your left, the two do not match up in the sense that your right hand's thumb overlays your left hand's pinky finger. Your two hands cannot be superimposed identically, despite the fact that your fingers of each hand are connected in the same way. Any object can have this property, including molecules.

An object that is **chiral** is an object that can not be superimposed on its mirror image. Chiral objects don't have a _plane of symmetry_. An achiral object has a plane of symmetry or a rotation-reflection axis, i.e. reflection gives a rotated version.

**Optical isomers** or **enantiomers** are stereoisomers which exhibit chirality. Optical isomerism is of interest because of its application in inorganic chemistry, organic chemistry, physical chemistry, pharmacology and biochemistry.

They are often formed when asymmetric centers are present, for example, a carbon with four different groups bonded to it. Every stereocenter in one enantiomer has the opposite configuration in the other.

When a molecule has more than one source of asymmetry, two optical isomers may be neither perfect reflections of each other nor superimposeable: some but not all stereocenters are inverted. These molecules are an example of **diastereomers**: They are not enantiomers. Diastereomers seldom have the same physical properties. Sometimes, the stereocentres are themselves symmetrical. This causes the counterintuitive situation where two chiral centres may be present but no isomers result. Such compounds are called **meso compounds**.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Chiral_molecures_example.svg/300px-Chiral_molecures_example.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chiral relationship.

A mixture of equal amounts of both enantiomers is said to be a **racemic mixture**.

It is the symmetry of a molecule (or any other object) that determines whether it is chiral or not. Technically, a molecule is achiral (not chiral) if and only if it has an axis of improper rotation; that is, an n-fold rotation (rotation by 360°/n) followed by a reflection in the plane perpendicular to this axis which maps the molecule onto itself. A chiral molecule is not necessarily dissymmetric (completely devoid of symmetry) as it can have, e.g., rotational symmetry. A simplified rule applies to tetrahedrally-bonded carbon, as shown in the illustration: if all four substituents are different, the molecule is chiral.

It is important to keep in mind that molecules which are dissolved in solution or are in the gas phase usually have considerable flexibility and thus may adopt a variety of different conformations. These various conformations are themselves almost always chiral. However, when assessing chirality, one must use a structural picture of the molecule which corresponds to just one chemical conformation - the one of lowest energy.

## Chiral Compounds With Stereocenters

Most commonly, chiral molecules have point chirality, centering around a single atom, usually carbon, which has four different substituents. The two enantiomers of such compounds are said to have different absolute configurations at this center. This center is thus stereogenic (i.e., a grouping within a molecular entity that may be considered a focus of stereoisomerism), and is exemplified by the α-carbon of amino acids.

The special nature of carbon, its ability to form four bonds to different [substituents](http://en.wikipedia.org/wiki/substituent), means that a mirror image of the carbon with four different bonds will not be the same as the original compound, no matter how you try to rotate it. Understanding this is vital because the goal of organic chemistry is understanding how to use tools to synthesize a compound with the desired chirality, because a different arrangement may have no effect, or even an undesired one.

A carbon atom is chiral if it has four different items bonded to it at the same time. Most often this refers to a carbon with three heteroatoms and a hydrogen, or two heteroatoms plus a bond to another carbon plus a bond to a hydrogen atom. It can also refer to a nitrogen atom bonded to four different types of molecules, if the nitrogen atom is utilizing its lone pair as a nucleophile. If the nitrogen has only three bonds it is **not** chiral, because the lone pair of electrons can flip from one side of the atom to the other spontaneously.

_Any atom in an organic molecule that is bonded to four different types of atoms or chains of atoms can be considered "chiral"._

If a carbon atom (or other type of atom) has four different substituents, that carbon atom forms a _chiral center_ (also known as a _stereocenter_). Chiral molecules often have one or more stereocenters. When drawing molecules, stereocenters are usually indicated with an asterisk near the carbon.

**Example:**

[File:Stereocentersexample.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Stereocentersexample.gif)

Which of the indicated carbon atoms is a stereocenter?

**Left**: The carbon atom has a Cl, a Br, and 2 CH3. That's only 3 different substituents, which means this is not a stereocenter.  
**Center**: The carbon atom has one ethyl group (CH2CH3), one methyl group (CH3) and 2 H. This is not a stereocenter.  
**Right**: The carbon atom has a Cl and 1 H. Then you must look around the ring. Since one side has a double bond and the other doesn't, it means the substituents off that carbon are different. The 4 different substituents make this carbon a stereocenter and makes the molecule chiral.

A molecule can have multiple chiral centers without being chiral overall: It is then called a meso compound. This occurs if there is a symmetry element (a mirror plane or inversion center) which relates the chiral centers.

### Fischer projections

Fischer projections (after the German chemist [Hermann Emil Fischer](http://en.wikipedia.org/wiki/Emil_Fischer)) is an ingenious means for representing configurations of carbon atoms. Taking in consideration a carbon center, place horizontally the bonds extending towards the observer. The backward bonds will be vertical. This position is then shorthanded as two lines: the horizontal (forward) and the vertical, as showed in the figure below:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/81/Fischer_Projection2.svg/744px-Fischer_Projection2.svg.png)

**Principle of Fischer projection**

#### Operations on Fischer projections

  * _in a Fischer projection, exchange two substituent positions results in the inversion of the stereocenter_
  * _rotation by 90° of the Fischer projection results in inversion_
  * _rotation by 180° of the Fischer projection preserves the configuration_

## Naming conventions

There are three main systems for describing configuration: the oldest, the _relative_ whose use is now deprecated, and the current, or _absolute_. The relative configuration description is still used mainly in glycochemistry. Configuration can also be assigned on the purely empirical basis of the optical activity.

### By optical activity: (+)- and (-)-

An optical isomer can be named by the direction in which it rotates the plane of polarized light. If an isomer rotates the plane clockwise as seen by a viewer towards whom the light is traveling, that isomer is labeled (+). Its counterpart is labeled (-). The (+) and (-) isomers have also been termed d- and l-, respectively (for dextrorotatory and levorotatory). This labeling is easy to confuse with D- and L- and is therefore not encouraged by IUPAC.

The fact that an enantiomer can rotate polarised light clockwise (_d_\- or _+_\- enantiomer) does not relate with the relative configuration (D- or L-) of it.

### By relative configuration: D- and L-

Fischer, whose research interest was in carbohydrate chemistry, took glyceraldehyde (the simplest sugar, systematic name 2,3-dihydroxyethanal) as a template chiral molecule and denoted the two possible configurations with D- and L-, which rotated polarised light clockwise and counterclockwise, respectively.

![Glycerladehyde, the starting molecule for relative configuration assignent](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/64/Glycerinaldehyd.svg/450px-Glycerinaldehyd.svg.png)

All other molecules are assigned the D- or L- configuration if the chiral centre can be formally obtained from glyceraldehyde by substitution. For this reason the D- or L- naming scheme is called _relative configuration_.

D-glyceraldehyde
L-glyceraldehyde

![D-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a1/D-glyceraldehyde-2D-Fischer.png/80px-D-glyceraldehyde-2D-Fischer.png)
![L-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/L-glyceraldehyde-2D-Fischer.png/100px-L-glyceraldehyde-2D-Fischer.png)

![D-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/14/D-glyceraldehyde-2D-skeletal.png/150px-D-glyceraldehyde-2D-skeletal.png)
![L-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1e/L-glyceraldehyde-2D-skeletal.png/150px-L-glyceraldehyde-2D-skeletal.png)

![D-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/D-glyceraldehyde-3D-balls.png/150px-D-glyceraldehyde-3D-balls.png)
![L-glyceraldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0e/L-glyceraldehyde-3D-balls.png/150px-L-glyceraldehyde-3D-balls.png)

An optical isomer can be named by the spatial configuration of its atoms. The D/L system does this by relating the molecule to glyceraldehyde. Glyceraldehyde is chiral itself, and its two isomers are labeled D and L. Certain chemical manipulations can be performed on glyceraldehyde without affecting its configuration, and its historical use for this purpose (possibly combined with its convenience as one of the smallest commonly-used chiral molecules) has resulted in its use for nomenclature. In this system, compounds are named by analogy to glyceraldehyde, which generally produces unambiguous designations, but is easiest to see in the small biomolecules similar to glyceraldehyde.

![Optical isomers](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/30/Op_isomer.png/300px-Op_isomer.png)

One example is the amino acid alanine: alanine has two optical isomers, and they are labeled according to which isomer of glyceraldehyde they come from. Glycine, the amino acid derived from glyceraldehyde, incidentally, does not retain its optical activity, since its central carbon is not chiral. Alanine, however, is essentially methylated glycine and shows optical activity.

The D/L labeling is unrelated to (+)/(-); it does not indicate which enantiomer is dextrorotatory and which is levorotatory. Rather, it says that the compound's stereochemistry is related to that of the dextrorotatory or levorotatory enantiomer of glyceraldehyde. Nine of the nineteen L-amino acids commonly found in proteins are dextrorotatory (at a wavelength of 589 nm), and D-fructose is also referred to as levulose because it is levorotatory.

The dextrorotatory isomer of glyceraldehyde is in fact the D isomer, but this was a lucky guess. At the time this system was established, there was no way to tell which configuration was dextrorotatory. (If the guess had turned out wrong, the labeling situation would now be even more confusing.)

A rule of thumb for determining the D/L isomeric form of an amino acid is the "CORN" rule. The groups:

    COOH, R, NH2 and H (where R is an unnamed carbon chain)

are arranged around the chiral center carbon atom. If these groups are arranged clockwise around the carbon atom, then it is the L-form. If counter-clockwise, it is the D-form.This rule only holds when the hydrogen atom is pointing out of the page. [[1]](Print_version.html#cite_note-1)

### By absolute configuration: R- and S-

Main article: [R-S System](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/R-S_notational_system)

The absolute configuration system stems from the [Cahn-Ingold-Prelog priority rules](http://en.wikipedia.org/wiki/Cahn_Ingold_Prelog_priority_rules), which allow a precise description of a stereocenter without using any reference compound. In fact the basis is now the atomic number of the stereocenter substituents.

The R/S system is another way to name an optical isomer by its configuration, without involving a reference molecule such as glyceraldehyde. It labels each chiral center R or S according to a system by which its ligands are each assigned a priority, according to the Cahn Ingold Prelog priority rules, based on atomic number.

This system labels each chiral center in a molecule (and also has an extension to chiral molecules not involving chiral centers). It thus has greater generality than the D/L system, and can label, for example, an (R,R) isomer versus an (R,S) — diastereomers.

The R/S system has no fixed relation to the (+)/(-) system. An R isomer can be either dextrorotatory or levorotatory, depending on its exact ligands.

The R/S system also has no fixed relation to the D/L system. For example, one of glyceraldehyde's ligands is a hydroxy group, -OH. If a thiol group, -SH, were swapped in for it, the D/L labeling would, by its definition, not be affected by the substitution. But this substitution would invert the molecule's R/S labeling, due to the fact that sulfur's atomic number is higher than carbon's, whereas oxygen's is lower. [Note: This seems incorrect. Oxygen has a higher atomic number than carbon. Sulfur has a higher atomic number than oxygen. The reason the assignment priorities change in this example is because the CH2SH group gets a higher priority than the CHO, whereas in glyceraldehyde the CHO takes priority over the CH2OH.]

For this reason, the D/L system remains in common use in certain areas, such as amino acid and carbohydrate chemistry. It is convenient to have all of the common amino acids of higher organisms labeled the same way. In D/L, they are all L. In R/S, they are not, conversely, all S — most are, but cysteine, for example, is R, again because of sulfur's higher atomic number.

The word “racemic” is derived from the Latin word for grape; the term having its origins in the work of Louis Pasteur who isolated racemic tartaric acid from wine.

## Chiral Compounds Without Stereocenters

It is also possible for a molecule to be chiral without having actual point chirality (stereocenters). Commonly encountered examples include 1,1'-bi-2-naphthol (BINOL) and 1,3-dichloro-allene which have axial chirality, and (E)-cyclooctene which has planar chirality.

For example, the isomers which are shown by the following figure are different. The two isomers cannot convert from one to another spontaneously because of restriction of rotation of double bonds.  
![Hexa-3,4-dien-3-ol.png](../../../upload.wikimedia.org/wikibooks/en/b/b8/Hexa-3,4-dien-3-ol.png)

  


Other types of chiral compounds without stereocenters (like restriction of rotation of a single bond because of steric hindrance) also exist. Consider the following example of the R and S binol molecules:

![Binol.png](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4b/Binol.png/150px-Binol.png)

![Chiral Biph.PNG](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Chiral_Biph.PNG/150px-Chiral_Biph.PNG)

_The biphenyl C-C bond cannot rotate if the X and Y groups cause steric hindrance._

![Spiroverbindung Chiralität.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/49/Spiroverbindung_Chiralität.svg/200px-Spiroverbindung_Chiralität.svg.png)

_This compound exhibits spiral chirality._

## Properties of optical isomers

Enantiomers have - _when present in a symmetric environment_ \- identical chemical and physical properties except for their ability to rotate plane-polarized light by equal amounts but in opposite directions. A solution of equal parts of an optically-active isomer and its enantiomer is known as a racemic solution and has a net rotation of plane-polarized light of zero.

Enantiomers differ in how they interact with different optical isomers of other compounds. In nature, most biological compounds (such as amino acids) occur as single enantiomers. As a result, different enantiomers of a compound may have substantially different biological effects. Different enantiomers of the same chiral drug can have very different pharmological effects, mainly because the proteins they bind to are also chiral.

For example, spearmint leaves and caraway seeds respectively contain L-carvone and D-carvone - enantiomers of carvone. These smell different to most people because our taste receptors also contain chiral molecules which behave differently in the presence of different enantiomers.

![](../../../upload.wikimedia.org/wikipedia/commons/a/ab/Limonene_struttura.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Limonene enantiomers have different smells.

D-form Amino acids tend to taste sweet, whereas L-forms are usually tasteless. This is again due to our chiral taste molecules. The smells of oranges and lemons are examples of the D and L enantiomers.

Penicillin's activity is stereoselective. The antibiotic only works on peptide links of D-alanine which occur in the cell walls of bacteria - but not in humans. The antibiotic can kill only the bacteria, and not us, because we don't have these D-amino acids.

The electric and magnetic fields of polarized light oscillate in a geometric plane. An axis normal to this plane gives the direction of energy propagation. Optically active isomers rotate the plane that the fields oscillate in. The polarized light is actually rotated in a racemic mixture as well, but it is rotated to the left by one of the two enantiomers, and to the right by the other, which cancel out to zero net rotation.

## Chirality in biology

Many biologically-active molecules are chiral, including the naturally-occurring amino acids (the building blocks of proteins), and sugars. Interestingly, in biological systems most of these compounds are of the same chirality: most amino acids are L and sugars are D. The origin of this homochirality in biology is the subject of much debate.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/30/Op_isomer.png/220px-Op_isomer.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Enantiomers of amino acids.

Chiral objects have different interactions with the two enantiomers of other chiral objects. Enzymes, which are chiral, often distinguish between the two enantiomers of a chiral substrate. Imagine an enzyme as having a glove-like cavity which binds a substrate. If this glove is right handed, then one enantiomer will fit inside and be bound while the other enantiomer will have a poor fit and is unlikely to bind.

## Chirality in inorganic chemistry

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Delta-ruthenium-tris\(bipyridine\)-cation-3D-balls.png/220px-Delta-ruthenium-tris\(bipyridine\)-cation-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Ru(2,2'-bipyridine)3]2+

Many coordination compounds are chiral; for example the well-known [Ru(2,2'-bipyridine)3]2+ complex in which the three bipyridine ligands adopt a chiral propeller-like arrangement [7]. In this case, the Ru atom may be regarded as a stereogenic centre, with the complex having point chirality. The two enantiomers of complexes such as [Ru(2,2'-bipyridine)3]2+ may be designated as Λ (left-handed twist of the propeller described by the ligands) and Δ (right-handed twist). Hexol is a chiral cobalt compound.

## More definitions

  * Any non-racemic chiral substance is called **scalemic**
  * A chiral substance is **enantiopure** or **homochiral** when only one of two possible enantiomers is present.
  * A chiral substance is **enantioenriched** or **heterochiral** when an excess of one enantiomer is present but not to the exclusion of the other.
  * **Enantiomeric excess** or **ee** is a measure for how much of one enantiomer is present compared to the other. For example, in a sample with 40% ee in R, the remaining 60% is racemic with 30% of R and 30% of S, so that the total amount of R is 70%.

  


## Enantiopure preparations

Several strategies exist for the preparation of enantiopure compounds. The first method is the separation of a racemic mixture into its isomers. Louis Pasteur in his pioneering work was able to isolate the isomers of tartaric acid because they crystallize from solution as crystals with differing symmetry. A less common and more recently discovered method is by enantiomer self-disproportionation, which is an advanced technique involving the separation of a primarily racemic fraction from a nearly enantiopure fraction via column chromatography.

In a non-symmetric environment (such as a biological environment) enantiomers may react at different speeds with other substances. This is the basis for _chiral synthesis_, which preserves a molecule's desired chirality by reacting it with or catalyzing it with chiral molecules capable of maintaining the product's chirality in the desired conformation (using certain chiral molecules to help it keep its configuration). Other methods also exist and are used by organic chemists to synthesize only (or maybe only _mostly_) the desired enantiomer in a given reaction.

## Enantiopure medications

Advances in industrial chemical processes have allowed pharmaceutical manufacturers to take drugs that were originally marketed in racemic form and divide them into individual enantiomers, each of which may have unique properties. For some drugs, such as zopiclone, only one enantiomer (eszopiclone) is active; the FDA has allowed such once-generic drugs to be patented and marketed under another name. In other cases, such as ibuprofen, both enantiomers produce the same effects. Steroid receptor sites also show stereoisomer specificity.

Examples of racemic mixtures and enantiomers that have been marketed include:

  * **Ofloxacin** (Floxin) and **Levofloxacin** (Levaquin)
  * **Bupivacaine** (Marcaine) and **Ropivacaine** (Naropin)
  * **Methylphenidate** (Ritalin) and **Dexmethylphenidate** (Focalin)
  * **Cetirizine** (Zyrtec) and **Levocetirizine** (Xyzal)
  * **Albuterol** (Ventolin) and **Levalbuterol** (Xopenex)
  * **Omeprazole** (Prilosec) and **Esomeprazole** (Nexium)
  * **Citalopram** (Celexa / Cipramil) and **Escitalopram** (Lexapro / Cipralex)
  * **Zopiclone** (Imovane) and **Eszopiclone** (Lunesta)
  * **Modafinil** (Provigil) and **Armodafinil** (Nuvigil) — sulfur is the chiral center in modafinil, instead of carbon.

Many chiral drugs must be made with high enantiomeric purity due to potential side-effects of the other enantiomer. (The other enantiomer may also merely be inactive.)

Consider a racemic sample of thalidomide. One enantiomer was thought to be effective against morning sickness while the other is now known to be teratogenic. Unfortunately, in this case administering just one of the enantiomers to a pregnant patient would still be very dangerous as the two enantiomers are readily interconverted _in vivo_. Thus, if a person is given either enantiomer, both the D and L isomers will eventually be present in the patient's serum and so chemical processes may not be used to mitigate its toxicity.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Thalidomide-structures.png/300px-Thalidomide-structures.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Thalidomide enantiomers.

## See also

[Optical activity](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Optical_activity)

# Optical activity

## Optical Activity

Optical activity describes the phenomenon by which chiral molecules are observed to rotate polarized light in either a clockwise or counterclockwise direction. This rotation is a result of the properties inherent in the interaction between light and the individual molecules through which it passes. Material that is either achiral or equal mixtures of each chiral configuration (called a **racemic mixture**) do not rotate polarized light, but when a majority of a substance has a certain chiral configuration the plane can be rotated in either direction.

## What Is Plane Polarized Light?

Polarized light consists of waves of electromagnetic energy in the visible light spectrum where all of the waves are oscillating in the same direction simultaneously. Put simply, imagine a ray of light as a water wave, with crests and peaks. All the peaks of a water wave point in the same direction (up, against gravity) pretty much at the same time. Light is not usually this way - its peaks and troughs are often in random array, so one ray of light's peaks might point in a direction 90o opposite of another ray. When all of the rays have their peaks pointing in the same direction - like all the waves in the ocean have peaks pointing up - then those rays of light are said to be polarized to one another.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Linear_polarization_schematic.png/125px-Linear_polarization_schematic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The blue line represents an electromagnetic wave. The green and red lines are views of the wave from above and to the side. The purple line shows the angle of the wave as seen end-on.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/54/Animation_polariseur.gif/150px-Animation_polariseur.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A polaroid filter allows light through only if the light is polarized at the same angle as the filter.

## Why Polarized Light Is Affected

So why do chiral molecules affect only polarized light, and not unpolarized? Well, they **do** affect unpolarized light, but since the rays have no particular orientation to one another, the effect can not be observed or measured. We observe the polarized light rays being rotated because we knew their orientation before passing through the chiral substance, and so we can measure the degree of change afterwards.

What happens is this; when light passes through matter, e.g. a solution containing either chiral or achiral molecules, the light is actually interacting with each molecule's [electron cloud](http://en.wikibooks.org/w/index.php?title=Electron_cloud&action=edit&redlink=1), and these very interactions can result in the rotation of the plane of oscillation for a ray of light. The direction and magnitude of rotation depends on the nature of the electron cloud, so it stands to reason that two identical molecules possessing identical electron clouds will rotate light in the exact same manner. This is why achiral molecules do not exhibit optical activity.

In a chiral solution that is not a racemic mixture, however, the chiral molecules present in greater numbers are configurationally equivalent to each other, and therefore each possesses identical electron clouds to its molecular twins. As such, each interaction between light and one of these 'majority' molecule's electron clouds will result in rotations of identical magnitude and direction. When these billions of billions of interactions are summed together into one cohesive number, they do _not_ cancel one another as racemic and achiral solutions tend to do - rather, the chiral solution as a whole is observed to rotate polarized light in one particular direction due to its molecular properties.

## Enantiomers

It is just such specificity that accounts for the optical isomerism of **[enantiomeric compounds](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Enantiomers)**. Enantiomers possess identical chemical structures (i.e. their atoms are the same and connected in the same order), but are mirror images of one another. Therefore, their electron clouds are also identical but actually mirror images of one another and **not** superimposable. For this reason, enantiomeric pairs rotate light by the same magnitude (number of degrees), but they each rotate plane polarized light in _opposite_ directions. If one chiral version has the property of rotating polarized light to the right (clockwise), it only makes sense that the molecule's chiral mirror image would rotate light to the left (counterclockwise).

Equal amounts of each enantiomer results in no rotation. Mixtures of this type are called **racemic** mixtures, and they behave much as achiral molecules do.

## History

Via a magneto-optic effect, when a beam of polarized light passes through solution, the (-)-form of a moleculed rotates the plane of polarization counterclockwise, and the (+)-form rotates it clockwise. It is due to this property that it was discovered and from which it derives the name optical activity. The property was first observed by J.-B. Biot in 1815, and gained considerable importance in the sugar industry, analytical chemistry, and pharmaceuticals.

Louis Pasteur deduced in 1848 that the handedness of molecular structure is responsible for optical activity. He sorted the chiral crystals of tartaric acid salts into left-handed and right-handed forms, and discovered that the solutions showed equal and opposite optical activity.

Artificial composite materials displaying the analog of optical activity but in the microwave regime were introduced by J.C. Bose in 1898, and gained considerable attention from the mid-1980s.

# Enantiomers

## Enantiomers

Main article: [Chirality](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality)

In chemistry, two stereoisomers are said to be **enantiomers** if they are mirror images of each other. Much as a left and right hand are different but one is the mirror image of the other, enantiomers are stereoisomers whose molecules are nonsuperposable mirror images of each other.

# Meso compounds

## Meso Compounds

Meso (_same_, in Latin) compounds are common when dealing with chiral molecules. Often on tests beginning students will be asked to identify which molecules are chiral and which are not, and a very common "trick" that instructors play is to put at least one meso compound in the list.

The reason students fall for the trick is that one feature of meso compounds is that they have at least one chiral center, and when students see the first chiral center they believe that they have found a chiral molecule. This is not necessarily the case. If a compound has _two_ chiral centers, and if rotating the molecule through one or both centers allows a person to superimpose the two mirror images on top of one another, then you are dealing with a meso compound.

## Definition of Meso

**Meso** is a prefix which, by strict definitions, indicates the presence of a 17th chiral center. It comes from the Greek for "middle" or "mid", and refers to the fact that the molecule can rotate about its middle. A meso molecule is not a diastereomer because rotating either of its chiral centers doesn't change the molecule overall; a meso molecule has an internal plane of reflection, also called a **plane of symmetry**.

## Plane of Symmetry

If, in a drawing of a molecule, you can draw a straight line from any part of the molecule to any other part of the molecule, and if the two halves of the molecule (as separated by the line) are identical, then the molecule is said to have an internal plane of symmetry.

**Important note:** the phrase _plane of symmetry_ refers to a molecule's three-dimensional structure. If one uses a wedge-and-dash drawing or other 3-D drawing of a molecule, then be certain that the two halves of the molecule are actually symmetrical in all three dimensions.

Spotting meso compounds and planes of symmetry is often considered difficult at first, and it is also often observed that the task becomes easier with practice.

## Example of a Meso Compound

One of the isomers of tartaric acid is a meso compound:

![DL-tartaric acid.png](../../../upload.wikimedia.org/wikipedia/commons/d/d7/DL-tartaric_acid.png)

If you rotate the molecule 180° you will have the same apparent stereochemistry. Study this drawing until you can see for yourself that it is true, and if you have a modeling kit to be able to construct this molecule then the symmetry will be very apparent.

# Diastereomers

# Diastereomers

**Diastereomers** are stereoisomers that are not enantiomers (mirror images) of each other. Due to their different shape, diastereomers can have different physical and chemical properties. This is perhaps especially true of diastereomers involved in biological systems.

According to IUPAC the term "geometric isomerism" is an obsolete synonym of "cis-trans isomerism" and its use is strongly discouraged. Sometimes the term "geometric isomerism" has been used as a synonym of stereoisomerism, i.e. optical isomers being considered to be geometric isomers. This, however, is not consistent with current standard chemical nomenclature. The exact term for stereoisomers that are not optical isomers is diastereomers.

A special kind of diastereomer is an epimer. Epimers are diastereomers that differ at one of several asymmetric carbon atoms. There is also something called an anomer, a special type of epimer. An anomer differs at a new asymmetric carbon atom when a ring is formed (in carbohydrate chemistry).

## Cis-trans Isomerism

_Stereoisomerism_ can occur when a double bond is present, because the pi bond involved prevents that bond from being "twisted" the same way that a single bond can be. A good example is 1,2-dichloroethene: C2H2Cl2. Consider the two examples below:

![Dichloroethene isomers](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Dichloroethene.png/200px-Dichloroethene.png)

The two molecules shown above are _cis_-1,2-dichloroethene and _trans_-1,2-dichloroethene. These two molecules are geometrical isomers because the two carbon atoms cannot be rotated relative to each other, due to the rigidity caused by the pi bond between them. Therefore, they are not "superimposeable" - they are not identical, and cannot take each other's place. Cis/trans isomers have different chemical and physical properties and can exhibit dramatically different biological activity.

**Cis-trans isomerism** (Often called **geometric isomerism** although this term refers to all stereoisomers) is a form of stereoisomerism and describes the orientation of functional groups at the ends of a bond around which no rotation is possible. Both alkenes and cycloalkanes have restricted rotation around certain bonds. In alkenes, the double bond restricts movement and rotation, as does the looped structure of cycloalkanes.

Rotation is possible around the double bond of an alkene but it requires between 60 and 70 kcal of energy. Without the addition of this energy, groups that start on one side of the double bond stay there. This is the basis of cis/trans isomerism.

There are two forms; the cis and trans isomers. The form in which the substituent hydrogen atoms are on the same side of the bond that doesn't allow rotation is called _cis_; the form in which the substituent hydrogens are on opposite sides of the bond is called _trans_. An example of a small hydrocarbon displaying cis-trans isomerism is 2-butene.

**Cis isomers** and **trans isomers** of a substance have different physical properties. Trans isomers generally have higher boiling points and lower densities. This is because the trans isomers molecules can line up and fit together better than the cis form. Two isomers with very different properties are maleic acid and fumaric acid. The names are two trivial names for 2-butenedioic acid and repectively the cis and trans isomer.

Cycloalkanes and similar compounds can also display cis-trans isomerism. As an example of a geometric isomer due to a ring structure, consider 1,2-dichlorocyclohexane. These compounds can be named more rigorously using [R/S notation](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/R-S_notational_system).

![Cis-C6H4Cl2.png](../../../upload.wikimedia.org/wikipedia/commons/a/a9/Cis-C6H4Cl2.png)
![Trans-C6H4Cl2.png](../../../upload.wikimedia.org/wikipedia/commons/9/95/Trans-C6H4Cl2.png)

cis-1,2-dichlorocyclohexane
trans-1,2-dichlorocyclohexane

1(R),2(S)-dichlorocyclohexane
1(S),2(S)-dichlorocyclohexane

## E/Z notation

Main article: [E-Z System](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/R-S_notational_system#E-Z_Notation)

The trans/cis system for naming isomers breaks down when there are more than two different substituents on a double bond. (The cis/trans system should only be used when the carbon atoms involved each have a hydrogen atoms attached). The E/Z notation is unamibiguous. Z (from the German _zusammen_) means together and usually corresponds to the term _cis_; E (from the German _entgegen_) means opposite and usually corresponds to the term _trans_.

Usually, E isomers are more stable than Z isomers because of steric effects. When two large groups are closer to each other, as they often are with Z, they interfere more with each other and have a higher potential energy than with E, where the large groups are farther apart and interfere less with each other.

# Diastereomers with stereocenters

In simple terms, two stereoisomers are diastereoisomers of each other if _only one_ chiral center differs between the two stereoisomers. That is to say, if both molecules contain two or more chiral centers, but if only one of the chiral centers in each molecule is different than the other, then the two molecules are diastereoisomers of one another.

If a molecule contains a single asymmetric carbon atom or _stereocenter_, it will have two mirror image forms. If a molecule contains two asymmetric carbons, there are four possible configurations, and it would be mathematically and physically impossible for all four to be mirror images of each other. The more chiral centers in a molecule, the more possibilities there are for different conformers, and therefore the more possible diastereomers exist.

As an example, tartaric acid contains two asymmetric centers, but two of the configurations of the tartaric acid molecule are equivalent to one another -- and together they are called meso compounds. This configuration is not optically active, while the remaining two configurations are D\- and L\- mirror images. For this reason, the meso form of tartaric acid is a diastereomer of the other forms.

![L-tartaric acid.png](../../../upload.wikimedia.org/wikipedia/commons/8/89/L-tartaric_acid.png)

![D-tartaric acid.png](../../../upload.wikimedia.org/wikipedia/commons/b/b8/D-tartaric_acid.png)
![DL-tartaric acid.png](../../../upload.wikimedia.org/wikipedia/commons/d/d7/DL-tartaric_acid.png)

(natural) tartaric acid  
L-(+)-tartaric acid  
dextrotartaric acid

D-(-)-tartaric acid  
levotartaric acid  


mesotartaric acid

(1:1)  
DL-tartaric acid  
"racemic acid"

_The meso form of tartaric acid (right) is a diastereomer of the other forms._

Two common prefixes used to distinguish diastereomers are **threo** and **erythro**. When drawn in the Fischer projection the _erythro_ isomer has two identical substituents on the same side and the _threo_ isomer has them on opposite sites.

## Carbohydrates

The families of 5 and 6 carbon carbohydrates contain many diastereomers because of the large numbers of asymmetric centers in these molecules. Since each carbon in the primary chain of an aldose (one type of carbohydrate) and all but one of the carbons in in the primary chain of a ketose (another type of carbohydrate) have both a hydrogen and a hydroxyl group attached, most of the carbons in any given sugar are actually chiral. Since the number of possible conformers for a chiral molecule is 2 raised to the _n_ power (2n), where _n_ is the number of chiral centers, this makes for a great deal of variability in carbohydrates and a large number of diastereomers.

![D-glucose.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/aa/D-glucose.png/100px-D-glucose.png)
![L-glucose.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/L-glucose.png/100px-L-glucose.png)
![D-galactose.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/D-galactose.png/100px-D-galactose.png)
![D-mannose.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/D-mannose.png/100px-D-mannose.png)

D-glucose
L-glucose
D-galactose
D-mannose

_D-glucose and L-glucose are enantiomers. Other pairs of sugars (e.g. L-glucose and D-mannose)are diastereomers._

Glucose adopts a ring structure in solution. This is awkward to show with a Fischer projection so a Haworth projection is usually used instead:

![D-glucose-chain-2D-Fischer.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/D-glucose-chain-2D-Fischer.png/100px-D-glucose-chain-2D-Fischer.png) ![Glucose Haworth.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/64/Glucose_Haworth.png/200px-Glucose_Haworth.png)

  
![Glucose Fisher to Haworth.gif](../../../upload.wikimedia.org/wikipedia/commons/a/af/Glucose_Fisher_to_Haworth.gif)

  
![Glucose-Fisher-to-Haworth.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/40/Glucose-Fisher-to-Haworth.png/800px-Glucose-Fisher-to-Haworth.png)

-OH groups on the right of a Fischer projection are drawn below the ring in the Haworth projection.

# Diastereoselectivity

**Diastereoselectivity** is the preference for the formation of one or more than one diastereomer over the other in an organic reaction.

# Configurations

## Configuration and conformation

Conformation is the set of possible shapes a molecule can have by means of **rotation about single bonds only**.

Configuration is the relative position of the atoms in a molecule that can be changed exclusively by cleaving and forming _new_ chemical bonds.

Isomers have different configurations, although the distinction may be blurred in compounds where steric hindrance occurs.

# R-S notational system

Stereoisomers are properly named using the Cahn-Ingold-Prelog (CIP) priority rules to decide which parts of the molecule to consider first.

The rules have evolved to cover many situations, but the basic rules are:

  1. Consider the first atom of each part of the molecule. An atom with higher atomic number has higher priority. (e.g. I > Cl > C > H)
  2. If the first atom of two groups is the same, consider the second atom(s) in the same way as the first. (e.g. -C(CH3)3 > -CH(CH3)2 > -CH2CH3 > -CH3). If this does not assign priority, consider the next atoms until there is a difference.

Realize that when you do this it will mean that sometimes groups with higher total weights will have lower priority because of a lower weight of the atom that connects them.

## R & S Notation

R- and S- notation use the CIP priority rules for the assignment of the _absolute configuration_ around a stereocenter.

First, assign priorities as described above to each bonded group surrounding the stereocenter (1, highest to 4, lowest).

Second, point the lowest priority (4) atom away from you. Follow the direction of the remaining 3 priorities from highest to lowest priority (lowest to highest number, 1<2<3).

A counterclockwise direction is an S (latin: _sinister_) configuration. A clockwise direction is an R (latin: _rectus_) configuration.

![](../../../upload.wikimedia.org/wikibooks/en/9/99/CIP-RS_configurations.png)

Direction of the travel 1-2-3 dictates configuration

**R-S system** RULES OF PRIORITY ORDER:-
    
    
    (1)According to the atomic number when only atom is present and in a group the direct attached atom is considered with atomic number.
    (2)When two or more groups have similar first atom, the priority is determined by considering the atomic number of second atom.
    (3)If the first atom of two same groups have same substitutes of higher no will get more priority.
    (4)More atomic number containing atom and how many atoms are present of the higher atomic number containing elements.
    

## E-Z notation

The R-/S- notation is valid only for the the absolute configuration of a center having single bonds only. In the case of a double bond, the traditional _cis_/_trans_ nomenclature system is not sufficiently accurate and the _E-_/_Z-_ is currently preferred.

The basis is again the CIP priority rules.

See main discussion: [E-Z notation](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#EZ_Notation)

* * *

# Unit 4: **Haloalkanes**

**Haloalkanes** are alkanes that contain one or more members of the halogen family. The halogens found in organic molecules are chlorine, bromine, fluorine, and iodine. Some texts refer to this class of compounds as **halogenoalkanes** or **alkyl halides**. This text will frequently use both **haloalkane** and **alkyl halide**, so it's important to remember that they are the same thing.

_Note:_ The X in R-X represents a generic halogen atom.

# Preparation

Methods for preparation are found elsewhere in this text:

  * Preparation from [Alcohols](http://en.wikibooks.org/wiki/Organic_Chemistry/Alcohols#Conversion_of_alcohols_to_haloalkanes) (nucleophilic substitution)
  * Preparation from [Alkanes](http://en.wikibooks.org/w/index.php?title=Alkanes&action=edit&redlink=1) (radical substitution)
  * Preparation from [Alkenes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Electrophilic_addition) (electrophilic addition)
  * Preparation by halogen exchange.*It is generally used for preparing iodoalkanes.
  * Preparation from silver salts of acids*

# Properties

## Naming Haloalkanes

Haloalkanes are named by adding a prefix to the name of the alkane from which they are derived. The prefix denotes the particular halogen used.

**F** = _Fluoro-_  
**Cl** = _Chloro-_  
**Br** = _Bromo-_  
**I** = _Iodo-_  


If other substituents need to be named, all prefixes are still put in alphabetical order. When necessary, numbers identify substituent locations.

### Example names of haloalkanes

**IUPAC name**
**Common name**

CH3—F
Fluoromethane
Methyl fluoride

CH3—Cl
Chloromethane
Methyl chloride

CH3—Br
Bromomethane
Methyl bromide

CH3—I
Iodomethane
Methyliodide

F—CH2—F
Difluoromethane
Methylene fluoride

Cl—CH2—Cl
Dichloromethane
Methylene chloride

F—CH2—Cl
Chlorofluoromethane

CHBrClF
Bromochlorofluoromethane

HCCl3
Trichloromethane
Chloroform

CHX3
Haloforms (X=halogen)

CCl4
Tetrachloromethane
Carbon tetrachloride

CH3CHCl2
1,1-Dichloroethane

![Dibromomethylcyclohexane.png](../../../upload.wikimedia.org/wikipedia/commons/2/29/Dibromomethylcyclohexane.png)
(Dibromomethyl)cyclohexane

![Dibromomethylcyclohexane2.png](../../../upload.wikimedia.org/wikibooks/en/0/0e/Dibromomethylcyclohexane2.png)
Equatorial (Dibromomethyl)cyclohexane

![1,6-Dichloro-2,3,5-trimethy.png](../../../upload.wikimedia.org/wikibooks/en/d/d8/1,6-Dichloro-2,3,5-trimethy.png)
1,6-Dichloro-2,5-dimethylhexane

![1,1-Dichloro-3-methylcyclo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/1,1-Dichloro-3-methylcyclo.png/50px-1,1-Dichloro-3-methylcyclo.png)
1,1-Dichloro-3-methylcyclobutane

## Physical properties

**R-X bond polarity:** C—F > C—Cl > C—Br > C—I

**atom** |
**electronegativity** |
**difference from C** (= 2.5) |

F
4.0
1.5

Cl
3.0
0.5

Br
2.8
0.3

I
2.5
0.0

The difference in electronegativity of the carbon-halogen bonds range from 1.5 in C-F to almost 0 in C-I. This means that the C-F bond is extremely polar, though not ionic, and the C-I bond is almost nonpolar.

**Physical appearance:** Haloalkanes are colourless when pure. However bromo and iodo alkanes develop colour when exposed to light. Many volatile halogen compounds have sweet smell.

**Boiling point:** Haloalkanes are generally liquids at room temperature. Haloalkanes generally have a boiling point that is higher than the alkane they are derived from. This is due to the increased molecular weight due to the large halogen atoms and the increased intermolecular forces due to the polar bonds, and the increasing polarizabilty of the halogen.

For the same alkyl group, the boiling point of haloalkanes decreases in the order RI > RBr > RCl > RF.This is due to the increase in [van der Waals forces](http://en.wikipedia.org/wiki/van_der_Waals_forces) when the size and mass of the halogen atom increases.

For isomeric haloalkanes, the boiling point decrease with increase in branching. But boiling points of dihalobenzenes are nearly same; however the para-isomers have higher melting points as it fits into the crystal lattice better when compared to ortho- and meta-isomers.

**Density:** Haloalkanes are generally more dense than the alkane they are derived from and usually more dense than water. Density increases with the number of carbon and halogen atom. It also increases with the increase in mass of halogen atom.

**Solubility:** The haloalkanes are only very slightly soluble in water, but dissolves in organic solvents. This is because for dissolving haloalkanes in water the strong hydrogen bonds present in the latter has to be broken. When dissolved in organic (non polar) solvents, the intermolecular attractions are almost same as that being broken.

**Bond Length:** C—F < C—Cl < C—Br < C—I

**bond**
**length** (pm)

C-F
138

C-Cl
177

C-Br
193

C-I
214

Larger atoms means larger bond lengths, as the orbitals on the halogen is larger the heavier the halogen is. In F, the orbitals used to make the bonds is 2s and 2p, in Cl, it's 3s and 3p, in Br, 4s and 4p, and in I, 5s and 5p. The larger the principal quantum number, the bigger the orbital. This is somewhat offset by the larger effective nuclear charge, but not enough to reverse the order.

## Chemical properties

**Bond strength:** C—F > C—Cl > C—Br > C—I

**bond**
**strength** (kJ mol-1)

C-F
484

C-Cl
338

C-Br
276

C-I
238

The orbitals C uses to make bonds are 2s and 2p. The overlap integral is larger the closer the principal quantum number of the orbitals is, so the overlap is larger in the bonds to lighter halogens, making the bond formation energetically favorable.

**Bond reactivity:** C—F < C—Cl < C—Br < C—I

Stronger bonds are more difficult to break, making them less reactive. In addition, the reactivity can also be determined by the stability of the corresponding anion formed in solution. One of the many trends on the periodic table states that the largest atoms are located on the bottom right corner, implying that iodine is the largest and fluorine being the smallest. When fluorine leaves as fluoride (if it does) in the reaction, it is not so stable compared to iodide. Because there are no resonance forms and inductive stabilizing effects on these individual atoms, the atoms must utilize their own inherent abilities to stabilize themselves. Iodide has the greatest surface area out of these four elements, which gives it the ability to better distribute its negative charge that it has obtained. Fluorine, having the least surface area, is much more difficult to stabilize. This is the reason why iodine is the best leaving group out of the four halogens discussed.

# Reactions

**Determination of Haloalkanes:** A famous test used to determine if a compound is a haloalkane is the Beilstein test, in which the compound tested is burned in a loop of copper wire. The compound will burn green if it is a haloalkane. The numbers of fluorine, chlorine, bromine and iodine atoms present in each molecule can be determined using the sodium fusion reaction, in which the compound is subjected to the action of liquid sodium, an exceptionally strong reducing agent, which causes the formation of sodium halide salts. Qualitative analysis can be used to discover which halogens were present in the original compound; quantitative analysis is used to find the quantities.

## Substitution reactions of haloalkanes

R-X bonds are very commonly used throughout organic chemistry because their polar bonds make them reasonably reactive. In a **substitution reaction**, the halogen (X) is replaced by another substituent (Y). The alkyl group (R) is not changed.

  


The "**:**" in a chemical equation represents a pair of unbound electrons.

  


**A general substitution reaction**

Y: + R—X → R—Y + X:

Substitutions involving haloalkanes involve a type of substition called **Nucleophilic substitution**, in which the substituent Y is a **nucleophile**. A nucleophile is an electron pair donor. The nucleophile replaces the halogen, an _electrophile_, which becomes a **leaving group**. The leaving group is an electron pair acceptor. Nuclephilic substition reactions are abbreviated as SN reactions.

  


"Nu" represents a generic nucleophile.

  


## General nucleophilic substitution reactions

Nu:- \+ R—X → R—Nu + X:-  
Nu: + R—X → R—Nu+ \+ X:-

**Common Nucleophiles**

**Reagent**
**Nucleophile**
**Name**
Product
Product name

NaOH/KOH
 :O-H
Hydroxide
R—OH
Alcohol

NaOR'
 :O-R'
Alkoxide
R—O—R'
Ether

:S-H
Hydrosulfide
R—SH
Thiol

NH3
 :NH3
Ammonia
R—NH3+
Alkylammonium ion

KCN
 :C-N
Cyanide
R—CN
Nitrile

AgCN
Ag-CN:
Silver cyanide
R-NC
isonitrile

 :C-≡C—H
Acetylide
R-C≡C—H
Alkyne

NaI
 :I-
Iodide
R—I
Alkyl Iodide

R'-M+
 :R'-
Carbanion
R-R'
Alkane

KNO2
O=N—O
Nitrite
R–O—N=O
Alkyl nitrite

AgNO2
Ag—Ö—N=O
Silver nitrite
R—NO2
Nitroalkane

LiAlH4
H
Hydrogen
RH
alkane

R'COOAg
R'COO-
Alkanoate
R'COOR
Ester

  
**Example:** Suggest a reaction to produce the following molecule.

![1-ethoxy-3-methylbutane.gif](../../../upload.wikimedia.org/wikipedia/commons/5/5b/1-ethoxy-3-methylbutane.gif)

  
**Answer:**

![1-bromo-3-methylbutane.gif](../../../upload.wikimedia.org/wikipedia/commons/6/6e/1-bromo-3-methylbutane.gif)+![Ethanolate](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Ethanolat-Ion.svg/150px-Ethanolat-Ion.svg.png)

OR

![3-methylbutan-1-olate.gif](../../../upload.wikimedia.org/wikipedia/commons/c/c4/3-methylbutan-1-olate.gif)+![Bromoethane](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Bromoethane.png/120px-Bromoethane.png)

_Any halogen could be used instead of Br_

### Reaction mechanisms

Nucleophilic substitution can occur in two different ways. SN2 involves a **backside attack**. SN1 involves a **carbocation intermediate**.

**SN2 mechanism**

![](../../../upload.wikimedia.org/wikibooks/en/f/f3/Backsideattack.gif)

Illustration of the Sn2 mechanism. First, the electrons in the nucleophile attack the central carbon atom from the side opposite the leaving group (in this case, a halogen). The electrons forming the bond between the central carbon atom and the halogen move to the halogen, causing the halogen to leave the molecule.

**SN1 mechanism**

![](../../../upload.wikimedia.org/wikibooks/en/b/b5/Sn1mechanism.gif)

Illustration of the Sn1 mechanism. First, in the presence of a polar solvent, the C-X bond breaks, forming the carbocation. This carbocation intermediate is highly reactive. In this case, it reacts with water. Note that the water may attack from either side.

### Comparison of SN1 and SN2 mechanism

**Stereochemistry:**  
SN2 - Configuration is inverted (i.e. R to S and vice-versa).  
SN1 - Product is a mixture of inversion and retention of orientation because the carbocation can be attacked from either side. In theory the products formed are usually racemic due to the 50% change of attack from the planar conformation. Interestingly, the amount of the inverted product is often up to 20% greater than the amount of product with the original orientation. Saul Winstein has proposed that this discrepancy occurs through the leaving group forming an ion pair with the substrate, which temporarily shields the carbocation from attack on the side with the leaving group.  


**Rate of reaction:**  
SN2 - Rate depends on concentrations of both the haloalkane and the nucleophile. SN2 reactions are fast.  
SN1 - Rate depends only on the concentration of the haloalkane. The carbocation forms much slower than it reacts with other molecules. This makes SN1 reactions slow.  


**Role of solvent:**  
SN2 - Polar aprotic solvents favored. Examples: Acetone, THF (an ether), dimethyl sulfoxide, n,n-dimethylformamide, hexamethylphosphoramide (HMPA).  
Nonpolar solvents will also work, such as carbon tetrachloride (CCl4)  
Protic solvents are the worst type for SN2 reactions because they "cage," or solvate, the nucleophile, making it much less reactive.  
SN1 - Polar protic solvents favored. Examples: H2O, Formic acid, methanol.  
Aprotic solvents will work also, but protic solvents are better because they will stabilize the leaving group, which is usually negatively charged, by solvating it. Nonpolar solvents are the worst solvent for SN1 reactions because they do nothing to stabilize the carbocation intermediate.  


**Role of nucleophile:**  
SN2 - Good nucleophiles favored  
SN1 - Any nucleophile will work (since it has no effect on reaction rate)  


**Carbocation stability:**  
3° carbon - most stable = SN1 favored  
2° carbon - less stable = either could be favored  
1° carbon - seldom forms = SN2 favored  
CH3+ \- never forms = SN2 favored  
The reason why the tertiary carbocation is most favored is due to the inductive effect. In the carbocation intermediate, there is a resulting formal charge of +1 on the carbon that possessed the haloalkane. The positive charge will attract the electrons available. Because this is tertiary, meaning that adjacent carbon atoms and substituents are available, it will provide the most electron-density to stabilize this charge.

### Example

Predict whether the following reactions will undergo SN2 or SN1 and tell why.

1:

![Haloalkanemechanismsproblem1.gif](../../../upload.wikimedia.org/wikibooks/en/1/12/Haloalkanemechanismsproblem1.gif)

2:

![Haloalkanemechanismsproblem2.gif](../../../upload.wikimedia.org/wikibooks/en/5/50/Haloalkanemechanismsproblem2.gif)

3:

![Haloalkanemechanismsproblem3.gif](../../../upload.wikimedia.org/wikibooks/en/f/f6/Haloalkanemechanismsproblem3.gif)

**Answers:**  
1) SN2\. Good nucleophile, polar solvent.  
2) SN1\. Tertiary carbon, polar solvent. Very slow reaction rate.  
3) SN2\. Primary carbon, good nucleophile, nonpolar solvent.  


## Grignard reagents

Grignard reagents are created by reacting magnesium metal with a haloalkane. The magnesium atom gets between the alkyl group and the halogen atom with the general reaction:

R-Br + Mg → R-Mg-Br

Gringard reagents are very reactive and thus provide a means of organic synthesis from haloalkanes. For example, adding water gives the alcohol R-OH. Basic: R-X + Mg → R-Mg-X For example (X=Cl and R=CH3): CH3-Cl + Mg → CH3MgCl (methylmagnesiumchloride)

## Elimination reactions

With alcoholic potassium hydroxide, haloalkanes lose H-X and form the corresponding alkene. Very strong bases such as KNH2/NH3 convert vic-dihalides (haloalkanes with two halogen atoms on adjacent carbons) into alkynes.

* * *

# Unit 5: **Alcohols**

**Alcohols** are the family of compounds that contain one or more **hydroxyl (-OH)** groups attached to a single bonded alkane. Alcohols are represented by the general formula R-OH. Alcohols are important in organic chemistry because they can be converted to and from many other types of compounds. Reactions with alcohols fall into two different categories. Reactions can cleave the R-O bond or they can cleave the O-H bond.

Ethanol (ethyl alcohol, or grain alcohol) is found in alcoholic beverages, CH3CH2OH.

# Preparation

In the [Alkenes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes) section, we already covered a few methods for synthesizing alcohols. One is the hydroboration-oxidation of alkenes and the other is the oxymercuration-reduction of alkenes. But there are a great many other ways of creating alcohols as well.

A common source for producing alcohols is from carbonyl compounds. The choice of carbonyl type (ketone, aldehyde, ester, etc.) and the type of reaction (Grignard addition or Reduction), will determine the product(s) you will get. Fortunately, there are a number of variations of carbonyls, leading to a number of choices in product.

There are primarily two types of reactions used to create alcohols from carbonyls: Grignard Addition reactions and Reduction reactions. We'll look at each type of reaction for each type of carbonyl.

### Grignard Addition Reactions

As we learned previously, [Grignard reagents](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes#Grignard_reagents) are created by reacting magnesium metal with an alkyl halide (aka [haloalkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes)). The magnesium atom then gets between the alkyl group and the halogen atom with the general reaction:

R-X + Mg → R-Mg-X

In our examples, we'll be using bromine in our Grignard reagents because it's a common Grignard halogen and it will keep our examples a little clearer without the need for X.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Grignard-Reaction_Mechanism.png/600px-Grignard-Reaction_Mechanism.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Mechanism of Grignard reagent reacting with a carbonyl

The general mechanism of a Grignard reagent reacting with a carbonyl (except esters) involves the creation of a 6-membered ring transition state. The pi bond of the oxygen attacks a neighboring magnesium bromide which in turn, releases from its R group leaving a carbocation. At the same time, the magnesium bromide ion from another Grignard molecule is attacked by the carbocation and has its magnesium bromide ion stolen (restoring it to its original state as a Grignard reagent). The second molecule's carbocation is then free to attack the carbanion resulting from the vacating pi bond, attaching the R group to the carbonyl.

At this point, there is a magnesium bromide on the oxygen of what was a carbonyl. The proton from the acidic solvent easily displaces this magnesium bromide ion and protonates the oxygen, creating a primary alcohol with formaldehyde, a secondary alcohol with an aldehyde and a tertiary alcohol with a ketone.

With esters, the mechanism is slightly different. Two moles of Grignard are required for each mole of the ester. Initially, the pi bond on the carbonyl oxygen attacks the magnesium bromide ion. This opens up the carbon for attack from the R group of the Grignard. This part of the reaction is slow because of the dual oxygens off of the carbon providing some resonance stabilization. The oxygen's pi bond then re-forms, expelling the O-R group of the ester which then joins with the magnesium bromide, leaving R-O-MgBr and a ketone. The R-O-MgBr is quickly protonated from the acidic solution and the ketone is then attacked by Grignard reagent via the mechanism described earlier.

#### Synthesis from Formaldehyde

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Alcohols_from_formaldehyde_via_grignard.png/600px-Alcohols_from_formaldehyde_via_grignard.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from formaldehyde and Grignard reagent

The image above shows the synthesis of an alcohol from formaldehyde reacted with a Grignard reagent. When a formaldehyde is the target of the Grignard's attack, the result is a primary alcohol.

#### Synthesis from an Aldehyde

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/43/Alcohols_from_aldehyde_via_grignard.png/600px-Alcohols_from_aldehyde_via_grignard.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an aldehyde and Grignard reagent

The image above shows the synthesis of an alcohol from an aldehyde reacted with a Grignard reagent. When an aldehyde is the target of the Grignard's attack, the result is a secondary alcohol.

#### Synthesis from a Ketone

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Alcohols_from_ketone_via_grignard.png/600px-Alcohols_from_ketone_via_grignard.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an ketone and Grignard reagent

The image above shows the synthesis of an alcohol from a ketone reacted with a Grignard reagent. When a ketone is the target of the Grignard's attack, the result is a tertiary alcohol.

#### Synthesis from an Ester

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Alcohols_from_ester_via_grignard.png/600px-Alcohols_from_ester_via_grignard.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an ester and Grignard reagent

The image above shows the synthesis of an alcohol from an ester reacted with a Grignard reagent. When an ester is the target of the Grignard's attack, the result is a tertiary alcohol and a primary alcohol. The primary alcohol is always from the -O-R portion of the ester and the tertiary alcohol is the other R groups of the ester combined with the R group from the Grignard reagent.

#### Synthesis from an Epoxide

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1e/Alcohols_from_epoxides_via_grignard.png/600px-Alcohols_from_epoxides_via_grignard.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an epoxide and Grignard reagent

We will discuss reactions with Epoxides later when we cover epoxides, but for now, we'll briefly discuss the synthesis of an alcohol from an epoxide. The nature of the reaction is different than with the carbonyls, as might be expected. The reaction of Grignard reagents with epoxides is regioselective. The Grignard reagent attacks at the least substituted side of the carbon-oxygen bonds, if there is one. In this case, one carbon has 2 hydrogens and the other has 1, so the R group attacks the carbon with 2 hydrogens, breaking the bond with oxygen which is then protonated by the acidic solution. leaving a secondary alcohol and a concatenated carbon chain. The R group can be alkyl or aryl.

  


#### Organolithium Alternative

As an alternative to Grignard reagents, organolithium reagents can be used as well. Organolithium reagents are slightly more reactive, but produce the same general results as Grignard reagents, including the synthesis from epoxides.

### Reduction

#### Synthesis from an Aldehyde

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/75/Alcohols_from_aldehyde_via_reduction.png/600px-Alcohols_from_aldehyde_via_reduction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an aldehyde by reduction.

The image above shows the synthesis of an alcohol from an aldehyde by reduction.

#### Synthesis from a Ketone

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Alcohols_from_ketone_via_reduction.png/600px-Alcohols_from_ketone_via_reduction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an aldehyde by reduction

The image above shows the synthesis of an alcohol from a ketone by reduction.

  


#### Synthesis from an Ester

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Alcohols_from_ester_via_reduction.png/600px-Alcohols_from_ester_via_reduction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from an ester by reduction

The image above shows the synthesis of an alcohol from an ester by reduction. Esters can be hydrolysed to form an alcohol and a carboxylic acid.

#### Synthesis from a Carboxylic Acid

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Alcohols_from_carboxylic_acid_via_reduction.png/600px-Alcohols_from_carboxylic_acid_via_reduction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alcohol from a carboxylic acid by reduction

The image above shows the synthesis of an alcohol from a carboxylic acid reacted by reduction.

# Properties

## Naming alcohols

Follow these rules to name alcohols the IUPAC way:

  1. find the longest carbon chain containing at least one OH group, this is the parent 
    1. if there are multiple OH groups, look for the chain with the most of them, and the way to count as many carbons in that chain
    2. name as an alcohol, alkane diol, triol, etc.
  2. number the OH groups, giving each group the lowest number possible when different numbering possibilities exist
  3. treat all other groups as lower priority substituents (alcohol / hydroxy groups are the highest priority group for naming)

### Example alcohols

IUPAC name Common name

CH3CH2OH
Ethanol
Ethyl alcohol

CH3CH2CH2-OH
1-Propanol
n-Propyl alcohol

(CH3)2CH-OH
2-Propanol
Isopropyl alcohol (Note: Isopropanol would be incorrect. Cannot mix 

and match between systems.)

2-Ethylbutan-1-ol
2-Ethylbutanol

3-Methyl-3-pentanol

2,2-Dimethylcyclopropanol

Multiple OH functional groups

1,2-Ethanediol
Ethylene glycol

1,1-Ethanediol
Acetaldehyde hydrate

1,4-Cyclohexanediol

(form that body fat is stored as)
1,2,3-Propanetriol
Glycerol

-OH can be named as a substituent hydroxyl group (hydroxyalkanes)

1,2-Di(hydroxymethyl)cyclohexane

2-(hydroxymethyl)-1,3-propanediol

Find the longest chain of carbons containing the maximum number of 

-OH groups

1-(1-hydroxyethyl)-1-methylcyclopropane

2-(1-methylcyclopropyl)ethanol

2-(2-hydroxyethyl)-2-methylcyclopropanol

3-(2-hydroxyethyl)-3-methyl-1,2-cyclopropanediol

## Acidity

In an O-H bond, the O steals the H's electron due to its electronegativity, and O can carry a negative charge (R-O-). This leads to **deprotonation** in which the nucleus of the H, a proton, leaves completely. This makes the -OH group (and alcohols) Bronsted acids. Alcohols are weak acids, even weaker than water. Ethanol has a pKa of 15.9 compared to water's pKa of 15.7. The larger the alcohol molecule, the weaker an acid it is.

On the other hand, alcohols are also weakly basic. This may seem to be contradictory--how can a substance be both an acid and a base? However, substances exist that can be an acid or a base depending on the circumstances. Such a compound is said to be amphoteric or amphiprotic. As a Bronsted base, the oxygen atom in the -OH group can accept a proton (hydrogen ion.) This results in a positively-charged species known as an oxonium ion. Oxonium ions have the general formula ROH2+, where R is any alkyl group.

## Alkoxides

When O becomes deprotonated, the result is an **alkoxide**. Alkoxides are anions. The names of alkoxides are based on the original molecule. (Ethanol=ethoxide, butanol=butoxide, etc.) Alkoxides are good nucleophiles due to the negative charge on the oxygen atom.

### Producing an alkoxide

R-OH -> H+ \+ R-O-

In this equation, R-O- is the alkoxide produced and is the conjugate base of R-OH

Alcohols can be converted into alkoxides by reaction with a strong base (must be stronger than OH-) or reaction with metallic sodium or potassium. Alkoxides themselves are basic. The larger an alkoxide molecule is, the more basic it is.

# Reactions

## Conversion of alcohols to haloalkanes

Recall that haloalkanes can be converted to alcohols through nucleophilic substitution.

  


## Conversion of a haloalkane to an alcohol

R-X + OH- → R-OH + X-

This reaction proceeds because X (a halogen) is a good leaving group and OH- is a good nucleophile. OH, however, is a poor leaving group. To make the reverse reaction proceed, OH must become a good leaving group. This is done by protonating the OH, turning it into H2O+, which is a good leaving group. H+ must be present to do this. Therefore, the compounds that can react with alcohols to form haloalkanes are HBr, HCl, and HI. Just like the reverse reaction, this process can occur through SN2 (backside attack) or SN1 (carbocation intermediate) mechanisms.

  


## SN2 conversion of an alcohol to a haloalkane

R-O-H + H+ \+ X- → R-O+-H2 \+ X- → R-X + H2O

  


## SN1 conversion of an alcohol to a haloalkane

R-O-H + H+ \+ X- → R-O+-H2 \+ X- → R+ \+ H2O + X- → R-X + H2O

As stated in the haloalkane chapter, the two mechanisms look similar but the mechanism affects the rate of reaction and the stereochemistry of the product.

## Oxidation of alcohols

Oxidation in organic chemistry always involves either the addition of oxygen atoms (or other highly electronegative elements like sulfur or nitrogen) or the removal of hydrogen atoms. Whenever a molecule is oxidized, another molecule must be reduced. Therefore, these reactions require a compound that can be reduced. These compounds are usually inorganic. They are referred to as _oxidizing reagents_.

With regards to alcohol, oxidizing reagents can be strong or weak. Weak reagants are able to oxidize a primary alcohol group into a aldehyde group and a secondary alcohol into a ketone. Thus, the R-OH (alcohol) functional group becomes R=O (carbonyl) after a hydrogen atom is removed. Strong reagents will further oxidize the aldehyde into a carboxylic acid (COOH). Tertiary alcohols cannot be oxidized.

An example of a strong oxidizing reagent is chromic acid (H2CrO4). An example of a weak oxidizing reagent is pyridinium chlorochromate (PCC) (C5H6NCrO3Cl).

* * *

# Unit 6: **Amine**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/Ammonia.svg/52px-Ammonia.svg.png)

Ammonia

**Amines** are organic compounds which contain and are often actually based on one or more atoms of nitrogen. Structurally amines resemble ammonia in that the nitrogen can bond up to three hydrogens, but amines also have additional properties based on their carbon connectivity. In an amine, one or more of the hydrogen atoms from ammonia are replaced by organic substituents like alkyl (alkane chain) and aryl (aromatic ring) groups.

Another type of organic molecule contains nitrogen without being, strictly speaking, an _amine_: carboxylic acid derivatives containing a trivalent (three-bond) ammonia in ground state are actually _amides_ instead of amines. Amides and amines have different structures and properties, so the distinction is actually very important. Organic-nitrogen compounds containing metals are also called _amides_, so if you see a molecule that has a nitrogen and either a carbonyl group or a metal next to that nitrogen, then you know that molecule should be an amide instead of an amine.

  


# Preparation

The following laboratory methods can be considered to be in common use for purpose of the preparation of amine compounds:

  


## The Gabriel synthesis

![The Gabriel synthesis](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Gabriel_Synthesis_Scheme.png/500px-Gabriel_Synthesis_Scheme.png)

  * via azides by the Staudinger reduction.
  * Allylic amines can be prepared from imines in the Aza-Baylis-Hillman reaction.

used for prepration of primary amines. aromatic primary amines cant b prepared by this method. cos aryl hallides do not undergo nueleophilic substitution with pottasium pthlimide

## Hofmann degradation of amides

This reaction is valid for preparation of primary amines only, and it gives good yields of primary amines uncontaminated with other amines.

    

![The Hofmann rearrangment](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/83/Hofmann_Rearrangement_Scheme.png/400px-Hofmann_Rearrangement_Scheme.png)

## Hofmann elimination of quaternary ammonium salts

    

    

    R3N+CH2CH2R' + OH- → R3N + H2C=CHR' + H2O

  * Quaternary ammonium salts, upon treatment with a strong base, undergo the Hofmann Elimination.

## Reduction of nitriles and amides

[File:Nitrile.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Nitrile.gif)

  * Nitriles are reduced to amines using hydrogen in the presence of a nickel catalyst, although acidic or alkaline conditions should be avoided to avoid the possible hydrolysis of the -CN group.
  * LiAlH4 is more commonly employed for the reduction of nitriles on the laboratory scale.

  


![Reduction-of-amide.gif](../../../upload.wikimedia.org/wikipedia/commons/1/1d/Reduction-of-amide.gif)

  * Similarly, LiAlH4 reduces amides to amines.

  


## Nucleophilic substitution of haloalkanes

Primary amines can also be synthesized by alkylation of ammonia. Haloalkanes react with amines to give a corresponding alkyl-substituted amine, with the release of a halogen acid. Such reactions, which are most useful for alkyl iodides and bromides, are rarely employed because the degree of alkylation is difficult to control. If the reacting amine is tertiary, a quaternary ammonium cation results. Many quaternary ammonium salts can be prepared by this route with diverse R groups and many halide and pseudohalide anions.

![Amine alkylation](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Alkylation_of_amine.svg/477px-Alkylation_of_amine.svg.png)

![Amine alkylation](../../../upload.wikimedia.org/wikipedia/commons/6/69/Formation_of_Quat.PNG)

# Properties

## Types of Amines

Amines can be either _primary_, _secondary_ or _tertiary_, depending on the number of carbon-containg groups that are attached to them. If there is only one carbon-containing group (such as in the molecule CH3NH2) then that amine is considered primary. Two carbon-containing groups makes an amine secondary, and three groups makes it tertiary. Utilizing the lone electron pair of nitrogen, it is sometimes energetically favored to use the nitrogen as a nucleophile and thus bind a fourth carbon-containing group to the amine. In this case, it could be called a _quaternary ammonium ion_.

**Primary Amine:**  
![primary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Amina1.png/75px-Amina1.png)
**Secondary Amine:**  
![secondary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/Amina2.png/75px-Amina2.png)
**Tertiary Amine:**  
![tertiary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Amina3.png/75px-Amina3.png)

An organic compound with multiple amine groups is called a **diamine**, **triamine**, **tetraamine** and so forth, based on the number of amine groups (also called _amino groups_) attached to the molecule. The chemical formula for methylene diamine (also called diaminomethane), for example, would be as follows: H2N-CH2-NH2

## Aromatic amines

Aromatic amines have the nitrogen atom directly connected to an aromatic ring structure. Due to its _electron withdrawing_ properties, the aromatic ring greatly decreases the basicity of the amine - and this effect can be either strengthened or offset depending on what substituents are on the ring and on the nitrogen. The presence of the lone electron pair from the nitrogen has the opposite effect on the aromatic ring itself; because the nitrogen atom can "loan" electron density to the ring, the ring itself becomes much more reactive to other types of chemistry.

## Naming conventions

For primary amines, where the amine is not the principal characteristic group, the prefix "amino-" is used. For example: 4-aminobenzoic acid where the carboxylic acid is the principal characteristic. Otherwise, the suffix "-amine" is used with with either the parent hybride or the R group substituent name. Example: ethanamine or ethylamine. Alternatively, the suffix "-azane" can be appended to the R group substituent name: Example: propylazane.

For secondary, tertiary, and quarternary amines, the naming convention is a bit different, but the suffixes are the same. For symmetrical amines, the "di" or "tri" prefix is used depending on whether there are 2 or 3 substituents. For example, dipropylamine is a secondary amine, and triphenylamine is a tertiary amine. For asymmetric amines, the parent chain gets the "-amine" suffix. This name is then prefixed with "N-" (indicating the nitrogen bond) and the substituent group name, for each substituent, using alphabetic order for tertiary amides. For example, N-ethyl-N-methyl-propylamine, not N-methyl-N-ethyl-propylamine.

To sum up:

  * as prefix: "amino-"
  * as suffix: "-amine"
  * the prefix "N-" shows substitution on the nitrogen atom (in the case of secondary, tertiary and quaternary amines)

Systematic names for some common amines:

![Methylamine.png](../../../upload.wikimedia.org/wikibooks/en/3/34/Methylamine.png)  
**methylamine**

  * Primary amines: [ethanamine](http://en.wikipedia.org/wiki/ethanolamine) or ethylamine.
  * Secondary amines: [dimethylamine](http://en.wikipedia.org/wiki/dimethylamine)
  * Tertiary amines: [trimethylamine](http://en.wikipedia.org/wiki/trimethylamine)

## Physical properties

As one might readily guess, the inclusion of a heteroatom such as nitrogen in otherwise exclusively carbon and hydrogen molecules has quite an effect on the properties of amines as compared to alkanes.

  


### General properties

Hydrogen bonding significantly influences the properties of primary and secondary amines as well as the protonated derivatives of all amines. Thus the boiling point of amines is higher than those for the corresponding phosphines (compounds containing phosphorus), but generally lower than the corresponding alcohols. Alcohols, or alkanols, resemble amines but feature an -OH group in place of NR2. Since oxygen is more electronegative than nitrogen, RO-_H_ is typically more acidic than the related R2N-_H_ compound.

Methyl, dimethyl, trimethyl, and ethyl amines are gases under standard conditions. Most common alkyl amines are liquids, and high molecular weight amines are, quite naturally, solids at standard temperatures. Additionally, gaseous amines possess a characteristic ammonia smell, while liquid amines have a distinctive "fishy" smell.

Most aliphatic amines display some solubility in water, reflecting their ability to form hydrogen bonds. Solubility decreases relatively proportionally with the increase in the number of carbon atoms in the molecule - especially when the carbon atom number is greater than six. Aliphatic amines also display significant solubility in organic solvents, especially in polar organic solvents. Primary amines react readily with ketone compounds (such as _acetone_), however, and most amines are incompatible with chloroform and also with carbon tetrachloride as solvent solutions.

Aromatic amines have their lone pair electrons conjugated ("shared") into the benzene ring, so their tendency to engage in hydrogen bonding is somewhat diminished. The boiling points of these molecules are therefore usually somewhat higher than other, smaller amines due to their typically larger size. They also often have relatively diminished solubility in water, although they retain their solubility in other organic solvents.

Aromatically conjugated amines are often quite toxic and have the potential to be easily absorbed through the skin, so should always be treated as "hazardous".

![amine inversion](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/83/Inversion_of_Amine.PNG/200px-Inversion_of_Amine.PNG)

### Chirality

Tertiary amines of the type NHRR' and NRR'R" are not chiral: although the nitrogen atom bears four distinct substituents counting the lone pair, the lone pair of electrons can "flip" across the nitrogen atom and invert the other molecules. The energy barrier for just such a Walden inversion of the stereocenter with a lone pair of electrons is relatively low, e.g. ~7 kcal/mol for a trialkylamine, therefore it is difficult to obtain reliably chiral products using tertiary amines. Because of this low barrier, amines such as NHRR' cannot be resolved optically and NRR'R" can only be resolved when the R, R', and R" groups are constrained in cyclic structures. Quaternary amine structures, e.g. H3C-N+-RR'R", are chiral and are readily optically resolved.

  


### Properties as bases

Like ammonia, amines act as bases and are reasonably strong (see the provided table for some examples of conjugate acid Ka values). The basicity of amines varies by molecule, and it largely depends on:

  * The availability of the lone pair of electrons from nitrogen
  * The electronic properties of the attached substituent groups (e.g., alkyl groups enhance the basicity, aryl groups diminish it, etc.)
  * The degree of solvation of the protonated amine, which depends mostly on the solvent used in the reaction

The nitrogen atom of a typical amine features a lone electron pair which can bind a hydrogen ion (H+) in order to form an ammonium ion -- R3NH+. The water solubility of simple amines is largely due to the capability for hydrogen bonding that can occur between protons on the water molecules and these lone pairs of electrons.

\---

  * Inductive effect of alkyl groups

Ions of compound Kb

ammonia NH3
1.8·10-5 M

methylamine CH3NH2
4.4·10-4 M

propylamine CH3CH2CH2NH2
4.7·10-4 M

2-propylamine (CH3)2CHNH2
5.3·10-4 M

diethylamine (CH3)2NH2
9.6·10-4 M

_+I effect of alkyl groups raises the energy of the lone pair of electrons, thus elevating the basicity._

  


  * [Mesomeric effect](http://en.wikipedia.org/wiki/Mesomeric_effect) of aromatic systems

Ions of compound Kb

ammonia NH3
1.8·10-5 M

aniline C6H5NH2
3.8·10-10 M

4-methylphenylamine 4-CH3C6H4NH2
1.2·10-9 M

_+M effect of aromatic ring delocalizes the lone pair electron into the ring, resulting in decreased basicity._

  
The degree of protonation of protonated amines:

Ions of compound Maximum number of H-bond

NH4+
4 Very Soluble in H2O

RNH3+
3

R2NH2+
2

R3NH+
1 Least Soluble in H2O

# Reactions

## Amide formation

Acyl chlorides and acid anhydrides react with primary and secondary amines without the presence of heat to form amides. Tertiary amines cannot be acylated due to the absence of a replaceable hydrogen atom. With the much less active benzoyl chloride, acylation can still be performed by the use of excess aqueous base to facilitate the reaction.

![Amide formation](../../../upload.wikimedia.org/wikipedia/commons/1/1a/Amide_formation_from_amine.gif)

## Salt formation

Because amines are basic, they neutralize carboxylic acids to form the corresponding ammonium carboxylate salts. Upon heating to 200°C, the primary and secondary amine salts dehydrate to form the corresponding amides.

![Amine reaction with carboxylic acids](../../../upload.wikimedia.org/wikipedia/commons/1/16/Amine_plus_Carboxylic_Acid.PNG)

  


## Neutralization

Amines R3N react with strong acids such as hydroiodic acid (HI), hydrobromic acid (HBr) and hydrochloric acid (HCl) to give ammonium salts R3NH+.

  


## Reaction with nitrous acid

Nitrous acid with the chemical formula HNO2 is unstable. Usually it is produced indirectly in a mixture of NaNO2 and a strong acid such as HCl or H2SO4 in dilute concentration, so that the H+ ions will associate with the NO2- ions in solution.

Primary aliphatic amines with nitrous acid give very unstable diazonium salts which spontaneously decompose by losing N2 to form a carbenium ion. The carbenium ion goes on to produce a mixture of alkenes, alkanols or alkyl halides, with alkanols as the major product. This reaction is of little synthetic importance because the diazonium salt formed is too unstable, even under quite cold conditions.

    NaNO2 \+ HCl → HNO2 \+ NaCl

![Nitrous acid reaction](../../../upload.wikimedia.org/wikipedia/commons/6/63/Nitrous_acid_with_n-amine.gif)

  


  * Primary aromatic amines, such as aniline (phenylamine) forms a more stable diazonium ion at 0–5°C. Above 5°C, it will decompose to give phenol and N2. Diazonium salts can be isolated in the crystalline form but are usually used in solution and immediately after preparation, due to rapid decomposition on standing even with little ambient heat. Solid diazonium salts can be explosive on shock or on mild warming.

![Aromatic diazonium salts](../../../upload.wikimedia.org/wikipedia/commons/9/98/Aromatic_diazonium_salt.gif)

## Reactions with ketones and aldehydes

  * Primary amines react with carbonyl compounds to form imines. Specifically, aldehydes become aldimines, and ketones become ketimines. In the case of formaldehyde (R' = H), the imine products are typically cyclic trimers.

    RNH2 \+ R'2C=O → R'2C=NR + H2O

  * Secondary amines react with ketones and aldehydes to form enamines. An enamine contains a C=C double bond, where the second C is singly bonded to N as part of an amine ligand.

    R2NH + R'(R"CH2)C=O → R"CH=C(NR2)R' + H2O

# Use of amines

## As dyes

Primary aromatic amines are used as a starting material for the manufacture of azo dyes. They react with nitrous(II) acid to form diazonium salt which can undergo a coupling reaction in order to form an azo compound. As azo compounds are highly coloured, they are widely used in dyeing industries. Examples include:

  * Methyl orange
  * Direct brown 138
  * Sunset yellow FCF
  * Ponceau

## As drugs

  * [Chlorpheniramine](http://en.wikipedia.org/wiki/Chlorpheniramine) is an antihistamine the helps to relief allergic disorders due to cold, hay fever, itchy skin, insect bites and stings.
  * [Diphenhydramine](http://en.wikipedia.org/wiki/Diphenhydramine) is the common antihistamine, benadryl.
  * [Chlorpromazine](http://en.wikipedia.org/wiki/Chlorpromazine) is a tranquillizer that sedates without inducing sleep. It is used to relieve anxiety, excitement, restlessness or even mental disorder.
  * [Acetaminophen](http://en.wikipedia.org/wiki/Acetaminophen) is also known as paracetamol or p-acetaminophenol, an analgesic that relieves pains such as headaches. It is believed to be less corrosive to the stomach and is an alternative to aspirin.

  


# See also

  * [IUPAC nomenclature](http://en.wikipedia.org/wiki/IUPAC_nomenclature) for the official naming rules for amines.

* * *

# Unit 7: **Alkenes**

<<[ Haloalkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes) |**Alkenes**| [Alkynes >>](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkynes)

Alkenes are [aliphatic](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A) [hydrocarbons](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#H) containing carbon-carbon double bonds and general formula CnH2n.

# Naming Alkenes

Alkenes are named as if they were alkanes, but the "-ane" suffix is changed to "-ene". If the alkene contains only one double bond and that double bond is terminal (the double bond is at one end of the molecule or another) then it is not necessary to place any number in front of the name.

> **butane:** C4H10 (CH3CH2CH2CH3)  
**butene:** C4H8 (CH2=CHCH2CH3)

  
If the double bond is not terminal (if it is on a carbon somewhere in the center of the chain) then the carbons should be numbered in such a way as to give the first of the two double-bonded carbons the lowest possible number, and that number should precede the "ene" suffix with a dash, as shown below.

> **correct:** pent-2-ene (CH3CH=CHCH2CH3)  
**incorrect:** pent-3-ene (CH3CH2CH=CHCH3)  
_The second one is incorrect because flipping the formula horizontally results in a lower number for the alkene._

  
If there is more than one double bond in an alkene, all of the bonds should be numbered in the name of the molecule - even terminal double bonds. The numbers should go from lowest to highest, and be separated from one another by a comma. The IUPAC numerical prefixes are used to indicate the number of double bonds.

> **octa-2,4-diene:** CH3CH=CHCH=CHCH2CH2CH3  
**deca-1,5-diene:** CH2=CHCH2CH2CH=CHCH2CH2CH2CH3

  
Note that the numbering of "2-4" above yields a molecule with two double bonds separated by just one single bond. Double bonds in such a condition are called "conjugated", and they represent an enhanced stability of conformation, so they are energetically favored as reactants in many situations and combinations.

## EZ Notation

Earlier in stereochemistry, we discussed cis/trans notation where cis- means same side and trans- means opposite side. Alkenes can present a unique problem, however in that the cis/trans notation sometimes breaks down. The first thing to keep in mind is that alkenes are planar and there's no rotation of the bonds, as we'll discuss later. So when a substituent is on one side of the double-bond, it stays on that side.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/ba/EZNotation3.png/400px-EZNotation3.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

cis-but-2-ene and trans-but-2-ene

The above example is pretty straight-forward. On the left, we have two methyl groups on the same side, so it's cis-but-2-ene. And on the right, we have them on opposite sides, so we have trans-but-2-ene. So in this situation, the cis/trans notation works and, in fact, these are the correct names.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0d/EZNotation5.png/759px-EZNotation5.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

(E)-3-methylpent-2-ene and (Z)-3-methylpent-2-ene

From the example above, how would you use cis and trans? Which is the same side and which is the opposite side? Whenever an alkene has 3 or 4 differing substituents, one must use the what's called the EZ nomenclature, coming from the German words, Entgegen (opposite) and Zusammen (same).

**E**: Entgegen, opposite sides of double bond  
**Z**: Zusammen, same sides (zame zides) of double bond

Let's begin with (Z)-3-methylpent-2-ene. We begin by dividing our alkene into left and right halves. On each side, we assign a substituent as being either a high priority or low priority substituent. The priority is based on the atomic number of the substituents. So on the left side, hydrogen is the lowest priority because its atomic number is 1 and carbon is higher because its atomic number is 6.

On the right side, we have carbon substituents on both the top and bottom, so we go out to the next bond. On to the top, there's another carbon, but on the bottom, a hydrogen. So the top gets high priority and the bottom gets low priority.

Because the high priorities from both sides are on the same side, they are Zusammen (as a mnemonic, think 'Zame Zide').

Now let's look at (E)-3-methylpent-2-ene. On the left, we have the same substituents on the same sides, so the priorities are the same as in the Zusammen version. However, the substituents are reversed on the right side with the high priority substituent on the bottom and the low priority substituent on the top. Because the High and Low priorities are opposite on the left and right, these are Entgegen, or opposite.

The system takes a little getting used to and it's usually easier to name an alkene than it is to write one out given its name. But with a little practice, you'll find that it's quite easy.

### Comparison of E-Z with cis-trans

(Z)-but-2-ene
(E)-but-2-ene

![Cis-2-butene.PNG](../../../upload.wikimedia.org/wikipedia/commons/1/1c/Cis-2-butene.PNG)
![Trans-2-butene.PNG](../../../upload.wikimedia.org/wikipedia/commons/e/eb/Trans-2-butene.PNG)

cis-but-2-ene
trans-but-2-ene

To a certain extent, the Z configuration can be regarded as the _cis-_ isomer and the E as the _trans-_ isomers. This correspondence is exact only if the two carbon atoms are identically substituted.

In general, cis-trans should only be used if each double-bonded carbon atom has a hydrogen atom (i.e. R-CH=CH-R').

[IUPAC Gold book on cis-trans notation.](http://goldbook.iupac.org/C01093.html)

[IUPAC Gold book on E-Z notation.](http://goldbook.iupac.org/E01882.html)

# Properties

Alkenes are molecules with carbons bonded to hydrogens which contain at least two sp2 hybridized carbon atoms. That is, to say, at least one carbon-to-carbon double bond, where the carbon atoms, in addition to an electron pair shared in a _sigma_ (σ) bond, share one pair of electrons in a _pi_ (π) bond between them.

The general formula for an aliphatic alkene is: CnH2n \-- _e.g._ C2H4 _or_ C3H6

## Diastereomerism

### Restricted rotation

Because of the characteristics of pi-bonds, alkenes have very limited rotation around the double bonds between two atoms. In order for the alkene structure to rotate the pi-bond would first have to be broken - which would require about 60 or 70 kcal of energy. For this reason alkenes have different chemical properties based on which side of the bond each atom is located.

For example, but-2-ene exists as two [diastereomers](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality/Diastereomers):

(Z)-but-2-ene
(E)-But-2-ene

![Cis-2-butene.PNG](../../../upload.wikimedia.org/wikipedia/commons/1/1c/Cis-2-butene.PNG)
![Trans-2-butene.PNG](../../../upload.wikimedia.org/wikipedia/commons/e/eb/Trans-2-butene.PNG)

cis-but-2-ene
trans-but-2-ene

# Relative stability

Observing the reaction of the addition of hydrogen to 1-butene, (Z)-2-butene, and (E)-2-butene, we can see that all of the products are butane. The difference between the reactions is that each reaction has a different energy: -30.3 kcal/mol for 1-butene, -28.6 kcal/mol for (Z)-2-butene and -27.6 kcal/mol for (E)-2-butene. This illustrates that there are differences in the stabilities of the three species of butene isomers, due to the difference in how much energy can be released by reducing them.

The relative stability of alkenes may be estimated based on the following concepts:

  * An internal alkene (the double bond _not_ on the terminal carbon) is more stable than a terminal alkene (the double bond _is_ on a terminal carbon).

Internal alkenes are more stable than terminal alkenes because they are connected to more carbons on the chain. Since a terminal alkene is located at the end of the chain, the double bond is only connected to one carbon, and is called primary (1°). Primary carbons are the least stable. In the middle of a chain, a double bond could be connected to two carbons. This is called secondary (2°). The most stable would be quaternary (4°).

  * In general, the more and the bulkier the alkyl groups on a sp2-hybridized carbon in the alkene, the more stable that alkene is.
  * A trans double bond is more stable than a cis double bond.

# Reactions

## Preparation

There are several methods for creating alcohols.[[2]](Print_version.html#cite_note-2) Some of these methods, such as the Wittig reaction, we'll only describe briefly in this chapter and instead, cover them in more detail later in the book. For now, it's enough to know that they are ways of creating alkenes.

### Dehydrohalogenation of Haloalkanes

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Synthesis_of_alkenes_-_Dehydrohalogenation3.png/400px-Synthesis_of_alkenes_-_Dehydrohalogenation3.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alkene by dehydrohalogenation

Alkyl halides are converted into alkenes by dehydrohalogenation: elimination of the elements of hydrogen halide. Dehydrohalogenation involves removal of the halogen atom together with a hydrogen atom from a carbon adjacent to the one bearing the halogen. It uses the E2 elimination mechanism that we'll discuss in detail at the end of this chapter The haloalkane must have a hydrogen and halide 180° from each other on neighboring carbons. If there is no hydrogen 180° from the halogen on a neighboring carbon, the reaction will not take place. It is not surprising that the reagent required for the elimination of what amounts to a molecule of acid is a strong base for example: alcholic KOH.

In some cases this reaction yields a single alkene. and in other cases yield a mixture. n-Butyl chloride, for example, can eliminate hydrogen only from C-2 and hence yields only 1-butene. sec-Butyl chloride, on the other hand, can eliminate hydrogen from either C-l or C-3 and hence yields both 1-butene and 2-butene. Where the two alkenes can be formed, 2-butene is the chief product.

### Dehalogenation of Vicinal Dibromides

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/Synthesis_of_alkenes_from_vicinal_dihalides2.png/400px-Synthesis_of_alkenes_from_vicinal_dihalides2.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alkene via debromination of vicinal dihalides using Sodium Iodide

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/43/Synthesis_of_alkenes_from_vicinal_dihalides1.png/400px-Synthesis_of_alkenes_from_vicinal_dihalides1.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alkene via debromination of vicinal dihalides using Zinc

The dehalogenation of vicinal dihalides (halides on two neighboring carbons, think "vicinity") is another method for synthesizing alkenes. The reaction can take place using either sodium iodide in a solution of acetone, or it can be performed using zinc dust in a solution of either heated ethanol or acetic acid.

This reaction can also be performed with magnesium in ether, though the mechanism is different as this actually produces, as an intermediate, a Grignard reagent that reacts with itself and and causes an elimination, resulting in the alkene.[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_]

### Dehydration of alcohols

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5e/Synthesis_of_alkenes_-_Dehydration_of_alcohol.png/400px-Synthesis_of_alkenes_-_Dehydration_of_alcohol.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alkene by dehydration of an alcohol

An alcohol is converted into an alkene by dehydration: elimination of a molecule of water. Dehydration requires the presence of an acid and the application of heat. It is generally carried out in either of two ways, heating the alcohol with sulfuric or phosphoric acid to temperatures as high as 200, or passing the alcohol vapor over alumina, Al2O3 , at 350-400, alumina here serving as a Lewis acid.

Ease of dehydration of alcohols : 3° > 2° > 1°

Where isomeric alkenes can be formed, we again find the tendency for one isomer to predominate. Thus, sec-butyl alcohol, which might yield both 2-butene and 1-butene, actually yields almost exclusively the 2-isomer

The formation of 2-butene from n-butyl alcohol illustrates a characteristic of dehydration that is not shared by dehydrohalogenalion: the double bond can be formed at a position remote from the carbon originally holding the -OH group. This characteristic is accounted for later. It is chiefly because of the greater certainty as to where the double bond will appear that dehydrohalogeation is often preferred over dehydration as a method of making alkenes.

### Reduction of Alkenes

Reduction of an alkene to the double-bond stage can unless the triple bond is at the end of a chain yield either a cis-alkene or a trans-alkene. Just which isomer predominates depends upon the choice of reducing agent.

Predominantly trans-alkene is obtained by reduction of alkenes with sodium or lithium in liquid ammonia. Almost entirely cis-alkene (as high as 98%) is obtained by hydrogenation of alkenes with several different catalysts : a specially prepared palladium called Lindlar's catalyst; or a nickel boride called P-2 catalyst.

Each of these reactions is, then, highly stereoselective. The stereoselectivity in the cis-reduction of alkynes is attributed, in a general way, to the attachment of two hydrogens to the same side of an alkyne sitting on the catalyst surface; presumably this same stereochemistry holds for the hydrogenation of terminal alkenes which cannot yield cis- and trans-alkenes.

### Wittig Reaction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Wittig_reactions.png/400px-Wittig_reactions.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Synthesis of alkene via Wittig reaction

## Markovnikov's Rule

Before we continue discussing reactions, we need to take a detour and discuss a subject that's very important in Alkene reactions, "Markovnikov's Rule." This is a simple rule stated by the Russian Vladmir Markovnikov in 1869, as he was showing the orientation of addition of HBr to alkenes.

His rule states:"When an unsymmetrical alkene reacts with a hydrogen halide to give an alkyl halide, the hydrogen adds to the carbon of the alkene that has the greater number of hydrogen substituents, and the halogen to the carbon of the alkene with the fewer number of hydrogen substituents" (This rule is often compared to the phrase: "The rich get richer and the poor get poorer." Aka, the Carbon with the most Hydrogens gets another Hydrogen and the one with the least Hydrogens gets the halogen)

This means that the nucleophile of the electophile-nucleophile pair is bonded to the position most stable for a carbocation, or partial positive charge in the case of a transition state.

### Examples

![ CH_2=CH-CH_3 + H-Br -> CH3-CHBr-CH_3 ](../../../upload.wikimedia.org/math/d/d/e/dde8ee46d474748c7c8a3f92ff68ee26.png) Here the Br attaches to the middle carbon over the terminal carbon, because of Markovnikov's rule, and this is called a Markovnikov product.

### Markovnikov product

The product of a reaction that follows Markovnikov's rule is called a Markovnikov product.

### Markovnikov addition

Markovnikov addition is an addition reaction which follows Markovnikov's rule, producing a Markovnikov product.

### Anti-Markovnikov addition

Certain reactions produce the opposite of the Markovnikov product, yielding what is called anti-Markovnikov product. That is, hydrogen ends up on the more substituted carbon of the double bond. The hydroboration/oxidation reaction that we'll discuss shortly, is an example of this, as are reactions that are conducted in peroxides.

A modernized version of Markovnikov's rule often explains the "anti-Markovnikov" behavior. The original Markovnikov rule predicts that the hydrogen (an electrophile) being added across a double bond will end up on the carbon with more hydrogens. Generalizing to all electrophiles, it is really the electrophile which ends up on the carbon with the greatest number of hydrogens. Usually hydrogen plays the role of the electrophile; however, hydrogen can also act as an nucleophile in some reactions. The following expansion of Markovnikov's rule is more versitile:

"When an alkene undergoes electrophilic addition, the electrophile adds to the carbon with the greatest number of hydrogen substituents. The nucleophile adds to the more highly substituated carbon."

Or more simply:

"The species that adds first adds to the carbon with the greatest number of hydrogens."

The fact that some reactions reliably produce anti-Markovnikov products is actually a powerful tool in organic chemistry. For example, in the reactions we discuss below, we'll show two different ways of creating alcohols from alkenes: Oxymercuration-Reduction and Hydroboration/Oxidation. Oxymercuration produces a Markovnikov product while Hydroboration produces an anti-Markovnikov product. This gives the organic chemist a choice in products without having to be stuck with a single product that might not be the most desired.

### Why it works

Markovnikov's rule works because of the stability of [carbocation intermediates](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Carbocations). Experiments tend to reveal that carbocations are planar molecules, with a carbon that has three substituents at 120° to each other and a vacant _p_ orbital that is perpendicular to it in the 3rd plane. The _p_ orbital extends above and below the trisubstituent plane.

This leads to a stabilizing effect called hyperconjugation. Hyperconjugation is what happens when there is an unfilled (antibonding or vacant) C-C π orbital and a filled C-H σ bond orbital next to each other. The result is that the filled C-H σ orbital interacts with the unfilled C-C π orbital and stabilizes the molecule. The more highly substituted the molecule, the more chances there are for hyperconjugation and thus the more stable the molecule is.

Another stabilizing effect is an [inductive effect](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Inductive_effect).

### Exceptions to the Rule

There are a few exceptions to the Markovnikov rule, and these are of tremendous importance to organic synthesis.

  1. HBr in Hydrogen Peroxide: Due to formation of free radicals, and the mechanism in which it reacts, the alkyl free radical forms at the middle atom, where it is most stable, and a hydrogen attaches itself here. Note here hydrogen addition is the second step, unlike in the above example.

## Addition reactions

### Hydroboration

Hydroboration is a very useful reaction in Alkenes, not as an end product so much as an intermediate product for further reactions. The primary one we'll discuss below is the Hydroboration/Oxidation reaction which is actually an a hydroboration reaction followed by a completely separate oxidation reaction.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Hydroboration_mechanism_in_alkene.png/759px-Hydroboration_mechanism_in_alkene.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Hydroboration mechanism

The addition of BH3 is a concerted reaction in that several bonds are broken and formed at the same time. Hydroboration happens in what's called [syn-addition](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#S) because the boron and one of its hydrogens attach to the same side of the alkene at the same time. As you can see from the transition state in the center of the image, this produces a sort of box between the two alkene carbons and the boron and its hydrogen. In the final step, the boron, along with its other two hydrogens, remains attached to one carbon and the other hydrogen attaches to the adjacent carbon.

This description is fairly adequate, however, the reaction actually continues to happen and the -BH2 continue to react with other alkenes giving an R2BH and then again, until you end up with a complex of the boron atom attached to 3 alkyl groups, or R3B.

This trialkyl-boron complex is then used in other reactions to produce various products.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/77/Borane-state.png/150px-Borane-state.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

B2H6 complex

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2d/Bh3-thf-complex.png/150px-Bh3-thf-complex.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

BH3-THF complex

Borane, in reality, is not stable as BH3. Boron, in this configuration has only 6 electrons and wants 8, so in its natural state it actually creates the B2H6 complex shown on the left.

Furthermore, instead of using B2H6 itself, BH3 is often used in a complex with tetrahydrofuran (THF) as shown in the image on the right.In either situation, the result of the reactions are the same.

### Hydroboration/Oxidation

[[3]](Print_version.html#cite_note-McMurry-3)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Hydroboration_oxdation_of_alkene.png/500px-Hydroboration_oxdation_of_alkene.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Hydroboration/Oxidation reaction

With the reagent diborane, (BH3)2, alkenes undergo hydroboration to yield alkylboranes, R3B, which on oxidation give alcohols.The reaction procedure is simple and convenient, the yields are exceedingly high, and the products are ones difficult to obtain from alkenes in anyother way.

Diborane is the dimer of the hypothetical BH3 (borane) and, in the reactions that concern us, acts much as though it were BH3 . Indeed, in tetrahydrofuran, one of the solvents used for hydroboration, the reagent exists as the monomer, in the form of an acid-base complex with the solvent.

Hydroboration involves addition to the double bond of BH3 (or, in following stages, BH2R and BHR2), with hydrogen becoming attached to one doubly-bonded carbon, and boron to the other. The alkylborane can then undergo oxidation, in which the boron is replaced by -OH.

Thus, the two-stage reaction process of hydroboration-oxidation permits, in effect, the addition to the carbon-carbon double bond of the elements of H-OH.

Reaction is carried out in an ether, commonly tetrahydrofuran or "diglyme" (diethylene glycol methyl ether, CH3OCH2CH2OCH2CH2OCH3). Diborane is commercially available in tetrahydrofuran solution. The alkylboranes are not isolated, but are simply treated in situ with alkaline hydrogen peroxide.

##### Stereochemistry and Orientation

Hydroboration-oxidation, then, converts alkenes into alcohols. Addition is highly regiospecific; the preferred product here, however, is exactly opposite to the one formed by oxymercuration-demercuration or by direct acid-catalyzed hydration.

The hydroboration-oxtdation process gives products corresponding to **anti-Markovnikov** addition of water to the carbon-carbon double bond.

The reaction of 3,3-dimethyl-l -butene illustrates a particular advantage of the method. Rearrangement does not occur in hydroboration evidently because carbonium ions are not intermediates and hence the method can be used without the complications that often accompany other addition reactions. The reaction of 1,2-dimethylcyclopentene illustrates the stereochemistry of the synthesis: hydroboration-oxidation involves overall **syn addition**.

### Oxymercuration/Reduction

[[3]](Print_version.html#cite_note-McMurry-3)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Oxymercuration_reduction.png/500px-Oxymercuration_reduction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Oxymercuration/Reduction of 1-propene

Alkenes react with mercuric acetate in the presence of water to give hydroxymercurial compounds which on reduction yield alcohols.

The first stage, oxymercuration, involves addition to the carbon-carbon double bond of -OH and -HgOAc. Then, in reduction, the -HgOAc is replaced by -H. The reaction sequence amounts to hydration of the alkene, but is much more widely applicable than direct hydration.

The two-stage process of oxymercuration/reduction is fast and convenient, takes place under mild conditions, and gives excellent yields often over 90%. The alkene is added at room temperature to an aqueous solution of mercuric acetate diluted with the solvent tetrahydrofuran. Reaction is generally complete within minutes. The organomercurial compound is not isolated but is simply reduced in situ by sodium borohydride, NaBH4. (The mercury is recovered as a ball of elemental mercury.)

Oxymercuration/reduction is highly regiospecific, and gives alcohols corresponding to Markovnikov addition of water to the carbon-carbon doublen bond.

Oxymercuration involves electrophilic addition to the carbon-carbon double bond, with the mercuric ion acting as electrophile. The absence of rearrangement and the high degree of stereospecificity (typically anti) in the oxymercuration step argues against an open carbonium ion as intermediate. Instead, it has been proposed, there is formed a cyclic mercurinium ion, analogous to the bromonium and chloronium ions involved in the addition of halogens. In 1971, Olah reported spectroscopic evidence for the preparation of stable solutions of such mercurinium ions.

The mercurinium ion is attacked by the nucleophilic solvent water, in the present case to yield the addition product. This attack is back-side (unless prevented by some structural feature) and the net result is anti addition, as in the addition of halogens. Attack is thus of the SN2 type; yet the orientation of addition shows that the nucleophile becomes attached to the more highly substituted carbon as though there were a free carbonium ion intermediate. As we shall see, the transition state in reactions of such unstable threemembered rings has much SN1 character.

Reduction is generally not stereospecific and can, in certain special cases, be accompanied by rearrangement.

Despite the stereospecificity of the first stage, then, the overall process is not,in general, stereospecific. Rearrangements can occur, but are not common. The reaction of 3,3-dimethyl-1-butene illustrates the absence of the rearrangements that are typical of intermediate carbonium ions.

### Diels-Alder Reaction

The Diels–Alder reaction is a reaction (specifically, a cycloaddition) between a conjugated diene and a substituted alkene, commonly termed the dienophile, to form a substituted cyclohexene system. The reaction can proceed even if some of the atoms in the newly formed ring are not carbon. Some of the Diels–Alder reactions are reversible; the decomposition reaction of the cyclic system is then called the retro-Diels–Alder.

![](../../../upload.wikimedia.org/wikipedia/commons/7/7f/Diels-alder_\(1,3-butadiene_-_Ethylene\).png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Diels-alder for 1,3-butadiene-Ethylene

The Diels–Alder reaction is generally considered one of the more useful reactions in organic chemistry since it requires very little energy to create a cyclohexene ring, which is useful in many other organic reactions

A concerted, single-step mechanism is almost certainly involved; both new carbon-carbon bonds are partly formed in the same transition state, although not necessarily to the same extent. The Diels-Alder reaction is the most important example of cycloaddition. Since reaction involves a system of 4 π electrons (the diene) and a system of 2 π it electrons (the dienophile), it is known as a [4 + 2] cycloaddition.

### Catalytic addition of hydrogen

Catalytic hydrogenation of alkenes produce the corresponding alkanes. The reaction is carried out under pressure in the presence of a metallic catalyst. Common industrial catalysts are based on platinum, nickel or palladium, but for laboratory syntheses, [Raney nickel](http://en.wikipedia.org/wiki/Raney_nickel) (formed from an alloy of nickel and aluminium) is often employed.

The catalytic hydrogenation of ethylene to yield ethane proceeds thusly:

    CH2=CH2 \+ H2 \+ catalyst → CH3-CH3

### Electrophilic addition

Most addition reactions to alkenes follow the mechanism of electrophilic addition. An example is the [Prins reaction](http://en.wikipedia.org/wiki/Prins_reaction), where the electrophile is a carbonyl group.

#### Halogenation

Addition of elementary bromine or chlorine to alkenes yield vicinal dibromo- and dichloroalkanes, respectively.

The decoloration of a solution of bromine in water is an analytical test for the presence of alkenes: CH2=CH2 \+ Br2 → BrCH2-CH2Br

The reaction works because the high electron density at the double bond causes a temporary shift of electrons in the Br-Br bond causing a temporary induced dipole. This makes the Br closest to the double bond slightly positive and therefore an electrophile.

#### Hydrohalogenation

Addition of hydrohalic acids like HCl or HBr to alkenes yield the corresponding haloalkanes.

    an example of this type of reaction: CH3CH=CH2 \+ HBr → CH3-CHBr-CH3

If the two carbon atoms at the double bond are linked to a different number of hydrogen atoms, the halogen is found preferentially at the carbon with less hydrogen substituents (Markovnikov's rule).

Addition of a carbene or carbenoid yields the corresponding cyclopropane

### Oxidation

Alkenes are oxidized with a large number of oxidizing agents. In the presence of oxygen, alkenes burn with a bright flame to carbon dioxide and water. Catalytic oxidation with oxygen or the reaction with percarboxylic acids yields epoxides.

Reaction with ozone in ozonolysis leads to the breaking of the double bond, yielding two aldehydes or ketones: R1-CH=CH-R2 \+ O3 → R1-CHO + R2-CHO + H2O

This reaction can be used to determine the position of a double bond in an unknown alkene.

### Polymerization

Polymerization of alkenes is an economically important reaction which yields polymers of high industrial value, such as the plastics polyethylene and polypropylene. Polymerization can either proceed via a free-radical or an ionic mechanism.

# Substitution and Elimination Reaction Mechanisms

## Nucleophilic Substitution Reactions

Nucleophilic substitution reactions (**SN1** and **SN2**) are very closely related to the **E1** and **E2** elimination reactions, discussed later in this section, and it is generally a good idea to learn the reactions together, as there are parallels in reaction mechanism, preferred substrates, and the reactions sometimes compete with each other.

It's important to understand that substitution and elimination reactions are not associated with a specific compound or mixture so much as they're a representation of how certain reactions take place. At times, combinations of these mechanisms may occur together in the same reaction or may compete against each other, with influences such as solvent or nucleophile choice being the determining factor as to which reaction will dominate.

### Note

In the notation **SN1** and **SN2,**

    **S** stands for _substitution_ (something takes the place of something else)  

    **N**: stands for _nucleophilic_ (a **nucleophile** displaces another nucleophile)  

    **1**: stands for _unimolecular_ (the concentration of only one kind of molecule determines the rate of the reaction)  

    **2**: stands for _bimolecular_ (the concentration of two types of molecules determine the rate of the reaction)

In nucleophilic substitution, a **nucleophile** attacks a molecule and takes the place of another nucleophile, which then leaves. The nucleophile that leaves is called the **leaving group**.

Nucleophilic substitutions _require_

  1. a **nucleophile** (such as a Lewis base)
  2. an **electrophile** with a **leaving group**

A **leaving group** is a charged or neutral moiety (group) which breaks free.

### SN1 vs SN2

One of the main differences between **SN1** and **SN2** is that the **SN1** reaction is a 2-step reaction, initiated by disassociation of the leaving group. The **SN2** reaction, on the other hand, is a 1-step reaction where the attacking nucleophile, because of its higher affinity for and stronger bonding with the carbon, forces the leaving group to leave. These two things happen in a single step.

These two different mechanisms explain the difference in reaction rates between **SN1** and **SN2** reactions. **SN1** reactions are dependent on the leaving group disassociating itself from the carbon. It is the rate-limiting step and thus, the reaction rate is a first-order reaction whose rate depends solely on that step.

    ![Rate = k\[RX\]](../../../upload.wikimedia.org/math/1/f/8/1f828b396f0856c8352152f87e7a1e9b.png)

Alternatively, in **SN2** reactions, the single step of the nucleophile coming together with the reactant from the opposite side of the leaving group, is the key to its rate. Because of this, the rate is dependent on both the concentration of the nucleophile as well as the concentration of the reactant. The higher these two concentrations, the more frequent the collisions. Thus the reaction rate is a second-order reaction:

    ![Rate = k\[Nu:\]\[RX\]](../../../upload.wikimedia.org/math/3/2/0/3209c7dc69ef11eed268e36ac4a82ada.png) (where Nu: is the attacking nucleophile)

### SN2 Reactions

There are primarily 3 things that affect whether an **SN2** reaction will take place or not. The most important is structure. That is whether the alkyl halide is on a methyl, primary, secondary, or tertiary carbon. The other two components that determine whether an **SN2** reaction will take place or not, are the nucleophilicity of the nucleophile and the solvent used in the reaction.

### Reactivity Due to Structure of SN2

CH3X > RCH2X > R2CHX >> R3CX

The structure of the alkyl halide has a great effect on mechanism. CH3X & RCH2X are the preferred structures for **SN2**. R2CHX can undergo the **SN2** under the proper conditions (see below), and R3CX rarely, if ever, is involved in **SN2** reactions.

![](../../../upload.wikimedia.org/wikibooks/en/a/a9/SN2CompleteReactionMechanism3.png)

SN2 nucleophilic substitution of bromine with a generic nucleophile

The reaction takes place by the nucleophile attacking from the opposite side of the bromine atom. Notice that the other 3 bonds are all pointed away from the bromine and towards the attacking nucleophile. When these 3 bonds are hydrogen bonds, there's very little steric hinderance of the approaching nucleophile. However, as the number of R groups increases, so does the steric hinderance, making it more difficult for the nucleophile to get close enough to the [α-carbon](http://en.wikipedia.org/wiki/alpha_carbon), to expel the bromine atom. In fact, tertiary carbons (R3CX) are so sterically hindered as to prevent the **SN2** mechanim from taking place at all.

In the case of this example, a secondary α-carbon, there is still a great deal of steric hinderance and and whether the **SN2** mechanism will happen will depend entirely on what the nucleophile and solvent are. **SN2** reactions are preferred for methyl halides and primary halides.

Another important point to keep in mind, and this can be seen clearly in the example above, during an **SN2** reaction, the molecule undergoes an inversion. The bonds attached to the α-carbon are pushed away as the nucleophile approaches. During the transition state, these bonds become planar with the carbon and, as the bromine leaves and the nucleophile bonds to the α-carbon, the other bonds fold back away from the nucleophile. This is particularly important in [chiral](http://en.wikibooks.org/wiki/Organic_Chemistry/Chirality) or pro-chiral molecules, where an R configuration will be converted into an S configuration and vice versa. As you'll see below, this is in contrast to the results of **SN1** reactions.

**Examples:**

    OH- \+ CH3—Cl → HO—CH3 \+ Cl-

OH- is the nucleophile, Cl is the electrophile, HOCH3 is the product, and Cl- is the leaving group.

or,

    Na+I- \+ CH3-Br → I-CH3 \+ Na+Br-

The above reaction, taking place in acetone as the solvent, sodium and iodide disassociate almost completely in the acetone, leaving the iodide ions free to attack the CH-Br molecules. The negatively charged iodide ion, a nucleophile, attacks the methyl bromide molecule, forcing off the negatively charged bromide ion and taking its place. The bromide ion is the leaving group.

#### Nucleophilicity

Nucleophilicity is the rate at which a nucleophile displaces the leaving group in a reaction. Generally, nucleophilicity is stronger, the larger, more polarizable, and/or the less stable the nucleophile. No specific number or unit of measure is used. All other things being equal, nucleophiles are generally compared to each other in terms of relative reactivity. For example, a particular strong nucleophile might have a relative reactivity of 10,000 that of a particular weak nucleophile. These relationships are generalities as things like solvent and substrate can affect the relative rates, but they are generally good guidelines for which species make the best nucleophiles.

All nucleophiles are [Lewis bases](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Acids_and_bases). In **SN2** reactions, the preferred nucleophile is a strong nucleophile that is a weak base. Examples of these are N3-, RS-, I-, Br-, and CN-.

Alternatively, a strong nucleophile that's also a strong base can also work. However, as mentioned earlier in the text, sometimes reaction mechanisms compete and in the case of a strong nucleophile that's a strong base, the **SN2** mechanism will compete with the **E2** mechanism. Examples of strong nucleophiles that are also strong bases, include RO- and OH-.

  


### List of descending nucleophilicities

I- > Br- > Cl- >> F- > -SeH > -OH > H2O

  


#### Leaving Group

Leaving group is the group on the substrate that leaves. In the case of an alkyl halide, this is the halide ion that leaves the carbon atom when the nucleophile attacks. The tendency of the nucleophile to leave is

### Relative Reactivity of Leaving Groups

I- > Br- > Cl- >> F-

Fluoride ions are very poor leaving groups because they bond very strongly and are very rarely used in alkyl halide substitution reactions. Reactivity of a leaving group is related to its basicity with stronger bases being poorer leaving groups.

#### Solvent

The solvent can play an important role in **SN2** reactions, particularly in **SN2** involving secondary alkyl halide substrates, where it can be the determining factor in mechanism. Solvent can also have a great effect on reaction rate of **SN2** reactions.

The **SN2** mechanism is preferred when the solvent is an aprotic, [polar](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Electronegativity) solvent. That is, a solvent that is polar, but without a polar hydrogen. Polar, protic solvents would include water, alcohols, and generally, solvents with polar NH or OH bonds. Good aprotic, polar solvents are [HMPA](http://en.wikipedia.org/wiki/Hexamethylphosphoramide), CH3CN, [DMSO](http://en.wikipedia.org/wiki/Dimethyl_sulfoxide), and [DMF](http://en.wikipedia.org/wiki/Dimethylformamide).

A polar solvent is preferred because it better allows the dissociation of the halide from the alkyl group. A protic solvent with a polar hydrogen, however, forms a 'cage' of hydrogen-bonded solvent around the nucleophile, hindering its approach to the substrate.

### Relative Reactivity of Solvents

HMPA > CH3CN > DMF > DMSO >> H2O

### SN1 Reactions

The **SN1** mechanism is very different from the **SN2** mechanism. In some of its preferences, its exactly the opposite and, in some cases, the results of the reaction can be significantly different.

Like the **SN2** mechanism, structure plays an important role in the **SN1** mechanism. The role of structure in the **SN1** mechanism, however, is quite different and because of this, the reactivity of structures is more or less reversed.

### Reactivity Due to Structure of SN1

CH3X < RCH2X << R2CHX < R3CX

The **SN1** mechanism is preferred for tertiary alkyl halides and, depending on the solvent, may be preferred in secondary alkyl halides. The **SN1** mechanism does not operate on primary alkyl halides or methyl halides. To understand why this is so, let's take a look at how the **SN1** mechanism works.

![](../../../upload.wikimedia.org/wikibooks/en/9/9b/SN1CompleteMechanism2.png)

SN1 nucleophilic substitution of a generic halide with a water molecule to produce an alcohol.

At the top of the diagram, the first step is the spontaneous dissociation of the halide from the alkyl halide. Unlike the **SN2** mechanism, where the attacking nucleophile causes the halide to leave, the **SN1** mechanism depends on the ability of the halide to leave on its own. This requires certain conditions. In particular, the stability of the [carbocation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Carbocations) is crucial to the ability of the halide to leave. Since we know tertiary carbocations are the most stable, they are the best candidates for the **SN1** mechanism. And with appropriate conditions, secondary carbocations will also operate by the **SN1** mechanism. Primary and methyl carbocations however, are not stable enough to allow this mechanism to happen.

Once the halide has dissociated, the water acts as a nucleophile to bond to the carbocation. In the**SN2** reactions, there is an inversion caused by the nucleophile attacking from the opposite side while the halide is still bonded to the carbon. In the **SN1** mechanism, since the halide has left, and the bonds off of the α-carbon have become planar, the water molecule is free to attack from either side. This results in, primarily, a [racemic](http://en.wikipedia.org/wiki/Racemic) mixture. In the final step, one of the hydrogens of the bonded water molecule is attacked by another water molecule, leaving an alcohol.

_Note: Racemic mixtures imply entirely equal amounts of mixture, however this is rarely the case in **SN1**. There is a slight tendency towards attack from the opposite side of the halide. This is the result some steric hinderence from the leaving halide which is sometimes close enough to the leaving side to block the nucleophile's approach from that side._

#### Solvent

Like the **SN2** mechanism, the **SN1** is affected by solvent as well. As with structure, however, the reasons differ. In the **SN1** mechanism, a polar, protic solvent is used. The polarity of the solvent is associated with the dielectric constant of the solvent and solutions with high dielectric constants are better able to support separated ions in solution. In **SN2** reactions, we were concerned about polar hydrogen atoms "caging" our nucleophile. This still happens with a polar protic solvent in **SN1** reactions, so why don't we worry about it? You have to keep in mind the mechanism of the reaction. The first step, and more importantly, the rate-limiting step, of the **SN1** reaction, is the ability to create a stable carbocation by getting the halide anion to leave. With a polar protic solvent, just as with a polar aprotic solvent,we're creating a stable cation, however it's the polar hydrogens that stabilize the halide anion and make it better able to leave. Improving the rate-limiting step is always the goal. The "caging" of the nucleophile is unrelated to the rate-limiting step and even in its "caged" state, the second step, the attack of the nucleophile, is so much faster than the first step, that the "caging" can simply be ignored.

### Summary

**SN1**, **SN2**, **E1**, and **E2**, are all reaction mechanisms, not reactions themselves. They are mechanisms used by a number of different reactions. Usually in organic chemistry, the goal is to synthesize a product. In cases where you have possibly competing mechanisms, and this is particularly the case where an **SN1** and an **E1** reaction are competing, the dominating mechanism is going to decide what your product is, so knowing the mechanisms and which conditions favor one over the other, will determine your product.

In other cases, knowing the mechanism allows you to set up an environment favorable to that mechanism. This can mean the difference between having your product in a few minutes, or sometime around the next ice age.

So when you're designing a synthesis for a product, you need to consider, I want to get product Y, so what are my options to get to Y? Once you know your options and you've decided on a reaction, then you need to consider the mechanism of the reaction and ask yourself, how do I create conditions that are going to make this happen correctly and happen quickly?

## Elimination Reactions

Nucleophilic substitution reactions and Elimination reactions share a lot of common characteristics, on top of which, the **E1** and **SN1** as well as **E2** and **SN2** reactions can sometimes compete and, since their products are different, it's important to understand them both. Without understanding both kinds of mechanisms, it would be difficult to get the product you desire from a reaction.

In addition, the **SN1** and **SN2** reactions will be referenced quite a bit by way of comparison and contrast, so it's probably best to read that section first and then continue here.

Elimination reactions are the mechanisms for creating alkene products from [haloalkane](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes) reactants. **E1** and **E2** elimination, unlike **SN1** and **SN2** substitution, mechanisms do not occur with methyl halides because the reaction creates a double bond between two carbon atoms and methylhalides have only one carbon.

### Note

In the notation **E1** and **E2**,

    **E** stands for _elimination_  

    **1**: stands for _unimolecular_ (the concentration of only one kind of molecule determines the rate of the reaction)  

    **2**: stands for _bimolecular_ (the concentration of two types of molecules determine the rate of the reaction)

### E1 vs E2

#### Reaction rates

**E1** and **E2** are two different pathways to creating alkenes from haloalkanes. As with **SN1** and **SN2** reactions, one of the key differences is in the reaction rate, as it provides great insight into the mechanisms.

**E1** reactions, like **SN1** reactions are 2-step reactions. Also like **SN1** reactions, the rate-limiting step is the dissociation of the halide from its alkane, making it a first-order reaction, depending on the concentration of the haloalkane, with a reaction rate of:

    ![Rate = k\[RX\]](../../../upload.wikimedia.org/math/1/f/8/1f828b396f0856c8352152f87e7a1e9b.png)

On the other hand, **E2** reactions, like **SN2** reactions are 1-step reactions. And again, as with **SN2** reactions, the rate limiting step is the ability of a nucleophile to attach to the alkane and displace the halide. Thus it is a second-order reaction that depends on the concentrations of both the nucleophile and haloalkane, with a reaction rate of:

    ![Rate = k\[Nu:\]\[RX\]](../../../upload.wikimedia.org/math/3/2/0/3209c7dc69ef11eed268e36ac4a82ada.png) (where Nu: is the attacking nucleophile)

#### Zaitsev's Rule

[Zaitsev's rule](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#W.2C_X.2C_Y.2C_Z) (sometimes spelled "Saytzeff") states that in an elimination reaction, when multiple products are possible, the most stable alkene is the major product. That is to say, the most highly substituted alkene (the alkene with the most non-hydrogen substituents) is the major product.

Both **E1** and **E2** reactions produce a mixture of products, when possible, but generally follow Zaitsev's rule. We'll see below why **E1** reactions follow Zaitsev's rule more reliably and tend to produce a purer product.

![](../../../upload.wikimedia.org/wikibooks/en/7/78/Dehydrohalogenation_of_\(S\)-2-bromo-3-methylbutane_small.png)

**Dehydrohalogenation reaction of (S)-2-bromo-3-methylbutane**

The above image represents two possible pathways for the dehydrohalogenation of (S)-2-bromo-3-methylbutane. The two potential products are 2-methylbut-2-ene and 3-methylbut-1-ene. The images on the right are simplified drawings of the molecular product shown in the images in the center.

As you can see on the left, the bromine is on the second carbon and in an **E1** or **E2** reaction, the hydrogen could be removed from either the 1st or the 3rd carbon. Zaitsev's rule says that the hydrogen will be removed predominantly from the 3rd carbon. In reality, there will be a mixture, but most of the product will be 2-methylbut-2-ene by the **E1** mechanism. By the **E2** reaction, as we'll see later, this might not necessarily be the case.

### E2

### Reactivity Due to Structure of E2

RCH2X > R2CHX >> R3CX

The **E2** mechanism is concerted and higly stereospecific, because it can occur only when the H and the leaving group X are in an anti-coplanar position. That is, in a Newman projection, the H and X must be 180°, or in the anti-configuration. This behaviour stems from the best overlap of the 2_p_ orbitals of the adjacent carbons when the pi bond has to be formed. If the H and the leaving group cannot be brought into this position due to the structure of the molecule, the _E2_ mechanism will not take place.

![](../../../upload.wikimedia.org/wikibooks/en/f/fe/E2-eliminationmechanism.png)

**Mechanism of E2 elimination. Note the anti-coplanarity of the X-C-C-H atoms**

Therefore, only molecules having accessible H-X anti-coplanar conformations can react via this route. Furthermore, the **E2** mechanism will operate contrary to Zaitsev's rule if the only anti-coplanar hydrogen from the leaving group results in the least stable alkene. A good example of how this can happen is by looking at how cyclohexane and cyclohexene derivatives might operate in **E2** conditions.

![](../../../upload.wikimedia.org/wikipedia/commons/1/1a/E2-Elimination_with_sterics_sample3.png)

**E2** with preferential elimination

Let's look at the example above. The reactant we're using is 1-chloro-2-isopropylcyclohexane. The drawing at the top left is one conformation and the drawing below is after a ring flip. In the center are Newman projections of both conformations and the drawings on the right, the products.

If we assume we're treating the 1-chloro-2-isopropylcyclohexane with a strong base, for example CH3CH2O- (ethanolate), the mechanism that dominates is **E2**. There are 3 hydrogens off of the carbons adjacent to our chlorinated carbon. The red and the green ones are two of them. The third would be hard to show but is attached to the same carbon as the red hydrogen, angled a little down from the plane and towards the viewer. The red hydrogen is the only hydrogen that's 180° from the chlorine atom, so it's the only one eligible for the **E2** mechanism. Because of this, the product is going to be only 3-isopropylcylcohex-1-ene. Notice how this is contrary to Zaitsev's rule which says the most substituted alkene is preferred. By his rule, 1-isopropylcyclohexene should be our primary product, as that would leave the most substituted alkene. However it simply can't be produced because of the steric hindrance.

The images below shows the molecule after a ring flip. In this conformation, no product is possible. As you can see from the Newman projection, there are no hydrogens 180° from the chlorine atom.

So it's important, when considering the **E2** mechanism, to understand the geometry of the molecule. Sometimes the geometry can be used to your advantage to preferentially get a single product. Other times it will prevent you from getting the product you want, and you'll need to consider a different mechanism to get your product.

_Note: Often the word **periplanar** is used instead of **coplanar**. **Coplanar** implies precisely 180 degree separation and "peri-", from Greek for "near", implies near 180 degrees. Periplanar may actually be more accurate. In the case of the 1-chloro-3-isopropylcyclohexane example, because of molecular forces, the chlorine atom is actually slightly less than 180 degrees from both the hydrogen and the isopropyl group, so in this case, **periplanar** might be a more correct term._

### E1

![](../../../upload.wikimedia.org/wikibooks/en/4/46/E1EliminationReaction.png)

E1 elimination of an alkyl halide by a base

  
The **E1** mechanism begins with the dissociation of the leaving group from an alkyl, producing a carbocation on the alkyl group and a leaving anion. This is the same way the **SN1** reaction begins, so the same thing that helps initiate that step in **SN1** reactions, help initiate the step in **E1** reactions. More specifically, secondary and tertiary carbocations are preferred because they're more stable than primary carbocations. The choice of solvent is the same as **SN1** as well; a polar protic solvent is preferred because the polar aspect stabilizes the carbocation and the protic aspect stabilizes the anion.

What makes the difference between whether the reaction takes the **SN1** or **E1** pathway then, must depend on the second step; the action of the nucleophile. In **SN1** reactions, a strong nucleophile that's a weak base is preferred. The nucleophile will then attack and bond to the carbocation. In **E1** reactions, a strong nucleophile is still preferred. The difference is that a strong nucleophile that's also a strong base, causes the nucleophile to attack the hydrogen at the β-carbon instead of the α-carbocation. The nucleophile/base then extracts the hydrogen causing the bonding electrons to fall in and produce a pi bond with the carbocation.

Because the hydrogen and the leaving group are lost in two separate steps and the fact that it has no requirements as to geometry, the **E1** mechanism more reliably produces products that follow Zaitsev's rule.

# References

  1. [↑](Print_version.html#cite_ref-1) <http://www.chemguide.co.uk/organicprops/aminoacids/background.html>
  2. [↑](Print_version.html#cite_ref-2) IIT Chemistry by Dr.O.P.Agrawal and Avinash Agrawal
  3. ↑ _**[a**_](Print_version.html#cite_ref-McMurry_3-0) _**[b**_](Print_version.html#cite_ref-McMurry_3-1) Organic Chemistry, John McMurry

* * *

<<[ Haloalkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes) |**Alkenes**| [Alkynes >>](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkynes)

* * *

# Unit 8: **Alkynes**

# The triple carbon-carbon bond

[Organic Chemistry/Alkynes/The triple carbon-carbon bond](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkynes/The_triple_carbon-carbon_bond&action=edit&redlink=1)

# Alkyne properties

[Organic Chemistry/Alkynes/Alkyne properties](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkynes/Alkyne_properties&action=edit&redlink=1)

# Naming alkynes

[Organic Chemistry/Alkynes/Naming alkynes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkynes/Naming_alkynes&action=edit&redlink=1)

# Cycloalkynes

[Organic Chemistry/Alkynes/Cycloalkynes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkynes/Cycloalkynes&action=edit&redlink=1)

# Alkyne reactions

[Organic Chemistry/Alkynes/Alkyne reactions](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Alkynes/Alkyne_reactions&action=edit&redlink=1)

* * *

# Unit 9: **Dienes**

In [alkene](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes) chemistry, we demonstrated that allylic carbon could maintain a cation charge because the double bond could de-localize to support the charge. What of having two double bonds separated by a single bond? What of having a compound that alternates between double bond and single bond? In addition to other concepts, this chapter will explore what a having a [conjugated](http://en.wikibooks.org/wiki/Organic_Chemistry/Dienes/Conjugation) system means in terms of stability and reaction.

Dienes are simply hydrocarbons which contain two double bonds. Dienes are intermediate between [alkenes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes) and polyenes.

Dienes can divided into three classes:

  * Unconjugated dienes have the double bonds separated by two or more single bonds. These are also known as isolated dienes.
  * Conjugated dienes have conjugated double bonds separated by one single bond
  * Cumulated dienes ([cumulenes](http://en.wikipedia.org/wiki/cumulene)) have the double bonds sharing a common atom as in a group of compounds called _allenes_.

# Kinds of dienes

Dienes have two or more carbon-carbon double bonds which may be either _isolated_ (R'-C=C-R-C=C-R'), _cumulated_ (R-C=C=C-R), or _conjugated_ (R-C=C-C=C-R). Each state represents a different stability due to electron delocalization, and the conjugated form is generally favored in organic molecules.

### Isolated Dienes

Isolated dienes typically show no "special" stability. Their two π-bonds interact independent of one another and they compete as intermolecular reaction sites depending on steric, kinetic, and thermodynamic factors. Often, these types of dienes can be treated merely as larger, more complex alkenes, because the two bonds cannot be said to have "communication" (proximal electron delocalization due to location).

Isolated dienes are not considered to be especially useful in common synthesis reactions, although intermediates may often take the form of an isolated diene.bb

### Cumulated Dienes

Cumulated dienes are typically less stable than other alkenes. The main reason for the instability is the fact that this sort of diene is a probable transition state for an alkyne's triple bond to move down the carbon chain towards the most stable position. As you may recall, rotation does not occur around any π-bond, which means that cumulated double bonds can lead to a less stable, higher energy compound being formed.

Typically, cumulated dienes are discussed only in advanced courses in organic chemistry, and so they will not be discussed in detail here. Beginning organic chemistry students should merely remember that cumulated dienes are 1) high energy and 2) most likely found as transition states.

  


### Conjugated Dienes

Conjugated dienes are dienes which have at least two double bonds separated by a single carbon-carbon bond, and for this reason conjugated dienes are observed to have a special stability due to the overlap of electron orbitals. The areas of concentration of negative charge (electron density) overlap across the three bonds (two double bonds and one single bond) forming what behaves essentially as a single, continuous π-bond across three carbon atoms. This delocalization of electron density stabilizes the molecule, resulting in the arrangement of lowest energy.

Atoms other than carbon which are capable of multiple bonds may also participate in conjugation. The heteroatoms most often associated with conjugation in dienes and other molecules are nitrogen and oxygen, but theoretically the majority of atoms in the Periodic Table of Elements could participate in conjugation chemistry. Most often, in organic molecules, heteroatoms participating in conjugation will be nitrogen atoms within a ring structure or a double-bonded oxygen attached to form a ketone or aldehyde.

Conjugation of double bonds is the largest part of what makes aromaticity relevant in organic chemistry, and conjugated double bonds have many other significant impacts on other types of dienes as well.

# Conjugation

### Conjugation of Double Bonds

A diene is said to be conjugated when its double bonds are not directly next to each other, but rather separated by a single bond in between them (CH2=CH-CH=CH2).

Conjugated dienes are particularly stable due to the delocalization of the pi electrons along sp2 hybridized orbitals, and they also tend to undergo reactions atypical of double bond chemistry. For instance, chlorine can add to 1,3-butadiene (CH2=CH-CH=CH2) to yield a mixture of 3,4-dichloro-1-butene (ClCH2-CHCl-CH=CH2) and 1,4-dichloro-2-butene (ClCH2-CH=CH-CH2Cl). These are known as 1,2 addition and 1,4 addition, respectively. 1,2-addition is favored in mild reaction (irreversible) conditions (the kinetically preferred product) and 1,4-addition is favored in harsher reaction (reversible) conditions (which results in the thermodynamically preferred product).

Another interesting conjugated diene reaction is the Diels-Alder reaction, in which a conjugated diene reacts with an alkene (called a "dienophile" in this case) in order to yield a cyclic product. In Diels-Alder type reactions, the substituent on the dienophile will go into either an exo or endo position in the final product. ("_Endo_" in this case meaning _trans to the substituents on the ends of the diene_, and "_exo_" meaning the same thing, only _cis_.)

![Diels-Alder.PNG](../../../upload.wikimedia.org/wikibooks/en/5/50/Diels-Alder.PNG)

# Diene properties and reactions

### Common Reactions of Conjugated Dienes

Conjugated dienes have enhanced stability as compared to molecules without conjugated double bonds due to resonance. In general, this makes them slightly less reactive than other types of alkenes in general and dienes specifically. However, many reactions proceed through high-energy cation or radical intermediates; in these cases the resonance stabilization of the intermediate allyl species makes conjugated dienes more reactive than non-conjugated dienes or simple alkenes.

## Hydrobromination:

Adds a Bromine and a Hydrogen to a conjugated Diene.

**Example**:

`Butadiene + HBr--> 3-bromobutene (Low Temperature) + 1-bromobut-2-ene (High Temperature) + 1-bromobutene (Not Observed)`

**Thermodynamic and Kinetic Control of Reaction**:

  * At low temperature the reaction is under KINETIC CONTROL: the 3-bromobutene is formed faster because it has a lower transition state free energy, as the intermediate cation is more stable at the secondary carbon.
  * At high temperature the reaction is under THERMODYNAMIC CONTROL: the 3-bromobutene still forms more quickly, but the reaction has enough energy to reverse, and the more stable product (1-bromobut-2-ene) is formed.

## Diels-Alder Reaction

One of the most important of all diene reactions is the Diels-Alder Reaction, in which a conjugated diene reacts with an dienophile to form a cyclohexene.

  
**Requirements**: The diene must be able to access the s-cis conformation for the reaction to take place.

  
**DIENEOPHILES** \- A species which likes to attack Dienes

\- A Dienophile must contain a double or triple bond. Typically, an electron withdrawing group is conjugated to the dienophile to make it electron-poor (nitriles, ketones, and esters are common electron withdrawing groups). Because the reaction is highly stereospecific, the configuration of the dieneophile will determine the relative stereochemistry of the cyclohexene product.

The Diels-Alder reaction occurs most effectively with an electron-poor dieneophile and an electron-rich diene ('normal demand'). 'Inverse demand' Diels-Alder reactions can also be carried out, in which the dienophile is electron-rich and the diene electron-poor.

* * *

# Unit 10: **Aromatics**

After understanding the usefulness of unsaturated compound, or conjugated system, we hope to explore the unique structure of [aromatic](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromatics_in_history&action=edit&redlink=1) compounds, including why benzene should not be called 1,3,5-cyclohexatriene because it is more stable than a typical triene, and seemingly unreactive. Called "aromatic" initially because of its fragrance, aromaticity now refers to the stability of compounds that are considered aromatic, not only benzene. Any cyclic compound with 4n+2 pi electrons in the system is aromatic. The stability of aromatic compounds arises because all bonding orbitals are filled and low in energy.

# History of Aromatics

Early in the 19th century, advances in equipment, technique and communications resulted in chemists discovering and experimenting with novel chemical compounds. In the course of their investigations they stumbled across a different kind of stable compound with the molecular formula of C6H6. Unable to visualize what such a compound might look like, the scientists invented all sorts of models for carbon-to-carbon bonding -- many of which were not entirely stable -- in order to fit what they had observed to what they expected the C6H6 compound to look like.

Benzene (which is the name that was given to the aromatic compound C6H6) is probably the most common and industrially important aromatic compound in wide use today. It was discovered in 1825 by Michael Faraday, and its commercial production from coal tar (and, later on, other natural sources) began in earnest about twenty-five years later. The structure of benzene emerged during the 1860s, the result of contributions from several chemists, most famously that of [Kekulé](http://en.wikipedia.org/wiki/Kekulé).

Scientists of the time did not have the benefit of understanding that electrons are capable of delocalization, so that all carbon atoms could share the same π-bond electron configuration equally. [Huckel](http://en.wikipedia.org/wiki/Erich_Huckel) was the first to apply the new theory of quantum mechanics to clearly separating σ and π electrons. He went on to develop a theory of π electron bonding for benzene, which was the first to explain the electronic origins of aromaticity.

# Benzene Structure

Benzene is a hexagonal ring of six carbon atoms connected to each other through one p-orbital per carbon. Its chemical formula is C6H6, and its structure is a hexagonal ring of carbons sharing symmetrical bonds, with all six hydrogen atoms protruding outwards from the carbon ring, but in the same plane as the ring. The p-orbital system contains 6 electrons, and one way to distribute the electrons yields the following structure:

    ![Benzol.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/Benzol.svg/45px-Benzol.svg.png)

However, another resonance form of benzene is possible, where the single bonds of the first structure are replaced with double bonds, and the double bonds with single bonds. These two resonance forms are co-dominant in benzene. (Other forms, such as a structure with a π bond connecting opposite carbons, are possible but negligible.) Thus, each bond in benzene has been experimentally shown to be of equal length and strength, and each is accounted as approximately a "1.5" bond instead of either a single or double bond alone.

Electron density is shared between carbons, in effect yielding neither a single nor a double bond, but a sort of one-and-a-half bond between each of the six carbons. Benzene has a density of negative charge both above and below the plane formed by the ring structure. Although benzene is very stable and does not tend to react energetically with most substances, electrophilic compounds may be attracted to this localized electron density and such substances may form a bond with the aromatic benzene ring.

An electron delocalisation ring can be used to show in a single picture both dominant resonance forms of benzene:

    ![Benzene circle.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Benzene_circle.svg/45px-Benzene_circle.svg.png)

## Benzene Properties

Benzene is a colorless, flammable liquid with a sweet aroma and carcinogenic effects. The aromatic properties of benzene make it far different from other alkenes in many ways.

### Benzene Reactions

    _Main article:_ [Aromatic reactions](http://en.wikibooks.org/wiki/Organic_Chemistry/Aromatic_reactions)

Unlike alkenes, aromatic compounds such as benzene undergo substitution reactions instead of addition reactions. The most common reaction for benzene to undergo is electrophilic aromatic substitution (EAS), although in a few special cases, substituted benzenes can undergo nucleophilic aromatic substitution.

## Benzene Health Effects

In the body, benzene is metabolized, and benzene exposure may have quite serious health effects. Breathing in very high levels of benzene can result in death, while somewhat lower (but still high) levels can cause drowsiness, dizziness, rapid heart rate, headaches, tremors, confusion, and unconsciousness. Eating or drinking foods containing high levels of benzene can cause vomiting, irritation of the stomach, dizziness, sleepiness, convulsions, rapid heart rate, and even death.

  
The major effect of benzene from chronic (long-term) exposure is to the blood. Benzene damages the bone marrow and can cause a decrease in red blood cells, leading to anemia. It can also cause excessive bleeding and depress the immune system, increasing the chance of infection. Some women who breathed high levels of benzene for many months had irregular menstrual periods and a decrease in the size of their ovaries. It is not known whether benzene exposure affects the developing fetus in pregnant women or fertility in men, however animal studies have shown low birth weights, delayed bone formation, and bone marrow damage when pregnant animals breathed benzene.

  
The US Department of Health and Human Services (DHHS) also classifies benzene as a human carcinogen. Long-term exposure to high levels of benzene in the air can cause leukemia, a potentially fatal cancer of the blood-forming organs. In particular, Acute Myeloid Leukemia (AML) may be caused by benzene.

# Aromaticity

Aromaticity in organic chemistry does not refer to whether or not a molecule triggers a sensory response from olfactory organs (whether it "smells"), but rather refers to the arrangement of electron bonds in a cyclic molecule. Many molecules that have a strong odor (such as diatomic chlorine Cl2) are not aromatic in structure -- odor has little to do with chemical aromaticity. It was the case, however, that many of the earliest-known examples of aromatic compounds had distinctively pleasant smells. This property led to the term "aromatic" for this class of compounds, and hence the property of having enhanced stability due to delocalized electrons came to be called "aromaticity".

  


## Definition

Aromaticity is a chemical property in which a conjugated ring of unsaturated bonds, lone pairs, or empty orbitals exhibit a stabilization stronger than would be expected by the stabilization of conjugation alone. It can also be considered a manifestation of cyclic delocalization and of resonance.

  
This is usually considered to be because electrons are free to cycle around circular arrangements of atoms, which are alternately single- and double-bonded to one another. These bonds may be seen as a hybrid of a single bond and a double bond, each bond in the ring identical to every other. This commonly-seen model of aromatic rings was developed by Kekulé. The model for benzene consists of two resonance forms, which corresponds to the double and single bonds' switching positions. Benzene is a more stable molecule than would be expected of cyclohexatriene, which is a theoretical molecule.

  


## Theory

By convention, the double-headed arrow indicates that two structures are simply hypothetical, since neither can be said to be an accurate representation of the actual compound. The actual molecule is best represented by a hybrid (average) of most likely structures, called resonance forms. A carbon-carbon double bond is shorter in length than a carbon-carbon single bond, but aromatic compounds are perfectly geometrical (that is, not lop-sided) because all the carbon-carbon bonds have the same length. The actual distance between atoms inside an aromatic molecule is intermediate between that of a single and that of a double bond.

  
A better representation than Lewis drawings of double and single bonds is that of the circular π bond (Armstrong's inner cycle), in which the electron density is evenly distributed through a π bond above and below the ring. This model more correctly represents the location of electron density within the aromatic molecule's overall structure. The single bonds are sigma (σ) bonds formed with electrons positioned "in line" between the carbon atoms' nuclei. Double bonds consist of one "in line" σ bond and another non-linearly arranged bond -- a π-bond. The π-bonds are formed from the overlap of atomic p-orbitals simultaneously above and below the plane of the ring formed by the "in line" σ-bonds.

  
Since they are out of the plane of the atoms, π orbitals can interact with each other freely, and thereby they become delocalized. This means that, instead of being tied to one particular atom of carbon, each electron can be shared by all the carbon atoms in an aromatic ring. Thus, there are not enough electrons to form double bonds on all the carbon atoms, but the "extra" electrons strengthen all of the bonds of the ring equally.

  


## Characteristics

An aromatic compound contains a set of covalently-bound atoms with specific characteristics:

  1. The molecule has to be cyclic
  2. A delocalized conjugated pi system, most commonly an arrangement of alternating single and double bonds (can sometimes include triple bonds if the geometry of the molecule permits)
  3. Coplanar structure, with all the contributing atoms in the same plane
  4. A number of pi delocalized electrons that is even, but not a multiple of 4. (This is known as Hückel's (4n+2)Π rule, where,n= 0,1,2,3 and so on. Permissible numbers of π electrons include 2, 6, 10, 14, and so on)
  5. Special reactivity in organic reactions such as electrophilic aromatic substitution and nucleophilic aromatic substitution

  
Whereas benzene is aromatic (6 electrons, from 3 double bonds), cyclobutadiene is not, since the number of π delocalized electrons is 4, which is not satisfied by any n integer value. The cyclobutadienide (2−) ion, however, is aromatic (6 electrons). An atom in an aromatic system can have other electrons that are not part of the system, and are therefore ignored for the 4n + 2 rule. In furan, the oxygen atom is sp2 hybridized. One lone pair is in the π system and the other in the plane of the ring (analogous to C-H bond on the other positions). There are 6 π electrons, so furan is aromatic.

  
Aromatic molecules typically display enhanced chemical stability, compared to similar non-aromatic molecules. The circulating (that is, delocalized) π electrons in an aromatic molecule generate significant local magnetic fields that can be detected by NMR techniques. NMR experiments show that protons on the aromatic ring are shifted substantially further down-field than those on aliphatic carbons. Planar monocyclic molecules containing 4n π electrons are called anti-aromatic and are, in general, destabilized. Molecules that could be anti-aromatic will tend to alter their electronic or conformational structure to avoid this situation, thereby becoming merely non-aromatic.

  
Aromatic molecules are able to interact with each other in so-called π-π stacking: the π systems form two parallel rings overlap in a "face-to-face" orientation. Aromatic molecules are also able to interact with each other in an "edge-to-face" orientation: the slight positive charge of the substituents on the ring atoms of one molecule are attracted to the slight negative charge of the aromatic system on another molecule.

# Monosubstituted Benzenes

Benzene is a very important basic structure which is useful for analysis and synthesis in most aspects of organic chemistry. The benzene ring itself is not the most interesting or useful feature of the molecule; which substitutents and where they are placed on the ring can be considered the most critical aspect of benzene chemistry in general.

  


## Effects of Different Substituents

Depending on the type of substituent, atoms or groups of atoms may serve to make the benzene ring either more reactive or less reactive. If the atom or group makes the ring more reactive, it is called **activating**, and if less, then it is called **deactivating**.

Generally, the terms activating and deactivating are in terms of the reactions that fall into the category of Electrophilic Aromatic Substitution (EAS). These are the most common forms of reactions with aromatic rings. Aromatic rings can undergo other types of reactions, however, and in the case of Nucleophilic Aromatic Substitution, the activating and deactivating nature of substituents on the rings is reversed. In EAS, a hydroxyl groups is strongly activating, but in Nucleophilic Aromatic Substitution, a hydroxyl group is strongly deactivating. But since EAS is the most common reaction with aromatic rings, when discussing activation and deactivation, it's normally done in terms of the EAS.

In addition to activating or deactivating, all groups and/or substituent atoms on a benzene ring are **directing**. An atom or group may encourage additional atoms or groups to add or not to add to certain other carbons in relation to the carbon connected to the directing group. This concept will be further discussed in the next chapter, but when memorizing the groups below it is helpful to also memorize whether it is O (ortho), M (meta) or P (para)-directing.

Another factor that heavily influences direction, however, is steric hindrance. If, for example, you have a tert-butyl substituent on the ring, despite the fact that it is ortho/para directing, the ortho positions will be largely blocked by the tert-butyl group and thus nearly all the product would be para.

## Activating Substituents

Activating substituents make benzene either slightly more reactive or very much more reactive, depending on the group or atom in question. In general, if one of the major heteroatoms (nitrogen or oxygen) is _directly_ attached to the carbon ring then the result is probably activation. This is merely a rule of thumb, and many exceptions exist, so it is best to memorize the groups listed below instead of counting on a quick and dirty rule of thumb.

**Group**
**Strength**
**Directing**

-NH2, -NHR, -NRR
very strong
ortho/para

-OH, -O-
very strong
ortho/para

-NHCOCH3, -NHCOR
strong
ortho/para

-OCH3, -OR
strong
ortho/para

-CH3, -C2H5, -R
weak
ortho/para

-C6H5
very weak
ortho/para

## Deactivating Substituents

A deactivating group is a functional group attached to a benzene molecule that removes electron density from the benzene ring, making electrophilic aromatic substitution reactions slower and more difficult than they would be on benzene alone. As discussed above for activating groups, deactivating groups may also determine the positions (relative to themselves) on the benzene ring where substitutions take place, so each deactivating group is listed below along with its directing characteristic.

**Group**
**Strength**
**Directing**

-NR3+
very strong
meta

-NO2
very strong
meta

-CF3, CCl3
very strong
meta

-CN
strong
meta

-SO3H
strong
meta

-CO2H, -CO2R
strong
meta

-COH, -COR
strong
meta

-F
weak
ortho/para

-Cl
weak
ortho/para

-Br
weak
ortho/para

## Activation vs. Deactivation and ortho/para vs. meta directing

So why are some substituents activating or deactivating? Why are some meta directing and others ortho/para directing? From the above tables, it seems pretty clear there's a relationship.

There are primarily two effects that substituents impart on the ring that affect these features:

  1. Resonance effects
  2. Inductive effects

  


### Resonance Effects

Let's first look at resonance effects. Resonance effects are the ability or inability of a substituent to provide electrons to the ring and enhance its resonance stability. To see this, we must first get a basic understanding of the mechanism of Electrophilic Aromatic Subsitution. We'll discuss EAS in more detail in the next section, but some basics are called for here.

![Basic Mechanism of Electrophilic Aromatic Substitution](../../../upload.wikimedia.org/wikipedia/commons/5/5b/EAS-mechanism.png)

As you can see in the image above, the electrophile is attacked by pi electrons in the ring. The same carbon is now bonded to both the hydrogen that was bonded to it and the electrophile. This in turn creates a carbocation on the adjacent carbon, making the ring non-aromatic. But aromatic rings like to remain aromatic. The nucleophile which was previously bonded to the electrophile now attacks the hydrogen, abstracting it from the ring and allowing the pi-bond to re-form and returning the ring to its aromatic nature.

As we've seen before in some other reactions, when a carbocation is created as an intermediate, stability of that carbocation is crucial to the reaction. This is the case in Electrophilic Aromatic Subsitution as well.

So what is the effect of substituents on the ring?

![Resonance Stability of ortho, para, and meta attacks.](../../../upload.wikimedia.org/wikipedia/commons/5/5c/EAS-ortho-para-meta.png)

Let's look at the situation above. In this case we have Phenol, a benzene ring with an -OH (hydroxyl) group attached. When we nitrate the ring with nitric acid in sulfuric acid (a reaction we'll discuss in the next section), a nitro group is attached to the benzene ring.

There are 3 possible places for the nitro group to attach: An ortho, meta, or para position. To understand the stability of the carbocation, we need to look at the resonance structures for a given attack and see what the results are.

The first resonance structure of the ortho attack results in a positive charge on the carbon with the hydroxyl group. This happens to be the most stable of the 3 resonance structures for an ortho attack because the two negative electron pairs in the oxygen act to stabilize the positive charge on the carbon. The other two resonance forms leave a carbon with a hydrogen attached, to hold the positive charge. Hydrogen can do nothing to stabilize the charge and thus, these are less stable forms.

In the para attack situation, notice that the second resonance form also puts a positive charge on the carbon with the hydroxyl group. This provides for stability just as it does in the case of an ortho attack and thus, the middle resonance form is very stable.

Finally, in the meta attack situation, all of the resonance forms result in a positive charge on a carbon with only a hydrogen attached. None of these is stable, and thus, meta attack with a hydroxyl group attached, is a very small percentage of the product.

So the electron pairs in the oxygen act to stabilize the ortho and para attacks.

### Inductive Effects

Now let's look at the inductive effects of deactivating substituents. Let's imagine that, instead of a hydroxyl group, we instead have a carbonyl group attached to the ring in its place. When a carbonyl is attached, the ring is bonded to a carbon which in turn, is double-bonded to an oxygen, the double-bonded oxygen is withdrawing electrons and this inductive effect is felt on the ring, strongly deactivating its pi-bond nature and putting a positive dipole on the carbon. Looking at the resonance structures, this carbon, which already has some positive nature is now given the added resonance of a positive charge, in the case of ortho and para attacks. Positive plus positive equals more positive and thus, less stable. There's no negative charge or negative electron pair to stabilize this positive charge.

So in this case, not only is the entire ring less activated, but the ortho and para attacks result in much more unstable carbocation resonance forms. Hence, meta is the preferred position, but the overall reaction is less active than plain benzene.

### Halides as the Exception

Notice that in the list of activating vs. deactivating substituents, the activating ones are all ortho/para directing. In the deactivating substituents, all but the halides, are meta directing. Why are halides an exception?

Because halides are more electronegative than carbon, they induce a positive dipole on the attached carbon and a negative dipole on their own atom(inductive effect), and in accordance to the previous logic of activating/deactivating substituents, deactivate the ring. However, halides also possess lone pair electrons in their outer shell to share with the ring, allowing the resonance structures with favored ortho/para attacks versus meta attacks due to their poor resonance forms. In essence, although halides do deactivate the ring to some extent, they provide major resonance contributors due to the availability of their lone pairs. Resonance structures usually trump the inductive effect.

## Detailed Effects of Substituents

We've discussed some generalities about the effects of substituents and even some specifics about certain ones, but let's look more closely at the substituents and try to understand the details of what makes them activating vs. deactivating.

-NH2, -NHR, and -NRR are all very strongly activating. Though nitrogen is more electronegative than carbon, its ability to share a pair of electrons greatly outweighs its electron withdrawing effect.

-OH and -O- is similar in that it is even more electronegative than nitrogen, but it has two pairs of electrons to share, which also greatly outweighs its electon withdrawing effect.

-NHCOCH3 and -NHCOR are also strongly activating, but the inductive effect of the double-bonded oxygen acts to make the nitrogen more electron withdrawing, so they're not quite as activating as the other -N subsituents above.

-OCH3 and -OR are also still strongly activating, but less so, because the electron density is shared on both sides of the oxygen.

-CH3 and -R in general provide some electron density sharing, but not nearly as much as a pair of electrons. Thus their effect is only weakly felt.

For deactivating groups we have:

-NO2, or nitro and -NR3+. The nitro group is very strongly deactivating because of its resonance structure. The nitro group has two resonance forms: O=N+-O- and O--N+=O. Both of these forms leave a full positive charge on the nitrogen making it completely unable to help stabilize the positive carbocation intermediate. The same applies to -NR3+.

-CF3 and -CCl3 both have an inductive electronegative effect of 3 halides, but with no electrons to share with the ring, leaving them also very strongly deactivating.

-CN has a triple bond between the carbon and nitrogen with a resonance form of a double bond between the carbon and nitrogen and a positive charge on the carbon, meaning that between the electronegativity of the nitrogen and positively charged carbon in the resonance form, it destabilizes the carbocation and offer no electrons to the ring.

-SO3, -COR, -CO2R - all of these have electronegative oxygens giving the carbon a positive partial charge and providing no electrons for stability on the ring.

-F, -Cl, -Br, all have a similar effect. They are electronegative and deactivate the ring, but have electrons to share that, to some degree, makes up for it, allowing the ortho/para direction. But to understand their effects better, you need to look at them in terms of their placement on the periodic chart. Florine is the most electronegative element and it's very small and thus very close to the carbon it's bonded to. This gives its electromagnetic influence a stronger deactivating character. Chlorine is less electronegative, but it's also larger and thus further away from the carbon, making it harder for it to share its electrons. And so on.

# Polysubstituted Benzenes

Unsubstituted benzene is seldom encountered in nature or in the laboratory, and you will find in your studies that most often benzene rings are found as parts of other, more complicated molecules. In order for benzene to react in most situations, it gains or loses some functionality dependent on which functional groups are attached. Although the simplest case is to work with benzene that has only one functional group, it is also essential to understand the interactions and competitions between multiple functional groups attached to the same benzene ring.

When there is more than one substituent present on a benzene ring the spatial relationship betwen groups becomes important, which is why the arene substitution patterns **ortho**, **meta** and **para** were devised. For example three isomers exist for the molecule cresol because the methyl group and the hydroxyl group can be placed either next to each other (_ortho_), one position removed from each other (_meta_) or two positions removed from each other (_para_). Where each group attaches is most often a function of which order they were attached in, due to the activating/deactivating and directing activities of previously attached groups.

![Cresol isomers.PNG](../../../upload.wikimedia.org/wikipedia/commons/e/e4/Cresol_isomers.PNG)

## Competition Between Functional Groups

When a ring has more than one functional group, the effects of the groups are combined and their total effect must be taken into account. In general, effects are summed. For example, toluene (methylbenzene) is weakly activated. But p-nitrotoluene has both a methyl group and a nitro group. The methyl group is weakly activating and the nitro is pretty strongly deactivating, so overall, the group is very deactivated. In terms of direction, however, both substitutents agree on the direction. The methyl group is ortho/para directing. The nitro group occupies the para position, so the methyl will now want just ortho direction. The nitro group is meta directing. The positions meta to the nitro are also ortho to the methyl, so this works out and further substituents will be almost entirely in the positions ortho to the methyl group.

If two functional groups disagree on direction, the more activating group is the one that controls direction. That is, if you had m-nitrotoluene, most of your product would tend to be ortho/para to the toluene and not meta to the nitro, despite the nitro having a stronger influence on overall activation.

  


## Naming Conventions

When a benzene ring has more than one substituent group attached, the location of all of the groups not directly attached to carbon number one must be explicitly declared. This is done by listing the number of the carbon atom where the group is attached, followed by a hyphen and the group's name. The carbon atoms of the benzene ring should be numbered in order of previously established precedence, i.e., a bromine would take precedence over a nitro group, which itself would take precedence over an alcohol or alkane group. The names of the groups should be listed in alphabetical order, i.e. "2-methyl-5-nitrobenzaldehyde."

# Aromatics in history

[Organic Chemistry/Aromatics in history](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromatics_in_history&action=edit&redlink=1)

# Benzene structure

[Organic Chemistry/Aromaticity/Benzene/Benzene structure](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromaticity/Benzene/Benzene_structure&action=edit&redlink=1)

# Benzene properties

[Organic Chemistry/Aromaticity/Benzene/Benzene properties](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromaticity/Benzene/Benzene_properties&action=edit&redlink=1)

# Overview of electrophilic aromatic substitution reactions

[Organic Chemistry/Aromatic reactions/Electrophilic aromatic substitution/Overview of electrophilic aromatic substitution reactions](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromatic_reactions/Electrophilic_aromatic_substitution/Overview_of_electrophilic_aromatic_substitution_reactions&action=edit&redlink=1)

# Friedel-Crafts alkylation

[Organic Chemistry/Aromatic reactions/Electrophilic aromatic substitution/Friedel-Crafts alkylation](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromatic_reactions/Electrophilic_aromatic_substitution/Friedel-Crafts_alkylation&action=edit&redlink=1)

# Friedel-Crafts acylation

[Organic Chemistry/Aromatic reactions/Electrophilic aromatic substitution/Friedel-Crafts acylation](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Aromatic_reactions/Electrophilic_aromatic_substitution/Friedel-Crafts_acylation&action=edit&redlink=1)

# Aromatic reactions

<<[ Aromatics](http://en.wikibooks.org/wiki/Organic_Chemistry/Aromatics) | Aromatic reactions | [Ketones and aldehydes>>](http://en.wikibooks.org/wiki/Organic_Chemistry/Ketones_and_aldehydes)

The lack of reactivity of arenes is notable when compared to the reactivities of typical compounds containing multiple conjugated double bonds. For example, 1,3,5-hexatriene is much more reactive than hexane, hexene, or any hexadiene. Benzene is much less reactive than any of these. Any of the alkenes will be readily converted to alcohols in the presence of a dilute aqueous solution of H2SO4, but benzene is inert. Similarly, alkenes react readily with halogens and hydrogen halides _by addition_ to give alkyl halides, whereas halogens react with benzene _by substitution_ and only in the presence of a catalyst. KMnO4 or chromic acid solutions (typically CrO3 or K2Cr2O7) cleave the double bonds of alkenes, giving ketones or carboxylic acids, but do not react at all with benzene. Because of the stability of aromatic compounds, however, reactions involving these have extremely high activation energies, for passage to the transition state necessarily requires disruption of the aromatic system, resulting in a temporary loss of aromatic stabilization energy. Instead of reacting by addition and elimination, as nonaromatic compounds often do, benzene and its derivatives usually react by electrophilic aromatic substitution.

# Redox

## Birch reduction

The **Birch reduction**[[1]](Print_version.html#cite_note-4) is the reduction of aromatic compounds by sodium in liquid ammonia. It is attributed to the chemist [Arthur Birch](http://en.wikipedia.org/wiki/Arthur_John_Birch). The reaction product is a 1,4-cyclohexadiene. The metal can also be lithium or potassium and the hydrogen atoms are supplied by an alcohol such as ethanol or tert-butanol.

![Birch reduction of aromatic rings](../../../upload.wikimedia.org/wikipedia/commons/3/34/Birch.gif)

The first step of a Birch reduction is a one-electron reduction of the aromatic ring to a radical anion. Sodium is oxidized to the sodium ion Na+. This intermediate is able to dimerize to the dianion. In the presence of an alcohol the second intermediate is a free radical which takes up another electron to form the carbanion. This carbanion abstracts a proton from the alcohol to form the cyclohexadiene.

![Birch reduction reaction mechanism](../../../upload.wikimedia.org/wikipedia/commons/b/b9/Birch_mechanism.gif)

In the presence of an alkyl halide, the carbanion can also engage in nucleophilic substitution with carbon-carbon bond formation. In substituted aromatics an electron withdrawing substituent such as a carboxylic acid stabilizes a carbanion and the least-substituted alkene is generated. With an electron donating substituent, the opposite effect occurs. The non-conjugated 1,4-addition product is preferred over the conjugated 1,3-diene which is explicable by the [principle of least motion](http://en.wikipedia.org/wiki/Principle_of_least_motion). Experimental alkali metal alternatives that are safer to handle, such as the [M-SG reducing agent](http://en.wikipedia.org/wiki/M-SG_reducing_agent), also exist.

## Oxidation of Benzene in the Human Body

Because benzene is nonpolar, it cannot be passed in urine, and will remain in the body until oxidized. Benzene itself is not dangerous to health, but in order to be passed, it is oxidized by cytochrome P-450 in the liver. This produces benzene oxide, a highly teratogenic and carcinogenic compound. Benzene has been replaced by toluene as an industrial solvent, because toluene can be oxidized to benzoic acid, which is mostly harmless to health, and is quickly passed. The decomposition of benzoic acid into benzene and carbon dioxide in soda pop has become an issue recently.

# Nucleophilic Aromatic Substitution

A nucleophilic substitution is a substitution reaction in organic chemistry in which the nucleophile displaces a good leaving group, such as a halide on an aromatic ring. In order to understand this type of reaction, it is important to recognize which chemical groups are good leaving groups and which are not.

## Leaving Groups

A leaving group can probably most simply be described as an atom or molecule that detaches from an organic molecule. The ability for a functional group to leave is called _lability_. Leaving groups affect the intrinsic reactivity of the molecule as a whole, but only until, quite naturally, they actually leave.

  
The lower the p_K_a of the conjugate acid for a given leaving group, the better that leaving group is at actually leaving. This is because such groups can easily stabilize any developing negative charge and without stabilization, a leaving group will actually become a nucleophile causing the reaction to cycle pointlessly between attached and detached forms. (This explains why a strong base is nearly always a poor leaving group.)

  
In room temperature water, the sequence of lability is:

  * _Less lability_
  * amine/amide (NH2-)
  * alkoxy/alkoxide (RO-)
  * hydroxyl/hydroxide (HO-)
  * carboxylate (RCOO-)
  * fluoro/fluoride (F-)
  * water (H2O)
  * chloro/chloride (Cl-)
  * bromo/bromide (Br-)
  * iodo/iodide (I-)
  * azide (N3-)
  * thiocyanate (SCN-)
  * nitro/nitrite (NO2)
  * cyano/cyanide (CN-)
  * _Greater Lability_

## Rate of Reaction

The better a leaving group, the faster a nucleophilic reaction will occur. This is demonstrated by comparisons of the kinetics between halogenalkanes, where the bromides dissociate more quickly than the chlorides, but the iodides dissociate more rapidly than either of the other two. This is because the bond between the halogen and its nearest carbon must be broken at some point for a nucleophilic substitution to take place. A bond between iodine and carbon is far more polarizable than a bond between carbon and chlorine, for example, due to iodine's relatively large size and relatively large number of ionizable electrons. The fact that water is a far better leaving group than hydroxide also has the important consequence that the rate of a reaction in which hydroxide leaves is increased dramatically by the presence of an acid, for hydroxide is then protonated to water, a much weaker nucleophile.

## Types of Reactions

There are three nucleophilic substitution mechanisms commonly encountered with aromatic systems, the SNAr (addition-elimination) mechanism, the benzyne mechanism and the free radical SRN1 mechanism. The most important of these is the SNAr mechanism, where electron withdrawing groups activate the ring towards nucleophilic attack, for example if there are nitro functional groups positioned ortho or para to the halide leaving group. It is not generally necessary to discuss these types in detail within the context of an introductory organic chemistry course.

  


# Electrophilic Aromatic Substitution

**Electrophiles** are particles with a deficiency of electrons. Therefore they are likely to react with substances that have excess electrons. Aromatic compounds have increased electron density in the form of delocalized π-orbitals.

## Step 1: Formation of a π-complex

At first, the electrophile interacts with the delocalized orbitals of the aromatic ring and a π-complex is formed.

![Electrophilic substitution pi complex.png](../../../upload.wikimedia.org/wikibooks/en/f/f2/Electrophilic_substitution_pi_complex.png)

No chemical bonds are formed at this stage. Evidence of the formation of a π-complex as an intermediate state has been found for some reactions, but not for all, since the chemical interaction in π-complexes is very weak.

## Step 2: Formation of a σ-complex

After the π-complex is formed, in the presence of an electron acceptor another complex is formed - the σ-complex. It is a cationic species, an intermediate that lacks aromatic properties, but its four π-electrons are delocalized across the ring, which stabilizes the cation somewhat, sometimes allowing its isolation. An example would be the salt mesityl fluoroborate, which is stable at low temperatures, and is prepared by the reaction of mesitylene (1,3,5-trimethylbenzene) with fluoroboric acid (BF3/HF); the cation of this salt is protonated mesitylene. σ-complexes are also known as _Wheland intermediates_.

## Step 3: Formation of a Substituted product

At the next stage the σ-complex decomposes, freeing a hydrogen cation and forming the product of substitution.

![Electrophilic substitutiom sigma complex.png](../../../upload.wikimedia.org/wikibooks/en/0/0e/Electrophilic_substitutiom_sigma_complex.png)

### Electrophilic aromatic halogenation

![Electrophilic aromatic substitution of benzene](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/OChem-Mech-ElectrophilicAromaticSubstitution-General.png/450px-OChem-Mech-ElectrophilicAromaticSubstitution-General.png)

Another important reaction of benzene is the electrophilic substitution of halides, a specific type of electrophililc aromatic substitution. These reactions are very useful for adding substituents to an aromatic system. The rates of the reactions increase with the electrophilicity of the halogen: hence, fluorination in this manner is too rapid and exothermic to be practical, whereas iodine requires the most vigorous conditions. Chlorination and bromination are the most often practiced in the lab of the four possible halogenations. Halobenzenes are used for pesticides, as well as the precursors to other products. Many COX-2 inhibitors contain halobenzene subunits.

Some highly activated aromatic compounds, such as phenol and aniline, are reactive enough to undergo halogenation without a catalyst, but for typical benzene derivatives (and benzene itself), the reactions are extremely slow at room temperature in the absence of a catalyst. Usually, Lewis acids are used as catalysts, which work by helping to polarize the halogen-halogen bond, thus decreasing the electron density around one halogen atom, making it more electrophilic. The most common catalysts used are either Fe or Al, or their respective chlorides and bromides (+3 oxidation state). Iron(III) bromide and iron(III) chloride lose their catalytic activity if they are hydrolyzed by any moisture present, including atmospheric water vapor. Therefore, they are generated _in situ_ by adding iron fillings to bromine or chlorine. Iodination is carried out under different conditions: periodic acid is often used as a catalyst. Under these conditions, the I+ ion is formed, which is sufficiently electrophilic to attack the ring. Iodination can also be accomplished using a diazonium reaction. Fluorination is most often done using this technique, as the use of fluorine gas is inconvenient and often fragments organic compounds.

Halogenation of aromatic compounds differs from the additions to alkenes or the free-radical halogenations of alkanes, which do not require Lewis acid catalysts. The formation of the arenium ion results in the temporary loss of aromaticity, the overall result being that the reaction's activation energy is higher than those of halogenations of aliphatic compounds.

Halogenation of phenols is faster in polar solvents due to the dissociation of phenol, because the phenoxide (-O-) group is more strongly activating than hydroxyl itself.

### Electrophilic aromatic sulfonation

Aromatic sulfonation is an organic reaction in which a hydrogen atom on an arene is replaced by a sulfonic acid functional group in an electrophilic aromatic substitution.

The electrophile of such a reaction is sulfur trioxide (SO3), which can be released from oleum (also known as fuming sulfuric acid), essentially sulfuric acid in which gaseous sulfur trioxide has been dissolved.

In contrast to aromatic nitration and other electrophilic aromatic substitutions, aromatic sulfonation is reversible. Sulfonation takes place in strongly acidic conditions, and desulfonation can occur on heating with a trace of acid. This also means that thermodynamic, rather than kinetic, control can be achieved at high temperatures. Hence, directive effects are not expected to play a key role in determining the proportions of isomeric products of high-temperature sulfonation.

Aromatic sulfonic acids can be intermediates in the preparation of dyes and many pharmaceuticals. Sulfonation of aniline produces p-aminobenzenesulfonic acid or sulfanilic acid, which is a zwitterionic compound with an unusually high melting point. The amide of this compound and related compounds form a large group of sulfa drugs (a type of antibiotic).

Overall reaction: ArH + SO3 → ArSO3H

### Electrophilic aromatic nitration

Nitration occurs with aromatic organic compounds via an electrophilic substitution mechanism involving the attack of the electron-rich benzene ring by the nitronium (nitryl) ion. Benzene is commonly nitrated by refluxing with a mixture of concentrated sulfuric acid and concentrated nitric acid at 50°C. The sulfuric acid is regenerated and hence acts as a catalyst.

Selectivity is always a challenge in nitrations. Fluorenone nitration is selective and yields a tri-nitro compound or tetra-nitro compound by tweaking reaction conditions just slightly. Another example of trinitration can be found in the synthesis of phloroglucinol. Other nitration reagents include nitronium tetrafluoroborate which is a true nitronium salt. This compound can be prepared from hydrogen fluoride, nitric acid and boron trifluoride. Aromatic nitro compounds are important intermediates for anilines; the latter may be readily prepared by action of a reducing agent.

Overall reaction: ArH + HNO3 → ArNO2 \+ H2O

### Friedel-Crafts alkylation

![Friedel-Crafts alkylation of benzene with methyl chloride](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5d/Friedel-craft-alk.png/400px-Friedel-craft-alk.png)

The Friedel-Crafts reactions, discovered by French alkaloid chemist Charles Friedel and his American partner, James Crafts, in 1877, is either the alkylation or acylation of aromatic compounds catalyzed by a Lewis acid. They are very useful in the lab for formation of carbon-carbon bonds between an aromatic nucleus and a side chain.

#### Source of electrophile

Friedel-Crafts alkylation is an example of electrophilic substitution in aromatic compounds. The electrophile is formed in the reaction of an alkyl halide with a Lewis acid. The Lewis acid polarizes the alkyl halide molecule, causing the hydrocarbon part of it to bear a positive charge and thus become more electrophilic.

CH3—Cl + AlCl3 → CH3+ \+ AlCl4−

or

CH3Cl + AlCl3 → CH3δ+Cl+Al−Cl3

(The carbon atom has a slight excess of positive charge, as the electronegative chlorine atom draws electron density towards itself. The chlorine atom has a positive charge, as it has formed a sub-ordinate bond with the aluminium atom. In effect, the Cl atom has lost an electron, while the Al atom has gained an electron. Therefore, the Al atom has a negative charge.)

#### Mechanism of alkylation

The polarized, electrophilic molecule then seeks to saturate its electron deficiency and forms a π-complex with the aromatic compound that is rich in π-electrons. Formation a π-complex does not lead to loss of aromaticity. The aromaticity is lost however in the σ-complex that is the next stage of reaction. The positive charge in the σ-complex is evenly distributed across the benzene ring.

C6H6 \+ CH3+ → C6H6+Br → C6H5Br + H+

The σ-complex C6H6+Br can be separated (it is stable at low temperatures), while the π-complex can not.

#### Restrictions

  * Deactivating functional groups, such as nitro (-NO2), usually prevent the reaction from occurring at any appreciable rate, so it is possible to use solvents such as nitrobenzene for Friedel-Crafts alkylation.
  * Primary and secondary carbocations are much less stable than tertiary cations, so rearrangement typically occurs when one attempts to introduce primary and secondary alkyl groups onto the ring. Hence, Friedel-Crafts alkylation using n-butyl chloride generates the n-butylium cation, which rearranges to the t-butyl cation, which is far more stable, and the product is exclusively the t-butyl derivative. This may, in some cases, be circumvented through use of a weaker Lewis acid.
  * The Friedel-Crafts reaction can not be used to alkylate compounds which are sensitive to acids, including many heterocycles.
  * Another factor that restricts the use of Friedel-Crafts alkylation is polyalkylation. Since alkyl groups have an activating influence, substituted aromatic compounds alkylate more easily than the original compounds, so that the attempted methylation of benzene to give toluene often gives significant amounts of xylene and mesitylene. The usual workaround is to acylate first (see the following sections) and then reduce the carbonyl group to an alkyl group.

### Friedel-Crafts acylation

![Friedel-Crafts acylation of benzene by acetyl chloride](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8b/Benzen_acylowany.svg/300px-Benzen_acylowany.svg.png)

Friedel-Crafts acylation, like Friedel-Crafts alkylation, is a classic example of electrophilic substitution.

#### Source of electrophile

Reacting with Lewis acids, anhydrides and chloranhydrides of acids become strongly polarized and often form acylium cations.

RCOCl + AlCl3 → RC+O + AlCl4-

#### Mechanism of acylation

The mechanism of acylation is very similar to that of alkylation.

C6H6 \+ RC+O → C6H6—CO—R + H+

The ketone that is formed then forms a complex with aluminum chloride, reducing its catalytic activity.

C6H6—CO—R + AlCl3 → C6H6—C+(R)—O—Al−Cl3

Therefore, a much greater amount of catalyst is required for acylation than for alkylation.

#### Restrictions

  * Although no isomerisation of cations happens, due to the reasonance stabilization provided by the acylium ion, certain cations may lose CO and alkylation will occur instead of acylation. For example, an attempt to add pivalyl (neopentanoyl) to an aromatic ring will result in loss of CO from the cation, which then results in the t-butyl derivative being formed.
  * Acidophobic aromatic compounds, such as many heterocycles can't exist in the presence of both Lewis acids and anhydrides.
  * Formyl chloride is unstable and cannot be used to introduce the formyl group onto a ring through Friedel-Crafts acylation. Instead, the Gattermann-Koch reaction is often used.

#### Applications

Friedel-Crafts acylation is used, for example, in the synthesis of anthraquinone from benzene and phtalic anhydride.

In laboratory synthesis Friedel-Crafts acylation is often used instead of alkylation in cases where alkylation is difficult or impossible, such as synthesis of monosubstituted alkylbenzenes.

# External links

  * reduction of o-[anisic acid](http://en.wikibooks.org/w/index.php?title=Anisic_acid&action=edit&redlink=1) to 2-heptyl-2-hexenone in [Organic Syntheses](http://en.wikibooks.org/w/index.php?title=Organic_Syntheses&action=edit&redlink=1) [Article](http://www.orgsyn.org/orgsyn/prep.asp?prep=cv7p0249)
  * reduction of [naphthalene](http://en.wikibooks.org/w/index.php?title=Naphthalene&action=edit&redlink=1) to 1,4,5,8-Tetrahydronaphthalene (isotetralin) in [Organic Syntheses](http://en.wikibooks.org/w/index.php?title=Organic_Syntheses&action=edit&redlink=1) [Article](http://www.orgsyn.org/orgsyn/prep.asp?prep=cv6p0731).
  * reduction of o-[xylene](http://en.wikibooks.org/w/index.php?title=Xylene&action=edit&redlink=1) to 1,2-Dimethyl-1,4-cyclohexadiene in [Organic Syntheses](http://en.wikibooks.org/w/index.php?title=Organic_Syntheses&action=edit&redlink=1) [Article](http://www.orgsyn.org/orgsyn/prep.asp?prep=cv5p0467)
  * reduction of [benzoic acid](http://en.wikibooks.org/w/index.php?title=Benzoic_acid&action=edit&redlink=1) to 2,5-Cyclohexadiene-1-carboxylic acid in [Organic Syntheses](http://en.wikibooks.org/w/index.php?title=Organic_Syntheses&action=edit&redlink=1) [Article](http://www.orgsyn.org/orgsyn/prep.asp?prep=cv5p0400)

# References

  1. [↑](Print_version.html#cite_ref-4) * A. J. Birch, J. Chem. Soc. **1944**, 430.

<<[ Aromatics](http://en.wikibooks.org/wiki/Organic_Chemistry/Aromatics) | Aromatic reactions | [Ketones and aldehydes>>](http://en.wikibooks.org/wiki/Organic_Chemistry/Ketones_and_aldehydes)

* * *

# Unit 11: **Ketones and aldehydes**

Aldehydes (![Aldehyde2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Aldehyde2.png/50px-Aldehyde2.png)) and ketones (![Ketone-general.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/48/Ketone-general.png/50px-Ketone-general.png)) are both carbonyl compounds. They are organic compounds in which the carbonyl carbon is connected to C or H atoms on either side. An aldehyde has one or both vacancies of the carbonyl carbon satisfied by a H atom, while a ketone has both its vacancies satisfied by carbon.

## Naming Aldehydes and Ketones

**Ketones** are named by replacing the **-e** in the alkane name with **-one**. The **carbon chain** is numbered so that the ketone carbon, called **the carbonyl group**, gets the lowest number. For example, ![Butanone-structure-skeletal.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Butanone-structure-skeletal.png/50px-Butanone-structure-skeletal.png) would be named 2-butanone because the root structure is butane and the ketone group is on the number two carbon.

Alternatively, functional class nomenclature of ketones is also recognized by IUPAC, which is done by naming the substituents attached to the carbonyl group in alphabetical order, ending with the word ketone. The above example of 2-butanone can also be named ethyl methyl ketone using this method.

If two ketone groups are on the same structure, the ending **-dione** would be added to the alkane name, such as 2,5-heptanedione.

**Aldehydes** replace the **-e** ending of an alkane with **-al** for an aldehyde. Since an aldehyde is always at the carbon that is numbered one, a number designation is not needed. For example, the aldehyde of pentane would simply be pentanal.

The **-CH=O group of aldehydes** is known as a formyl group. When a formyl group is attached to a ring, the ring name is followed by the suffix **"carbaldehyde"**. For example, a hexane ring with a formyl group is named cyclohexanecarbaldehyde.

## Boiling Points and Bond Angles

**Aldehyde and ketone** polarity is characterized by the high dipole moments of their carbonyl group, which makes them rather polar molecules. They are more polar than alkenes and ethers, though because they lack hydrogen, they cannot participate in hydrogen bonding like alcohols, thus making their relative boiling points higher than alkenes and ethers, yet lower than alcohols.

Typical bond angles between the carbonyl group and its substituents show minor deviations from the trigonal planar angles of 120 degrees, with a slightly higher bond angle between the O=C-R bond than the R-C-R bond on the carbonyl carbon (with R being any substituent).

## Preparing Aldehydes and Ketones

### Preparing Aldehydes

#### Partial oxidation of primary alcohols to aldehydes

This reaction uses pyridinium chlorochromate (PCC) in the absence of water (if water is present the alcohol will be oxidized further to a carboxylic acid). ![Alcohol-aldehyde.PNG](../../../upload.wikimedia.org/wikipedia/commons/6/6b/Alcohol-aldehyde.PNG)

#### From fatty acids

(HCOO)2Ca + HEAT ----> HCHO + CaCO3 (CH3COO)2Ca + HEAT ----> acetone + CaCO3 (CH3COO)2Ca + (HCOO)2Ca ---->ethanaldehyde

#### Stephen reduction

RCN + SnCl2 \----> RCH=NH2+Cl− \----> on hydrolysis gives RCHO

Here sulfur is used as a poisoner so that aldehyde formed doesn't get oxidised to the carboxylic acid. See [the Wikipedia article](http://en.wikipedia.org/wiki/Stephen_aldehyde_synthesis) for more detail.

#### Rosenmund reaction

RCOCl + Pd + BaSO4 \+ S ---->RCHO for solvent xylene is used

### Preparing Ketones

#### From Grignard reagents

RCOOR' + R'MgX ---->RCOR + R'OH
    
    
                        R'            R'      OH  
                        |             |       |
    

RC=O + R'-MgX ---->R-C-OMgX----->R-C-OH + Mg-X
    
    
    |                   |             |  
    O-R'                OR'           OR'
    

#### From nitriles

RCN + R'MgX ----> RCOR'(after hydrolysis) HCN does not react with RMgX as HCN has acidic hydrogen which results in RH being formed.

#### From gem dihalides

RCCl2R + strong base ----> RCOR

#### Oppenaur oxidation

Reagent is Aluminium tert. butoxide solvent is acetone

ROH + ACETONE ----> Ketone + isopropyl alcohol this oxidation does not affect double bonds in this oxidation ketone act as a oxidizing agent this is exact opposite to merrwine pondroff reduction

#### Friedel-Crafts acylation of aromatic compounds

An aromatic ring reacts with a carboxylic acid chlorine (RCOCl) in the presence of AlCl3 to form an aryl ketone of the form ArCOR.

#### Oxidation of secondary alcohols to ketones

A secondary alcohol can be oxidised into a ketone using acidified potassium dichromate(VI) and heating under reflux.

The orange dichromate(VI) ion, Cr2O72-, is reduced to the green Cr3+(aq) ion.

### Ozonolysis of alkenes

It is a reaction in which the double bond is completely broken and the alkene molecule converted into two smaller molecules.

![A generalized scheme of ozonolysis](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Ozonolysis_Scheme.png/350px-Ozonolysis_Scheme.png)

Ozonolysis (cleavage "by ozone) is carried out in two stages: first, addition of ozone to the double bond to form an ozonide ; and second, hydrolysis of the ozonide to yield the cleavage products.

Ozone gas is passed into a solution of the alkene in some inert solvent like carbon tetrachloride; evaporation of the solvent leaves the ozonide as a viscous oil. This unstable, explosive compound is not purified, but is treated directly with water, generally in the presence of a reducing agent. If oxidsing reagent is used, aldehyde or ketone if oxidisable can further oxidise into carboxylic acid which is not the case with reducing agents

In the cleavage products a doubly-bonded oxygen is found attached to each of the originally doubly-bonded carbons.

The function of the reducing agent, which is frequently zinc dust, is to prevent formation of hydrogen peroxide, which would otherwise react with the aldehydes and ketones. (Aldehydes, RCHO, are often converted into acids, RCOOH, for ease of isolation.)

##### Mechanism

The alkene and ozone form an intermediate molozonide in a 1,3-dipolar cycloaddition. Next, the molozonide reverts to its corresponding carbonyl oxide (also called the Criegee intermediate or Criegee zwitterion) and aldehyde or ketone in a retro-1,3-dipolar cycloaddition. The oxide and aldehyde or ketone react again in a 1,3-dipolar cycloaddition or produce a relatively stable ozonide intermediate (a trioxolane)

![The reaction mechanism of ozonolysis.](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Ozonolysis-2.png/600px-Ozonolysis-2.png)

### Hydration of alkynes

Water is added to an alkyne in a strong acid. The strong acid used is sulfuric acid and mercuric acid.

## Keto-enol tautomerism

In the presence of an acid (H+) or a base (OH-), the aldehyde or ketone will form an equilibrium with enols, in which the double bond of the carbonyl group migrates to form double bond between the carbonyl and the alpha (α) carbon.

In the presence of an acid, protonation of the oxygen group will occur, and water will abstract an alpha (α) hydrogen.

In the presence of a base, deprotonation of the alpha hydrogen will occur, and a hydrogen from water will be abstracted by the carbonyl oxygen.

This is an important feature of ketone and aldehydes, and is known as the _keto-enolic tautomery_ or _keto-enol tautomerism_, i.e. the equilibrium of carbonyl compounds between two forms.

It must be stressed that the _keto_ and the _enol_ forms are **two distinct compounds**, not isomers. They are known as tautomers of each other. The presence of α-hydrogen is necessary for this equilibrium: those compounds not possessing it are called _non-enolizable_ ketones.

![](../../../upload.wikimedia.org/wikipedia/commons/0/0d/Enolketo-tautomers.png)

Mechanism of enol-keto tautomerism

## Reactions of Aldehydes and Ketones

### Reactions with the carbonyl carbon

Since aldehydes and ketones contain a polar carbonyl group, the partially positive carbon atom can act as an electrophile. Strong and weak nucleophiles are able to attack this carbonyl carbon, resulting in a net addition to the molecule.

#### Nucleophilic addition

With cyanide, nucleophilic addition occur to give a hydroxynitrile:

RR'C=O + CN- \+ H+ → RR'COHCN

e.g. propanone → 2-hydroxymethylpropanonitrile

### Reactions with the carbonyl oxygen

The partially negative oxygen can act as a nucleophile, or be attacked by electrophiles.

### Oxidation

Using a strong oxidizing agent such as the Tollens' Reagent (Ag2O in aqueous ammonia) acidified dichromate, Benedict's/Fehling's reagent (essentially alkaline Cu+2); aldehydes but not ketones may be oxidized into carboxylic acids. This is one way to test for the presence of an aldehyde in a sample compound: an aldehyde will become a carboxylic acid when reacted with Tollens' reagent, but a ketone will not react. when aldehydes react with fehling solution a red precipitate is obtained (due to formation of Cu2O) .

## Inductive Effect and Greek letter assignment

The carbonyl group is very electron withdrawing, and adjacent carbons are effected by induction. Using the carbonyl group as a reference, adjacent carbons are named using Greek letters in order of closeness to the carbonyl group. Alpha (α) carbons are directly attached to the carbonyl group, beta (β) carbons are connected to alpha carbons, gamma (γ) to beta (β), and so on.

Due to the inductive effect of the partial positive charge on the carbonyl carbon of a keytone or aldehyde, as well as the stabilizing resonance of the double bond between the hydroxyl group and conjugated carbons to the carbonyl group, the alpha (α) hydrogens are especially acidic, meaning they are especially prone to removal.

* * *

# Unit 12: **Carboxylic acids**

A carboxylic acid is characterized by the presence of the _carboxyl group_ -COOH. The chemical reactivity of carboxylic acids is dominated by the very positive carbon, and the resonance stabilization that is possible should the group lose a proton. These two factors contribute both to acidity and to the group's dominant chemical reaction: nucleophilic substitution.

# Preparation

1) from alkenes
    
    
           R-CH=CHR + KMnO4 + OH- + Heat----> 2RCOOH
           
    

2) from ROH
    
    
           RCH2OH + OXIDIZING AGENT ----> RCOOH
    

Aliphatic carboxylic acids are formed from primary alcohols or aldehydes by reflux with potassium dichromate (VI) acidified with sulphuric acid.

3) from toluene etc.
    
    
           toluene + KMnO4 ----> benzoic acid  
    

Alkyl benzenes (methyl benzene, ethyl benzene, etc) react with potassium manganate (VII) to form benzoic acid. All alkyl benzenes give the same product, because all but one alkyl carbon is lost.

No acidification is needed. The reaction is refluxed and generates KOH. The benzoic acid is worked up by adding a proton source (such as HCl).

4) from methyl ketones
    
    
           RCOCH3 + NaOH + I-I ----> RCOO- + CHI3
    

5) from Grignard reagents
    
    
           RMgX + O=C=O ----> RCOOMgX 
           RCOOMgX + HOH ----> RCOOH + MgX(OH)
    

# Properties

## Nomenclature

The systematic IUPAC nomenclature for carboxylic acids requires the longest carbon chain of the molecule to be identified and the -e of alkane name to be replaced with -oic acid.

The traditional names of many carboxylic acids are still in common use.

**Nomenclature of carboxylic acids**

formula IUPAC name traditional name

HCOOH
methanoic acid
formic acid

CH3-COOH
ethanoic acid
acetic acid

CH3CH2-COOH
propanoic acid
propionic acid

CH2=CH-COOH
propenoic acid
acrylic acid

CF3-COOH
trifluoroethanoic acid

The systematic approach for naming dicarboxylic acids (alkanes with carboxylic acids on either end) is the same as for carboxylic acids, except that the suffix is -dioic acid. Common name Nomenclature of dicarboxylic acids is aided by the acronym OMSGAP (Om's Gap), where each letter stands for the first letter of the first seven names for each dicarboxylic acid, starting from the simplest.

**Nomenclature of dicarboxylic acids**

formula IUPAC name traditional name

HOOCCOOH
Ethanedioic acid
Oxalic acid

HOOCCH2-COOH
propanedioic acid
Malonic acid

HOOCCH2CH2-COOH
butanedioic acid
Succinic acid

HOOCCH2CH2CH2-COOH
pentanedioic acid
Glutaric acid

HOOCCH2CH2CH2CH2-COOH
hexanedioic acid
Adipic acid

HOOCCH2CH2CH2CH2CH2-COOH
heptanedioic acid
Pimelic acid

## Acidity

Most carboxylic acids are weak acids. To quantify the acidities we need to know the pKa values: The pH above which the acids start showing mostly acidic behaviour: Ethanoic acid: 4.8 Phenol: 10.0 Ethanol: 15.9 Water: 15.7

**Acidity of carboxylic acids in water**

acid formula _pK_a

methanoic acid
H-COOH
3.75

ethanoic acid
CH3-COOH
4.75

propanoic acid
CH3CH2-COOH
4.87

propenoic acid
CH2=CH-COOH
4.25

benzoic acid
C6H5-COOH
4.19

trifluoroethanoic acid
CF3-COOH
0.3

phenol
C6H5-OH
10.0

ethanol
CH3CH2-OH
15.9

water
H2O
15.7

Data from CRC Handbook of Chemistry & Physics, 64th edition, 1984 D-167-8 Except <http://en.wikipedia.org/wiki/Trifluoroacetic_acid>

Clearly, the carboxylic acids are remarkably acidic for organic molecules. Somehow, the release of the H+ ion is favoured by the structure. Two arguments: The O-H bond is polarised by the removal of electrons to the carbonyl oxygen. The ion is stabilised by resonance: the carbonyl oxygen can accept the charge from the other oxygen. The acid strength of carboxylic acid are strongly modulated by the moiety attached to the carboxyl. Electron-donor moiety decrease the acid strength, whereas strong electron-withdrawing groups increase it.

# Reactions

## Acid Chloride Formation

Carboxylic acids are converted to acid chlorides by a range of reagents: SOCl2, PCl5 or PCl3 are the usual reagents. Other products are HCl & SO2, HCl & POCl3 and H3PO3 respectively. The conditions must be dry, as water will hydrolyse the acid chloride in a vigorous reaction. Hydrolysis forms the original carboxylic acid.

CH3COOH + SOCl2 → CH3COCl + HCl + SO2

C6H5COOH + PCl5 → C6H5COCl + HCl + POCl3

3 CH3CH2COOH + PCl3 → 3 CH3CH2COCl + H3PO3

## Esterification

Alcohols will react with acid chlorides or carboxylic acids to form esters. This reaction is catalyzed by acidic or basic conditions. See alcohol notes.

  
C6H5COCl + CH3CH2OH → C6H5COOCH2CH3 \+ HCl

  
With carboxylic acids, the condensation reaction is an unfavourable equilibrium, promoted by using non-aqueous solvent (if any) and a dehydrating agent such as sulfuric acid (non-nucleophilic), catalyzing the reaction).

  
CH3COOH + CH3CH2CH2OH = CH3COOCH2CH2CH3 \+ H2O

![](../../../upload.wikimedia.org/wikipedia/commons/6/6e/Esterification.PNG)

Ethanoic Acid reacts with Propanol to form Propyl Ethanoate

  


Reversing the reaction is simply a matter of refluxing the ester with plenty of aqueous acid. This hydrolysis produces the carboxylic acid and the alcohol.

C6H5COOCH3 \+ H2O → C6H5COOH + CH3OH

  
Alternatively, the reflux is done with aqueous alkali. The salt of the carboxylic acid is produced. This latter process is called 'saponification' because when fats are hydrolysed in this way, their salts are useful as soap.

## Anhydrides

See [acid anhydride](http://en.wikipedia.org/wiki/Acid_anhydride).

## Amides

Conceptually, an amide is formed by reacting an acid (an [electrophile](http://en.wikipedia.org/wiki/Electrophile)) with an amine compound (a [nucleophile](http://en.wikipedia.org/wiki/Nucleophile)), releasing water.

RCOOH + H2NR' → RCONHR' + H2O

However, the acid-base reaction is much faster, which yields the non-electrophilic carboxylate and the non-nucleophilic ammonium, and no further reaction takes place.

RCOOH + H2NR' → RCOO- \+ H3NR'+

To get around this, a variety of coupling reagents have been developed that first react with the acid or carboxylate to form an active acyl compound, which is basic enough to deprotonate an ammonium and electrophilic enough to react with the free base of the amine. A common coupling agent is [dicyclohexylcarbodiimide](http://en.wikipedia.org/wiki/Dicyclohexylcarbodiimide), or DCC, which is very toxic.

## Acid Decarboxylation

On heating with sodalime (NaOH/CaO solid mix) carboxylic acids lose their –COOH group and produce a small alkane plus sodium carbonate:

CH3CH2COOH + 2 NaOH →CH3CH3 \+ Na2CO3 \+ H2O

Note how a carbon is lost from the main chain. The product of the reaction may be easier to identify than the original acid, helping us to find the structure.

## Ethanoic anhydride

Industrially, ethanoic anhydride is used as a less costly and reactive alternative to ethanoyl chloride. It forms esters and can be hydrolysed in very similar ways, but yields a second ethanoic acid molecule, not HCl The structure is formed from two ethanoic acid molecules…

## Polyester

Polyester can be made by reacting a diol (ethane-1,2-diol) with a dicarboxylic acids (benzene-1,4-dicarboxylic acid). n HO-CH2CH2-OH + n HOOC-C6H4-COOH → (-O-CH2CH2-O-OC-C6H4-CO-)n + n H2O Polyester makes reasonable fibres, it is quite inflexible so it does not crease easily; but for clothing it is usually combined with cotton for comfort. The plastic is not light-sensitive, so it is often used for net curtains. Film, bottles and other moulded products are made from polyester.

## Distinguishing carboxylic acids from phenols

Although carboxylic acids are acidic, they can be distinguished from phenol because: Only carboxylic acids will react with carbonates and hydrogencarbonates to form CO2

  
2 CH3COOH + Na2CO3 → 2 CH3COONa + H2O + CO2

C6H5COOH + NaHCO3 → C6H5COONa + H2O + CO2

Some phenols react with FeCl3 solution, giving a characteristic purple colour.

_**Note**_: Click on the following icon to go back to the contents page. ![Go To Organic Chemistry Contents .png](../../../upload.wikimedia.org/wikibooks/en/d/d9/Go_To_Organic_Chemistry_Contents_.png)

* * *

# Unit 13: **Carboxylic acid derivatives**

The carboxyl group (abbreviated -CO2H or -COOH) is one of the most widely occurring functional groups in chemistry as well as biochemistry. The carboxyl group of a large family of related compounds called Acyl compounds or **Carboxylic Acid Derivatives**.

All the reactions and compounds covered in this section will yield Carboxylic Acids on hydrolysis, and thus are known as Carboxylic Acid Derivatives. Hydrolysis is one example of _Nucleophilic Acyl Substitution_, which is a very important two step mechanism that is common in all reactions that will be covered here.

  


## Structure

This group of compounds also contains a carbonyl group, but now there is an electronegative atom (oxygen, nitrogen, or a halogen) attached to the carbonyl carbon. This difference in structure leads to a major change in reactivity.

## Nomenclature

The systematic IUPAC nomenclature for carboxylic acid derivatives is different for the various compounds which are in this vast category, but each is based upon the name of the carboxylic acid closest to the derivative in structure. Each type is discussed individually below.

  


### Acyl Groups

Acyl groups are named by stripping the _-ic acid_ of the corresponding carboxylic acid and replacing it with _-yl_.

> **EXAMPLE:**  
CH3COOH = _acetic acid_  
CH3COO-R = _acetyl-R_

### Acyl Halides

Simply add the name of the attached halide to the end of the acyl group.

> **EXAMPLE:**  
CH3COOH = _acetic acid_  
CH3COBr = _acetyl bromide_

### Carboxylic Acid Anhydrides

A carboxylic acid anhydride ([RC=O]O[O=CR]) is a carboxylic acid (COOH) that has an acyl group (RC=O) attached to its oxygen instead of a hydrogen. If both acyl groups are the same, then it is simply the name of the carboxylic acid with the word _acid_ replaced with _anhydride_. If the acyl groups are different, then they are named in alphabetical order in the same way, with _anhydride_ replacing _acid_.

> **EXAMPLE:**  
CH3COOH = _acetic acid_  
CH3CO-O-OCCH3 = _Ethanoic Anhydride_

### Esters

Esters are created when the hydrogen on a carboxylic acid is replaced by an alkyl group. Esters are known for their pleseant, fruity smell and taste, and they are often found in both natural and artificial flavors. Esters (RCOOR1) are named as _alkyl alkanoates_. The alkyl group directly attached to the oxygen is named first, followed by the acyl group, with _-ate_ replacing _-yl_ of the acyl group.

> **EXAMPLE:**  
CH3COOH = _acetic acid_  
CH3COOCH2CH2CH2CH3 = _acetyl butanoate_

cooh 1 cooh 1 2-ethan oic acid <\blochquote>

### Amides

Amides which have an amino group (-NH2) attached to a carbonyl group (RC=O) are named by replacing the _-oic acid_ or _-ic acid_ of the corresponding carboxylic acid with _-amide_.

> **EXAMPLE:**  
CH3COOH = _acetic acid_  
CH3CONH2 = _acetamide_

### Nitriles

Nitriles (RCN) can be viewed a nitrogen analogue of a carbonyl and are known for their strong electron withdrawing nature and toxicity. Nitriles are named by adding the suffix _-nitrile_ to the longest hydrocarbon chain (including the carbon of the cyano group). It can also be named by replacing the _-ic acid_ or _-oic acid_ of their corresponding carboxylic acids with _-onitrile_. Functional class IUPAC nomenclature may also be used in the form of _alkyl cyanides_.

> **EXAMPLE:**  
CH3CH2CH2CH2CN = _butonitrile_ or _butyl cyanide_

## Structure and Reactivity

Stability and reactivity have an inverse relationship, which means that the more stable a compound, generally the less reactive - and vice versa. Since acyl halides are the least stable group listed above, it makes sense that they can be chemically changed to the other types. Since the amides are the most stable type listed above, it should logically follow that they cannot be easily changed into the other molecule types, and this is indeed the case.

The stability of any type of carboxylic acid derivative is generally determined by the ability of its functional group to donate electrons to the rest of the molecule. In essence, the _more electronegative_ the atom or group attached to carbonyl group, the _less stable_ the molecule. This readily explains the fact that the acyl halides are the most reactive, because halides are generally quite electronegative. It also explains why acid anhydrides are unstable; with two carbonyl groups so close together the oxygen in between them cannot stabilize both by resonance - it can't _loan_ electrons to both carbonyls.

The following derivative types are ordered in decreasing reactivity (the first is the most reactive):

> Acyl Halides **(CO-X)** > Acyl Anhydrides **(-CO-O-OCR)** > Acyl Thioester **(-CO-SR)** > Acyl Esters **(-CO-OR)** > Acyl Amides **(-CO-NR2)**

As mentioned before, any substance in the preceding list can be readily transformed into a substance to its right; that is, the more reactive derivative types (acyl halides) can be directly transformed into less reactive derivative types (esters and amides). Every type can be made directly from carboxylic acid (hence the name of this subsection) but carboxylic acid can also be made from any of these types.

  


## Reactions of Carboxylic Acids and Their Derivatives

### Carboxylic Acids

1) As acids:
    
    
         RCO2H + NaOH ----> RCO2-Na+ + H2O
         RCO2H + NaHCO3 ----> RCO2-Na+ + H2O + CO2
    

2) Reduction:
    
    
         RCO2H + LiAlH4 --- (1) Et2O -- (2) H2O ---->  RCH2OH
    

2a) Fukyama reduction: Pd and Et3SiH COOH->CHO

3) Conversion to acyl chlorides:
    
    
         RCO2H  -----SOCl2  or  PCl5 ---->  RCOCl
    

4) Conversion to esters (Fischer esterfication):
    
    
         RCOOH  +  R'-OH   <--- HA --->   RCOOR'  + H2O
    

5) Conversion to amides:
    
    
         RCO2H  -----SOCl2  or  PCl5 ---->  RCOCl  +  NH3  <------>  RCOO-NH4+  --- heat ---> R-CONH2 + H2O
    

  
6) Decarboxylation: (Note: you need a doubly-bonded oxygen (carbonyl) two carbons away for this reaction to work)
    
    
         RCOCH2COOH   --- heat --->  R-COCH3  +  CO2
         HOCOCH2COOH  --- heat --->  CH3COOH  +  CO2
    

### Acyl Chlorides

1) Conversion to acids:
    
    
         R-COCl  +  H2O  ----> R-COOH  +  HCl
    

2) Conversion to anhydrides:
    
    
         R-COCl  +  R'COO-  ---->  R-CO-O-COR'  +  Cl-
    

3) Conversion to esters:
    
    
         R-COCl  +  R'-OH  --- pyridine --->  R-COOR'  +  Cl-  +  pyr-H+
    

4) Conversion to amides:
    
    
         R-COCl  +  R'NHR" (excess) --->  R-CONR'R"  +  R'NH2R"Cl
    

R' and/or R" may be H

  


5) Conversion to ketones:

  


Friedel-Crafts acylation
    
    
         R-COCl  +  C6H6  --- AlCl3 --->  C6H5-COR
    

  
Reaction of Dialkylcuprates (also known as a Gilman reagent)
    
    
         R-COCl  +  R'2CuLi  ---->  R-CO-R'
    

  
6) Conversion to aldehydes:
    
    
         R-COCl  +  LiAlH[OC(CH3)3]3  --- (1) Et2O   (2) H2O  --->  R-CHO
    

### Acid Anhydrides

1) Conversion to acids:
    
    
         (R-CO)2-O  +  H2O  ---->  2 R-COOH
    

2) Conversion to esters:
    
    
         (R-CO)2-O  +  R'OH  ----> R-COOR'  +  R-COOH
    

3) Conversion to amides:
    
    
         (R-CO)2-O  +  H-N-(R'R")  ----> R-CON-(R'R")  +  R-COOH
    

R' and/or R" may be H.

  


4) Conversion to aryl ketones (Friedel-Crafts acylation):
    
    
         (R-CO)2-O  +  C6H6  --- AlCl3  C6H5-COR  + R-COOH
    

### Esters

1) Hydrolysis:
    
    
          R-COOR'  +  H2O  <--- HA --->   R-COOH  +  R'-OH
          R-COOR'  +  OH-  ---->  RCOO- +  R'-OH
    

2) Transesterification (conversion to other esters):
    
    
          R-COOR'  + R"-OH  <--- HA --->  R-COO-R"  +  R'-OH
    

3) Conversion to amides:
    
    
          R-COOR'  + HN-(R"R"')  ---->  R-CON-(R"R"')  + R'-OH
    

R" and/or R"' may be H

  
4) Reaction with Grignard reagents:
    
    
         R-COOR'  +  2 R"MgX  --- Et2O --->  R-C-R"2OMgX  +  R'OMgX  ---> H3O+   R-C-R"2OH
    

The intermediate and final product is a tetrahedral carbon with two R" attached directly to the carbon along with R and OH/OMgX

X = halogen.

  


5) Reduction:
    
    
         R-COOR'  +  LiAlH4  --- (1) Et2O  (2) H2O --->  R-CH2OH  +  R'-OH
    

### Amides

1) Hydrolysis:
    
    
         R-CON(R'R")  +  H3O+   --- H2O --->  R-COOH  +  R'-N+H2R"
         R-CON(R'R")  +  OH-   --- H2O --->  R-COO-  +  R'-NHR"
    

R,R' and/or R" may be H.

  


2) Dehydration (conversion to nitriles):
    
    
         R-CONH2   --- P4O10, heat, (-H2O) --->  R-CN
    

  


### Nitriles

1) Hydrolysis:
    
    
        R-CN  --- H3O+,heat ---> RCOOH
        R-CN  --- OH-,H2O,heat ---> RCOO-
    

2) Reduction to aldehyde:
    
    
        R-CN  --- (1) (_i_-Bu)2AlH  (2) H2O  --->  R-COH
    

(_i_-Bu)2AlH = DIBAL-H

  
3) Conversion to ketone (by Grignard or organolithium reagents):
    
    
        R-CN  +  R"-M  --- (1) Et2O  (2)  H3O+ --->  R-COR"
    

M = MgBr (Grignard reagent) or Li (organolithium reagent)

### Mechanisms

A common motif in reactions dealing with carboxylic acid derivatives is the tetrahedral intermediate. The carbonyl group is highly polar, with the carbon having a low electron density, and the oxygen having a high electron density. With an acid catalyst, a H+ is added to the oxygen of the carbonyl group, increasing the positive charge at the carbon atom. A nucleophile can then attack the carbonyl, creating a tetrahedral intermediate.

For example, in Fischer esterification, the mechanism can be outlined thus: 1) H+ is added to carbonyl oxygen 2) Oxygen atom of the alcohol adds to the carbonyl carbon 3) Proton transfer from alcohol oxygen to carboxyl oxygen 4) Water molecule ejected from tetrahedral intermediate, double bond forms, recreating the carbonyl 5) H+ is removed from carbonyl oxygen

* * *

# Unit 14: **Analytical techniques**

# Elemental analysis

**Elemental analysis** is the process for determining the partial or complete chemical formula for a substance. Most commonly, it involves the complete combustion in air or oxygen of the substance and then quantifying the amount of elemental oxides produced. In the case of organic compounds, the carbon is converted to carbon dioxide and the hydrogen to water. From these, the percent carbon and percent hydrogen in the substance can be found and compared with a proposed chemical formula for the substance at hand.

Element test: Put a small amount of the solid into a small piece of Na metal then roll it around the solid, followed by introduction into a fusion tube. The tube is heated with a gentle flame at a slow rate (in order not to evaporate N2 present in solid) then strong heating till the bottom of the tube become red hot. The tube is then put in a beaker containing a minimal amount of water then heated, cooled, filtered and the filtrate divided into three parts.

1\. _Test for nitrogen_: The filtrate and ferrous sulphate are boiled and cooled and dilute sulphuric acid is added. If green or blue color occurs the solid contain nitrogen.

**The chemistry behind what happened**:  
Na+C+N --> NaCN  
FeSO4+NaCN gives Fe[CN]2  
Fe[CN]2+4NaCN give the complex Na4[Fe(CN)6]  
ferrous oxidizes to ferric by the acid so 3Na4[Fe(CN)6]+4Fe3+ \--> Fe4[Fe(CN)6]3

2\. _Test for sulphur_: The filtrate is exposed to dilute acetic acid and lead acetate, yielding a brown or black precipitate.

**The chemistry behind what happened**:  
Na+S --> Na2S  
Na2S +Pb(CH3CO2H)2 yields lead sulphide, a black precipitate.

or: The filtrate and sodium nitro prusside yield a violet color

Na2S+Na2[Fe(CN)5NO] --> Na4[Fe(CN)5NOS] = violet color

3\. _Test for chlorine_:

a) In the absence of N or S: The filtrate is exposed to dilute nitric acid and silver nitrate. Formation of a white precipitate suggests the presence of chlorine.

b) In the presence of N and/or S :

The filtrate is exposed to dilute sulphoric acid then boiled to 1/3 initial volume and cooled. Formation of a white precipitate after the addition of dilute nitric acid and silver nitrate suggests the presence of chlorine.

**Equations**:

NaCN+AgNO3 \--> AgCN white ppt  
Na2S+AgNO3 gives Ag2S black ppt  
**In the presence of N or S these two precipitates may interfere with the white colour of the result of the chlorine test. Therefore dilute sulphoric acid is added because in the presence of N or S**: Na2S+ dilute H2SO4 gives H2S gas NaCN+ dilulte H2SO4 gives HCN gas

There is no interference with the white colour expected from the chlorine test in solid.

# Chromatography

**Chromatography** involves the physical separation of a mixture of compounds. Chromatography can be used as a purification method but also sees wide use for the identification of compounds based on their chromatographic behavior.

# Theory

There are many variations of chromatography, but all involve the dissolution of an analyte into a fluid known as the **mobile phase** and the passage of this fluid solution across a **stationary phase**, often a solid or liquid-coated solid.

As the mobile phase comes into contact with the stationary phase, some of the analyte molecules dissolve or adsorb onto the mobile phase. The more the molecules of that substance are retained, the slower their progress through the chromatographic apparatus. Different substances will then move through at different rates, ideally resulting in distinctly identifiable **retention times** for each substance.

Commonly used chromatographic techniques are identified through the nature of the stationary and mobile phases used, the method for passing the mobile phase through the apparatus, and how separated components are identified.

# Paper chromatography

In **paper chromatography** the stationary phase is a specialized paper made to absorb water to a high level. The mobile phase is usually water or a concentrated salt solution. Paper chromatography has many uses in forensic chemistry due to it's simplicity and availability. However, paper chromatography is limited by the characteristics that only water soluble components can be separated and inaccuracy in RF values. This makes paper chromatography mostly useful to distinguish the differences between two residues rather than their similarities.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/3/36/Paper_Chromatography_SH.png/220px-Paper_Chromatography_SH.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Paper chromatography separation in the visible spectrum.

# Thin layer chromatography

In **thin layer chromatography** (TLC) a plastic or glass plate is coated with the stationary phase, often alumina, silica, or alkylated silica. The analyte is dissolved in a quick-drying solvent and spotted near the bottom of the plate. The edge of the plate beneath the spot or spots is then dipped and left in a solution of the mobile phase, either an organic solvent or aqueous solution (depending on the nature of the analyte and stationary phase). Capillary action is then allowed to draw the **solvent front** through the spotted analyte, carrying with it and in the process separating out the analyte's components.

# Gas chromatography

In **gas chromatography** (GC) the analyte and mobile phase must both be gases or be readily introduced into the gas phase by heating. The mobile phase gas must be inert and not reacting with the sample to be analysed. Examples of inert gases are helium and nitrogen gas.

The gases are passed through a long, narrow (and most often, coiled) tube either packed with a porous stationary phase or whose inner walls are coated with a stationary phase, and the analyte components are detected as they emerge from the far end of the tube. The tube is commonly known as GC column.

Often a time-varying temperature gradient, from lower temperature to higher temperature, is applied to the tube. This first allows the analyte components to partition into the stationary phase and then, as the temperature rises, to differentially force them back into the mobile phase.

Common detectors for gas chromatography are flame ionization detector (FID), electron capture detector (ECD) and mass spectrometry (MS). Different types of sample analysis would require the use of a different type of detectors.

# Column chromatography

**Column chromatography**, like gas chromatography, uses a tube packed with a stationary phase, but the mobile phase is a liquid instead of a gas (It is sometimes known as **liquid chromatography** or LC). Instead of temperature gradients, a gradient in the composition of the liquid phase can be used to separate components.

Column chromatography can be performed on larger molecules which may not be readily introduced into the gas phase. On the other hand, because of the increased viscosity of liquids compared with gases, liquid chromatography can be a more ponderous process. **HPLC** (variously _high-pressure liquid chromatography_ or _high-performance liquid chromatography_) speeds the process and improves its selectivity and sensitivity to a significant degree by forcing the mobile phase through the chromatographic column with high-pressure pumps.

# Detection methods

The root of the word **chromatography**, _chroma_ (Greek _khrōma, color_) and grafein is "to write", indicates that the separated components in some forms of the technique can be identified by their color alone. But chromatography has now long been performed on colorless compounds that can be identified in other ways.

Analyte components on thin-layer chromatography plates are often identified under ultraviolet light, or by chemical staining in, for example, an iodine chamber or potassium permanganate. Gas chromatographic analytes are detected by changes in the ionization levels of a flame at the output end of the column or by changes in the electrical conductivity of the gas mixture at the end of the column. Liquid chromatography fractions are often analyzed through spectrophotometric techniques, notably UV-visible spectroscopy. When separation with GC or LC is performed in tandem with mass spectrometry (the "hyphenated" techniques of GC-MS and LC-MS), masses of individual fractions are rapidly determined. These methods are frequently employed in analytical and forensic science.

# Spectroscopy

There are several spectroscopic techniques which can be used to identify organic molecules: infrared (IR), mass spectroscopy (MS) UV/visible spectroscopy (UV/Vis) and nuclear magnetic resonance (NMR).

IR, NMR and UV/vis spectroscopy are based on observing the frequencies of electromagnetic radiation absorbed and emitted by molecules. MS is based on measuring the mass of the molecule and any fragments of the molecule which may be produced in the MS instrument.

## UV/Visible Spectroscopy

UV/Vis Spectroscopy uses ultraviolet and/or visible light to examine the electronic properties of molecules. Irradiating a molecule with UV or Visible light of a specific wavelength can cause the electrons in a molecule to transition to an excited state. This technique is most useful for analyzing molecules with conjugated systems or carbonyl bonds.

## NMR Spectroscopy

Nuclear Magnetic Resonance (NMR) Spectroscopy is one of the most useful analytical techniques for determining the structure of an organic compound. There are two main types of NMR, 1H-NMR (Proton NMR) and 13C-NMR (Carbon NMR). NMR is based on the fact that the nuclei of atoms have a quantized property called spin. When a magnetic field is applied to a 1H or 13C nucleus, the nucleus can align either with (spin +1/2) or against (spin -1/2) the applied magnetic field.

These two states have different potential energies and the energy difference depends on the strength of the magnetic field. The strength of the magnetic field about a nucleus, however, depends on the chemical environment around the nucleus. For example, the negatively charged electrons around and near the nucleus can shield the nucleus from the magnetic field, lowering the strength of the effective magnetic field felt by the nucleus. This, in turn, will lower the energy needed to transition between the +1/2 and -1/2 states. Therefore, the transition energy will be lower for nuclei attached to electron donating groups (such as alkyl groups) and higher for nuclei attached to electron withdrawing groups (such as a hydroxyl group).

In an NMR machine, the compound being analyzed is placed in a strong magnetic field and irradiated with radio waves to cause all the 1H and 13C nuclei to occupy the higher energy -1/2 state. As the nuclei relax back to the +1/2 state, they release radio waves corresponding to the energy of the difference between the two spin states. The radio waves are recorded and analyzed by computer to give an intensity versus frequency plot of the sample. This information can then be used to determine the structure of the compound.

  


  
**Aromatics in H-NMR** **Electron Donating Groups vs. Electron Withdrawing Groups**

On monosubstituted rings, electron donating groups resonate at high chemical shifts. Electron donating groups increase the electron density by releasing electrons into a reaction center, thus stabilizing the carbocation. An example of an electron donating group is methyl (-CH3).

Accordingly, electron withdrawing groups are represented at low chemical shifts. Electron withdrawing groups pull electrons away from a reacting center. This can stabilize an electron rich carbanion. Some examples of electron withdrawing groups are halogens (-Cl, -F) and carboxylic acid (-COOH).

Looking at the H NMR spectrum of ethyl benzene, we see that the methyl group is the most electron withdrawing, so it appears at the lowest chemical shift. The aromatic phenyl group is the most electron donating, so it has the highest chemical shift.

![Ethyl.gif](../../../upload.wikimedia.org/wikibooks/en/a/ab/Ethyl.gif)

![Phenol.gif](../../../upload.wikimedia.org/wikibooks/en/1/1a/Phenol.gif)

  
**Disubstituted Rings**

The sum of integrated intensity values for the entire aromatic region shows how many substituents are attached to the ring, so a total value of 4 indicates that the ring has 2 substituents. When a benzene ring has two substituent groups, each exerts an influence on following substitution reactions. The site at which a new substituent is introduced depends on the orientation of the existing groups and their individual directing effects. For a disubstituted benzene ring, there are three possible NMR patterns. ![Omp.gif](../../../upload.wikimedia.org/wikibooks/en/6/64/Omp.gif)

Note that para-substituted rings usually show two symmetric sets of peaks that look like doublets.

The order of these peaks is dependent on the nature of the two substituents. For example, the three NMR spectra of chloronitrobenzene isomers are below:

![Ortho.gif](../../../upload.wikimedia.org/wikibooks/en/7/7c/Ortho.gif)

![Meta.gif](../../../upload.wikimedia.org/wikibooks/en/b/b0/Meta.gif) ![Para.gif](../../../upload.wikimedia.org/wikibooks/en/9/99/Para.gif)

# Mass Spectroscopy

A mass spectroscope measures the exact mass of ions, relative to the charge. Many times, some form of seperation is done beforehand, enabling a spectrum to be collected on a relatively pure sample. An organic sample can be introduced into a mass spectroscope and ionised. This also breaks some molecules into smaller fragments.

The resulting mass spectrum shows:

1) The heaviest ion is simply the ionised molecule itself. We can simply record its mass.

2) Other ions are fragments of the molecule and give information about its structure. Common fragments are:

**species**
**formula**
**mass**

methyl
CH3+
15

ethyl
C2H5+
29

phenyl
C6H5+
77

# Infrared spectroscopy.

Absorbing infrared radiation makes covalent bonds vibrate. Different types of bond absorb different wavelengths of infrared:

Instead of wavelength, infrared spectroscopists record the wavenumber; the number of waves that fit into 1 cm. (This is easily converted to the energy of the wave.)

For some reason the spectra are recorded backwards (from 4000 to 500 cm-1 is typical), often with a different scale below 1000 cm-1 (to see the fingerprint region more clearly) and upside-down (% radiation transmitted is recorded instead of the absorbance of radiation).

The wavenumbers of the absorbed IR radiation are characteristic of many bonds, so IR spectroscopy can determine which functional groups are contained in the sample. For example, the carbonyl (C=O) bond will absorb at 1650-1760cm-1.

## Summary of absorptions of bonds in organic molecules

[w:Infrared Spectroscopy Correlation Table](http://en.wikipedia.org/wiki/Infrared_Spectroscopy_Correlation_Table)

**Bond**
**Minimum wavenumber** (cm-1)
**Maximum wavenumber** (cm-1)
**Functional group** (and other notes)

C-O
1000
1300
Alcohols and esters

N-H
1580
1650
Amine or amide

C=C
1610
1680
Alkenes

C=O
1650
1760
Aldehydes, ketones, acids, esters, amides

O-H
2500
3300
Carboxylic acids (very broad band)

C-H
2850
3000
Alkane

C-H
3050
3150
Alkene (Compare intensity to alkane for rough idea of relative number of H atoms involved.)

O-H
3230
3550
H-bonded in alcohols

N-H
3300
3500
Amine or amide

O-H
3580
3670
Free –OH in alcohols (only in samples diluted with non-polar solvent)

Absorptions listed in cm-1.

  


![IR summary version 2.gif](../../../upload.wikimedia.org/wikipedia/commons/6/6f/IR_summary_version_2.gif)

## Typical method

[[1]](Print_version.html#cite_note-5)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/IR_spectroscopy_apparatus.svg/400px-IR_spectroscopy_apparatus.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Typical apparatus

A beam of infra-red light is produced and split into two separate beams. One is passed through the sample, the other passed through a reference which is often the substance the sample is dissolved in. The beams are both reflected back towards a detector, however first they pass through a splitter which quickly alternates which of the two beams enters the detector. The two signals are then compared and a printout is obtained.

A reference is used for two reasons:

  * This prevents fluctuations in the output of the source affecting the data
  * This allows the effects of the solvent to be cancelled out (the reference is usually a pure form of the solvent the sample is in).

# References & notes

  1. [↑](Print_version.html#cite_ref-5) [Wikipedia article.](http://en.wikipedia.org/wiki/Infrared_spectroscopy)

[SDBS](http://www.aist.go.jp/RIODB/SDBS/cgi-bin/cre_index.cgi) is a free online database of Spectral analysis including many IR, NMR and MS graphs.

* * *

# Unit 15: **Organometallics**

Organometallics is the branch of chemical science studying the chemistry of molecules that have direct carbon-metal bonds. ![25% developed  as of Dec 30, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png) (Dec 30, 2005)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Wide_Periodic_Table.svg/300px-Wide_Periodic_Table.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

s ,d, p blocks

## Main group organometallic chemistry

### Alkali and akaline earths organometallic

  * Li, Na, K organyls
  * Be organyls
  * Mg organyls

### Aluminium group

### Silicon group

  * Si organyls
  * Ga organyls

### Pb, Sb, Sn, Hg

## Transition-metal organometallic chemistry

The organometallic chemistry of the transition elements is quite different from the main-group ones due to the availability for bonding of the _n d_ orbitals with consequent ability for the central atom to change geometry and expand the octet.

[Crystal field theory](http://en.wikipedia.org/wiki/Crystal_field_theory)

### Single σ-bonding

  1. M-alkyl

#### β-elimination

### π-acceptor bonding

#### alkene complexes

![Pi-d bond structure.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Pi-d_bond_structure.png/350px-Pi-d_bond_structure.png)

![Resonace structure of-pi-d..png](../../../upload.wikimedia.org/wikipedia/commons/6/66/Resonace_structure_of-pi-d..png)

#### CO complexes

  1. σ *→dσ
  2. dπ→π *

These interactions are synergicin increading the M-CO bond strength. In fact, the second interaction, as known as _pi backbonding_ increases the available electron density on the CO.

The partial filling of the π* orbital leads to a weakened C-O triple bond, as showed from the stretching frequencies (in cm-1) of CO free and in M/CO complexes.

free CO
2143

V(CO)6
1976

Ni(CO)4
2057

Cr(CO)6
2000

#### Arene complexes

#### Carbenes and carbynes compounds

##### Fischer carbenes

By treatment of a CO complex with a strong _nucleophile_ ![Carbene synthesis.png](../../../upload.wikimedia.org/wikipedia/commons/9/97/Carbene_synthesis.png)

##### Schrock carbenes

![Wittig carbene reaction.png](../../../upload.wikimedia.org/wikipedia/commons/e/e4/Wittig_carbene_reaction.png)

## Catalysis by organometallic compounds

### Metathesis

[Richard Schrock](http://en.wikipedia.org/wiki/Richard_Schrock)(MIT, USA) and [Robert Grubbs](http://en.wikipedia.org/wiki/Robert_H._Grubbs) (CalTech, USA) received 2005 Nobel prize for their work on the subject. Metathesis is the _exchange of the termination_ between two alkenes [[2]](Print_version.html#endnote_Grubbs05)

![Metathesis.gif](../../../upload.wikimedia.org/wikipedia/commons/1/1d/Metathesis.gif)

It occurs via the carbene species nowaday known as _Schrock's carbenes_

![Metathesis mechanism.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Metathesis_mechanism.png/600px-Metathesis_mechanism.png)

  1. **[^](Print_version.html#ref_Grubbs05)** Grubbs, Olefin metathesis, _Tetrahedron_

### Ziegler-Natta polymerisation

[Ziegler-Natta catalyst](http://en.wikipedia.org/wiki/Zieglar-Natta_catalyst) Ziegler in the 40's worked on the oligomerisation of ethylene by aluminium alkyls via the reaction HAl-R + CH2=CH2 -> HAl-CH2CH2-R

![Ziegler Natta catal mech.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Ziegler_Natta_catal_mech.png/450px-Ziegler_Natta_catal_mech.png)

### Enantioselective hydrogenation

Wilkinson's

![CatalyticCycle.png](../../../upload.wikimedia.org/wikipedia/commons/d/d3/CatalyticCycle.png)

### Hydroformylation

[Hydroformylation](http://en.wikipedia.org/wiki/Hydroformylation) Hydroformylation is the process that transforms an alkene into an aldehyde by reaction with CO.

The catalyst is a hydridocarbonyl complex, HCO(CO)5 ![Hydroformylation1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/60/Hydroformylation1.png/450px-Hydroformylation1.png)

### Fischer-Tropsch synthesis

Fischer-Tropsch synthesis is the heterogeneously-catalysed formation of hydrocarbons (alkanes and alkenes) from CO and hydrogen (synthesis gas). It can be seen as the inverse of [synthesis gas](http://en.wikipedia.org/wiki/Synthesis_gas) preparation (although this is usually from methane and lighter hydrocarbons). It is the heart of the gas-to-liquids processes developed commercially by big petrochemical firms in the 90's.

## Organometallics in living systems

The only example of a biological molecule containing direct carbon-metal bonds is _cobalamin_, as known as vitamin B12

![Vitamin B12](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/56/Cobalamina.jpg/300px-Cobalamina.jpg)

* * *

# Appendix A: **Introduction to reactions**

# How to write organic reactions

### Writing General Chemistry Reactions

In organic chemistry, a reaction may be written precisely as it is for general chemistry if only a basic amount of information is needed. For example, when a haloalkane is turned into an alkene, the reaction may be written:

> `CH3CH2CH2Br + H2SO4 \+ H2O --> CH3CHCH2 \+ HBr + H2SO4 \+ H2O`

Unfortunately, this method of notation does not tell anyone very much about the reaction, and it takes expertise to know exactly what is going on. A new student to organic chemistry probably would not notice that the product molecule contains one site of unsaturation due to a double bond between carbon atoms number one and number two. Because it is so general, this notation is good for general chemistry, but organic chemistry requires more precision.

For most students, common practices in writing organic reactions will be different than used in general chemistry.

  


### Differences in Organic Chemistry Notation

Organic chemistry reactions are often **not** written as **balanced** equations. This is because many organic chemists - who are just as lazy as anyone else - tend to be more interested in the _organic product_ of a reaction than in anything else going on in the reaction. Side products are often ignored, and just as often catalysts and solution notation may be highly abbreviated or left out altogether. As you gain familiarity with organic chemistry you will come to understand just what may be abbreviated or left out, but in the beginning this can be a source of frustration.

Another difference is that modified Lewis drawings of molecules are often used instead of molecular formulas. This makes sense due to the fact that organic molecules are often rather large in size and complicated in structure, so that they can be more easily understood in the form of a drawing as opposed to a word-formula. A two-dimensional drawing reveals some of the three-dimensional shape of the molecule, but when necessary even three-dimensional drawings are used to depict reactants and products.

  


![This image depicts the complicated interconnectivity and structure of an imaginary organic molecule](../../../upload.wikimedia.org/wikipedia/commons/a/ac/Imaginary_organic_molecule.gif)

  


Working with the above drawing of a molecule may be difficult, but it is still far easier than using its name, or attempting to guess at the structure and functionality of a molecule using just its chemical formula of `C29H31COOH`.

### Examples of Organic Chemistry Notation

Typically organic chemistry molecules are drawn as modified Lewis structures. If you remember, a Lewis structure uses lines to connect chemical symbols together, illustrating a covalent bond, and also uses dots to represent non-bond electrons. This is shown in the diagram below of carbon dioxide. The drawing illustrates the four electrons of carbon participating in two double bonds with two oxygen atoms, and also the non-bonding electron pairs for each atom of oxygen.

![Lewis Diagram of Carbon Dioxide, Illustrating Double Bonds and Free Electrons](../../../upload.wikimedia.org/wikipedia/commons/9/91/Lewis_carbon_dioxide.gif)

In organic chemistry, there are a **lot** of carbons in every molecule, generally, so organic chemists by convention do not draw every single carbon in every molecule. The same is true of hydrogens attached to the carbons; it is twice the annoyance to draw thirty hydrogens in a fatty acid than it is to draw the fifteen carbons. Therefore, in organic chemistry, carbon atoms are assumed to be wherever a line or line segment begins or ends. Furthermore, enough hydrogen atoms are assumed to be attached to any carbon not marked with a + or - sign (indicating an ionic charge) to bring that carbon's total number of bonds to four. At first this notation may be confusing, but the shorthand method rapidly proves its worth.

  
![Some common organic chemistry compounds and reagents, and their drawings](../../../upload.wikimedia.org/wikibooks/en/f/f4/Example_organic_molecules.gif)

# Overview of addition, elimination, substitution and rearrangement reactions

The real heart of organic chemistry is the reactions. Everything that you study is geared to prepare you for organic syntheses and other chemical transformations performed in the lab. This chapter gives you the basic tools to begin looking at these reactions.

## Some basic reaction types

One way to organize organic reactions places them into a few basic categories:

  * **addition reactions**
  * **elimination reactions**
  * **substitution reactions**
  * **rearrangement reactions**

Other categories include:

  * **Oxidations**
  * **Reductions**
  * **Alkylations**

Sometimes one reaction can fall into more than one category. These classifications are just a tool and are not rigid.

## Addition reaction

Something is added to something else to produce a third thing.

    A + B → C

_Note: the letters A, B and C here represent any atomic, ionic or molecular species which can undergo this type of reaction._

## Elimination reaction

Something comes off of a molecule, resulting in two products.

    A → B + C

## Substitution reactions

This involves the exchange of one group for another.

    AB + CD → AC + BD

Common reaction types include

  * radical reactions and
  * nucleophilic substitutions 
    * SN1, Unimolecular nucleophilic substitution
    * SN2, Bimolecular nucleophilic substitution

## Rearrangement reactions

A molecule shifts or otherwise rearranges to form a different molecule.

    A → B

This typically happens when one molecule changes into an isomer of itself.

# Polar and radical reactions

### Homolytic vs heterolytic cleavage

Two bonded atoms can come apart from each other in one of two ways. Either

  1. each atom gets away with half of the shared electrons, or
  2. one of the atoms leaves with more of the shared electrons than the other.

In **homolytic cleavage**, each atom leaves with one-half of the shared electrons (one electron for a single bond, or two for double bonds).

A—B --> A* + B*

A* and B* represent uncharged radicals. The "*" represents an unbonded, unpaired valence electron.

In **heterolytic cleavage**, one atom leaves with all of the previously shared electrons and the other atom gets none of them.

A—B --> A- \+ B+

_same_ indicates that each atom leaves with the same number of electrons from the bond. _different_, refers to the fact that the atoms each end up with a different number of electrons.

## Polar reactions

**Polar reactions** occur when two bonded atoms come apart, one taking more of the shared electrons than the other. They involve **heterolytic cleavage**. The result is two charged species—one cation and one anion.

## Radical reactions

**Radical reactions** don't deal with charged particles but with radicals. **Radicals** are uncharged atoms or molecules with an incomplete octet of valence electrons.

When a molecule comes apart by **homolytic cleavage** the result is two radicals. Although uncharged, radicals are usually very reactive because the unfilled octet is unstable and the radical can lower its energy by forming a bond in a way that allows it to fill its valence shell while avoiding any electrostatic charge..

# Redox reactions

### Oxidation and reduction

Two important types of reactions in organic chemistry are **oxidation** and **reduction**.

In **oxidation reactions,** the oxidized species _loses electron density._

In **reduction reactions,** the reduced species _gains electron density._

Of course, these two actions happen in unison as one species is reduced and the other is oxidized. The term **redox** was coined from the fragments _red_ (reduction) and _ox_ (oxidation).

### Oxidation

**Oxidation** was first observed when oxygen drew electrons off of metals, which were then referred to as "oxidized". (Oxygen is more elecronegative than most other elements.) The term was then applied later to the part of any reaction where electrons are drawn off. Other elements that commonly oxidize in organic reactions include halogens like chlorine and bromine.

### Reduction

**Reduction** of a chemical species results in the gain of electrons for that species. This does not necessarily include any change in charge; any time an atom increases its electron density even a little bit it is said to be reduced. For example, if an oxygen is removed from a carbon and replaced by a hydrogen (assume the oxygen is also bonded to another atom), the formal charge of the carbon does not change. However, the carbon "sees" a greater share of the electrons from the single bond to hydrogen than it did for the single bond to oxygen. That is because hydrogen is less electronegative than oxygen and gives up its electrons a bit more easily than oxygen does. So a carbon bonded to hydrogen can take up more of its electron density than the same carbon bonded to oxygen.

# Functional groups in reactions

**[Functional groups**](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_functional_groups) in reactions make your life easier as an organic chemist because they draw your attention right to where the action is. Any time a reaction is going to occur, you can be almost certain that it is going to take place at a functional group.

There are many functional groups of interest to organic chemists. Here are a few:

1\. Halides

These groups are all made up of a single atom in Group 17 of the Periodic Table, which is known as the halogen group, bonded to a carbon atom. They include fluorine, chlorine, bromine, and iodine. Astatine is also a halogen, but it is rarely discussed because it is not readily found in nature and is radioactive. Their electronegativities vary from fluorine with 4.0 to iodine with 2.5, which is approximately the same value that carbon has. Each of these atoms are able to form a single bond with a carbon atom, replacing hydrogen in alkanes and adding across multiple bonds in alkenes and alkyne. Of the four, fluorine is the most reactive and iodine is the least. Because of their intermediate reactivity, chlorine and bromine are often more useful in many reactions.

2\. Carbonyl

This group consists of an oxygen atom doubly bonded to a carbon atom. Carbonyl groups are important because the oxygen atom, with an electronegativity of 3.5, shifts electron density away from the rest of the molecule and towards itself. Carbonyls are a key ingredient in aldehydes, ketones, carboxylic acids, esters, and amides.

3\. Hydroxyl

This group consists of a hydrogen atom singly bonded to an oxygen atom. The electronegativity difference between hydrogen, which has an electronegatity of 2.1, and oxygen, 3.5, pulls electrons away from the hydrogen and makes it somewhat acidic. This acidic character varies depending on the composition of the rest of the molecule. Hydroxyl groups are found in alcohols, phenols, enols, and carboxylic acids.

# Drawing reactions

## Drawing reactions

There are various techniques you will run across for notation of organic reactions.

## Arrows

**Curved arrows** are used to show **movement of electrons**. They are not used to show where atoms, ions, or molecules move, just electrons. A curved arrow with two "hooks" on the end indicated movement of a pair of electrons. A curved arrow with one "hook" indicated movement of one electron.

![Two "hooks" represents movement of two electrons.](../../../upload.wikimedia.org/wikibooks/en/6/6d/Curvedarrow.png)

![One "hook" represents movement of one electron.](../../../upload.wikimedia.org/wikibooks/en/c/c7/Half-arrow.png)

**Double-headed arrows** are used to represent equivalence between resonance structures.

![Arrows2.png](../../../upload.wikimedia.org/wikibooks/en/7/7c/Arrows2.png)

**Two-way double half arrows** are represent a reaction that can go forward or reverse. If one of the half arrows is longer than the other it means that the reaction pathway favors that direction with the longer arrow.

![Arrows.png](../../../upload.wikimedia.org/wikibooks/en/f/f0/Arrows.png)

# Rates and equilibria

**Chemical equilibria** are ratios relating the forward and backward direction of a reaction to each other. This ratio is represented by the letter **K** in the following equation:

**K = products / reactants**

## Rate of reaction

### Definitions

**Rate of reaction** is the speed at which a chemical reaction takes place, expressed as moles per unit time and unit volume. The rate _r_ of a general reaction ![aA + bB + ... -> p P + q Q + ...](../../../upload.wikimedia.org/math/a/5/a/a5a788d6be9b4f09e88f1ba781f50f13.png) is defined by:

![
r = -{1 \\over a}  {dC_A \\over dt} = -{1 \\over b} {dC_B \\over dt} = ... = {1 \\over p} {dC_P \\over dt} =....
](../../../upload.wikimedia.org/math/0/f/8/0f8aebcd9730c3661d4fd00d492d1094.png)

from the expression above, it is clear that the usual convention is that reaction rate is taken as products formation rate.

Rate is a function of the concentration of reactants and products, temperature, pressure and presence of a catalyst.

### Rate expression

A common expression for reaction rate is the _power law_:

![r = k C_A^ \\alpha\\ C_B ^ \\beta\\ ....](../../../upload.wikimedia.org/math/4/8/d/48dcd63e11f0644de3649df870abb999.png)

![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is called the _kinetic constant_, and ![ \\alpha\\ ](../../../upload.wikimedia.org/math/a/b/c/abc9cf42f7524af7d95c275bcb2ff600.png), ![ \\beta\\ ](../../../upload.wikimedia.org/math/2/e/5/2e570c6f1c5c5eecb18bafa85bc87e5d.png), etc. are called the _reaction order with respect to the reactant A, B_ (or the _partial order of A, B_ etc.), respectively. The sum of all the orders is the _global order_ of the rate expression. Therefore the rate expression ![ r = k C_A C_B ](../../../upload.wikimedia.org/math/b/d/9/bd9b805eb722fe874ee53a0318640674.png) is a _second-order_ and _first-order_ in A and B.

The reaction orders are the same as the stoichiometric coefficient in the case of an elementary reaction **only**; in most cases they must be determined experimentally and are valid in the window of experimental conditions.

Elementary data on reaction orders can be obtained by changing the concentration C of one of the reactant, say A, and measuring the initial rate r. Plotting a rate vs concentration log-log graph, one obtains a straight line whose slope is the partial order in—say—A by virtue of the relation ![ log \\, r = log \\, k  C_A ^ \\alpha\\ = log \\, k + \\alpha\\ log \\, C_A ](../../../upload.wikimedia.org/math/e/b/b/ebb4a177e82d9d4ae2897302524fb469.png)

![Rateloglogplot.png](../../../upload.wikimedia.org/wikibooks/en/6/68/Rateloglogplot.png)

#### Influence of temperature and pressure

![ k = k_0 exp \\left \( - \\Delta\\ G^{*} / RT \\right\)](../../../upload.wikimedia.org/math/0/c/7/0c7109462fc857f2288a96ed781ea0e3.png)

as known as the [Arrhenius](http://en.wikipedia.org/wiki/Svante_Arrhenius) equation

### Rate equations and reaction mechanisms

The most important research application of kinetic investigations is the determination of reaction mechanisms. In fact, the rate expression is _function_ of it.

From a postulated reaction mechanism (the _model_), a rate equation can be derived and used to analyse the experimental data. If the obtained fit is not statistically significant, the scheme is rejected. In complex systems, several schemes can produce compatible rate expressions and the problem of model discrimination is of primary importance.

#### Limiting step

Often a reaction has two or more steps. One of the steps, usually the last one, is the slowest step, and is said to be _rate-limiting_.

#### Steady state approximation

Sometimes it is useful, when calculating the reaction rate, to assume that no particular step is rate-limiting. Instead, the reaction intermediate can either proceed to the product or return to the original reactant with an equal rate for either possibility. This is called the _steady-state approximation_.

### Example

A classical example is the hydrolysis of haloalkanes:

    R-X + H2O → ROH + HX

This reaction can occur by two mechanisms: the SN1 and SN. The former is a unimolecular substitution: its rate is determined only by the concentration of R-X, without regard to the concentration of the new substituent. The latter is bimolecular: its rate is first-order in both R-X and new substituent, for a combined rate order of 2.

## Equilibrium

**Chemical equilibrium** is the state when a net reaction is neither going forward nor backward. It is a _dynamic_ equilibrium. The rate of the forward reaction equals the rate of the reverse reaction, so the two cancel each other out, and the _net_ rate of change is zero.

The chemical equilibrium is dictated by the **equilibrium constant** (often written _Keq_), expressed by the _mass-action law_:

![ K_{eq} = \\frac { \\prod_{i \\in products} C_i}{ \\prod_{j \\in reactants} C_j  } ](../../../upload.wikimedia.org/math/c/a/a/caa3e495a8044ba5c95bc941ad834f58.png)

The concentration _C_ can be expressed in any scale, e.g. molar franction, molarity, partial pressure.

If the temperature and pressure are kept constant, no matter what are the initial concentrations, the system will evolve until the mass-action product is equal to the Keq. In general, systems with ![K_{eq} \\ll 1](../../../upload.wikimedia.org/math/d/1/e/d1e749ae72e84ea1787e543af36a9c46.png) are highly displaced to the reactant sides (almost no conversion at equilibrium), whereas when ![K_{eq} \\gg 1](../../../upload.wikimedia.org/math/b/3/3/b337a6987f05236f1c564d59b5e4fa62.png) the reaction goes to completion.

From classical thermodynamics it can be showed that the following relation holds:

![K_{eq} = exp \\left\( -{\\Delta\\ G_R}/{RT} \\right\)](../../../upload.wikimedia.org/math/f/4/1/f4111142ea21ce5c40ff102e0721add9.png)

where ![\\Delta\\ G_R](../../../upload.wikimedia.org/math/5/d/2/5d265568ed46340fbadd1a1243b74cef.png) is the total change in Gibbs free energy with reaction (product minus reactants).

### Influence of temperature

The influence of temperature can be obtained by differentiation of the equation above to lead:

![ -ln K_{eq} = \\frac {\\Delta\\ H_R} {RT} - \\frac {\\Delta\\ S_R}{R}](../../../upload.wikimedia.org/math/9/1/5/91574bc610f65b23591350972d970f03.png)

as known as the _[van't Hoff](http://en.wikipedia.org/wiki/Jacobus_van%27t_Hoff) equation_. Therefore, for exothermic reaction (![\\Delta\\ H_r < 0 ](../../../upload.wikimedia.org/math/c/5/b/c5b7aab5aa9c2bd84570797a2399fd8f.png)) an increase in temperature will decrease the ![{\\Delta\\ H_R}/{RT}](../../../upload.wikimedia.org/math/b/8/9/b894c96e25a56b9c6b00a5618157f6e5.png) quantity, leading to a lower _Keq_ , conversely for an endothermic reaction.

# Gibbs free energy

**Gibbs free energy** is represented by the following equation:

    **ΔG = ΔH -TΔS**

    ΔG is the change in Gibbs free energy.
    ΔH is the change in potential energy, sometimes known as the enthalpy of a system.
    T is the temperature in Kelvin.
    ΔS is a statistical correlation, known as the entropy of a system.

  
The basic principle is that _total_ entropy increases. This increase can be because of an increase in the entropy of the chemicals, _ΔS_, or because the reaction has produced heat, increasing the entropy of the environment.

The Gibbs free energy lets us calculate the total increase in entropy, including the effects on the environment, without needing to know anything about the environment.

At _low_ temperatures, _ΔG_ is approximately _ΔH_, and nature favours the reaction with lowest energy products, which release the most heat. This may _reduce_ the entropy of the _system_, but the _increase_ in the entropy of the _environment_ more than compensates.

At _high_ temperatures, _ΔG_ is approximately _-TΔS_, and nature favours the reaction with high energy products, which may actually absorb heat. This may _reduce_ the entropy of the _environment_, but the _increase_ in the entropy of the _system_ more than compensates.

Either way, the Gibbs free energy _always_ decreases.

# Bond dissociation energy

## Bond dissociation energy

is the energy needed to break a chemical bond. Also known as the Bond Enthalpy.

The bond dissociation energy, or bond enthalpy, for a diatomic molecule X-Y is defined as the energy required to break one mole of X-Y bonds, as illustrated in the following process...

    X-Y(g) → X(g) + Y(g)

Bond enthalpies always refer to breaking bonds under gaseous conditions.

The mean molar bond enthalpy is an average value that is quoted for a bond that can occur in different molecular environments. An example is methane, CH4

    CH4(g) → C(g) + 4H(g)

Bond enthalpy values are used in Hess's Law Calculations.

The standard enthalpy of a reaction can be found by considering the bond enthalpies of the products and reactants of the reaction -

    Standard Enthalpy = Σ Enthalpy of formation of the products - Σ Enthalpy of formation of reactants

For stronger bonds, bond dissociation energy is higher as more energy is needed to break the bond.

A carbon-carbon double bond is stronger than a single bond and requires more energy to be broken. However, a carbon-carbon double bond is not twice as strong as a single one, it is only 1.5 times stronger.

All chemical bonds need an input of energy to be broken, as bonds allow a lower energy state for the component atoms. If a bond did not offer a lower energy state for the atoms that form it, a bond would not form.

# Energy diagrams

Energy diagrams are used to show the favorability of a reaction. They show how energy gained or lost in the different stages of a reaction and show which stages are the slow and fast steps (slow steps have high potential energy). We can also compare the energies of one reaction to another in order to see which reaction will be favored.

![Sample energy diagram.png](../../../upload.wikimedia.org/wikibooks/en/8/8c/Sample_energy_diagram.png)

[Transition states](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Transition_states) are high peaks in an energy diagram.

If the end of the diagram is lower than the beginning, the product of the reaction is more stable and/or lower in energy than the starting materials, and the overall reaction is energetically favorable. If the tail end of the energy diagram is higher than the front, then the product is less stable or energetically favorable than the starting materials, and the overall reaction is energetically unfavorable. Any high peaks in the diagram indicate difficult points to pass and will slow down the reaction.

# Transition states

## Transition State

Many reactions occur in a single step when two reactant molecules collide with sufficient energy in the proper spatial orientation to create a product. Many other reactions, however, do not occur in a single step, and such reactions are said to have transition states. Multistep reactions have products that result from a series or chain of reactions, and these reactions are the kind that actually do pass through a transition state.

## Intermediate Molecules

Multi-step reactions have an intermediate molecule that forms as a sort-of halfway point between the reactant and the product. This intermediate molecule cannot be isolated in solution, because it is typically of much higher energy than either the reactants or the products.

At a basic level of organic chemistry the intermediate molecule is often merely predicted or assumed, but many are also known to exist due to experimental observations in the laboratory. Inversions and other changes in molecular configuration without another, more plausible explanation are one type of proof that certain reactions pass through a transition state.

> **EXAMPLE**: As an example of a molecular inversion, in a 1st order nucleophilic substitution (SN1 reaction) the chirality of a carbon can be "flipped" from S to R configuration (or vice versa) 50% of the time. This is due to the chiral carbon having only sp3 hybridization of its electrons in the intermediate state, which creates a carbon center that is flat and thus subject to nucleophilic attack from either the top or the bottom. If inversion occurs then it is considered to be proof that the reaction indeed is SN1 and therefore has an intermediate molecule in its transition state.

NOTE: THIS PARAGRAPH CONTAINS SEVERAL ERRORS AND NEEDS TO BE CORRECTED.

## Energy Diagrams and Transition States

Observing energy diagrams of reactions, you may notice that instead of a single peak energy, the energy peaks, drops a little, peaks once again and then returns to a lower energy state than the original molecule. The "saddle" between the two peaks represents an intermediate - a place where the reaction temporarily "rests" between energy peaks. The energy peaks are defined as 'transition states' with no finite existence. Reaction intermediates will often have a finite existence. NOTE: THE DIAGRAM INCORRECTLY IDENTIFIES AN INTERMEDIATE AS A TRANSITION STATE. IN FACT, THE ENERGY PEAKS ARE TRANSITION STATES BETWEEN THE INTERMEDIATE AND EITHER THE STARTING MATERIAL OR THE PRODUCT.

![Energy diagram for the transition state of a reaction](../../../upload.wikimedia.org/wikibooks/en/e/e7/Transition_state_energy_diagram.jpg)

# Carbocations

Carbocations are carbon atoms in an organic molecule bearing a positive formal charge. Therefore they are _carbo_n _cations_. Carbocations have only six electrons in their valence shell making them electron deficient. Thus, they are unstable electrophiles and will react very quickly with nucleophiles to form new bonds. Because of their reactivity with heteroatoms, carbocations are very useful intermediates in many common organic reactions.

## Carbocation Structure

The orbitals of carbocations are generally sp2 hybridized so that the three full orbitals are arranged in a trigonal planar geometry about the carbon nucleus. The remaining p orbital is empty and will readily accept a pair of electrons from another atom. Because of the symmetry of this geometric arrangement, nucleophilic attack is equally favorable above or below the plane formed by the full orbitals.

## Carbocation Stability

Carbocations are generally unstable and fairly hard to form. They usually cannot be isolated from a reaction as they will react immediately to fill their empty p orbital. Because they are electron deficient, attaching electron donating groups (such as alkyl groups) to the carbocation will help stabilize the carbocation. In general:

## Stability of Alkyl Carbocations

CH3+ < RCH2+ < R2CH+ < R3C+

Clearly, the tertiary carbocation is the most stable, as it is surrounded by three other carbon atoms that share the burden of its positive charge. Primary and especially methyl carbocations are rarely seen in organic reactions except under special circumstances like in the case of benzylic or allylic cations.

Carbocations can also be stabilized through resonance by neighboring lone pairs or pi-electrons. In general, this stabilization is greater than one degree of substitution, so a secondary carbocation stabilized by resonance will be more stable than a tertiary carbocation with no resonance stabilization, and a primary carbocation stabilized by resonance will be more stable than a secondary carbocation with no resonance stabilization.

## Formation of Carbocations

Carbocation intermediates are formed in three main types of reactions: additions to pi bonds, unimolecular eliminations, and unimolecular nucleophilic substitution. On a bridge head a positive carbon never occurs. The 3-cyclopropyl carbocation is the most stable carbocation.

## Reactions of Carbocations

In general, carbocations will undergo three basic types of reactions:

### 1\. Nucleophile Capture

Carbocations will react with even mild nucleophiles (such as water) to form a new bond.and formation of carbon free radical

### 2\. Elimination to form a pi bond

Carbons alpha to the carbocation will often lose a proton to form a double (or, in some cases) triple bond from the carbocation. Such a reaction requires only a mild base (e.g. chloride) to remove the proton.

### 3\. Rearrangement

A secondary carbocation may rearrange to form a tertiary carbocation before the ion is stabilized using one of the above-mentioned reactions. Since a cation constitutes a deficiency of electrons, the empty orbitals do not move; rather, a hydrogen atom bonded to a nearby carbon is moved to stabilize the secondary carbocation, but this movement of the hydrogen atom creates a new tertiary carbocation, which is more stable and will be substituted to lead to the final product. See [w:carbocation rearrangement](http://en.wikipedia.org/wiki/carbocation_rearrangement).

# Electrophilic additions

Electrophilic additions are also referred to as **addition reactions**.

  


## An addition

CH2=CH2 \+ HX → CH3-CH2X

  


## Its reverse, an elimination

CH3-CH2X + base, Δ → CH2=CH2

Electrophilic additions are essentially the reverse of an E1 [elimination reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Elimination_Reactions), sometimes exactly the **microscopic reverse**.

  


## Microscopic reverse

This means that the mechanism of the reaction follows each and every step of the related reaction in reverse order, without deviation. Sometimes, a reaction can be reversed but using a different series of tiny steps. When that happens, it is NOT called a microscopic reverse.

Addition reactions involve [carbocations](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Carbocations). This intermediate carbocation can rearrange.

Addition reactions follow [Markovnikov's rule](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Markovnikov.27s_Rule). (The higher priority substituent adds to the more highly substituted carbon of the carbon-carbon double bond).

(Series of sample reactions here)

# Zaitsev's rule

Zaitsev's (sometimes spelled "Saytzeff") rule: In [elimination reactions](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Elimination_Reactions), the major reaction product is the most substituted alkene. The most substituted alkene is also the most stable.

# Oxidation

Hydroboration/oxidation is a two-step reaction that converts alkenes into alcohols with anti-Markovnikov regiochemistry.

First, borane, BH3 is allowed to react with the alkene. The boron atom will generally react with the less substituted carbon, and it will also donate a proton to the other carbon across the double bond. If there is an excess of the alkene, a trialkylborane will be formed. That is, one molecule of borane can react with up to three molecules of the alkane if necessary. Tetrahydrofuran, a cyclic ether, is usually used as a solvent for this first step in the reaction because it can form a complex with the borane that gives the boron atom a complete octet (boron only has 6 valence electrons when it is in pure borane, which makes it highly unstable.)

Now, we have a trialkylborane, which may be fine if that is what one is trying to synthesize, but most chemists are more interested in converting this borane intermediate into 3 alcohol molecules. The way this is done is to react the trialkylborane with hydrogen peroxide in a basic, aqueous solution. This causes the borane intermediate to be converted into three molecules of an alcohol. B(OH)3 is also produced, but is probably ignored by most chemists.

# Radicals

## Radical stability

## Radicals listed from less to more stable

F° < Cl° < Br° < I°

F° is totally unstable while I° is generally unreactive.

Alkyl groups vary in stability. CH3° is quite reactive as it violates the octet rule. However, CH3+ is also a charged moiety and is therefore even less stable and harder to form.

  


## Alkyl groups listed from less to more stable

CH3° < 1° < 2° < 3°

Clearly, the tertiary carbocation is the most stable, as it is surrounded by three other carbon atoms that share the burden of its positive charge.

(Multiple images follow)

# Rearrangement reactions

## Sigmatropic arrangements

### Diallylic rearrangement

This rearrangement is typical of diallylic systems

# Pericyclic reactions

**Pericyclic reactions** are one of the three major classes of organic reactions, along with polar/ionic reactions and radical reactions. Pericyclic reactions have been understood only relatively recently compared to the other classes.

In a polar/ionic reaction, one reactant (the nucleophile) donates two electrons to another (the electrophile) to form a bond. In a radical reaction, each reactant donates one electron. In a pericyclic reaction, only the π bond electrons are involved, and all bonds are changed in a single cyclic step without any intermediates being formed.

![Dielsalder.png](../../../upload.wikimedia.org/wikibooks/en/6/68/Dielsalder.png)

Using the [Diels-Alder reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Diels-Alder_reaction) as an example, pushing arrows are used to show electron flow, but they are drawn in a circle, and the direction of the arrows can arbitrarily be shown as clockwise or anticlockwise. All the bonds are made and broken in a single step. This is called a **concerted** reaction.

The types of pericyclic reactions are:

  * Cycloadditions (including the Diels-Alder reaction)
  * Electrocyclic reactions
  * Sigmatropic rearrangements

# Diels-Alder reaction

The Diels-Alder reaction, named after the German chemists who developed it, is a method for producing simple ring compounds.

![A diene adds to a dienophile in a simple Diels-Alder Reaction](../../../upload.wikimedia.org/wikibooks/en/6/68/Dielsalder.png)  
_Mechanism of a reaction between a diene and a dienophile_

In the Diels-Alder reaction, a conjugated diene reacts with a dienophile. The dienophile is named for its affinity to react with the diene.

Because dienes and dienophiles are often gases, this reaction usually takes place in a sealed container at elevated pressure and temperature. The temperature required by this reaction can be reduced by the presence of electron-witdrawing groups attached to the dienophile.

In some cases, such as furan and maleic anhydride, or cyclopentadiene and acrolein, the reaction will take place at room temperature in an ethoxyethane solution.

The reaction shown above is highly unlikely due to the lack of substituents on the diene and dienophile. The dienophile will usually have a carbonyl, nitro, or other electron-withdrawing group attached. Any substituents attached to the diene or dienophile will end up in the final product.

![A substituated dienophile reacts to form a product with the same substituents.](../../../upload.wikimedia.org/wikibooks/en/2/29/Dielsalder2.png)  
_Notice that the product retains the same basic cyclohexene structure. The substituents simply extend from the ring._

Alkynes can also react as dienophiles.

Diels-Alder reactions can sometimes reverse themselves through Retro-Diels-Alder reactions. For example, dicyclopentadiene can be cracked to form 1,3-cyclopentadiene by thermal dissociation. Retro reactions occur under situations where the fragments are stable by themselves.

# Epoxide

While adding oxygen in soy bean oil to make epoxy plasticiser, oxirane content does not increase more than 6.5. How we can produce more oxirane content product?

* * *

# Appendix B: **Index of reactions**

    [Alkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkanes) ![75% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)

    [Combustion](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Combustion)
    [Free-radical halogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Free-radical_halogenation)
    [Alkenes](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Alkenes) ![75% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)

    [Hydrogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Hydrogenation) adds H2
    [Hydrolysis](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Hydrolysis) adds H2O
    [Oxymercuration/demercuration](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Oxymercuration/demercuration)
    [THF](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/THF)
    [Halogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Halogenation) adds halogen
    [Hydrohalogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Hydrohalogenation) adds H and a halogen
    [Hydroboration](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Hydroboration)
    [Halohydrins](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Halohydrins)
    [Oxidation reactions](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Oxidation_reactions)
    [Allylic bromination](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Allylic_bromination&action=edit&redlink=1)
    [Diels-Alder reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Diels-Alder_reaction)
    [Alkynes](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkynes) ![0% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d6/00%25.svg/9px-00%25.svg.png)

    [Hydrogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Alkyne_hydrogenation) adds H
    [Hydration](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Alkyne_hydration) adds OH
    [Halogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Halogenation) adds a halogen
    [Hydrohalogenation](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Alkyne_hydrohalogenation&action=edit&redlink=1) adds H and a halogen
    [Ozonolysis](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Ozonolysis)
    [Alkylation](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Alkylation&action=edit&redlink=1)
    [Alcohols](http://en.wikibooks.org/wiki/Organic_Chemistry/Alcohols) ![75% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png) and [haloalkanes](http://en.wikibooks.org/wiki/Organic_Chemistry/Haloalkanes) ![75% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)

    [Carbocation rearrangements](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Carbocation_rearrangements&action=edit&redlink=1)
    [Conjugated (1,3-) dienes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Conjugated_\(1,3-\)_dienes&action=edit&redlink=1)
    [Direct (1,2-) and conjugate (1,4-) addition](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Direct_\(1,2-\)_and_conjugate_\(1,4-\)_addition&action=edit&redlink=1)
    [Kinetic and thermodynamic control](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Kinetic_and_thermodynamic_control&action=edit&redlink=1)
    [Aromatic compounds](http://en.wikibooks.org/wiki/Organic_Chemistry/Aromatics) ![25% developed  as of Jan 12, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

    [Hydrogenation](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Hydrogenation)
    [Benzylic bromination](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Benzylic_bromination&action=edit&redlink=1)
    [Benzylic oxydation](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Benzylic_oxydation&action=edit&redlink=1)
    [Vinylic benzenes](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Introduction_to_reactions/Vinylic_benzenes&action=edit&redlink=1)

Added links

  1. [Review of nucleophilic substitution](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Review_of_nucleophilic_substitution) SN1, SN2
  2. [Radicals](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Radicals)
  3. [Electrophilic additions](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Electrophilic_additions)
  4. [Reactions with organometallic reagents](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Reactions_with_organometallic_reagents)

* * *

# Appendix C: **Introduction to functional groups**

# Overview of Functional Groups

## Introduction

The number of known organic compounds is quite large. In fact, there are many times more organic compounds known than all the other (inorganic) compounds discovered so far, about 7 million organic compounds in total. Fortunately, organic chemicals consist of a relatively few similar parts, combined in different ways, that allow us to predict how a compound we have never seen before may react, by comparing how other molecules containing the same types of parts are known to react.

These parts of organic molecules are called **functional groups**. The identification of functional groups and the ability to predict reactivity based on functional group properties is one of the cornerstones of organic chemistry.

Functional groups are **specific atoms, ions, or groups of atoms** having consistent properties. A functional group makes up part of a larger molecule.

For example, **-OH**, the hydroxyl group that characterizes alcohols, is an oxygen with a hydrogen attached. It could be found on any number of different molecules.

Just as elements have distinctive properties, functional groups have **characteristic chemistries**. An **-OH** group on one molecule will tend to react similarly, although perhaps not identically, to an **-OH** on another molecule.

**Organic reactions usually take place at the functional group**, so learning about the reactivities of functional groups will prepare you to understand many other things about organic chemistry.

## Memorizing Functional Groups

Don't assume that you can simply skim over the functional groups and move on. As you proceed through the text, the writing will be in terms of functional groups. It will be assumed that the student is familiar with most of the ones in the tables below. It's simply impossible to discuss chemistry without knowing the "lingo". It's like trying to learn French without first learning the meaning of some of the words.

One of the easiest ways to learn functional groups is by making flash cards. Get a pack of index cards and write the name of the functional group on one side, and draw its chemical representation on the other.

For now, a list of the most important ones you should know is provided here. Your initial set of cards should include, at the very least: Alkene, Alkyne, Alkyl halide (or Haloalkane), Alcohol, Aldehyde, Ketone, Carboxylic Acid, Acyl Chloride (or Acid Chloride), Ester, Ether, Amine, Sulfide, and Thiol. After you've learned all these, add a couple more cards and learn those. Then add a few more and learn those. Every functional group below is eventually discussed at one point or another in the book. But the above list will give you what you need to continue on.

And don't just look at the cards. Say and write the names and draw the structures. To test yourself, try going through your cards and looking at the names and then drawing their structure on a sheet of paper. Then try going through and looking at the structures and naming them. Writing is a good technique to help you memorize, because it is more active than simply reading. Once you have the minimal list above memorized backwards and forwards, you're ready to move on. But don't stop learning the groups. If you choose to move on without learning the "lingo", then you're not going to understand the language of the chapters to come. Again, using the French analogy, it's like trying to ignore learning the vocabulary and then picking up a novel in French and expecting to be able to read it.

### Functional groups containing ...

In [organic chemistry](http://en.wikibooks.org/wiki/Organic_chemistry) **functional groups** are submolecular structural motifs, characterized by specific elemental composition and connectivity, that confer reactivity upon the molecule that contains them.

Common functional groups include:

Chemical class Group Formula Graphical Formula Prefix Suffix Example

[Acyl halide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
Haloformyl
RCOX
![Acyl halide](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e4/Acyl-halide-skeletal.png/75px-Acyl-halide-skeletal.png)
haloformyl-
-oyl halide
![Acetyl chloride](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Acetyl-chloride.png/75px-Acetyl-chloride.png)  
[Acetyl chloride](http://en.wikipedia.org/wiki/Acetyl_chloride)  
_(Ethanoyl chloride)_

[Alcohol](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Hydroxyl](http://en.wikibooks.org/w/index.php?title=Hydroxyl&action=edit&redlink=1)
OH
![Hydroxyl](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Alcohol-\(general\)-skeletal.png/75px-Alcohol-\(general\)-skeletal.png)
hydroxy-
-ol
![methanol](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Methanol-2D.png/90px-Methanol-2D.png)  
[Methanol](http://en.wikipedia.org/wiki/Methanol)

[Aldehyde](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Aldehyde](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
RCHO
![Aldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Aldehyde-skeletal.png/75px-Aldehyde-skeletal.png)
oxo-
-al
![acetaldehyde](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9e/Acetaldehyde-skeletal.png/75px-Acetaldehyde-skeletal.png)  
[:Acetaldehyde](http://en.wikipedia.org/wiki/Acetaldehyde)  
_(Ethanal)_

[Alkane](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Alkyl](http://en.wikibooks.org/w/index.php?title=Alkyl&action=edit&redlink=1)
RHn
![Alkyl](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Alkyl-\(general\)-skeletal.svg/75px-Alkyl-\(general\)-skeletal.svg.png)
alkyl-
-ane
![methane](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Methane-2D-stereo.svg/75px-Methane-2D-stereo.svg.png)  
[Methane](http://en.wikipedia.org/wiki/Methane)

[Alkene](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Alkenyl](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
R2C=CR2
![Alkene](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Alkene-2D-skeletal.svg/75px-Alkene-2D-skeletal.svg.png)
alkenyl-
-ene
![ethylene](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Ethylene-2D.png/75px-Ethylene-2D.png)  
[Ethylene](http://en.wikipedia.org/wiki/Ethylene)  
_(Ethene)_

[Alkyne](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Alkynyl](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
RC≡CR'
![Alkyne](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/76/Alkyne_general.svg/100px-Alkyne_general.svg.png)
alkynyl-
-yne
![acetylene](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/Acetylene-2D.svg/100px-Acetylene-2D.svg.png)  
[Acetylene](http://en.wikipedia.org/wiki/Acetylene)  
_(Ethyne)_

[Amide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Carboxamide](http://en.wikibooks.org/w/index.php?title=Carboxamide&action=edit&redlink=1)
RCONR2
![Amide](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/25/Amide-\(tertiary\)-skeletal.png/75px-Amide-\(tertiary\)-skeletal.png)
carboxamido-
-amide
![acetamide](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Acetamide_skeletal.svg/75px-Acetamide_skeletal.svg.png)  
[Acetamide](http://en.wikipedia.org/wiki/Acetamide)  
_(Ethanamide)_

[Amines](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Primary amine](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
RNH2
![Primary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/1°-amino-group.png/75px-1°-amino-group.png)
amino-
-amine
![methylamine](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7f/Methylamine-2D.png/75px-Methylamine-2D.png)  
[Methylamine](http://en.wikipedia.org/wiki/Methylamine)  
_(Methanamine)_

[Secondary amine](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
R2NH
![Secondary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Amine-\(secondary\).png/75px-Amine-\(secondary\).png)
amino-
-amine
![dimethylamine](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/Dimethylamine-2D.png/75px-Dimethylamine-2D.png)  
[Dimethylamine](http://en.wikipedia.org/wiki/Dimethylamine)

[Tertiary amine](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
R3N
![Tertiary amine](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/84/Amine-\(tertiary\).png/75px-Amine-\(tertiary\).png)
amino-
-amine
![trimethylamine](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Trimethylamine_chemical_structure.png/75px-Trimethylamine_chemical_structure.png)  
[Trimethylamine](http://en.wikipedia.org/wiki/Trimethylamine)

[4° ammonium ion](http://en.wikibooks.org/w/index.php?title=Quaternary_ammonium_cation&action=edit&redlink=1)
R4N+
![Quaternary ammonium cation](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/03/Quaternary-ammonium-cation.svg/75px-Quaternary-ammonium-cation.svg.png)
ammonio-
-ammonium
![choline](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Choline-skeletal.png/75px-Choline-skeletal.png)  
[Choline](http://en.wikipedia.org/wiki/Choline)

[Azo compound](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#A)
[Azo  
(Diimide)](http://en.wikibooks.org/w/index.php?title=Azo_compound&action=edit&redlink=1)
RN2R'
![Azo.pngl](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Azo-group.png/75px-Azo-group.png)
azo-
-diazene
![Methyl orange](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c5/Methyl-orange-skeletal.png/150px-Methyl-orange-skeletal.png)  
[Methyl orange](http://en.wikipedia.org/wiki/Methyl_orange)

[Toluene derivative](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#T)
[Benzyl](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#B)
RCH2C6H5  
RBn
![Benzyl](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Benzyl-group.svg/75px-Benzyl-group.svg.png)
benzyl-
1-(_substituent_)toluene
![Benzyl bromide](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Benzyl-bromide-skeletal.svg/75px-Benzyl-bromide-skeletal.svg.png)  
[Benzyl bromide](http://en.wikipedia.org/wiki/Benzyl_bromide)  
_(1-Bromotoluene)_

[Carbonate](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
[Carbonate ester](http://en.wikibooks.org/w/index.php?title=Carbonate_ester&action=edit&redlink=1)
ROCOOR
![Carbonate](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Carbonate-group.png/75px-Carbonate-group.png)
alkyl **carbonate**

[Carboxylate](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
[Carboxylate](http://en.wikibooks.org/w/index.php?title=Carboxylate&action=edit&redlink=1)
RCOO−
![Carboxylate](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Carboxylate-resonance-hybrid.png/75px-Carboxylate-resonance-hybrid.png)  


![Carboxylate](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/Carboxylate-canonical-forms.png/75px-Carboxylate-canonical-forms.png)

carboxy-
-oate
![Sodium acetate](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/Sodium-acetate-2D-skeletal.png/75px-Sodium-acetate-2D-skeletal.png)  
[Sodium acetate](http://en.wikipedia.org/wiki/Sodium_acetate)  
_(Sodium ethanoate)_

[Carboxylic acid](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
[Carboxyl](http://en.wikibooks.org/w/index.php?title=Carboxyl&action=edit&redlink=1)
RCOOH
![Carboxylic acid](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Carboxylic-acid-skeletal.svg/75px-Carboxylic-acid-skeletal.svg.png)
carboxy-
-oic acid
![Acetic acid](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/08/Acetic-acid-2D-skeletal.svg/75px-Acetic-acid-2D-skeletal.svg.png)  
[Acetic acid](http://en.wikipedia.org/wiki/Acetic_acid)  
_(Ethanoic acid)_

[Cyanates](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
[Cyanate](http://en.wikibooks.org/w/index.php?title=Cyanate&action=edit&redlink=1)
ROCN
![Cyanate](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2f/Cyanate-group.png/75px-Cyanate-group.png)
cyanato-
alkyl **cyanate**

[Thiocyanate](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
RSCN
![Thiocyanate](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Thiocyanate-group.png/75px-Thiocyanate-group.png)
thiocyanato-
alkyl **thiocyanate**

[Ether](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#C)
[Ether](http://en.wikibooks.org/w/index.php?title=Ether&action=edit&redlink=1)
ROR'
![Ether](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/51/Ether-\(general\).png/75px-Ether-\(general\).png)
alkoxy-
alkyl alkyl **ether**
![Diethyl ether](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Diethyl-ether-2D-skeletal.png/75px-Diethyl-ether-2D-skeletal.png)  
[Diethyl ether](http://en.wikipedia.org/wiki/Diethyl_ether)  
_(Ethoxyethane)_

[Ester](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#E)
[Ester](http://en.wikibooks.org/w/index.php?title=Ester&action=edit&redlink=1)
RCOOR'
![Ester](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/99/Ester-skeletal.png/75px-Ester-skeletal.png)
-oate
![Ethyl butyrate](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/40/Ethyl_butyrate.png/75px-Ethyl_butyrate.png)  
[Ethyl butyrate](http://en.wikipedia.org/wiki/Ethyl_butyrate)  
_(Ethyl butanoate)_

[Haloalkane](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#H)
[Halo](http://en.wikibooks.org/w/index.php?title=Halogen&action=edit&redlink=1)
RX
![Halide group](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/Halide-group.png/75px-Halide-group.png)
halo-
alkyl **halide**
![Chloroethane](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ac/Chloroethane-skeletal.png/75px-Chloroethane-skeletal.png)  
[Chloroethane](http://en.wikipedia.org/wiki/Chloroethane)  
_(Ethyl chloride)_

Hydroperoxide (see [organic peroxide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#O))
[Hydroperoxy](http://en.wikibooks.org/w/index.php?title=Organic_peroxide&action=edit&redlink=1)
ROOH
![Hydroperoxy](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/53/Hydroperoxide-group-2D.png/75px-Hydroperoxide-group-2D.png)
hydroperoxy-
alkyl **hydroperoxide**
![Methyl ethyl ketone peroxide](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b4/Methyl-ethyl-ketone-peroxide-2D-skeletal.png/75px-Methyl-ethyl-ketone-peroxide-2D-skeletal.png)  
[Methyl ethyl ketone peroxide](http://en.wikipedia.org/wiki/Methyl_ethyl_ketone_peroxide)

[Imine](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#I)
Primary ketimine
RC(=NH)R'
![Imine](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Imine-\(primary\)-skeletal.png/75px-Imine-\(primary\)-skeletal.png)
imino-
-imine

Secondary ketimine
RC(=NR_)R'_
![Imine](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Imine-\(secondary\)-skeletal.png/75px-Imine-\(secondary\)-skeletal.png)
imino-
-imine

Primary aldimine
RC(=NH)H
![Imine](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/48/Aldimine-\(primary\)-skeletal.png/75px-Aldimine-\(primary\)-skeletal.png)
imino-
-imine

Secondary aldimine
RC(=NR')H
![Imine](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Aldimine-\(secondary\)-skeletal.png/75px-Aldimine-\(secondary\)-skeletal.png)
imino-
-imine

[Isocyanide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#I)
[Isocyanide](http://en.wikibooks.org/w/index.php?title=Isocyanide&action=edit&redlink=1)
RNC
isocyano-
alkyl **isocyanide**

[Isocyanates](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#I)
[Isocyanate](http://en.wikibooks.org/wiki/Isocyanate)
RNCO
![Isocyanate](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Isocyanate-group.png/75px-Isocyanate-group.png)
isocyanato-
alkyl **isocyanate**

[Isothiocyanate](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#I)
RNCS
![Isothiocyanate](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Isothiocyanate-group.png/75px-Isothiocyanate-group.png)
isothiocyanato-
alkyl **isothiocyanate**
![Allyl isothiocyanat](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Allyl-isothiocyanate-2D-skeletal.png/75px-Allyl-isothiocyanate-2D-skeletal.png)  
[Allyl isothiocyanate](http://en.wikipedia.org/wiki/Allyl_isothiocyanate)

[Ketone](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#K)
[Ketone](http://en.wikibooks.org/wiki/Ketone)
RCOR'
![Ketone](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Ketone-skeletal.png/75px-Ketone-skeletal.png)
keto-, oxo-
-one
![Butanone](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Butanone-structure-skeletal.png/75px-Butanone-structure-skeletal.png)  
[Methyl ethyl ketone](http://en.wikipedia.org/wiki/Methyl_ethyl_ketone)  
_(Butanone)_

[Nitrile](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#N)
[Nitrile](http://en.wikibooks.org/w/index.php?title=Nitrile&action=edit&redlink=1)
RCN
![Nitrile](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/61/Nitrile-\(general\)-skeletal.png/75px-Nitrile-\(general\)-skeletal.png)
cyano-

alkane**nitrile**  
alkyl **cyanide**

![Benzonitrile](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Benzonitrile_structure.png/75px-Benzonitrile_structure.png)  
[Benzonitrile](http://en.wikipedia.org/wiki/Benzonitrile)  
_(Phenyl cyanide)_

[Nitro compound](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#N)
[Nitro](http://en.wikibooks.org/w/index.php?title=Nitro_functional_group&action=edit&redlink=1)
RNO2
![Nitro](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nitro-group.png/75px-Nitro-group.png)
nitro-
 
![Nitromethane](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/Nitromethane2.png/75px-Nitromethane2.png)  
[Nitromethane](http://en.wikipedia.org/wiki/Nitromethane)

[Nitroso compound](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#N)
[Nitroso](http://en.wikibooks.org/w/index.php?title=Nitroso&action=edit&redlink=1)
RNO
![Nitroso](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Nitroso-compound-2D.png/75px-Nitroso-compound-2D.png)
nitroso-
 
![Nitrosobenzene](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2d/Nitrosobenzene.png/75px-Nitrosobenzene.png)  
[Nitrosobenzene](http://en.wikipedia.org/wiki/Nitrosobenzene)

[Peroxide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
[Peroxy](http://en.wikibooks.org/w/index.php?title=Organic_peroxide&action=edit&redlink=1)
ROOR
![Peroxy](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Peroxy-group.png/75px-Peroxy-group.png)
peroxy-
alkyl **peroxide**
![Di-tert-butyl peroxide](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/31/DTBP.png/75px-DTBP.png)  
[Di-tert-butyl peroxide](http://en.wikipedia.org/wiki/Di-tert-butyl_peroxide)

[Benzene derivative](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#B)
[Phenyl](http://en.wikibooks.org/w/index.php?title=Phenyl&action=edit&redlink=1)
RC6H5
![Phenyl](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Phenyl-group.png/75px-Phenyl-group.png)
phenyl-
-benzene
![Cumene](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/87/Cumene-2D-skeletal.png/75px-Cumene-2D-skeletal.png)  
[Cumene](http://en.wikipedia.org/wiki/Cumene)  
_(2-phenylpropane)_

[Phosphine](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
Phosphino
R3P
![A tertiary phosphine](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Phosphine-general.svg/75px-Phosphine-general.svg.png)
phosphino-
-phosphane
![Methylpropylphosphane](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/Methylpropylphosphane-skeletal.svg/75px-Methylpropylphosphane-skeletal.svg.png)  
Methylpropylphosphane

[Phosphodiester](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
[Phosphate](http://en.wikibooks.org/w/index.php?title=Phosphate&action=edit&redlink=1)
HOPO(OR)2
![Phosphodiester](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Phosphodiester-group.png/75px-Phosphodiester-group.png)
phosphoric acid di(_substituent_) ester
di(_substituent_) hydrogenphosphate
[DNA](http://en.wikipedia.org/wiki/DNA)

[Phosphonic acid](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
Phosphono
RP(=O)(OH)2
![Phosphono group](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/64/Phosphonic-acid-generic.png/75px-Phosphonic-acid-generic.png)
phosphono-
_substituent_ phosphonic acid
![Benzylphosphonic acid](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Benzylphosphonic-acid-2D-skeletal.png/75px-Benzylphosphonic-acid-2D-skeletal.png)  
Benzylphosphonic acid

[Phosphate](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
Phosphate
ROP(=O)(OH)2
![Phosphate group](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/Phosphate-group.png/75px-Phosphate-group.png)
phospho-
![Glyceraldehyde 3-phosphate](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cd/G3P-2D-skeletal.png/75px-G3P-2D-skeletal.png)  
[Glyceraldehyde 3-phosphate](http://en.wikipedia.org/wiki/Glyceraldehyde_3-phosphate)

[Pyridine derivative](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#P)
[Pyridyl](http://en.wikibooks.org/w/index.php?title=Pyridine&action=edit&redlink=1)
RC5H4N

![4-pyridyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a7/4-pyridyl.png/75px-4-pyridyl.png)  
![3-pyridyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/3-pyridyl.png/75px-3-pyridyl.png)  
![2-pyridyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/2-pyridyl.png/75px-2-pyridyl.png)  


4-pyridyl  
(pyridin-4-yl)  
  
3-pyridyl  
(pyridin-3-yl)  
  
2-pyridyl  
(pyridin-2-yl)

-pyridine
![Nicotine](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Nicotine-2D-skeletal.png/75px-Nicotine-2D-skeletal.png)  
[Nicotine](http://en.wikipedia.org/wiki/Nicotine)

[Sulfide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#S)
RSR'
![Sulfide group](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/03/Sulfide-group-2D.png/75px-Sulfide-group-2D.png)
di(_substituent_) sulfide
![Dimethyl sulfide](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/Dimethylsulfide.png/75px-Dimethylsulfide.png)  
[Dimethyl sulfide](http://en.wikipedia.org/wiki/Dimethyl_sulfide)

[Sulfone](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#S)
[Sulfonyl](http://en.wikibooks.org/w/index.php?title=Sulfone&action=edit&redlink=1)
RSO2R'
![Sulfonyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5d/Sulfone.png/75px-Sulfone.png)
sulfonyl-
di(_substituent_) sulfone
![Dimethyl sulfone](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Dimethylsulfone_Structure.png/75px-Dimethylsulfone_Structure.png)  
Dimethyl sulfone  
_([Methylsulfonylmethane](http://en.wikipedia.org/wiki/Methylsulfonylmethane))_

[Sulfonic acid](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#S)
Sulfo
RSO3H
![Sulfonyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/50/Sulfonic-acid.png/75px-Sulfonic-acid.png)
sulfo-
_substituent_ **sulfonic acid**
![Benzenesulfonic acid](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Benzenesulfonic-acid-2D-skeletal.png/75px-Benzenesulfonic-acid-2D-skeletal.png)  
Benzenesulfonic acid

[Sulfoxide](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#S)
[Sulfinyl](http://en.wikibooks.org/w/index.php?title=Sulfoxide&action=edit&redlink=1)
RSOR'
![Sulfinyl group](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Sulfoxide.png/75px-Sulfoxide.png)
sulfinyl-
di(_substituent_) **sulfoxide**
![Diphenyl sulfoxide](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Diphenyl-sulfoxide.png/75px-Diphenyl-sulfoxide.png)  
Diphenyl sulfoxide

[Thiol](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#T)
[Sulfhydryl](http://en.wikibooks.org/w/index.php?title=Thiol&action=edit&redlink=1)
RSH
![Sulfhydryl](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/28/Thiol-group.png/75px-Thiol-group.png)
mercapto-, sulfanyl-
-thiol
![Ethanethiol](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Ethanethiol-skeletal.png/75px-Ethanethiol-skeletal.png)  
[Ethanethiol](http://en.wikipedia.org/wiki/Ethanethiol)  
_(Ethyl mercaptan)_

_Note: The table above is adapted from the Functional Groups table on [Wikipedia.](http://en.wikipedia.org/wiki/Functional_groups)_

  
Combining the names of functional groups with the names of the parent [alkanes](http://en.wikipedia.org/wiki/Alkanes) generates a powerful [systematic nomenclature](http://en.wikipedia.org/wiki/systematic_name) for naming [organic compounds](http://en.wikipedia.org/wiki/organic_compound).

The non-hydrogen atoms of functional groups are always associated with each by [covalent bonds](http://en.wikipedia.org/wiki/covalent_bond), as well as with the rest of the molecule. When the group of atoms is associated with the rest of the molecule primarily by ionic forces, the group is referred to more properly as a [polyatomic ion](http://en.wikipedia.org/wiki/polyatomic_ion) or [complex ion](http://en.wikipedia.org/wiki/complex_ion). And all of these are called [radicals](http://en.wikipedia.org/wiki/radical), by a meaning of the term _radical_ that predates the [free radical](http://en.wikipedia.org/wiki/free_radical).

The first carbon after the carbon that attaches to the functional group is called the [alpha carbon](http://en.wikipedia.org/wiki/alpha_carbon).

## Mnemonics for Functional Groups

These are possible mnemonics for the common functional groups.

**Vowels**: Remember the vowels "A", "E", and "Y" for Alkane, Alkene, and Alkyne. Alkanes have only single covalent bonds. Alkenes have at least one double bond. Alkynes have at least one triple bond. The letters "I", "O", and "U" are not used. Furthermore, "O" and "U" would result in awkward pronunciations.

**Alcohol**: Look for the "C-O-H" in "Alcohol."

**Ether**: Ethers were anesthetics used in the 1800s. Dr. Kellogg also lived at the same time. Corn Flakes are made by Kellogg's. A rooster or cock (C-O-C) is the cornflake mascot.

**Amine**: Remember the "N" stands for nitrogen.

**Aldehyde**: This sounds like "Adelaide," the Australian city. Australia is at the end of the Asian islands, and aldehydes are at the end of the hydrocarbon chain. The "Y" indicates a C=O double bond.

**Ketone**: Imagine the diagonal strokes of "K" forming the C=O double bond. ![Ketone Functional Group Mnemonic K.png](../../../upload.wikimedia.org/wikipedia/commons/7/73/Ketone_Functional_Group_Mnemonic_K.png)

**Carboxylic Acid**: "Box" stands for boxed wine or C-O-H, alcohol. The "Y" indicates a C=O double bond.

**Ester**: This sounds like "Estelle" George Costanza's mother in the TV show _Seinfeld_. George's nickname was Koko or Coco. So think of O=C-O-C.

**Amide**: Amine with a "D". D for double.

* * *

# **Other appendices**

# Glossary

![Go To Organic Chemistry Contents .png](../../../upload.wikimedia.org/wikibooks/en/d/d9/Go_To_Organic_Chemistry_Contents_.png) > Glossary

* * *

## A

  * Acetal - A molecule with two single bonded oxygens attached to the same carbon atom.
  * Acetyl - A functional group with chemical formula -COCH3.
  * Achiral - A group containing atleast two identical substituents.
  * Acid anhydride - Hydrocarbon containing two carbonyl groups.Acyl group attached with carboxylate group.eg- RCOOCOR'
  * Acid halide - Acyl group with any halogen attached with carbon of carbonyl group.eg.- RCO-X(X=F,Cl,Br,I).
  * Acidity constant Ka -
  * Activating group - Any group which activate any molecule by increasing positive or negative charge on carbon atom.Mainly towards neucleophilic or electrophilic substitution reactions.
  * Activation energy - The energy required to reactants to cross energy barrier to undergo any chemical change.denoted by Ea.
  * Acyl group - A group having alkyl or aryl group with a carbonyl group RCO-
  * Adam's catalyst - A catalyst for hydrogenation and hydrogenolysis in organic synthesis. Also known as platinum dioxide
  * [Addition reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Overview_of_addition,_elimination,_substitution_and_rearrangement_reactions#Addition_reaction) \- A reaction where a product is created from the coming together of 2 reactants.
  * Alcohol - A saturated hydrocarbon chain with an -OH functional group.
  * Aldehyde - A hydrocarbon containing atleast one carbonyl gp having one hydrogen attached to it.(>C=O)
  * Aldol reaction - When two similar aldehydes are reacted with each other,a product having both aldehyde(>C=O) and alcohol() group is formed.This reaction is called aldol reaction.
  * Aliphatic - A non-cyclic, non-aromatic, hydrocarbon chain (e.g. alkanes, alkenes, and alkynes)
  * Alkane - A hydrocarbon with all the carbon-carbon bonds are single bonds.
  * Alkene - A hydrocarbon with at least one carbon-carbon bond is a double-bond.
  * Alkoxide ion - The conjugate base of an alcohol without the terminal H atom. For any alcohol R-OH, the corresponding alkoxide form is R-O-.
  * Alkyl - A hydrocarbon having formula CnH2n+1
  * Alkylation - Addition of alkyl group in a compound.
  * Alkyne - An unsaturated hydrocarbon containog triple bond.and having general formula CnH2n-2
  * Allyl - An alkene hydrocarbon group with the formula H2C=CH-CH2-
  * α Position - Carbon attached to a functional group is called α-carbon and the position is known as α position.
  * α-carbon - Carbon attached to a functional group is called α-carbon
  * Amide - A hydrocarbon containing amnine group attached to acyl group. eg.- RCONH2
  * Amine - A simple hydrocarbon containing atleast one -NH2 group.
  * Amino Acid - A fundamental unit of polypeptides or proteins.having general formula-COOHRCHNH2.eg.- glysine,alanine etc.
  * Anti conformation -
  * Anti periplaner -
  * Anti stereochemistry -
  * Anti bonding molecular orbital - Molecular orbitals having higher energy than bonding molecular orbitals after combination of atomic orbitals.denoted by an astric over Sigma or pi notations.
  * Arene - Another name for an aromatic hydrocarbon.
  * Aromacity - A chemical property in which a conjugated ring of unsaturated bonds, lone pairs, or empty orbitals exhibit a stabilization stronger than would be expected by the stabilization of conjugation alone.
  * Atomic mass - Total no of nucleon i.e. no. of proton and no. of neutrons.It is denoted by A.
  * Atomic number - Total no. of protons is called atomic no.
  * Axial bond - The bond parellel or anti parellel to axial coordinate passing center of gravity.
  * Azide synthesis - Dutt-Wormall reaction in which a diazonium salt reacts with a sulfonamide first to a diazoaminosulfinate and then on hydrolysis the azide and a sulfinic acid.
  * Azo compound - A compound containing -N=N group.

## B

  * Benzoyl Group - The acyl of benzoic acid, with structure C6H5CO-
  * Benzyl Group - The radical or ion formed from the removal of one of the methyl hydrogens of toluene (methylbenzene).
  * Benzylic -
  * β position -
  * β-carbon -
  * Bicylcoalkane - A compound containing two cyclic rings.
  * Bimolecular reaction - A second order reaction where the concentration of two compounds determine the reaction rate.
  * Boat cyclohexane - A less-stable conformation of cyclohexane that somewhat resembles a boat.
  * Bond - The attractive forces that create a link between atoms. Bonds may be covalent or ionic.
  * Bond angle - The angle formed between three atoms across at least two bonds.
  * Bond length - The average distance between the centers of two atoms bonded together in any given molecule.
  * Bond strength - The degree to which each atom linked to a central atom contributes to the valency of this central atom.
  * Bonding molecular orbital -
  * Bromonium ion -
  * [Brønsted-Lowry Acid](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Acids_and_bases#Br.C3.B8nsted-Lowry_Acids_and_Bases:_Proton_donors_and_acceptors) -
  * [Brønsted-Lowry Base](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Acids_and_bases#Br.C3.B8nsted-Lowry_Acids_and_Bases:_Proton_donors_and_acceptors) -

## C

  * Cahn-Ingold-Prelog priorities - A rule for assigning priorities to substituents off of carbon in a double-bond or in a chiral center.
  * Carbocation -
  * Carbonyl group - A functional group composed of a carbon atom double-bonded to an oxygen atom: C=O.
  * Carboxylation - A chemical reaction in which a carboxylic acid group is introduced in a substrate.
  * Carboxylic acid - An organic acid characterized by the presence of a carboxyl group.
  * Chain reaction - A sequence of reactions where a reactive product or by-product causes additional reactions to take place.
  * Chair cyclohexane -
  * Chiral - A term chiral used to describe an object that is non-superposable on its mirror image
  * Chiral center - A carbon atom bonded to four different groups
  * Chromatography - The process of separating compounds such as a dye into its constituents
  * Cis-trans isomers -
  * Claisen condensation reaction -
  * Claisen rearrangement reaction -
  * Concerted -
  * Configuration - the permanent geometry of a molecule that results from the spatial arrangement of its bonds.
  * Conformation -
  * Conformer -
  * Conjugate acid -
  * Conjugate base -
  * Conjugation - A system of atoms covalently bonded with alternating single and multiple (e.g. double) bonds (e.g., C=C-C=C-C).
  * Covalent bond - A form of chemical bonding that is characterized by the sharing of pairs of electrons between atoms.
  * Cracking - The process whereby complex organic molecules such as heavy hydrocarbons are broken down into simpler molecules (e.g. light hydrocarbons) by the breaking of carbon-carbon bonds.
  * Cycloaddition reaction -
  * Cycloalkane - An alkane that has one or more rings of carbon atoms in the chemical structure of its molecule.

## D

  * Debye -
  * Decarboxylation -
  * Delocalization - The ability of electrons to spread out among pi bonds to provide stabilization to electronically unstable areas of a molecule.
  * Dextrorotatory -
  * Diastereomers - Two or more isomers of a molecule which are _not_ enantiomers of one another.
  * 1,3 Diaxial interaction - The steric intereaction between two methyl or larger groups attached at the 1 and 3 cis positions of cyclohexanes. The cyclohexane is in a higher energy state in the ring flip conformation that results in both 1 and 3 positions being axial due to steric strain between the 2 groups. This strain does not exist when hydrogens are bonded at these positions.
  * Diels-Alder reaction -
  * Dienophile -
  * Dipolar -
  * Dipole moment -
  * Disulfide -
  * Downfield - A term used to describe the left direction on NMR charts. A peak to the left of another peak is described as being downfield from the peak.

## E

  * E geometry -
  * E1 reaction -
  * E2 reaction -
  * Eclipsed conformation -
  * Eclipsing strain -
  * Electron - An elementary subatomic particle that carries a negative electrical charge and occupies an electron shell outside the atomic nucleus.
  * Electron configuration - The arrangement of electrons in an atom or molecule
  * Electron-dot structure -
  * Electron shell - The orbit followed by electrons around an atomic nucleus. The atom has a number of shells and they are normally labelled K, L, M, N, O, P, and Q.
  * Electronegativity - The ability of an atom to attract electrons towards itself in a covalent bond.
  * Electrophile - Literally, electron lover. A positively or neutrally charged reagent that forms bonds by accepting electrons from a nucleophile. Elecrophiles are Lewis Acids.
  * Electrophilic addition reaction -
  * Electrophilic aromatic substitution -
  * [Elimination reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Elimination_Reactions) \- A reaction where atoms and/or functional groups are removed from a reactant.
  * Endergonic - In an endergonic process, work is done on the system, and ΔG0 > 0, so the process is nonspontaneous. An exergonic process is the opposite: ΔG0 < 0, so the process is spontaneous.
  * Endothermic - An endothermic reaction is a chemical reaction that absorbs heat, and is the opposite of an exothermic reaction.
  * Enol - An alkene with a hydroxyl group affixed to one of the carbon atoms composing the double bond.
  * Enolate ion -
  * Entgegen - German word meaning "opposite". Represented by E in the E/Z naming system of alkenes.
  * Enthalpy -
  * Entropy -
  * Equatorial bond -
  * Ester - An inorganic or organic acid in which at least one -OH (hydroxyl) group is replaced by an -O-alkyl (alkoxy) group.
  * Ether - An organic compound which contains an ether group — an oxygen atom connected to two (substituted) alkyl or aryl groups — of general formula R–O–R'.
  * Exergonic -
  * Exothermic - An exothermic reaction is a chemical reaction that releases heat, and is the opposite of an endothermic reaction.

## F

  * Fingerprint region -
  * First order reaction - A reaction whose rate is determined by the concentration of only one of its reactants leading to a reaction rate equation of ![Rate = k\[X\]](../../../upload.wikimedia.org/math/a/7/5/a75c669478b4ed7178ce0b2fecb4735f.png)
  * Fischer projection -
  * Formal Charge -
  * Friedel-Crafts reaction -
  * Functional group - This is a specific group of atoms within a molecule that is responsible for the characteristic chemical reactions of that molecule. The same functional group will undergo the same or similar chemical reaction(s) regardless of the size of the molecule it is a part of.

## G

  * Geminal -
  * Gibbs free energy -
  * Gilman reagent -
  * Glycol - A chemical compound containing two hydroxyl groups (-OH groups). Also known as a Diol.
  * Glycolysis - The metabolic pathway that converts glucose, C6H12O6, into pyruvate, C3H5O3
  * Grignard reagent -
  * Ground state -

## H

  * Halohydrin formation -
  * Hammond postulate -
  * Hemiacetal -
  * Hemiaminal -
  * Heterocycle - A cyclic molecule with more than 2 types of atoms as part of the ring. (e.g. Furan, a 5-membered ring with four carbons and one oxygen, or a Pyran, a 6-membered ring with five carbons and one oxygen)
  * HOMO - Acronym for Highest Occupied Molecular Orbital.
  * Homolytic cleavage - Where bond breaks leaving each atom with one of the bonding electrons, producing two radicals.
  * Hybrid orbital -
  * Hydration - A chemical reaction in which a hydroxyl group (OH-) and a hydrogen cation (an acidic proton) are added to the two carbon atoms bonded together in the carbon-carbon double bond which makes up an alkene functional group.
  * Hybride shift -
  * Hydroboration - A reaction adding BH3 or B2H6 or an alkylborane to an alkene to produce intermediate products consisting of 3 alkyl groups attached to a boron atom. This molecule is then used in other reactions, for example, to create an alcohol by reacting it with H2O2 in a basic solution.
  * Hydrocarbon - A molecule consisting of hydrogens and carbons.
  * Hydrogen bond -
  * Hydrogenation - Addition of a hydrogen atoms to an alkene or alkane to produce a saturated product.
  * Hydrophilic - literally, "water loving". In chemistry, these are molecules that are soluble in water.
  * Hydrophobic - literally, "water fearing". In chemistry, molecules that aren't soluble in water.
  * Hydroxylation - A chemical process that introduces one or more hydroxyl groups (-OH) into a compound (or radical) thereby oxidizing it.
  * Hyperconjugation -

## I

  * Imide -
  * Imine -
  * Infrared spectroscopy -
  * Intermediate -
  * Isomer - Compounds with the same molecular formula but different structural formulae. There are two main forms of isomerism: structural isomerism and stereoisomerism.
  * Isotope - The different types of atoms of the same chemical element, each having a different atomic mass (mass number). Isotopes of an element have nuclei with the same number of protons (the same atomic number) but different numbers of neutrons.
  * IUPAC - Acronym for International Union of Pure and Applied Chemistry.
  * IUPAC Nomenclature - The international standard set of rules for naming molecules. 

([Available Here](http://www.acdlabs.com/iupac/nomenclature/%7CDocumentation))

## K

  * Kekulé structure -
  * Keto-enol tautomerism -
  * Ketone - The functional group characterized by a carbonyl group (O=C) linked to two other carbon atoms, or a chemical compound that contains a carbonyl group

## L

  * Leaving group -
  * Levorotatory -
  * Lewis acid - A reagent that accepts a pair of electrons form a covalent bond. _(see also [Lewis Acids and Bases](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Acids_and_bases#Lewis_Acids_and_Bases:_Electron_donors_and_acceptors))_
  * Lewis base - A reagent that forms covalent bonds by donating a pair of electrons. _(see also [Lewis Acids and Bases](http://en.wikibooks.org/wiki/Organic_Chemistry/Foundational_concepts_of_organic_chemistry/Acids_and_bases#Lewis_Acids_and_Bases:_Electron_donors_and_acceptors))_
  * Lewis structure -
  * Lindlar catalyst -
  * Line-bond structure -
  * Lone pair electrons -
  * LUMO - Acronym for Lowest Unoccupied Molecular Orbital

## M

  * [Markovnikov's rule](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Markovnikov.27s_Rule) \- States that "when an unsymmetrical alkene reacts with a hydrogen halide to give an alkyl halide, the hydrogen adds to the carbon of the alkene that has the greater number of hydrogen substituents, and the halogen to the carbon of the alkene with the fewer number of hydrogen substituents."
  * Mass number - The total number of protons and neutrons (together known as nucleons) in an atomic nucleus
  * Mass spectrometry -
  * Mechanism -
  * Meso compound -
  * Meta -
  * Methylene group -
  * Molality - A measure of the concentration of a solute in a solvent given by moles of solute per kg of solvent.
  * Molarity - A measure of the concentration, given by moles of solute per liter of _solution_ (solute and solvent mixed).
  * Mole - A measure of a substance that is approximately Avogadro's Number (6.022×1023) of molecules of the substance. More simply, calculate the molecule's atomic mass and that many grams of the substance is a mole.
  * Molecule -
  * Monomer - A small molecule that may become chemically bonded to other monomers to form a polymer.

## N

  * Nitrile - Any organic compound which has a -C≡N functional group.
  * NMR - See Nuclear magnetic resonance.
  * Non-bonding electrons -
  * Normality -
  * Nuclear magnetic resonance -
  * Nucleophile - Literally, nucleus lover. A negatively or neutrally charged reagent that forms a bond with an electrophile by dontating both bonding electrons. Nucleophiles are Lewis Bases.
  * Nucleophilic addition reaction -
  * Nucleophilic aromatic substitution reaction -
  * [Nucleophilic substitution reaction](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Nucleophilic_Substitution_Reactions) \- A reaction in which a halide is removed from a molecule and replaced with a nucleophile.
  * Nucleophilicity -

## O

  * Optical isomer -
  * Optical activity -
  * Orbital -
  * Ortho -
  * Oxidation -
  * Oxime -
  * Oxymercuration reduction reaction -

## P

  * Para -
  * Pauli exclusion principle -
  * Pericyclic reaction -
  * Periplanar -
  * Peroxide -
  * Peroxyacid -
  * Phenol - A toxic, colourless crystalline solid with the chemical formula C6H5OH and whose structure is that of a hydroxyl group (-OH) bonded to a phenyl ring. It is also known as carbolic acid,
  * Phenyl - A functional group with the formula -C6H5
  * Pi bond -
  * Polar aprotic solvent -
  * Polar covalent bond -
  * Polar protic solvent -
  * Polar reaction -
  * Polarity -
  * Polarizability -
  * Polymer - A large molecule (macromolecule) composed of repeating structural units (monomers) typically connected by covalent chemical bonds.
  * Primary -
  * Prochiral -
  * Prochirality center -
  * Protic solvent -

## Q

## R

  * R group -
  * R,S convention -
  * Racemic mixture -
  * Radical -
  * Radical reaction -
  * Rate constant -
  * Rate equation -
  * Rate-limiting step -
  * re face -
  * Reducation -
  * Regiochemistry -
  * Regioselectivity -
  * Resonance form -
  * Resonance hybrid -
  * Ring-flip -

## S

  * Saponification - The hydrolysis of an ester under basic conditions to form an alcohol and the salt of a carboxylic acid.
  * Saturated - A situation in which a compound has no double or triple bonds. Saturated can refer to the maximum amount of a solute being dissolved in a solution. Whether the context is chemical bonding or solutions will determine which meaning is appropriate.
  * Saytzeff's Rule - See [Zaitsev's rule](http://en.wikibooks.org/wiki/Organic_Chemistry/Glossary#W.2CX.2CY.2CZ)
  * Second order reaction - A reaction whose rate is dependent on the concentration of two reactants, leading to a reaction rate of ![Rate = k\[X\]\[Y\]](../../../upload.wikimedia.org/math/9/f/b/9fb42feef9119e095c08a8614c7d2125.png)
  * Secondary -
  * si face -
  * Side chain -
  * Sigma bond -
  * Simmons-Smith reaction -
  * SN1 reaction -
  * SN2 reaction -
  * Solvation -
  * Solvent -
  * sp orbital -
  * sp2 orbital -
  * sp3 orbital -
  * Spin-spin splitting -
  * Staggered conformation -
  * Stereochemistry -
  * Stereoisomer -
  * Steric hinderance -
  * Steric strain -
  * Substitution reaction - Reactions where one functional groups is replaced with another functional group.
  * Symmetry plane -
  * Syn addition -
  * Syn periplanar -

## T

  * Tautomers -
  * Tertiary -
  * Thioester -
  * Thiol - A compound that contains the functional group composed of a sulfur atom and a hydrogen atom (-SH).
  * Thiolate ion -
  * Torisional strain -
  * Tosylate -
  * Transition state -
  * Twist-boat conformation -

## U

  * Ultraviolet spectroscopy -
  * Unsaturated - A situation in which a compound contains double or triple bonds.
  * Upfield - A term used to describe the right direction on NMR charts. A peak to the right of another peak is described as being upfield from the peak.

## V

  * Valence bond theory -
  * Valence electrons -
  * Valence shell -
  * Van der Waals forces -
  * Vicinal -
  * Vinyl - An organic compound that contains a vinyl group (also called ethenyl), −CH=CH2.
  * Vinylic -

## W, X, Y, Z

  * [Zaitsev's rule](http://en.wikibooks.org/wiki/Organic_Chemistry/Introduction_to_reactions/Zaitsev%27s_rule) \- In [elimination reactions](http://en.wikibooks.org/wiki/Organic_Chemistry/Alkenes#Elimination_Reactions), the major reaction product is the alkene with the more highly substituted double bond. This most-substituted alkene is also the most stable.
  * Zussamen - German word meaning "together". Represented by Z in the E/Z naming system of alkenes. Simple mnemonic, Z=Zame Zide (Same Side).

# Short periodic table

1  
**H**
  

2  
**He**

3  
**Li**
4  
**Be**
5  
**B**
6  
**C**
7  
**N**
8  
**O**
9  
**F**
10  
**Ne**

11  
**Na**
12  
**Mg**
13  
**Al**
14  
**Si**
15  
**P**
16  
**S**
17  
**Cl**
18  
**Ar**

  

35  
**Br**

* * *

Some of the good news about organic chemistry is that it focuses on a subset of the periodic table, so there are fewer elements to worry about. These are the main elements with which we must concern ourselves, although occasionally a few others will be used in reactions.

# External links

# Resources

  * [The IUPAC Gold Book of definitions.](http://goldbook.iupac.org/index.html)
  * [Organic Chemistry](http://www.dmoz.org/Science/Chemistry/Organic/) at [DMOZ](http://en.wikipedia.org/wiki/DMOZ)

# Other online textbooks

  * [MIT OpenCourseWare Organic Chemistry I](http://ocw.mit.edu/OcwWeb/Chemistry/5-12Organic-Chemistry-ISpring2003/CourseHome/index.htm) (unfortunately, much of the information is in PDF documents instead of HTML).
  * [Combinatorial Chemistry](http://www.combichemistry.com) basic introduction to the field of combinatorial chemistry
  * [MIT OpenCourseWare Organic Chemistry II](http://ocw.mit.edu/OcwWeb/Chemistry/5-13Organic-Chemistry-IISpring2003/CourseHome/index.htm) (same PDF dilemma as above).
  * [Virtual Text](http://www.cem.msu.edu/~reusch/VirtualText/intro1.htm) a real nice one by William Reusch of [Michigan State University](http://www.msu.edu).
  * [Crystal Clear Chemistry](http://www.crystalclearchemistry.com/) A good resource for studying and obtaining answers to conceptual questions that aren't answered elsewhere.
  * [Chemhelper.com](http://www.chemhelper.com/) by student Arthur Winter of [Frostburg State University](http://www.frostburg.edu/).
  * [LearnChem.net](http://www.learnchem.net/) Helpful chemistry tutorials
  * [Online version of a leading text](http://www.chem.ucalgary.ca/courses/351/Carey/Carey.html) Site extrapolating on parts of Francis Carey's leading textbook.
  * [General chemistry reference](http://www.visionlearning.com/library/cat_view.php?cid=1&l=) at [VisionLearning.com](http://www.visionlearning.com/) funded by [National Science Foundation](http://www.nsf.gov)
  * [Lab and other techniques compository](http://www.psigate.ac.uk/newsite/whatsnew.html)
  * [Organic Chemistry Portal](http://www.organic-chemistry.org/)
  * [Organic chemistry resources worldwide](http://www.organicworldwide.net/)
  * [A full length, peer-reviewed, and free organic chemistry textbook.](http://www.ochem4free.com/) Can be downloaded in PDF format.
  * [Khan Academy](http://www.khanacademy.org/video/representing-structures-of-organic-molecules?playlist=Organic%20Chemistry/) Colorful, clear and engaging Organic Chemistry video playlist.
  * [Organic Chemistry Practice Problems](http://studystove.com/organic-chemistry-practice-problems) A collection of organic chemistry practice problems with detailed video solutions.
  * [Google search results](http://www.google.com/search?hl=en&lr=&ie=UTF-8&oe=UTF-8&q=%22open+content%22+%22organic+chemistry%22+textbook)
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&oldid=2548122](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&oldid=2548122)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Organic Chemistry](http://en.wikibooks.org/wiki/Category:Organic_Chemistry)

Hidden categories: 

  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [Pages needing sources](http://en.wikibooks.org/wiki/Category:Pages_needing_sources)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Organic+Chemistry%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Organic+Chemistry%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Organic_Chemistry/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Organic_Chemistry/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Organic_Chemistry/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&oldid=2548122)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Organic_Chemistry%2FPrint_version&id=2548122)

### In other languages

    * [العربية](http://ar.wikibooks.org/wiki/%D9%83%D9%8A%D9%85%D9%8A%D8%A7%D8%A1_%D8%B9%D8%B6%D9%88%D9%8A%D8%A9/%D9%85%D8%B3%D8%A7%D8%B9%D8%AF%D8%A9_%D9%84%D9%84%D9%85%D8%AD%D8%B1%D8%B1%D9%8A%D9%86)
    * [Polski](http://pl.wikibooks.org/wiki/Chemia_organiczna/Alkany)
    * [Bahasa Indonesia](http://id.wikibooks.org/wiki/Kimia_Organik/Alkohol)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Organic+Chemistry%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Organic+Chemistry%2FPrint+version&oldid=2548122&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Organic_Chemistry/Print_version&printable=yes)

    * This page was last modified on 7 August 2013, at 14:26.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Organic_Chemistry/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
