# Physics Study Guide/Print version

From Wikibooks, open books for an open world

< [Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&action=purge&printable=yes) this page.

# [Preface](http://en.wikibooks.org/wiki/Physics_Study_Guide/Print_version/Section_Preamble)

If you have saved this file to your computer, click on a link in the contents to go to that section.

[About this guide](Print_version.html#About_this_guide)

**[Section One](Print_version.html#Section_One)**
Units
Linear motion
Force
Momentum
Normal force and friction
Work
Energy

**[Section Two](Print_version.html#Section_Two)**
Torque
Circular Motion
Fluids
Fields
Gravity
Waves
Wave Overtones
Standing Waves
Sound

**[Section Three](Print_version.html#Section_Three)**
Thermodynamics
Electricity
Magnetism
Optics

**[Apendicies](Print_version.html#Apendicies)**
Physics constants
Frictional coefficients
Greek alphabet
Logs
Vectors and scalars

# About this guide

![60007 Severn Valley Railway.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/37/60007_Severn_Valley_Railway.jpg/220px-60007_Severn_Valley_Railway.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

### Dedication

'I have a friend who's an artist and he's some times taken a view which I don't agree with very well. He'll hold up a flower and say, "look how beautiful it is," and I'll agree, I think. And he says, "you see, I as an artist can see how beautiful this is, but you as a scientist, oh, take this all apart and it becomes a dull thing." And I think he's kind of nutty. First of all, the beauty that he sees is available to other people and to me, too, I believe, although I might not be quite as refined aesthetically as he is. But I can appreciate the beauty of a flower. At the same time, I see much more about the flower that he sees. I could imagine the cells in there, the complicated actions inside which also have a beauty. I mean, it's not just beauty at this dimension of one centimeter: there is also beauty at a smaller dimension, the inner structure...also the processes. The fact that the colors in the flower are evolved in order to attract insects to pollinate it is interesting -- it means that insects can see the color. It adds a question -- does this aesthetic sense also exist in the lower forms that are...why is it aesthetic, all kinds of interesting questions which a science knowledge only adds to the excitement and mystery and the awe of a flower. It only adds. I don't understand how it subtracts.' ... Richard Feynman

### [Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide)

This guide is meant as a supplement to a year long freshman level physics course with a trigonometry prerequisite. Some ideas from calculus are included in the book but are not necessary to understand the content. The overview of equations and definitions and eventually sample problem solutions are pertinent to an introductory, college-level physics course suitable for pre-meds. This is not a stand alone textbook rather the intent is to help the student and any other interested person quickly familiarize themselves with concepts and terminology so as to use the appropriate equations to get the desired answers to physics problems.

### Contributing

Everyone is encouraged to contribute to the guide. [Be bold](http://en.wikibooks.org/wiki/Wikibooks:Be_bold_in_updating_pages) in your edits! If you have a question about how we do things here look at the [Style Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide/Style_Guide) or post your question on the [talk page](http://en.wikibooks.org/wiki/Talk:Physics_Study_Guide).

### [Authors](http://en.wikibooks.org/wiki/Physics_Study_Guide/Authors)

[Karl Wick](http://en.wikibooks.org/wiki/User:Karl_Wick)
[Adon Metcalfe](http://en.wikibooks.org/wiki/User:Flonejek)
Brendan Abbott
Tristan Sabel
Fromund Hock
[Martin Hoecker-Martinez](http://en.wikibooks.org/wiki/User:Msmithma)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

![GNU head](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/Heckert_GNU_white.svg/50px-Heckert_GNU_white.svg.png)
Permission is granted to copy, distribute and/or modify this document under the terms of the **[GNU Free Documentation License](http://en.wikipedia.org/wiki/GNU_Free_Documentation_License)**, Version 1.2 or any later version published by the [Free Software Foundation](http://en.wikipedia.org/wiki/Free_Software_Foundation); with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "[GNU Free Documentation License](http://en.wikibooks.org/wiki/GNU_Free_Documentation_License)."

  


### [Reviews](http://en.wikibooks.org/wiki/Physics_Study_Guide/Reviews)

Our first review of the [Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide:_Contents) is in, by email to the author:

**Thanks karl!**  
**it's very helpful!!!!**

## Interwiki

![Nuvola apps bookcase.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Nuvola_apps_bookcase.svg/210px-Nuvola_apps_bookcase.svg.png)

This guide is meant as a supplement to a year long freshman level physics course with a trigonometry prerequisite suitable for pre-meds. This is not a stand alone textbook. The intent is to help the student and any other interested person quickly familiarize themselves with concepts and terminology.

[[:File:{{{cover}}}|Image credit]]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Mergefrom.svg/50px-Mergefrom.svg.png)

**A Wikibookian suggests that _[Physics Exercises](http://en.wikibooks.org/wiki/Physics_Exercises)_ be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) into this book or chapter.**  
Discuss whether or not this merger should happen on the [discussion page](http://en.wikibooks.org/wiki/Talk:Physics_Study_Guide/Print_version).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Mergefrom.svg/50px-Mergefrom.svg.png)

**A Wikibookian suggests that _[Force_in_motion](http://en.wikibooks.org/wiki/Force_in_motion)_ be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) into this book or chapter.**  
Discuss whether or not this merger should happen on the [discussion page](http://en.wikibooks.org/wiki/Talk:Physics_Study_Guide/Print_version).

# [Section One](http://en.wikibooks.org/wiki/Physics_Study_Guide/Print_version/Section_One)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# The SI System of Measurement

## Simple Units

### Time

Time is defined as the duration between two events. In the international system of measurement (S.I.) the second (s) is the basic unit of time and it is defined as the time it takes a cesium (Cs) atom to perform 9,192,631,770 complete oscillations. The Earth revolves around its own axis in 86400 seconds with respect to the Sun; this is known as 1 day, and the 86400th part of one day is known as a second.

  


### Length

In the international system of measurement (S.I.) the metre (m) ('meter' in the US) is the basic unit of length and is defined as the distance travelled by light in a vacuum in 1/299,792,458 second. This definition establishes that the speed of light in a vacuum is precisely 299,792,458 metres per second.

### Mass

In the international system of measurement (S.I.) the kilogram (kg) is the basic unit of mass and is defined as the mass of a specific platinum-iridium alloy cylinder kept at the Bureau International des Poids et Mesures in Sèvres, France. A duplicate of the Sèvres cylinder is kept at the National Institute of Standards and Technology (NIST) in Gaithersburg, Maryland. See [Wikipedia article](http://en.wikipedia.org/wiki/kilogram).

### Current

In the international system of measurement (S.I.) the ampere (A) is the basic measure of electrical current. It is defined as the constant current which, if maintained in two straight parallel conductors of infinite length, of negligible circular cross-section, and placed 1 metre (m) apart in vacuum, would produce between these conductors a force equal to 2×10-7 newton (N) per metre of length.

### Unit of Thermodynamic Temperature

The kelvin (K), unit of thermodynamic temperature, is the fraction 1/273.16 of the thermodynamic temperature of the triple point of water.

### Unit of Amount of Substance

1\. The mole (mol) is the amount of substance of a system which contains as many elementary entities as there are atoms in 0.012 kilogram of carbon 12.

2\. When the mole is used, the elementary entities must be specified and may be atoms, molecules, ions, electrons, other particles, or specified groups of such particles.

### Luminous Intensity

The candela (cd) is the luminous intensity, in a given direction, of a source that emits monochromatic radiation of frequency 540 x 1012 hertz and that has a radiant intensity in that direction of 1/683 watt per steradian. (A steradian (sr) is the SI unit of solid angle, equal to the angle at the centre of a sphere subtended by a part of the surface equal in area to the square of the radius.)

## Derived Units

### Charge

The SI unit of charge is the coulomb (C). It is equal to ampere times second: ![1 \\ \\mathrm{C} = 1 \\ \\mathrm{A} \\cdot \\mathrm{s}](../../../upload.wikimedia.org/math/5/e/e/5ee532bf568cc451cd13ba1f50fa2461.png)

### Velocity

The SI unit for velocity is in m/s or metres per second.

### Force

The SI unit of force is the newton (![N](../../../upload.wikimedia.org/math/8/d/9/8d9c307cb7f3c4a32822a51922d1ceaa.png)), named after Sir Isaac Newton. It is equal to ![1 \\ \\mathrm{kg} \\cdot \\mathrm{m}/\\mathrm{s}^2](../../../upload.wikimedia.org/math/e/5/a/e5af19b9d25e728162fbc71c317a433e.png).

### Energy

The SI unit of energy is the joule (J). The joule has base units of kg·m²/s² = N·m. A joule is defined as the work done or energy required to exert a force of one newton for a distance of one metre. See [Wikipedia article](http://en.wikipedia.org/wiki/Joule).

### Pressure

The SI unit of pressure is the pascal (Pa). The pascal has base units of ![\\mathrm{N} / \\mathrm{m}^2](../../../upload.wikimedia.org/math/b/b/3/bb3a69d79328f804be9271e3b5a8cd22.png) or ![\\mathrm{kg} / \\mathrm{m} \\cdot \\mathrm{s}^2](../../../upload.wikimedia.org/math/3/a/e/3aee4066adf37e0e7920b15073d9a368.png). See [Wikipedia article](http://en.wikipedia.org/wiki/Pascal_\(pressure\)).

## Prefixes

Prefix
yotta
zetta
exa
peta
tera
giga
mega
kilo
hecto
deca
 
deci
centi
milli
micro
nano
pico
femto
atto
zepto
yocto

Symbol
Y
Z
E
P
T
G
M
k
h
da
 
d
c
m
µ
n
p
f
a
z
y

10n
1024
1021
1018
1015
1012
109
106
103
102
101
100
10-1
10-2
10-3
10-6
10-9
10-12
10-15
10-18
10-21
10-24

1000n
10008
10007
10006
10005
10004
10003
10002
10001
 
 
 
 
 
1000-1
1000-2
1000-3
1000-4
1000-5
1000-6
1000-7
1000-8

# Astronomical Measurements

The SI units are not always convenient to use, even with the larger (and smaller) prefixes. For astronomy, the following units are prevalent:

## Julian Year

The Julian year is defined by the IAU as exactly 365.25 days, a day being exactly 60*60*24 = 86,400 SI seconds. This is therefore equal to 31,557,600 seconds.

## Astronomical Unit

The Astronomical Unit (au or ua), often used for measuring distances in the Solar system, is the average distance from the Earth to the Sun. It is 149,597,870,691 m, ± 30 m, as currently defined.

## Light Year

The light year (ly) is defined as the distance light travels (in a vacuum) in one Julian year. Due to the word "year", the light year is often mistaken for a unit of time in popular culture. It is, however, a unit of length (distance), and is equal to exactly 9,460,730,472,580,800 m.

## Parsec

The parsec (pc), or "parallax second", is the distance of an object that appears to move two arc-seconds against the background stars as the Earth moves around the sun, or by definition one arc-second of parallax angle. This angle is measured in reference to a line connecting the object and the Sun, and thus the apparent motion is one arc-second on either side of this "central" position. The parsec is approximately 3.26156 ly.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Kinematics

Kinematics is the description of motion. The motion of a point particle is fully described using three terms - position, velocity, and acceleration. For real objects (which are not mathematical points), translational kinematics describes the motion of an object's center of mass through space, while angular kinematics describes how an object rotates about its centre of mass. In this section, we focus only on translational kinematics.

Position, displacement, velocity, and acceleration are defined as follows.

## Position

A vector is a quantity that has both magnitude and direction, typically written as a column of scalars. That is, a number that has a direction assigned to it.

In physics, a vector often describes the motion of an object. For example, Warty the Woodchuck goes 10 meters towards a hole in the ground.

We can divide vectors into parts called "components", of which the vector is a sum. For example, a two-dimensional vector is divided into **x** and **y** components.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c6/Real_Number_Line.svg/220px-Real_Number_Line.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

One dimensional coordinate system

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/2D_Cartesian_Coordinates.svg/220px-2D_Cartesian_Coordinates.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Two dimensional coordinate system

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Cartesian_coordinates_3D.svg/220px-Cartesian_coordinates_3D.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Three dimensional coordinate system

## Displacement

![\\Delta \\vec{x}\\equiv\\vec x_f- \\vec x_i\\,](../../../upload.wikimedia.org/math/f/c/8/fc84990eed74a317dfe39953950be551.png)

Displacement answers the question, "Has the object moved?"

Note the ![\\equiv](../../../upload.wikimedia.org/math/2/e/f/2ef0deb28c4bbc1ce6c11e4cce7e75b1.png) symbol. This symbol is a sort of "super equals" symbol, indicating that not only does ![\\vec x_f- \\vec x_i](../../../upload.wikimedia.org/math/c/7/a/c7a1b730a1e0c5b9281f76f375a22b62.png) EQUAL the displacement ![\\Delta\\vec{x}](../../../upload.wikimedia.org/math/8/4/3/8431a55312f10006e41affe22bae947d.png), but more importantly displacement is OPERATIONALLY DEFINED by ![\\vec x_f- \\vec x_i](../../../upload.wikimedia.org/math/c/7/a/c7a1b730a1e0c5b9281f76f375a22b62.png).

We say that ![\\vec x_f- \\vec x_i](../../../upload.wikimedia.org/math/c/7/a/c7a1b730a1e0c5b9281f76f375a22b62.png) operationally defines displacement, because ![\\vec x_f- \\vec x_i](../../../upload.wikimedia.org/math/c/7/a/c7a1b730a1e0c5b9281f76f375a22b62.png) gives a step by step procedure for determining displacement. Namely ...

  1. Measure where the object is initially.
  2. Measure where the object is at some later time.
  3. Determine the difference between these two position values.

Be sure to note that DISPLACEMENT is NOT the same as DISTANCE travelled.

For example, imagine travelling one time along the circumference of a circle. If you end where you started, your displacement is zero, even though you have clearly travelled some distance. In fact, displacement is an average distance travelled. On your trip along the circle, your north and south motion averaged out, as did your east and west motion.

Clearly we are losing some important information. The key to regaining this information is to use smaller displacement intervals. For example, instead of calculating your displacement for your trip along the circle in one large step, consider dividing the circle into 16 equal segments. Calculate the distance you travelled along each of these segments, and then add all your results together. Now your total travelled distance is not zero, but something approximating the circumference of the circle. Is your approximation good enough? Ultimately, that depends on the level of accuracy you need in a particular application, but luckily you can always use finer resolution. For example, we could break your trip into 32 equal segments for a better approximation.

Returning to your trip around the circle, you know the true distance is simply the circumference of the circle. The problem is that we often face a practical limitation for determining the true distance travelled. (The travelled path may have too many twists and turns, for example.) Luckily, we can always determine displacement, and by carefully choosing small enough displacement steps, we can use displacement to obtain a pretty good approximation for the true distance travelled. (The mathematics of calculus provides a formal methodology for estimating a "true value" through the use of successively better approximations.) In the rest of this discussion, I will replace ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png) with ![\\delta](../../../upload.wikimedia.org/math/f/1/0/f10f03c9836c36537d2539196058bfa2.png) to indicate that small enough displacement steps have been used to provide a good enough approximation for the true distance travelled.

## Velocity

![\\vec v_{av}\\equiv \\frac{\\vec{x_f}-\\vec{x_i}}{t_f-t_i}\\equiv \\frac{\\Delta\\vec{x}}{\\Delta t}](../../../upload.wikimedia.org/math/b/9/9/b990a71ef2f4965007b56023bb7ac6a8.png)

[Δ, _delta_, upper-case Greek D, is a _prefix_ conventionally used to denote a _difference_.] Velocity answers the question "Is the object moving now, and if so - how quickly?"

Once again we have an _operational_ definition: we are told what steps to follow to calculate velocity.

Note that this is a definition for **average** velocity. The displacement Δ_x_ is the **vector** sum of the smaller displacements which it contains, and some of these may subtract out. By contrast, the distance travelled is the **scalar** sum of the smaller distances, all of which are non-negative (they are the _magnitudes_ of the displacements). Thus the distance travelled can be larger than the magnitude of the displacement, as in the example of travel on a circle, above. Consequently, the average velocity may be small (or zero, or negative) while the speed is positive.

If we are careful to use very small displacement steps, so that they come pretty close to approximating the true distance travelled, then we can write the definition for INSTANTANEOUS velocity as

![\\vec v_{inst}\\equiv \\frac{\\vec{\\delta x}}{\\delta t}](../../../upload.wikimedia.org/math/f/a/6/fa67c26a2dfd89f15229167220af851d.png)

[δ is the lower-case _delta_.] Or with the idea of limits from [calculus](http://en.wikibooks.org/wiki/Calculus), we have ...

![\\vec v_{inst}\\equiv \\frac{d \\vec x}{dt}](../../../upload.wikimedia.org/math/1/4/8/1481d6189d605b0b8cd9c2bce57872ec.png)

[d, like Δ and δ, is merely a _prefix_; however, its use definitely specifies that this is a sufficiently small difference so that the error--due to stepping (instead of smoothly changing) the quantity--becomes negligible.]

## Acceleration

![\\vec a_{av}\\equiv \\frac{\\vec{v_f}-\\vec{v_i}}{t_f-t_i}\\equiv \\frac{\\Delta\\vec{v}}{\\Delta t}](../../../upload.wikimedia.org/math/8/b/1/8b1d23e7b81422002c22fb4e10568577.png)

Acceleration answers the question "Is the object's velocity changing, and if so - how quickly?"

Once again we have an operational definition. We are told what steps to follow to calculate acceleration.

Again, also note that technically we have a definition for AVERAGE acceleration. As for displacement, if we are careful to use a series of small velocity changes, then we can write the definition for INSTANTANEOUS acceleration as

![\\vec a_{inst}\\equiv \\frac{\\delta\\vec{v}}{\\delta t}](../../../upload.wikimedia.org/math/6/8/e/68e93aac8a888f85696690bc1eadb2ea.png)

Or with the help of [calculus](http://en.wikibooks.org/wiki/Calculus), we have ...

![\\vec a_{inst}\\equiv \\frac{d \\vec v}{dt} = \\frac{d^2\\vec x}{dt^2}](../../../upload.wikimedia.org/math/5/0/b/50baf5a9a56638580d50d3a2a24cc532.png)

## Vectors

Notice that the definitions given above for displacement, velocity, and acceleration included little arrows over many of the terms. The little arrow reminds us that direction is an important part of displacement, velocity, and acceleration. These quantities are VECTORS. By convention, the little arrow always points right when placed over a letter. So for example, ![\\vec v](../../../upload.wikimedia.org/math/1/7/f/17f7155aba53c6711ba808e04549a2dd.png) just reminds us that velocity is a vector, and does NOT imply that this particular velocity is rightward. Why do we need vectors? As a simple example, consider velocity. It is not enough to know how fast one is moving. We also need to know which direction we are moving. Less trivially, consider how many different ways an object could be experiencing an acceleration (a change in its velocity). Ultimately there are three distinct ways an object could accelerate.

  1. The object could be speeding up.
  2. The object could be slowing down.
  3. The object could be traveling at constant speed, while changing its direction of motion.

(More general accelerations are simply combinations of 1 and 3 or 2 and 3).

Importantly, a change in the direction of motion is just as much an acceleration as is speeding up or slowing down. In classical mechanics, no direction is associated with time (you cannot point to next Tuesday). So the definition of ![\\vec a_{av}](../../../upload.wikimedia.org/math/a/a/8/aa8f4d26e80eee62a075472232d2ca13.png) tells us that acceleration will point wherever the CHANGE in velocity ![\\Delta\\vec{v}](../../../upload.wikimedia.org/math/e/a/2/ea2c366f5ae032ca6fce051b29c81f3d.png) points. Understanding that the direction of ![\\Delta \\vec{v}](../../../upload.wikimedia.org/math/e/a/2/ea2c366f5ae032ca6fce051b29c81f3d.png) determines the direction of ![\\vec a](../../../upload.wikimedia.org/math/0/3/1/031287b7d833cd045e39cc3a0e273adc.png) leads to three non-mathematical but very powerful rules of thumb.

  1. If the velocity and acceleration of an object point in the same direction, the object's speed is increasing.
  2. If the velocity and acceleration of an object point in opposite directions, the object's speed is decreasing.
  3. If the velocity and acceleration of an object are perpendicular to each other, the object's initial speed stays constant (in that initial direction), while the speed of the object in the direction of the acceleration increases--think of a bullet fired horizontally in a vertical gravitational field. Since velocity in the one direction remains constant, and the velocity in the other direction increases, the overall velocity (absolute velocity) also increases.

(Again, more general motion is simply a combination of 1 and 3 or 2 and 3.)

Using these three simple rules will dramatically help your intuition of what is happening in a particular problem. In fact, much of the first semester of college physics is simply the application of these three rules in different formats.

# Equations of motion : Constant acceleration

A particle is said to move with constant acceleration if its velocity changes by equal amounts in equal intervals of time, no matter how small the intervals may be.

![ \\frac{d \\vec v}{dt} = 0\\ \\mathrm{m\\ s^{-2}}](../../../upload.wikimedia.org/math/b/6/3/b63bcb12189e20b300bc5cd1dc06f4ef.png)

Since acceleration is a vector, constant acceleration means that **both** direction and magnitude of this vector don't change during the motion. This means that average and instantaneous acceleration are equal. We can use that to derive an equation for velocity as a function of time by integrating the constant acceleration.

![ \\boldsymbol{v}\(t\)=\\boldsymbol{v}\(0\)+\\int\\limits_{0}^{t}\\boldsymbol{a}\\ dt](../../../upload.wikimedia.org/math/d/6/e/d6eef5e59daea4b5c66f05cb6cd900f9.png)

Giving the following equation for velocity as a function of time.

![ \\boldsymbol{v}\(t\)=\\boldsymbol{v}_0+\\boldsymbol{a}t](../../../upload.wikimedia.org/math/a/a/d/aad181c8ee2605d722eb4ccb2712a208.png)

To derive the equation for position we simply integrate the equation for velocity.

![\\boldsymbol{x}\(t\)=\\boldsymbol{x}\(0\)+\\int\\limits_{0}^{t}\\boldsymbol{v}\(t\)\\ dt](../../../upload.wikimedia.org/math/7/7/e/77e36d5ed1aa3fee44f8932cad4bdb25.png)

Integrating again gives the equation for position.

![\\boldsymbol{x}\(t\)=\\boldsymbol{x}_0+\\boldsymbol{v}_0t+\\frac{1}{2}\\boldsymbol{a}t^2](../../../upload.wikimedia.org/math/e/6/6/e6631c04c4b82ca62078634b6cd6d512.png)

The following are the 'Equations of Motion'. They are simple and obvious equations if you think over them for a while.

Equations of Motion

Equation Description

![ \\vec{x}=\\vec{x}_0 + \\vec{v}_0 t+\\frac{\\vec{a}t^2}{2} \\ ](../../../upload.wikimedia.org/math/7/3/e/73e70978e188ef50b2a3f61db07e8521.png)
Position as a function of time

![ \\vec v = \\vec v_0 + \\vec a t  \\ ](../../../upload.wikimedia.org/math/b/7/a/b7aac1dafde5c8c4525d1477ca6ee8a8.png)
Velocity as a function of time

The following equations can be derived from the two equations above by combining them and eliminating variables.

![ v^2 = v_0^2 + 2\\vec{a}\\cdot\(\\vec{x}-\\vec{x}_0\) \\ ](../../../upload.wikimedia.org/math/d/9/c/d9cbaf97a910e8a8dca9d6254fbb918a.png)
Eliminating time (_Very useful, see the section on_ [Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy))

![\\vec{x}=\\vec{x}_0+\\frac{\\vec{v}_0t+\\vec{v}t}{2}](../../../upload.wikimedia.org/math/1/8/f/18f92d9af78d868dfd707d3715e075b0.png)
Eliminating acceleration

Key to Symbols

Symbol Description

![\\vec{v}](../../../upload.wikimedia.org/math/2/0/d/20d88c8c828fbb1bc9168d9cfd816060.png)
velocity at time t

![\\vec{v_0}](../../../upload.wikimedia.org/math/3/e/4/3e42490fbba28efbd1bc1070418fd474.png)
initial velocity

![\\vec{a}](../../../upload.wikimedia.org/math/a/1/5/a159b61a2221d23bb55d352231cab456.png)
acceleration (constant)

![t\\ ](../../../upload.wikimedia.org/math/5/6/c/56c2d0697061be476753b824b2a40ef6.png)
time taken during the motion

![\\vec{x}](../../../upload.wikimedia.org/math/f/b/4/fb4766506bcea9e6256be140a411651d.png)
position at time t

![\\vec{x_0}](../../../upload.wikimedia.org/math/0/6/0/06005dc42275d3a982137572d07d14fc.png)
initial position

  


## Acceleration in One Dimension

![File:Example 1D Kinematics constant acceleration.ogv](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Example_1D_Kinematics_constant_acceleration.ogv/400px-seek=5-Example_1D_Kinematics_constant_acceleration.ogv.jpg) 

![File:Example vertical projectile motion.ogv](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Example_vertical_projectile_motion.ogv/400px-seek=601-Example_vertical_projectile_motion.ogv.jpg) 

## Acceleration in Two Dimensions

(Needs content)

## Acceleration in Three Dimensions

(Needs content)

  


  


  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Merge-arrow.svg/50px-Merge-arrow.svg.png)

**A Wikibookian suggests that this book or chapter be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) into _[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide)_ because:**  
This is because the module itself describes a small chapter already made in another module.   
Please discuss whether or not this merge should happen on the [discussion page](http://en.wikibooks.org/wiki/Talk:Physics_Study_Guide).

**Force** in motion

  
We need force in our life and motion too because there are things which needs to have force while it is moving, and if there is no force and there is motion in an object, then the object won't move. If it was the opposite the result will be the same.

## What does force in motion mean?

Force means strength and power. Motion means movement. That’s why we need forces and motions in our life. We need calculation when we want to know how fast things go, travel and other things which have force and motion. ...

## How do we calculate?

If you want to calculate the average speed, distance travelled or time taken you need to use this formula and remember it:
    
    
    ![ {speed} = \\frac{distance}{time\\ taken} ](../../../upload.wikimedia.org/math/b/b/7/bb72ef96f0a5d8dc13358bf4b036a1ec.png)
    

This is an easy formula to use, you can find the distance travelled, time taken or average speed, you need at least 2 values to find the whole answer.

## What is velocity?

It is not just the speed which is important when you go on a journey. The direction matters as well, then when you want to talk about direction as well as a speed we use the word velocity. This equation for the velocity is using the distance travelled, average speed and time taken. So it will be the same.

Those two racers are in a high speed while racing each other, they are stable in their direction, because they are in high speed and if the direction went out of control slightly and they are in high speed, then maybe the cyclist will get injured.

## Acceleration

When a car is speeding up we say that it is accelerating, when it slows down we say it is decelerating.

## How do we calculate it?

When we want to calculate it, the method goes like that: A lorry driver brakes hard, and slows from 25 m/s to 5 m/s in 5 seconds. What was the vehicle's acceleration?
    
    
    ![ {acceleration} = \\frac{change\\ in\\ velocity}{time\\ taken} = \\frac{5 - 25}{5} = \\frac{-20}{5} = -4\\ ms^{-2} ](../../../upload.wikimedia.org/math/b/6/b/b6bac9b8670a7575428267e2ce91bce9.png)
    

_**What is initial velocity and final velocity?**_ Initial velocity is the beginning before motion starts or in the middle of the motion, final velocity is when the motion stops.

There is another way to calculate it and it is like that This equations which are written is the primary ones, which means that when you don’t have lets say final velocity, how will you calculate the equation?

This is the way you are going to calculate.

## Observing motion

When you want to know how fast an athletic person is running, what you need is a stopwatch in your hand, then when the person starts to run, you start the stopwatch and when the person who is sprinting stops at the end point, you stop the watch and see how fast he ran, and if you want to see if the athlete is wasting his energy, while he is running look at his movement, and you will know by that if he is wasting his energy or not.

This athletic person is running, and while he is running the scientist could know if he was wasting his energy if they want by the stop watch and looking at his momentum.

## Measuring acceleration

Take a slope, a trolley, some tapes and a stop watch, then put the tapes on the slope and take the trolley on the slope, and the stopwatch in your hand, as soon as you release the trolley, start timing the trolley at how fast it will move, when the trolley stops at the end then stop the timing. After wards, after seeing the timing , record it, then you let the slope a little bit high, and you will see, how little by little it will decelerate.

## Who is Newton, and what did he observe?

He was an English physicist, mathematician, astronomer, alchemist, and natural philosopher, he has three laws for physics, and they are:

  1. Newton's First Law (also known as the Law of Inertia) states that an object at rest tends to stay at rest and that an object in uniform motion tends to stay in uniform motion unless acted upon by a net external force.
  2. Newton's Second Law states that an applied force, F, on an object equals the time rate of change of its momentum, p. the acceleration of an object is directly proportional to the magnitude of the net force acting on the object and inversely proportional to its mass. In the MKS system of measurement, mass is given in kilograms, acceleration in metres per second squared, and force in newtons (named in his honour).
  3. Newton's Third Law states that for every action there is an equal and opposite reaction.

**Symbols**

Distance travelled=D

Force= F

Initial velocity=U

Final velocity=V

Velocity=V

Acceleration=A

Change in velocity=∆V

Mass=M

Newton=N

Gravity= G

Weight=W

## Force

Now here we are going to learn how to calculate the force, mass and acceleration. When we want to calculate the force, and we have the mass and acceleration, how are we going to calculate it? force=mass multiply acceleration This is considered in the second law of Newton. What is mass? Sometimes it is defined as the amount of matter in a body. But in Newton’s second law is defined as a numerical measure of inertia. What is inertia? The tendency of a body to maintain is state of rest or uniform motion unless acted upon by an external force.

Who is Hooke, and what is his law? (July 18, 1635 – March 3, 1703.)He was an English polymath who played an important role in the scientific revolution, through both experimental and theoretical work. His law was about the spring limit, if you have stretched the spring beyond its limit, it will then change permanently, and will not return to its original place. The rubber band doesn’t obey Hooke’s law. This spring is not beyond its limit, so when you remove the weight, then it will automatically return to its place.

  
**Please add {{[alphabetical](http://en.wikibooks.org/wiki/Template:Alphabetical)}} only to book title pages.**

  


![25% developed](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/24px-25_percent.svg.png)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

# Force

A net **force** on a body causes a body to accelerate. The amount of that acceleration depends on the body's **inertia** (or its tendency to resist changes in motion), which is measured as its **mass**. When Isaac Newton formulated Newtonian mechanics, he discovered three fundamental laws of motion.

Later, Albert Einstein proved that these laws are just a convenient approximation. These laws, however, greatly simplify calculations and are used when studying objects at velocities that are small compared with the speed of light.

## Friction

**It is the force that opposes relative motion or tendency of relative motion between two surfaces in contact** represented by f. When two surfaces move relative to each other or they have a tendency to move relative to each other, at the point (or surface) of contact, there appears a force which opposes this relative motion or tendency of relative motion between two surfaces in contact. It acts on both the surfaces in contact with equal magnitude and opposite directions (Newton's 3rd law). Friction force tries to stop relative motion between two surfaces in contact, if it is there, and when two surfaces in contact are at rest relative to each other, the friction force tries to maintain this relative rest. Friction force can assume the magnitude (below a certain maximum magnitude called limiting static friction) required to maintain relative rest between two surfaces in contact. Because of this friction force is called a self adjusting force.

Earlier, it was believed that friction was caused due to the roughness of the two surfaces in contact with each other. However, modern theory stipulates that the cause of friction is the Coulombic force between the atoms present in the surface of the regions in contact with each other.

Formula: Limiting Friction = (Friction Coefficient)(Normal reaction)

Static Friction = the friction force that keeps an object at relative rest.

Kinetic Friction = sliding friction

## Newton's First Law of Motion

(The Law of Inertia)

**A static object with no net force acting on it remains at rest or if in movement it will maintain a constant velocity**

This means, essentially, that acceleration does not occur without the presence of a force. The object tends to maintain its state of motion. If it is at rest, it remains at rest and if it is moving with a velocity then it keeps moving with the same velocity. This tendency of the object to maintain its state of motion is greater for larger mass. The "mass" is, therefore, a measure of the inertia of the object.

In a state of equilibrium, where the object is at rest or proceeding at a constant velocity, the net force in every direction must be equal to 0.

At a constant velocity (including zero velocity), the **sum of forces** is 0. If the sum of forces does not equal zero, the object will accelerate (change velocity over time).

It is important to note, that this law is applicable only in non-accelerated coordinate systems. It is so, because the perception of force in accelerated systems are different. A body under balanced force system in one frame of reference, for example a person standing in an accelerating lift, is acted upon by a net force in the earth's frame of reference.

**Inertia is the tendency of an object to maintain its velocity i.e. to resist acceleration.**

  * Inertia is not a force.
  * Inertia varies directly with mass.

## Newton's Second Law of Motion

  * **The time rate of change in momentum is proportional to the applied force and takes place in the direction of the force.**
  * '_The acceleration of an object is proportional to the force acting upon it._

These two statements mean the same thing, and is represented in the following basic form (the system of measurement is chosen such that constant of proportionality is 1) :

![\\vec{F} = \\frac{\\mathrm{d}}{\\mathrm{d}t}\(m\\vec{v}\)](../../../upload.wikimedia.org/math/d/d/7/dd7abfc26ac768881a1c393f4cb49b88.png)

The product of mass and velocity i.e. _m_**v** is called the momentum. The net force on a particle is ,thus, equal to rate change of momentum of the particle with time. Generally mass of the object under consideration is constant and thus can be taken out of the derivative.

![\\vec{F} = m \\frac{\\mathrm{d}}{\\mathrm{d}t}\(\\vec{v}\)= m\\vec{a}](../../../upload.wikimedia.org/math/9/7/7/977dda956c97b4398cd7dabeef85fafc.png)

  
**Force** is equal to **mass** times **acceleration**. This version of Newton's Second Law of Motion assumes that the mass of the body does not change with time, and as such, does not represent a general mathematical form of the Law. Consequently, this equation cannot, for example, be applied to the motion of a rocket, which loses its mass (the lost mass is ejected at the rear of the rocket) with the passage of time.

An example: If we want to find out the downward force of gravity on an object on Earth, we can use the following formula:

![\\|\\vec{F}\\| = m\\|\\vec{g}\\|](../../../upload.wikimedia.org/math/4/4/4/444f7df3fccb088e3bfb4f0518d101d8.png)

Hence, if we replace m with whatever mass is appropriate, and multiply it by 9.806 65 m/s2, it will give the force in newtons that the earth's gravity has on the object in question(in other words, the body's weight).

![File:Example Newton's 2nd in 1D, Thrust and Drag.ogv](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/71/Example_Newton's_2nd_in_1D,_Thrust_and_Drag.ogv/720px-seek=618-Example_Newton's_2nd_in_1D,_Thrust_and_Drag.ogv.jpg) 

## Newton's Third Law of Motion

**Forces occur in pairs equal in magnitude and opposite in direction**

This means that for every force applied on a body A by a body B, body B receives an equal force in the exact opposite direction. This is because forces can only be applied by a body on another body. It is important to note here that the pair of forces act on two different bodies, affecting their state of motion. This is to emphasize that pair of equal forces do not cancel out.

**There are no spontaneous forces.**

It is very important to note that the forces in a "Newton 3 pair", described above, can never act on the same body. One acts on A, the other on B. A common error is to imagine that the force of gravity on a stationary object and the "contact force" upwards of the table supporting the object are equal by Newton's third law. This is not true. They may be equal - but because of the second law (their sum must be zero because the object is not accelerating), not because of the third.

The "Newton 3 pair" of the force of gravity (= earth's pull) on the object is the force of the object attracting the earth, pulling it upwards. The "Newton 3 pair" of the table pushing it up is that it, in its turn, pushes the table down.

## Equations

_To find [Displacement](http://en.wikipedia.org/wiki/Displacement_%28vector%29)_

![\\Delta x=\(\\vec{v}_{i}\)\(\\mathrm t\) + \\frac{1}{2}\(\\vec{a}\)\(\\mathrm t\)^{2}](../../../upload.wikimedia.org/math/6/9/c/69ccab23bb379820d583c64228ed7fb3.png)

_To find Final [Velocity](http://en.wikipedia.org/wiki/Velocity)_

![\\vec{v}_{f}=\\vec{v}_{i} + \(\\vec{a}\)\(\\mathrm t\)](../../../upload.wikimedia.org/math/0/b/b/0bbb1f194c65de86aebb5985d7724b94.png)

_To find Final [Velocity](http://en.wikipedia.org/wiki/Velocity)_

![\(\\vec{v}_{f}\)^{2}=\(\\vec{v}_{i}\)^{2} + 2\(\\vec{a}\)\(\\Delta x\)](../../../upload.wikimedia.org/math/4/c/5/4c558803f2f40542a6a307e4efbd9350.png)

_To find Force when mass is changing_

![\\vec{F} = \\frac{\\mathrm{d}}{\\mathrm{d}t}\(m\\vec{v}\)](../../../upload.wikimedia.org/math/d/d/7/dd7abfc26ac768881a1c393f4cb49b88.png)

_To find Force when mass is a constant_

![\\vec{F} = m \\frac{\\mathrm{d}}{\\mathrm{d}t}\(\\vec{v}\)= m\\vec{a}](../../../upload.wikimedia.org/math/9/7/7/977dda956c97b4398cd7dabeef85fafc.png)

Variables

    ![\\vec{F}](../../../upload.wikimedia.org/math/4/e/9/4e9ab0875a0738cea2aeeace5cda7851.png) Force (N)
    ![m\\ ](../../../upload.wikimedia.org/math/d/4/8/d482d61667a2a8f3a40b25f2626b6d16.png) Mass (kg)
    ![\\vec{a}](../../../upload.wikimedia.org/math/a/1/5/a159b61a2221d23bb55d352231cab456.png) Acceleration (m/s2)
    ![\\vec{p}](../../../upload.wikimedia.org/math/e/9/b/e9b39065768c661cdf242556fe3bcc0e.png) Momentum (kg m/s)
    ![t\\ ](../../../upload.wikimedia.org/math/5/6/c/56c2d0697061be476753b824b2a40ef6.png) time (s)
    ![\\vec{T}](../../../upload.wikimedia.org/math/0/9/0/090a9ac6c5f8d0dd0e3acab3b89a4c90.png) Tension (N)
    ![\\vec{g}](../../../upload.wikimedia.org/math/8/d/4/8d4ff7d497f173923a5d39f5be01e831.png) Acceleration due to gravity near the earth's surface (![\\|\\vec{g}\\|=9.806\\ 65\\mathrm{m/s^2}](../../../upload.wikimedia.org/math/6/3/c/63cf443bab623ca6d8d4d8ad16f9afef.png) see [Physics Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants))

Definitions

    **Force (F):** Force is equal to rate change of momentum with time. (Newton’s second law). A vector. Units: newtons (N)
    **The newton (N):** defined as the force it takes to accelerate one kilogram one metre per second squared (U.S. meter per second squared), that is, the push it takes to speed up one kilogram from rest to a velocity of 1 m/s in 1 second ![1 \\mathrm{N} = 1 \\mathrm{kg}\\cdot\\mathrm{m}/\\mathrm{s}^2](../../../upload.wikimedia.org/math/b/9/b/b9b9b94eef800b14e778b6ca606ff665.png)
    **Mass** _(m)_ **:** Also called **inertia.** The tendency of an object to resist change in its motion, and its response to a gravitational field. A [scalar](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars). Units: kilograms (kg)
    **Acceleration (a):** Change in velocity (Δ**v**) divided by time (_t_). A vector. Units: meters per second squared (U.S. meters per seconds squared) (m/s2)
    **Momentum (p):** Mass times velocity. Expresses the motion of a body and its resistance to changing that motion. A [vector](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars). Units: kg m/s

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Momentum

## Linear momentum

![\\vec{p} = m\\vec{v}](../../../upload.wikimedia.org/math/f/7/a/f7a96c12971e56c1b85920c0dd5b681e.png)

**Momentum** is equal to **mass** times **velocity**.

## Angular momentum

![\\vec{L} = \\vec{r}\\times\\vec{p} = m\\vec{r}\\times\\vec{v}](../../../upload.wikimedia.org/math/f/5/5/f558d335d8f4184f06fb852e63f3a73f.png)

**Angular momentum** of an object revolving around an external axis **O** is equal to the cross-product of the **position vector** with respect to **O** and its **linear momentum**.

  


![\\vec{L} = I\\vec{\\omega}](../../../upload.wikimedia.org/math/c/d/6/cd6ccd91ef362cb605e4470fbd78453d.png)

**Angular momentum** of a rotating object is equal to the **moment of inertia** times **angular velocity**.

## Force and linear momentum, torque and angular momentum

![\\vec{F} = \\frac{\\Delta\\vec{p}}{\\Delta t}](../../../upload.wikimedia.org/math/2/b/c/2bce59dd8cc76636b379baad424c9d05.png)

is equal to the **change in linear momentum** over the **change in time**.

  


![\\vec{\\tau} = \\frac{\\Delta\\vec{L}}{\\Delta t}](../../../upload.wikimedia.org/math/9/a/8/9a80bd2f6fca297d4e6d51303610530d.png)

**Net torque** is equal to the **change in angular momentum** over the **change in time**.

## Conservation of momentum

![\\mathbf{p}_i = \\mathbf{p}_f](../../../upload.wikimedia.org/math/3/e/e/3ee8da15835291f8a807360f5219488a.png)

  


![\\vec{L}_i = \\vec{L}_f](../../../upload.wikimedia.org/math/6/e/7/6e7166e56eacf6002e1297f6b09cb843.png)

Let us prove this law.

We'll take two particles, say, _a_ and _b_. Their momentums are ![\\vec p_a](../../../upload.wikimedia.org/math/8/e/6/8e652ec682c73410952aed98d0c53929.png) and ![\\vec p_b](../../../upload.wikimedia.org/math/8/7/4/874b35d976dad69c2045b82e0c853e79.png).They are moving opposite to each other along the x-axis and they collide. Now force is given by:

    ![\\vec{F} = \\frac{\\mathrm{d}\\vec{p}}{\\mathrm{d}t}](../../../upload.wikimedia.org/math/a/1/d/a1de903ecd0330b6eba751b53feb3b51.png)

According to Newton's third law,the forces on each particle are equal and opposite.So,

    ![\\frac{\\mathrm{d}\\vec{p}_a}{\\mathrm{d}t} =- \\frac{\\mathrm{d} \\vec{p}_b}{\\mathrm{d}t}](../../../upload.wikimedia.org/math/4/9/2/492b7953d297479a08093d8c545a7195.png)

Rearranging,

    ![\\frac{d \(\\vec{p}_a + \\vec{p}_b\)}{\\mathrm{d}t} =0](../../../upload.wikimedia.org/math/2/a/f/2af55e9b383f7fc069cbf89c2df83e93.png)

This means that the sum of the momentums does not change with time. Therefore, the law is proved.

## Variables

  


**p:** momentum, (kg·m/s)  
_m:_ mass, (kg)  
**v:** velocity (m/s)  
**L:** angular momentum, (kg·m2/s)  
**I:** moment of inertia, (kg·m2)  
**ω:** angular velocity (rad/s)  
**α:** angular acceleration (rad/s2)  
**F:** force (N)  
_t:_ time (s)  
**r:** position vector (m)

* * *

  * **Bold** denotes a vector quantity.
  * _Italics_ denotes a scalar quantity.

## Definition of terms

**Momentum (p):** Mass times velocity. (kg·m/s)  
  
**Mass** _(m)_ **:** A quantity that describes how much material exists, or how the material responds in a gravitational field. Mass is a measure of inertia. (kg)  
  
**Velocity (v):** Displacement divided by time (m/s)  
  
**Angular momentum (L):** A vector quantity that represents the tendency of an object in circular or rotational motion to remain in this motion. (kg·m2/s)  
  
**Moment of inertia (I):** A scalar property of a rotating object. This quantity depends on the mass of the object and how it is distributed. The equation that defines this is different for differently shaped objects. (kg·m2)  
  
**Angular speed (**ω**):** A scalar measure of the rotation of an object. Instantaneous velocity divided by radius of motion (rad/s)  
  
**Angular velocity (ω):** A vector measure of the rotation of an object. Instantaneous velocity divided by radius of motion, in the direction of the axis of rotation. (rad/s)  
  
**Force (F):** mass times acceleration, a vector. Units: newtons (N)  
  
**Time** _(t)_ **:** (s)  
  
**Isolated system:** A system in which there are no external forces acting on the system.  
  
**Position vector (r):** a vector from a specific origin with a magnitude of the distance from the origin to the position being measured in the direction of that position. (m)

## Calculus-based Momentum

![\\vec{F} = \\frac{\\mathrm{d}\\vec{p}}{\\mathrm{d}t}](../../../upload.wikimedia.org/math/a/1/d/a1de903ecd0330b6eba751b53feb3b51.png)

**Force** is equal to the derivative of **linear momentum** with respect to **time**.

  


![
\\vec{\\tau} = \\frac{\\mathrm{d}\\vec{L}}{\\mathrm{d}t}](../../../upload.wikimedia.org/math/a/4/4/a441531fd1dcca961b497e1579ad570c.png)

**Torque** is equal to the derivative of **angular momentum** with respect to **time**.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## The Normal Force

Why is it that we stay steady in our chairs when we sit down? According to the first law of motion, if an object is translationally in equilibrium (velocity is constant), the sum of all the forces acting on the object must be equal to zero. For a person sitting on a chair, it can thus be postulated that a **normal force** is present balancing the **gravitational force** that pulls the sitting person down. However, it should be noted that only some of the normal force can cancel the other forces to zero like in the case of a sitting person. In Physics, the term **normal** as a modifier of the **force** implies that this force is acting perpendicular to the surface at the point of contact of the two objects in question. Imagine a person leaning on a vertical wall. Since the person does not stumble or fall, he/she must be in equilibrium. Thus, the component of his/her weight along the horizontal is balanced or countered (opposite direction) by an equal amount of force -- this force is the _normal force_ on the wall. So, on a slope, the normal force would not point upwards as on a horizontal surface but rather perpendicular to the slope surface.

The normal force can be provided by any one of the four fundamental forces, but is typically provided by electromagnetism since microscopically, it is the repulsion of electrons that enables interaction between surfaces of matter. There is no easy way to calculate the normal force, other than by assuming first that there is a normal force acting on a body in contact with a surface (direction perpendicular to the surface). If the object is not accelerating (for the case of uniform circular motion, the object is accelerating) then somehow, the magnitude of the normal force can be solved. In most cases, the magnitude of the normal force can be solved together with other unknowns in a given problem.

Sometimes, the problem does not warrant the knowledge of the normal force(s). It is in this regard that other formalisms (e.g. Lagrange method of undertermined coefficients) can be used to eventually _solve_ the physical problem.

  


## Friction

When there is relative motion between two surfaces, there is a resistance to the motion. This force is called friction. Friction is the reason why people could not accept Newton's first law of Motion, that an object tends to keep its state of motion. Friction acts opposite to the direction of the original force. **The frictional force** is equal to the **frictional coefficient** times the **normal force**.

Friction is caused due to attractive forces between the molecules near the surfaces of the objects. If two steel plates are made really flat and polished and cleaned and made to touch in a vacuum, it bonds together. It would look as if the steel was just one piece. The bonds are formed as in a normal steel piece. This is called cold welding. And this is the main cause of friction.

The above equation is an empirical one--in general, the frictional coefficient is not constant. However, for a large variety of contact surfaces, there is a well characterized value. This kind of friction is called Coulomb friction. There is a separate coefficient for both static and kinetic friction. This is because once an object is pushed on, it will suddenly jerk once you apply enough force and it begins to move.

Also, the frictional coefficient varies greatly depending on what two substances are in contact, and the temperature and smoothness of the two substances. For example, the frictional coefficients of glass on glass are very high. When you have similar materials, in most cases you don't have Coulomb friction.

For **static friction**, the force of friction actually increases proportionally to the force applied, keeping the body immobile. Once, however, the force exceeds the maximum frictional force, the body will begin to move. The maximum frictional force is calculated as follows:

![\\left|\\vec{F}_f\\right| \\leq \\mu_s\\left|\\vec{N}\\right|](../../../upload.wikimedia.org/math/0/c/a/0caf64afdc3c4df9392e4247fa330484.png)

**The static frictional force** is less than or equal to the **coefficient of static friction** times the **normal force**. Once the frictional force equals the coefficient of static friction times the normal force, the object will break away and begin to move.

Once it is moving, the frictional force then obeys:

![\\left|\\vec{F}_f\\right| = \\mu_k\\left|\\vec{N}\\right|](../../../upload.wikimedia.org/math/f/6/9/f6943f86ee1381125234ed0da80da43b.png)

**The kinetic frictional force** is equal to the **coefficient of kinetic friction** times the **normal force**. As stated before, this always opposes the direction of motion.

![File:Example coefficient of friction, Newton's 2nd, Newton's 3rd laws.ogv](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Example_coefficient_of_friction,_Newton's_2nd,_Newton's_3rd_laws.ogv/720px-seek=344-Example_coefficient_of_friction,_Newton's_2nd,_Newton's_3rd_laws.ogv.jpg) 

## Variables

Symbol Units Definition

![\\vec{F}_f](../../../upload.wikimedia.org/math/3/4/3/34383212ff028a8bb22e3f9e838cf069.png)
![\\mathrm{N}\\ ](../../../upload.wikimedia.org/math/5/d/b/5dbf54e4fb219197aa80582b4b1da00a.png)
Force of friction

![\\mu\\ ](../../../upload.wikimedia.org/math/e/e/f/eefd5d1da2c8a92c0ce03a0b7993d1ef.png)
none
Coefficient of friction

## Definition of Terms

**Normal force (N):** The force on an object perpendicular to the surface it rests on utilized in order to account for the body's lack of movement. Units: newtons (N)  
  
**Force of friction (Ff):** The force placed on a moving object opposite its direction of motion due to the inherent roughness of all surfaces. Units: newtons (N)  
  
**Coefficient of friction (**μ**):** The coefficient that determines the amount of friction. This varies tremendously based on the surfaces in contact. There are no units for the coefficient of either static or kinetic friction  


It's important to note, that in real life we often have to deal with viscose and turbulent friction - they appear when you move the body through the matter.

Viscose friction is proportional to velocity and takes place at approximately low speeds. Turbulent friction is proportional to ![V^2](../../../upload.wikimedia.org/math/8/d/2/8d270a70568f02d8bbcb83fd0501893d.png) and takes place at higher velocities.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

# Work

**Work** is equal to the scalar product of **force** and **displacement**.

![W = \\vec{F}\\cdot\\vec{d}](../../../upload.wikimedia.org/math/c/4/6/c46032d254ec9c524111393e43ae8150.png)

The scalar product of two vectors is defined as the product of their lengths with the cosine of the angle between them. **Work** is equal to **force** times **displacement** times the cosine of the **angle** between the directions of force and displacement.

![W =\\|\\vec{F}\\|\\ \\|\\vec{d}\\|\\cos\\theta](../../../upload.wikimedia.org/math/1/d/2/1d229aed153ae68cfacf19511ccd60fb.png)

**Work** is equal to change in **kinetic energy** plus change in **potential energy** for example the potential energy due to gravity.

![W = \\Delta\\mathrm{KE}+ \\Delta\\mathrm{PE}_g\\ ](../../../upload.wikimedia.org/math/9/1/4/91452746d08ae0bd6442778b1bd9400c.png)

**Work** is equal to average **power** times **time.**

![W = Pt\\ ](../../../upload.wikimedia.org/math/a/0/9/a09295c07a476cb2027ad67e38ff821f.png)

The **Work** done by a force taking something from point 1 to point 2 is

![W_{1,2}=\\int_{\\vec{x}_1}^{\\vec{x}_2}\\vec{F}\\cdot d\\vec{l}](../../../upload.wikimedia.org/math/7/b/1/7b161873f6dc86fd9ae8478cd1289ea3.png)

  
Work is in fact just a transfer of energy. When we 'do work' on an object, we transfer some of our energy to it. This means that the work done on an object is its increase in energy. Actually, the kinetic energy and potential energy is measured by calculating the amount of work done on an object. The gravitational potential energy (there are many types of potential energies) is measure as 'mgh'. mg is the weight/force. And h is the distance. The product is nothing but the work done. Even kinetic energy is a simple deduction from the laws of linear motion. Try substituing for v^2 in the formula for kinetic energy.

## Variables

  


**W:** Work (J)  
**F:** Force (N)  
**d:** Displacement (m)  


## Definition of terms

**Work (W):** Force times distance. Units: joules (J)  
  
**Force (F):** mass times acceleration (Newton’s classic definition). A vector. Units: newtons (N)

When work is applied to an object or a system it adds or removes **kinetic energy** to or from that object or system. More precisely, a net force in one direction, when applied to an object moving opposite or in the same direction as the force, kinetic energy will be added or removed to or from that object. Note that work and energy are measured in the same unit, the joule (J).

* * *

[Advanced work topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work_\(Advanced\))

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

# Energy

Kinetic energy is simply the capacity to do work by virtue of motion.

**(Translational) kinetic energy** is equal to one-half of **mass** times the square of **velocity**.

![\\mathrm{KE}_T=\\frac{1}{2}m\\|\\vec{v}\\|^2](../../../upload.wikimedia.org/math/6/0/2/60251bde2ba3dd19213ea0c66f62c855.png)

**(Rotational) kinetic energy** is equal to one-half of **moment of inertia** times the square of **angular velocity**.

![\\mathrm{KE}_R=\\frac{1}{2}I\\omega^2](../../../upload.wikimedia.org/math/f/5/2/f5274061bc6f98dac2cfe83d115f4440.png)

**Total kinetic energy** is simply the sum of the translational and rotational kinetic energies. In most cases, these energies are separately dealt with. It is easy to remember the rotational kinetic energy if you think of the moment of inertia I as the _rotational mass_. However, you should note that this substitution is not universal but rather a rule of thumb.

Potential energy is simply the capacity to do work by virtue of position (or arrangement) relative to some zero-energy reference position (or arrangement).

**Potential energy** due to gravity is equal to the product of **mass**, **acceleration** due to gravity, and **height (elevation)** of the object.

![\\mathrm{PE}_g= -m\\vec{g}\\cdot\\vec{x}=mgy](../../../upload.wikimedia.org/math/4/f/3/4f303936fa99bb86b5e18cc74e781239.png)

Note that this is simply the vertical displacement multiplied by the weight of the object. The reference position is usually the level ground but the initial position like the rooftop or treetop can also be used. **Potential energy** due to spring deformation is equal to one-half the product of the **spring constant** times the square of the **change in length** of the spring.

![\\mathrm{PE}_e=\\frac{1}{2}k\\|\\vec{x}-\\vec{x}_e\\|^2=\\frac{1}{2}k\\|\\Delta\\vec{x}\\|^2](../../../upload.wikimedia.org/math/0/6/8/0681fd26ba0dfcf703953a4d099b4e86.png)

The reference point of spring deformation is normally when the spring is "relaxed," i.e. the net force exerted by the spring is zero. It will be easy to remember that the one-half factor is inserted to compensate for finite '"change in length" since one would want to think of the product of force and change in length ![\(k\\Delta\\vec{x}\)\\cdot\\Delta\\vec{x}](../../../upload.wikimedia.org/math/2/0/3/203816e3c9b7270bb3f1532e49e26d8d.png) directly. Since the force actually varies with ![\\Delta\\vec{x}](../../../upload.wikimedia.org/math/8/4/3/8431a55312f10006e41affe22bae947d.png), it is instructive to need a "correction factor" during integration.

  


  


## Definition of terms

**Energy:** a theoretically indefinable quantity that describes potential to do work. SI unit for energy is the joule (J). Also common is the calorie (cal).  
  
**The joule:** defined as the energy needed to push with the force of one newton over the distance of one meter. Equivalent to one newton-meter (N·m) or one watt-second (W·s).  


    **1 joule = 1 J = 1 newton • 1 meter = 1 watt • 1 second**  


Energy comes in many varieties, including Kinetic energy, Potential energy, and Heat energy.  
  
**Kinetic energy (K):** The energy that an object has due to its motion. Half of velocity squared times mass. Units: joules (J)  
  
**Potential energy due to gravity (UG):** The energy that an object has stored in it by elevation from a mass, such as raised above the surface of the earth. This energy is released when the object becomes free to move. Mass times height time acceleration due to gravity. Units: joules (J)  
  
**Potential energy due to spring compression (UE):** Energy stored in spring when it is compressed. Units: joules (J)  
  
**Heat energy (Q):** Units: joules (J)  
  
**Spring compression (Dx):** The difference in length between the spring at rest and the spring when stretched or compressed. Units: meters (m)  
  
**Spring constant (k):** a constant specific to each spring, which describes its “springiness”, or how much work is needed to compress the spring. Units: newtons per meter (N/m)  
  
**Change in spring length (Δx):** The distance between the at-rest length of the spring minus the compressed or extended length of the spring. Units: meters (m)  
  
**Moment of inertia (I):** Describes mass and its distribution. (kg•m2)  
  
**Angular momentum (ω):** Angular velocity times mass (inertia). (rad/s)

# [Section Two](http://en.wikibooks.org/wiki/Physics_Study_Guide/Print_version/Section_Two)

## Uniform Circular Motion

### Speed and frequency

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Coordonnees_polaires_plan.png/220px-Coordonnees_polaires_plan.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

A two dimensional polar co-ordinate system

Uniform circular motion assumes that an object is moving (1) in circular motion, and (2) at constant speed ![v](../../../upload.wikimedia.org/math/9/e/3/9e3669d19b675bd57058fd4664205d2a.png); then

![T = \\frac{2 \\pi r }{v}](../../../upload.wikimedia.org/math/4/6/c/46c74290435bb71f9c7acd43cfbe341d.png)

where _r_ is the radius of the circular path, and ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) is the time period for one revolution.

Any object travelling on a circle will return to its original starting point in the period of one revolution, _T_. At this point the object has travelled a distance ![2\\pi r](../../../upload.wikimedia.org/math/1/1/e/11e182d4c29bdf5bad4882f4809ff77e.png). If _T_ is the time that it takes to travel distance 2π_r_ then the object's speed is

![v = \\frac{2\\pi r}{T}= 2\\pi r f](../../../upload.wikimedia.org/math/5/9/c/59c3152220e9919c6d8d7c565f30880a.png)

where ![ f = \\frac{1}{T}](../../../upload.wikimedia.org/math/c/f/5/cf56377ea780a8ce1586d2abed17482c.png)

### Angular frequency

Uniform circular motion can be explicitly described in terms of polar coordinates through angular frequency, _ω:_

![\\omega =  \\frac{\\mathrm{d}}{\\mathrm{d}t}\(\\theta\)](../../../upload.wikimedia.org/math/8/6/f/86f60c05f18ad3cd576f54e96dd7aa00.png)

where θ is the angular coordinate of the object (see the diagram on the right-hand side for reference).

Since the speed in uniform circular motion is constant, it follows that

![\\omega =  \\frac{\\Delta \\theta}{\\Delta t}](../../../upload.wikimedia.org/math/2/4/4/244deeedfa68481e72a921f39efa6321.png)

From that fact, a number of useful relations follow:

![\\omega = {{2 \\pi} \\over T} = {2 \\pi f} = \\frac {v} {r} ](../../../upload.wikimedia.org/math/c/d/b/cdb06fae8c79a8009187e6458aea8939.png)

The equations that relate how θ changes with time are analogous to those of linear motion at constant speed. In particular,

![\\theta = \\theta_0 + \\omega t \\!](../../../upload.wikimedia.org/math/0/0/f/00f85d8d6f8bb8c25691629deda3dc45.png)

The angle at ![t = 0](../../../upload.wikimedia.org/math/3/e/8/3e8f7b0adf6d7024b951f29a18225e4a.png), ![\\theta_0](../../../upload.wikimedia.org/math/3/d/7/3d7e996adfe310516ca31c796df1ce8c.png), is commonly referred to as _phase_.

### Velocity, centripetal acceleration and force

The position of an object in a plane can be converted from polar to cartesian coordinates through the equations

![x = r \\cos \\theta \\!](../../../upload.wikimedia.org/math/4/1/8/41822aab8d467ac22e71cc26cec8b452.png)

![y = r \\sin \\theta \\!](../../../upload.wikimedia.org/math/b/5/8/b588b556e014f4b339174ce9ce352cad.png)

Expressing θ as a function of time gives equations for the cartesian coordinates as a function of time in uniform circular motion:

![x = r \\cos \(\\theta_0 + \\omega t\) \\!](../../../upload.wikimedia.org/math/b/4/d/b4d9c4684145e395af0932846d8715ae.png)

![y = r \\sin \(\\theta_0 + \\omega t\) \\!](../../../upload.wikimedia.org/math/d/0/5/d0513b45f4cf4617e9afc5849ab7a012.png)

Differentiation with respect to time gives the components of the velocity vector:

![v_x = \\omega r \(-\\sin \(\\omega t\)\) = -v \\sin \(\\omega t\) \\!](../../../upload.wikimedia.org/math/9/e/2/9e2162528680597145451db1c7239763.png)

![v_y = \\omega r \\cos \(\\omega t\) = v \\cos \(\\omega t\) \\!](../../../upload.wikimedia.org/math/9/b/c/9bcd61c3686ed97cff38573569a9dd82.png)

Velocity in circular motion is a vector tangential to the trajectory of the object. Furthermore, even though the speed is constant the velocity vector changes direction over time. Further differentiation leads to the components of the acceleration (which are just the rate of change of the velocity components):

![a_x = - \\omega ^2 r \\cos \(\\omega t\) \\!](../../../upload.wikimedia.org/math/a/8/a/a8a6718b7a2c4632c5b4fcdfe6eb5606.png)

![a_y = - \\omega ^2 r \\sin \(\\omega t\) \\!](../../../upload.wikimedia.org/math/c/8/6/c86d017c90e3c44cb553ef2fd9ebf214.png)

The acceleration vector is perpendicular to the velocity and oriented towards the centre of the circular trajectory. For that reason, acceleration in circular motion is referred to as _centripetal acceleration_.

The absolute value of centripetal acceleration may be readily obtained by

![a_{cp} = \\sqrt{a_x ^2 + a_y ^ 2} = \\sqrt{\(\\omega ^2 r\)^2 \(\\cos^2 \(\\omega t\) + \\sin^2 \(\\omega t\)\)} ](../../../upload.wikimedia.org/math/5/a/5/5a5c8c8074e3eaed5a0a855b94e567f2.png)

![a_{cp} = \\omega ^2 r = \\frac{v^2}{r} ](../../../upload.wikimedia.org/math/7/c/9/7c9e367ec5e55acbd9c60a04ae5817c6.png)

For centripetal acceleration, and therefore circular motion, to be maintained a _centripetal force_ must act on the object. From Newton's Second Law it follows directly that the force will be given by

![\\vec{F_{cp}} = m \\vec{a_{cp}}](../../../upload.wikimedia.org/math/7/6/2/7628a48caee64af6cab0ae18e44f684c.png)

the components being

![F_x = - m \\omega ^2 r \\cos \(\\omega t\) \\!](../../../upload.wikimedia.org/math/f/2/5/f25f2c51ed0884d46aef7571ffda2257.png)

![F_y = - m \\omega ^2 r \\sin \(\\omega t\) \\!](../../../upload.wikimedia.org/math/c/b/4/cb4ff6f91ba729f25e76d3eab7d85d79.png)

and the absolute value

![F_{cp} = m \\omega ^2 r = m \\frac{v^2}{r} ](../../../upload.wikimedia.org/math/1/d/4/1d4a5703e86af5ab826e4653e829242f.png)

![File:Example uniform circular motion orbit of moon.ogv](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/Example_uniform_circular_motion_orbit_of_moon.ogv/720px-seek=344-Example_uniform_circular_motion_orbit_of_moon.ogv.jpg) 

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## Torque and Circular Motion

Circular motion is the motion of a particle at a set distance (called radius) from a point. For circular motion, there needs to be a force that makes the particle turn. This force is called the 'centripetal force.' Please note that the centripetal force is _not_ a new type of force-it is just a force causing rotational motion. To make this clearer, let us study the following examples:

  1. If Stone ties a piece of thread to a small pebble and rotates it in a horizontal circle above his head, the circular motion of the pebble is caused by the tension force in the thread.
  2. In the case of the motion of the planets around the sun (which is roughly circular), the force is provided by the gravitational force exerted by the sun on the planets.

Thus, we see that the centripetal force acting on a body is always provided by some other type of force -- centripetal force, thus, is simply a name to indicate the force that provides this circular motion. This centripetal force is _always_ acting inward toward the center. You will know this if you swing an object in a circular motion. If you notice carefully, you will see that you have to continuously pull inward. We know that an opposite force should exist for this centripetal force(by Newton's 3rd Law of Motion). This is the centrifugal force, which exists only if we study the body from a non-inertial frame of reference(an accelerating frame of reference, such as in circular motion). This is a so-called 'pseudo-force', which is used to make the Newton's law applicable to the person who is inside a non-inertial frame. e.g. If a driver suddenly turns the car to the left, you go towards the right side of the car because of centrifugal force. The centrifugal force is equal and opposite to the centripetal force. It is caused due to inertia of a body.

![ \\omega_{\\mathrm{avg} }=\\frac{ \\omega_1 +\\omega_f }{2} =\\frac{\\theta }{t} ](../../../upload.wikimedia.org/math/f/5/f/f5f55bdd75726cced6c8a62b83c484ee.png)

**Average angular velocity** is equal to one-half of the sum of **initial** and **final angular velocities** assuming constant acceleration, and is also equal to the **angle gone through** divided by the **time taken**.

* * *

![ \\alpha =\\frac{ \\Delta \\omega }{t} ](../../../upload.wikimedia.org/math/d/f/3/df3241127186738ac485671bfee83c38.png)

**Angular acceleration** is equal to **change in angular velocity** divided by **time taken**.

### Angular momentum

![
\\mathbf{l} = \\mathbf{r}\\times\\mathbf{p} = m\(\\mathbf{r}\\times\\mathbf{v}\)](../../../upload.wikimedia.org/math/e/6/5/e658570a0eef02e3bc54b960890e00af.png)

**Angular momentum** of an object revolving around an external axis **O** is equal to the cross-product of the **position vector** with respect to **O** and its **linear momentum**.

![
\\mathbf{L} = I\\boldsymbol{\\omega}](../../../upload.wikimedia.org/math/b/2/6/b26352c261e19579620b68a195880eed.png)

**Angular momentum** of a rotating object is equal to the **moment of inertia** times **angular velocity**.

![ L=I\\omega ](../../../upload.wikimedia.org/math/d/4/d/d4d1b328f865c502470c90753abe5bd1.png)

* * *

![ \\tau =I\\alpha =\\frac{\\Delta L}{t} ](../../../upload.wikimedia.org/math/4/3/7/437c3efed14c9f1c4f332b11ad2fe715.png)

**Torque** is equal to **moment of inertia** times **angular acceleration**, which is also equal to the **change in angular momentum** divided by **time taken**.

* * *

![ K_R =\\frac{1}{2} I\\omega^2 ](../../../upload.wikimedia.org/math/c/7/5/c750962dca4534bb9bda424c9b596c91.png)

**Rotational Kinetic Energy** is equal to one-half of the product of **moment of inertia** and the **angular velocity** squared.

**IT IS USEFUL TO NOTE THAT**

The equations for rotational motion are analogous to those for linear motion-just look at those listed above. When studying rotational dynamics, remember:

  * the place of force is taken by torque
  * the place of mass is taken by moment of inertia
  * the place of displacement is taken by angle
  * the place of linear velocity, momentum, acceleration, etc. is taken by their angular counterparts.

### Variables

**τ:** torque, (N·m)  
_I:_ moment of inertia, (kg·m2)  
**α:** angular acceleration, (rad/s2)  
_L:_ angular momentum, (kg·m2/s)  
_t:_ time (s)  
_Kr:_ rotational kinetic energy, (J = kg·m2/s2)  
_ω:_ angular velocity, (rad/s)

### Definition of terms

**Torque (τ):** Force times distance. A vector. (N·m)  
  
**Moment of inertia (I):** Describes the object's resistance to torque - the rotational analog to inertial mass. (kg·m2)  
  
**Angular momentum (L):** (kg·m2/s)  
  
**Angular velocity (ω):** (rad/s)  
  
**Angular acceleration (α):** (rad/s2)  
  
**Time (t):** (s)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## Buoyancy

**Buoyancy** is the force due to pressure differences on the top and bottom of an object under a fluid (gas or liquid).

Net force = buoyant force - force due to gravity on the object

## Bernoulli's Principle

Fluid flow is a complex phenomenon. An ideal fluid may be described as:

  * The fluid flow is **steady** i.e its velocity at each point is constant with time.
  * The fluid is **incompressible**. This condition applies well to liquids and in certain circumstances to gases.
  * The fluid flow is **non-viscous**. Internal friction is neglected. An object moving through this fluid does not experience a retarding force. We relax this condition in the discussion of **[Stokes' Law](http://en.wikipedia.org/wiki/Stokes%27_Law)**.
  * The fluid flow is **irrotational**. There is no angular momentum of the fluid about any point. A very small wheel placed at an arbitary point in the fluid does not rotate about its center. Note that if turbulence is present, the wheel would most likely rotate and its flow is then not irrotational.

  
As the fluid moves through a pipe of varying cross-section and elevation, the pressure will change along the pipe. The Swiss physicist [Daniel Bernoulli](http://en.wikipedia.org/wiki/Daniel_Bernoulli) ([1700](http://en.wikipedia.org/wiki/1700)-[1782](http://en.wikipedia.org/wiki/1782)) first derived an expression relating the pressure to fluid speed and height. This result is a consequence of conservation of energy and applies to ideal fluids as described above.

_Consider an ideal fluid flowing in a pipe of varying cross-section. A fluid in a section of length_ Δ_x_1 _moves to the section of length_ Δ_x_2 _in time_ Δ_t._ The relation given by Bernoulli is:

  


![P + \\frac{1}{2}\\rho v^2 + \\rho gh = K](../../../upload.wikimedia.org/math/a/4/c/a4cceb88c4b1e3db08ce33b285a83908.png)

  
[where: _P_ is pressure at cross-section, _K_ is a constant, _h_ is height of cross-section, _ρ_ is density, and _v_ is velocity of fluid at cross-section.]

  
In words, the Bernoulli relation may be stated as: _As we move along a streamline the sum of the pressure (P), the kinetic energy per unit volume and the potential energy per unit volume remains a constant._

* * *

_(To be concluded)_

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Fields

A field is one of the more difficult concepts to grasp in physics. Simply put, a **field** is a collection of vectors often representing the force an object _would_ feel if it were placed at any particular point in space. With gravity, the field is measured in newtons, as it depends solely on the mass of an object, but with electricity, it is measured in newtons per coulomb, as the force on an electrical charge depends on the amount of that charge. Typically these fields are calculated based on canceling out the effect of a body in the point in space that the field is desired. As a result, a field is a vector, and as such, it can (and should) be added when calculating the field created by TWO objects at one point in space.

Fields are typically illustrated through the use of what are called **field lines** or **lines of force**. Given a source that exerts a force on points around it, sample lines are drawn representing the direction of the field at points in space around the force-exerting source.

There are three major categories of fields:

  1. **Uniform fields** are fields that have the same value at any point in space. As a result, the lines of force are parallel.
  2. **Spherical fields** are fields that have an origin at a particular point in space and vary at varying distances from that point.
  3. **Complex fields** are fields that are difficult to work with mathematically (except under simple cases, such as fields created by two point object), but field lines can still typically be drawn. **Dipoles** are a specific kind of complex field.

Magnetism also has a field, measured in Tesla, and it also has **field lines**, but its use is more complicated than simple "force" fields. Secondly, it also only appears in a two-pole form, and as such, is difficult to calculate easily.

The particles that form these magnetic fields and lines of force are called electrons and not magnetons. A magneton is a quantity in magnetism.

## Definition of terms

**Field:** A collection of vectors that often represents the force that an object _would_ feel if it were placed in any point in space.  
  
**Field Lines:** A method of diagramming fields by drawing several sample lines showing direction of the field through several points in space.  
  


[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

## Newtonian Gravity

Newtonian Gravity (simplified gravitation) is an _apparent_ [force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force) (a.k.a. _pseudoforce_) that simulates the attraction of one mass to another mass. Unlike the three fundamental (real) forces of electromagnetism and the strong and weak nuclear forces, gravity is purely attractive. As a force it is measured in **newtons**. The distance between two objects is measured between their centers of mass.

  


![ F = \\frac{Gm_1m_2}{r^2}](../../../upload.wikimedia.org/math/b/1/3/b1365723a6484cc3ca9d0ce071b22f62.png)

**Gravitational force** is equal to the product of the **universal gravitational constant** and the masses of the two objects, divided by the square of the distance between their centers of mass.

  


![ g = \\frac{Gm_1}{r^2}](../../../upload.wikimedia.org/math/2/c/2/2c2f7c6c3bf62e2c1548929fcb095827.png)

The value of the **gravitational [field](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)** which is equivalent to **the acceleration due to gravity** caused by an object at a point in space is equal to the first equation about gravitational force, with the effect of the second mass taken out.

  


![U = -\\frac{GMm}{r}](../../../upload.wikimedia.org/math/0/5/f/05f25c1b2c622bb0a16cfd2c80fefb80.png)

**Gravitational potential energy of a body to infinity** is equal to the **universal gravitational constant** times the mass of a body from which the gravitational field is being created times the mass of the body whose potential energy is being measured over **the distance between the two centers of mass**. Therefore, the difference in potential energy between two points is the difference of the potential energy from the position of the center of mass to infinity at both points. Near the earth's surface, this approximates:

  


![\\Delta U_g = mgh\\ ](../../../upload.wikimedia.org/math/5/c/5/5c5ba379af3dbc83a71f86d316ef0b49.png)

**Potential energy due to gravity near the earth's surface** is equal to the product of mass, acceleration due to gravity, and height (elevation) of the object.

If **the potential energy from the body's center of mass to infinity** is known, however, it is possible to calculate the **escape velocity**, or the velocity necessary to escape the gravitational field of an object. This can be derived based on utilizing the **law of conservation of energy** and the equation to calculate **kinetic energy** as follows:

  


![ \\boldsymbol{ke}_{initial} = \\Delta U ](../../../upload.wikimedia.org/math/5/5/1/551a6315288531ba26f5071814ef1e1a.png)  
  
![ \\boldsymbol{ke}_{initial} = {U}_{infinity} - {U}_{initial} ](../../../upload.wikimedia.org/math/d/0/d/d0dca663aa683aa36064af2ebecfc149.png)  
  
![\\frac{1}{2}mv^2 = \\frac{GMm}{r}](../../../upload.wikimedia.org/math/7/c/4/7c4e6af16c0d79a49fd7c462b1753ec4.png)  
  
![{v}_{esc} = \\sqrt{\\frac{2GM}{r}}](../../../upload.wikimedia.org/math/4/2/8/4284e0facbf73b1368433250517654ac.png)

  


## Variables

  


**_F_:** force (N)  
**_G_:** universal constant of gravitation, (6.67x10-11 N•m2/kg2)  
**_m_1:** mass of the first body  
**_m_2:** mass of the second body  
**_r_:** the distance between the point at which the force or field is being taken, and the center of mass of the first body  
**_g_:** acceleration due to gravity (on the earth’s surface, this is 9.8 m/s2)  
**_U_:** potential energy from the location of the center of mass to infinity (J)  
**Δ_U_g:** Change in potential energy (J)  
_**m**_ and **_M_:** mass (kg)  
**_h_:** height of elevation (m)  
**_v_esc:** escape velocity (m/s)  


## Definition of terms

**Universal constant of gravitation (_G_):** This is a constant that is the same everywhere in the known universe and can be used to calculate gravitational attraction and acceleration due to gravity.  
6.67x10-11 N·m2/kg2  
  
**Mass one (_m_1):** One of two masses that are experiencing a mutual gravitational attraction. We can use this for the mass of the Earth (1023 kg).  
  
**Mass two (_m_2):** One of two masses that are experiencing a mutual gravitational attraction. This symbol can represent the mass of an object on or close to earth.  
Units: kilograms (kg)  
  
**Acceleration due to gravity (_g_):** This is nearly constant near the earth's surface because the mass and radius of the earth are essentially constant. At extreme altitudes the value can vary slightly, but it varies more significantly with latitude. This is also equal to the value of the gravitational field caused by a body at a particular point in space  
(9.8 m/s2)  
  
**Escape velocity (_v_esc):** The velocity necessary to completely escape the gravitational effects of a body.  


# Waves

Wave is defined as the movement of any periodic motion like a spring, a pendulum, a water wave, an electric wave, a sound wave, a light wave, etc.

![](../../../upload.wikimedia.org/wikipedia/commons/e/e9/Wave.png)

A wave with constant amplitude.

Any periodic wave that has amplitude varied with time, phase sinusoidally can be expressed mathematically as

    

R(t , θ) = R Sin (ωt + θ)

  * Minimum wave height (trough) at angle 0, π, 2π, ...

    

F(R,t,θ) = 0 at θ = nπ

  * Maximum wave height (peak or crest) at π/2, 3π/2, ...

    

F(R,t,θ) = R at θ = (2n+1)π/2

  * Wavelength (distance between two crests) λ = 2π.

    λ = 2π - A circle or a wave
    2λ = 2(2π) - Two circles or two waves
    kλ = k2π - Circle k or k amount of waves

  * Wave Number,

    

k

  * Velocity (or Angular Velocity),

    

ω = 2πf

  * Time Frequency,

    

f = 1 / t

  * Time

    

t = 1 / f

  


**Wave speed** is equal to the **frequency** times the **wavelength**. It can be understood as how frequently a certain distance (the wavelength in this case) is traversed.

  


![f = \\frac{v}{\\lambda}](../../../upload.wikimedia.org/math/1/9/5/1959413fbf69e5f5a488d4fbe641afe6.png)

**Frequency** is equal to **speed** divided by **wavelength**.

  


![ T = \\frac{1}{f}](../../../upload.wikimedia.org/math/f/5/9/f5966b48014c25545031650ca13a098d.png)

**Period** is equal to the inverse of **frequency**.

## Variables

  


**λ:** wavelength (m)  
**v:** wave speed (m/s)  
**f:** frequency (1/s), (Hz)  
**T:** period (s)

## Definition of terms

**Wavelength (_λ_)**: The length of one wave, or the distance from a point on one wave to the same point on the next wave. Units: meters (m). In light, _λ_ tells us the color.  
  
**Wave speed (v)**: the speed at which the wave pattern moves. Units: meters per second, (m/s)  
  
**Frequency of oscillation (_f_)** (or just **frequency**): the number of times the wave pattern repeats itself in one second. Units: seconds-1 = (1/s) = hertz (Hz) In sound, _f_ tells us the pitch. The inverse of frequecy is the period of oscillation.  
  
**Period of oscillation (_T_)** (or just **period**): duration of time between one wave and the next one passing the same spot. Units: seconds (s). The inverse of the period is frequency. Use a capital, italic _T_ and not a lowercase one, which is used for time.  
  
**Amplitude (_A_)**: the maximum height of the wave measured from the average height of the wave (the wave’s center). Unit: meters (m)

  
Image here

  
The wave’s extremes, its peaks and valleys, are called **antinodes**. At the middle of the wave are points that do not move, called **nodes**.

_Examples of waves:_ Water waves, sound waves, light waves, seismic waves, shock waves, electromagnetic waves …

## Oscillation

A wave is said to oscillate, which means to move back and forth in a regular, repeating way. This fluctuation can be between extremes of position, force, or quantity.

Different types of waves have different types of oscillations.

**Longitudinal waves:** Oscillation is parallel to the direction of the wave. Examples: sound waves, waves in a spring.

**Transverse waves:** Oscillation is perpendicular to direction of the wave. Example: light

  


## Interference

When waves overlap each other it is called **interference**. This is divided into **constructive** and **destructive** interference.

**Constructive interference:** the waves line up perfectly and add to each others’ strength.

  


  
**Destructive interference:** the two waves cancel each other out, resulting in no wave.

  


## Resonance

In real life, waves usually give a mishmash of constructive and destructive interference and quickly die out. However, at certain wavelengths standing waves form, resulting in **resonance**. These are waves that bounce back into themselves in a strengthening way, reaching maximum amplitude.

_Resonance is a special case of forced vibration when the frequency of the impressed periodic force is equal to the natural frequency of the body so that it vibrates with increased amplitude, spontaneously._

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

# Wave overtones

For resonance in a taut string, the **first harmonic** is determined for a wave form with one **antinode** and two **nodes**. That is, the two ends of the string are nodes because they do not vibrate while the middle of the string is an antinode because it experiences the greatest change in amplitude. This means that one half of a full wavelength is represented by the length of the resonating structure.

The frequency of the **first harmonic** is equal to **wave speed** divided by twice the **length** of the string. (Recall that wave speed is equal to wavelength times frequency.)

  


**F1 = v/2L**

The **wavelength** of the first harmonic is equal to double the **length** of the string.

  


**λ1 = 2L**

The **"nth" wavelength** is equal to the **fundamental wavelength** divided by **n.**

  


**λn = λ1/n**

  
**Harmonics for a taut string***

 
**Harmonic number**
**Overtone number**
**F =**
**λ =**

**F1**
First harmonic
\---
F1 = v/2L
λ1 = 2L

**F2**
Second harmonic
First overtone
F2 = 2F1
λ2 =λ1/2

**F3**
Third harmonic
Second overtone
F3 = 3F1
λ3 = λ1/3

**Fn**
Nth harmonic
(Nth - 1) overtone
Fn = nF1
λn = λ1/n

* or any wave system with two identical ends, such as a pipe with two open or closed ends. In the case of a pipe with two open ends, there are two antinodes at the ends of the pipe and a single node in the middle of the pipe, but the mathematics work out identically.

## Definition of terms

**Frequency (_F_):** Units: (1/s), hertz (Hz)  
  
**Fundamental frequency, first harmonic (_F_)1:** The lowest frequency (longest wavelength) allowed for the system.  
  
**Length of string (_L_):** (or pipe, etc.) Units: meters (m).  
  
**Wavelength (λ):** Units: meters (m).

The first overtone is the first _allowed_ harmonic above the fundamental frequency (_F_1).

In the case of a system with two different ends (as in the case of a tube open at one end), the closed end is a node and the open end is an antinode. The first resonant frequency has only a quarter of a wave in the tube. This means that the **first harmonic** is characterized by a wavelength four times the length of the tube.

  


**F1 = v/4L**

The **wavelength** of the first harmonic is equal to four times the**length** of the string.

  


**λ1 = 4L**

The **"nth" wavelength** is equal to the **fundamental wavelength** divided by **n.**

  


**λn = λ1/n**

Note that "n" must be odd in this case as only odd harmonics will resonate in this situation.

**Harmonics for a system with two different ends***

 
**Harmonic number**
**Overtone number**
**F =**
**λ =**

**F1**
First harmonic
\---
F1 = v/4L
λ1 = 4L

**F2**
Third harmonic
First overtone
F2 = 3F1
λ2 =2λ1/3

**F3**
Fifth harmonic
Second overtone
F3 = 5F1
λ3 = 2λ1/5

**Fn**
Nth harmonic†
(Nth - 1)/2 overtone
F(n-1)/2 = nF1
λn = 2λ1/n

* such as a pipe with one end open and one end closed  
†In this case only the odd harmonics resonate, so n is an odd integer.

**Vs: _velocity of sound_**  


  * dependant on qualities of the medium transmitting the sound, (the air) such as its density, temperature, and “springiness.” A complicated equation, we concentrate only on temperature.
  * increases as temperature increases (molecules move faster.)
  * is higher for liquids and solids than for gasses (molecules are closer together.)
  * for “room air” is 340 meters per second (m/s).
  * Speed of sound is 343 meters per second at 20 degrees C. Based on the material sound is passing through and the temperature, the speed of sound changes.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

* * *

# Standing waves

![\\|\\vec{v}\\|=\\sqrt{\\frac{\\|\\vec{T}\\|}{\\mu}}](../../../upload.wikimedia.org/math/6/5/3/653af8928db11793414f5b9d7eba9044.png)

**Wave speed** is equal to the square root of **tension** divided by the **linear density** of the string.

  


**_μ_ = _m_/_L_**

**Linear density** of the string is equal to the **mass** divided by the **length** of the string.

  


**_λ_max = 2_L_**

The **fundamental wavelength** is equal to two times the **length** of the string.

## Variables

  


_λ:_ wavelength (m)  
_λmax:_ fundamental wavelength (m)  
_μ:_ linear density (g/m)  
_v:_ wave speed (m/s)  
_F:_ force (N)  
_m:_ mass (g)  
_L:_ length of the string (m)  
_l:_ meters (m)

## Definition of terms

**Tension (_F_):** (not frequency) in the string (_t_ is used for time in these equations). Units: newtons (N)  
  
**Linear density (_μ_):** of the string, Greek mu. Units: grams per meter (g/m)  
  
**Velocity (_v_)** of the wave (m/s)  
  
**Mass (_m_)**: Units: grams (g). (We would use kilograms but they are too big for most strings).  
  
**Length of the string (_L_):** Units: meters (m)

Fundamental frequency: the frequency when the wavelength is the longest allowed, this gives us the lowest sound that we can get from the system.

In a string, the length of the string is half of the largest wavelength that can create a standing wave, called its fundamental wavelength.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## Intro

When two glasses collide we hear a Sound, when we pluck guitar string we hear a Sound

Different Sound generated from different sources . Generally speaking when two objects collides will result in a Sound

Sound does not exist in Vacuum . Sound needs medium's materials to travel .

Velocity of Sound wave depends on Temperature and the Pressure of the Medium . Sound travels at different speed in air, through water

# Sound

**![decibel\(\\mathrm{dB}\) = 10\\cdot \\log\\left\(\\frac{I_1}{I_0}\\right\)](../../../upload.wikimedia.org/math/3/d/d/3dd540b2aa822f1e2ab965f8c959d4a3.png)**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/FletcherMunson_ELC.svg/400px-FletcherMunson_ELC.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Fig. 1: The Fletcher-Munson equal-loudness contours. Phons are labelled in blue.

The amplitude is the magnitude of sound pressure change within a sound wave. [Sound](http://en.wikipedia.org/wiki/Sound) amplitude can be measured in pascals (Pa), though its more common to refer to the _sound (pressure) level_ as [Sound intensity](http://en.wikipedia.org/wiki/Sound_intensity)(dB,dBSPL,dB(SPL)), and the _percieved sound level_ as [Loudness](http://en.wikipedia.org/wiki/Loudness)(dBA, dB(A)). **Sound intensity** is flow of sound energy per unit time through a fixed area. It has units of watts per square meter. The reference Intensity is defined as the minimum Intensity that is audible to the human ear, it is equal to 10-12 W/m2, or one picowatt per square meter. When the intensity is quoted in decibels this reference value is used. **Loudness** is sound intensity altered according to the frequency response of the human ear and is measured in a unit called the A-weighted decibel ([dB(A)](http://en.wikipedia.org/wiki/DB\(A\)), also used to be called [phon](http://en.wikipedia.org/wiki/phon)).

  


## The Decibel

The decibel is not, as is commonly believed, the unit of sound. Sound is measured in terms of pressure. However, the decibel is used to express the pressure as very large variations of pressure are commonly encountered. The decibel is a dimensionless quantity and is used to express the ratio of one power quantity to another. The definition of the decibel is ![10\\cdot \\log_{10}\\left\(\\frac{x}{x_0}\\right\)](../../../upload.wikimedia.org/math/f/b/9/fb97913593e7455146fcbb7fbd1c9c8c.png), where x is a squared quantity, ie pressure squared, volts squared etc. The decibel is useful to define relative changes. For instance, the required sound decrease for new cars might be 3 dB, this means, compared to the old car the new car must be 3 dB quieter. The absolute level of the car, in this case, does not matter.

  


**![I_0 = 10^{-12} \\mbox{ W}/\\mbox{m}^2](../../../upload.wikimedia.org/math/5/2/d/52d97580f92f7a79e4af58f937ffb379.png)**

## Definition of terms

**Intensity (I):** the amount of energy transferred through 1 m2 each second. Units: watts per square meter  
  


  


**Lowest audible sound:** I = 0 dB = 10-12 W/m2 (A sound with dB < 0 is inaudible to a human.)  
  
**Threshold of pain:** I = 120 dB = 10 W/m2

  
_Sample equation:_ **Change in sound intensity**  
Δβ = β2 \- β1  
= 10 log(_I_2/_I_0) - 10 log(_I_1/_I_0)  
= 10 [log(_I_2/_I_0) - log(_I_1/_I_0)]  
= 10 log[(_I_2/_I_0)/(_I_1/_I_0)]  
= 10 log(_I_2/_I_1)  
where log is the base-10 logarithm.

## Doppler effect

![f' = f \\, \\frac{v \\pm v_0}{v \\mp v_s} ](../../../upload.wikimedia.org/math/9/5/c/95c3a13c21a3af56f761b29ddf55ef72.png)

  
f' is the observed frequency, f is the actual frequency, v is the speed of sound (![ v=336+0.6T ](../../../upload.wikimedia.org/math/5/4/a/54a321b442341d8a7c60931bb2ec9722.png)), T is temperature in degrees Celsius ![v_0](../../../upload.wikimedia.org/math/f/3/2/f32423d2b9868cef26c41e39c2d1edc3.png) is the speed of the observer, and ![v_s](../../../upload.wikimedia.org/math/5/f/8/5f898a06f87d31879822201c09a13757.png) is the speed of the source. If the observer is approaching the source, use the top operator (the +) in the numerator, and if the source is approaching the observer, use the top operator (the -) in the denominator. If the observer is moving away from the source, use the bottom operator (the -) in the numerator, and if the source is moving away from the observer, use the bottom operator (the +) in the denominator.

### Example problems

A. An ambulance, which is emitting a 400 Hz siren, is moving at a speed of 30 m/s towards a stationary observer. The speed of sound in this case is 339 m/s.

![f' = 400\\,\\mathrm{Hz} \\left\( \\frac{339 + 0}{339 - 30} \\right\)](../../../upload.wikimedia.org/math/0/8/6/086b5b6f0aff6442c696af11e0d3014b.png)

B. An M551 Sheridan, moving at 10 m/s is following a Renault FT-17 which is moving in the same direction at 5 m/s and emitting a 30 Hz tone. The speed of sound in this case is 342 m/s.

  
![f' = 30\\,\\mathrm{Hz} \\left\( \\frac{342 + 10}{342 + 5} \\right\)](../../../upload.wikimedia.org/math/6/8/d/68d78b2b55684ae49c5f7c8bf0c3045e.png)

# [Section Three](http://en.wikibooks.org/wiki/Physics_Study_Guide/Print_version/Section_Three)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Introduction

Thermodynamics deals with the movement of heat and its conversion to mechanical and electrical energy among others.

# Laws of Thermodynamics

### First Law

The **First Law** is a statement of conservation of energy law:

![
\\Delta U = Q - W
](../../../upload.wikimedia.org/math/b/0/1/b012a36fdf1120c9e377703b054b745d.png)

The **First Law** can be expressed as the change in internal energy of a system (![\\Delta U](../../../upload.wikimedia.org/math/3/6/b/36b9e4877a40d04398ab93554021bf29.png)) equals the amount of energy added to a system (Q), such as heat, minus the work expended by the system on its surroundings (W).

If Q is positive, the system has _gained_ energy (by heating).

If W is positive, the system has _lost_ energy from doing work on its surroundings.

As written the equations have a problem in that neither Q or W are **state functions** or quantities which can be known by direct measurement without knowing the history of the system.

In a gas, the first law can be written in terms of state functions as

![
dU = T ds - p dV
](../../../upload.wikimedia.org/math/7/7/c/77ce3ccae65f7d1e3252e74bf5adcc71.png)

### Zero-th Law

After the first law of Thermodynamics had been named, physicists realised that there was another more fundamental law, which they termed the 'zero-th'.

This is that:

  


_If two bodies are at the same temperature, there is no resultant heat flow between them._

An alternate form of the 'zero-th' law can be described:

  


_If two bodies are in thermal equilibrium with a third, all are in thermal equilibrium with each other._

This second statement, in turn, gives rise to a definition of Temperature (T):

  


_Temperature is the only thing that is the same between two otherwise unlike bodies that are in thermal equilibrium with each other._

### Second Law

This law states that heat will never of itself flow from a cold object to a hot object.

![
S = k_B \\cdot ln\(\\Omega\)
](../../../upload.wikimedia.org/math/c/0/b/c0b72d1c14ff81c433576eea96061e78.png)

where ![k_B](../../../upload.wikimedia.org/math/4/9/9/499ea482f0642e2bd203a3f560d4dd97.png) is the Boltzmann constant (![k_B = 1.380658 \\cdot 10^{-23}  \\mbox{ kg m}^2 \\mbox{ s}^{-2} \\mbox{ K}^{-1}](../../../upload.wikimedia.org/math/2/8/f/28f7cca28487d11b73dcde78d9f9c1b3.png)) and ![\\Omega](../../../upload.wikimedia.org/math/b/9/d/b9d99db8626de63193c7fe96273a6cae.png) is the partition function, i. e. the number of all possible states in the system.

This was the statistical definition of entropy, there is also a "macroscopic" definition:

![
S = \\int  \\frac{\\mathrm{d}Q}{T}
](../../../upload.wikimedia.org/math/3/1/9/31903c5b79dc7fd2fb68243e2f501f2f.png)

where _T_ is the temperature and d_Q_ is the increment in energy of the system.

### Third Law

The third law states that a temperature of absolute zero cannot be reached.

# Temperature Scales

There are several different scales used to measure temperature. Those you will most often come across in physics are degrees Celsius and kelvins.

Celsius temperatures use the symbol **Θ**. The symbol for degrees Celsius is °C**.** Kelvin temperatures use the symbol **T**. The symbol for kelvins is **K**.

  


### The Celsius Scale

The Celsius scale is based on the melting and boiling points of water.

The temperature for freezing water is 0 °C. This is called the _freezing point_

  
The temperature of boiling water is 100 °C. This is called the _steam point_.

  
The Celsius scale is sometimes known as 'Centigrade', but the CGPM chose _degrees Celsius_ from among the three names then in use way back in 1948, and centesimal and centigrade should no longer be used. See [Wikipedia](http://en.wikipedia.org/wiki/Centigrade) for more details.

### The Kelvin Scale

The Kelvin scale is based on a more fundamental temperature than the melting point of ice. This is absolute zero (equivalent to −273.15 °C), the lowest possible temperature anything could be cooled to—where the kinetic energy of _any_ system is at its minimum. The Kelvin scale was developed from an observation on how the pressure and volume of a sample of gas changes with temperature- PV/T is a constant. If the temperature ( T)was reduced, then the pressure ( P) exerted by Volume (V) the Gas would also reduce, in direct proportion. This is a simple experiment and can be carried out in most school labs. Gases were assumed to exert no pressure at -273 degree Celsius. ( In fact all gases will have condensed into liquids or solids at a somewhat higher temperature)

Although the Kelvin scale starts at a different point to Celsius, its units are of exactly the same size.

Therefore:

  


_Temperature in kelvins (_K_) = Temperature in degrees Celsius (_°C_) + 273.15_

# Specific Latent Heat

Energy is needed to break bonds when a substance changes state. This energy is sometimes called the _latent heat_. Temperature remains constant during changes of state.

To calculate the energy needed for a change of state, the following equation is used:

  


_Heat transferred, ΔQ (_J_) = Mass, m (_kg_) x specific latent heat capacity,_ L _(_J_/_kg_)_

The specific latent heat, _L_, is the energy needed to change the state of 1 kg of the substance without changing the temperature.

The latent heat of _fusion_ refers to melting. The latent heat of _vapourisation_ refers to boiling.

# Specific Heat Capacity

The specific heat capacity is the energy needed to raise the temperature of a given mass by a certain temperature.

The change in temperature of a substance being heated or cooled depends on the mass of the substance and on how much energy is put in. However, it also depends on the properties of that given substance. How this affects temperature variation is expressed by the substance's _specific heat capacity_ (_c_). This is measured in J/(kg·K) in SI units.

  


_Change in internal energy,_ Δ_U (_J_) = mass, m (_kg_) x specific heat capacity, c (_J_/_(kg·K)_) x temperature change,_ Δ_T (_K_)_

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Electricity

**![F = \\frac{k\\cdot q_1\\cdot q_2}{r^2}](../../../upload.wikimedia.org/math/8/b/0/8b0fe95685c570e76f4068389cb3490d.png)  
**

The **force** resulting from two nearby charges is equal to **k** times **charge one** times **charge two** divided by the square of the **distance** between the charges.

* * *

**![E = \\frac{F}{q}](../../../upload.wikimedia.org/math/9/6/f/96f0fad90e8dab4136899b191beb99dc.png)**

The **electric field** created by a charge is equal to the **force** generated divided by the **charge**.

* * *

**![E = \\frac{k\\cdot q}{r^2}](../../../upload.wikimedia.org/math/3/f/b/3fb5b8d82db52bb9c7a38fae2feb514d.png)**

**Electric field** is equal to a constant, **“k”,** times the **charge** divided by the square of the **distance** between the charge and the point in question.

* * *

**![U = \\frac{k\\cdot q_1\\cdot q_2}{r}](../../../upload.wikimedia.org/math/c/1/0/c104dc13761366037c8ad48cfdedbf5a.png)**

**Electric potential energy** is equal to a constant, **“k”** multiplied by the two **charges** and divided by the **distance** between the charges.

* * *

## Variables

  


**F:** Force (N)  
**k:** a constant, 8.988×109 (N·m2/C2)  
**q1:** charge one (C)  
**q2:** charge two (C)  
**r:** distance between the two charges, (m)

  
Electricity acts as if all matter were divided into four categories:

  1. Superconductors, which allow current to flow with no resistance. (However these have only been produced in relatively extreme laboratory conditions, such as at temperatures approaching absolute zero)
  2. Conductors, which allow electric current to flow with little resistance.
  3. Semiconductors, which allow some electric current to flow but with significant resistance.
  4. Insulators, which do not allow electric current to flow.

Charges are positive (+) or negative (-). Any two like charges repel each other, and opposite charges attract each other.

## Electric fields

A charge in an electrical field feels a force. The charge is not a vector, but force is a vector, and so is the electric field. If a charge is positive, then force and the electric field point in the same direction. If the charge is negative, then the electric field and force vectors point in opposite directions.

A point charge in space causes an electric field. The field is stronger closer to the point and weaker farther away.

Electricity is made of subatomic particles called Electrons and so are Electric Fields and Magnetic Fields.

  * For a good introduction to Gauss' Law and Ampere's Law, check out [this website](http://slacker.yosunism.com)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# Magnetism

![\\boldsymbol{F}_B=q\\boldsymbol{v}\\times\\boldsymbol{B}](../../../upload.wikimedia.org/math/f/c/b/fcbbf8ebb372f45441b1bc5bbf16e824.png)

The **magnetic force** exerted on a moving particle in a magnetic field is the [cross product](http://en.wikipedia.org/wiki/Cross_product) of the **magnetic field** and the **velocity** of the particle, multiplied by the **charge** of the particle.

* * *

Because the magnetic force is perpendicular to the particle's velocity, this causes [uniform circular motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque). That motion can be explained by the following

![r=\\frac{mv}{qB}](../../../upload.wikimedia.org/math/0/d/c/0dc619017f64ed2475ace2db09a36910.png)

The **radius** of this circle is directly proportional to the **mass** and the **velocity** of the particle and inversely proportional to the **charge** of the particle and the **field strength** of the magnetic field.

![T = \\frac{2\\pi m}{qB}](../../../upload.wikimedia.org/math/a/d/7/ad7208c1de87cb3e37f60a24e8835853.png)

**![f = \\frac{qB}{2\\pi m} = \\frac{v}{2\\pi r}](../../../upload.wikimedia.org/math/5/8/0/580092aa8f48f686ebfe1413cb4feb5c.png)**

The **period** and **frequency** of this motion (referred to as the [cyclotron](http://en.wikipedia.org/wiki/Cyclotron) period and frequency) can be derived as well.

* * *

**![B = \\frac{\\mu_0I}{2\\pi y}](../../../upload.wikimedia.org/math/c/b/8/cb89c25072088f55cddf1b60ce6bd8a9.png)**

The **magnetic field** created by charge flowing through a straight wire is equal to a constant, ![\\frac{\\mu_0}{2\\pi}](../../../upload.wikimedia.org/math/b/b/5/bb58e45e6df7924f823a746edcbe9356.png), multiplied by the **current** flowing through the wire and divide by the **distance** from the wire.

**![B = \\frac{\\mu_0 \\mu}{4\\pi x^{3}}](../../../upload.wikimedia.org/math/b/5/5/b555be8b22604b9f6636e611a2558e12.png)**

The **magnetic field** created by a magnetic dipole (at distances much greater than the size of the dipole) is approximately equal to a constant, ![\\frac{\\mu_0}{4\\pi}](../../../upload.wikimedia.org/math/5/b/5/5b5b69bfa47be299b8b0af5dc810090d.png), multiplied by the **dipole moment** divided by the cube of the **distance** from the dipole. EDIT: This forumla is incomplete. The field from a dipole is a vector that depends not only on the distance from the dipole, but also the angle relative to the orientation of the magnetic moment. This is because of the vector nature of the magnetic moment and its associated magnetic field. The field component pointing in the same directions as the magnetic moment is the above formula multiplied by (3*(Cos[theta])^2-1).

**![B = \\mu_0 n I](../../../upload.wikimedia.org/math/f/b/c/fbca31c3268ce596749a7b7a9db52a25.png)**

The **magnetic field** created by an ideal [solenoid](http://en.wikipedia.org/wiki/Solenoid) is equal to a constant, ![\\mu_0](../../../upload.wikimedia.org/math/9/d/7/9d7d948f0c85e55e1c799c1b3087b7be.png), times the **number of turns** of the solenoid times the **current** flowing through the solenoid.

**![B = \\frac{\\mu_0 n I}{2\\pi r}](../../../upload.wikimedia.org/math/9/0/f/90f5f53d07d069a86702fd5b980bf4af.png)**

The **magnetic field** created by an ideal [toroid](http://en.wikipedia.org/wiki/Toroid) is equal to a constant, ![\\mu_0](../../../upload.wikimedia.org/math/9/d/7/9d7d948f0c85e55e1c799c1b3087b7be.png), times the **number of turns** of the toroid times the **current** flowing through the toroid divided by the **circumference** of the toroid.

* * *

**![F_B = \\frac{\\mu_0 I_1 I_2 \\ell}{2\\pi d}](../../../upload.wikimedia.org/math/0/9/3/0937eac4d19fcb4de0b029b6cd97df19.png)**

The **magnetic force** between two wires is equal to a constant, ![\\frac{\\mu_0}{2\\pi}](../../../upload.wikimedia.org/math/b/b/5/bb58e45e6df7924f823a746edcbe9356.png), times the **current in one wire** times the **current in the other wire** times the **length** of the wires divided by the **distance** between the wires.

**![\\tau = I\\vec A\\times\\vec B](../../../upload.wikimedia.org/math/8/5/7/85723edab0a25cfe6909566fbb8c8789.png)**

The **torque** on a current loop in a magnetic field is equal to the [cross product](http://en.wikipedia.org/wiki/Cross_product) of the **magnetic field** and the **area** enclosed by the current loop (the area vector is perpendicular to the current loop).

* * *

**![\\vec \\mu = I\\vec An](../../../upload.wikimedia.org/math/b/c/3/bc3002f42bb8c111e54694d87da649f8.png)**

The **dipole moment** of a current loop is equal to the **current** in the loop times the **area** of the loop times the **number of turns** of the loop.

* * *

**![U_B = -\\vec\\mu\\cdot\\vec B](../../../upload.wikimedia.org/math/3/1/5/3159fed1e69cb9c01b1c8e502791e1f3.png)**

The **magnetic potential energy** is the opposite of the [dot product](http://en.wikipedia.org/wiki/Dot_product) of the **magnetic field** and the **dipole moment**.

  


## Variables

  


**F:** Force (N)  
**q:** Charge (C)  
**v:** Velocity (m/s)  
**B:** Magnetic field (teslas (T))  
**r:** Radius (m)  
**m:** Mass (kg)  
**T:** Period (s)  
**f:** Frequency (Hz)  
**![\\mu_0](../../../upload.wikimedia.org/math/9/d/7/9d7d948f0c85e55e1c799c1b3087b7be.png):** A constant, 4_π_×10-7 N/A  
**y:** Distance (m)  
**![\\mu](../../../upload.wikimedia.org/math/b/7/2/b72bb92668acc30b4474caff40274044.png):** Dipole moment  
**x:** Distance (m)  
**n:** Number of turns  
**![\\ell](../../../upload.wikimedia.org/math/3/3/4/334ce9eb79df1178b0380461c9eaa09e.png):** Length (m)  
**d:** Distance (m)  
**![\\tau](../../../upload.wikimedia.org/math/8/1/a/81a69207104f00baaabd6f84cafd15a0.png):** Torque (N·m)  
**A:** Area (m2)  
**U:** Potential energy (J)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

Electronics is the application of electromagnetic (and quantum) theory to construct devices that can perform useful tasks, from as simple as electrical heaters or light bulbs to as complex as the Large Hadron Collider.

Print version;component of electronics

# Electronics

## Introduction

To discuss electronics we need the basic concepts from electricity: **charge**, **current** which is flow of charge, and **potential** which is the potential energy difference between two places. Please make sure these concepts are familiar before continuing.

## Circuits

The interest of electronics is circuits. A circuit consists of **wires** that connect **components**. Typical components are **resistors**, **voltage sources** and so on, which will be discussed later. A circuit can be **open**, when there is a break so that no current can flow, or it can be **closed**, so that current can flow. These definitions allow us to discuss electronics efficiently.

## Direct current and alternating current

## Basic components

## Ohm's law

IF 'V' IS POTENTIAL DIFFERENCE APPLIED AT TWO ENDS OF CONDUCTOR AND 'I' IS CURRENT FLOWING THROUGH THE CONDUCTOR THEN 'I' IS DIRECTLY PROPORTION TO ITS 'V' **V = I x R**

## Kirchoff's laws

Kirchoff's laws generally hold for [direct current (DC)](http://en.wikibooks.org/wiki/Electronics/DC_Voltage_and_Current) circuits, but fail when dealing with changing electric current and voltage such as [alternating current (AC)](http://en.wikibooks.org/wiki/Electronics/AC_Voltage_and_Current) or signal processing in combination with [capacitors](http://en.wikibooks.org/wiki/Electronics/Capacitors), [inductors](http://en.wikibooks.org/wiki/Electronics/Inductors), and [antennas](http://en.wikibooks.org/wiki/Communication_Systems/Antennas).

### Kirchoff's current law

The sum of all the currents entering and leaving any point in a circuit is equal to zero.

    ![\\sum_{k=1}^n I_k = 0](../../../upload.wikimedia.org/math/7/6/6/7664f828a0931f068b5f606942893459.png)

It is based on the assumption that current flows only in conductors, and that whenever current flows into one end of a conductor it immediately flows out the other end.

### Kirchoff's voltage law

The sum of all the voltages around the circuit loop is equal to zero.

    ![\\sum_{k=1}^n V_k = 0](../../../upload.wikimedia.org/math/0/8/d/08d7bd7060be987d4da37b7fc263a740.png)

It is based on the assumption that there is no fluctuating magnetic field linking the closed circuit loop.

## Power

p=work done/time taken p=I*V (current * Voltage)

## Resistors in series

R![eq](../../../upload.wikimedia.org/math/d/f/2/df22f17124884fc51f1ac69d610096ac.png)=R![1](../../../upload.wikimedia.org/math/c/4/c/c4ca4238a0b923820dcc509a6f75849b.png)+R![2](../../../upload.wikimedia.org/math/c/8/1/c81e728d9d4c2f636f067f89cc14862c.png)+R![3](../../../upload.wikimedia.org/math/e/c/c/eccbc87e4b5ce2fe28308fd9f2a7baf3.png)+--------

## Resistors in parallel

1/R = 1/R1+1/R2+1/R3+......

## Superposition of sources

## Capacitors

![C=Q/V](../../../upload.wikimedia.org/math/7/5/f/75f821db74c05ae62d99345bf910bf07.png)

![Cseries=1/C+1/C+1/C](../../../upload.wikimedia.org/math/8/d/3/8d316244062f3d65003b2c705818114e.png)

![Cparallel=C+C+C](../../../upload.wikimedia.org/math/f/1/3/f13e3f665c25a994016901c5c6e359b7.png)

## Inductances

## Frequency-dependent circuits

## Semiconductors

![I = \\frac{Q}{T}](../../../upload.wikimedia.org/math/c/b/5/cb52dca60ef761b041a1f042fa8e1ca7.png)

Current is the rate of flow of charge.

![I](../../../upload.wikimedia.org/math/d/d/7/dd7536794b63bf90eccfd37f9b147d7f.png) = Current [amperes - A]  
![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) = Charge [coulombs - C]  
![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) = Time [seconds - s]  


![V = IR\\ ](../../../upload.wikimedia.org/math/6/0/7/607f442907f2bf0314b755ad2798939a.png)

[howstuffworks.com](http://www.howstuffworks.com)

Voltage is equal to current multiplied by resistance

Power is equal to the product of voltage and current

Electronics is the flow of current through semiconductor devices like silicon and germanium.

Semiconductor devices are those which behave like conductors at higher temperature.

Transistor, diode, SCR are some electronic devices.

  
[[Category:Physics Study Guide]=Electronics=

## Introduction

To discuss electronics we need the basic concepts from electricity: **charge**, **current** which is flow of charge, and **potential** which is the potential energy difference between two places. Please make sure these concepts are familiar before continuing.

## Circuits

The interest of electronics is circuits. A circuit consists of **wires** that connect **components**. Typical components are **resistors**, **voltage sources** and so on, which will be discussed later. A circuit can be **open**, when there is a break so that no current can flow, or it can be **closed**, so that current can flow. These definitions allow us to discuss electronics efficiently.

## Direct current and alternating current

## Basic components

## Ohm's law

IF 'V' IS POTENTIAL DIFFERENCE APPLIED AT TWO ENDS OF CONDUCTOR AND 'I' IS CURRENT FLOWING THROUGH THE CONDUCTOR THEN 'I' IS DIRECTLY PROPORTION TO ITS 'V' **V = I x R**

## Kirchoff's laws

Kirchoff's laws generally hold for [direct current (DC)](http://en.wikibooks.org/wiki/Electronics/DC_Voltage_and_Current) circuits, but fail when dealing with changing electric current and voltage such as [alternating current (AC)](http://en.wikibooks.org/wiki/Electronics/AC_Voltage_and_Current) or signal processing in combination with [capacitors](http://en.wikibooks.org/wiki/Electronics/Capacitors), [inductors](http://en.wikibooks.org/wiki/Electronics/Inductors), and [antennas](http://en.wikibooks.org/wiki/Communication_Systems/Antennas).

### Kirchoff's current law

The sum of all the currents entering and leaving any point in a circuit is equal to zero.

    ![\\sum_{k=1}^n I_k = 0](../../../upload.wikimedia.org/math/7/6/6/7664f828a0931f068b5f606942893459.png)

It is based on the assumption that current flows only in conductors, and that whenever current flows into one end of a conductor it immediately flows out the other end.

### Kirchoff's voltage law

The sum of all the voltages around the circuit loop is equal to zero.

    ![\\sum_{k=1}^n V_k = 0](../../../upload.wikimedia.org/math/0/8/d/08d7bd7060be987d4da37b7fc263a740.png)

It is based on the assumption that there is no fluctuating magnetic field linking the closed circuit loop.

## Power

p=work done/time taken p=I*V (current * Voltage)

## Resistors in series

R![eq](../../../upload.wikimedia.org/math/d/f/2/df22f17124884fc51f1ac69d610096ac.png)=R![1](../../../upload.wikimedia.org/math/c/4/c/c4ca4238a0b923820dcc509a6f75849b.png)+R![2](../../../upload.wikimedia.org/math/c/8/1/c81e728d9d4c2f636f067f89cc14862c.png)+R![3](../../../upload.wikimedia.org/math/e/c/c/eccbc87e4b5ce2fe28308fd9f2a7baf3.png)+--------

## Resistors in parallel

1/R = 1/R1+1/R2+1/R3+......

## Superposition of sources

## Capacitors

![C=Q/V](../../../upload.wikimedia.org/math/7/5/f/75f821db74c05ae62d99345bf910bf07.png)

![Cseries=1/C+1/C+1/C](../../../upload.wikimedia.org/math/8/d/3/8d316244062f3d65003b2c705818114e.png)

![Cparallel=C+C+C](../../../upload.wikimedia.org/math/f/1/3/f13e3f665c25a994016901c5c6e359b7.png)

## Inductances

## Frequency-dependent circuits

## Semiconductors

![I = \\frac{Q}{T}](../../../upload.wikimedia.org/math/c/b/5/cb52dca60ef761b041a1f042fa8e1ca7.png)

Current is the rate of flow of charge.

![I](../../../upload.wikimedia.org/math/d/d/7/dd7536794b63bf90eccfd37f9b147d7f.png) = Current [amperes - A]  
![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) = Charge [coulombs - C]  
![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) = Time [seconds - s]  


![V = IR\\ ](../../../upload.wikimedia.org/math/6/0/7/607f442907f2bf0314b755ad2798939a.png)

[howstuffworks.com](http://www.howstuffworks.com)

Voltage is equal to current multiplied by resistance

Power is equal to the product of voltage and current

Electronics is the flow of current through semiconductor devices like silicon and germanium.

Semiconductor devices are those which behave like conductors at higher temperature.

Transistor, diode, SCR are some electronic devices.

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## Light

Light is that range of electromagnetic energy that is visible to the human eye, the visible colors. The optical radiation includes not only the visible range, but a broader range of invisible electromagnetic radiation that could be influenced in its radiation behavior in a similar way as the visible radiation, but needs often other transmitters or receivers for this radiation. Dependant on the kind of experimental question light - optical radiation behaves as a wave or a particle named lightwave or photon. The birth or death of photons needs electrons - electromagnetic charges, that change their energy.

  
The speed of light is fastest in the vacuum.  


    

    

    

    ![c\\approx 3\\cdot 10^8 \\mbox{ m s}^{-1}](../../../upload.wikimedia.org/math/5/f/6/5f6008b0fc6058326823d9098d5ecc58.png)

In a wave we have to distinguish between the speed of transport of energy or the speed of the transport of on phase state of a wave of a defined frequency. In vacuum the speed of waves of any photon energy - wavelength is the same, but the transmission speed through material is dependent on wavelength - photon energy. At the time the measurement of the speed of light in vacuum reached the uncertainty of the unit of length, the meter, this basic unit got in 1960 a new definition, based on the unit of time. Taking the best known measurement values it was defined without any uncertainties of length, that the speed of light is 299,792,458 meters per second. For this reason the only uncertainty in the speed of light is the uncertainty of the realization of the unit of time, the second. (If you like to get the standard of length, cooperate with the watchmaker).

However, when electromagnetic radiation enters a medium with refractive index, n, its speed would become  


    

    

    

    ![c_n=\\frac{c}{n}](../../../upload.wikimedia.org/math/1/8/6/186d86261e39ce6cbd5c38ee6985f97a.png)  


where ![c_n](../../../upload.wikimedia.org/math/b/8/4/b8449f75f5233e2c215d1d79b6326152.png) is the speed of light in the medium.

### Refraction

Refraction occurs when light travels from one medium into another (i.e. from air into water). Refraction is the changing of direction of light due to the changing speed of light. Refraction occurs toward the normal when light travels from a medium into a denser medium. Example when light travels from air into a block of glass, light is refracted towards the normal. The ratio between the sine of the angle of the incident ray and sine of the angle of the refracted ray is the same as the ratios of the indexes of refraction.

![\\frac{\\sin\\theta_i}{\\sin\\theta_r} = \\frac{n_r}{n_i} \\quad \\text{or} \\quad n_i\\sin\\theta_i = n_r\\sin\\theta_r\\ ](../../../upload.wikimedia.org/math/4/c/2/4c29af8eb2bc21e82496fed8ef0aa744.png)

This is known as Snell's Law - an easy way to remember this is that 'Snell' is 'lens' backwards.

## Mirrors and lenses

### Focal length

![\\frac {1}{d_i} + \\frac {1}{d_o} = \\frac {1}{f} ](../../../upload.wikimedia.org/math/c/2/3/c234b17e17ee3bc03b0f602553b71f24.png)

  * _f_ is the focal length.
    * f is negative in convex mirror and concave lens.
    * f is positive in concave mirror and convex lens.
  * _![d_i](../../../upload.wikimedia.org/math/3/5/b/35b35a527030cca017dbc36fcd8a0387.png)_ is the distance from the image to the mirror or lens
    * For a mirror, it is positive if the image appears in front of the mirror. It is negative if the image appears behind.
    * For a lens, it is positive if the image appears on the opposite side of the lens as the light source. It is negative if the image appears on the same side of the lens as the light source.
  * _![d_o](../../../upload.wikimedia.org/math/c/d/5/cd5738aed25a93e4d74535dd17815f86.png)_ is the distance from the object to the mirror or the lens (always positive). The only case, when it is negative, is the case, when you don't have a real object, but you do have an imaginary object - a converging set of rays from another optical system.
  * an easy way to remember the formula is to memorize "if I Do I Die", which stands for 1/f = 1/d_0 + 1/d_i

### Magnification

![M = \\frac {h_i}{h_o} =-\\frac {d_i}{d_o}  ](../../../upload.wikimedia.org/math/f/a/3/fa3ceed3a1072fd58454345e7dad340b.png)

  * _M_ is the magnification.
    * If it is positive the image is upright
    * If it is negative the image is inverted
  * _![h_i](../../../upload.wikimedia.org/math/9/1/4/914767ffc65896751e16a5b9fbf3fc4a.png)_ is the image height.
  * _![h_o](../../../upload.wikimedia.org/math/e/5/c/e5c113c17ff80b874cbdcb60d906a38d.png)_ is the object height.
  * _![d_i](../../../upload.wikimedia.org/math/3/5/b/35b35a527030cca017dbc36fcd8a0387.png)_ is the distance from the image to the mirror or lens (also often v)
    * For a mirror, it is positive if the image appears in front of the mirror. It is negative if the image appears behind.
    * For a lens, it is positive if the image appears on the opposite side of the lens as the light source. It is negative if the image appears on the same side of the lens as the light source.
  * _![d_o](../../../upload.wikimedia.org/math/c/d/5/cd5738aed25a93e4d74535dd17815f86.png)_ is the distance from the object to the mirror or lens (also often u)

# [Appendices](http://en.wikibooks.org/wiki/Physics_Study_Guide/Print_version/Section_Appendices)

# Commonly Used Physical Constants

Uncertainty should be read as 1.234(56) = 1.234![\\pm](../../../upload.wikimedia.org/math/5/7/2/5722e2f6169308b8be3542900c6d6553.png)0.056

Name Symbol Value Units Relative Uncertainty

Speed of light (in vacuum)
![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png)
![299\\ 792\\ 458](../../../upload.wikimedia.org/math/e/4/9/e49897d7dda836f737a6c673012ee2f0.png)
![\\mathrm{m}\\ \\mathrm{s}^{-1}](../../../upload.wikimedia.org/math/1/9/c/19ca1197de95b10ced790fe85a005bae.png)
(exact)

Magnetic Constant
![\\mu_0](../../../upload.wikimedia.org/math/9/d/7/9d7d948f0c85e55e1c799c1b3087b7be.png)
![4\\pi\\times10^{-7}\\approx12.566\\ 370\\ 6\\times10^{-7} ](../../../upload.wikimedia.org/math/6/6/2/662bce63e68245129f978a22f6c45c8b.png)
![\\mathrm{N}\\ \\mathrm{A}^{-2}](../../../upload.wikimedia.org/math/4/5/8/458788a1c4ffadf10bcb54801769d553.png)
(exact)

Electric Constant
![\\varepsilon_0 = 1/\\left\( \\mu_0c^2 \\right\) ](../../../upload.wikimedia.org/math/7/5/c/75c249f31c9cd7fa9137f78004dfe3d4.png)
![\\approx8.854\\ 187\\ 817\\times10^{-12}](../../../upload.wikimedia.org/math/9/a/5/9a54f8f696a3ffa0ba58f0f8d0c1d543.png)
![\\mathrm{F}\\ \\mathrm{m}^{-1}](../../../upload.wikimedia.org/math/c/1/3/c13e0caca3422e843617da73efbae50d.png)
(exact)

Newtonian Gravitaional Constant
![G](../../../upload.wikimedia.org/math/d/f/c/dfcf28d0734569a6a693bc8194de62bf.png)
![6.674\\ 2\(10\)\\times10^{-11}](../../../upload.wikimedia.org/math/d/1/e/d1e45d1f67a0b356af9eabe1516f9fde.png)
![\\mathrm{m}^3\\ \\mathrm{kg}^{-1}\\ \\mathrm{s}^{-2}](../../../upload.wikimedia.org/math/8/5/4/854459a9f0d816ae2b287f7851722f85.png)
![1.5\\times10^{-4}](../../../upload.wikimedia.org/math/3/7/e/37ec42a54abddb4b591cd8b73fe9a449.png)

Plank's Constant
![h](../../../upload.wikimedia.org/math/2/5/1/2510c39011c5be704182423e3a695e91.png)
![6.626\\ 069\\ 3\(11\)\\times10^{-34}](../../../upload.wikimedia.org/math/2/7/4/274342d0d9bf5314812e28a8b87f97ad.png)
![\\mathrm{J}\\ \\mathrm{s}](../../../upload.wikimedia.org/math/2/7/4/274602df340ab66383ff56c225541722.png)
![1.7\\times10^{-7}](../../../upload.wikimedia.org/math/4/c/f/4cf1ccdb9b48c72c6d984782dd9b195f.png)

Elementary charge
![e](../../../upload.wikimedia.org/math/e/1/6/e1671797c52e15f763380b45e841ec32.png)
![1.602\\ 176\\ 53\(14\)\\times10^{-19}](../../../upload.wikimedia.org/math/c/0/f/c0f06b41746531cc169e7a3bc0ad199e.png)
![\\mathrm{C}](../../../upload.wikimedia.org/math/5/1/3/5139b1eb5eb9ac71e6a785d59c1244b6.png)
![8.5\\times10^{-8}](../../../upload.wikimedia.org/math/4/1/9/4193cc3764ae7eafd3523cd4d428a87e.png)

Mass of the electron
![m_e](../../../upload.wikimedia.org/math/4/a/4/4a4bb6afaa48dfd8533bdac7f66dd9d5.png)
![9.109\\ 382\\ 6\(16\)\\times10^{-31}](../../../upload.wikimedia.org/math/e/e/3/ee3051b10d48e4fddb8cc0f1dc7f2426.png)
![\\mathrm{kg}](../../../upload.wikimedia.org/math/1/5/6/1563e6a39214be35d5eb016ee5f81cfc.png)
![1.7\\times10^{-7}](../../../upload.wikimedia.org/math/4/c/f/4cf1ccdb9b48c72c6d984782dd9b195f.png)

Mass of the proton
![m_p](../../../upload.wikimedia.org/math/0/2/7/0271cbc3a02561a58d919aecb18029ab.png)
![1.672\\ 621\\ 71\(29\)\\times10^{-27}](../../../upload.wikimedia.org/math/1/b/a/1bac7a2ff07efe9dbb0e42c9d224d5c7.png)
![\\mathrm{kg}](../../../upload.wikimedia.org/math/1/5/6/1563e6a39214be35d5eb016ee5f81cfc.png)
![1.7\\times10^{-7}](../../../upload.wikimedia.org/math/4/c/f/4cf1ccdb9b48c72c6d984782dd9b195f.png)

Fine structure constant
![\\alpha=\\frac{e^2}{4 \\pi \\varepsilon_0 \\hbar c}](../../../upload.wikimedia.org/math/2/9/b/29b0e7437de820a94d10eb8c0f2cd8bf.png)
![7.297\\ 352\\ 568\(24\)\\times10^{-3}](../../../upload.wikimedia.org/math/b/9/9/b99e6e0ca4ca5448b08959b0c29f0d65.png)
dimensionless
![3.3\\times10^{-9}](../../../upload.wikimedia.org/math/6/f/a/6fafe26b515c98d9f557eedc8afcd045.png)

Molar gass constant
![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png)
![8.314\\ 472\(15\)](../../../upload.wikimedia.org/math/1/f/3/1f3920aa83336a7824bb4636e44bd894.png)
![\\mathrm{J}\\ \\mathrm{mol}^{-1}\\ \\mathrm{K}^{-1}](../../../upload.wikimedia.org/math/d/1/3/d13477f9534e80fe5b555978d3291821.png)
![1.7\\times10^{-6}](../../../upload.wikimedia.org/math/9/d/4/9d424b9512f4b4334b9cf27a1c4f69f9.png)

Boltzman's constant
![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png)
![1.380\\ 650\\ 5\(24\)\\times10^{-23}](../../../upload.wikimedia.org/math/d/8/2/d82075f01c53181a80141d48570e2957.png)
![\\mathrm{J}\\ \\mathrm{K}^{-1}](../../../upload.wikimedia.org/math/0/5/9/05954f8bd23881d2c97355902416b7c5.png)
![1.8\\times10^{-6}](../../../upload.wikimedia.org/math/a/c/7/ac779bb839e12c09022eff702b296cff.png)

Avogadro's Number
![N_A](../../../upload.wikimedia.org/math/4/2/9/4297971aea2d28d336bcfba8a42fe4bc.png)
![6.022\\ 141\\ 5\(10\)\\times10^{23}](../../../upload.wikimedia.org/math/e/f/d/efd276832168e18908c23feb0317f325.png)
![\\mathrm{mol}^{-1}](../../../upload.wikimedia.org/math/9/4/e/94e41cb4e0ef97bff7d9b8d25c33f035.png)
![1.7\\times10^{-7}](../../../upload.wikimedia.org/math/4/c/f/4cf1ccdb9b48c72c6d984782dd9b195f.png)

Rydberg constant
![R_\\infty](../../../upload.wikimedia.org/math/8/6/2/862616e5d73b82b42a06087b7a4c6f3a.png)
![10\\ 973\\ 731.568\\ 525\(73\)](../../../upload.wikimedia.org/math/a/7/2/a72dde197e76ddba6abddc8ebd818f3c.png)
![\\mathrm{m}^{-1}](../../../upload.wikimedia.org/math/1/b/8/1b8d512f59a6ac47e357133c25cf3bf7.png)
![6.6\\times10^{-12}](../../../upload.wikimedia.org/math/5/7/f/57f6e958dffe8963b7123955e3cbac44.png)

Standard acceleration of gravity
![g](../../../upload.wikimedia.org/math/b/2/f/b2f5ff47436671b6e533d8dc3614845d.png)
![9.806\\ 65](../../../upload.wikimedia.org/math/3/0/c/30c28e5cd57b96caf643c60a50c08d7e.png)
![\\mathrm{m}\\ \\mathrm{s}^{-2}](../../../upload.wikimedia.org/math/1/c/9/1c96d2c0f7cbbed0ee40396a14cd7182.png)
defined

Atmospheric pressure
![\\mathrm{atm}](../../../upload.wikimedia.org/math/d/a/d/dad6e2460ec810155d101318cd672a9e.png)
![101\\ 325](../../../upload.wikimedia.org/math/e/6/1/e6175111549352decd391723c099b875.png)
![\\mathrm{Pa}](../../../upload.wikimedia.org/math/b/7/7/b7798bd064dfbf74494eaf2967c66446.png)
defined

Bohr Radius
![a_0\\ ](../../../upload.wikimedia.org/math/2/5/b/25b94dd502cc283d6d711087beb47b0a.png)
![0.529\\ 177\\ 208\\ 59\(36\)\\times10^{-10}\\ ](../../../upload.wikimedia.org/math/3/3/6/336e8fa15ea33c617fd2bcf3d7cf6d3a.png)
![\\mathrm{m}\\ ](../../../upload.wikimedia.org/math/8/7/c/87c29dfa069046cc5a3d7b7137dd9cf7.png)
![6.8\\times10^{-10}](../../../upload.wikimedia.org/math/7/c/1/7c1df093cdc50ff0c93671b579ac64a0.png)

Electron Volt
![eV](../../../upload.wikimedia.org/math/a/3/4/a34fe48def3e3d3ff7255b70ff87a181.png)
![1.602\\ 176\\ 53\(14\)\\times10^{-19}](../../../upload.wikimedia.org/math/c/0/f/c0f06b41746531cc169e7a3bc0ad199e.png)
![\\mathrm{J}](../../../upload.wikimedia.org/math/1/a/2/1a2ebd03491fc01e44d0416fd493a616.png)
![8.7\\times10^{-8}](../../../upload.wikimedia.org/math/7/d/3/7d33cfd9ada5a65da83bb7575ffdd2bc.png)

## Contents

  * [1 Preface](Print_version.html#Preface)
  * [2 About this guide](Print_version.html#About_this_guide)
    * [2.1 Dedication](Print_version.html#Dedication)
    * [2.2 Physics Study Guide](Print_version.html#Physics_Study_Guide)
    * [2.3 Contributing](Print_version.html#Contributing)
    * [2.4 Authors](Print_version.html#Authors)
    * [2.5 Reviews](Print_version.html#Reviews)
    * [2.6 Interwiki](Print_version.html#Interwiki)
  * [3 Section One](Print_version.html#Section_One)
  * [4 The SI System of Measurement](Print_version.html#The_SI_System_of_Measurement)
    * [4.1 Simple Units](Print_version.html#Simple_Units)
      * [4.1.1 Time](Print_version.html#Time)
      * [4.1.2 Length](Print_version.html#Length)
      * [4.1.3 Mass](Print_version.html#Mass)
      * [4.1.4 Current](Print_version.html#Current)
      * [4.1.5 Unit of Thermodynamic Temperature](Print_version.html#Unit_of_Thermodynamic_Temperature)
      * [4.1.6 Unit of Amount of Substance](Print_version.html#Unit_of_Amount_of_Substance)
      * [4.1.7 Luminous Intensity](Print_version.html#Luminous_Intensity)
    * [4.2 Derived Units](Print_version.html#Derived_Units)
      * [4.2.1 Charge](Print_version.html#Charge)
      * [4.2.2 Velocity](Print_version.html#Velocity)
      * [4.2.3 Force](Print_version.html#Force)
      * [4.2.4 Energy](Print_version.html#Energy)
      * [4.2.5 Pressure](Print_version.html#Pressure)
    * [4.3 Prefixes](Print_version.html#Prefixes)
  * [5 Astronomical Measurements](Print_version.html#Astronomical_Measurements)
    * [5.1 Julian Year](Print_version.html#Julian_Year)
    * [5.2 Astronomical Unit](Print_version.html#Astronomical_Unit)
    * [5.3 Light Year](Print_version.html#Light_Year)
    * [5.4 Parsec](Print_version.html#Parsec)
  * [6 Kinematics](Print_version.html#Kinematics)
    * [6.1 Position](Print_version.html#Position)
    * [6.2 Displacement](Print_version.html#Displacement)
    * [6.3 Velocity](Print_version.html#Velocity_2)
    * [6.4 Acceleration](Print_version.html#Acceleration)
    * [6.5 Vectors](Print_version.html#Vectors)
  * [7 Equations of motion : Constant acceleration](Print_version.html#Equations_of_motion_:_Constant_acceleration)
    * [7.1 Acceleration in One Dimension](Print_version.html#Acceleration_in_One_Dimension)
    * [7.2 Acceleration in Two Dimensions](Print_version.html#Acceleration_in_Two_Dimensions)
    * [7.3 Acceleration in Three Dimensions](Print_version.html#Acceleration_in_Three_Dimensions)
    * [7.4 What does force in motion mean?](Print_version.html#What_does_force_in_motion_mean.3F)
    * [7.5 How do we calculate?](Print_version.html#How_do_we_calculate.3F)
    * [7.6 What is velocity?](Print_version.html#What_is_velocity.3F)
    * [7.7 Acceleration](Print_version.html#Acceleration_2)
    * [7.8 How do we calculate it?](Print_version.html#How_do_we_calculate_it.3F)
    * [7.9 Observing motion](Print_version.html#Observing_motion)
    * [7.10 Measuring acceleration](Print_version.html#Measuring_acceleration)
    * [7.11 Who is Newton, and what did he observe?](Print_version.html#Who_is_Newton.2C_and_what_did_he_observe.3F)
    * [7.12 Force](Print_version.html#Force_2)
  * [8 Force](Print_version.html#Force_3)
    * [8.1 Friction](Print_version.html#Friction)
    * [8.2 Newton's First Law of Motion](Print_version.html#Newton.27s_First_Law_of_Motion)
    * [8.3 Newton's Second Law of Motion](Print_version.html#Newton.27s_Second_Law_of_Motion)
    * [8.4 Newton's Third Law of Motion](Print_version.html#Newton.27s_Third_Law_of_Motion)
    * [8.5 Equations](Print_version.html#Equations)
  * [9 Momentum](Print_version.html#Momentum)
    * [9.1 Linear momentum](Print_version.html#Linear_momentum)
    * [9.2 Angular momentum](Print_version.html#Angular_momentum)
    * [9.3 Force and linear momentum, torque and angular momentum](Print_version.html#Force_and_linear_momentum.2C_torque_and_angular_momentum)
    * [9.4 Conservation of momentum](Print_version.html#Conservation_of_momentum)
    * [9.5 Variables](Print_version.html#Variables)
    * [9.6 Definition of terms](Print_version.html#Definition_of_terms)
    * [9.7 Calculus-based Momentum](Print_version.html#Calculus-based_Momentum)
    * [9.8 The Normal Force](Print_version.html#The_Normal_Force)
    * [9.9 Friction](Print_version.html#Friction_2)
    * [9.10 Variables](Print_version.html#Variables_2)
    * [9.11 Definition of Terms](Print_version.html#Definition_of_Terms_2)
  * [10 Work](Print_version.html#Work)
    * [10.1 Variables](Print_version.html#Variables_3)
    * [10.2 Definition of terms](Print_version.html#Definition_of_terms_3)
  * [11 Energy](Print_version.html#Energy_2)
    * [11.1 Definition of terms](Print_version.html#Definition_of_terms_4)
  * [12 Section Two](Print_version.html#Section_Two)
    * [12.1 Uniform Circular Motion](Print_version.html#Uniform_Circular_Motion)
      * [12.1.1 Speed and frequency](Print_version.html#Speed_and_frequency)
      * [12.1.2 Angular frequency](Print_version.html#Angular_frequency)
      * [12.1.3 Velocity, centripetal acceleration and force](Print_version.html#Velocity.2C_centripetal_acceleration_and_force)
    * [12.2 Torque and Circular Motion](Print_version.html#Torque_and_Circular_Motion)
      * [12.2.1 Angular momentum](Print_version.html#Angular_momentum_2)
      * [12.2.2 Variables](Print_version.html#Variables_4)
      * [12.2.3 Definition of terms](Print_version.html#Definition_of_terms_5)
    * [12.3 Buoyancy](Print_version.html#Buoyancy)
    * [12.4 Bernoulli's Principle](Print_version.html#Bernoulli.27s_Principle)
  * [13 Fields](Print_version.html#Fields)
    * [13.1 Definition of terms](Print_version.html#Definition_of_terms_6)
    * [13.2 Newtonian Gravity](Print_version.html#Newtonian_Gravity)
    * [13.3 Variables](Print_version.html#Variables_5)
    * [13.4 Definition of terms](Print_version.html#Definition_of_terms_7)
  * [14 Waves](Print_version.html#Waves)
    * [14.1 Variables](Print_version.html#Variables_6)
    * [14.2 Definition of terms](Print_version.html#Definition_of_terms_8)
    * [14.3 Oscillation](Print_version.html#Oscillation)
    * [14.4 Interference](Print_version.html#Interference)
    * [14.5 Resonance](Print_version.html#Resonance)
  * [15 Wave overtones](Print_version.html#Wave_overtones)
    * [15.1 Definition of terms](Print_version.html#Definition_of_terms_9)
  * [16 Standing waves](Print_version.html#Standing_waves)
    * [16.1 Variables](Print_version.html#Variables_7)
    * [16.2 Definition of terms](Print_version.html#Definition_of_terms_10)
    * [16.3 Intro](Print_version.html#Intro)
  * [17 Sound](Print_version.html#Sound)
    * [17.1 The Decibel](Print_version.html#The_Decibel)
    * [17.2 Definition of terms](Print_version.html#Definition_of_terms_11)
    * [17.3 Doppler effect](Print_version.html#Doppler_effect)
      * [17.3.1 Example problems](Print_version.html#Example_problems)
  * [18 Section Three](Print_version.html#Section_Three)
  * [19 Introduction](Print_version.html#Introduction)
  * [20 Laws of Thermodynamics](Print_version.html#Laws_of_Thermodynamics)
    * [20.1 First Law](Print_version.html#First_Law)
    * [20.2 Zero-th Law](Print_version.html#Zero-th_Law)
    * [20.3 Second Law](Print_version.html#Second_Law)
    * [20.4 Third Law](Print_version.html#Third_Law)
  * [21 Temperature Scales](Print_version.html#Temperature_Scales)
    * [21.1 The Celsius Scale](Print_version.html#The_Celsius_Scale)
    * [21.2 The Kelvin Scale](Print_version.html#The_Kelvin_Scale)
  * [22 Specific Latent Heat](Print_version.html#Specific_Latent_Heat)
  * [23 Specific Heat Capacity](Print_version.html#Specific_Heat_Capacity)
  * [24 Electricity](Print_version.html#Electricity)
    * [24.1 Variables](Print_version.html#Variables_8)
    * [24.2 Electric fields](Print_version.html#Electric_fields)
  * [25 Magnetism](Print_version.html#Magnetism)
    * [25.1 Variables **F:** Force (N) **q:** Charge (C) **v:** Velocity (m/s) **B:** Magnetic field (teslas (T)) **r:** Radius (m) **m:** Mass (kg) **T:** Period (s) **f:** Frequency (Hz) **:** A constant, 4_π_×10-7 N/A **y:** Distance (m) **:** Dipole moment **x:** Distance (m) **n:** Number of turns **:** Length (m) **d:** Distance (m) **:** Torque (N·m) **A:** Area (m2) **U:** Potential energy (J) Physics Study Guide (Print Version) Units Linear Motion Force Momentum Normal Force and Friction Work Energy Torque & Circular Motion Fluids Fields Gravity Waves Wave overtones Standing Waves Sound Thermodynamics Electricity Magnetism Optics Physical Constants Frictional Coefficients Greek Alphabet Logarithms Vectors and Scalars Other Topics Electronics is the application of electromagnetic (and quantum) theory to construct devices that can perform useful tasks, from as simple as electrical heaters or light bulbs to as complex as the Large Hadron Collider. Print version;component of electronics Electronics](Print_version.html#Variables.0A.0AF:_Force_.28N.29.0Aq:_Charge_.28C.29.0Av:_Velocity_.28m.2Fs.29.0AB:_Magnetic_field_.28teslas_.28T.29.29.0Ar:_Radius_.28m.29.0Am:_Mass_.28kg.29.0AT:_Period_.28s.29.0Af:_Frequency_.28Hz.29.0A:_A_constant.2C_4.CF.80.C3.9710-7_N.2FA.0Ay:_Distance_.28m.29.0A:_Dipole_moment.0Ax:_Distance_.28m.29.0An:_Number_of_turns.0A:_Length_.28m.29.0Ad:_Distance_.28m.29.0A:_Torque_.28N.C2.B7m.29.0AA:_Area_.28m2.29.0AU:_Potential_energy_.28J.29.0A.0A.0A.0A.0A_Physics_Study_Guide_.28Print_Version.29.0A.0A.0A_Units.0A.0A_Linear_Motion.0A.0A_Force.0A.0A_Momentum.0A.0A_Normal_Force_and_Friction.0A.0A_Work.0A.0A_Energy.0A.0A.0A_Torque_.26_Circular_Motion.0A.0A_Fluids.0A.0A_Fields.0A.0A_Gravity.0A.0A_Waves.0A.0A_Wave_overtones.0A.0A_Standing_Waves.0A.0A_Sound.0A.0A.0A_Thermodynamics.0A.0A_Electricity.0A.0A_Magnetism.0A.0A_Optics.0A.0A.0A_Physical_Constants.0A.0A_Frictional_Coefficients.0A.0A_Greek_Alphabet.0A.0A_Logarithms.0A.0A_Vectors_and_Scalars.0A.0A_Other_Topics.0A.0A.0A.0AElectronics_is_the_application_of_electromagnetic_.28and_quantum.29_theory_to_construct_devices_that_can_perform_useful_tasks.2C_from_as_simple_as_electrical_heaters_or_light_bulbs_to_as_complex_as_the_Large_Hadron_Collider..0A.0APrint_version.3Bcomponent_of_electronics.0A.0AElectronics)
    * [25.2 Introduction](Print_version.html#Introduction_2)
    * [25.3 Circuits](Print_version.html#Circuits)
    * [25.4 Direct current and alternating current](Print_version.html#Direct_current_and_alternating_current)
    * [25.5 Basic components](Print_version.html#Basic_components)
    * [25.6 Ohm's law](Print_version.html#Ohm.27s_law)
    * [25.7 Kirchoff's laws](Print_version.html#Kirchoff.27s_laws)
      * [25.7.1 Kirchoff's current law](Print_version.html#Kirchoff.27s_current_law)
      * [25.7.2 Kirchoff's voltage law](Print_version.html#Kirchoff.27s_voltage_law)
    * [25.8 Power](Print_version.html#Power)
    * [25.9 Resistors in series](Print_version.html#Resistors_in_series)
    * [25.10 Resistors in parallel](Print_version.html#Resistors_in_parallel)
    * [25.11 Superposition of sources](Print_version.html#Superposition_of_sources)
    * [25.12 Capacitors](Print_version.html#Capacitors)
    * [25.13 Inductances](Print_version.html#Inductances)
    * [25.14 Frequency-dependent circuits](Print_version.html#Frequency-dependent_circuits)
    * [25.15 Semiconductors](Print_version.html#Semiconductors)
    * [25.16 Introduction](Print_version.html#Introduction_3)
    * [25.17 Circuits](Print_version.html#Circuits_2)
    * [25.18 Direct current and alternating current](Print_version.html#Direct_current_and_alternating_current_2)
    * [25.19 Basic components](Print_version.html#Basic_components_2)
    * [25.20 Ohm's law](Print_version.html#Ohm.27s_law_2)
    * [25.21 Kirchoff's laws](Print_version.html#Kirchoff.27s_laws_2)
      * [25.21.1 Kirchoff's current law](Print_version.html#Kirchoff.27s_current_law_2)
      * [25.21.2 Kirchoff's voltage law](Print_version.html#Kirchoff.27s_voltage_law_2)
    * [25.22 Power](Print_version.html#Power_2)
    * [25.23 Resistors in series](Print_version.html#Resistors_in_series_2)
    * [25.24 Resistors in parallel](Print_version.html#Resistors_in_parallel_2)
    * [25.25 Superposition of sources](Print_version.html#Superposition_of_sources_2)
    * [25.26 Capacitors](Print_version.html#Capacitors_2)
    * [25.27 Inductances](Print_version.html#Inductances_2)
    * [25.28 Frequency-dependent circuits](Print_version.html#Frequency-dependent_circuits_2)
    * [25.29 Semiconductors](Print_version.html#Semiconductors_2)
    * [25.30 Light](Print_version.html#Light)
      * [25.30.1 Refraction](Print_version.html#Refraction)
    * [25.31 Mirrors and lenses](Print_version.html#Mirrors_and_lenses)
      * [25.31.1 Focal length](Print_version.html#Focal_length)
      * [25.31.2 Magnification](Print_version.html#Magnification)
  * [26 Appendices](Print_version.html#Appendices)
  * [27 Commonly Used Physical Constants](Print_version.html#Commonly_Used_Physical_Constants)
    * [27.1 To Be Merged Into Table](Print_version.html#To_Be_Merged_Into_Table)
  * [28 See Also](Print_version.html#See_Also)
    * [28.1 Wiki-links](Print_version.html#Wiki-links)
    * [28.2 External Links](Print_version.html#External_Links)
    * [28.3 Approximate Coefficients of Friction](Print_version.html#Approximate_Coefficients_of_Friction)
  * [29 About the _Common uses in Physics_](Print_version.html#About_the_Common_uses_in_Physics)
  * [30 See Also](Print_version.html#See_Also_2)
  * [31 Review of logs](Print_version.html#Review_of_logs)
    * [31.1 Multiplying vectors and scalars](Print_version.html#Multiplying_vectors_and_scalars)
    * [31.2 Frequently Asked Questions about Vectors](Print_version.html#Frequently_Asked_Questions_about_Vectors)
  * [32 GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)
    * [32.1 0\. PREAMBLE](Print_version.html#0._PREAMBLE)
    * [32.2 1\. APPLICABILITY AND DEFINITIONS](Print_version.html#1._APPLICABILITY_AND_DEFINITIONS)
    * [32.3 2\. VERBATIM COPYING](Print_version.html#2._VERBATIM_COPYING)
    * [32.4 3\. COPYING IN QUANTITY](Print_version.html#3._COPYING_IN_QUANTITY)
    * [32.5 4\. MODIFICATIONS](Print_version.html#4._MODIFICATIONS)
    * [32.6 5\. COMBINING DOCUMENTS](Print_version.html#5._COMBINING_DOCUMENTS)
    * [32.7 6\. COLLECTIONS OF DOCUMENTS](Print_version.html#6._COLLECTIONS_OF_DOCUMENTS)
    * [32.8 7\. AGGREGATION WITH INDEPENDENT WORKS](Print_version.html#7._AGGREGATION_WITH_INDEPENDENT_WORKS)
    * [32.9 8\. TRANSLATION](Print_version.html#8._TRANSLATION)
    * [32.10 9\. TERMINATION](Print_version.html#9._TERMINATION)
    * [32.11 10\. FUTURE REVISIONS OF THIS LICENSE](Print_version.html#10._FUTURE_REVISIONS_OF_THIS_LICENSE)
    * [32.12 11\. RELICENSING](Print_version.html#11._RELICENSING)
  * [33 How to use this License for your documents](Print_version.html#How_to_use_this_License_for_your_documents)

## To Be Merged Into Table

This list is prepared in the format

  * Constant (symbol) : value

* * *

  * Coulomb's Law Constant (**k**) : 1/(4 π ε0) _=_ 9.0 × 109 N·m2/C2
  * Faraday constant (**F**)  : 96,485 C·mol−1
  * Mass of a neutron (**mn**) : 1.67495 × 10−27 kg
  * Mass of Earth : 5.98 × 1024 kg
  * Mass of the Moon : 7.35 × 1022 kg
  * Mean radius of Earth : 6.37 × 106 m
  * Mean radius of the Moon : 1.74 × 106 m
  * Dirac's Constant (**![\\hbar](../../../upload.wikimedia.org/math/9/d/f/9dfd055ef1683b053f1b5bf9ed6dbbb4.png)**) : ![h/\(2\\pi\)](../../../upload.wikimedia.org/math/9/6/9/969bc17ba6e6a3935e1bd5d70245e0a2.png) = 1.05457148 × 10−34 J·s
  * Speed of sound in air at STP : 3.31 × 102 m/s
  * Unified Atomic Mass Unit (**u**) : 1.66 × 10−27 kg

Item
Proton
Neutron
Electron

Mass
1
1
Negligible

Charge
+1
0
-1

# See Also

## Wiki-links

  * [Wikipedia Article](http://en.wikipedia.org/wiki/physical_constant)

## External Links

  * [NIST Physics Lab](http://www.physics.nist.gov/cuu/Constants/index.html)

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

## Approximate Coefficients of Friction

**Material**
**Kinetic**
**Static**

Rubber on concrete (dry)
0.68
0.90

Rubber on concrete (wet)
0.58
-.--

Rubber on asphalt (dry)
0.67
0.85

Rubber on asphalt (wet)
0.53
-.--

Rubber on ice
0.15
-.--

Waxed ski on snow
0.05
0.14

Wood on wood
0.30
0.42

Steel on steel
0.57
0.74

Copper on steel
0.36
0.53

Teflon on teflon
0.04
-.--

Honey on Honey
2.6
negligible

[Physics Study Guide](http://en.wikibooks.org/wiki/Physics_Study_Guide) (**Print Version**)

[Units](http://en.wikibooks.org/wiki/Physics_Study_Guide/Basic_Units)
[Linear Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Linear_motion)
[Force](http://en.wikibooks.org/wiki/Physics_Study_Guide/Force)
[Momentum](http://en.wikibooks.org/wiki/Physics_Study_Guide/Momentum)
[Normal Force and Friction](http://en.wikibooks.org/wiki/Physics_Study_Guide/Normal_force_and_friction)
[Work](http://en.wikibooks.org/wiki/Physics_Study_Guide/Work)
[Energy](http://en.wikibooks.org/wiki/Physics_Study_Guide/Energy)

[Torque](http://en.wikibooks.org/wiki/Physics_Study_Guide/Torque) & [Circular Motion](http://en.wikibooks.org/wiki/Physics_Study_Guide/Circular_Motion)
[Fluids](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fluids)
[Fields](http://en.wikibooks.org/wiki/Physics_Study_Guide/Fields)
[Gravity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Gravity)
[Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Waves)
[Wave overtones](http://en.wikibooks.org/wiki/Physics_Study_Guide/Wave_overtones)
[Standing Waves](http://en.wikibooks.org/wiki/Physics_Study_Guide/Standing_waves)
[Sound](http://en.wikibooks.org/wiki/Physics_Study_Guide/Sound)

[Thermodynamics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Thermodynamics)
[Electricity](http://en.wikibooks.org/wiki/Physics_Study_Guide/Electricity)
[Magnetism](http://en.wikibooks.org/wiki/Physics_Study_Guide/Magnetism)
[Optics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Optics)

[Physical Constants](http://en.wikibooks.org/wiki/Physics_Study_Guide/Physics_constants)
[Frictional Coefficients](http://en.wikibooks.org/wiki/Physics_Study_Guide/Frictional_Coefficients)
[Greek Alphabet](http://en.wikibooks.org/wiki/Physics_Study_Guide/Greek_alphabet)
[Logarithms](http://en.wikibooks.org/wiki/Physics_Study_Guide/Logs)
[Vectors and Scalars](http://en.wikibooks.org/wiki/Physics_Study_Guide/Vectors_and_scalars)
[Other Topics](http://en.wikibooks.org/wiki/Physics_Study_Guide/Topics)

# About the _Common uses in Physics_

While these are indeed common usages, it should be pointed out that there are many other usages and that other letters are used for the same purpose. The reason is quite simple: there are only so many symbols in the Greek and Latin alphabets, and scientists and mathematicians generally do not use symbols from other languages. It is a common trap to associate a symbol exclusively with some particular meaning, rather than learning and understanding the physics and relations behind it.

  


**Greek Alphabet**

Lower case Capital Name Common use in Physics

![\\alpha\\;](../../../upload.wikimedia.org/math/b/a/3/ba389a4184cdea0bb729debea33afb23.png)
![\\Alpha\\;](../../../upload.wikimedia.org/math/8/1/0/8107011d26fd4a72b2861e736a3286c6.png)
alpha
Angular acceleration  
Linear expansion  
Coefficient  
Alpha particle (helium nucleus)  
Fine Structure Constant

![\\beta\\;](../../../upload.wikimedia.org/math/f/8/a/f8a3a5ad38b0c2353918e9cc4bef4089.png)
![\\Beta\\;](../../../upload.wikimedia.org/math/1/2/a/12a6e0950a9c298b1e112eaeff045fb7.png)
beta
Beta particle — high energy electron  
Sound intensity

![\\gamma\\;](../../../upload.wikimedia.org/math/2/c/2/2c238049440cd7b7648db50e595e8bf4.png)
![\\Gamma\\;](../../../upload.wikimedia.org/math/f/f/d/ffd7dc17d72149469b1b06d2b9fb4d21.png)
gamma
Gamma ray (high energy EM wave)  
Ratio of heat capacities (in an ideal gas)  
Relativistic correction factor

![\\delta\\;](../../../upload.wikimedia.org/math/8/5/c/85c6e1b51c2478c06f6b993fbb5604c9.png)
![\\Delta\\;](../../../upload.wikimedia.org/math/c/9/5/c959190ce44cc696b87adf977980e89f.png)
delta
Δ="Change in"  
δ="Infinitesimal change in"

![\\epsilon\\;](../../../upload.wikimedia.org/math/c/d/e/cdea185bc5fb6068ebf0d04a6d936eb4.png)
![\\Epsilon\\;](../../../upload.wikimedia.org/math/6/9/b/69b2957bf3b2d45d02755da4163c413d.png)
epsilon
Emissivity  
Strain  
Permittivity  
EMF

![\\zeta\\;](../../../upload.wikimedia.org/math/b/1/9/b19b824cf970d1f0771950955826d360.png)
![\\Zeta\\;](../../../upload.wikimedia.org/math/5/7/f/57f54dccf2a4b9fc02c3e1422c38d822.png)
zeta
(no common use)

![\\eta\\;](../../../upload.wikimedia.org/math/4/1/4/414094ce58443c908b938f3514af49fa.png)
![\\Eta\\;](../../../upload.wikimedia.org/math/5/4/9/549bbea7ff59347236ae7b0ecd492720.png)
eta
Viscosity  
Energy efficiency

![\\theta\\;](../../../upload.wikimedia.org/math/1/c/9/1c965a956ed7e63e6c6b8ebc5589293c.png)
![\\Theta\\;](../../../upload.wikimedia.org/math/3/6/3/363ccf7c376dbced24fe0d3b5c8a29d2.png)
theta
Angle (°, rad)  
Temperature

![\\iota\\;](../../../upload.wikimedia.org/math/8/5/b/85b11408c6bb9016a270371664396fa2.png)
![\\Iota\\;](../../../upload.wikimedia.org/math/6/9/1/69105739e997afb697ce07e06ae2ed80.png)
iota
The lower case ![\\iota\\;](../../../upload.wikimedia.org/math/8/5/b/85b11408c6bb9016a270371664396fa2.png) is rarely used, while ![\\Iota\\;](../../../upload.wikimedia.org/math/6/9/1/69105739e997afb697ce07e06ae2ed80.png) is sometimes used for the identity matrix or the moment of inertia. Note that ![\\iota\\;](../../../upload.wikimedia.org/math/8/5/b/85b11408c6bb9016a270371664396fa2.png) is not to be confused with the Roman character ![i;](../../../upload.wikimedia.org/math/f/5/8/f5807b2290e2e42b583c27db80ec2984.png) (which has a dot and is much more widely used in mathematics and physics).

![\\kappa\\;](../../../upload.wikimedia.org/math/7/e/9/7e9abb2d903e0b61dd761d58dbd8409b.png)
![\\Kappa\\;](../../../upload.wikimedia.org/math/7/4/a/74a44420c64ddc4dc75665d6ff380b21.png)
kappa
Spring constant  
Dielectric constant

![\\lambda\\;](../../../upload.wikimedia.org/math/4/c/8/4c8cb311ec58afe8fba6abbe67caf5ef.png)
![\\Lambda\\;](../../../upload.wikimedia.org/math/1/e/2/1e2c9df42eb2b821da555f5c8fb5859e.png)
lambda
Wavelength  
Thermal conductivity  
Constant  
Eigenvalue of a matrix  
Linear density

![\\mu\\;](../../../upload.wikimedia.org/math/7/1/c/71c4b3ec2bc79ea9bbbe686d5ad05775.png)
![\\Mu\\;](../../../upload.wikimedia.org/math/d/7/0/d70df42ac53a14e6671c158588f5cf35.png)
mu
Coefficient of friction  
Electrical mobility  
Reduced mass  
Permeability

![\\nu\\;](../../../upload.wikimedia.org/math/9/c/b/9cb47c98e68318848dcd5956935e1f5d.png)
![\\Nu\\;](../../../upload.wikimedia.org/math/8/5/c/85ccb0bc040d55b72d8c90790b0ee6c7.png)
nu
Frequency

![\\xi\\;](../../../upload.wikimedia.org/math/0/b/e/0be82a1ca459514a544da9d667aa2643.png)
![\\Xi\\;](../../../upload.wikimedia.org/math/4/1/b/41bd83fa637f71afd16b5b82162fda8f.png)
xi
Damping cofficient

![o\\;](../../../upload.wikimedia.org/math/5/5/a/55a540273a28f749c69571cde4daf154.png)
![O\\;](../../../upload.wikimedia.org/math/9/3/b/93b202fc79073db9018b020d5a87b802.png)
omicron
(no common use)

![\\pi\\;](../../../upload.wikimedia.org/math/7/d/c/7dcb5c67e3902026d3ccb6437df1d940.png)
![\\Pi\\;](../../../upload.wikimedia.org/math/f/0/0/f0013b2fc7a462a3752f8f6109f02135.png)
pi
Product symbol ![\\Pi](../../../upload.wikimedia.org/math/2/2/1/221c7fb8e8f49035f169fb9e3b18715f.png)  
Circle number ![\\pi:=3.14159...](../../../upload.wikimedia.org/math/0/a/9/0a985a9a7b827f3d68eeb74c33efbc49.png)

![\\rho\\;](../../../upload.wikimedia.org/math/8/5/6/8568df00373df90282ef5bdfb8f1d509.png)
![\\Rho\\;](../../../upload.wikimedia.org/math/6/8/b/68b5d52d146d0c4c450d0753ee5c51ee.png)
rho
Volume density  
Resistivity

![\\sigma\\;](../../../upload.wikimedia.org/math/4/7/2/4723db102a4bd344af24e66a311e64aa.png)
![\\Sigma\\;](../../../upload.wikimedia.org/math/4/0/a/40ad8488bb9ce857846f6f7ef8f03233.png)
sigma
Sum symbol  
Boltzmann constant  
Electrical conductivity  
Uncertainty  
Stress  
Surface density

![\\tau\\;](../../../upload.wikimedia.org/math/3/a/8/3a8ab3541a9ece3d0a3ed665dd33a90a.png)
![\\Tau\\;](../../../upload.wikimedia.org/math/1/f/6/1f614457814d1c30f4ecc8bebdb55b6f.png)
tau
Torque  
Tau particle (a lepton)  
Time constant

![\\upsilon\\;](../../../upload.wikimedia.org/math/e/8/1/e8110760a42656576a20651b6a441a8c.png)
![\\Upsilon\\;](../../../upload.wikimedia.org/math/4/9/5/495209d215043c53cc5b399dfc03c531.png)
upsilon
mass to light ratio

![\\phi\\;](../../../upload.wikimedia.org/math/9/a/f/9affcab55e4aa002efc90e45fe664b99.png)
![\\Phi\\;](../../../upload.wikimedia.org/math/4/4/0/4400aa425b3a4e1d9755bbb0e4ef7a6b.png)
phi
Magnetic/electric flux  
Angle (°, rad)

![\\chi\\;](../../../upload.wikimedia.org/math/2/9/b/29be4506420e37e2012c2f3285f7bbe3.png)
![\\Chi\\;](../../../upload.wikimedia.org/math/1/d/3/1d338c61a5e38d260fb050ec25c3edf8.png)
chi
Rabi frequency (lasers)  
Susceptibility

![\\psi\\;](../../../upload.wikimedia.org/math/4/e/9/4e9201bb28eca972485ddb0c7b1277d8.png)
![\\Psi\\;](../../../upload.wikimedia.org/math/d/d/2/dd29613a980adb79417c79681ab4c932.png)
psi
Wave function

![\\omega\\;](../../../upload.wikimedia.org/math/9/b/c/9bce42552fd96787ead73499b7d10d9f.png)
![\\Omega\\;](../../../upload.wikimedia.org/math/5/4/d/54d2edcd69282107feb5966829a7e9d3.png)
omega
Ohms (unit of electrical resistance)  
ω Angular velocity

# See Also

[Greek alphabet](http://en.wikipedia.org/wiki/Greek_alphabet) on the [Wikipedia](http://en.wikipedia.org/wiki/Main_Page) missionaries of the sacred heart

# Review of logs

Been a while since you used logs? Here is a quick refresher for you.

The log (short for logarithm) of a number N is the exponent used to raise a certain "base" number B to get N. In short, ![\\log_B\\ N = x](../../../upload.wikimedia.org/math/8/4/6/846a02fd7a1794cdf3258c88df2dcf39.png) means that ![B^x = N](../../../upload.wikimedia.org/math/d/1/3/d130283b85ce4adaeea3845fda399c1a.png).

Typically, logs use base 10. An increase of "1" in a base 10 log is equivalent to an increase by a power of 10 in normal notation. In logs, "3" is 100 times the size of "1". If the log is written without an explicit base, 10 is (usually) implied.

![y=10^x\\ \\mathrm{or}\\ \\log_{10}y=x\\ ](../../../upload.wikimedia.org/math/9/2/6/926c9012413a73856efbc4615bfa5c01.png)

_therefore:_ log(10–12) = –12  


_also:_ log(1000) = 3

  
Another common base for logs is the trancendental number ![e](../../../upload.wikimedia.org/math/e/1/6/e1671797c52e15f763380b45e841ec32.png), which is approximately 2.7182818.... Since ![\\frac{d}{dx} e^x = e^x](../../../upload.wikimedia.org/math/c/3/d/c3d7a3f74527a7bf8fb452878618b178.png), these can be more convenient than ![\\log_{10}](../../../upload.wikimedia.org/math/2/a/c/2acd592f140ed64247ec2098b60c1cf9.png). Often, the notation ![\\ln\\ x](../../../upload.wikimedia.org/math/6/4/c/64cce7bfdfa33df5d12f107582f085ae.png) is used instead of ![\\log_e\\ x](../../../upload.wikimedia.org/math/0/6/c/06c919adfa6e701f6899a7db81f4a87b.png).

The following properties of logs are true regardless of whether the base is 10, ![e](../../../upload.wikimedia.org/math/e/1/6/e1671797c52e15f763380b45e841ec32.png), or some other number.

logA + logB = log(AB)  
  
logA – logB = log(A/B)  
  
log(AB) = B log(A)

  
Adding the log of A to the log of B will give the same result as taking the log of the product A times B.  
  
Subtracting the log of B from the log of A will give the same result as taking the log of the quotient A divided by B.  
  
The log of (A to the Bth power) is equal to the product (B times the log of A).  
  
A few examples:  
log(2) + log(3) = log(6)  
log(30) – log(2) = log(15)  
log(8) = log(23) = 3log(2) **Vectors** are quantities that are characterized by having both a numerical **quantity** (called the "magnitude" and denoted as |_v_|) and a **direction**. Velocity is an example of a vector; it describes the time rated change in position with a numerical quantity (meters per second) as well as indicating the direction of movement.

The definition of a vector is any quantity that adds according to the parallelogram law (there are some physical quantities that have magnitude and direction that are not vectors).

**Scalars** are quantities in physics that have **no direction**. Mass is a scalar; it can describe the quantity of matter with units (kilograms) but does not describe any direction.

## Multiplying vectors and scalars

  * A **scalar** times a **scalar** gives a **scalar** result.
  * A **vector** scalar-multiplied by a **vector** gives a **scalar** result (called the dot-product).
  * A **vector** cross-multiplied by a **vector** gives a **vector** result (called the cross-product).
  * A **vector** times a **scalar** gives a **vector** result.

## Frequently Asked Questions about Vectors

When the scalar and vector composition will be same? ans. when multiple vectors are in same direction then we can just add the magnitudes.so, the scalar and vector composition will be same as we do not add the directions. **Q:** What is a "dot-product"?

![](../../../upload.wikimedia.org/wikibooks/en/f/fc/Man_walking_up_a_hill.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

A Man walking up a hill

**A:** Let's take gravity as our force. If you jump out of an airplane and fall you will pick up speed. (for simplicity's sake, let's ignore air drag). To work out the kinetic energy at any point you simply multiply the _value_ of the force caused by gravity by the _distance_ moved in the direction of the force. For example, a 180 N boy falling a distance of 10 m will have 1800 J of extra kinetic energy. We say that the man has had 1800 J of work done on him by the force of gravity.

  
Notice that energy is _not_ a vector. It has a value but no direction. Gravity and displacement are vectors. They have a value plus a direction. (In this case, their directions are down and down respectively) The reason we can get a scalar energy from vectors gravity and displacement is because, in this case, they happen to point in the same direction. Gravity acts downwards and displacement is also downwards.

When two vectors point in the same direction, you can get the scalar product by just multiplying the _value_ of the two vectors together and ignoring the direction.

But what happens if they don't point in the same direction?

  
Consider a man walking up a hill. Obviously it takes energy to do this because you are going against the force of gravity. The steeper the hill, the more energy it takes every step to climb it. This is something we all know unless we live on a salt lake.

In a situation like this we can still work out the work done. In the diagram, the green lines represent the displacement. To find out how much work _against_ gravity the man does, we work out the _projection_ of the displacement along the line of action of the force of gravity. In this case it's just the y component of the man's displacement. This is where the cos θ comes in. θ is merely the angle between the velocity vector and the force vector.

If the two forces do not point in the same direction, you can still get the scalar product by multiplying the projection of one force in the direction of the other force. Thus:

![\\vec{a}\\cdot\\vec{b}\\equiv \\|\\vec{a}\\|\\ \\|\\vec{b}\\|\\ \\cos\\theta](../../../upload.wikimedia.org/math/d/b/0/db00d0d47f1c44677b503991bbcda32f.png)

There is another method of defining the dot product which relies on components.

![\\vec{a}\\cdot\\vec{b}\\equiv a_xb_x+a_yb_y+a_zb_z](../../../upload.wikimedia.org/math/5/5/7/557b8e388831a342379549312894bb0a.png)

**Q:** What is a "cross-product"?

**A:** Suppose there is a charged particle moving in a constant magnetic field. According to the laws of electromagnetism, the particle is acted upon by a force called the Lorentz force. If this particle is moving from left to right at 30 m/s and the field is 30 Tesla pointing straight down perpendicular to the particle, the particle will actually curve in a circle spiraling out of the plane of the two with an acceleration of its charge in coulombs times 900 newtons per coulomb! This is because the calculation of the Lorentz force involves a cross-product.when cross product can replace the sin0 can take place during multiplication. A cross product can be calculated simply using the angle between the two vectors and your right hand. If the forces point parallel or 180° from each other, it's simple: the cross-product does not exist. If they are exactly perpendicular, the cross-product has a magnitude of the product of the two magnitudes. For all others in between however, the following formula is used:

![\\left\\|\\vec{a}\\times\\vec{b}\\right\\| = \\left\\|\\vec{a}\\right\\|\\ \\left\\|\\vec{b}\\right\\|\\sin\\theta](../../../upload.wikimedia.org/math/e/5/5/e55594d832fdeab296ebf569ecf561cc.png)

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Right_hand_rule_cross_product.svg/220px-Right_hand_rule_cross_product.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

The right-hand rule: point your index finger along the first vector and your middle finger across the second; your thumb will point in the direction of the resulting vector

But if the result is a vector, then what is the direction? That too is fairly simple, utilizing a method called the "right-hand rule".

The right-hand rule works as follows: Place your right-hand flat along the first of the two vectors with the palm facing the second vector and your thumb sticking out perpendicular to your hand. Then proceed to curl your hand towards the second vector. The direction that your thumb points is the direction that cross-product vector points! Though this definition is easy to explain visually it is slightly more complicated to calculate than the dot product.

![\(a_x,\\ a_y,\\ a_z\)\\times\(b_x,\\ b_y,\\ b_z\) =\(a_yb_z-a_zb_y\\ ,a_xb_z-a_zb_x\\ ,a_xb_y-a_yb_x\)](../../../upload.wikimedia.org/math/4/1/8/4184e08cc419fb4fc4a85db08f9f9998.png)

**Q:**How do you draw vectors

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Vector_addition_subtraction.svg/220px-Vector_addition_subtraction.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

How to draw vectors in the plane of the paper

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Notation_for_vectors_in_or_out_of_a_plane.svg/220px-Notation_for_vectors_in_or_out_of_a_plane.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Standard symbols of a vector going into or out of a page

**A:**Vectors in the plane of the page are drawn as arrows on the page. A vector that goes into the plane of the screen is typically drawn as circles with an inscribed X. A vector that comes out of the plane of the screen is typically drawn as circles with dots at their centers. The X is meant to represent the fletching on the back of an arrow or dart while the dot is meant to represent the tip of the arrow.

# GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&oldid=2502119](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&oldid=2502119)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Physics Study Guide](http://en.wikibooks.org/wiki/Category:Physics_Study_Guide)

Hidden category: 

  * [Books to be merged](http://en.wikibooks.org/wiki/Category:Books_to_be_merged)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Physics+Study+Guide%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Physics+Study+Guide%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:Physics_Study_Guide/Print_version)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Navigation

  * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
  * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
  * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
  * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
  * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

  * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
  * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Physics_Study_Guide/Print_version)
  * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Physics_Study_Guide/Print_version)
  * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
  * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&oldid=2502119)
  * [Page information](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&action=info)
  * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Physics_Study_Guide%2FPrint_version&id=2502119)

### In other languages

  * [العربية](http://ar.wikibooks.org/wiki/%D8%AF%D9%84%D9%8A%D9%84_%D8%AF%D8%B1%D8%A7%D8%B3%D8%A9_%D8%A7%D9%84%D9%81%D9%8A%D8%B2%D9%8A%D8%A7%D8%A1/%D8%A7%D9%84%D8%AD%D8%B1%D9%83%D8%A9)
  * ### Sister projects

  * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
  * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
  * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
  * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
  * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
  * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
  * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
  * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
  * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

  * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Physics+Study+Guide%2FPrint+version)
  * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Physics+Study+Guide%2FPrint+version&oldid=2502119&writer=rl)
  * [Printable version](http://en.wikibooks.org/w/index.php?title=Physics_Study_Guide/Print_version&printable=yes)

  * This page was last modified on 15 March 2013, at 16:40.
  * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
  * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikibooks.org/wiki/Physics_Study_Guide/Print_version)
  * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
