# Robotics/Print version

From Wikibooks, open books for an open world

< [Robotics](http://en.wikibooks.org/wiki/Robotics)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Robotics/Print_version) on _30 June 2013_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&oldid=2540638&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Robotics](http://en.wikibooks.org/wiki/Robotics)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=purge&printable=yes) this page.

_The current version of this book can be found at <http://en.wikibooks.org/wiki/robotics> ._

## Contents

  * [1 Introduction](Print_version.html#Introduction)
    * [1.1 Defining Robots](Print_version.html#Defining_Robots)
    * [1.2 Student Questions](Print_version.html#Student_Questions)
  * [2 Contributors](Print_version.html#Contributors)
  * [3 Design Basics](Print_version.html#Design_Basics)
  * [4 What you should know](Print_version.html#What_you_should_know)
    * [4.1 Mechanics](Print_version.html#Mechanics)
    * [4.2 Electronics](Print_version.html#Electronics)
    * [4.3 Programming](Print_version.html#Programming)
    * [4.4 Solid Mechanics](Print_version.html#Solid_Mechanics)
    * [4.5 A.I.](Print_version.html#A.I.)
    * [4.6 Math](Print_version.html#Math)
  * [5 Physical Design](Print_version.html#Physical_Design)
    * [5.1 General Design Considerations](Print_version.html#General_Design_Considerations)
    * [5.2 Platforms](Print_version.html#Platforms)
      * [5.2.1 Wheeled Platforms](Print_version.html#Wheeled_Platforms)
        * [5.2.1.1 Turning](Print_version.html#Turning)
      * [5.2.2 Tracked Platforms](Print_version.html#Tracked_Platforms)
      * [5.2.3 Walkers](Print_version.html#Walkers)
        * [5.2.3.1 2-Legged Walkers or Bipeds](Print_version.html#2-Legged_Walkers_or_Bipeds)
        * [5.2.3.2 4-Legged Walkers](Print_version.html#4-Legged_Walkers)
        * [5.2.3.3 6-Legged Walkers or Hexapods](Print_version.html#6-Legged_Walkers_or_Hexapods)
      * [5.2.4 Whegs](Print_version.html#Whegs)
      * [5.2.5 Ball Wheels](Print_version.html#Ball_Wheels)
    * [5.3 Electronics](Print_version.html#Electronics_2)
      * [5.3.1 Some Tips](Print_version.html#Some_Tips)
    * [5.4 Display](Print_version.html#Display)
    * [5.5 Mechanical Design](Print_version.html#Mechanical_Design)
      * [5.5.1 Balance](Print_version.html#Balance)
      * [5.5.2 Simple 4-Wheeled Robots](Print_version.html#Simple_4-Wheeled_Robots)
      * [5.5.3 Simple 3-Wheeled Robots](Print_version.html#Simple_3-Wheeled_Robots)
      * [5.5.4 Wheeled robots with an arm or gripper](Print_version.html#Wheeled_robots_with_an_arm_or_gripper)
  * [6 Design software](Print_version.html#Design_software)
    * [6.1 2D CAD](Print_version.html#2D_CAD)
    * [6.2 Solid Modeling](Print_version.html#Solid_Modeling)
    * [6.3 Pneumatic & Hydraulic Simulation](Print_version.html#Pneumatic_.26_Hydraulic_Simulation)
    * [6.4 Schematic Capture & PCB](Print_version.html#Schematic_Capture_.26_PCB)
    * [6.5 µControllers](Print_version.html#.C2.B5Controllers)
      * [6.5.1 Programming Languages](Print_version.html#Programming_Languages)
      * [6.5.2 Programmers](Print_version.html#Programmers)
      * [6.5.3 Debuggers](Print_version.html#Debuggers)
    * [6.6 Various tools](Print_version.html#Various_tools)
    * [6.7 Further reading](Print_version.html#Further_reading)
  * [7 Tools and Equipment](Print_version.html#Tools_and_Equipment)
    * [7.1 Mechanical Tools](Print_version.html#Mechanical_Tools)
    * [7.2 Electronic Tools](Print_version.html#Electronic_Tools)
      * [7.2.1 Soldering iron](Print_version.html#Soldering_iron)
    * [7.3 Breadboard](Print_version.html#Breadboard)
    * [7.4 Electronic Equipment](Print_version.html#Electronic_Equipment)
    * [7.5 Connectors](Print_version.html#Connectors)
      * [7.5.1 Insulation Displacement Connectors (IDC)](Print_version.html#Insulation_Displacement_Connectors_.28IDC.29)
      * [7.5.2 RJ45 network connector](Print_version.html#RJ45_network_connector)
    * [7.6 further reading](Print_version.html#further_reading_2)
  * [8 Electronic Components](Print_version.html#Electronic_Components)
    * [8.1 Basic Electronics](Print_version.html#Basic_Electronics)
    * [8.2 Special Electronic Components](Print_version.html#Special_Electronic_Components)
  * [9 Mechanical Components](Print_version.html#Mechanical_Components)
    * [9.1 Gears](Print_version.html#Gears)
      * [9.1.1 Spur gear](Print_version.html#Spur_gear)
      * [9.1.2 Bevelled gear](Print_version.html#Bevelled_gear)
      * [9.1.3 Worm Gear](Print_version.html#Worm_Gear)
      * [9.1.4 Rack and Pinion](Print_version.html#Rack_and_Pinion)
    * [9.2 Internal gear](Print_version.html#Internal_gear)
    * [9.3 Chains & Belts](Print_version.html#Chains_.26_Belts)
  * [10 Building Materials](Print_version.html#Building_Materials)
  * [11 Wood](Print_version.html#Wood)
  * [12 Metal](Print_version.html#Metal)
    * [12.1 Aluminum](Print_version.html#Aluminum)
    * [12.2 Steel](Print_version.html#Steel)
    * [12.3 Bronze](Print_version.html#Bronze)
    * [12.4 Brass](Print_version.html#Brass)
    * [12.5 Copper](Print_version.html#Copper)
  * [13 Synthetic Materials](Print_version.html#Synthetic_Materials)
    * [13.1 PVC](Print_version.html#PVC)
    * [13.2 Plexiglass](Print_version.html#Plexiglass)
  * [14 Composite materials](Print_version.html#Composite_materials)
  * [15 Other Materials](Print_version.html#Other_Materials)
    * [15.1 Foamcore](Print_version.html#Foamcore)
    * [15.2 Cardboard](Print_version.html#Cardboard)
  * [16 Basic Programming](Print_version.html#Basic_Programming)
    * [16.1 Programmable devices](Print_version.html#Programmable_devices)
      * [16.1.1 Microcontrollers](Print_version.html#Microcontrollers)
        * [16.1.1.1 AVR](Print_version.html#AVR)
      * [16.1.2 PC](Print_version.html#PC)
      * [16.1.3 Laptop](Print_version.html#Laptop)
      * [16.1.4 PDA](Print_version.html#PDA)
      * [16.1.5 Gameboy](Print_version.html#Gameboy)
      * [16.1.6 Gameboy Advance (GBA)](Print_version.html#Gameboy_Advance_.28GBA.29)
      * [16.1.7 Programmable Logic Controllers](Print_version.html#Programmable_Logic_Controllers)
      * [16.1.8 Combinations](Print_version.html#Combinations)
    * [16.2 Programming languages](Print_version.html#Programming_languages_2)
      * [16.2.1 Which language to pick?](Print_version.html#Which_language_to_pick.3F)
    * [16.3 Writing your software](Print_version.html#Writing_your_software)
    * [16.4 Further reading](Print_version.html#Further_reading_3)
  * [17 Physical Construction](Print_version.html#Physical_Construction)
  * [18 The Platform](Print_version.html#The_Platform)
  * [19 Construction Techniques](Print_version.html#Construction_Techniques)
    * [19.1 Working with Metals](Print_version.html#Working_with_Metals)
      * [19.1.1 Measuring and Marking](Print_version.html#Measuring_and_Marking)
      * [19.1.2 Cutting and Sawing](Print_version.html#Cutting_and_Sawing)
      * [19.1.3 Drilling](Print_version.html#Drilling)
      * [19.1.4 Filing](Print_version.html#Filing)
      * [19.1.5 Bending](Print_version.html#Bending)
    * [19.2 Working with Plastics](Print_version.html#Working_with_Plastics)
      * [19.2.1 Cutting](Print_version.html#Cutting)
      * [19.2.2 Drilling](Print_version.html#Drilling_2)
      * [19.2.3 Filing](Print_version.html#Filing_2)
      * [19.2.4 Bending](Print_version.html#Bending_2)
    * [19.3 Further reading](Print_version.html#Further_reading_4)
  * [20 Resourcefulness](Print_version.html#Resourcefulness)
  * [21 Components](Print_version.html#Components)
  * [22 Power Sources](Print_version.html#Power_Sources)
    * [22.1 Photo Voltaic Cells](Print_version.html#Photo_Voltaic_Cells)
    * [22.2 Batteries](Print_version.html#Batteries)
    * [22.3 Fuel Cells](Print_version.html#Fuel_Cells)
    * [22.4 Mechanical](Print_version.html#Mechanical)
    * [22.5 Air Pressure](Print_version.html#Air_Pressure)
    * [22.6 Chemical Fuel](Print_version.html#Chemical_Fuel)
  * [23 Actuation Devices](Print_version.html#Actuation_Devices)
  * [24 Motors](Print_version.html#Motors)
    * [24.1 AC-motor](Print_version.html#AC-motor)
    * [24.2 DC-motors](Print_version.html#DC-motors)
      * [24.2.1 Direction](Print_version.html#Direction)
      * [24.2.2 Speed](Print_version.html#Speed)
    * [24.3 Servo](Print_version.html#Servo)
    * [24.4 Stepper motor](Print_version.html#Stepper_motor)
  * [25 Stepper Motors](Print_version.html#Stepper_Motors)
    * [25.1 Stepper Motor Basics](Print_version.html#Stepper_Motor_Basics)
    * [25.2 Common Uses/Part Sources](Print_version.html#Common_Uses.2FPart_Sources)
  * [26 Shape Memory Alloys](Print_version.html#Shape_Memory_Alloys)
  * [27 Air muscle](Print_version.html#Air_muscle)
    * [27.1 Biomimetics](Print_version.html#Biomimetics)
    * [27.2 Legs, wheels, treads](Print_version.html#Legs.2C_wheels.2C_treads)
    * [27.3 Actuators](Print_version.html#Actuators)
      * [27.3.1 Muscle](Print_version.html#Muscle)
      * [27.3.2 Electric motor](Print_version.html#Electric_motor)
      * [27.3.3 Pneumatic and hydraulic cylinder](Print_version.html#Pneumatic_and_hydraulic_cylinder)
      * [27.3.4 Braided pneumatic actuator](Print_version.html#Braided_pneumatic_actuator)
    * [27.4 Further reading](Print_version.html#Further_reading_5)
    * [27.5 References](Print_version.html#References)
  * [28 Linear Electromagnetic](Print_version.html#Linear_Electromagnetic)
    * [28.1 Applications](Print_version.html#Applications)
    * [28.2 Design Considerations](Print_version.html#Design_Considerations)
      * [28.2.1 Calculating Force](Print_version.html#Calculating_Force)
  * [29 Piezoelectric Actuators](Print_version.html#Piezoelectric_Actuators)
    * [29.1 Piezoelectric Effect](Print_version.html#Piezoelectric_Effect)
      * [29.1.1 Materials with the Piezoelectric properties](Print_version.html#Materials_with_the_Piezoelectric_properties)
    * [29.2 Piezoelectric Actuators](Print_version.html#Piezoelectric_Actuators_2)
      * [29.2.1 Piezoelectric Motors](Print_version.html#Piezoelectric_Motors)
        * [29.2.1.1 Linear](Print_version.html#Linear)
        * [29.2.1.2 Rotary](Print_version.html#Rotary)
        * [29.2.1.3 Stepper](Print_version.html#Stepper)
        * [29.2.1.4 Squiggle Motor[22]](Print_version.html#Squiggle_Motor.5B22.5D)
    * [29.3 Robotics Applications](Print_version.html#Robotics_Applications)
    * [29.4 References](Print_version.html#References_2)
    * [29.5 External Links](Print_version.html#External_Links)
  * [30 Pneumatics Hydraulics](Print_version.html#Pneumatics_Hydraulics)
    * [30.1 Pneumatic systems](Print_version.html#Pneumatic_systems)
      * [30.1.1 Applications](Print_version.html#Applications_2)
      * [30.1.2 Design Considerations](Print_version.html#Design_Considerations_2)
      * [30.1.3 Calculating Output Force](Print_version.html#Calculating_Output_Force)
        * [30.1.3.1 Notes](Print_version.html#Notes)
  * [31 Miniature internal combustion engines](Print_version.html#Miniature_internal_combustion_engines)
  * [32 Grippers](Print_version.html#Grippers)
    * [32.1 Kind of grippers](Print_version.html#Kind_of_grippers)
    * [32.2 Scoops](Print_version.html#Scoops)
    * [32.3 Tongs](Print_version.html#Tongs)
    * [32.4 'Hands'](Print_version.html#.27Hands.27)
    * [32.5 Degrees of Freedom](Print_version.html#Degrees_of_Freedom)
    * [32.6 References](Print_version.html#References_3)
  * [33 Audio](Print_version.html#Audio)
    * [33.1 The Theoretical Edge](Print_version.html#The_Theoretical_Edge)
    * [33.2 The Different Components](Print_version.html#The_Different_Components)
      * [33.2.1 Preamplifier](Print_version.html#Preamplifier)
      * [33.2.2 Amplifier](Print_version.html#Amplifier)
      * [33.2.3 Analog to Digital Converter ADC](Print_version.html#Analog_to_Digital_Converter_ADC)
      * [33.2.4 Digital to Analog Converter](Print_version.html#Digital_to_Analog_Converter)
      * [33.2.5 Oscillators](Print_version.html#Oscillators)
      * [33.2.6 Dedicated sound Chips](Print_version.html#Dedicated_sound_Chips)
  * [34 Video](Print_version.html#Video)
    * [34.1 Camera, transmission, display](Print_version.html#Camera.2C_transmission.2C_display)
    * [34.2 Computer Vision](Print_version.html#Computer_Vision)
    * [34.3 Demosaicing](Print_version.html#Demosaicing)
    * [34.4 Image Registration](Print_version.html#Image_Registration)
    * [34.5 Image Differencing](Print_version.html#Image_Differencing)
    * [34.6 Image Recognition](Print_version.html#Image_Recognition)
    * [34.7 Image Segmentation](Print_version.html#Image_Segmentation)
  * [35 Computer Control](Print_version.html#Computer_Control)
  * [36 Control Architectures](Print_version.html#Control_Architectures)
  * [37 Reactive Systems](Print_version.html#Reactive_Systems)
  * [38 Sense-Plan-Act](Print_version.html#Sense-Plan-Act)
  * [39 Brooks' Subsumption Architecture](Print_version.html#Brooks.27_Subsumption_Architecture)
  * [40 Hybrid Systems](Print_version.html#Hybrid_Systems)
  * [41 Swarm Robotics](Print_version.html#Swarm_Robotics)
    * [41.1 **Overview:**](Print_version.html#Overview:)
    * [41.2 **Basic Swarm Robotics:**](Print_version.html#Basic_Swarm_Robotics:)
      * [41.2.1 Examples:](Print_version.html#Examples:)
  * [42 Ant Colony Optimization (ACO):](Print_version.html#Ant_Colony_Optimization_.28ACO.29:)
  * [43 Particle Swarm Optimization (PSO)](Print_version.html#Particle_Swarm_Optimization_.28PSO.29)
  * [44 The Interface](Print_version.html#The_Interface)
  * [45 Personal Computers](Print_version.html#Personal_Computers)
    * [45.1 External Ports](Print_version.html#External_Ports)
      * [45.1.1 Serial Port](Print_version.html#Serial_Port)
      * [45.1.2 Parallel Port](Print_version.html#Parallel_Port)
      * [45.1.3 USB](Print_version.html#USB)
      * [45.1.4 IEEE 1394: Firewire, i.link, Lynx](Print_version.html#IEEE_1394:_Firewire.2C_i.link.2C_Lynx)
      * [45.1.5 Keyboard Connector](Print_version.html#Keyboard_Connector)
      * [45.1.6 Ethernet](Print_version.html#Ethernet)
    * [45.2 Internal Ports](Print_version.html#Internal_Ports)
      * [45.2.1 ISA](Print_version.html#ISA)
      * [45.2.2 PCI](Print_version.html#PCI)
      * [45.2.3 AGP](Print_version.html#AGP)
      * [45.2.4 PCI Express](Print_version.html#PCI_Express)
    * [45.3 Wireless](Print_version.html#Wireless)
      * [45.3.1 IRDA](Print_version.html#IRDA)
      * [45.3.2 WiFi / WLAN / 802.11 / Wireless Ethernet](Print_version.html#WiFi_.2F_WLAN_.2F_802.11_.2F_Wireless_Ethernet)
      * [45.3.3 Bluetooth](Print_version.html#Bluetooth)
      * [45.3.4 ZigBee](Print_version.html#ZigBee)
      * [45.3.5 UWB](Print_version.html#UWB)
      * [45.3.6 Wireless USB](Print_version.html#Wireless_USB)
      * [45.3.7 Cellular networks](Print_version.html#Cellular_networks)
      * [45.3.8 Radio modems](Print_version.html#Radio_modems)
    * [45.4 Using a PC or laptop in a robot](Print_version.html#Using_a_PC_or_laptop_in_a_robot)
  * [46 SBC and multichip modules](Print_version.html#SBC_and_multichip_modules)
    * [46.1 SBC: Single Board Computers](Print_version.html#SBC:_Single_Board_Computers)
      * [46.1.1 Stacking modular connector boards](Print_version.html#Stacking_modular_connector_boards)
    * [46.2 Multichip Module Boards](Print_version.html#Multichip_Module_Boards)
    * [46.3 Further reading](Print_version.html#Further_reading_6)
  * [47 Microcontrollers](Print_version.html#Microcontrollers_2)
    * [47.1 Further reading](Print_version.html#Further_reading_7)
  * [48 Remote Control](Print_version.html#Remote_Control)
    * [48.1 Wired Remote Control](Print_version.html#Wired_Remote_Control)
      * [48.1.1 Issues With Wired Remote Control](Print_version.html#Issues_With_Wired_Remote_Control)
        * [48.1.1.1 Limited Range](Print_version.html#Limited_Range)
        * [48.1.1.2 Mechanical Issues With Cables](Print_version.html#Mechanical_Issues_With_Cables)
      * [48.1.2 Methods](Print_version.html#Methods)
      * [48.1.3 Advantages](Print_version.html#Advantages)
    * [48.2 Wireless Remote Control](Print_version.html#Wireless_Remote_Control)
      * [48.2.1 IR](Print_version.html#IR)
      * [48.2.2 RF](Print_version.html#RF)
      * [48.2.3 Speech Recognition](Print_version.html#Speech_Recognition)
      * [48.2.4 Sound](Print_version.html#Sound)
    * [48.3 Network control](Print_version.html#Network_control)
  * [49 Networks](Print_version.html#Networks)
    * [49.1 Standards](Print_version.html#Standards)
      * [49.1.1 I²C](Print_version.html#I.C2.B2C)
      * [49.1.2 RS232](Print_version.html#RS232)
      * [49.1.3 RS422](Print_version.html#RS422)
      * [49.1.4 RS485](Print_version.html#RS485)
      * [49.1.5 CAN](Print_version.html#CAN)
      * [49.1.6 1wire](Print_version.html#1wire)
      * [49.1.7 SPI](Print_version.html#SPI)
  * [50 Sensors](Print_version.html#Sensors)
  * [51 Environment sensors](Print_version.html#Environment_sensors)
    * [51.1 Object Sensors](Print_version.html#Object_Sensors)
    * [51.2 Media Sensors](Print_version.html#Media_Sensors)
  * [52 Thermal Sensors](Print_version.html#Thermal_Sensors)
    * [52.1 What is temperature?](Print_version.html#What_is_temperature.3F)
    * [52.2 Units and their conversions](Print_version.html#Units_and_their_conversions)
      * [52.2.1 Degrees Celsius](Print_version.html#Degrees_Celsius)
      * [52.2.2 Kelvin](Print_version.html#Kelvin)
      * [52.2.3 Fahrenheit](Print_version.html#Fahrenheit)
    * [52.3 Methods of measuring temperatures](Print_version.html#Methods_of_measuring_temperatures)
      * [52.3.1 Non-electric methods](Print_version.html#Non-electric_methods)
      * [52.3.2 Electric or thermoelectric methods](Print_version.html#Electric_or_thermoelectric_methods)
        * [52.3.2.1 Thermocouples](Print_version.html#Thermocouples)
        * [52.3.2.2 Temperature sensitive resistors](Print_version.html#Temperature_sensitive_resistors)
        * [52.3.2.3 Semiconductor](Print_version.html#Semiconductor)
        * [52.3.2.4 Radiation Thermometer & Optical Pyrometer](Print_version.html#Radiation_Thermometer_.26_Optical_Pyrometer)
    * [52.4 Further reading](Print_version.html#Further_reading_8)
  * [53 Pressure Sensors](Print_version.html#Pressure_Sensors)
    * [53.1 Measuring Pressure](Print_version.html#Measuring_Pressure)
      * [53.1.1 Analogue Methods](Print_version.html#Analogue_Methods)
      * [53.1.2 Electric Methods](Print_version.html#Electric_Methods)
  * [54 Ranging Sensors](Print_version.html#Ranging_Sensors)
    * [54.1 Description](Print_version.html#Description)
    * [54.2 Sonic Sensors](Print_version.html#Sonic_Sensors)
      * [54.2.1 Sonic Ranging](Print_version.html#Sonic_Ranging)
      * [54.2.2 Scanning Ranging](Print_version.html#Scanning_Ranging)
    * [54.3 Visible or Infrared Light-Based](Print_version.html#Visible_or_Infrared_Light-Based)
      * [54.3.1 Basic Proximity](Print_version.html#Basic_Proximity)
      * [54.3.2 Ranging Light-Based Sensors](Print_version.html#Ranging_Light-Based_Sensors)
  * [55 Touch Sensors](Print_version.html#Touch_Sensors)
    * [55.1 Construction](Print_version.html#Construction)
    * [55.2 Advantages](Print_version.html#Advantages_2)
    * [55.3 Disadvantages](Print_version.html#Disadvantages)
  * [56 Feedback Sensors](Print_version.html#Feedback_Sensors)
    * [56.1 further reading](Print_version.html#further_reading_9)
  * [57 Communication Sensors](Print_version.html#Communication_Sensors)
    * [57.1 Data transmission channels](Print_version.html#Data_transmission_channels)
      * [57.1.1 IR](Print_version.html#IR_2)
      * [57.1.2 RF](Print_version.html#RF_2)
    * [57.2 Using IR](Print_version.html#Using_IR)
      * [57.2.1 Remote Control](Print_version.html#Remote_Control_2)
    * [57.3 Further reading](Print_version.html#Further_reading_10)
  * [58 Real World Sensors](Print_version.html#Real_World_Sensors)
    * [58.1 Light Based Sensors](Print_version.html#Light_Based_Sensors)
      * [58.1.1 Reflection: short range sensors](Print_version.html#Reflection:_short_range_sensors)
      * [58.1.2 Reflection: medium range sensors](Print_version.html#Reflection:_medium_range_sensors)
      * [58.1.3 Reflection: Long range sensors](Print_version.html#Reflection:_Long_range_sensors)
      * [58.1.4 Camera](Print_version.html#Camera)
      * [58.1.5 Stereo vision](Print_version.html#Stereo_vision)
    * [58.2 Sound Based Sensors](Print_version.html#Sound_Based_Sensors)
      * [58.2.1 What is sound?](Print_version.html#What_is_sound.3F)
      * [58.2.2 Doppler effect](Print_version.html#Doppler_effect)
      * [58.2.3 Speed of sound](Print_version.html#Speed_of_sound)
      * [58.2.4 Reflection](Print_version.html#Reflection)
      * [58.2.5 Resonance](Print_version.html#Resonance)
      * [58.2.6 Diffraction](Print_version.html#Diffraction)
    * [58.3 Ultrasonic Distance sensors](Print_version.html#Ultrasonic_Distance_sensors)
      * [58.3.1 Distance Formula](Print_version.html#Distance_Formula)
      * [58.3.2 Availability & Range](Print_version.html#Availability_.26_Range)
      * [58.3.3 Potential Problems](Print_version.html#Potential_Problems)
    * [58.4 Magnetism Based Sensors](Print_version.html#Magnetism_Based_Sensors)
      * [58.4.1 Compass sensors](Print_version.html#Compass_sensors)
    * [58.5 Other distance sensors](Print_version.html#Other_distance_sensors)
    * [58.6 Further reading](Print_version.html#Further_reading_11)
  * [59 Digital image Acquisition](Print_version.html#Digital_image_Acquisition)
    * [59.1 Image Sensors](Print_version.html#Image_Sensors)
      * [59.1.1 CCD](Print_version.html#CCD)
      * [59.1.2 CMOS](Print_version.html#CMOS)
    * [59.2 Color Images](Print_version.html#Color_Images)
      * [59.2.1 Color Filtering Array](Print_version.html#Color_Filtering_Array)
    * [59.3 Image Transfer](Print_version.html#Image_Transfer)
    * [59.4 References](Print_version.html#References_4)
  * [60 Navigation](Print_version.html#Navigation)
  * [61 Navigation](Print_version.html#Navigation_2)
    * [61.1 What is Navigation?](Print_version.html#What_is_Navigation.3F)
  * [62 Localization](Print_version.html#Localization)
    * [62.1 Current Location](Print_version.html#Current_Location)
    * [62.2 Dead Reckoning](Print_version.html#Dead_Reckoning)
    * [62.3 Least Mean Squares](Print_version.html#Least_Mean_Squares)
      * [62.3.1 Derivation of LMS Algorithm](Print_version.html#Derivation_of_LMS_Algorithm)
      * [62.3.2 Procedure LMS](Print_version.html#Procedure_LMS)
      * [62.3.3 Various Variations](Print_version.html#Various_Variations)
      * [62.3.4 Additional Sources for Application and Theory](Print_version.html#Additional_Sources_for_Application_and_Theory)
      * [62.3.5 References](Print_version.html#References_5)
    * [62.4 GPS Global Positioning System](Print_version.html#GPS_Global_Positioning_System)
    * [62.5 GPS-like Systems](Print_version.html#GPS-like_Systems)
    * [62.6 Line following](Print_version.html#Line_following)
    * [62.7 Landmarks](Print_version.html#Landmarks)
    * [62.8 Current Heading](Print_version.html#Current_Heading)
  * [63 Collision Avoidance](Print_version.html#Collision_Avoidance)
    * [63.1 Basic Idea](Print_version.html#Basic_Idea)
    * [63.2 Example Algorithm](Print_version.html#Example_Algorithm)
    * [63.3 Major Problem](Print_version.html#Major_Problem)
    * [63.4 Detection vs. Avoidance](Print_version.html#Detection_vs._Avoidance)
    * [63.5 Collision Avoidance Algorithms](Print_version.html#Collision_Avoidance_Algorithms)
      * [63.5.1 Quad Trees[22]](Print_version.html#Quad_Trees.5B22.5D)
        * [63.5.1.1 Advantages](Print_version.html#Advantages_3)
        * [63.5.1.2 Disadvantages](Print_version.html#Disadvantages_2)
    * [63.6 References](Print_version.html#References_6)
  * [64 Exploration](Print_version.html#Exploration)
  * [65 Mapping](Print_version.html#Mapping)
  * [66 Trajectory Planning](Print_version.html#Trajectory_Planning)
    * [66.1 Trajectory Planning](Print_version.html#Trajectory_Planning_2)
      * [66.1.1 Problem Constraints](Print_version.html#Problem_Constraints)
        * [66.1.1.1 Holonomicity](Print_version.html#Holonomicity)
        * [66.1.1.2 Dynamic Environments](Print_version.html#Dynamic_Environments)
      * [66.1.2 Concepts](Print_version.html#Concepts)
      * [66.1.3 Planning Algorithms](Print_version.html#Planning_Algorithms)
        * [66.1.3.1 Potential Field Planning](Print_version.html#Potential_Field_Planning)
        * [66.1.3.2 Sampling Based Planning](Print_version.html#Sampling_Based_Planning)
        * [66.1.3.3 Grid Based Planning](Print_version.html#Grid_Based_Planning)
  * [67 Exotic Robots](Print_version.html#Exotic_Robots)
  * [68 Special Robot Brains](Print_version.html#Special_Robot_Brains)
    * [68.1 Mechanical Robot Brains](Print_version.html#Mechanical_Robot_Brains)
    * [68.2 Pneumatic Robot Brains](Print_version.html#Pneumatic_Robot_Brains)
  * [69 BEAM robotics](Print_version.html#BEAM_robotics)
  * [70 Cooperating Robots](Print_version.html#Cooperating_Robots)
  * [71 Hazardous Environment Robots](Print_version.html#Hazardous_Environment_Robots)
    * [71.1 Mars Pathfinder](Print_version.html#Mars_Pathfinder)
    * [71.2 Hubble Telescope](Print_version.html#Hubble_Telescope)
    * [71.3 Pioneer](Print_version.html#Pioneer)
    * [71.4 pipeline inspection](Print_version.html#pipeline_inspection)
    * [71.5 Talon Sword](Print_version.html#Talon_Sword)
    * [71.6 Predator](Print_version.html#Predator)
    * [71.7 Conclusion](Print_version.html#Conclusion)
  * [72 Types of Robots](Print_version.html#Types_of_Robots)
    * [72.1 Domain of Operation](Print_version.html#Domain_of_Operation)
    * [72.2 Degree of Autonomy](Print_version.html#Degree_of_Autonomy)
    * [72.3 Goal](Print_version.html#Goal)
  * [73 Contest Robot](Print_version.html#Contest_Robot)
  * [74 Contests](Print_version.html#Contests)
    * [74.1 Fire fighter](Print_version.html#Fire_fighter)
    * [74.2 Maze or obstacle course navigator](Print_version.html#Maze_or_obstacle_course_navigator)
      * [74.2.1 Maze](Print_version.html#Maze)
      * [74.2.2 Obstacle Course](Print_version.html#Obstacle_Course)
    * [74.3 Soccer robot](Print_version.html#Soccer_robot)
    * [74.4 Sumo Robot](Print_version.html#Sumo_Robot)
    * [74.5 further reading](Print_version.html#further_reading_12)
  * [75 Entertainment Robot](Print_version.html#Entertainment_Robot)
  * [76 Arms](Print_version.html#Arms)
  * [77 Wheeled](Print_version.html#Wheeled)
  * [78 Wheeled Robots](Print_version.html#Wheeled_Robots)
    * [78.1 Navigation](Print_version.html#Navigation_3)
    * [78.2 2-wheeled robots](Print_version.html#2-wheeled_robots)
      * [78.2.1 Examples](Print_version.html#Examples)
        * [78.2.1.1 Roomba](Print_version.html#Roomba)
        * [78.2.1.2 Segway](Print_version.html#Segway)
        * [78.2.1.3 Ghost Rider](Print_version.html#Ghost_Rider)
    * [78.3 3-wheeled vehicles](Print_version.html#3-wheeled_vehicles)
    * [78.4 Omni Wheels](Print_version.html#Omni_Wheels)
    * [78.5 4-wheeled vehicles](Print_version.html#4-wheeled_vehicles)
      * [78.5.1 2 powered, 2 free rotating wheels](Print_version.html#2_powered.2C_2_free_rotating_wheels)
      * [78.5.2 2-by-2 powered wheels for tank-like movement](Print_version.html#2-by-2_powered_wheels_for_tank-like_movement)
      * [78.5.3 Car-like steering](Print_version.html#Car-like_steering)
      * [78.5.4 Examples](Print_version.html#Examples_2)
    * [78.6 5 or more wheeled vehicles](Print_version.html#5_or_more_wheeled_vehicles)
      * [78.6.1 Examples](Print_version.html#Examples_3)
    * [78.7 One Wheel](Print_version.html#One_Wheel)
  * [79 External links](Print_version.html#External_links_2)
  * [80 Tracked](Print_version.html#Tracked)
  * [81 Walkers](Print_version.html#Walkers_2)
  * [82 Legged Robots](Print_version.html#Legged_Robots)
    * [82.1 Legs v. Wheels](Print_version.html#Legs_v._Wheels)
    * [82.2 Dynamic v. Static](Print_version.html#Dynamic_v._Static)
    * [82.3 More Than Four](Print_version.html#More_Than_Four)
    * [82.4 Four Legs](Print_version.html#Four_Legs)
    * [82.5 Three Legs](Print_version.html#Three_Legs)
    * [82.6 Two Legs](Print_version.html#Two_Legs)
    * [82.7 One Leg](Print_version.html#One_Leg)
  * [83 References](Print_version.html#References_7)
  * [84 Modular and fractal robots](Print_version.html#Modular_and_fractal_robots)
    * [84.1 References](Print_version.html#References_8)
    * [84.2 Further reading](Print_version.html#Further_reading_13)
  * [85 The LEGO World](Print_version.html#The_LEGO_World)
    * [85.1 Why Lego?](Print_version.html#Why_Lego.3F)
    * [85.2 History](Print_version.html#History)
    * [85.3 Standard Components](Print_version.html#Standard_Components)
    * [85.4 Programming Options](Print_version.html#Programming_Options)
      * [85.4.1 NXT-G](Print_version.html#NXT-G)
      * [85.4.2 Robolab](Print_version.html#Robolab)
      * [85.4.3 RobotC](Print_version.html#RobotC)
      * [85.4.4 LabVIEW Toolkit](Print_version.html#LabVIEW_Toolkit)
      * [85.4.5 BricxCC](Print_version.html#BricxCC)
    * [85.5 Third Party Accessories](Print_version.html#Third_Party_Accessories)
      * [85.5.1 HiTechnic](Print_version.html#HiTechnic)
      * [85.5.2 Vernier](Print_version.html#Vernier)
      * [85.5.3 Mind Sensors](Print_version.html#Mind_Sensors)
    * [85.6 Lego Robotics Events, Challenges, and Acheivements](Print_version.html#Lego_Robotics_Events.2C_Challenges.2C_and_Acheivements)
    * [85.7 References](Print_version.html#References_9)
  * [86 LEGO Robots](Print_version.html#LEGO_Robots)
    * [86.1 Interface](Print_version.html#Interface)
    * [86.2 Programming and Software](Print_version.html#Programming_and_Software)
  * [87 Introduction to the RCX](Print_version.html#Introduction_to_the_RCX)
  * [88 Programming the RCX](Print_version.html#Programming_the_RCX)
  * [89 Resources](Print_version.html#Resources)
    * [89.1 Other Wikibooks](Print_version.html#Other_Wikibooks)
    * [89.2 External links](Print_version.html#External_links_3)
    * [89.3 Free Wikis on Robotics](Print_version.html#Free_Wikis_on_Robotics)
    * [89.4 University and College Sites](Print_version.html#University_and_College_Sites)
    * [89.5 Papers](Print_version.html#Papers)

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=1)]

**Robotics** can be described as the current pinnacle of technical development. Robotics is a confluence science using the continuing advancements of mechanical engineering, material science, sensor fabrication, manufacturing techniques, and advanced algorithms. The study and practice of robotics will expose a dabbler or professional to hundreds of different avenues of study. For some, the romanticism of robotics brings forth an almost magical curiosity of the world leading to creation of amazing machines. A journey of a lifetime awaits in robotics.

**Robotics** can be defined **as the science or study of the technology primarily associated with the design, fabrication, theory, and application of robots**. While other fields contribute the mathematics, the techniques, and the components, robotics creates the magical end product. The practical applications of robots drive development of robotics and drive advancements in other sciences in turn. Crafters and researchers in robotics study more than just robotics.

The promise of robotics is easy to describe but hard for the mind to grasp. Robots hold the promise of moving and transforming materials with the same elan and ease as a computer program transforms data. Today, robots mine minerals, assemble semi-processed materials into automobile components, and assemble those components into automobiles. On the immediate horizon are self-driving cars, robotics to handle household chores, and assemble specialized machines on demand. It is not unreasonable to imagine robots that are given some task, such as reclaim desert into photovoltaic cells and arable land, and left to make their own way. Then the promise of robotics exceeds the minds grasp.

In summary, robotics is the field related to science and technology primarily related to robotics. It stands tall by standing the accomplishments of many other fields of study.

## Defining Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Introduction&action=edit&section=T-1)]

**Robot** used in English describes any construct that automates some behavior. For example, a garage door opener automates the behavior of opening a door. A garage door opener has a sensor to detect the signal from the remote control, actuators to open the door, and a control system to stop turn off the motors and lights when the garage is fully closed. In practice, this type of a machine is better described as a Mechatronic device, and is a subset of the more interesting robots that include **autonomy** or **resourcefulness**. This book will consider mechatronic devices to be degenerate robots.

A **Mechatronic Device** is a degenerate robot with these components:

  1. **Sensors**, which detect the state of the environment
  2. **Actuators**, which modify the state of the environment
  3. A **Control System**, which controls the actuators based on the environment as depicted by the sensors

A **Robot** is a mechatronic device which also includes **resourcefulness** or **autonomy**. A device with **autonomy** does its thing "on its own" without a human directly guiding it moment-by-moment. Some authors would contend that all mechatronic devices are robots, and that this book's restriction on **robot** entails only specialized software.

Various [types of robots](http://en.wikibooks.org/wiki/Robotics/Types_of_Robots) are usually classified by their capabilities. Two examples will be used to capture most of what we see as a "robot".

  1. Machine Pet: A machine, capable of moving in some way, that can sense its surroundings and can act on what it senses autonomously. Most of these robots have no real useful purpose, other than to entertain and challenge. These are also commonly used for experimenting with sensors, artificial intelligence, actuators and more. Most of this book covers this type of robot.
  2. Autonomous Machine: A machine with sensors and actuators that can do some sort of work "on its own". This includes things like robotic lawnmowers and vacuum cleaners, and also self-operating construction machines such as CNC cutters. Most industrial and commercial robots fall in this category.

What isn't considered a "robot" in this book? Pretty much everything you see on RobotWars; those are remote-controlled vehicles without any form of autonomy, no sensors, and just enough of a control system to drive the actuators. These devices use many of the same mechanical technologies described in this book, but not the advanced controls.

In short: If it has autonomy it's a robot (in this book). If it's remote controlled, it isn't.

## Student Questions[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Introduction&action=edit&section=T-2)]

  1. Which of these studies would be considered robotics by this definition? 
    1. Studying the strength and flexibility of a titanium alloy used to make a robotic arm?
    2. Integrating sensor data from sonar, laser, and CCD cameras and to build an accurate map of surroundings?
    3. The real-time software needed to drive two motors to make a robot go in a straight line?
  2. Classify each of these as a robot, a mechatronic device, a machine, or something else? 
    1. A spam email filter.
    2. A garage door opener.
    3. A remote controlled boat.
    4. A 1970s automobile.
    5. A current model automobile which includes lane-following.
    6. An Apple iPod.
    7. An actor in a silver suit.
  3. What is a sensor?

# Contributors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=2)]

  * [CpE/EE 300: Introduction to Robotics](http://introrobotics.googlepages.com/) class at the [Missouri University of Science and Technology](http://www.mst.edu) \- Updates/Reworks to various pages
  * [T.R. Darr](http://en.wikibooks.org/wiki/User:Nsoyeblcyha) \- responsible for the (almost) complete reformat. If I knew anything about robotics, then I'd have contributed to the content as well.
  * [J.D. Cox](http://en.wikibooks.org/wiki/User:Joel7687) \- Attempting to fill in certain areas with basic information.
  * [Omegatron](http://en.wikibooks.org/wiki/User:Omegatron) \- I've built a handful of short-lived little robots, and since then I went and got myself an electronics degree. I'll probably just add to and clarify things that other people have contributed. I tend to only contribute to things that are already active, so be active!
  * [Patrik](http://en.wikibooks.org/wiki/User:Patrik) \- As time permits I'm adding more info I've found to be missing in many other sources. I've got a degree in electronics and I've designed and build several robots.
  * [E. Sumner](http://en.wikibooks.org/w/index.php?title=User:Kd5bjo&action=edit&redlink=1) \- Active member of the Dallas Personal Robotics Group; Trying to flesh things out a bit here.
  * [Mr Dom](http://en.wikibooks.org/w/index.php?title=User:Dom123&action=edit&redlink=1) \- just added my two cents worth
  * [DavidCary](http://en.wikibooks.org/wiki/User:DavidCary) \- degree in electrical engineering. So _in theory_ I ought to know :-).
  * [Magnus Persson](http://en.wikibooks.org/wiki/User:TERdON) \- studying for Master of Science in Automation Engineering, added sections on PLCs and wireless communications.
  * [Piyoosh Mukhija](http://en.wikibooks.org/w/index.php?title=User:Piyoosh&action=edit&redlink=1) \- Degree in Electronics & Communication Engineering. Working on Autonomous Robotics Research at L&T Infotech. Attempting to fill in some missing things I believe I know about.
  * [S.J Manderson](http://en.wikibooks.org/wiki/User:SamEEE) \- Physics Student in New Zealand. Added sections on Electromagnetic Actuators and Pneumatics thus far.

* * *

# Design Basics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=3)]

# What you should know[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=4)]

Robotics spans multiple scientific and engineering disciplines, so when you want to design a better robot you should get some basic knowledge in these fields. How much you should learn depends on how complex you want to make your robot. To give an example: A small tethered tabletop robot would only require some basic knowledge in electronics and programming, a shoe box sized robot would require some additional knowledge on mechanics (mostly about balance) and a large robot might even require some knowledge on solid mechanics.

This page covers the fields that are very much used in robotics. You don't need to know everything about all of these subjects, however knowing the basics of each of these fields can help in building better robots and prevent you from making (some of the) beginner's mistakes.

## Mechanics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-1)]

Mechanics is about:

  * how forces are transferred between the different parts of a construction.
  * where the center of gravity lies.
  * friction
  * position, speed, acceleration
  * Newtons laws
  * inertia
  * material properties

Mechanics helps keeping a robot in balance. Although you could build a robot without knowing anything about mechanics, it'll help in preventing that your robot tips over when turning, or when picking up something.

Another point where mechanics pays off are axles. On small robots you can attach the wheels directly to the output shaft of the motor. However this doesn't work well for larger robots as this puts a lot of stress on the internals of the motor. A better way is to attach the wheel to an axle, and use gears to connect the motor to the axle. Knowledge of mechanics allows you to build such constructs.

If your robot is a small line follower almost any building material will work. However if your robot weighs a few kilos, something sturdier than cardboard and soda sippers is appropriate. And if your robot is human size you should consider metal and/or composite construction.

See [Theoretical Mechanics](http://en.wikibooks.org/wiki/Theoretical_Mechanics) for an introduction in this field.

_the "Theoretical Mechanics" is just started, so there isn't much to read just yet._

## Electronics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-2)]

Electronics is about:

  * electronic components
  * Analog circuits
  * digital logic
  * microcontrollers

Electronics is something you can't go without (unless you want to build a complete mechanical robot or use pneumatics for control). Today there are plenty of books covering basic electronics (See [Electronics](http://en.wikibooks.org/wiki/Electronics)).

## Programming[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-3)]

Computer programming is about:

  * Control structures (sequence, selection, iteration)
  * Data types (constants, variables, integer, real, string,...)
  * Algorithms
  * Hardware control (setting and reading registers, interrupts,...)

Anyone who has had an introductory course on programming (as they are given in American high schools) would be familiar with the first three points. The fourth point is rarely addressed in introductory courses, but is essential when programming microcontrollers. Although it might sound difficult, it can be very easy in practice (for most purposes). Much of this comes down to setting bits in a byte using simple Boolean logic, and writing this value into some register or memory location. Higher level languages like Bascom provide hardware addressing as special variables, which can be treated just like any other variable.

Microcontrollers (and processor boards) are one of the areas where using Assembly is still very valid. Memory (both RAM and program space) is very limited in these, although each new generation of microcontroller has more memory for about the same price. Many microcontrollers provide between 2K and 30K, and processor boards tend to have up to 256K. These numbers vary wildly, but are still significantly less than PCs have. However if you don't know an assembly language, most microcontroller and processor boards have high level language compilers available in many flavors (C, C++, Basic, Pascal, Fortran, etc.)

Robot programming is also about:

  * The Event Loop. Most microcontrollers do not have the resources for threading. You will need to look at your robot's task a fraction of a second at a time, and choose which small action to take. What can the program do in that moment to get a little bit closer to its goal?
  * Interpreting sensor data. Sensors have many ways of providing noisy or misleading information; how many types of error can you accept? Dirt in a rheostat, a broken switch, and a venetian blind flickering on a photodiode are obvious faults. How about temperature drift, non-linear response curves, or your robot seeing its own shadow?
  * Decision making, or **Artificial Intelligence** is the art of making the right decision given the constraints of the current system.
  * Motors and motion. Making motion on a robot often involves moving several motors at once, often with feedback from sensors.

## Solid Mechanics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-4)]

Solid mechanics is about how forces distribute inside solid materials. Knowledge about this subject is useful because it explains how materials respond to loads. This helps to prevent using too thick or too thin materials. This isn't required for small or medium robots, but it allows to be more efficient with building materials and gives insight to why and how materials fail (break and/or deform). See [[this wikibook](http://en.wikibooks.org/wiki/Solid_Mechanics)] for a start on solid mechanics. Be warned: heavy math ahead.

Even if you have a mortal fear of math, bite through this as it gives valuable insights on how materials break and deform. No need to memorize the math, as long as you get the idea behind it.

## A.I.[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-5)]

Artificial Intelligence (in Robotics) is about:

  * Finding the shortest way between 2,3 (or more) points
  * Dealing with obstacles
  * Handling new situations (machine learning)

There are many [books](http://en.wikibooks.org/wiki/Artificial_Intelligence) available on AI on many different levels. This area has had a short but already fruitful history, but still has a very long way to go. AI isn't just about getting a computer to think and reason. It's more about ordering, sorting and organizing knowledge in a machine and constructing algorithms for extracting real world conclusions from these databases. A search engine like [Google](http://www.google.com) or [Yahoo](http://www.yahoo.com) are examples of real uses of AI.

Other than pure AI books, books on how the brain works and such can provide interesting angles to AI on robots. Concepts like attention and concentration can have interesting uses in some form for integrating sensor data.

## Math[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/What_you_should_know&action=edit&section=T-6)]

Although math is generally seen as the ultimate theoretical science, it can be one of the most important skills in many of the more advanced domains of robotics. e.g. Mechanics uses a lot of math. For simple constructs you won't need much more than high school level math, for more complicated shapes it becomes necessary to use more complex math tools like integrals. But since robotics is a very practical craft many things can be done with approximations. Math however can be very helpful in making the right approximation.

# Physical Design[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=5)]

## General Design Considerations[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-1)]

Designing a robot requires balance between size (mostly weight), motor power and battery power. These three elements are connected with each other (more battery power increases the weight of the robot and requires stronger motors) and finding the "perfect" balance requires a lot of tweaking and experimenting. Try to describe heavy components in output/mass (e.g. motors: torque/Kg; batteries: mAh/Kg) and pick the one that gives the highest value.

Using light materials brings down the weight significantly (aluminum instead of steel). Building a frame out of light metal and using plastic plates as surfaces would be a lot lighter than using metal plates. For small robots acrylic plastic is a good material to use and it is easy to work with.

There are other ways to build a robot than to cut and drill your own aluminum plates. Toys like Lego Technic and Meccano, although expensive, are an alternative when you don't have the ability to cut and drill your own parts. Especially Meccano (or better: the cheap imitations) can be useful even when you do make your own parts. There is something convenient about having a collection of parts with standard holes and sizes. Of course you would need to drill your own holes at the right distances and size, if you intend to add Meccano parts. The values can (most likely will) differ between different "brands" of imitations. So it's a good idea to buy a few boxes when they are on sale. Screws tend to be M5 (on the set I've seen so far this is the only value that is common. The hole spacing very rarely matches up).

Another kit that would be good to use is the Vex™ Robotic Design Kit from Radio Shack. The parts in this kit are all metal with holes predrilled every half an inch. That makes it easier to add to parts that you may already have. This kit gives you everything you need to get started with robots. If you do not want to buy the kit you could just buy the Vex™ Metal and Hardware Kit for Robotics Starter Kit.

When you start your design, first decide how big you want your robot to be. Don't think about exact sizes, compare it to the size of an object ("the size of a shoe box") will be sufficient. Exact values can be "calculated" after you've got your motors and batteries, as these have a large influence on the size and shape of the robot.

Make an estimate about the weight of the complete robot and pick your motors and wheels. Keep in mind you need high torque and low speed. A bare DC-motor has high speed and low torque, adding a gear reduction will solve this one. Motors with reduction gears are also available. The speed of your motor and the size of your wheels determine how fast your robot will be able to move.

For example: RB-35 is a motor with a 1:50 reduction. It makes 120 RPM or 2 rounds per second. Lets pick a wheel with a diameter of 20cm (radius R = 10cm). This wheel has a circumference of 2 x ![\\pi](../../../upload.wikimedia.org/math/5/2/2/522359592d78569a9eac16498aa7a087.png) x R = 2 x 3.14 x 10 = 62.8cm. This means in one turn the wheel moves 62.8cm. When we mount this wheel on the motor it'll turn twice every second and therefore move 2 x 62.8cm = 125.6cm. So its speed would be 125.6cm/second or 1.256m/s.

In reality this speed is going to be a little lower as the motor turns 120RPM without a load. But even a 1 m/s is pretty fast for indoor robots. You'll probably use PWM or other methods to slow it down.

Pick your batteries. Make sure you have enough power to keep the motors and all the electronics running for a sufficient amount of time and keep some reserve for future additions. Compare the weight of the batteries and motors you've chosen to what you had planned. You might need to go over this part again (picking different motors and/or batteries).Keep in mind that your robot's body has a significant weight.

## Platforms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-2)]

### Wheeled Platforms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-3)]

Wheeled platforms can have any number of wheels. Most common are 3, 4 and 6 wheeled vehicles (excluding wheels used for feedback). Other numbers are also possible, but can be hard to build, such as 1-wheeled or 2-wheeled robots, or have superfluous wheels which can make turning difficult or complex. Basically there are 2 types of wheels: powered wheels and unpowered wheels. The first are powered by the motors and are used to move the robot forwards (or backwards). Unpowered wheels are used to keep the robot in balance by providing a point of contact with the ground.

#### Turning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-4)]

Turning can be accomplished in several different ways:

  * Differential Steering (Tank-like Turning): 
    * Moves one wheel forward and the other backwards. The robot turns around within a small circle which center lies in between the 2 powered wheels.
    * Move one wheel slower than the other, the robot turns in the direction of the slower wheel. How fast it turns depends on how large the difference between the 2 speeds is.

![Tank-Like Steering](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Tanklike.png/288px-Tanklike.png)

  * Ackerman Steering: This is the same steering system as the one used in cars. It is relatively complicated to implement since the inner and outer wheels need to turn to different angles.
  * Crab Drive: Each wheel can turn independently in crab drive steering. This can be very flexible, but requires complex mechanics which either turn the entire motor/gearbox/wheel assembly or transfer power from a statically mounted motor. The second option is much more difficult to build but may have advantages over the first.
  * 3-wheeled platforms: These can come in a variety of forms, with the articulated wheel powered, or with the two fixed wheels powered, or a combination of the two. These are generally built for very specific purposes.
  * Omnidirectional wheels: The omnidirectional wheels design is based upon the use of a series of free turning barrel-shaped rollers, which are mounted in a staggered pattern around the periphery of a larger diameter main wheel. For this you need 4 powered wheels. However these wheels allow movement in any direction without turning (including sideways and diagonal movement) and can turn the same way as in tanklike steering. Building these wheels is time-consuming, but it's a very powerful steering method. Also, inexpensive omnidirectional wheels are available commercially, often used in conveyors. One drawback, however, is the lack of sideways traction; if something is pushing the robot to the side, it relies on the strength of the motor or brakes to restrain it. Omnidirectional wheels used in place of caster wheels can provide quicker responses and can often roll over larger obstacles.

### Tracked Platforms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-5)]

Tracked platforms use tracks similar to tanks. This kind of propulsion is only useful on loose sand and mud, as concrete and carpet provide too much horizontal traction when turning and will strip the tracks off of their guides.

### Walkers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-6)]

Walkers are robots that use legs instead of wheels or tracks. These robots are harder to build than wheeled robots and can be a nice challenge for an experienced builder. Walkers are designed to imitate how animals (or humans) move.

#### 2-Legged Walkers or Bipeds[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-7)]

This is the hardest type of walker. This type tries to imitate how humans walk. The biggest issue is balance.

Two-legged walkers are used for two main purposes: to imitate humans and to provide a great amount of force and traction. Taller walkers used to imitate humans are difficult to build, requiring many balancing circuits and devices, quick motions, and precise construction. Just like any human knows, these can also be knocked over, tripped, etc. Shorter, wider walkers can be used to move a large load. When using walkers, it is possible to use pneumatic systems, which can provide a much larger force than motors. However, turning with such a system is nearly impossible.

#### 4-Legged Walkers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-8)]

4 Legged walkers imitate 4 legged animals. Many of these designs end up moving one leg at a time, instead of the 2-legged movements typical of animals. It requires 3 legs to be on the ground to provide static balance. Dynamic balance moving 2 legs at a time provides faster and more fluid motion.

#### 6-Legged Walkers or Hexapods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-9)]

These walkers are imitations of insects. Many of these move 3-legs-at-a-time to provide static balance. Because half of the legs can be moved at one time without losing static balance, 6-legged walkers can actually be simpler to build than 4-legged.

**Note:** Static balance means the construction is at all time in balance. This means that if the robot would stop moving at any time it wouldn't fall over. In contrast there is _Dynamic Balance_. This means that the robot is only in balance when it completes its step. If it's stopped in the middle of its step it would fall over. Although this might sound like a bad thing, dynamic balance allows much faster and smoother movement, but requires sensors to sense balance. Animals and humans move with dynamic balance.

### Whegs[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-10)]

There are various combinations of wheels and legs that are useful for varying terrain. For quick details see [[1]](http://biorobots.cwru.edu/projects/whegs/whegs.html).

### Ball Wheels[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-11)]

This means of propulsion is very similar to how a classic computer mouse works: A ball is mounted in a casing in such a way that it can freely rotate in any direction. Two wheels around the ball are mounted against this ball at an angle of 90° to each other, parallel to the ground. One wheel registers the up-down movements and the other the left-right movements.

A ball wheel uses the same setup but connects the internal wheels to motors. This way the ball can be made to rotate in any direction. A robot equipped with a ball wheel can move up-down and left-right, but can't rotate around its vertical axis. Using 3 ball wheels allows rotation as well.

## Electronics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-12)]

The electronics of a robot generally fall in 6 categories:

  * Motor control: controls the movement of the motors, servos and such. Relays and PWM H-bridges fall under this category.
  * Sensor reading: reads the sensors and provides this information to the controller.
  * Communication: Provides a link between controller and an external PC, another robot, or a remote control.
  * Controller: microcontroller board, processor board or logic board. This part makes decisions based on sensor input and the robot's program.
  * Power management: parts that provide a fixed 5VDC, 12VDC or any other level coming from the batteries. Circuits that monitor the status of the batteries.
  * Glue logic: Additional electronics that allow all the parts to be connected with each other. An example is a CMOS to TTL level converter.

Not all of these categories are present in all robots, nor does every circuit fall completely into one category. Many robots don't require a separate sensor board as a whole lot of sensors have built-in electronics which allow them to connect directly to a µcontroller/processor.

### Some Tips[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-13)]

  * Use low-power (or simply dimmer) LEDs. Always. This drastically reduces how much current your circuits consume. A normal LED consumes around 15 mA. A modern microcontroller consumes about the same. Disabling unneeded LEDs is advisable, but not always possible.
  * Use CMOS ICs instead of classic TTL. Again this reduces current usage and allows a more relaxed supply voltage. But pay attention to their sensitivity for static electricity when soldering them.
  * Use good quality IC-sockets (or better don't use IC-sockets at all). They're worth their price.
  * Avoid using IC-sockets on sensitive circuits (high speed digital, clock signal and analog signals). The moving robot can shake those ICs loose over time. Using In-Circuit programmable microcontrollers removes the need to be able to unplug an IC.
  * LEDs are very practical to make slow digital signals visible, adding them on some signal lines can be interesting for testing purposes, however, they do increase power consumption. Removing them when your circuit works correctly can make it more power efficient (replace LED with a wire, replace resistor with a higher value one).
  * See if your microcontrollers can run with a lower clock speed. The higher the clock speed, the more they consume.
  * Use your microcontrollers sleep functions whenever possible, disable any part that isn't required (e.g. on-chip ADC).
  * Learn to make PCBs (Printed Circuit Boards). It's not that hard and it makes your electronics look more professional. Don't throw away your breadboard, PCBs aren't very practical for prototyping.
  * If you're up to it: build your circuits in SMD components on PCBs. This reduces size, weight, and cost. However soldering SMD ICs isn't easy. SO-packages (Small Outline) aren't too hard for an experienced builder. Smaller packages are almost impossible to do by hand. Get good soldering tools before you attempt this. For many modern SMD microcontrollers are complete build and tested board available. These can be a solution for those who don't have the equipment, expertise and patience to solder these ICs themselves. These boards don't have to be large as the demo-boards most IC developers sell, e.g. the BasicStamp is such a board with the size of an IC.
  * Buy a breadboard. They're invaluable for designing and testing circuits.
  * If you intent to build your own electronic circuits, invest in a dual channel oscilloscope. Single channel is very restricting. Pick one with as high a bandwidth as you can afford. At least 4x the highest signal frequency you intend to use.
  * A good variable power supply is very handy to test how your circuit operates at lower voltage levels (as happens when the batteries discharge).
  * If you can choose between pull-up and pull-down resistors, pick the one that uses the lowest amount of power. If the circuits output is at +5V most of the time, use pull-up, if it's 0V use pull-down. Remember that such outputs consume power when the transistor is active (when it's inactive it consumes a small amount of power: a leak current through the resistor and through the input impedance of the next circuit).
  * Use high value resistors as pull-up/pull-down. But keep in mind that high speed signal lines need lower value resistor in order to minimize signal distortion.
  * Most electronic components on a robot will run on a 5V supply and need a 5V regulator. Use a regulator with low dropout to prevent the 5V supply from browning out.

## Display[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-14)]

Very simple robots need only a few LEDs to show everything that it is "thinking".

When trying to debug more complex robot software, it is useful for the robot to display text. A few calculators and PDAs have a RS232 connector or some other simple way to connect to a robot.

Many robots have such a calculator or PDA or other display strapped to the top in order to show the humans what the microcontroller is "thinking", which is vastly more productive than trying to guess what's going on inside that little chip of silicon.

With large robots, sometimes a full-size laptop computer is strapped on top for such display purposes.

## Mechanical Design[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-15)]

### Balance[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-16)]

Everybody encounters balance every day. While walking, when putting down a glass of water or in so many other ways we have to keep a balance. Now in most of these cases you wouldn't need to think about it, but when designing your robot you'll have to keep an eye on this concept. For most designs, balance isn't hard to achieve, even without doing calculations on it. A few rules of thumb suffice. For more complex designs, e.g. a robot with an arm, you can get away with just some rules of thumb and some common sense, but there's no guarantee. Doing a simple calculation would make it clear if the robot is going to stay on its wheels or if it is going to tumble over and crush whatever it was trying to pick up.

If you're into walkers, you'll need to spend more attention to balance. The fewer amount of legs you have, the more important balance becomes.

### Simple 4-Wheeled Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-17)]

Achieving balance on this type of robot is pretty trivial. Keep the center of mass between the wheels (picture a rectangle between the centers of the wheels) and as low as possible. In practice it mean you should place the heavy components, e.g. the batteries, somewhat in the center of the robot and as low as possible.

### Simple 3-Wheeled Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-18)]

These designs are nearly as simple as 4-wheeled robots; the difference lies in that you need to keep the center of mass close to the center of the triangle formed by the wheels. If your robot is rectangular avoid placing weight at the two unsupported corners. These points are prone to making the robot tumble over.

### Wheeled robots with an arm or gripper[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Physical_Design&action=edit&section=T-19)]

For the working of an arm or a gripper, we need to take the help of a stepper motor in simple cases or use sensors in sophisticated cases.

# Design software[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=6)]

[Robotics](http://en.wikibooks.org/wiki/Robotics#Design_Basics): Design Basics: **Design software**

* * *

When designing your robot there are plenty of programs to help. Ranging from a simple tool to print wheel encoders, through CAD drawing programs up to mechanical simulation programs.

## 2D CAD[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b9/Autocad2000.png/288px-Autocad2000.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Autocad 2000

e.g. AutoCAD. This type of software is used to turn a rough sketch into a nice professional drawing. This type of drawing is standardized for readability. (Meaning every different type of line has a particular meaning. Solid lines are visible edges, dashed lines are hidden edges, line-dash-line lines are center lines. Standards also include methods of dimensioning and types of views presented in a drawing.) Of course you're free to use your own standards, but using an industrial standard, such as ANSI or ISO, makes it easier to share your plans with other people around the world. While it may somewhat more tedious to make a drawing using 2D software, the results are generally better than using 3D solid modeling software. Solid modelers still have problems translating 3D models into 2D drawings and adding proper notation to standards.

  * Freeware CAD software: [CADstd](http://www.cadstd.com/)
  * Professional CAD software: [AutoCAD](http://usa.autodesk.com/adsk/servlet/index?siteID=123112&id=2704278)
  * GPL CAD software: [QCad](http://www.ribbonsoft.com/qcad.html) [Wikipedia:QCad](http://en.wikipedia.org/wiki/QCad)
  * GPL vector drawing software: [Inkscape](http://en.wikibooks.org/wiki/Inkscape) [Wikipedia:Inkscape](http://en.wikipedia.org/wiki/Inkscape)

## Solid Modeling[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-2)]

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/d/dd/Inventor_5.3_rotation.png/120px-Inventor_5.3_rotation.png)

Inventor 5.3 Rotating a part

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/2/2c/Inventor_5.3_drawing.png/120px-Inventor_5.3_drawing.png)

Inventor 5.3 Drawing a Schematic on a part

e.g. SolidWorks or [Pro/Engineer](http://en.wikibooks.org/wiki/Pro_Engineer) [Pro/Engineer](http://en.wikibooks.org/wiki/Pro_Engineer) ([Wikipedia:Pro/ENGINEER](http://en.wikipedia.org/wiki/Pro/ENGINEER)). A newer way to draw parts and machines. With solid modeling you "build" the parts in 3D, put them together in an assembly and then let the software generate the 2D drawings (sounds harder than it is). The major advantage over 2D CAD programs is you can see the complete part/machine without actually building it in real life. Mistakes are easily found and corrected in the model. These 3D models are not yet completely standardized though there is a standard for digital data. At this time the 2D drawings this software generates do not conform completely to industrial standards. The 2D paper drawing is still the communication tool of preference in industry and clarity of intent is very important. Solid modeling software tend to generate overly complex drawing views with overly simplified dimensioning methods that likely do not correctly convey the fit, form or function of the part or assembly.

  * [BRL-CAD](http://c2.com/cgi/wiki?BrlCad) [c2:BrlCad](http://c2.com/cgi/wiki?BrlCad) [Wikipedia:BRL-CAD](http://en.wikipedia.org/wiki/BRL-CAD)
  * [lignumCAD (GPL)](http://lignumcad.sourceforge.net/doc/en/HTML/index.html)

## Pneumatic & Hydraulic Simulation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-3)]

[Festo](http://www.festo.com) has a demo version of both a pneumatic and a hydraulic simulation program. Look for FluidSIM Pneumatiek and FluidSIM Hydraulica. (Pick country; click on industrial automatisation; and use the search field to the right.)  
Limitations: Can't save nor print. Most of the didactic material isn't included.

[IRAI](http://www.irai.com) has a free demonstration version of electric / pneumatic and hydraulic simulation software : AUTOMGEN / AUTOMSIM. Go to Download / AUTOMGEN7.

## Schematic Capture & PCB[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-4)]

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/b/be/Eagle_schematic_capture.png/120px-Eagle_schematic_capture.png)

Eagle Schematic capture

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/9/94/Eagle_pcb.png/120px-Eagle_pcb.png)

Eagle printed circuit board design

Software to draw electronics schematics and designing Printed Circuit Boards (PCBs). These packages contain software to draw the schematic, libraries with symbols, and software to draw the PCBs (with autorouter).

In no particular order:

  * Freeware: [Eagle](http://www.cadsoft.de/) is commonly used by beginners for their projects because a limited version is available for free. The toolset is well integrated and has a large hobbiest user base. However, once you progress beyond basic designs, you need to pay for the full version.
  * Open Source: The open-source [gEDA Project](http://geda.seul.org/) has produced a mature suite of applications for electronics design, including: a schematic capture program, attribute manager, netlister supporting over 20 netlist formats, analog and digital simulation, PCB layout with autorouter, and Gerber viewer. The project was started in 1997 to write EDA tools useful for personal robotics projects, but as of this writing the tools are also used by hobbiests, students, educators, and professionals for many different design tasks. The suite runs best on Linux and OSX, although Windows ports of some apps have been made.
  * Open Source: [Kicad](http://en.wikibooks.org/wiki/Kicad), [wikipedia: Kicad](http://en.wikipedia.org/wiki/Kicad) includes schematic capture and PCB layout
  * Open Source: [Free PCB](http://www.freepcb.com/) is a mature Windows only open source PCB drafting tool.
  * [IntelligentCad.org](http://IntelligentCad.org/) has a few links to FPGA and PCB design tools (GPL)

## µControllers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-5)]

### Programming Languages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-6)]

There are many different programming languages available for µControllers:

  * Assembly: Every µcontroller can be programmed in Assembly. However the differences between µcontrollers can be huge. Assembly gives you the most power of the µcontroller but this power comes with a price: Hard to learn and (almost)no code reuse.  
Assembly code is in essence translated machine code. It provides only the instruction set of the processor: add, subtract, _maybe_ multiply, move data between registers and/or memory, conditional jumps. No loops, complex selection or build in I/O as in C/C++, Basic, Pascal, ...  
The disadvantage is that you have to implement everything yourself (lots of work even for the most simple programs).  
The advantage is that you have to implement everything yourself (programs can be written extremely efficient both in speed and size).  
This language is intended for advanced users and is usually only used as an optimisation for code in tight loops or for pushing the performance of a limited device to the edge of its abilities.  
  
Reasons to learn it: 
    * Teaches you how the computer works on its lowest level.
    * Provides high speed code which consumes little memory.  
  
Reasons to avoid it:
    * Limited use.
    * Non-portable.
    * very hard to master.  
Freeware: [AVR](http://www.atmel.com/dyn/products/tools_card.asp?tool_id=2725)
  * C: C offers power but is much more portable than Assembly. For most µcontrollers there is a C compiler available. The differences between µcontrollers is smaller here, except for using hardware.  
Learning C is much easier than learning Assembly, still C isn't an easy language to learn from scratch. However these days there are very good books available on this subject. 
    * Freeware:[GCC Tools for AVR Studio Software](http://www.avrfreaks.net/index.php?module=FreaksTools&func=viewItem&item_type=tool&item_id=560)
  * Basic: For many µcontrollers there are special flavours of Basic available. This is the easiest and fastest way to code µcontrollers, however you'll have to sacrifice some power. Still modern basic compilers can produce very impressive code. 
    * Limited Freeware/payware:[Bascom AVR](http://www.mcselec.com/bascom-avr.htm) Very good Basic compiler for AVR. Limited to 4Kb programs. There is also a version available for the 8051 µcontrollers.
    * Limited Freeware/payware:[XCSB](http://www.xcprod.com/titan/XCSB/download.html) PIC Basic compiler. Lite version. No 32-bit integer and floating point support. (OS/2 WARP, Win95, Win98, Win2K, XP and Linux)
  * Forth: 
    * [PFAVR](http://wiki.forthfreak.net/index.cgi?PFAVR) (GPL) Needs external RAM.
    * [ByteForth](http://wiki.forthfreak.net/index.cgi?ByteForth) Dutch and works without external RAM, there is also a building book (Dutch only for now) available for Ushi our robotic project.
  * Python 
    * [Pyastra](http://pyastra.sourceforge.net/)
    * [PyMite](http://code.google.com/p/python-on-a-chip/)

further reading:

  * [Embedded Systems/Embedded Systems Introduction#Which_Programming_Languages_Will_This_Book_Use?](http://en.wikibooks.org/wiki/Embedded_Systems/Embedded_Systems_Introduction#Which_Programming_Languages_Will_This_Book_Use.3F)
  * [Embedded Systems/PIC Programming#Compilers.2C_Assemblers](http://en.wikibooks.org/wiki/Embedded_Systems/PIC_Programming#Compilers.2C_Assemblers)

### Programmers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-7)]

After you've written your program, you need to get it into your µcontroller. If you use C or Basic you'll have to compile it. Then use a programmer to upload the code into the µcontroller. There are several different methods for this last step.

  * External programmers: This is a device that's connected to a PC. You'll plug the µcontroller IC, EEPROM or other memory IC in its socket and let the PC upload the code. Afterwards you plug the IC in its circuit and test it. Can be time consuming when updating your program after debugging.
  * ISP In System Programming: The board with the µcontroller has a special connector to connect to a PC. Hook up the cable, download code, test and repeat. More modern method. Only disadvantage: it consumes some boardspace. Not all µcontrollers support this.
  * [Bootloader](http://en.wikiversity.org/wiki/Embedded_System_Engineering#bootloaders), also called "self-programming": The CPU accepts a new program through any available connection to a PC (no special connector needed), then programs itself. Not all µcontrollers support this. And you also need some other programming method, to get the initial bootloader programmed in (telling it exactly which connector to watch for a new program, the baud rate, etc.).

### Debuggers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-8)]

Modern µcontrollers have on-chip debug hardware called [w:JTAG](http://en.wikipedia.org/wiki/JTAG).

## Various tools[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-9)]

See [This site](http://rossum.sourceforge.net/tools/) for:

  * The Motion Applet – Path modeling for the differential steering system of robot locomotion.
  * The Encoder Designer – A design tool for encoder wheel patterns. ([Wikipedia:Rotary encoder](http://en.wikipedia.org/wiki/Rotary_encoder))
  * RP1 – A mobile-robot simulator.
  * Map Viewer – A Mapping Tool For Mobile Robotics.

And "Experimental Robotics Framework" for rapid prototyping of robotics algorithms.[[1]](Print_version.html#cite_note-1)

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Design_software&action=edit&section=T-10)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

  * [CAD & Linux](http://www.tech-edv.co.at/lunix/CADlinks.html) has a long list of CAD tools that run under Linux, some of them GPL.
  * [Linux online: CAD/CAM](http://www.linux.org/apps/all/Graphics/CAD/CAM.html) has a long list of CAD tools that run under Linux, some of them GPL.
  * [Practical Electronics/PCB Layout](http://en.wikibooks.org/wiki/Practical_Electronics/PCB_Layout) has more information on using PCB design software.
  * [Urbiforge](http://www.urbiforge.org/index.php/Main/Tutorial) has free downloadable links to Urbi and tutorials on how to use Urbiscript. Urbi is AGPL.

# Tools and Equipment[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=7)]

You can't build a robot without at least a few tools. This page will cover some of the tools and equipment that'll be useful.

## Mechanical Tools[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-1)]

For building your robot you'll need some tools to form the body.

  1. Small vise: you'll need this.
  2. Hammer: A hammer is one of the standard tools you'll need.
  3. Screwdrivers & Wrenches: their uses are obvious. Two spanners of equal size are required for locknutting.
  4. Saw: Metal and wood saws. Miter saws can be very handy, but are pretty expensive. A miter box might suffice for many purposes.
  5. Square, measuring tape, scriber and other marking out tools.
  6. Vernier calipers: Allow very accurate marking out and measurement. Also can be used to check thread pitch on machine screws without a dedicated pitch gauge.
  7. Files: especially when working with metal, as rough metal edges are sharp.
  8. Centre Punch: Essential for accurate drilling of holes in metal to prevent the drill skating over the surface.
  9. Drill Press: (small table top versions suffice) is very handy for drilling accurate holes. Can also provide the low speeds for drilling large holes in metal, which hand drills cannot do easily.
  10. Hobby Tool: Useful for many purposes.
  11. Sharp utility knifes: Mostly used when working with plastics.
  12. Hot glue guns: handy for quickly mounting parts. Not too strong bound, but useful for many applications.
  13. Arc Welder: Only useful when working with thick steel on large projects (use a gas welding torch for thin metal;arc welders tend to burn holes right through the workpiece). Aluminium cannot be welded with ordinary welders. (Unless you have a MIG/MAG or TIG welder available)
  14. Paint stripper/Electric Heat Gun: like a hairdryer on steroids. Useful for bending plastics, also applying heat-shrink tubing to electric cables at low power.
  15. Safety Goggles: You only get one pair of eyes, and machine tools are potentially dangerous. Safety goggles are essential for using anything other than hand tools.

## Electronic Tools[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-2)]

### Soldering iron[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-3)]

The soldering iron is a very useful tool for assembling electronic circuits and connecting copper wires together.

For electronic circuits you'll need a light soldering iron (~25W) with a small point (shaped like a pencil point). Especially SMD components require small points (or even better: special SMD soldering points).  
Soldering electronic components is done with "soft soldering": with a low temperature (less than 300°C). Usually for electronics the melting point of the solder lays around 238°C. When buying solder choose for a solder wire (60% lead, 40% tin) with non-corrosive flux. (There is also "eutectic solder" - 63% lead, 37% tin, which transitions from liquid to solid immediately, with no plastic state in between.) Take the thinnest wire you can find (<=1mm).

See [this page](http://www.epemag.wimborne.co.uk/solderfaq.htm) for an in depth explanation of soldering electronic components.

For connecting metal wires you'll need something more powerful (30W-100W) like a soldering pistol, but an ordinary soldering iron would do just as well. Note: not all materials are as good to solder. Copper is easy to solder and has a reasonable strong bond. Aluminum has a weak bond.

For stronger connections it's better to braze instead of soft soldering. Brazing involves higher temperatures (typical between 450°C and 1000°C) and different flux ("Borax") and solder (copper and zinc or silver alloys) it also requires a welding torch instead of a soldering iron.  
see [this online book](http://www.handyharmancanada.com/TheBrazingBook/bbook.htm) for more in depth information on brazing.

If you need even more strength you could use welding. However welding is only used for heavy materials like steel alloys and these are in most cases too heavy to be used in robots (unless you're building a very big or industrial robot). Aluminum can be welded but it isn't as simple as welding steel alloys.  
See [this site for basic welding information](http://www.aussieweld.com.au/arcwelding/index.htm).

## Breadboard[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-4)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/Breadboard.svg/100px-Breadboard.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Breadboard

The boards allow you to build a temporary circuit in no time. Especially handy for testing new circuits. Connections are made with either ordinary thin stiff wire with the insulation removed at the ends or with special breadboard wires with stronger tips. Wires with crocodile clamps are needed for hooking up signal generator, oscilloscope, DMM, etc. Larger boards have connectors (typically banana plugs) for the power supply.

There are small breadboards with an adhesive strip at the bottom. These can be mounted on an empty part of a microcontroller board and can be used to build small circuits.

  * **Note:** when you build a sensitive analog circuit on a breadboard, it can behave differently than when it's build as a PCB. This is because of parasitic components: the wires connecting the components on the board act as a combination of a resistor, capacitor and coil (all with very low values). Keep in mind that in some circumstances this can affect the working of a circuit. Usually this is only a problem when working with low amplitudes and/or high frequencies.

## Electronic Equipment[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-5)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Digital_Multimeter_Aka.jpg/220px-Digital_Multimeter_Aka.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Digital Multimeter

  * Multimeter: measures voltage, current & resistance. Many can measure transistor and diode characteristics, frequency and capacity. Some can measure temperature or light intensity. 
    * Note: measuring voltage and current of a AC source isn't as simple as measuring DC levels. But since robots rarely use AC this would be out of the scope of this text. But if you would require to measure AC levels you should read up on this.
  * Oscilloscope: makes a electric signal visible. Very useful when working with more complicated electronic circuits, especially analog signals and data communication. Oscilloscopes exist as stand-alone devices or as add-on modules for PCs. The latter provides extra abilities like spectrum analysing and recording of signals.
  * Variable power supplies: power supplies with variable output. Either AC or DC. Either the output voltage or current can be regulated, although most power supplies let you set a max current.
  * Signal generators: generates different shapes of signals (sine, square, saw and triangle), with variable frequency (1Hz up to 100MHz) and amplitude.
  * Logic probe: pen-like devices that detect logic levels (either TTL or CMOS). Most can detect pulse signals. Very handy when working with digital electronic circuits.
  * Frequency meters: measures the frequency of a signal. Can also be used as a pulse counter. Oscilloscopes can be used for measuring frequency, and storage scopes can freeze a waveform onscreen allowing pulses to be manually counted, but frequency meters are a good investment if this needs to be done very often.
  * LEDs: An underrated test device for digital circuits. LEDs are far better than voltmeters for digital circuits in some situations, as you can see many input and output values concurrently, without connecting a multitude of voltmeters or constantly checking everything with a logic probe. In particular, they can instantly show the status of several logic signals simultaneously, impossible with a logic probe. Good breadboard building practice also includes an LED for each breadboard to show it is powered up correctly - this can help avoid the potentially frustrating situation of faultfinding a logic circuit that is actually sound, but has an intermittent or noisy power supply. It's also an excellent indicator if a component is short-circuiting at any time during operation, as the LED will likely dim or go out.

## Connectors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-6)]

### Insulation Displacement Connectors (IDC)[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-7)]

Assembling parallel ribbon cables from ribbon and the IDC connectors:

Practical tips:

  1. Note that IDC ribbon cable is usually not provided with multicoloured or ‘rainbow’ insulation, but with single-colour insulation — usually grey or white. However it also has a stripe of coloured ink or paint (red or black) down one side, to guide you with connector orientation. If you need to strip away some of the wires of a multi-way cable to suit the IDC

connectors you’re using, remove them from the side furthest from the ink stripe so it’s still present on the cable.

  1. It’s usual to fit IDC connectors to the cable so their pin 1 end is on the stripe side of the ribbon. This also

helps guide you when you’re mating the cable connectors with those on the equipment, knowing that the stripe corresponds with pin 1.

  1. Before clamping an IDC connector to a ribbon cable, make sure that the cable grooves are aligned with the contact jaw tips and that they are also aligned with the scallops moulded into the underside of the clamping strip.
  2. Make sure too that the connector pin/jaw axis is as close as possible to 90° with respect to the ribbon cable wire axes. If the connector/ribbon angle is not close to 90°, some connections may not be made properly. If the connector is being fitted at the end of a ribbon cable, cutting the end of the ribbon cleanly square first will allow you to use it as a guide.
  3. Try to squeeze the IDC connector and its clamping strip together as evenly as possible, so they remain as close as possible to parallel with each other during the operation. This too ensures that all joints are made correctly. The easiest way to squeeze them together evenly is by using a small machine vice or a special compound-action clamping tool.
  4. If an IDC connector has a second cable clamping strip, don’t attempt to fit this as part of the main assembly. Assemble the main parts of the connector first on the ribbon cable, and only then fit the second clamping strip.
  5. When you are bending the ribbon cable around before fitting the second clamping strip, don’t pull it hard. This may loosen some of the connections inside the IDC connector. Just bend the ribbon around gently — a small amount of slack won’t do any harm, and may in fact protect the IDC connections from strain.

Properly-assembled IDC connector illustration:

<http://www1.electusdistribution.com.au/images_uploaded/IDCconnE.pdf>

  
Practical uses:

A common IDC cable in use is an IDC D9 socket to IDC 2 by 5 header socket. This cable is often used to connect a PC serial (RS232) port to a microcontroller development board. On the board there will be a 2 by 5 pin header.

### RJ45 network connector[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-8)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Ethernet_RJ45_connector_p1160054.jpg/100px-Ethernet_RJ45_connector_p1160054.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

RJ45 Connector

These are the connectors used on UTP network cables. A smaller version (RJ11) is used for telephones. You need a crimping tool to attach the connector to the cable. These connectors are very useful for hooking up different PCB with each other. A good use for RJ45 connectors is for making serial (RS232) programming cables for small embedded systems (many credit card terminals use a DB9 to RJ45 cable to download software from a PC during development). If you are building small embedded controller boards an RJ45 can be a handy connector size to use.

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Tools_and_Equipment&action=edit&section=T-9)]

  * [Practical Electronics/Breadboard](http://en.wikibooks.org/wiki/Practical_Electronics/Breadboard)

# Electronic Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=8)]

## Basic Electronics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Electronic_Components&action=edit&section=T-1)]

For basic electronics you may want to consult [this wikibook](http://en.wikibooks.org/wiki/Electronics) and [this section](http://en.wikibooks.org/wiki/Robotics:_Computer_Control:_The_Interface:_Microcontrollers) on Microcontrollers.

[google](http://www.google.be/search?hl=nl&q=making+Pcb%27s+at+home&btnG=Google+zoeken&meta=) has some links on PCB fabrication.

## Special Electronic Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Electronic_Components&action=edit&section=T-2)]

There are many electronic components that aren't described in most electronic textbooks, but are very useful in robotics. Most of these components are covered in other section in this book (e.g Sensors and Motors).

A typical robot needs a [heat sink](http://en.wikibooks.org/wiki/Power_Electronics#heatsink) on the power transistors connected to its motors and other [actuators](http://en.wikibooks.org/wiki/Robotics/Components/Actuation_Devices), but often does not need a heatsink connected to its CPU.

# Mechanical Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=9)]

[Robotics](http://en.wikibooks.org/wiki/Robotics#Design_Basics): Design Basics: **Mechanical Components**

## Gears[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-1)]

Gears are mechanical parts with cut teeth designed to mesh with teeth on another part so as to transmit or receive force and motion. The cut teeth are also sometimes called cogs. In Robotics Gears are used to transfer rotational forces between axles. They can change speed and direction. The axles can stand in any orientation, however not all orientation can be done with 2 gears. Commonly gears are used to reduce the speed of a motor. When they reduce the speed, the torque of the output axle increases.

Common types of gears as used in Robots are explored below. Each type of gear is used for different purposes and it has both advantages and disadvantages.

See [this Wikipedia article](http://en.wikipedia.org/wiki/Gear) on gears. This page will cover how each gear is used specifically in robotics.

### Spur gear[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Gears_large.jpg/200px-Gears_large.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Spur gears found on a piece of farm equipment

Spur gears are the best known gears. These are the simplest form of gears and are commonly used in light machines as bikes, mixers, etc,...  
They aren't used in cars as they are very noisy and their design puts a lot of stress on the teeth.

You might use them to transfer rotation from a motor output shaft (coming directly from the motor or from the gear box) to the axle on which the wheels are attached. This poses a limitation: the motor output axle and the wheel axle have to be parallel.

### Bevelled gear[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-3)]

Bevelled gears are used when you wish to transfer work between two perpendicular shafts that are on the same plane (if the axles were to be extended they would hit). They can have straight, spiral or hypoid teeth.

### Worm Gear[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-4)]

This is a gear that resembles a screw, with parallel helical teeth, and mates with a normal spur gear. The worm is in most cases the driving gear, there are however a few exceptions where the spur gear drives the worm. The worm gear can achieve a higher gear ratio than spur gears of a comparable size. Designed properly, a built in safety feature can be obtained: This gear style will self-lock if power is lost to the drive (worm) however this feature doesn't work if the pinion is powered.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/75/Worm_Gear_and_Pinion.jpg/200px-Worm_Gear_and_Pinion.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An Example of a Worm Gear and Pinion

### Rack and Pinion[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-5)]

Torque can be converted to linear force by a rack and pinion. The pinion is a spur gear, and meshes with a toothed bar or rod that can be thought of as a sector gear with an infinitely large radius of curvature. Such a mechanism is used in automobiles to convert the rotation of the steering wheel into the left-to-right motion of the tie rod(s).

## Internal gear[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-6)]

## Chains & Belts[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Mechanical_Components&action=edit&section=T-7)]

Chains and belts can be used to transfer rotational motion over a longer distance. The main difference between the two, lays in the fact that a belt can slip. This is not necessarily a bad thing as slipping occurs when the output shaft carries a load that is too heavy. In this case the belt slips instead of the motor being stalled. This protects the motor as it could otherwise be damaged by the stall current.  
The disadvantage of belts is that since it can slip, the amount of rotation doesn't remain the same, e.g., the input axle may turn 4 times, while the output axle may turn only 3.8 times. This should be taken into account if the position of the output axle is important.

# Building Materials[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=10)]

[Robotics](http://en.wikibooks.org/wiki/Robotics#Design_Basics): Design Basics: **Building Materials**

There is plenty of choice when it comes to picking the building materials for your robot. However not every material is a good choice.

There are three groups of materials. Each of these three groups have their own characteristics, possibilities and difficulties.

**Note:** There is a fourth group of materials called ceramics. However this group is only marginally useful for robotics.

**Note** In this book robot sizes are mentioned as small, medium and large. With small I mean any robot that can maneuver on a table. Medium means any robot that's too large to move on a table but still is light enough to lift on your own. Large mean anything bigger and heavier than that. Also robots that'll have to operate in real life (rough) condition should be counted as either medium or large.

# Wood[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-1)]

Wood is probably the best material to start with. It's light, pretty strong and easy to work on. Not to mention cheap and easily available.  
Even if you intend to use metal or plastic, wood can be handy for various purposes like prototyping and building jigs and other aids in working on metal or plastic parts.  
The main reason that you will not see many wooden robots is because wood doesn't seem to fit in the picture of high tech machines. Funny thing is that (synthetic) composite materials have a very high coolness-factor (e.g Kevlar® Yes, Kevlar is a brand name. It's made of Aramide), yet wood, a natural composite material, hasn't.

  * Useful for small or medium sized robots, prototyping and as construction aid.

# Metal[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-2)]

There are 80 different pure metals each having different properties. However in the world of Robotics there are only a select few from the 80 that are useful. This list is increased by Alloying. Alloying is the process of combining either in solution or compound, two or more elements, at least one of which is a metal, and where the resulting material has metallic properties. The resulting metallic substance has different properties (sometimes significantly different) from those of its components.The properties of some metals and their alloys are below.

Some alloys are limited in supply in the market due to the limited demand for them. In order to obtain these materials it is often required to look further than the general consumer market.

## Aluminum[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-3)]

Aluminium (or aluminum, both are correct) is commonly available in extruded forms in different shapes. It's pretty cheap, light, strong, resistant to corrosion and easy to work with. However welding aluminum isn't practical as it needs special welding equipment (MIG/MAG or TIG welding) and the bond isn't very strong. While soldering is possible, it doesn't make a strong bond. Rather use nuts and bolts or rivets.

  * Useful for small or medium sized robots.
  * Useful for non-load bearing parts in large robots.
  * Not very good for bearings.

There is an alloy of aluminium called _Duraluminium_ it is almost as strong as soft steel but very light thus making it a natural choice for the construction of Aircraft. However as a trade off for the combination of being strong and light it is quite expensive (if you can find it at all). The best bet is to search aircraft wrecking yards.

## Steel[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-4)]

Commonly available steel is an alloy of iron. It's stronger than aluminum, but it's also heavier and harder to work with - in particular, it blunts tools more easily and swarf is always razor sharp. Welding isn't much of a problem. However heating steel (at welding temperatures) changes its characteristics (strength, hardness, rust resistance). Note that drilling steel requires cooling and a slow drill speed (both rotational and feeding). If you drill too fast, you'll see your drill heating up red hot. Drills that have been red hot lose their hardness and will be dull in no time.

  * Useful for large robots and robots intended to operate in rough conditions. Too heavy for small or medium sized robots.

## Bronze[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-5)]

Heavy. Very good for bearings. Too expensive and heavy for most other purposes.

## Brass[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-6)]

Heavier and more expensive than aluminum. Can be soldered.

  * Useful for bearings.

## Copper[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-7)]

Mostly available as wire or axles. Quite heavy, very good conductor.

  * Useful for special parts and wires.

# Synthetic Materials[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-8)]

Like steel, synthetic materials are a name for a very large group of materials. There are hundreds of different plastics each with different characteristics and uses. We'll be covering only a few of them, but many techniques work just as well with other synthetics.

Most synthetic materials can be bent into shape after they are heated. A hot air gun (used to remove paint) can be sufficient for this purpose. Drilling and sawing these materials requires low speeds or they have to be cooled with water so the material doesn't melt. Soft plastics can be cut with an utility knife.

## PVC[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-9)]

Polyvinyl chloride: Used for plastic tubes.

## Plexiglass[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-10)]

Polymethyl methacrylate: Transparent material. Can be bent when heated to 200°C.

# Composite materials[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-11)]

Polymer composite materials are materials consisting of a polymer matrix and a reinforcing material. (think of reinforced concrete: the polymer matrix is the steel grid and the reinforcing material is the concrete)  
These materials are considerably stronger and stiffer than steel and aluminium alloys.  

    
    
    Material           Specific strength        specific stiffness  
    Steel              150*103 Nm/kg            20*106 Nm/kg  
    E-fiberglass/epoxy 300*103 Nm/kg            10*106 Nm/kg  
    Aramide/epoxy      500*103 Nm/kg            25*106 Nm/kg
    

The reason why composite materials haven't replaced steel is because of cost. Composites are only used where weight is a more important factor than price, e.g., airplanes: less weight means less fuel consumption and/or more useful payload.

# Other Materials[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-12)]

## Foamcore[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-13)]

Foamcore is relatively weak, but it is very practical for making fast prototypes. ( [[2]](http://zero-waste.blogspot.com/2011/12/this-is-foamcore.html) [[3]](http://web.mit.edu/imoyer/www/portfolio/foamcore/) ).

## Cardboard[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Building_Materials&action=edit&section=T-14)]

Generally, it's weak and looks ugly[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_], but it's very practical for making fast prototypes. Can be cut with a knife or scissors and put together with duct tape or glue gun. When dry, it's an insulator and can be used as a prototyping board for circuits.

With careful design, corrugated cardboard is strong enough to hold up full-sized humans ( [a](http://www.arcspace.com/gehry_new/cardb/cardb.html) [b](http://www.erb.co.il/en/cooperations.asp) [c](http://www.dezeen.com/2012/11/12/cardboard-bicycle-by-izhar-gafni/) ).

Often a cardboard mockup is built to make sure the parts of the robot all fit together properly.

Sometimes cardboard is more than strong enough for many parts of a working robot ([a](http://www.kickstarter.com/projects/392540503/cardboard-robot-robotic-arm-and-smart-phone-camera) [b](http://thecardboardrobot.com/)).

# Basic Programming[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=11)]

## Programmable devices[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-1)]

### Microcontrollers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-2)]

These days using programmable components is easy. In the early days you had to write code in assembly, burn it in an EPROM, plug the EPROM in its socket and hope you didn't make any mistake. Because if you did, you had to hunt down the error in hundreds of lines of cryptic assembly code and had to use a new EPROM. These days you've got flash memory which can be reprogrammed in circuit. You've got C and Basic compilers to write your code. Most µcontrollers have a whole lot of hardware on chip (UART, Watchdog, Real Time Clock, RAM, ROM, EEPROM,...) and libraries are available for different programming languages which make coding LC-displays or Servos very easy. Not to mention you've got emulators (A special connector plugged into the µcontroller socket which allows a PC to pretend to be the µcontroller) and simulators (simulates the µcontroller on a PC and allows to run its code) to hunt down the bugs.

#### AVR[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-3)]

A good µcontroller to start with is the AVR [ATtiny2313](http://www.atmel.com/dyn/products/product_card.asp?part_id=3229) (previously: AT90S2313) or [ATMEGA8535](http://www.atmel.com/dyn/products/product_card.asp?part_id=2008) (previously: AT90S8535) (Atmel). It's cheap, has all the essentials on chip and has a whole lot of websites dedicated to it. The 8535 is more expensive, but has more memory and has an on board ADC. An AVR combined with [Bascom-AVR](http://www.mcselec.com/bascom-avr.htm) is pretty much the easiest way to start with µcontrollers.

_See [Atmel AVR](http://en.wikibooks.org/wiki/Embedded_Systems/Atmel_AVR) for details._

_See [Robotics/Computer Control/The Interface/Microcontrollers](http://en.wikibooks.org/wiki/Robotics/Computer_Control/The_Interface/Microcontrollers) for other popular microcontrollers._

### PC[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-4)]

The PC has many advantages over µcontrollers when it comes to controlling a robot. However it has 2 flaws that make it nearly impossible to use in small robot-projects:

  * First: it's large and heavy.
  * Secondly: A modern pc consumes enormous amounts of power.

This means that PCs are limited to tethered or large robots. If power isn't a problem the PC offers enormous amounts of RAM and HD space and plenty of CPU power. Plus a very handy user interface. Also network capabilities can be very useful for some applications. Providing your robot with a wireless connection (IR, radio, WiFi, bluetooth,...) and a similar interface on the PC reduces the wire-problem to a limited-distance (or in the case of IR a line-of-sight) problem.{{{{{{{BookCat}}}}}}}

If you intend to use a PC in your project, you might want to use one of the flavors of linux as the OS, as it allows easy access to any of the parts of the computer. Another choice for an OS is the older MS-DOS, although MS-DOS lacks multithreading (but those can be added in your software) and has ugly memory management (remember the 640Kb limit?).

### Laptop[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-5)]

The laptop has only its size against it. A laptop provides the benefits of a PC without the enormous power consumption. The downside to laptops is their limited battery life.

### PDA[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-6)]

The **PDA** (**P**ersonal **D**igital **A**ssistant) is nothing more than a hand held **PC** (**P**ersonal **C**omputer). Most of the time these units used scaled down **RISC** (**R**educed **I**nstruction **S**et **C**hip) processors to allow for fast execution times and also allow the unit to remain smaller and lighter than your average laptop. Some PDA's even have built-in GPS which makes it very interesting for outdoor robot applications. The downside is their price. The PDA is useful for play, but also serves as a great business tool especially when they are equipped with a stylus.

### Gameboy[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-7)]

The Gameboy (the classic, advance, color and DS) can be a very powerful device. These have been used in many projects (see google). The only drawback is constructing the special PCB to act as a connector.

### Gameboy Advance (GBA)[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-8)]

The Gameboy Advance is also excellent as a robotics platform. There are a few complete open-source development suites available (GCC based C/C++ plus ARM assember). There is also a good kit (Charmed Labs) available to interface Lego robotics motors/sensors and give much more control compared to the Lego RCX. With 4MB of FLASH and a few hundred K of RAM the kit has huge potential. The kit is not really for the complete beginner though as setting up the GNU tools can be quite complicated although the development environment is consequently very rich.

### Programmable Logic Controllers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-9)]

Programmable logic controllers, PLCs, are special purpose industrial computers, made to be easy to interface with electrical circuits. Most PLC are expandable but there are some compact "all-in-one" solutions as well. They have excellent bit-manipulating possibilities, and add-on-cards for several special signals as high-speed counters, analog I/O, networks and fieldbuses (RS-232, RS422, RS-485, Ethernet, DeviceNet, Profibus...), pulse output, servo control, etc. Increasingly, special inputs are included in the PLC CPU unit. PLCs are traditionally used to control automated factories, possibly several machines per PLC. They normally use special-purpose programming languages, most commonly ladder or SFC.

PLCs are available in sizes from approximately 5x5x5 cm (there is a PLC IC available as well, but for the purposes of this book we choose to ignore that fact). The smallest ones are very limited though, with only a few I/Os and very limited memory, and also very limited instruction set with regards to data processing and calculations. PLCs are especially suitable if you have a lot of experience of electric systems, but feel intimidated by designing and soldering PCBs and programming computers (i.e., you are an electrician). They also shine in very large system with many special purpose sensors and outputs, as mostly there will be a standard solution from the manufacturer that is possible to use.

The downside with PLCs are their price - They can be quite costly, normally at least an order of magnitude higher than microcontrollers. They also draw more current than a microcontroller, however less than a computer. On the other hand, compared to a computer, they are computationally weak. They aren't suited for heavy signal-processing work.

PLC:s are best suited for large robots, but could be usable in medium-sized projects as well.

### Combinations[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-10)]

It's common to use both a computer/laptop/PDA and (a) microcontroller(s) as those 2 complement each others limitations. e.g. The first has the advantage of large amounts of memory and processing power, however lacks specific outputs that are very handy in robotics, like PWM. Microcontrollers commonly have PWM channels that operate independently of the rest of the microcontroller, but are limited in their processing speed and memory.  
Linking those 2 devices provides the best of both worlds.

## Programming languages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-11)]

[This](http://en.wikibooks.org/wiki/Robotics:_Design_Basics:_Design_software#Programming_Languages) page discusses some of the available programming languages and provides links to download compilers for those languages.

### Which language to pick?[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-12)]

The choice of language depends on a few points:

  * previous experience. If you're already comfortable with a particular programming language, you'll probably want to use that language for programming your robot.
  * How much time and effort you intend to invest. Not every language is equally hard/easy to use. Most of the complexity of a language comes from allowing more low-level access. Basically the more control a language gives to the user, the harder it is to use, but also the more powerful it is. In theory Assembly would allow a programmer to write the fastest and smallest code. However this is only true for an experienced programmer. Modern compilers can generate code that comes near to hand written Assembly. In most cases, using Assembly needlessly complicates a program, with the exception of using inline assembly in a C or Basic program. Usually these are a few lines of code which work directly with memory, or have to execute in a known time. For many if not most projects, a language such as Basic or C suffices. Only if you intend to push a microcontroller or PC to the limits of its capabilities is it worth the trouble of writing Assembly code.
  * your goals. If you want a simple robot, you wouldn't need Assembly code at all. With modern microcontroller you can easily write sloppy Basic code and still have sufficient speed and memory. If you intend to build a cutting edge robot with a few dozen sensors, image recognition and speech recognition you'll need to write perfect code and will need Assembly for some of the components in order to have enough speed and be able to fit the code in the limited memory of the microcontroller(s). Most projects will fall in between these two extremes and good written Basic or C code would be more than sufficient. Knowing (some) Assembly can be useful as it'll give some insight on how processors work. Such insights make you a better programmer.
  * Availability. Not all languages are available for all microcontrollers. Urbi is open source, C and Basic and Forth are common, often as freeware, other languages might be available commercially, or not at all.

## Writing your software[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-13)]

This section doesn't intend to teach the basics of programming, just those points that aren't addressed in most programming tutorials and beginners books.

  * Style. "Style" is how you indent your lines, how you pick your variable and function names. Pick one and stick with it throughout your program. Especially for functions and variables you should decide when to use capital letters, underscores and when to stick words together. Doing this the same everywhere makes it easier not to miss-spell names.
  * Use informative names. Functions, procedures and variables should have informative names. Their purpose should be clear.
  * Plan before coding. In software development there are two important steps before coding: requirement analysis and software architecture. The first is about finding out what the program is expected to do, what inputs to expect, which output it should generate and what the limitations of its environment are going to be. The latter involves working out how the program is going to be structured, which data types to use, which algorithms, how the input is going to enter the program and how to make sure it's valid and how to format the output. Using a lite version of these steps will make it much easier to write a decent program. If you intend to build a more complicated robot, you'll going to need to invest more time in planning out your software. Have all your software requirements written out first. Then pick a few of the most critical requirements and refine them. Implement those first. After you're done with those (this includes throughfully testing them), pick a new set and refine and implement those. By doing it in small steps you avoid having to write out everything at the start (and making many assumptions) and get to use the insights you get by coding parts of it.
  * Use PDL (Program Development Language) PDL is a method to write functions. It involves writing down the individual steps of a function in plain English without referring to language-specific things, then refining these steps into smaller steps, until it's easier to write the code than to split the steps further. Afterward leave the PDL lines in as comments.
  * Simulation and Debugging Learn to use the simulator. It's easier to find errors there than in the hardware. Also learn to use the debugger. It's your best friend for finding errors.
  * If your software runs on a PC a log-file can be useful. But be picky with what you let the software log. If you intend to run it for a long time those log-files can become massive. If you want to log sensor data over time, know that these can be imported in Excel by saving the data with spaces between them to separate columns and newlines to separate rows. _See [w:Comma-separated values](http://en.wikipedia.org/wiki/Comma-separated_values)._

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Design_Basics/Basic_Programming&action=edit&section=T-14)]

  * [Khepera III Toolbox](http://en.wikibooks.org/wiki/Khepera_III_Toolbox): a wikibook with detailed information on how to program one particular robot
  * [Urbiforge](http://www.urbiforge.org/index.php/Main/Tutorial): a website with tutorials on programming in Urbiscript

* * *

# Physical Construction[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=12)]

# The Platform[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=13)]

Most robots need a framework of some sort to which the builder attaches the various components and subsystems that make the robot function. This framework is known as the **platform**.

A good platform has a few requirements:

  * It has to be light. Don't use steel unless you really need the extra strength. Plexiglass (or any other hard plastic) with an aluminum framework for strength can be sufficiently strong for most purposes. Don't forget about wood. Wood is strong, flexible and light.
  * It has to be easy to add new parts to it. By using one size of PCB you can drill holes ahead of time. And you'll be able to stack PCBs. If you're familiar with Meccano sets you know the advantage of using one standard hole size and spacing. Picking one for your robot can make adding parts very easy and fast, of course this is less efficient with space.
  * It has to be easy to remove parts of it: Make sure you can access any of its parts without having to take most of the robot apart. Especially batteries should be accessible.
  * It has to be in balance. The weight of the robot should be mostly within the figure formed by connecting the wheels of the robot (A triangle for 3 wheeled robots, a rectangle for 4 wheeled robots). Placing significant weight outside this figure makes it more easy for the robot to tip over. The center of gravity should also be as low as possible, otherwise the robot could tip over when turning too fast.
  * It has to have a size that's practical: Don't make it too small or you end up with insufficient space for all the features you had in mind. Don't make it too large either or you end up with a robot that can't maneuver without bumping in furniture and people. Or worse: can't get through a door post.
  * Avoid putting the wheels directly on the motors' axles. Use an axle and connect the motor to it with gears. For small robots this isn't important, but larger would displace the axle inside the motor and damage it.

# Construction Techniques[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=14)]

## Working with Metals[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-1)]

### Measuring and Marking[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-2)]

  * Do: Measure twice, cut once. Putting it back on is MUCH more difficult than taking it off.
  * Do Not: Measure with a micrometer, mark with chalk, cut with a torch. Accuracy is important in moving parts.

### Cutting and Sawing[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-3)]

  * Sawing sheet metal requires a saw with a fine-tooth blade. As a general rule of thumb at least three teeth should touch the material being cut.
  * The teeth should be aimed away from the handle.
  * Only apply pressure when pushing the saw away from you, not when pulling back.
  * A miter box can be very handy to make straight or 45° cuts. Use a metal box as wooden boxes wear out very fast.

### Drilling[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-4)]

  * Use a punch to make a small indentation where you want to drill the hole.
  * Use a slower speed to drill the hole than you would use for wood.
  * Use clamps when working with sheet metal. Don't hold it with your hands as metal is very sharp when cut.
  * Large holes can be made by drilling a hole and using a file thread or small metal saw to cut the hole. Finish with a half round file.
  * A groove can be cut by drilling two holes at the outer edges and using file thread or small saw to connect both holes.

### Filing[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-5)]

  * Files exist in different shapes and different roughness.
  * Filing straight: Hold the file diagonal on the surface, apply pressure and move the file upwards while moving from left to right.

### Bending[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-6)]

Place the sheet metal between 2 wooden boards in a vice. Let the line where you want the material to bend match up with the border of the boards. Use a hammer to bend the metal.

## Working with Plastics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-7)]

### Cutting[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-8)]

Thin plastics can be cut with a sharp utility knife, thicker material can be sawed. When sawing plastic, care must be taken to not melt it.

### Drilling[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-9)]

Drilling plastic requires a slow speed drill. Special drills for plastics are much better as metal drill can cause the material to crack.

Large holes and grooves can be made the same way as in metal.

### Filing[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-10)]

### Bending[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-11)]

Use a heat gun (paint stripper) to heat up the plastic, bend it and let it cool down. Bending can be done by hand.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Physical_Construction/Construction_Techniques&action=edit&section=T-12)]

  * "the #1 rule of machining: Always properly secure the workpiece." -- David Cook[[4]](http://www.robotroom.com/Monkey-Mints-Line-Following-Robot3.html)

# Resourcefulness[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=15)]

Though many components for a serious robotics project will almost certainly have to be purchased, the total cost of the project can be reduced by harvesting parts from various electronic and electro-mechanical devices. The general rule for selection is "the older, the better," as newer devices are now dominated by specialized ICs and [surface mount](http://en.wikipedia.org/wiki/Surface-mount_technology) components that builders might find difficult to use in their robots. SMD (Surface-mounted devices) can be used to create very small robots, if one has the tools and patience to work with them.

An example of a good source of parts would be a printer from the 1980s. Without even disassembling such a printer, one can see all sorts of potentially useful components. Additionally, several metal rods and plates contained in the printer may be used as structural parts for the robot, and even the plastic case itself could be used.

Old floppy disk drives and copy machines are also good sources for parts such as stepper motors, optocouplers or microswitches, regular components, machined metal rods and hardware. Hard disk drives have fewer usable parts but can still be a source.

However stepper motors from printers and copy machines tend to consume a lot of power and may not be as good for battery operated robots.

_Note to potential contributors: perhaps there could be a "case studies" section here, with examples of what can be obtained from a variety of devices._

* * *

# Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=16)]

# Power Sources[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=17)]

Though perhaps other power sources can be used, the main sources of electrical power for robots are batteries and photovoltaic cells. These can be used separately or together (for practical applications, most solar-powered robots will need a battery backup).

## Photo Voltaic Cells[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-1)]

Photo Voltaic Cells or solar cells are well known for their use as power sources for satelites, enviromentalist green energy campaigns and pocket calculators. In robotics solar cells are used mainly in [BEAM](http://en.wikibooks.org/wiki/Robotics/Exotic_Robots/BEAM) robots. Commonly these consist of a solar cell which charges a capacitor and a small circuit which allows the capacitor to be charged up to a set voltage level and then be discharged through the motor(s) making it move.

For a larger robot solar cells can be used to charge its batteries. Such robots have to be designed around energy efficiency as they have little energy to spare.

## Batteries[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-2)]

Batteries are an essential component of the majority of robot designs. Many types of batteries can be used. Batteries can be grouped by whether or not they are rechargeable.

Batteries that are not rechargeable usually deliver more power for their size, and are thus desirable for certain applications. Various types of alkaline and lithium batteries can be used. Alkaline batteries are much cheaper and sufficient for most uses, but lithium batteries offer better performance and a longer shelf life.

Common rechargeable batteries include lead acid, nickel-cadmium (NiCd)and the newer nickel metal-hydride (Ni-MH). NiCd & Ni-MH batteries come in common sizes such as AA, but deliver a smaller voltage than alkaline batteries (1.2V instead of 1.5V). They also can be found in battery packs with specialized power connectors. These are commonly called race packs and are used in the more expensive RC race cars. They will last for some time if used properly. Ni-MH batteries are currently more expensive than NiCd, but are less affected by memory effect.

Lead acid batteries are relatively cheap and carry quite a lot of power, although they are quite heavy and can be damaged when they are discharged below a certain voltage. These batteries are commonly used as backup power supply in alarm systems and UPS.

  


An extremely common problem in robots is the "the microcontroller resets when I turn the motor on" problem[[5]](http://www.embedded.com/underthehood/200001798). When the motor turns on, it briefly pulls the battery voltage low enough to reset the microcontroller. The simplest solution[[6]](http://www.jonh.net/~jonh//robots/skguide.html) [[7]](http://books.google.com/books?id=WrVOqUFGP9sC&pg=PA284&lpg=PA284&dq=robot+reset+battery+motor&source=web&ots=uUNRRJssHI&sig=5uWmfb08g4L_WhOhJVsi1j-UD_w) [[8]](http://www.cs.cmu.edu/~mmcnaugh/kdc/as7/) [[9]](http://www.bluebelldesign.com/Power1.htm) is to run the microcontroller on a separate set of batteries.

* * *

**HISTORY OF THE BATTERY:**

The first evidence of batteries comes from discoveries in Sumerian ruins dating around 250 B.C.E. Archaeological digs in Baghdad, Iraq [[10]](http://www.windsun.com/Batteries/Battery_FAQ.htm). But the man most credited for the creation of the battery was named Alessandro Volta, who created his battery in the year 1800 C.E. called the voltaic pile. The voltaic pile was constructed from discs of zinc and copper with pieces of cardboard soaked in saltwater between the metal discs. The unit of electric force, the volt, was named to honor Alessandro Volta [[11]](http://inventors.about.com/library/inventors/bl_Alessandro_Volta.htm). A time line of breakthroughs and developments of the battery can be seen here [[12]](http://inventors.about.com/library/inventors/blbattery.htm).

**HOW A BATTERY WORKS:**

Most batteries have two terminals on the exterior, one end is a positive end marked “+” and the other end is the negative marked “-”. Once a load, any electronic device, a flashlight, a clock, etc., is connected to the battery the circuit being completed, electrons begin flowing from the negative to positive end, producing a current. Electrons will keep flowing as fast as possible until the chemical reaction on the interior of the battery lasts. Inside the battery there is a chemical reaction going on producing the electrons to flow, the speed of production depends on the battery’s internal resistance. Electrons travel from the negative to positive end fueling the chemical reaction, if the battery isn’t connected then there is no chemical reaction taking place. That is why a battery (except Lithium batteries) can sit on the shelves for a year and there will still be most of the capacity to use. Once the battery is connected from positive to negative pole, the reaction starts, that explains the reason why people have gotten a burn when a 9-volt battery in their pocket touches a coin or something else metallic to connect the two ends, shorting the battery making electrons flow without any resistance, making it very, very hot. [[13]](http://www.howstuffworks.com/battery.htm)

**MAIN CONCERNS CHOOSING A BATTERY:**

    \- Geometry of the batteries. The shape of the batteries can be an important characteristic according to the form of the robots.
    \- Durability. Primary(disposable) or secondary (rechargeable)
    \- Capacity. The capacity of the battery pack in milliamperes-hour is important. It determines how long the robot will run until a new charge is needed.
    \- Initial cost. This is an important parameter, but a higher initial cost can be offset by a longer expected life.
    \- Environmental factors. Used batteries have to be disposed of and some of them contain toxic materials. [[14]](http://robocup.mi.fu-berlin.de/buch/chap6/ComparisonBattery.html)

**PRIMARY (DISPOSABLE) BATTERY TYPES**

    • Zinc-carbon battery - mid cost - used in light drain applications
    • Zinc-chloride battery - similar to zinc carbon but slightly longer life
    • Alkaline battery - alkaline/manganese "long life" batteries widely used in both light drain and heavy drain applications
    • Silver-oxide battery - commonly used in hearing aids
    • Lithium Iron Disulphide battery - commonly used in digital cameras. Sometimes used in watches and computer clocks. Very long life (up to ten years in wristwatches) and capable of delivering high currents but expensive. Will operate in sub-zero temperatures.
    • Lithium-Thionyl Chloride battery - used in industrial applications, including computers and electric meters. Other applications include providing power for wireless gas and water meters. The cells are rated at 3.6 Volts and come in 1/2AA, AA, 2/3A, A, C, D & DD sizes. They are relatively expensive, but have a proven ten year shelf life.
    • Mercury battery - formerly used in digital watches, radio communications, and portable electronic instruments, manufactured only for specialist applications due to toxicity [[15]](http://www.medicbatteries.com/battery-dry-cell-dry-cells.aspx)

Helpful link comparing the most popular types of batteries in many different types of categories [[16]](http://www.allaboutbatteries.com/Energy-tables.html) [[17]](http://www.allaboutbatteries.com/Battery-Energy.html)

**SECONDARY (RECHARGEABLE):**

(Will be discussing the two most popular secondary batteries)

**Lithium-ion Batteries:**

Advantages:

These batteries are much lighter than non-lithium batteries of the same size. Made of Lithium (obviously) and Carbon. The element Lithium is highly reactive meaning a lot of energy can be stored there. A typical lithium-ion battery can store 150 watt-hours of electricity in 1 kilogram of battery. A NiMH (nickel-metal hydride) battery pack can store perhaps 100 watt-hours per kilogram, although 60 to 70 watt-hours might be more typical. A lead-acid battery can store only 25 watt-hours per kilogram. Using lead-acid technology, it takes 6 kilograms to store the same amount of energy that a 1 kilogram lithium-ion battery can handle. Huge difference!

Disadvantages:

Begin degrading once they are created, lasting only two or three years tops, used or not. Extremely sensitive to high temperatures, heat degrades battery even faster. If a lithium battery is completely discharged, it is ruined and a new one will be needed. Because of size and ability to discharge and recharge hundreds of times it is one of the most expensive rechargeable batteries. And a SMALL chance they could burst into flames (internal short, separator sheet inside battery keeping the positive and negative ends apart gets punctured). [[18]](http://electronics.howstuffworks.com/lithium-ion-battery.htm)

**Alkaline Batteries:**

The anode, the positive end, is made of zinc powder because the granules have a high surface area, increasing the rate of reaction and higher electron flows. It also helps limit the rate of corrosion. Manganese dioxide is use on the cathode, or the negative side, in powder form as well. And potassium hydroxide is the electrolyte in an alkaline battery. There is a separator inside the battery to separate the electrolyte between the positive and negative electrodes. [[19]](http://www.wisegeek.com/what-are-the-key-components-of-an-alkaline-battery.htm)

## Fuel Cells[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-3)]

Fuel cells are a possible future replacement for chemical cells (batteries). They generate electricity by recombining hydrogen gas and oxygen. (commercial fuel cells will probably use methanol or other simple alcohols instead of hydrogen). Currently these are very expensive, but this might change in the near future when these cells are more commonly used as a replacement for laptop batteries.

**Note:** since fuel cells use flammable products you should be extra careful when you build a power source with these. Hydrogen has no odor like natural gas and is flammable and in some conditions explosive.

Pressurized canisters have their own set of risks. Make sure you really know how to handle these. Or at least allow other people enough time to get behind something thick and heavy before experimenting with these.

## Mechanical[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-4)]

Another way to store energy in a robot is mechanical means. Best known method is the wind-up spring, commonly used in toys, [radios](http://www.leeselect.com/baygen/baygenamfmsw.htm) or [clocks](http://home.howstuffworks.com/inside-clock.htm).

Another example of mechanical energy storage is the flywheel. A heavy wheel used to store kinetic energy.

## Air Pressure[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-5)]

Some robots use pneumatic cylinders to move their body. These robots can use either a bottle of pressurized air or have a compressor on board. Only the first one is a power source. The latter power source is the batteries powering the compressor. Pneumatic cylinders can deliver very large forces and can be a very good choice for larger walkers or grippers.

**Note:** Pressurized canisters and pneumatic components can be dangerous when they are handled wrongly. Failing pressurized components can shoot metal pieces around. Although these aren't _necessarily_ life threatening, they can cause serious injuries even at low pressures.

Canisters on their own pose additional risks: Air escaping from a pressurized canister can freeze whatever happens to be in its way. Don't hold any body parts in front of it.

Pneumatic and hydraulic cylinders can deliver large forces. Your body parts can't handle large forces. You get the picture.

## Chemical Fuel[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Power_Sources&action=edit&section=T-6)]

For model airplanes there exist small internal combustion engines. These engines can be used to power robots either directly for propulsion or indirectly by driving an alternator or dynamo. A well designed system can power a robot for a very long time, but it's not advisable to use this power system indoors.

**Note:** This is another dangerous way of doing things. Fuel burns and is toxic. Small amounts of fuel in a open container can explode when ignited. Exhaust is toxic and a suffocation risk. Make sure of that you know what you're doing or get good life insurance.

# Actuation Devices[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=18)]

Actuation devices are the components of the robot that make it move (excluding your feet). Best known actuators are electric motors, servos and stepper motors and also pneumatic or hydraulic cylinders. Today there are new alternatives, some which wouldn't be out of place in a good SF-movie. One of the new types of actuators are Shape Memory Alloys (SMA). These are metal alloys that shrink or enlarge depending on how warm they are. Another new technique is the use of air-muscles.

  1. [Motors](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Motors&action=edit&redlink=1)
  2. [Shape Memory Alloys](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Shape_Memory_Alloys&action=edit&redlink=1)
  3. [Air muscle](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Air_muscle&action=edit&redlink=1)
  4. [Linear Electromagnetic](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Linear_Electromagnetic&action=edit&redlink=1)
  5. [Piezoelectric Actuators](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Piezoelectric_Actuators&action=edit&redlink=1)
  6. [Pneumatics/Hydraulics](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Pneumatics_Hydraulics&action=edit&redlink=1)
  7. [Miniature internal combustion engines](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Miniature_internal_combustion_engines&action=edit&redlink=1)

# Motors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=19)]

There are several different types of motors. Each motor type has several advantages as well as disadvantages depending on a particular robots design. See [this Wikipedia article](http://en.wikipedia.org/wiki/DC_motor) for basic information about the different electro motors.

## AC-motor[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-1)]

There are several different types of AC-motors, but their use is limited to high power stationary industrial robots. They are harder to use than DC-motors.

## DC-motors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-2)]

DC-motors are very easy to use, but like most other motors their usefulness for robotics is very dependent on the gearing available. DC-motors are made much more effective if they have an efficient gear ratio for a particular task. If your priority is to have a fast spinning motor and torque is of little concern a low gearing or even no gearing may be what you need; however, most motors used in robots need torque over top speed so a motor with a high gear ratio could be more useful.

The control of a DC motor can be split into two parts: speed and direction.

### Direction[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a7/H-bridge.jpg/220px-H-bridge.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The principle behind a H-bridge

Changing which direction a DC-motor turns is very simple: simply reverse the polarity.

Both pairs of switches ( (S1A,S1B) and (S2A, S2B) )-see the picture on the right- will always switch together. This circuit is called an H-bridge. In a real design the switches can be several different components (Relays, transistors, FETs) or the whole circuit (without the motor) could be an IC (integrated circuit. use sugarcan relays

### Speed[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-4)]

Speed is a little bit more complicated. Many beginners would try to slow down a motor by reducing its voltage with a variable resistor or other ways. This does not work well, because it will not only reduce the motor's speed, it will also reduce a motor's strength, while also consuming a lot of electricity as large amounts of heat are generated by the resistor.

A far better way is to use a PWM ([Pulse-width modulation](http://en.wikipedia.org/wiki/Pulse-width_modulation)) device.

## Servo[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-5)]

[What is a servo?](http://en.wikipedia.org/wiki/Servomechanism)

Servos are used in robotics for different uses: e.g. to move a sensor around, or to move the legs of a robot. Some users modify the servo so they can use it as a DC-motor with a gearbox.

Controlling a servo is done with [Pulse-width modulation](http://en.wikipedia.org/wiki/Pulse-width_modulation). The length of the pulse is relative to the position the servo will turn to. The length of this pulses is usually located between 1ms and 2ms, if so 1.5ms would be the center position. This pulse needs to be repeated with small intervals (otherwise the servo might turn to a "save" position or it might simply stay at its current position. This depends on the type of servo used).

## Stepper motor[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Motors&action=edit&section=T-6)]

We cover stepper motors in more detail in the next chapter, [Robotics/Stepper Motors](http://en.wikibooks.org/wiki/Robotics/Stepper_Motors).

(The category-box overlaps some of the text here. This line added to keep the real content on the screen)

# Stepper Motors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=20)]

## Stepper Motor Basics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Stepper_Motors&action=edit&section=T-1)]

  * **Degree of Rotation** \- Every stepper motor has a **degree of rotation**. This value indicates how far the rotor will spin around it's axis for each signal sent.
  * **Number of Coil** \- These motors drive coils in a pattern to advance the rotor position
  * **Driving a Coil** \- This is done by passing current through the coil. In stepper motors, all coils must be driven in both directions over a complete revolution.
  * **Sequencing** \- These motors require the electronic control to change which coil in being driven at the correct time. Without this the motor will hold in one position.
  * **H-Bridge Style Driver** \- ...

[What's a stepper motor?](http://en.wikipedia.org/wiki/Stepper_motor)

In robotics stepper motors are primarily used in stationary robots as they tend to consume quite a lot of power. They are ideal for movements that have to be accurate and are larger than 180°.

## Common Uses/Part Sources[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Stepper_Motors&action=edit&section=T-2)]

  * **Floppy, hard disk, or CD/DVD-ROM drives** \- The heart of most these is the stepper motor. In most of these drives, there are two stepper motors. They position the read/write heads and they spin the medium.
  * **Printers, scanners, plotters, and copy machines** \- Most of these devices utilize stepper motors. They are used primarily to position the print head or optics on an (X,Y) coordinate system. One motor positions on the X axis and the other positions on the Y axis.
  * **CNC machines, routers, scanners, lathes etc** \- Used for X/Y/Z positioning of heads.

# Shape Memory Alloys[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=21)]

[Here](http://www.cs.ualberta.ca/~database/MEMS/sma_mems/sma.html) is a good introduction about what Shape Memory Alloys (SMA) are.

The main use of SMA in robotics is to imitate human muscles. One of the better known SMAs is Nitinol wire. It contracts about 5 to 7% of its length and consumes a lot of power.

One of the most popular nitinol driven robots is **[Stiquito](http://en.wikipedia.org/wiki/Stiquito)**.

# Air muscle[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=22)]

The concept of a fully autonomous, mission capable, legged robot has for years been a Holy Grail of roboticists. Development of such machines has been hampered by actuators and power technology and control schemes that cannot hope to compete with even some of the “simplest” systems found in the natural world.

## Biomimetics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-1)]

Faced with such a daunting task, it is not surprising that more and more researchers are beginning to look toward biological mechanisms for inspiration.

Biology provides a wealth of inspiration for robot design. There are millions of species of animals that have evolved efficient solutions to locomotion and locomotion control.

## Legs, wheels, treads[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-2)]

Insects in particular are well known not only for their speed and agility but also for their ability to traverse some of the most difficult terrains imaginable; insects can be found navigating rocky ground, walking upside down, climbing vertical surfaces, or even walking on water. Furthermore, insects almost instantly respond to injury or removal of legs by altering stance and stepping pattern to maintain efficient locomotion with a reduced number of legs [1]. Given the ultimate goal of autonomy, this ability to reconfigure locomotion strategies will be crucial to the robustness of autonomous robots [2].

There are of course other mechanisms capable of producing locomotion, most notably wheels and caterpillar treads. While these devices are admittedly much easier to design and implement, they carry with them a set of disadvantages that inhibits their use in military or exploratory applications. Primary amongst these limitations is the simple fact that wheels, and to a lesser extent treads, are not capable of traversing terrain nearly as complex as that which a legged vehicle is capable of maneuvering over [2]. Even wheeled and tracked vehicles designed specifically for harsh terrains cannot maneuver over an obstacle significantly shorter than the vehicle itself; a legged vehicle on the other hand could be expected to climb an obstacle up to twice its own height, much like a cockroach can. This limitation on mobility alone means that in any environment without fairly flat, continuous terrain, a walking vehicle is far preferable to a wheeled or tracked one. Legged vehicles are also inherently more robust than those dependent on wheels or tracks. The loss of a single leg on a hexapod will result in only minimal loss in maneuverability; on a wheeled vehicle a damaged wheel could spell the end of mobility, and a damaged caterpillar tread almost always results in catastrophic failure. Finally, legged vehicles are far more capable of navigating an intermittent substrate—such as a slatted surface—than wheeled vehicles [3].

Given the preceding argument for the use of legged locomotion in certain environments, one is left with the daunting task of actually designing an efficient legged robot. While such a task is difficult to say the least, nature has provided us—literally—with a world full of templates. Animals can be found that are capable of navigation over almost any surface, and it is from these natural solutions to locomotion problems that engineers are more and more often seeking inspiration.

## Actuators[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-3)]

2\. Actuator Selection The selection of actuators plays a pivotal role in any mobile robot design, as the shape, size, weight and strength of an actuator must all be taken into account, and the power source of the actuators often provides the greatest constraint on a robot’s potential abilities.

### Muscle[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-4)]

Biological organisms have a great advantage over mechanical systems in that muscle, nature’s actuator of choice, has a favorable force-to-weight ratio and requires low levels of activation energy. Their tunable passive stiffness properties are also well suited for energy efficient legged locomotion. The most frequently used actuators, electric motors and pneumatic/hydraulic cylinders, are far from equivalent to their biological counterparts.

### Electric motor[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-5)]

Electric motors are probably the most commonly used actuation and control devices in modern day robotics, and with good reason. Motors in a wide range of sizes are readily available and they are very easy to control. These devices are also fairly easy to implement, normally requiring just a few electrical connections. However, electric motors have several disadvantages. Most importantly, their force-to-weight ratio is far lower than that of pneumatic and hydraulic devices, and in a field such as legged robotics, where weight is of the utmost importance, this makes them unsuitable for many applications. Typically, electric systems have a power to weight ratio of 50-100 W/kg (including only motor and gear reducer, operating at rated power), whereas fluid systems produce 100-200 W/kg (including actuator and valve weights) [4] and biological muscle, which varies widely in properties, produces anywhere from 40-250 W/kg [5]. In addition, when trying to take advantage of an animal’s efficient [biomechanical](http://en.wiktionary.org/wiki/biomechanical) design, the drastic difference between the rotary motion of most electric motors and the linear motion of muscle can cause complications.

### Pneumatic and hydraulic cylinder[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-6)]

Pneumatic and hydraulic cylinder systems eliminate some of the problems associated with electric motors [6]. As a general rule, they provide a significantly higher force-to-weight ratio than motors; an advantage that in itself often leads to their use, even given the increased complexity and weight of control valves and pressurized fluid lines required for operation. These actuators also produce linear motion, which makes them more suitable to serving a role equivalent to muscle. Unfortunately, air cylinders are better suited to “bang-bang” operation; that is, motion from one extreme to another with mechanical stops to halt motion. Smooth walking motion requires a much larger range of states, and the [stiction](http://en.wikipedia.org/wiki/stiction) present in most pressure cylinders makes even coarse position control difficult. Fluid pressure devices are still quite massive; for example, almost seventy-five percent of CWRU’s Robot III’s weight is composed of its actuators and valves [7].

### Braided pneumatic actuator[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-7)]

Braided pneumatic actuators (BPAs) provide a number of advantages over conventional actuation devices, and share some important characteristics with biological muscle. These devices consist of two major components: an inflatable bladder around which is wrapped an expandable fiber mesh (Figure 1). The resulting actuator is significantly lighter than a standard air cylinder; however, the braided pneumatic actuator is actually capable of producing greater forces (and thus possesses a much higher force-to weight-ratio) than its heavier counterpart. When the bladder is filled with pressurized air, its volume tends to increase. Because of the constant length of the mesh fibers, this can only be accomplished by the actuator expanding radially while simultaneously contracting along its axis. The result is a muscle-like contraction that produces a force-length curve akin to the rising phase of actual muscle [8].

An important property of BPA to note is that at maximum contraction (L/Lo≈0.69) the actuator is incapable of producing force; conversely, the maximum possible force is produced when the actuator is fully extended. Therefore, similar to muscle, the force output of these actuators is self-limited by nature. While an electric motor controller could conceivably become unstable and drive a system until failure of either the structure or the motor, a braided pneumatic actuator driven by an unstable controller is less likely to be driven to the point of damaging itself or the surrounding structure. Because of this property, braided pneumatic actuators are well suited for the implementation of positive load feedback, which is known to be used by animals including cockroaches, cats and humans [9].

BPAs are also known as McKibben artificial muscles [10], air muscles, and rubbertuators. They were patented in 1957 by Gaylord and used by McKibben in orthotic devices [11]. Like biological muscle, BPAs are pull-only devices. This means that they must be used in opposing pairs, or opposing some other antagonist. This property is of significant importance for useful application of these devices, for although it requires the use of two actuators or sets of actuators at each joint, it allows the muscle-like property of co-contraction, also known as stiffness control. If one considers a joint in the human body, such as the elbow or knee, it should be obvious that whatever
    
    
    Figure 1: A placeholder
    
    

position the joint is in the muscles that control that joint can be activated (flexed) without changing the joint angle. From an engineering standpoint, this is accomplished by increasing the force produced by each muscle in such a way that the net moment produced at the joint is zero. As a result, the joint angle remains the same but perturbations, such as the application of an outside force, result in less disturbance. From a practical standpoint, this means that the joint can be varied through a continuum of positions and compliances independently. The resulting joint can be stiff when needed, such as when bearing weight while walking, or compliant, as in cases of heel strike where compensation for uneven terrain may be needed.

The greatest impediment to widespread use of BPAs has been their relatively short fatigue life. Under operating conditions such as we desire, these devices are capable of a service life on the order of 10,000 cycles as they were originally designed. A significant improvement to these devices has been made by the Festo Corporation, which has recently introduced a new product called fluidic muscle. This operates on the same principles as a standard BPA, with the critical difference being that the fiber mesh is impregnated inside the expandable bladder. The resulting actuators have a demonstrated fatigue life on the order of 10,000,000 cycles at high pressure.

3\. Previous Robots

Two previous robots developed at CWRU have provided significant insight and impetus for the design of Robot V. Both of these cockroach-based robots are non-autonomous, and rely on off board controllers and power supplies for operation.

Robot III was the first pneumatically powered robot built at CWRU, and relied on conventional pneumatic cylinders for actuation. This 15 kilogram robot was powerful, and was demonstrated to be capable of easily lifting payloads equivalent to its own weight. The fundamental failing of this robot was the difficulty inherent in the control of the pneumatic cylinders; although capable of maintaining stance robustly and cycling its legs in a cockroach manner, to date this robot has not demonstrated smooth locomotion [12].

Kinematically similar to its predecessor, Robot IV implemented braided pneumatic actuators in place of Robot III’s pneumatic cylinders. This robot was underpowered; it was barely able to lift itself, the valves were moved off-board for walking experiments. However, this robot was significantly easier to control, in large part because the valves allowed air to be trapped inside the actuators, so that joint stiffness could be varied as well as joint position. Using an open-loop controller, this robot was able to locomote [13]

4\. Overview of Robot V

Design Case Western Reserve University’s most recent robot, Robot V (Ajax) like its predecessors Robot IV and Robot III is based on the death head cockroach _Blaberus discoidalis_. Although it is not feasible to capture the full range of motion exhibited by the insect—up to seven degrees of freedom per leg—analysis of leg motion during locomotion suggests that this is not necessary. This is because in many cases joints demonstrate only a small range of motion, while the majority of a leg’s movement is produced by a few joints. We have determined that three joints in the rear legs, four in the middle legs, and five in the front legs are sufficient to produce reasonable and robust walking [7] [14]. The different number of DOF in each set of limbs represents the task-oriented nature of each pair of legs. On the insect, the front legs are relatively small and weak, but highly dexterous (Figure 2), and are thus able to effectively manipulate objects or navigate difficult terrain. This dexterity is attained in the robot through three joints between the body and coxa. These joints are referred to (from most proximal to most distal) as γ, with an axis parallel to the intersection of the median and coronal planes (in the z direction); β, with an axis parallel to the median and transverse planes (in the y direction); and α, with

Figure 2: Schematic of front leg with axes of joint rotation

an axis parallel to the coronal and transverse planes (in the x direction). The two remaining joints are between the coxa and femur and the femur and tibia. The middle legs on the insect play an important role in weight support, and are critical for turning and climbing (rearing) functions; however they sacrifice some dexterity for power. On Robot V, the middle legs have only two degrees of freedom—α and β—between the body and coxa, and retain the single joint between the coxa and femur and the femur and tibia. Finally, the cockroach uses its rear legs primarily for locomotion, and although these limbs are not as agile as the others, they are larger and much more powerful; likewise, the rear legs of the robot have only one joint between each of the segments. The body-coxa joint uses of only the β joint. Although each leg has a unique design, one component they have in common is the tarsus, or foot, construction. This consists of a compliant member attached to the end of the tibia and a pair of claws. The compliant element is capable of bending to maintain contact with the ground, thus providing traction. The claws are angled differently on each leg to assist in its specific task; for example, the claws on the rear leg are angled backwards like spines, allowing the foot additional traction when propelling the robot forward.

4.1 Valves

Each joint is driven by two opposing sets of actuators, allowing for controlled motion in both directions (previous robots have used a single actuator set paired with a spring) [15]. Each actuator set is driven by two two-way valves; one for air inlet and one for air exhaust. This scheme doubles the number, and thus the weight, of valves as compared to Robot III; however, it allows for the implementation of stiffness control, or co-contraction. Because the pressures in opposing actuators can be independently varied, the same joint angle can be achieved using different combinations of actuator pressures; all that is required is that the moments on a given joint sum to zero at the desired position. As a result, a joint can be made very stiff by pressurizing both sets of actuators, or very compliant, by pressurizing one actuator only enough to overcome the mass properties of the limb to reach a desired position.

4.2 Stance bias

The actuators [onboard](http://en.wiktionary.org/wiki/onboard) a legged robot can generally be subdivided into two classes: those used to move the limb through the swing phase and those required to maintain stance and generate locomotion. One of the fundamental differences between these two types of actuators is the load that is required of them. The swing actuators need only provide the force necessary to overcome the weight and inertia of the limb, whereas the stance actuators must support not only a significant portion of the entire mass of the robot, but also provide the force necessary for locomotion. This disparity between operational demands can potentially lead to large, powerful stance actuators and small swing actuators (as can be seen in the human body with powerful quadriceps muscles which maintain stance, and the respectively weaker hamstring muscles, which are used for swing); however, because of limited options for robot actuator sizes, it is more often the case that the swing actuators are overpowered, whereas the stance actuators are either underpowered or just capable of meeting the demands placed on them. On Robot V this problem was resolved through the placement of torsion springs at some critical load bearing joints (specifically the coxa-femur and β joints) to provide a bias in the direction of stance. As a result, the forces required of the stance actuators are significantly reduced while the swing actuators must produce greater forces, but still remain within their operational range.

5\. Initial Trials

Robot V, like Robot IV, was designed as an exoskeleton, where the structural members are placed outside and around the actuators. Not only did this allow a significant reduction in weight, but it also provided a limited protection for the actuators, which are susceptible to puncture and abrasion (Figure 3). The vast majority of the structural elements were made of 6061-T6 Aluminum, although axles and actuator mounting shafts were made of 1018 steel, and fasteners were made from stainless steel. All joint axles were mounted in nylon journal bearings.
    
    
    Figure 3: Robot V (Ajax) 
    

Whenever possible, actuators were directly mounted to both their insertion and their origin. This precluded the need for tendons, allowing the maximum possible length of actuator to be used. This in turn maximized the force and stroke available for each individual joint. The notable exception to this strategy was the β actuators, which were attached to a tendon and mounted parallel to the body. This was done to reduce the overall height of the robot. The first legs to be built were the middle legs. These were chosen for initial tests because they must be dexterous and forceful to maintain stance in a tripod gait. After completion of the first leg the range of motion (ROM) of each of its joints was measured and compared to the design values. These data are summarized below:

Joint ROM Desired ROM β 20° 30° α 25 40 c-f (coxa-femur) 40 50 f-t (femur-tibia) 75 75

These tests were performed at both 5.5 and 6.25 bar, with no significant difference between the results of the two, suggesting that at these pressures the actuators had reached their full contraction. Although the desired ROMs were not reached, the measured ROMs are in excess of those demonstrated by animal. The demonstrated ROM’s of the leg were deemed sufficient for walking and climbing. A gantry was constructed to support the middle legs for preliminary stance and motion tests. With only horizontal support—to prevent tipping—the legs were able to maintain stance while supporting their weight (three kilos) plus the weight of the valves for the actuators (one half kilo) and a gantry element (one kilo) without any pressurized air in the actuators. This capability, a result of the aforementioned stance bias, clearly demonstrates the ability of these legs to support not only the weight of the robot, but a significant payload as well. An open loop controller was then used to cycle the legs through “push-ups”; raising themselves from a minimum to a maximum height. In this fashion, the legs were able to lift the body approximately 6 cm. This process was repeated with additional payloads (beyond valve and gantry weight) of two and a half and five kilograms using 6 bar air. In both cases, the legs were able to attain the same height.

6\. Ajax

Fully assembled—including valves—Robot V weighs 15 kilograms. Range of motion tests have been performed for all joints, and are summarized below. In many cases, specifically the femur-tibia joints of all legs, these ranges of motion are in excess of the desired ROM. In all cases, they are sufficient for walking and climbing.

JOINT ROM Front Leg γ 35° β 45 α 25 c-f 40 f-t 75 Middle Leg β 20 α 25 c-f 40 f-t 75 Rear Leg β 25 c-f 50 f-t 80

Ajax demonstrates a propensity to stand due to the preloads placed on the torsion springs; even without pressure in the actuators, the middle and rear

Figure 4: Robot V without activated actuators (top) and standing (bottom). Note that even when the actuators are un-pressurized, they maintain a near-stance position, with only the feet contacting the surface.

Legs maintain a near-stance position. Initial tests of the robot have shown that it is capable of supporting its weight in a standing position and of achieving stance both unloaded and with a five kilogram payload (Figure 4).

Further tests have shown that the robot is able to achieve a tripod stance and alternate between tripods, which is important for walking. These tasks were achieved using a simple open loop controller. Furthermore, the passive properties of the BPA’s are clearly highlighted in the robot’s ability to return to its desired position after suffering perturbations without the use of any form of active posture control. Using a feed forward controller with absolutely no feedback, the robot can produce reasonable forward locomotion. Although this is by no means the robust, agile walking that is the ultimate goal of this project, it is a clear demonstration of not only the robot’s capabilities, but also the advantages offered by the BPA’s. The ability to move using only an open loop controller is in large part a result of the passive properties of the actuators, which provide compensation for any instabilities in the controller itself and immediate response to perturbations without the need for controller intervention.

This can be contrasted with Robot III, which, even with kinematic and force feedback, was not able to walk. This failure of Robot III is attributed to the inability of both the pneumatic cylinders and posture controller to deal with the sudden changes in load associated with locomotion.

In short, the BPA’s act as filters, providing immediate response to perturbation; a task the controller is incapable of. This same process occurs in biological muscle, which responds nearly instantaneously to perturbation, but only slowly to neurological input [16]. With the addition of a biologically inspired closed loop controller in the future, Ajax is expected to display robust, insect-like locomotion.

7\. Future Work

Although the mechanical aspects of this robot have been completed, the control system is still in its infancy. Because the mechanics of a system are inextricably linked to its control circuits, Ajax’s controller is expected to benefit from the close relationship between its design and that of the actual insect. This relationship is perhaps most prominent in the muscle-like nature of the braided pneumatic actuators.

Sensors will be added to provide not only joint position feedback, but force feedback as well. Joint angle can easily be determined with a potentiometer, as has been done on our previous robots. Force feedback will be attained through pressure measurements from the actuators, which, given actuator length, can be used to determine actuator force. Although strain gauges properly placed on the mounting elements of the actuators can produce sufficient force feedback, previous work has shown many desirable characteristics inherent in pressure transducers: they have much cleaner signals, do not require amplifiers, and do not exhibit cross talk; all disadvantages of strain gauges. In addition, strain gauges must be mounted directly adjacent to the actuator they are recording from; this requires more weight at distal points of the limb, (thusly increasing the moment of inertia of the limb) and generally reduces the usable available stroke of the actuator. We have demonstrated that a pressure transducer located down-line from an actuator produces a sufficient signal to determine actuator force.

An insect-inspired controller was developed for Robot III, and this will be modified for use on Robot V. It is a distributed hierarchical control system. The local to central progression includes circuits that control joint position and stiffness, inter-leg coordination and reflexes, intra-leg gait coordination, and body motion. The inter-leg coordination circuit solves the inverse kinematics problem for the legs and the centralized posture control system solves the force distribution problem.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-8)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Pneumatic artificial muscles**_](http://en.wikipedia.org/wiki/Pneumatic_artificial_muscles)

  * ["Biorobotics - Build Your Own Robotic Air Muscle Actuator"](http://www.imagesco.com/articles/airmuscle/AirMuscleDescription01.html) is a page that explains what air muscles are and how to build one at home.
  * [Shadow robot company: Air Muscle overview](http://www.shadowrobot.com/airmuscles/overview.shtml): "Air Muscles are normally operated using compressed air in the 0-60psi (0-4 bar) range."

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Air_muscle&action=edit&section=T-9)]

  1. Delcomyn, F Foundations of Neurobiology W.H. Freedman and Company, New York, 1998.
  2. Raibert, M.H., Hodgins, J.K., Legged Robots, “Biological Neural Networks in Invertebrate Neuroethology and Robotics” ed. By Beer, R.D., Ritzmann, R.E., and McKenna, T. 1993.
  3. Espenschied, K.S., Quinn, R.D., Chiel, H.J., Beer, R.D. (1996). Biologically-Based Distributed Control and Local Reflexes Improve Rough Terrain Locomotion in a Hexapod Robot. Robotics and Autonomous Systems, Vol. 18, 59-64.
  4. Binnard, M.B. (1995) Design of a Small Pneumatic Walking Robot. M.S. Thesis, M.I.T.
  5. Davis S.T., Caldwell D.G “The Bio-Mimetic Design of a Robot Primate Using Pneumatic Muscle Actuators” Proceedings of the 4th International Conference on Climbing and Walking Robots (CLAWAR 2002), Karlsruhe, Germany, 24-26 Sept. 2001.
  6. Song, S.M., Waldron, K.J., Machines That Walk MIT Press, Cambridge, Mass., 1989.
  7. Bachmann, R.J. (2000) A Cockroach-Like Hexapod Robot for Running and Climbing. M.S. Thesis, CWRU.
  8. Klute, G.K., B. Hannaford, “Modeling Pneumatic McKibben Artificial Muscle Actuators: Approaches and Experimental Results,” Submitted to the ASME Journal of Dynamic Systems, Measurements, and Control, November 1998, revised March 1999.
  9. Prochazka, A., Gillard, D., and Bennett, D.J., “Implications of Positive Feedback in the Control of Movement” The American Physiological Society, 1997.
  10. Nickel, V.L., J. Perry, and A.L. Garrett, “Development of useful function in the severely paralyzed hand,” “Journal of Bone and Joint Surgery,” Vol. 45A, No. 5, pp. 933-952, 1963.
  11. Caldwell, D.G, Medrano-Cerda, G.A., and Bowler C.J. “Investigation of Bipedal Robot Locomotion Using Pneumatic Muscle Actuators” . IEEE International Conference on Robotics and Automation (ICRA'97), Albuquerque, NM.
  12. Nelson, G.M. (2002) Learning About Control of Legged Locomotion Using A Hexapod With Compliant Pneumatic Actuators. Ph.D. Thesis, CWRU.
  13. Bachmann, R.J., D.A. Kingsley, R.D.Quinn, and R.E. Ritzmann, "A Cockroach Robot with Artificial Muscles," Proceedings of the 5th International Conference on Climbing and Walking Robots (CLAWAR 2002), Paris, 25-27 Sept. 2002.
  14. Watson, J. T. and R. E. Ritzmann (1998). Leg kinematics and muscle activity during treadmill running in the cockroach, Blaberus discoidalis:slow running. J. Comp. Physiol. A 182: 11-22.
  15. Powers, A.C. (1996) Research in the Design and Construction of Biologically-Inspired Robots. M.S. Thesis, University of California, Berkeley.
  16. Loeb, G.E., Brown, I.E., Cheng, E.J. (1998). A hierarchical foundation for models of sensorimotor control. Exp. Brain Res. 1999, 126: 1-18.

# Linear Electromagnetic[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=23)]

Linear Electromagnetic actuators consist of a hollow coil (solenoid) and a ferrometal rod. The rod is mounted loose in the coil and can move up and down. When current flows through the coil, the rod is pulled to the center of the coil. If the direction of the current is then reversed the solenoid will pull in the ferrometal rod. Due to Lenz's Law which states "For a current induced in a conductor, the current is in such a direction that its own magnetic field opposes the change that produced it." This means that an EMF will flow through the solenoid of the actuator to oppose the _change_ in magnetic flux thus an electromagnetic actuator can never fully extend the full length of the rod.

_Note to further modifiers: Feel free to tidy my Lenz's Law explanation up - i'm sure it could be written in a more elegant manner! --[SamEEE](http://en.wikibooks.org/wiki/User:SamEEE) 03:18, 3 February 2007 (UTC)_

## Applications[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Linear_Electromagnetic&action=edit&section=T-1)]

This type of actuator is useful for momentary linear motion. e.g. closing a gripper.

## Design Considerations[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Linear_Electromagnetic&action=edit&section=T-2)]

Solenoids use a large amount of power this requires more battery power which in turn requires more battery power to move the robot. A general rule of thumb is to use a electromagnetic actuators for small operations and for larger operations prehaps consider the use of Pneumatics the output power/weight ratio is usually more favorable. For more information on Pnuematics please consult the corresponding section of this book.

### Calculating Force[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Linear_Electromagnetic&action=edit&section=T-3)]

Calculating how strong the actuator is, isn't very easy. However it is possible by using a Newtonmeter to the line of action and measuring how many Newtons are exerted by the solenoid on the measuring device. There are also a way of measuring force though use of a formula however the forementioned method is usually the most practical.

# Piezoelectric Actuators[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=24)]

Piezoelectric actuators are actuators that take advantage of the piezoelectric effect found in certain materials.

## Piezoelectric Effect[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikibooks/en/b/b6/Piezoeletriceffect.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The piezoelectric effect as shown when an electric potential is applied

Certain materials have a characteristic of generating an electric potential when compressed or expanded. The amount of potential across the surface is determined by the force of displacement.

Because an electric potential is created from a change in volume, a change in temperature also has the ability of generating an electric potential.

The piezoelectric effect also has an inverse effect. When a voltage is applied to a material with piezoelectric properties, the material expands or contracts depending on the polarity of the voltage applied. The inverse piezoelectric effect is the basis of piezoelectric motors.[[20]](Print_version.html#endnote_EEHandbook)

### Materials with the Piezoelectric properties[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-2)]

Piezoelectricity naturally occurs in symmetrical crystals. Piezoelectric materials can also be manufactored as ceramics.

Crystals

  * Quartz
  * Tourmaline

Ceramics

  * Barium Titanate

More Materials can be found by going [here](http://www.matweb.com/search/MaterialGroupSearch.aspx), and filtering for the piezoelectric category.

## Piezoelectric Actuators[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-3)]

The ability to change shape when a voltage is applied can be used to displace objects. This basically allows electrical energy to be converted to mechanical energy.[[21]](Print_version.html#endnote_elecman) This can be used to rotate motors or even

### Piezoelectric Motors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-4)]

#### Linear[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-5)]

The concept behind a linear piezo motor is layering a stack of piezoelectric discs that will push on each other and eventually push on a surface at an angle which will propel the object forward. The distance the propeller pushes is limited, but the frequency can be very rapid. The input voltage can change the output speed and allows a great amount of accurate movements. The force exerted is minimal and lessens the worry of breaking smaller objects.

#### Rotary[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-6)]

A rotary motor can work in the same fashion as the linear motor, except when you apply this concept at a much steeper angle to an axle, the linear motion is turned into a rotational motion. Two of these linear motors applied on both sides of a disc in the same direction can spin the disc. This is the same concept in a pitching machine used to sling baseballs.

#### Stepper[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-7)]

Using a piezoelectric material for a stepper motor can give you better precision due to the short distances involved. By placing piezoelectric motors in oppposing directions operating at frequencies that are slightly out-of-phase, the rotation is slight between the time when piezoelectric motors have the disc in a “hold” state. The slight movements and rapid response allow the rotation to be precise.

#### Squiggle Motor[[22]](Print_version.html#endnote_squiggle)[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-8)]

New Scale Technologies has taken this concept and applied it to a nut and bolt to create a type of screwing effect. The vibrations caused by the piezoelectric material cause the nut to exhibit a “hula hoop” effect to the threads, moving the screw up or downward depending on polarity. This can be used to push an object on a small scale very accurately.

## Robotics Applications[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-9)]

Piezoelectric motors have the benefit of being very precise at very fast frequencies. They can also operate on a very small scale allowing robots to become smaller. Piezoelectric motors have the benefit of being able to exert a large displacement with a low driving voltage. Another benefit is the minimal amount of EMI/RFI noise created.

They can be wired in such a way to be senors as well. They can be used to determine the number of rotations, or if there is a force being exerted against a surface.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-10)]

  1. **[^](Print_version.html#ref_EE_Handbook)** CRC and IEEE Press. The Electrical Engineering Handbook, 2nd Ed. Ed. Richard C. Dorf. CRC Press, 1997. Pg 1280.
  2. **[^](Print_version.html#ref_elecman)** [“Piezoelectric Actuator.”](http://www.electronics-manufacturers.com/products/sensors-transducers-detectors/piezoelectric-actuator/) electronics-manufacturers.com. 21 October 2008.
  3. Stutts, Dr. Daniel. [Piezoelectric Motor Research.](http://web.mst.edu/~piezo/) 21 October 2008.
  4. Cook, Gordon. ["An Introduction to Piezoelectric Motors."](http://www.sensorsmag.com/articles/1201/33/main.shtml) Sensors. 01 December 2001. 21 October 2008.
  5. **[^](Print_version.html#ref_squiggle)** ["Squiggle Motors."](http://www.newscaletech.com/squiggle_overview.html) New Scale Technologies. 21 October 2008.

## External Links[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Piezoelectric_Actuators&action=edit&section=T-11)]

  * [Piezo Motor/Actuator Kit](http://www.piezo.com/prodproto1MAkit.html)
  * [Piezo Linear Motor in Space Application](http://lisa6.gsfc.nasa.gov/conf/lisa6/posters/Poster_Biserni.pdf)
  * [White Papers on Small Ultrasonic Piezo Motor Design](http://www.piezo-motor.net/pdf/Piezo_Motor_White-Paper_Ultrasonic_Piezoelectric_Precision_Motor.pdf)

# Pneumatics Hydraulics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=25)]

Pneumatic and hydraulic systems are actuators which provide linear movement. Hydraulic systems, especially, can produce extremely high forces.

## Pneumatic systems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Pneumatics_Hydraulics&action=edit&section=T-1)]

The Pneumatic Actuator is sometimes called a Pneumatic Ram. The basic Pnuematic Ram consists of 3 main parts. These 3 parts are the _Cylinder_, _Piston_ and _Rod_.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/5/56/Cylinder.jpg/400px-Cylinder.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dual acting cylinder extending.

The _Cylinder_, which is black in the diagram, is where the process takes place. Most of the cylinders in use for hobby robotics are constructed of stainless steel and depending on the type of ram it will either feature one or two ports for compressed air.

The _Piston_, marked in green, is similar to one that you would find in a car engine. It essentially provides a surface for the compressed gas to act upon.

The _Ram_ , marked in blue, is connected to the piston and transfers the force from the piston to the mechanism that needs moving.

There are several different types of cylinders:

  * Single acting cylinder: This cylinder has one input and has a spring. If the pressure is released from the cylinder the spring pushes the piston rod back to its starting position.
  * Double acting cylinder. This type of cylinder is moved by pressurizing one side at a time of the piston. (see images below).

### Applications[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Pneumatics_Hydraulics&action=edit&section=T-2)]

Pneumatics are useful for generating linear motion.

  * Movement of a lever in a walker robot design.
  * Closing a gripper

### Design Considerations[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Pneumatics_Hydraulics&action=edit&section=T-3)]

The use of Pnuematics requires a supply of compressed gas. For a stationary robot on a production line a compressor could be set up nearby to supply it however this isn't possible for a robot that is on the move. The solution is to have a container that holds compressed air. If lots of compressed air is required the addition of a compressor into the design may be required however bear in mind that a compressor will consume a large amount of power.

### Calculating Output Force[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Pneumatics_Hydraulics&action=edit&section=T-4)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/0/0b/Cylinder_extending.jpg/300px-Cylinder_extending.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dual acting cylinder extending.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/c/c0/Cylinder_contracting.jpg/300px-Cylinder_contracting.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dual acting cylinder contracting.

The force a cylinder can be expressed as

    ![ F = \\ {p A_{Piston}}\\,\\!](../../../upload.wikimedia.org/math/9/c/a/9ca7dd0f564028897538aa87e8d8c5d3.png)

  * _F_: Force in Newtons
  * _p_: Air pressure in cylinder in Pascals. Pressure can be obtained through use of a Pressure Gauge in the air circuit before the Ram.
  * _A_: Surface area of the piston in square meters.[[23]](Print_version.html#endnote_Sam1) This can be obtained from the manufacturers specifications.

#### Notes[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Actuation_Devices/Pneumatics_Hydraulics&action=edit&section=T-5)]

  1. **[^](Print_version.html#ref_Sam1)** Note: the surface area of the rod side of the piston is smaller than the other side.

# Miniature internal combustion engines[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=26)]

These are the small internal combustion engines used in model cars and planes.

# Grippers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=27)]

A 'gripper' is a component of the robot used to manipulate an object loose from the robot itself. This can be a ball it needs to pick up, or the dirty socks it was programmed to find and dispose of. Grippers exist in many varieties ranging from simple; a thong-like design to complex arms.

How complex your robot's gripper has to be depends on what it's supposed to do with it. Picking up a ball requires a different approach than picking up socks.

## Kind of grippers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-1)]

Grippers are commonly modeled after tools, machines or the human hand. The choice behind a gripper doesn't differ much from the choice of the tool on a excavating machine, forklift, crane or other machine.

## Scoops[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-2)]

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/f/f0/Scoop.png/120px-Scoop.png)

Flat Scoop

  * ![](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7f/Raised_scoop.png/120px-Raised_scoop.png)

Raised Scoop

Scoops are very simple 'grippers'. These can be flat, flat with raised edges or more complicated shapes. These 'grippers' are easily to control as they can be build with minimal moving parts: being able to move up and down is sufficient for many purposes. Forward Tilting is common too and may be necessary to 'unload' the scoop.

## Tongs[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-3)]

Tongs are more complicated than scoops but allow better control over what is picked up. For example: with a scoop it's very hard to pick up a glass and put it down somewhere else. With a tong-like gripper this is trivial. Otherwise is it much harder to move a ball with a tong than with a scoop.

Tongs differ in the number of fingers and their shape. Most tongs have 2 fingers, one of those could be fixed.

## 'Hands'[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-4)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c8/CACM-film81jpg.jpg/220px-CACM-film81jpg.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Robot Gripper

Many designs for robot hands have been tried including quite anthropomorphic hands.

Robotics has also led to a renewed interest in the 'design' of the human hand. The asymmetry of the human hand and in particular the fact that a rod like object gripped in the hand naturally falls at about ![45^\\circ](../../../upload.wikimedia.org/math/1/3/c/13c920f44f5701c0a15b69f4b8b1fc2d.png) to the axis of the hand givews much greater flexibility in tool use than a symmetrical design would.[[1]](Print_version.html#cite_note-2)

## Degrees of Freedom[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-5)]

Grippers also differ in their degree of freedom. Basicly there are 6 degrees of freedom: 3 translations and 3 rotations. See [Theoretical Mechanics](http://en.wikibooks.org/wiki/Theoretical_Mechanics) about these degrees of freedom.

But generally, unless you're building an arm, you wouldn't need all 6 degrees of freedom (DOF). You get one DOF for free on a mobile robot: it can already move forwards and backwards on its own. Although adding gripper movement along this direction will increase your robot's accuracy, it's not really necessary.

How many DOF you need depends on how complicated the movement of your robot has to be. If it only needs to pick up a glass and move towards a goal and put it down again, it would be sufficient to make a gripper that can tilt back (towards the robot).

If you intend that your robot will have to be able to pick up Lego blocks and build a structure with them, you'll need more DOF.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Grippers&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-2) (in en) _The Physiology of the Joints, Volume One_ (Fifth ed.). Church Livingstone. pp. 278\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-443-02504-5](http://en.wikibooks.org/wiki/Special:BookSources/0-443-02504-5). "..the tool can only be properly oriented for use when the handle runs obliquely with the axis of pronation-supination" 

# Audio[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=28)]

The audio components of a robot are those parts that allow it to make sounds, either for entertainment purposes or to convey information.

This can be done through simple sound chips: cheap integrated circuits which allow certain sounds to be played with very few external components. These are commonly used in toys.

Other means are memory chips storing samples, a DAC and an amplifier, an MP3 player or voice synthesiser software on a portable PC.

## The Theoretical Edge[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-1)]

Generating simple sounds is easy. All you need is an oscillator in the range 20 to 20.000Hz, an amplifier and a speaker. Such a circuit can generate any tone that a human can hear. By changing the frequency of the oscillator you change the emitted tone. Qbasic has a command that does just this: sound. Sound lets you specify a few parameters, with the most important being the frequency. By changing this frequency over time simple sound effects could be produced.

A better way to generate sound is sampling:

A sound wave has an intensity that varies over time. A microphone (with preamplifier) can convert this intensity to an electric signal with the same shape. An Analog to Digital Converter (ADC) can then convert this electric signal in a digital number. This is, however, not a continuous process but a discrete process, this means that every x ms the amplitude (voltage or current) of the signal is measured and converted to a digital number. This results in a digital approximation of the original signal. How good this approximation is depends on how frequently the signal is sampled. Of course more samples means more memory space is consumed and also more expensive hardware is needed. The price of an ADC depends on precision (how many bits represent the sample) and how many samples it can take per second (there are more parameters, but those are pretty much out of scope for this book).

Now you have an array of numbers. Of course now you want to turn this array back into sound. This is done with a Digital to Analog Converter (DAC). This part converts a digital value back into an electric signal. After this DAC there is a filter to smooth the wave, an amplifier and a speaker. Feed the array sample by sample to the DAC at the same rate as they were sampled and you hear the original sound back.

The advantage of this approach is it's (relative) simplicity. The disadvantage is its enormous memory consumption.

More advanced methods would be storing encoded sound (e.g. MP3). This is more tricky since it needs a decoder, yet these days integrated circuits with complete mp3 decoders exist, which makes this an interesting method to look for.

## The Different Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-2)]

_this section should cover some basic info on these circuits and ICs_

### Preamplifier[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-3)]

A preamplifier is used when a signal with very small amplitude has to be amplified. Preamplifiers are very linear (they cause very little distortion in the signal) but are very inefficient with power. They amplify a signal, coming from e.g. a microphone, which commonly has an amplitude of 1mV or less to a more useful amplitude of 100mV and up. Since they are so inefficient preamplifier circuits aren't used for power amplifiers.

### Amplifier[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-4)]

Amplifiers allow a low power signal to be outputed through a speaker with significant power. Amplifiers commonly allow some distortion of the signal in order to preserve power. (except for class A amplifiers which consume a lot of power, but have little distortion).

Amplifiers can be built with ICs, discrete components or bought as a module.

### Analog to Digital Converter ADC[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-5)]

An analog to digital converter (short: ADC) converts an analog signal to a digital value. ADCs have a certain accuracy, expressed in _bit_, e.g. 8bit, 10bit and 16bit. This means that the ADC will have a binary number with 8, 10 and respectively 16 bits. The highest value represented by this binary number correspondents to the reference voltage put on a special input of the ADC. e.g. If we have an 8bit ADC and we put on this special input 5V, then the value 255 means 5V. It's precision will be 1/255 * 5 V or 0.02V. Each time we add 1 to the binary number, the represented voltage increases by 0.02V.  
A second point about ADCs is their timing. ADCs take some time to do a conversion. The faster they are, the more accurate they digitalise the signal (or in other words the higher the frequency of a signal can be), and the more expensive they are.

### Digital to Analog Converter[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-6)]

The DAC converts a digital value into a voltage level. The work either with a reference voltage or "rail-to-rail", which means that their highest digital input value represents a voltage level (almost) equal to the DACs supply voltage. Simulare to the ADC the DAC has a certain accuracy in _bit_ and requires some time to make a conversion.

### Oscillators[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-7)]

An oscillator generates a repetitive signal. This can be of pretty much any shape you want, but most common shapes are sine, square, saw-tooth and triangle waves and many different forms of pulses.

### Dedicated sound Chips[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Audio&action=edit&section=T-8)]

There are many ICs specially designed for producing sound effects.

  * Oscillators: These output a signal with a user definable frequency. By varying the frequency you can make different sound effects.
  * Sound chips: These output particular sound effects (e.g. motor sounds). These can't be changed.
  * Sound recording and playback chips: These can record sounds for a short period of time (some can record several different samples) and can play these back afterward.

# Video[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=29)]

Video components split up in 2 categories. On one hand you have a video camera, some form of transmission (wire or radio) and a display. On the other hand you have computer vision.

## Camera, transmission, display[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-1)]

There are very small cameras, some even with built in wireless connection, which are cheap and need hardly any external components. These cameras can be mounted on a robot and let the user see through the robots "eyes".

If the robot has an on-board computer (single board or laptop) a webcam can be used. This allows robot control over a network or even the internet.

## Computer Vision[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-2)]

Computer vision is a relatively new area. It tries to provide a computer with eyes and the ability to "understand" what it sees. The first step is easy. Webcams have been around for quite some time. However the second step, understanding the image, is the hard one.

Image processing plays a substantial part in robotics where computer vision is used. There are many aspects to image processing including: demosaicing, image registration, differencing, recognition and segmentation.

## Demosaicing[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-3)]

Demosaicing is perhaps the first step in image processing as it pertains to computer vision due to the fact that this process occurs just after the image is initially captured. In general, demosaicing is an algorithm that takes the image after being processed by a color filter array (CFA), such as a Bayer filter, and reconstructs a full color image. The image shown on the left is the output from the CFA and the image on the right shows the reconstructed image using the demosaicing algorithm. The result is an overall loss in detail and sharpness leading to a loss in resolution.

## Image Registration[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-4)]

Image registration is the process used to combine multiple images into a single coordinate system. Combining images into a single coordinate system makes it easier to process the data contained in images taken at different times or from different perspectives. There are two main types of image registration based on how the images are combined into a single coordinate system. The first of which is intensity based, which uses correlation metrics to compare intensity patterns within the images to combine them. The other method is feature based, which uses points, lines and contours within the images to combine the images. Image registration has also been used in the realm of digital photography with the process of photo-stitching.

## Image Differencing[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-5)]

Image differencing is used to obtain the changes between two images and is done by comparing the images pixel by pixel. A typical application of image differencing is with a traffic camera that needs to determine where cars are located in an image. By taking an image and finding the difference between it and the frame before it, the result is an image similar to the one shown where the outlines of the vehicles are neatly shown. The problem with this method is that there is a gap between the images in where the car is located. To solve this problem, taking the difference between the current image and a stock image that was taken when no cars were present gives a much clearer image depicted where the cars are located.

## Image Recognition[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-6)]

The process of image recognition is difficult to pull off in the realm of computer vision. Nothing comes close to what a human can accomplish, but robots can do simpler tasks. Some of the simpler tasks that can be accomplished within computer vision are recognizing simple geometric shapes, human faces and fingerprints. Different aspects of the problems involved with image recognition include: object recognition, identification and detection. An implementation of image recognition is known as geometric hashing. The geometric hashing algorithm uses a model image of a particular object such as a computer mouse to see if it is located in a given image.

## Image Segmentation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Components/Video&action=edit&section=T-7)]

The process of image segmentation is used to simplify other aspects of image processing. This includes breaking an image down into smaller pieces making object detection and edge detection easier. The K-means algorithm can be used to segment the image into K clusters. The basic algorithm is shown below.

// Basic K-means algorithm

1\. Pick K cluster centers, either randomly or based on some heuristic

2\. Assign each pixel in the image to the cluster that minimizes the variance between the pixel and the cluster center

3\. Re-compute the cluster centers by averaging all of the pixels in the cluster

4\. Repeat steps 2 and 3 until convergence is attained (e.g. no pixels change clusters)

* * *

# Computer Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=30)]

# Control Architectures[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=31)]

Robots need some form of artificial intelligence in order to be able to navigate around a room or to solve a problem. Such AI can range from simple, as in following particular rules when a specific input is received, through more complicated, as in fuzzy logic rules or simple neural nets, to complicated, as in state of the art machine learning methods.

How complicated you can make your AI depends on a few factors:

  * Processing power: How fast is your microprocessor, is it 8-, 16-, or 32-Bit, How many microprocessors do you use?
  * Available memory: Both temporary and "permanent" memory. Limited amounts of memory restrict how much data can be held at a time, e.g. a map of the surroundings, sensor history, movement history. Systems with much permanent storage and little ram are slower than systems with large amounts of ram.
  * Your knowledge: AI is a very broad subject. Parts of it are very math intensive and can be tricky to understand.

# Reactive Systems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=32)]

These are the simplest and one of the earliest form of control systems for robotics. Some Toys are a common example of these systems. They have a very fast response to the sensed information. However, the drawback of reactive systems is that they have to be very simple. The reactions should be simple and quick enough for the system to work in real-time.  
These systems have negligible amount of intelligence, but a simple and well-defined behavior. This forms the basis of a Behavior controlled architecture or the [Subsumption Architecture](http://en.wikibooks.org/wiki/Robotics/Computer_Control:_Control_Architectures:_Brooks%27_Subsumption_Architecture) ( [w:Subsumption architecture](http://en.wikipedia.org/wiki/Subsumption_architecture) ). However, it's mentioned separately from the Subsumption Architecture as it can be used independently in its simplest form to make robots with low intelligence, but high real-time requirements.

# Sense-Plan-Act[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=33)]

As obvious from the term, this architecture works through a cycle of Sense, Plan and Act processes.

  * By _sensing_, it means getting the required information from the available sensors and converting it to some usable form.
  * _Planning_ refers to the use of available information from sensing phase to determine the control parameters and sequences required for various components in order to make the robot proceed towards final goal.
  * Finally, _act_ phase is simply the implementation of the processes and sequences underlined by the planning phase.  


This kind of approach is useful if the sensing process is slow and the environment is quite static. For example, on a low speed processor, [image processing](http://en.wikipedia.org/wiki/image_processing) may require lots of time to process each frame. Hence, it might not be feasible to process every frame and react to the gathered information in real-time. If we use this technique, the information will be processed at a very low frequency, providing more time for other real-time processes to run while still doing the work of planning and acting towards the goal.

# Brooks' Subsumption Architecture[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=34)]

Behavior Based Control (BBC): Acting and thinking in layers, with complex logic divided into multiple simpler logic layers.

# Hybrid Systems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=35)]

Hybrid Systems, as evident from name, are a combination of different architectures. For example, a hybrid system may make use of a [Subsumption Architecture](http://en.wikibooks.org/wiki/Robotics/Computer_Control:_Control_Architectures:_Brooks%27_Subsumption_Architecture) ( [w:Subsumption architecture](http://en.wikipedia.org/wiki/Subsumption_architecture) ) for certain dynamic requirements and a [Sense-Plan-Act](http://en.wikibooks.org/wiki/Robotics/Computer_Control:_Control_Architectures:_Sense-Plan-Act) cycle for some other requirements in a static environment.

# Swarm Robotics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=36)]

## **Overview:**[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/Control_Architectures/Swarm_Robotics&action=edit&section=T-1)]

Swarm robotics is a relatively new study in the world of autonomous robotics. Swarm optimizations however have been around for over a decade for some functions. These techniques have recently been adapted and applied to autonomous robotic applications. On the topic of swarm robotics the word swarm is defined with several variations. On first hearing the phrase “swarm robotics” many simply think of basic interactions of robots such as follow the leader or simply data relayed between robots all traveling towards a common goal. However swarm robotics has taken further advancement in complex problem solving. Robots may now be given a goal and a basic suggestion on how to meet that goal. This suggestion may not be the most efficient way to achieve the goal much less even make it to the goal. So there must be a way to improve upon or optimize that suggestion. Optimization functions are then introduced. Several techniques covered here include Ant Colony Optimization (ACO) and Particle Swarm Optimization (PSO). These optimization functions will be covered in depth in the following.

## **Basic Swarm Robotics:**[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/Control_Architectures/Swarm_Robotics&action=edit&section=T-2)]

As stated earlier basic swarm robotics includes simple functions such as follow the leader and robot-to-robot interactions such as tag. In these scenarios the robots do not actively improve upon their current goal. They simply interact with one another in basic principles to achieve a predefined goal.

### Examples:[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/Control_Architectures/Swarm_Robotics&action=edit&section=T-3)]

  * **EU Funded: [I-SWARM](http://www.i-swarm.org/)**

[300px](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=I-swarm.jpg)

Swarm robotics is seen many times on a microrobotic scale as pictured above due to a number of factors. One of the main contributing factors to size is size in itself. A robot swarm composed of large robots can be bulky, expensive, and inefficient in data gathering. Obviously size does limit onboard equipment but that is where the principle of swarm shines. All the robots combined contribute a little more detail to the situation offering a complete picture. The swarm above funded by the EU is designed to combine all electrical aspects onto a single flexible board. The swarm has no major pending goals at this time and their behaviors are modeled after biological insects.

  


  * **Rice University: [James McLurkin](http://people.csail.mit.edu/jamesm/)**

[5px‎](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Mclurkin.jpg)

James McLurkin, assistant professor at Rice University has developed his own DARPA funded swarm. His experimentation has explored physical data structures such as swarm arrangement according to ID number. Along with this he has also written a uniform dispersion algorithm. Additional swarm research includes his work on Robot Speed Ratios which is the study of message propagation versus the physical speed of the robot. This study was to uncover issues with the robots moving faster than they can physically interpret relayed messages.

  


  * **Carnegie Mellon: Magnetic Swarms**

  
Research at Carnegie Mellon has been underway with a magnetic swarm of robots. The goal of this project is to develop a swarm of robots that could magnetically shape shift without any plane limitations. This could be used on the microscopic level as a three dimensional physical modeling aid. The robots pictured above use an array of electromagnets to control interactions between adjacent robots.

  


  * **Free University of Brussels ("L'Université libre de Bruxelles")**

Several IRIDIA projects at ULB involve [Swarm Intelligence](http://code.ulb.ac.be/iridia.research.php?id=1). Some of their software and hardware designs are posted at GitHub.

# Ant Colony Optimization ([ACO](http://en.wikipedia.org/wiki/Ant_colony_optimization)):[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/Control_Architectures/Swarm_Robotics&action=edit&section=T-4)]

ACO is one of the simplest swarm optimization techniques proven to work reliably. This optimization technique was drawn directly from nature itself, showing that it was already a viable solution. The concept requires a brief understanding of how ants function in nature. Keep in mind, this definition has been tailored to our “perfect” example. In nature, ants wander at random. If an ant is to discover food it begins emitting pheromones and starts to wander back to its nest. At some point another ant discovers food and wanders back to the nest. This cycle happens many times. If an ant wandering back to the colony is to discover one of these pheromone trails it is more likely to travel it. If a fork is encountered biasing occurs via pheromone intensity. This means, ants are more likely to travel a trail with a stronger intensity of pheromones. Pheromones being volatile will evaporate over time. This means that the more ants traveling a trail the more pheromones are emitted. However if the same number of ants travel a long trail and a short trail over the same period of time the intensity of pheromones will be greater on the shorter trail. This means bias will always be placed on the shorter, more efficient trails thus naturally selecting the best solution.

This same process can be simulated in our electrical world. A proposed solution is established and the “ants” navigate to it. The initial solution is then modified to create the most efficient solution. Below is a basic depiction of ACO. As seen there are initially two trails established which happen to overlap in the middle. These two trails offer up four possible solutions to the optimized problem. Ants then randomly travel all four possibilities. The possibilities are narrowed down via the pheromones. All four solutions are traveled by the same number of ants but the shorter solutions have a greater intensity of pheromones biasing more ants towards the shorter trails thus eliminating all other solutions and converging on the best fit solution.

![Aco branches.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/af/Aco_branches.svg/400px-Aco_branches.svg.png)

# Particle Swarm Optimization ([PSO](http://en.wikipedia.org/wiki/Particle_swarm_optimization))[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/Control_Architectures/Swarm_Robotics&action=edit&section=T-5)]

PSO steps further away from stochastic functions towards an even more intelligent solution to a problem. Much of the PSO functionality is modeled after natural associations such as a flock of birds or a school of fish. In a PSO function, a generic solution is first given. Then a swarm of “particles” are initialized. They begin to attempt to make it to their goal. As they move towards their goal, they monitor certain other particles within a user-defined range of their own location. The particles around them contribute to a local best (lbest). This is the most fit solution discovered so far. Each particle also monitors its personal best (pbest) along with the global best (gbest) so far. Keep in mind that in some simulations lbest=gbest and the particles around each other do not have a local effect on each other. The particles are then biased towards a compilation of the lbest and pbest along with gbest. Their new velocity vector also includes a random scaling factor to prevent too early of a convergence on an inefficient solution. An equation is provided below to provide basic understanding of a swarm monitoring their pbest and gbest.
    
    
    **General PSO Equation**
    
    **![v\[\] = v\[\] + c1 * rand\(\) * \(pbest\[\] - present\[\]\) + c2 * rand\(\) * \(gbest\[\] - present\[\]\) \(a\)
    present\[\] = persent\[\] + v\[\] \(b\)](../../../upload.wikimedia.org/math/6/d/8/6d8f318082d93a9b74fa841915127276.png)**
    

  
This equation also provides learning factors which in this case are scaled to “2”. From this equation we can see that the new velocity is equal to the scaled value of the sum of the difference of pbest-present and gbest-present. As it can be seen this optimization techniques offers a highly accurate convergence on the best fit solution to the problem.

  
[450px](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Particleswarm.jpg)

  * Provided above is a link to a java applet developed to help understand the operation of PSO. The animation applet can be found [here](http://www.projectcomputing.com/resources/psovis/index.html).

# The Interface[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=37)]

This chapter covers the hardware and its interface used to control the robot.

  1. [Computers](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Computers&action=edit&redlink=1)
  2. [Single Board Computers and multichip modules/](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/SBC_and_multichip_modules&action=edit&redlink=1)
  3. [Microcontrollers](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Microcontrollers&action=edit&redlink=1)
  4. [Remote Control](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Remote_Control&action=edit&redlink=1)
  5. [Networks](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Networks&action=edit&redlink=1)

# Personal Computers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=38)]

Personal computers (PC) have a large number of ports to which you could add you own hardware to control your robot. Some of these are very easy to use, while others are nearly impossible without special (expensive) ICs. Not all of these interfaces are available on all computers. This section gives an overview of some of the best known ports on a PC. These ports and their uses are well document all over the internet.

## External Ports[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-1)]

These are all the ports that are available on the outside of a PC. Most computer users are familiar with them (or at least know them by name and looks).

### Serial Port[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-2)]

The serial port is one of the two easiest to use ports on a PC. This port consist of 2 wires to transfer your data (one for each direction) and a number of signal wires. This port is reasonably sturdy, and if you know some digital electronics or use a microcontroller, is pretty easy to use too. It is limited on speed and can only connect two devices directly. By using special ICs you can connect the serial port to a [RS-485 network](http://en.wikibooks.org/wiki/Serial_Programming/RS-485) and connect it to multiple devices.

  * [Serial Programming/RS-232](http://en.wikibooks.org/wiki/Serial_Programming/RS-232)
  * [This site](http://www.beyondlogic.org/) contains a lot information on serial ports (among others).

### Parallel Port[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-3)]

The parallel port is the second of the easiest to use ports on a PC. This port uses 8 lines to transfer data and has several signal lines. Modern parallel ports can send and receive data. This port is easier to use, but less sturdy than the serial port. Since it operates on TTL voltage levels (0 and 5V) it can connect directly to microcontrollers and TTL logic.

[This page](http://www.beyondlogic.org/) covers parallel ports and the differend modes of operation.

### USB[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-4)]

USB is the successor of the serial port. It's faster and allows connecting devices without turning off the PC. Some modern microcontrollers have built in USB support.

  * [Everything](http://www.beyondlogic.org/) you'd need to know about USB.
  * [Serial Programming:USB Technical Manual](http://en.wikibooks.org/wiki/Serial_Programming:USB_Technical_Manual)
  * [Embedded_Systems/Particular_Microprocessors#USB_interface](http://en.wikibooks.org/wiki/Embedded_Systems/Particular_Microprocessors#USB_interface)

### IEEE 1394: Firewire, i.link, Lynx[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-5)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[FireWire](http://en.wikipedia.org/wiki/FireWire)**_

IEEE 1394 also known as FireWire, i.link or lynx is a (much) faster port, similar to the USB port. It reaches speeds up to 400Mbit/s.

  * [The Connector](http://www.hardwarebook.net/connector/bus/ieee1394.html)
  * [Article](http://www.commsdesign.com/main/multsupp/0002/0002fire.htm) about IEEE 1394.
  * [Linux FireWire wiki](http://wiki.linux1394.org/)

### Keyboard Connector[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-6)]

Keyboards use TTL level signals to transfer button presses and releases to the PC. A keyboard sends a code when a button is pressed and sends another one when the button is released. This port could be used for some purposes.

See [this site](http://www.beyondlogic.org/) for a in depth explanation and example of how to interface the keyboard. (menu: miscellaneous -> interfacing the AT keyboard) Covers both how to replace the keyboard as how to use the keyboard for other purposes.

### Ethernet[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-7)]

Ethernet can be used to connect other devices to a PC. Complete webserver-on-a-chip are available these days, and an ethernet network can be a way to connect multiple devices in a robot (and even hook it up to the internet and let people control the robot from all over the world).

## Internal Ports[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-8)]

These are the connectors inside the PC, generally these are used with special PCBs (called cards). Although harder to use, they offer great speed.

### ISA[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-9)]

ISA was the (8-, later 16-bit) bus where you plugged your video, sound, IDE and network card in the old days. You'll find these on PC up to (some) early Pentium II (the latter usualy has only 1 E-ISA socket, if any). This bus is pretty easy to use for your own projects and well documented on the internet.

[ISA bus connector](http://www.hardwarebook.net/connector/bus/isa.html) [More indepth explaination of the ISA bus](http://www.hardwarebook.net/connector/bus/isa_tech.html)

### PCI[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-10)]

PCI is the successor of the ISA bus. It's a faster 32bit bus. Since it support plug and play, a PCI device needs a few registers which identify the component and manufacturer. [This page](http://www.techfest.com/hardware/bus/pci.htm) covers most of the basics of the PCI bus.

### AGP[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-11)]

The Accelerated Graphics Port is aimed at 3D graphic cards. It's a fast bus, but optimized for graphics.

### PCI Express[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-12)]

PCI Express replaces both PCI and AGP. It's quite different from all the other busses, as it uses serial communication, rather than parallel. Its speed depend on the number of "lanes" (serial connections) used PCI Express support 1, 2, 4, 8 and 16 lanes.

## Wireless[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-13)]

These are "ports" too as they can be used to connect other devices to the PC.

### IRDA[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-14)]

IRDA is an infrared communication port. Modern versions reach speeds up to 4Mbits/s. IRDA may be a good alternative to wires for table top robots. Since it's an Infrared port it needs a line of sight to work reliable and its range is limited to 1m. Note that this port works at a much higher speed than remote controls and therefor standard remote control repeaters may not work reliable for IRDA.

[This](http://www.hw.cz/english/docs/irda/irda.html) site covers the basics of IRDA.  
[Here](http://www.hardwarebook.net/connector/pc/mbirda.html) is a pinout of the mainboard IRDA connector.

### WiFi / WLAN / 802.11 / Wireless Ethernet[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-15)]

All the names in the headline are synonyms for the same technology. WLANs are commonly used in PCs (especially laptops) as data networks. The bandwidth available is in the order of several megabits per second or more, far more than normally is necessary in any robotics project. A WLAN typically reaches about 100m, but with special directional antennas far more is possible (in a specific direction).

A WLAN is the obvious choice if your robot has an inbuilt PC or perhaps even PDA for control. Also, when you have ethernet connectivity in your controller (reasonably low cost but not a standard feature except in certain kits), there are low cost (~€50) WLAN bridges available, such as the D-Link DWL-810+ and DWL-G810.

If you only have a serial port available, a _wireless device server_ could be used. The cost of one of them is, however, over €100.

### Bluetooth[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-16)]

Bluetooth is a low bandwidth protocol most commonly found in cellular phones. It is increasingly being deployed in laptops, and there are separate USB "sticks" available as well. Bluetooth can be used for making a serial connection wireless - there are Bluetooth serial ports available on the market, which can be used as converters. Total bandwidth in the system is about a megabit per second, with range up to about ten meters (standard Bluetooth, 2.5 mW), or about hundred meters (industrial Bluetooth, 100 mW). There are limitations on scaling with Bluetooth - it is mostly deployed in 1:1 links even though the standard includes networks with up to 8 active nodes (and even more passive ones). This means that if you plan on building large amounts of robots with a common communication network, Bluetooth might be less well suited.

  * [Bluetooth resources](http://www.telecomspace.com/wirelessnw-bluetooth.html)

### ZigBee[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-17)]

ZigBee is a protocol stack based on the 802.15.4 wireless network communication standard. It is low-cost, low-power and all-in-all perfectly suited for low-bandwidth communication needs. The bandwidth is on the order of tens to hundreds kilobits per second, and the range is up to about a kilometer, depending on equipment.

Interesting solutions are [XBee from Maxstream](http://www.maxstream.net/products/), which basically provide a wireless serial link. There also is a list of other vendors at [w:ZigBee](http://en.wikipedia.org/wiki/ZigBee).

### UWB[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-18)]

### Wireless USB[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-19)]

### Cellular networks[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-20)]

A possibility is to use standard cellular networks (mobile phones). It is only a viable solution for large-scale geostationary outdoor applications with low communication needs though, because of cost, latency and bandwidth limitations.

### Radio modems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-21)]

Radio modems are normally older proprietary solutions for wireless linking of serial ports. Proprietary solutions probably shouldn't be considered for new designs.

  


## Using a PC or laptop in a robot[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Computers&action=edit&section=T-22)]

PCs have the benefit of abundance of memory, program space and processing power. Additionally they provide the best debug I/O (screen, keyboard and mouse) you could wish for. But they do have a few flaws that limit their usefulness in a mobile robot.

  * First of all their size. Even the smallest PC, a laptop, is quite bulky and forces you to use a rather large frame.
  * Secondly, except for a laptop, power consumption is large and provide AC-power on a mobile unit is bulky as you need heavy batteries and an inverter.
  * Lastly Pcs are lousy when it comes to getting a reliable accurate timing from the outside world.

The first two points basically shape most of your robot's frame and other than using a different controller not much you can do about it. Picking the best hardware you can find is pretty much all that can make these points a little less troublesome.

The last point is quite easy to get around. Most PCs have a serial port. Most microcontrollers have a serial port as well. Use a level converter to connect the TTL level serial port of the microcontroller with the RS232 level computer serial port and use a little program that handles the accurate timing in the microcontroller and transfers this information to the computer through the serial connection. This is a very powerful setup that combines the strengths of both the PC and the microcontroller.

See [this site](http://www.tronisoft.com/cat_rs232ioboard.php) for example interfacing hardware for the serial port. Covers an I/O module and RS232 to TTL level converter for use with robotics or microcontroller based projects.

Some microcontrollers provide USB or Ethernet ports, which can be used in pretty much the same way, although the software would be a bit harder to implement.

# SBC and multichip modules[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=39)]

## SBC: Single Board Computers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/SBC_and_multichip_modules&action=edit&section=T-1)]

Single Board Computers are a complete computer on a single printed circuit board. These usually require only a single power supply. SBCs commonly provide all standard PC I/O support like keyboard, mouse, SVGA, serial and parallel ports, ethernet, IDE, SCSI and USB. Some provide a PCMCIA connector. Late model SBCs are also replete with multiple CPU/Pentium 4/Xeon/AMD configurations.

SBC are commonly used in the industry in process control. Although they are quite expensive and hard to find (in retail), they can be a great way to control a larger robot. For small robots their power consumption would be a problem.

### Stacking modular connector boards[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/SBC_and_multichip_modules&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1d/Information_icon4.svg/40px-Information_icon4.svg.png)

_Consider splitting this section out into a separate page, perhaps [Robotics/modular connectors](http://en.wikibooks.org/w/index.php?title=Robotics/modular_connectors&action=edit&redlink=1)_

![Split-arrows.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Split-arrows.svg/40px-Split-arrows.svg.png)

**A Wikibookian believes this page should be split into smaller pages with a narrower subtopic.**  


You can help by splitting this big page into smaller ones. Please make sure to follow the [naming policy](http://en.wikibooks.org/wiki/Wikibooks:NP). Dividing books into smaller sections can provide more focus and allow each one to do one thing well, which benefits everyone.  


You can ask for help in dividing this book in the [assistance reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Assistance).

Many robots include a "stack" of boards, typically with a [processor on one board](http://en.wikibooks.org/wiki/Robotics/Computer_Control/The_Interface/SBC_and_multichip_modules), H bridge motor driver on another board, and a wireless communication on another board.

Many people prefer to build rapid prototypes out of many single-purpose boards that can be disassembled and re-used for the next prototype, rather than making a single big specialized PCB prototype that is used once for testing and then thrown away. There are many standards for such electronic pieces.[[1]](Print_version.html#cite_note-3)

  * [w:PC/104](http://en.wikipedia.org/wiki/PC/104)
  * ["PlugaPodS"](http://www.newmicros.com/)
  * [gumstix](http://docwiki.gumstix.org/Roboaudiostix) and [gumstix packs](http://docwiki.gumstix.org/index.php/Packs_and_boards_setup) and more [gumstix packs](https://www.gumstix.com/store/packs.php)
  * Stackable USB (USB is smaller and faster than the ISA bus used in the original PC/104)
  * [Virtual Cogs](http://virtualcogs.com/) uses a stacking connector. [Virtual Cogs wiki](http://virtualcogs.com/wiki/).
  * _( Modular interface extension (MIX) stacking and communications interface )_
  * ["pass-through 40-Pin OOPic expansion connectors"](http://www.oopic.com/protop1.htm)
  * R-Dev-Ino is a Robotic Development Arduino compatible board, easily stackable.[[24]](http://www.seeedstudio.com/wiki/index.php?title=R-Dev-Ino)
  * the JeeNode Arduino-compatible board and JeeLabs modules that plug into it: [a](http://jeelabs.org/2011/01/29/new-ook-and-dcf-relay/) [b](http://jeelabs.org/2010/08/25/sideways/) [c](http://jeelabs.org/2010/11/20/indoor-temperature-etc/) [d](http://jeelabs.org/2011/05/04/meet-the-jeenode-smd/)
  * [The Tower System](http://freescale.com/tower)
  * [Bug Labs](http://news.cnet.com/8301-17939_109-9809763-2.html)
  * [Xadow](http://www.seeedstudio.com/wiki/Xadow)
  * The Grove system:[[2]](Print_version.html#cite_note-4)[[3]](Print_version.html#cite_note-5)[[4]](Print_version.html#cite_note-6) "Cluster mode"[[5]](Print_version.html#cite_note-7) and "Jigsaw mode"[[6]](Print_version.html#cite_note-8)
  * Microsoft .NET Gadgeteer[[7]](Print_version.html#cite_note-9)[[8]](Print_version.html#cite_note-10)[[9]](Print_version.html#cite_note-11)
  * DaisyLink interface
  * gobus ports

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a7/TinyDuinoThumbnail.jpg/150px-TinyDuinoThumbnail.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

TinyDuino uses stacking connectors

  * TinyDuino stacking connector
  * Wouter van Ooijen's Dwarf Boards have 10 pin shrouded header connected by IDC ribbon cable connectors (GND, +5V, and 8 GPIO pins).
  * ["Stacking Arduino Shields"](http://www.freetronics.com/pages/stacking-arduino-shields) (compatibility between shields can be a little tricky)
  * ...
  * ... _(Add to me)_

_(If I think the stacking idea is good, but my robot is too small for PC/104, do you have any tips for picking an appropriate stacking connector, and arranging which electrical signal/power goes where?)_

The "stackable headers"[[10]](Print_version.html#cite_note-12) are one way to stack boards together. What other options do we have for stacking connectors?

## Multichip Module Boards[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/SBC_and_multichip_modules&action=edit&section=T-3)]

    _Is there a better name for this sort of thing? See [Talk:Robotics#terminology](http://en.wikibooks.org/wiki/Talk:Robotics#terminology)._

Multichip Module boards are lighter versions of the SBC. These boards provide less I/O abilities than a full fledged SBC, but are considerably less expensive. For example the Acme [Foxboard](http://www.acmesystems.it/index.php/Welcome_to_the_Acme_Systems_home_page) provides a 100Mips processor with 16MB RAM and 4MB Flash running Linux. This board has IDE, SCSI, USB, Ethernet, I2C and more on a surface of aprox. 6x7cm. It consumes about 280mA and costs around €170. While this particular board is designed for embedded internet-enabled applications, it's a great board for controlling your robot. Another alternative is to use a Linksys router and install OpenWRT on it. You can usually pick these up for around $50. If you spend some time shopping around you may find similar boards that are better or cheaper.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/SBC_and_multichip_modules&action=edit&section=T-4)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[single-board computer](http://en.wikipedia.org/wiki/single-board_computer)**_

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

  * [linuxstamp board](http://opencircuits.com/Linuxstamp) runs Linux -- open hardware
  * [ARMUS Embedded Linux Board](http://opencircuits.com/ARMUS_Embedded_Linux_Board) \-- open hardware
  * [The Balloon Project](http://balloonboard.org/) designs boards that can run Linux -- open hardware
  * ["Teeny weeny Linux SBCs"](http://web.archive.org/web/20060318191955/www.linuxdevices.com/articles/AT8498487406.html)
  * [""Linux computer fits in USB key""](http://archive.is/rG00q). Archived from [the original](http://www.linuxdevices.com/news/NS6730529835.html) on 2013-01-28. <http://archive.is/rG00q>. 
  * TINI, the Tiny INternet Interface: [TINI reference design](http://www.maxim-ic.com/products/tini/chipsetrefdesign.cfm) [TINI board webring](http://e.webring.com/hub?ring=tiniring) ["Unofficial TINI Information Site"](http://www.rawbw.com/~davidm/tini/)
  * [small motherboards that run Linux](http://opencircuits.com/Projects#Motherboards_that_Run_Linux)

# Microcontrollers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=40)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Merge-arrow.svg/50px-Merge-arrow.svg.png)

**A Wikibookian suggests that this book or chapter be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) into _[Microcontroller](http://en.wikibooks.org/wiki/Microcontroller)_.**  
Please discuss whether or not this merge should happen on the [discussion page](http://en.wikibooks.org/wiki/Talk:Microcontroller).

  
Microcontrollers are the core of many robots. They have considerable processing power packed on to one chip, allowing lots of freedom for programmers. Microcontrollers are [low level](http://en.wikipedia.org/wiki/Low-level_programming_language) devices and it is common to program them using an [assembly language](http://en.wikipedia.org/wiki/Assembly_language), this provides a great deal of control over the hardware connected to the controller. Many manufacturers also provide [high-level language](http://en.wikipedia.org/wiki/High-level_programming_language) [compilers](http://en.wikipedia.org/wiki/Compiler) for their chips, including [BASIC](http://en.wikipedia.org/wiki/BASIC_programming_language) and [C](http://en.wikipedia.org/wiki/C_programming_language).

What's the difference between a _[microcontroller](http://en.wikipedia.org/wiki/microcontroller)_, _[microprocessor](http://en.wikipedia.org/wiki/microprocessor)_, and a _[CPU](http://en.wikipedia.org/wiki/CPU)_ ? The CPU is the part which actually executes the instructions (add, subtract, shift, fetch, etc.).

A _microprocessor_ is any [CPU](http://en.wikipedia.org/wiki/CPU) on a single chip.

A _microcontroller_ is a kind of microprocessor, because it includes a CPU, but it typically also contains all of the following components on the same single chip:

  * (discrete) inputs
  * (discrete) outputs
  * [ROM](http://en.wikipedia.org/wiki/Read_only_memory) for the program
  * [RAM](http://en.wikipedia.org/wiki/Random_access_memory) for temporary data
  * [EEPROM](http://en.wikipedia.org/wiki/EEPROM) for non-volatile data
  * counter/timer
  * clock

Some microcontrollers even include on board Analog-to-Digital converters (ADCs). This allows analog sensors to be directly connected to the microcontroller.

With this capability, microcontrollers are quite convenient pieces of silicon.

The outputs of a microcontroller can be used to drive many things, common examples include [LEDs](http://en.wikipedia.org/wiki/LED) and [transistors](http://en.wikipedia.org/wiki/Transistor). The outputs on a microcontroller are generally low power. Transistors are used to switch higher power devices (such as motors) on and off.

* * *

All CPUs are useless without software.

Most software for a PC is stored on the hard drive. But when you first turn one on, it starts executing the software in the boot ROM. If you wanted to change that software, you would have to pull out the ROM chip, program a new ROM chip (in a "chip programmer"), and then plug the new chip into the PC.

Most robots don't have a hard drive -- **all** their software is stored in ROM. So changing that software is exactly like changing the boot code of a PC. (If your robot has an external ROM chip, then that is the one that is pulled and replaced. If your robot uses a microcontroller with internal ROM, then the microcontroller is pulled and replaced).

Many recent PC motherboards and microcontrollers use [Flash](http://en.wikipedia.org/wiki/flash_memory) instead of ROM. That allows people to change the program without pulling out or putting in any chips. They can be rewritten with new data, like a memory chip, but permanently, and only a certain number of times (10,000 to 100,000 erase/write cycles).

* * *

Here are a few pages about specific µcontrollers:

  * [8051](http://en.wikibooks.org/wiki/Embedded_Systems/8051_Microcontroller)
  * [Atmel AVR](http://en.wikibooks.org/wiki/Embedded_Systems/Atmel_AVR)
  * Microchip [PIC](http://en.wikibooks.org/wiki/Embedded_Systems/PIC_Microcontroller)
  * [Embedded Systems/ARM Microprocessors](http://en.wikibooks.org/wiki/Embedded_Systems/ARM_Microprocessors)

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Microcontrollers&action=edit&section=T-1)]

  * [Embedded Systems/Particular Microprocessors](http://en.wikibooks.org/wiki/Embedded_Systems/Particular_Microprocessors) describes some of the more popular microcontrollers.

# Remote Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=41)]

Remote control is about controlling a robot (or any other electronic device) from a distance, either with or without a wire. Remote control methods can be split into two categories: wireless and wired.

## Wired Remote Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-1)]

Wired remote control or tethered control can be the right way to interface a computer with a stationary robot. For mobile robots the cable can become a burden for the robot.

### Issues With Wired Remote Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-2)]

#### Limited Range[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-3)]

  * Electric signals transferred over a wire lose energy because of the wires resistance. The result is that the amplitude of the signal decreases as distance increases.
  * Reflections can be a problem when the data rate is high. This means a previous signal doesn't disappear before the next is transmitted. This is why transmission lines are "terminated" with a resistor to ground.
  * Interference is caused by the magnetic fields of other conductors or capacitive coupling of high speed signals in other conductors. Shielding cables reduces interference, as does using differential signals (instead of using amplitude relative to ground to transmit '1's and '0's, using amplitude between 2 signal wires) through a twisted pair of conductors.

#### Mechanical Issues With Cables[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-4)]

  * Cables have fixed number of wires in them, if you need more, you'll have to replace the whole cable, which can be very time consuming.
  * Cables have a certain stiffness. The thicker the cable the more force you need to apply to bend the cable.
  * Cables have a weight. This can make it hard for smaller robots to drag it around.
  * They can get in the way of the robot.

### Methods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-5)]

Many of the mechanical issues of cables can be reduced by using thin cables with as few conductors as possible. Ideally such a cable would have only 3 or 4 conductors: Ground, power and one or 2 signal wires. See [Networks](http://en.wikibooks.org/wiki/Robotics:_Computer_Control:_The_Interface:_Networks) for sending multiple signals through as few wires as possible.

### Advantages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-6)]

By using a cable you get around the problem of heavy batteries. The robot can be powered by an AC-outlet. Another benefit of a tether is the ability to easily use a PC to control the robot.

## Wireless Remote Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-7)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Merge-arrows.svg/50px-Merge-arrows.svg.png)

**A Wikibookian suggests that this book or chapter be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) with _[Robotics/Communication Sensors](http://en.wikibooks.org/wiki/Robotics/Communication_Sensors)_.**  
Please discuss whether or not this merger should happen on the [discussion page](http://en.wikibooks.org/w/index.php?title=Talk:Robotics/Communication_Sensors&action=edit&redlink=1).

### IR[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-8)]

IR remote control is the best known form of wireless remote control. It's cheap and reliable, but limited to line-of-sight communication. Complete IR-receiver modules, like the TSOP1736, are available cheaply and can be interfaced with most controllers without much extra components. TV remote controls using RC5 (Phillips) can be used with such modules. If you want a faster data link, IRDA components could boost it significantly. Bluetooth and Wifi have replaced it on modern laptops, but IRDA components are still available.

### RF[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-9)]

RF is widely known in model race cars, Wifi, and various other applications. These days complete RF transmitter/receiver modules are available at reasonable low prices. These modules are very easy to use and have ranges of around 100m depending on their environment. RF remote controls for high end model race cars have larger range but are much more expensive and limited in their use.  
While it is definitely possible to build RF transmitters from scratch, this is not advisable. Radio frequencies are strictly governed and building a transmitter that uses the wrong frequency quickly leads to a fine or worse. Know what you're allowed to do, before building one of these. It is possible to use a wireless telephone to provide an RF connection to your robot. The major restriction being data rates limited to 9.6kbaud or so.

### Speech Recognition[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-10)]

In essence speech recognition is a form of remote control. Probably one of the hardest forms of remote control, but also one of the most impressive ones. Although today there are modules that contain a full speech recognition system capable of learning a dozen commands, those systems are still very limited as they can't handle sentences (just commands), need to be trained before they are useful and usually can only be used by one person.

### Sound[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-11)]

Sound can also be used as remote control, generating a tone of a particular frequency isn't hard, building a receiver to detect this tone isn't too difficult either. Sounds like whistling and clapping hands have been used for remote control before (e.g. the keyring which makes a sound when you whistle).

## Network control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&section=T-12)]

A further step would be to do the control over a network, from another device. This could be a wired network, like RS-232, RS-485 or Ethernet, or a wireless one, as WLAN, Bluetooth or ZigBee.

# Networks[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=42)]

Sometimes a single µcontroller isn't sufficient to control your robot. Then you'll be needing a way to connect all those µcontrollers, preferably without sacrificing too many pins or expensive ICs. Of course this problem has been solved a long time ago and there are quite a number of different standards each having their own advantages and disadvantages.

## Standards[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-1)]

There are many different standards on connecting 2 or more µcontrollers (or computers), but here are the most used standards:

_(See [Serial communications bookshelf](http://en.wikibooks.org/wiki/Serial_communications_bookshelf) for more detailed information about serial communication standards)_

### I²C[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-2)]

Inter-Integrated-Circuit-bus or Two-wire serial bus: Used to connect ICs on a single board. The bus has one clock and one data line. Both the clock and data line are pulled high and device only drives the lines low. There are plenty of ICs available with build-in I²C interface including many of the modern µcontrollers.

µcontrollers with build in I²C support:

  * ATMEGA8
  * ATMEGA16
  * ATMEGA32
  * ATMEGA64
  * ATMEGA128
  * ATMEGA8535

Some I²C ICs:

  * MAX5380/5381/5382: 8Bit DAC
  * PCF8574: 8bit I/O-expander for I²C-bus
  * LM75: digital temperature sensor

The I²C protocol can also be performed in software and is usually referred to as bit-banged I²C.

See:[Philips Semiconductors](http://www.semiconductors.philips.com/markets/mms/protocols/i2c/)

### RS232[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-3)]

Recommended Standard 232: Better known as the serial port on a PC. Used to connect two devices.

See: [Further down the page](http://www.beyondlogic.org/)

### RS422[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-4)]

Recommended Standard 422: industrial version of RS232. Much better than RS-232 at resisting interference.

See: [RS422 tutorial](http://www.arcelect.com/rs422.htm)

### RS485[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-5)]

Recommended Standard 485: Better version of RS422: allows more than 2 devices to be connected together. (usually up to 32 devices)

RS232 <-> RS485 converters:

  * LTC485CN8: DIL8
  * SN75LBC176D: SOIC8

See: [RS485 tutorial](http://www.arcelect.com/RS485_info_Tutorial.htm)

### CAN[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-6)]

Acronym stands for "Controller Area Network." More complicated network. Used in automotive and domotica. Originally developed by Bosch in Germany. Limited to 1 Mbps in theory; with required overhead, protocol is slower than 1 Mbps. Data is delivered in packets of 8 bytes. CAN is frequently referred to as CANbus.

See: [Philips Semiconductors](http://www.semiconductors.philips.com/markets/mms/protocols/can/)

### 1wire[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-7)]

This bus uses 1 wire to supply power and communication to a IC. Used for temperature sensors and other low-power ICs. Despite the name, a second wire, ground, is used to complete the circuit. Data is sent to the IC by switching the wire between high and low. A built-in capacitor provides the IC with power during the low parts of the signal. This bus is intended for low-power devices, like temperature sensors.

See: [Maxim-IC](http://www.maxim-ic.com/appnotes.cfm/appnote_number/1796)

### SPI[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Computer_Control/The_Interface/Networks&action=edit&section=T-8)]

This is a 4-wire full duplex bus. The bus has a clock, transmit, receive, and select line. One device controls communication on the bus. When connecting multiple devices, each device is connected to the master with a separate select line and the master selects only one device at a time.

* * *

# Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=43)]

# Environment sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=44)]

Environment sensors are sensors that detect and interpret things in the outside world (such as obstacles, sounds, and signs) or about the outside world (such as temperature, pressure, and viscosity).

Some of the more common kinds of environment sensors are discussed here.

## Object Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Environment_Sensors&action=edit&section=T-1)]

There are several sensors that are designed to determine the location and size of various objects in the world.

  * [Digital cameras](http://en.wikibooks.org/wiki/Robotics/Sensors/Computer_Vision) can, with enough processing power, locate specific objects in their field of view.
  * [Tactile sensors](http://en.wikibooks.org/wiki/Robotics/Sensors/Tactile_Sensors) can detect how much force is being applied to a specific point.
  * [Distance sensors](http://en.wikibooks.org/wiki/Robotics/Sensors/Distance_Sensors) use various methods to determine the distance to the nearest object in a given direction.

## Media Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Environment_Sensors&action=edit&section=T-2)]

Some sensors detect properties of the immediate environment, such as:

  * [Temperature](http://en.wikibooks.org/wiki/Robotics/Sensors/Thermal_Sensors)
  * [Pressure & Sound](http://en.wikibooks.org/wiki/Robotics/Sensors/Pressure_Sensors)

# Thermal Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=45)]

[Robotics](http://en.wikibooks.org/wiki/Robotics): [Sensors](http://en.wikibooks.org/wiki/Robotics#Sensors): **Thermal Sensors**

Temperature can be an interesting parameter to measure. The temperature of the surroundings might not be very useful for a mobile robot, the temperature of a motor or battery back is.

## What is temperature?[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-1)]

"Temperature: A measure proportional to the average translational kinetic energy associated with the disordered microscopic motion of atoms and molecules. The flow of heat is from a high temperature region toward a lower temperature region.[[11]](Print_version.html#cite_note-13)

## Units and their conversions[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-2)]

The most used units for temperature are Degrees Celsius, Kelvin, and Degrees Fahrenheit .

### Degrees Celsius[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-3)]

This temperature scale is defined around water. It defines 0°C as the temperature on which water freezes at standard atmospheric pressure. 100°C is defined as the temperature at which water boils.

**Conversion:**

    To Fahrenheit: Tc * 9/5 +32
    To Kelvin: Tc + 273,15

### Kelvin[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-4)]

Kelvin is a temperature scale with one defined temperature: 0 Kelvin is the lowest possible temperature, which is about -273,15°C. An increase of 1 Kelvin has the same size as an increase of 1°C.  
The Kelvin (note it's not **degrees** Kelvin) temperature scale is used in science and engineering, most formulas containing temperature require Kelvin, unless it involves temperature differences, then one can use both Celsius and Kelvin as the difference between 10 and 20 Kelvin and between 10 and 20°Celsius are equal.

**Conversion:**

    To Fahrenheit: Tk *9/5 -459,67
    To Celsius: Tk - 273,15

### Fahrenheit[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-5)]

This scale uses the lowest temperate that could be measured at the time when this scale was developed and the temperature of the human body. The first temperature is defined as 0°F the latter as 100°F. This places 0°C at 32°F and 100°C at 212°F. A difference of 1°F isn't the same size as a difference of 1°C.

**Conversion:**

    To Kelvin: (Tf + 459,67) * 5/9
    To Celsius: (Tf - 32) * 5/9

## Methods of measuring temperatures[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-6)]

### Non-electric methods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-7)]

_Are any of these non-electric methods useful for robotics?_

The old fashioned way to measure temperature uses the expansion of mercury in a glass capillary tube. Newer thermometers use other liquids like alcohol. Other methods use two thin metal strips with different thermal expansion rates fused together and are called bimetal or bimetallic.

Yet another way uses the expansion of gas or liquid or a gas-liquid combination in a closed metal capillary tube system, called gas thermometers and filled systems. Other ways use the change of phase of some materials, such as paints and pastes whereby their reflectivity or color changes permanently when a specific temperature is reached. These are often called temperature or thermal paints and labels.

Another method uses the variation in reflectivity of certain liquid crystals with temperature.

One of the original thermometers, named after Galileo, uses several precision weights in labeled small glass globes, of known volume, all placed in a vertical cylinder of liquid like water, sufficient in size to allow all the globes to fit and with sufficient width to enable the globes to move freely past one another. As the temperature of the assembly changes, the density of the water changes and the globes assume differing heights in the cylinder according to their density with the globe in the highest position indicating the temperature to be at or below its labeled value.

### Electric or thermoelectric methods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-8)]

#### Thermocouples[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-9)]

Thermocouples consist of a pair of wires of different metals connected together at both ends and insulated but kept thermally close to each other over their length. When they encounter a temperature gradient form one end to the other, an electrical current flows through the circuit due to the Seebeck Effect. If one of the wires is opened and the voltage between the open ends is measured with a suitably high impedance voltmeter, a voltage nearly equal to the average relative Seebeck coefficient times the temperature difference between the hot and cold ends will be measured.

Thermoelectric properties of many material combinations have been developed over the past hundred years or so and also have been standardized for several of them, more commonly known by their ISA letter designations, as standard. Their electrical outputs for cold end reference temperature at 32 Deg F and 0 deg C are widely published in ASTM Standard E230. Many sources on the web provide these tabular values including the National Institute for Science & Technology (NIST) in the USA.

#### Temperature sensitive resistors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-10)]

Many electrically conductive materials have a resistance that varies with temperature -- they are temperature sensitive resistors.

There are two generic types of temperature sensitive resistors: Positive Temperature Coefficient (PTC) devices and Negative Temperature Coefficient (NTC) devices.

Usually the PTC devices, if made of metal, are termed Resistance Temperature Detectors or RTDs. Ones made from other materials are usually called Thermistors, short for Thermal Resistors.

RTDs are a highly developed technology worldwide and several international standards exist for the most widely used type, those made of pure Platinum. They are usually called Platinum Resistance Thermometers, or simple PRTs. Very special PRTs are used as interpolating devices in the International Temperature Scale of 1990 (ITS-90), these and similar devices sold commercially are often known as Standard Platinum Resistance Thermometers, or SPRTs.

Tables for the most commonly used RTD materials, Platinum, Nickel and Copper, can be found in several International and national standards as well as many locations on the Web.[[12]](Print_version.html#cite_note-14)

Thermistors are also very highly developed, but there are no uniform standards for their properties. Each supplier makes their own products and provide their own calibration tables. Some of these tables have been cataloged on the measurement database website.[[13]](Print_version.html#cite_note-15)

Many popular thermistors are manufactured using material with a B of 3300 K or a material with a B of 5133 K or some other material with an intermediate value.

Independent of the material, most thermistors are manufactured such that the resistance at room temperature (298.15 K = 25 °C) is one of these [preferred values](http://en.wikipedia.org/wiki/preferred_value): 1 kΩ, 2 kΩ, 5 kΩ, 10 kΩ, 20 kΩ, 50 kΩ, 100 kΩ, 200 kΩ, 500 kΩ, 1 MΩ.

  * [PBASIC Programming/RCTIME](http://en.wikibooks.org/wiki/PBASIC_Programming/RCTIME) and ["RepRap: ExtruderIO"](http://reprap.org/wiki/ExtruderIO) have more details on measuring the RC time constant of a capacitor + thermistor circuit; then from that time calculating the temperature.
  * [Embedded Systems/Low-Voltage Circuits](http://en.wikibooks.org/wiki/Embedded_Systems/Low-Voltage_Circuits) and ["RepRap: Thermistor"](http://reprap.org/wiki/thermistor) have more details on measuring the output voltage of a "resistor divider" resistor + thermistor circuit; then from that voltage calculating the temperature.

#### Semiconductor[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-11)]

Semiconductors, such as diodes and transistors have properties that vary greatly with the temperature. This arises from the temperature sensitivity of the bandgap in such devices which is highly repeatable and very stable, especially in Silicon semiconductors.

Several Integrated Circuit (IC) manufacturers, such as Analog Devices, Dallas Semiconductors and National Semiconductors manufacture many variants of the basic diode temperature sensors with additional circuitry to scale the output for use with simple digital display meters.

#### Radiation Thermometer & Optical Pyrometer[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-12)]

The popular ear thermometer and low cost "laser" thermometer of today are variants of the radiation thermometer (pyrometer) that began its development in the 19th Century. The devices are all based on the thermal radiation properties of literally everything in nature, whether it be gas, liquid or solid. The physical processes at work inside all materials includes emission of electromagnetic radiation that is a function of the temperature and optical properties of an object.

The physical emission of thermal radiation was first described correctly by Max Planck in the last year of the 19th Century. His theory led to the quantum revolution in Physics. It has stood the test of time as an accurate and reliable theory of thermal emission of radiation and enables instrument designers to develop instruments that can measure temperature without contacting the object that is being measured with remarkable levels of accuracy and repeatability. There are very few standards for such devices.[[14]](Print_version.html#cite_note-16)

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Thermal_Sensors&action=edit&section=T-13)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

# Pressure Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=46)]

The ability to measure pressure is very beneficial to the subject of robotics. The density of the atmosphere changes with altitude. If the air pressure is known then the altitude can then be established. If the robot contains fluids under pressure (for example, hydraulic systems), pressure sensors can be used to detect faults in the system. Pressure sensors can also be installed in a compressed tank of gas to measure the amount of gas left.

## Measuring Pressure[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Pressure_Sensors&action=edit&section=T-1)]

### Analogue Methods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Pressure_Sensors&action=edit&section=T-2)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d5/Manometer_104026.jpg/250px-Manometer_104026.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A Bourdon gauge

A Bourdon gauge uses a coiled tube which causes a rotation of an arm connected to the tube as it expands due to pressure increase. However, this is not particularly useful in Robotics unless you design a way to get voltage to vary with respect to needle displacement.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/53/Strain_gauge.svg/220px-Strain_gauge.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Typical foil strain gauge. The gauge is far more sensitive to strain in the vertical direction than in the horizontal direction. The markings outside the active area help to align the gauge during installation.

### Electric Methods[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Pressure_Sensors&action=edit&section=T-3)]

  * Resistive (Strain Gauge) - As the object is deformed, the foil is deformed, causing its electrical resistance to change. This resistance change, usually measured using a Wheatstone bridge, is related to the strain by the quantity known as the gauge factor. Foil strain gauges are only useful to detect large pressure changes and are not very precise over small changes.
  * Capacitive - The deflection of the piston is often one half of a capacitor, so that when the piston moves, the capacitance of the device changes. This is a common way (with proper calibrations) to get a very precise, electronic reading from a manometer, and this configuration is called a capacitive manometer vacuum gauge.
  * Piezoelectric/Piezoresistive - For measurements of small strain, semiconductor strain gauges, called piezoresistors, are often preferred over foil gauges. A semiconductor gauge usually has a larger gauge factor than a foil gauge. Semiconductor gauges tend to be more expensive, more sensitive to temperature changes, and are more fragile than foil gauges.

# Ranging Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=47)]

![](../../../upload.wikimedia.org/wikibooks/en/a/ac/Stagebot.jpg)

Player simulation of robot using LIDAR

## Description[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-1)]

    Ranging sensors include sensors that require no physical contact with the object being detected. They allow a robot to see an obstacle without actually having to come into contact with it. This can prevent possible entanglement, allow for better obstacle avoidance (over touch-feedback methods), and possibly allow software to distinguish between obstacles of different shapes and sizes. There are several methods used to allow a sensor to detect obstacles from a distance. Below are a few common methods ranging in complexity and capability from very basic to very intricate. The following examples are only made to give a general understanding of many common types of ranging and proximity sensors as they commonly apply to robotics. Many variances can exist within each type.

## Sonic Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-2)]

    Sonic sensors use [sound waves](http://en.wikipedia.org/wiki/Sound#Physics_of_sound), usually ultrasonic, through a medium as their means of detection. The medium is typically the atmosphere or a body of water. A pulse of sound is emitted from some source. One or more receivers then pick up the sound wave after it has bounced off any obstacles. This echo is then interpreted in various ways to obtain information about an obstacle.

### Sonic Ranging[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-3)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/f/fa/Sonicranger.jpg/150px-Sonicranger.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Single Ultrasonic Range Finder

![](../../../upload.wikimedia.org/wikibooks/en/thumb/8/81/Animsonar.gif/150px-Animsonar.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Animation of basic SONAR operation

    Sonic ranging sensors, sometimes referred to as [SONAR](http://en.wikipedia.org/wiki/Sonar) send out a pulse of sound and wait for the echo to return. The time it takes for the echo to return is used to determine the distance to the obstacle. They are popular in hobby and research robotics due to their simplicity and relatively low cost. These sensors are generally limited to about a 6m range.[[15]](Print_version.html#cite_note-17)[[16]](Print_version.html#cite_note-18) Divergence can be a problem because the sound wave spreads out rapidly as it moves away from the source. The sensor cannot determine where along this projected arc an obstacle was found. 'Ghost' echoes can cause problems as well when the sound wave bounces off multiple obstacles before returning.[[17]](Print_version.html#cite_note-19)

  * Sonic Ranging 
    * Pros 
      * Cheap
      * Easy to Use
    * Cons 
      * Resolution rapidly decreases with distance
      * Ghost echoes can give false readings
      * Physical properties of objects can give very different responses

### Scanning Ranging[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-4)]

    Sonic scanning ranging sensors are often (and hereafter) referred to as [SONAR](http://en.wikipedia.org/wiki/Sonar) or SONAR arrays. SONAR uses the same principle as sonic ranging but with more sophisticated detecting hardware. Typically a SONAR system will produce multiple pulses of sound and utilize multiple detectors (called an array) to calculate the distance and shape of objects with greater accuracy than one stationary sensor/emitter pair can achieve. However, SONAR performance can be poor in situations similar to those of other sonic ranging systems. Dense obstacle distribution or complex surfaces can produce overwhelming ghost echoes or poor echo returns.

  
  
  
  
  
  
  
  


![](../../../upload.wikimedia.org/wikibooks/en/thumb/8/87/Prox.jpg/150px-Prox.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An IR proximity sensor with two emitters

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/46/Sharpranger.jpg/150px-Sharpranger.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A Sharp GP2D120 infrared range sensor

![](../../../upload.wikimedia.org/wikibooks/en/thumb/f/f6/Proxanimation.gif/150px-Proxanimation.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Animation of a two-emitter proximity sensor

![](../../../upload.wikimedia.org/wikibooks/en/thumb/1/1b/LIDARanim.gif/150px-LIDARanim.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Animation of simple LIDAR

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/49/Rangeanim.gif/150px-Rangeanim.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Animation of an infrared range sensor

## Visible or Infrared Light-Based[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-5)]

    Another very popular method uses projected [light waves](http://en.wikipedia.org/wiki/Electromagnetic_radiation), usually infrared, to detect obstacles. This system projects a pulse of light and looks for the reflection. Properties of the reflected light are analyzed to determine characteristics about the object detected. Light has the advantages of traveling extremely fast, allowing for fast sensor response time, high resolution, and less error to account for. Light from this type of sensor is often formed into a narrow beam or many times a laser is used. This provides good resolution over large distances.

### Basic Proximity[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-6)]

    The simplest light-based obstacle sensor projects a light and looks for a reflection of a certain strength. If the reflection is strong enough, it can be inferred that an obstacle lies within a certain range of the sensor. Multiple light sources can be pulsed on in sequence to give some resolution to the sensor as in the figures.

### Ranging Light-Based Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Ranging_Sensors&action=edit&section=T-7)]

    Light-based ranging sensors use multiple methods for detecting obstacles and determining range. The simplest method uses the intensity of the reflected light from an obstacle to estimate distance. However, this can be significantly affected by the color/reflectivity of the obstacle and external light sources. A more common method is to use a beam of light projected at an angle and a strip of detectors spaced away from the emitter as in the animation to the right. The pictured Sharp sensor uses this method. This method is less affected by the color/reflectivity of the object and ambient light.

  


    [LIDAR](http://en.wikipedia.org/wiki/LIDAR), a more advanced method of range detection, uses a laser that is swept across the sensor's field of view. The reflected laser light is usually analyzed one of two ways. Units with longer ranges sometimes actually determine distance by measuring the time it takes for the laser pulse to return to the sensor. This requires extremely fast timing circuitry. Another method uses [phase shift detection](http://www.google.com/search?hl=en&rlz=1C1GGLS_en-USUS304US304&q=phase+shift+ranging&btnG=Search) to determine range by analyzing the incoming light and comparing it to a reference signal.

  
  
  
  
  
  
  
  
  


# Touch Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=48)]

## Construction[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Touch_Sensors&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikipedia/commons/2/23/Touch_switch_schematic.jpg)

Schematic showing active _high_ and active _low_ configuration

A simple touch switch can be constructed from a momentary SPST (single-pole single-throw) switch. A wire extension can be added to the switch lever to act as an “antenna”, “feeler”, “whisker”, etc.

[File:Limit switch with feeler extension.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Limit_switch_with_feeler_extension.jpg)

A switch, with an _“antenna”_ extension attached, and wired with a series resistor

The switch can be wired in such a way that when the state of the switch changes, either a “high” (a digital logic 1) is sent to the micro controller or a “low” (digital logic 0) is sent to the micro controller – depending on the application. The wiring diagram for active high, and active low are shown in figures 1 and 2, respectively.

![](../../../upload.wikimedia.org/wikibooks/en/e/e2/Simple_whisker_switch.jpg)

Simple _whisker_ type switch

Another even simpler and cheaper method of touch sensor construction is with 2 pieces of wire. The first, the _base_, is L-shaped with a small loop at one end. The second wire, the _whisker_ is passed through the loop on the end of the _base_ wire. Under normal or _inactive_ conditions, the whisker wire does _not_ make contact with the loop – thus creating an _open circuit_. Only when the whisker wire _bumps_ into an object, is the circuit complete. This circuit could be made to be either active-high or active-low using the schematics shown in figures 1 and 2, by simply replacing the switch contacts with the base and whisker wires.

Other types of touch sensors include simple momentary push-button switches.

## Advantages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Touch_Sensors&action=edit&section=T-2)]

  * Binary – interfaces easily with all microcontrollers
  * Low cost
  * Simple to construct and to connect
  * Simple to operate – either the switch _is active_, or it is _not_
  * Reliable

## Disadvantages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Touch_Sensors&action=edit&section=T-3)]

  * Tactile – object must be “touched” to know it exists
  * Low range
  * Less accurate for acquiring range data – you only know that there is an object there within the motion range of the switch – not exactly how far it is, or exactly where the sensed object’s XY position is relative to the robots position

# Feedback Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=49)]

The way in which actuators perform is determined by the combination of several factors. The robot's control system sends the actuator some sort of control signal, and various factors of the environment affect what happens for any given control signal. Feedback sensors are used to detect the actuator's output so that the control system can correct for external factors.

For example, many robots are propelled forward by wheels connected to DC motors. The control system specifies the amount of power that should be applied to the motors to make them turn, but their speed is also affected by the amount of load on the motor. In order for the robot to travel at a constant speed, it is necessary to have a sensor that determines how fast the robot is moving, and adjusts the power level to the motors as needed.

There are several standard kinds of feedback sensor that are used:

  * [Encoders](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Encoders&action=edit&redlink=1)
  * [Tachometers](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Tachometers&action=edit&redlink=1)
  * [Accelerometers](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Accelerometers&action=edit&redlink=1)
  * [Rate Gyroscopes](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Rate_Gyroscopes&action=edit&redlink=1)

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Feedback_Sensors&action=edit&section=T-1)]

  * [the OpenServo wiki](http://openservo.com/) discusses one way to measure and control servo position, speed, voltage, and power consumption.

# Communication Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=50)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Merge-arrows.svg/50px-Merge-arrows.svg.png)

**A Wikibookian suggests that this book or chapter be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) with _[Robotics/Computer Control/The Interface/Remote Control](http://en.wikibooks.org/wiki/Robotics/Computer_Control/The_Interface/Remote_Control)_.**  
Please discuss whether or not this merger should happen on the [discussion page](http://en.wikibooks.org/w/index.php?title=Talk:Robotics/Computer_Control/The_Interface/Remote_Control&action=edit&redlink=1).

## Data transmission channels[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-1)]

Being able to send data to and from your robot can be a very handy addition. There are 2 commonly used methods for wireless data transmission: IR (InfraRed) and RF (Radio Frequency). Both methods have their own advantages and disadvantages. Which to use depends on several factors.

### IR[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-2)]

IR data transmission best known example is the TVs remote control. Using IR on a robot is quite easy and very cheap. The disadvantage of IR is that it's limited to line-of-sight transmission.Line-of-sight or the distance of operating can be increased by use of microwaves (transmission-receiver) systems

### RF[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-3)]

RF are well known in radio controlled cars. RF is more expensive than IR, but doesn't have the line-of-sight limitation. These days there are complete RF "modems" available which can be connected to a robot without much (or even any) extra components. Although possible building your own RF communication modules isn't advisable. There are strict laws about which frequencies you can use and with how much power you can transmit.

## Using IR[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-4)]

IR is not much more than modulated lightflashes. Since IR falls outside of the visual spectrum humans can't see these flashes without e.g. a digital camera (the CMOS image chip can see IR, on the screen those IR flashes appear bright white).

### Remote Control[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-5)]

The great thing about IR remote controls is that you can use many of these directly to control your robot. Although there are several (very) differend IR remote control standards, there is one standard that is used by multiple manufacturers. This standard, called RC5, is very easy to use as many programming languages for microcontrollers have build in RC5 support. The hardware is limited to an integrated receiver module (e.g. TSOP1736), a capacitor and a resistor. [[18]](Print_version.html#cite_note-20)[[19]](Print_version.html#cite_note-21)

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Communication_Sensors&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

  * Very often RF communications are "noisy", and require a higher-level protocol to tolerate the noise. [Serial Programming/Forming Data Packets](http://en.wikibooks.org/wiki/Serial_Programming/Forming_Data_Packets) describes some of the details.

# Real World Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=51)]

_This section covers the topics on sensor imperfection and how these components behave in the real world._

There is no such thing as a "distance sensor". period. Those components commonly called "distance sensor" or similar names measure something and extract distance information out of that. This extraction works pretty good in particular circumstances, but are worthless in many others. The key to successfully measuring e.g. a distance, is knowing, exactly, what your sensors measures and how external factors influence the measurement. This doesn't mean you just need to know how accurate the sensor is, it means you need to know what part of physics is used, and what the laws of physics say about that.

I'll cover some of the most commonly used sensors and what laws of physics apply to those. I'm not going very deep into explaining physics, there are better sources for that (a wiki physics book for example), just enough to give you the idea of what problems you may expect and where to look for a solution.

## Light Based Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-1)]

### Reflection: short range sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-2)]

This type of sensor detects objects at a range up to a few centimeter. These sensors are quite simple. They consist of a light source, usually an IR diode which signal can be modulated and a light detector, which can be as simple as a light sensitive diode or transistor with an amplification circuit or a more complex IC complete with filters and TTL level outputs.

These sensors work by detecting the reflection of the emitted light. The range at which an object is detected depends on a number of properties of the object:  


  * reflectivity/color: how well does the object reflect IR-light? Every object has a color. A green object means that it reflects light with wavelengths that we interpret as the color green. This can be a pretty large range. IR is also a color. Like any other color, some objects reflect IR, and other objects absorb IR.
  * surface smoothness: A very smooth surface (like a mirror) reflects more light than a rough surface. (For example, a photograph of a black billiards ball usually shows a white spot caused by [w:specular reflection](http://en.wikipedia.org/wiki/specular_reflection)).
  * Angle: The more the surface is turned away from the sensor the more light is going to be reflected away from the sensor.
  * Lightsources: Other lightsources like light bulbs or the sun emit IR light as well. Especially the sun can prevent an IR based sensor to operate.

### Reflection: medium range sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-3)]

Medium range sensors are a bit more complicated than short range sensors. These sensors consist of an IR emitting diode which signal is modulated, the receiver has a lens to focus the reflected light onto a light sensitive strip. Moving the sensor back and forward towards an object moves the reflection beam along the light sensitive strip. The resistance of the strip depends on where the light hits the strip.

Its range has the same limiting factors as short range sensors.

### Reflection: Long range sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-4)]

Long range sensors use the time a laser pulse takes to travel from the emitter to the object and back. Since the speed of light is so high this type of sensor is only useful for larger ranges.

Its range is also limited in the same way as the previous IR sensors. Another thing than can limit is haze, smoke and other particles on the air.

### Camera[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-5)]

Cameras used in robotics are commonly built around a [image Sensor](http://en.wikipedia.org/wiki/Image_sensor). These cameras are sensitive to IR-light and usually have a IR-filter in front of the lens. Cheap webcams may not contain such a filter, which makes them very sensitive to sunlight.

  


### Stereo vision[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-6)]

These sensors consist of (at least) 2 cameras mounted some fixed distance from each other.

This is rarely used because solving the [correspondence problem](http://en.wikipedia.org/wiki/correspondence_problem) is difficult.

See also [Robotics: Sensors: Computer Vision](http://en.wikibooks.org/wiki/Robotics:_Sensors:_Computer_Vision).

## Sound Based Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-7)]

### What is sound?[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-8)]

Sound is in essence vibrations and pressure differences in the air. These vibrations are split into 3 groups by their frequency. The first group, called _infrasone_ has a frequency below 20Hz. The second group, called _ultrasonic_, has a frequency above 20Khz and an upperbound of 2Mhz in air or 30Mhz in water. The last group is what is commonly called _sound_. This groups range lays between 20Hz and 20Khz and can be heard. Although only newborn babies can really hear all the way up to 20Khz. The older you get the less frequencies you can hear.  
Most sensors use ultrasonic sound, usually around 40Khz. Such a signal can't be heard, while it's still easy to use (generate, detect,...).

### Doppler effect[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-9)]

If both the source and the receiver are motionless relative to each other, the receiver will hear the same frequency as the source emitted. However if one or both of them move relative to the other, the receiver will detect a different frequency. This change in frequency is called the [Doppler Effect](http://en.wikipedia.org/wiki/Doppler_effect). Most people know this effect from the sirens of passing police cars or ambulances. When they pass you'll hear one sound as they approach and a somewhat different sound as they move away.

Calculating what frequency the receiver will hear is quite easy:

![f_r = f \\frac{c + v_r}{c - v_s} ](../../../upload.wikimedia.org/math/f/0/9/f097c79cea3598f35ad63b0f0728afa5.png)

With:

    ![ f_r](../../../upload.wikimedia.org/math/0/b/f/0bf88e8d88ca8d43d187523d0c666d03.png) = The frequency the receiver hears
    ![ f](../../../upload.wikimedia.org/math/8/f/a/8fa14cdd754f91cc6554c9e71929cce7.png) = the frequency the source emits
    ![ c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png) = the speed of sound
    ![ v_r](../../../upload.wikimedia.org/math/b/2/d/b2df53387c697033ae611db023f7345c.png) = the speed of the receiver
    ![ v_s](../../../upload.wikimedia.org/math/5/f/8/5f898a06f87d31879822201c09a13757.png) = the speed of the source

### Speed of sound[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-10)]

The speed of sound depends on the medium it traverse through and its temperature. For air this is approximately 330m/s at 0°C. Of course most of the time the temperature is a bit higher than this. Calculating the actual speed is fairly easy:

![c = c_0 \\sqrt{\\frac{T}{T_0}}](../../../upload.wikimedia.org/math/c/4/2/c425c26c7cdfde9403782f4b41bc810d.png)

with:

    ![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png) = the actual speed at the current temperature.
    ![c_0](../../../upload.wikimedia.org/math/b/4/4/b44bd3c13387c64590c6d95ad2d6c1e1.png) = the speed of sound at 0°C: 330m/s.
    ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) = the current temperature in Kelvin.
    ![T_0](../../../upload.wikimedia.org/math/3/7/3/37388ac88f952ca253c1301db58f393c.png) = 273,15 K (this is 0°C in Kelvin)

### Reflection[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-11)]

### Resonance[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-12)]

### Diffraction[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-13)]

## Ultrasonic Distance sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-14)]

These sensors are pretty simple. In theory that is. In practice these sensors can be a real pain in the pinky. In this section I'll cover some of the troubles you may run into when trying to get them to work.

Ultrasonic distance sensors consist of 3 major parts: A transmitter, a receiver and a timer. To measure a distance the timer triggers the transmitter which emits a series of pulses, then the timer waits until the receiver detects the reflection of the pulses and stops the timer. The time measured is then divided by 2 and multiplied with the speed of sound. The result is the distance between the sensor and the object in front of it. The transmitter send out a stream of pulses on a carrier frequency. The maximum frequency humans can hear is about 20 KHz. A frequency higher than that is picked to avoid annoying humans with the constant beep -- 40KHz is a common value.

The receiver triggers when it receives a signal with that particular frequency. This is not necessary the signal the transmitter sent. If more than one ultrasonic sensor with the same carrier frequency are used, they can detect each others signals.

Sound doesn't move in a straight line, but rather as a 3D expanding wave. When the wave reaches an object part of it bounces back and moves again as a 3D expanding wave in the opposite direction. Such a wave can easily bounce multiple times before disappearing. So it is very possible that you receive pulses that have travel a much larger trajectory than just to and back from the object in front of the sensor. While some part of this problem can be solved by letting the sensor wait some time before starting another measurement, other situation can produce incorrect measurements which are fairly tough to correct. For example moving through a doorway can fail because the sensors emitted pulses bounce from the walls back to the sensor and so giving a measurement that indicates an object in front of the sensor. One way of correcting this is using another sensor, for example a IR distance sensor to see if there really is an object. However such solution pose another problem: which sensor to believe? 3 sensors allow you to go with the majority, but then things become quite complicated in constructing and interfacing such systems, not to mention what it does to the power consumption.

### Distance Formula[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-15)]

The formula for calculating distance from a sonar pulse looks like:

![Distance=343m/s*\\frac{Elapsed Time}{2}](../../../upload.wikimedia.org/math/7/4/9/7499c6f1ded23dbf2ddf39c37fd1b839.png)

343 m/s is the speed of sound, and we need to divide the time by 2 because the sound travels out and back.

### Availability & Range[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-16)]

Sonar sensors are widely available and relatively inexpensive, ranging from $15 to $40 depending on the desired range. On average the maximum range of a midlevel sonar sensor will be between 4 and 6 meters. Unlike infrared or laser sensors, sonar sensors also have a minimum sensing distance as well. This is due to the fact that the distance measurements are based on the speed of sound, and over very short ranges the sound travels out and back more quickly than the circuitry can respond. This minimum distance will vary by sensors, but is typically around 2 to 5 centimeters. Also unlike infrared sensors, sonar sensors don’t have a perfect “cone” of vision. Because sound propagates as a 3D pressure wave, the sensor actually has a range that resembles a sinc function wrapped around a curve.

### Potential Problems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-17)]

Sonar sensors work very well for collision avoidance in large areas, but they do have some limitations. Because sound propagates out as a 3D pressure wave and echoes, your robot may see things that are not really in its way. For instance, near angled walls the sound waves may bounce several times before returning to the sonar receiver. This makes it difficult for the robot to know which echo is actually the correct distance to the nearest obstacle.

Similar to this is the problem of having multiple sonar sensors operating the in the same area. If the frequencies of nearby sonar sensors are too similar they may cause false readings since the sensors have no method besides frequency to distinguish pulses it sent out from those other sensors send out.

Another common problem is the difference in absorbency and reflection of different materials. If you shoot a sonar pulse at a cloth covered wall (i.e. cubicle), it is likely that the cloth will absorb a significant amount of the acoustic energy and that the robot will not see the wall at all. On the opposite end of the spectrum, a floor with very high acoustic reflection may register as an obstacle when it is really a clear plane.

## Magnetism Based Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-18)]

### Compass sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-19)]

These sensors are used to measure the orientation of the robot relative to the magnetic north. It is important to remember that the magnetic north is not exactly the same as the geographical north. They differ several degrees.

The magnetic field of Earth is quite weak. This makes that these sensors will not operate well along other magnetic fields. E.g. speakers would mess up the reading. If you use these sensors it is best to mount them as far away from your motors as possible. While you can't shield them without making them useless, paying attentions to where you mount them can make a considerable difference in reliability.

## Other distance sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-20)]

  * _(How do those "stud sensors" detect the lumber in the walls behind the sheetrock?)_

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Real_World_Sensors&action=edit&section=T-21)]

  * the sensor wiki <http://sensorwiki.org/>
  * [ultrasonics](http://david.carybros.com/html/ultrasonic.html)
  * [Robot Sensors](http://www.andrew.cmu.edu/user/rjg/websensors/robot_sensors2.html)
  * ["Migrating from x86 to PowerPC, Part 9: Sensors, sensors, sensors!"](http://www.ibm.com/developerworks/power/library/pa-migrate9/index.html?S_TACT=105AGX16&S_CMP=EDU) recommends using a optocoupler for isolation for all sensors.

# Digital image Acquisition[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=52)]

## Image Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-1)]

There are 2 types of image sensors commonly used to digitally acquire an image, CCD and CMOS. While both have similar image quality, their core functionality and other features greatly differ.[3]

### CCD[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-2)]

A CCD, or Charge-Coupled Device, is an older technology based on an analog system. A photoelectric surface that coats the CCD creates an electric charger when light hits it, and the charge is then transferred and stored in a capacitive bin that sits below the surface of each pixel.[2] The CCD then functions like a shift register, and transfers the charge in the bin below each pixel one spot over by applying a voltage in a cascading motion across the surface. The charge that reaches the edge of the CCD is transferred to an analog to digital converter, which turns the charge into a digital value for each pixel. This process relatively slow because of the way it has to shift each pixel to the edge of the CCD to then turn it into digital information.[4]

### CMOS[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-3)]

A CMOS image sensor is a type of Active-Pixel Sensor (APS) constructed of Complementary metal–oxide–semiconductors. CMOS sensors can be much faster at generating a digital image, and consume less power than a CCD. They can also be larger than a CCD, allowing for higher resolution images, and can be manufactured through cheaper methods than a CCD. Each pixel in a CMOS sensor contains a photodetector and an amplifier.[4] The simplest type of CMOS image sensor is the 3T model, where each pixel is made up of 3 transistors and a photodiode. The transistor Mrst is used to clear the value of the pixel and reset it to acquire a new image. The Msf transistor buffers and amplifies the value from the photodiode until the pixel can be read and is reset. The Msel transistor is the pixel select transistor that only outputs the pixel’s value to the bus when the device is reading the row it is in. In this model the data is gathered in parallel via a shared bus, where all pixels in a column share the same bus, and then the data is sent down the bus one row at a time. This method is faster at shifting the charge value to the digital converter. There are other variations of the CMOS sensor which help reduce image lag and noise. Image lag is created where some of the previous image remains in the current one. This is often caused by a pixel not getting fully reset, so some of the charge from the previous image still exists. Image noise is a measure of how accurately the amount of light that hits the pixel is measured.

  


## Color Images[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-4)]

The 2 types of image sensors do not natively measure color; they simply convert the amount of light (regardless of color) to a digital value.[1] There are several different ways to gather color data. The 2 most common are to use a color filtering array, the Foveon X3 specialized sensor and using a trichroic prism and 3 image sensors.

### Color Filtering Array[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-5)]

The most common method is to use a color filtering array. The most common type of filter used is the Bayer filter, developed by Kodak researcher Bryce Bayer in 1976. A color filtering array filters the light coming into each pixel so that the pixel only detects one of the primary colors. The full color image can later be recreated by adding the colors from each pixel together to create a full color image.[1] The Bayer filter uses a pattern of 50% green, 25% red and 25% blue to match the sensitivity of the human eye to the 3 primary colors. The Bayer filter repeats over 4 pixels.[1] Because the images have to be reconstructed and you only know one of the colors in each pixel, some of the image fidelity is lost in the process of image reconstruction called demosaicing. Edges of objects in the image can often be jagged and have non uniform color along the edges. In addition to the Bayer filter, there are many other filter patterns that can achieve the same result.[1] The main problem with using a filter is that it reduces the amount of light that reaches each photodetector, thus reducing each pixel’s sensitivity to light. This can cause problems in low-light situations because the photodetectors will not receive enough light to produce a charge, resulting in large amounts of noise. To help reduce this effect, there is another type of filter in use that has some pixels that are not filtered. These Panchromatic filters mimic the human eye, which has detectors of color and detectors of light and dark. These do much better in low light, but require a much larger area to mimic the pattern than a traditional Bayer filter. This causes some loss in fidelity

## Image Transfer[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-6)]

The two most common methods for connecting cameras to a robot are USB and FireWire (IEEE 1394). When Apple developed FireWire they had in mind that it would be used to transfer audio and video. This resulted in a greater effective speed and higher sustained data transfer rates than USB, which are needed for audio and video streaming. FireWire also has the benefits of being capable of supplying more power to devices than USB can. FireWire can also function without a computer host. Devices can communicate with each other over FireWire without a computer to mediate.[5]

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Sensors/Digital_image_Acquisition&action=edit&section=T-7)]

1\. [Color Filter Array](http://www.dpreview.com/learn/?/key=color+filter+array)

2\. [Charge-Coupled devices (CCDs)](http://www.physics.pdx.edu/~d4eb/ccd/index.htm)

3\. [How Digital Cameras Work](http://electronics.howstuffworks.com/digital-camera.htm)

4\. [What is the difference between CCD and CMOS image sensors in a digital camera?](http://electronics.howstuffworks.com/question362.htm)

5\. [How FireWire Works](http://www.howstuffworks.com/firewire.htm)

* * *

# Navigation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=53)]

# Navigation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=54)]

## What is Navigation?[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation&action=edit&section=T-1)]

Navigation comprises everything a robot needs to get from point A to point B as efficient as possible without bumping into furniture, walls or people.

This problem breaks down in several sub-problems:

  * It needs to know [where (Localization)](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Localization&action=edit&redlink=1) it is.
  * It needs to [detect and avoid obstacles (Collision Avoidance)](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Collision_Avoidance&action=edit&redlink=1).
  * It needs memory of [its surroundings (Mapping)](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Mapping&action=edit&redlink=1).
  * It has to be able to [plan a route (Trajectory Planning)](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Trajectory_Planning&action=edit&redlink=1) to point B.
  * It has to be able to [explore (Exploration)](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Exploration&action=edit&redlink=1) new terrain.

# Localization[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=55)]

Localization involves one question: Where is the robot now? Or, robo-centrically, where am I, keeping in mind that "here" is relative to some landmark (usually the point of origin or the destination) and that you are never lost if you don't care where you are.

Although a simple question, answering it isn't easy, as the answer is different depending on the characteristics of your robot. Localization techniques that work fine for one robot in one environment may not work well or at all in another environment. For example, localizations which work well in an outdoors environment may be useless indoors.

All localization techniques generally provide two basic pieces of information:

  * what is the current location of the robot in some environment?
  * what is the robot's current orientation in that same environment?

The first could be in the form of Cartesian or Polar coordinates or geographic latitude and longitude. The latter could be a combination of roll, pitch and yaw or a compass heading.

## Current Location[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-1)]

The current location of a robot can be determined in several very different ways:

## Dead Reckoning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-2)]

Dead reckoning uses odometry to measure how far the robot moves. Trigonometry and the equations of kinematics are all that is needed to calculate its new position.

This method has 2 requirements:

  * It needs a way to determine its initial location.
  * Its accuracy usually decreases over time as every measurement has an error and errors accumulate.

Dead reckoning is often used with other methods to improve the overall accuracy.

## Least Mean Squares[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-3)]

There are numerous solutions to the localization robotics problem. These range from simple Dead Reckoning methods to advanced algorithms with expensive radar or vision system. The most important factor is picking an algorithm to find the robotic location is the availability of accurate relative and global position data. For simple systems with basic relative position sensors and some form of a global position sensor, the most practical and easiest to implement localization method is that of Least Mean Squares.

See Least Squares: <http://en.wikipedia.org/wiki/Least_squares> for more information on using the method of Least Squares to find solutions for over determined systems.

To look at the Least Mean Square (LMS) algorithm in a general sense first, it is important to look at the general principles that govern it. The goal of all localization methods is to minimize the error between where the robot is and where the robot should be. The algorithm must be able to follow a preset track or find the least error in the robot location (Adaptive Algorithms and Structures, p. 97). These goals for robot localization are applied to the LMS algorithm by adaptively adjusting weights to minimize the error between the actual function and the function generated by the LMS algorithm. As a subset of the Steepest Descent Algorithm (<http://en.wikipedia.org/wiki/Gradient_descent>), this method was created to minimize the error by estimating the gradient (<http://en.wikipedia.org/wiki/Gradient>) and is known as the simplest localization method with global position output.

### Derivation of LMS Algorithm[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-4)]

The LMS algorithm can be applied to two cases:

• Parallel multiple inputs

• Series single input

[File:LinearCombinerConfiguration.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=LinearCombinerConfiguration.jpg)

Figure 1: Linear Combiner Configuration [1]

[File:CurveFit.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=CurveFit.jpg)

Figure 2: Curve Fit to Data to Minimize Error [3]

[File:TransversalCombinerConfiguration.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=TransversalCombinerConfiguration.jpg)

Figure 3: Transversal Combiner Configuration [1]

In both cases, the gradient is calculated as

εk = dk \- XTkWk

where ‘Yk’ is the desired output, ‘XTk’ is the actual input, and ‘Wk’ for the kth input element. Next, the gradient estimate is calculated as

Now that we have the gradient estimate, the weights can be updated by

Wk+1 = Wk \- μdelk = Wk \+ 2μεkXk

to minimize the error through iterative change. ‘μ ’ is the gain constant for training the algorithm. The use of training is to adjust how fast the error is corrected for by the weight update function [1]. If the training constant is too high, the system will oscillate and never converge to the minimal error value.

To illustrate the process other than in mathematical format, the LMS algorithm can be demonstrated through the use of pseudo code. The purpose of the code below is for illustration purposes only. This example is intended to provide a step-by-step visualization tool for beginning the coding process.

### Procedure LMS[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-5)]

Initialize the Weights repeat choose training pair (x,d) for all k do
    
    
       yk = WkXk       
    

end for all k do
    
    
       εk = Yk - dk 
    

end for all k do
    
    
       Wk(j+1) = Wk(j) + μεkXk
    

end until termination condition reached

### Various Variations[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-6)]

**Modified LMS Method**

For problems with sequentially arriving data, the Modified LS method can be used to add or delete rows of data. In various time-series problems, a moving ‘window’ can be employed to evaluate data over a predefined timeframe. This method is useful in LMS problems that arise in statistics, optimization, and signal processing [2].

**Constrained LMS Method**

For curve and surface fitting application problems, the Constrained LMS method is very useful. Such problems require satisfying linear equations systems with various unknowns. This method only provides a useful solution if and only if each input can be scaled by some magnitude and still remains a constant [2].

**Direct Methods for Sparse problems**

A sparse LMS problem involves solving the LMS problem when the matrix has ‘relatively few’ nonzero elements. “J. H. Wilkinson defined a sparse matrix to be ‘any matrix with enough zeros that it pays to take advantage of them’” [2]. A more precise definition is more difficult to provide. Such problem usually involve large to enormous size and involve numerous unknowns. The following are examples of problem that can be classified as sparse problems: pattern matching, cluster analysis, and surface fitting [2].

**Iterative Methods for LMS problems**

A second method for solving sparse problems (in addition to the Direct Method mentioned above) is the Iterative Method. In general, the Iterative Method is used for analysis of under-determined, sparse problems to compute a minimum solution based on the norm of the input data [2].

**Nonlinear LMS Method**

For problems with nonlinear systems, the Nonlinear LMS method is useful for iteratively calculating the relative LMS solution to the problem. This method can be used for unconstrained optimization and various survey methods [2].

### Additional Sources for Application and Theory[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-7)]

For further reference and additional reading, the following resources can be used for a more extensive overview of the subject.

  * [Adaptive Antenna Control by LMS](http://www.latticesemi.com/products/intellectualproperty/referencedesigns/lmsadaptivefilter.cfm)
  * [LMS Estimation Techniques](http://www.aiaccess.net/English/Glossaries/GlosMod/e_gm_least_squares_estimation.htm)
  * [Least Squares](http://en.wikipedia.org/wiki/Least_squares)
  * [Least Squares Filter](http://en.wikipedia.org/wiki/Least_mean_squares_filter)

### References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-8)]

  * Adaptive Signal Processing [1]
  * Numerical Methods for LS Problem book [2]
  * [Least Squares Estimation](http://www.aiaccess.net/English/Glossaries/GlosMod/e_gm_least_squares_estimation.htm) [3]

## GPS Global Positioning System[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-9)]

On large terrains GPS can provide more or less accurate coordinates, dead reckoning and the data from its other sensors can fill in the gaps. However on small terrains or indoors the GPS's inaccuracy becomes a problem and the dead reckoning and sensor data becomes the dominant factor in determining the location.

## GPS-like Systems[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-10)]

Although GPS isn't very useful indoors, similar techniques as those used in GPS can be used indoors. All a robot needs is to measure it's distance to 3 fixed beacons. Each of these distances describe a circle with the beacon in its center. 3 circles will only intersect in one point.

## Line following[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-11)]

Probably the easiest way: Draw a line on the ground and use IR reflection sensors to follow it. Useful as a track or to mark the edges of the robot's work area.

This can also be done by putting an electric cable in the ground and sending a modulated signal through it. The robot can detect this cable with magnetic sensors (Hall-sensors or coils).

The complex versions of line-following involves using sensors like vision (camera) which helps reducing overall cost of sensors and implementation and also provides versatility to detect lines of various colours. It allows a great scope for autonomy in the system too.

## Landmarks[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-12)]

Placing landmarks is another way to help your robot to navigate through its environment. Landmarks can be active beacons (IR or sound) or passive (reflectors). Using bar code scanners is another possibility.

A special trick, if the environment is known beforehand, is to use collision detection (i.e. sensor bumpers or similar) with known objects. Together with dead reckoning the precision can be extraordinary even when using cheap equipment.

In new environments landmarks often need to be determined by the robot itself. Through the use of sensor data collected by laser, sonar or camera, specific landmark types (e.g. walls, doors, corridors) can be recognised and used for localization.

## Current Heading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Localization&action=edit&section=T-13)]

Determining a robot's heading can be done with a compass sensor. These sensors usually consist of 2 magnetic field sensors placed at a 90° angle.

These sensors measure the earth's magnetic field and can be influenced by other magnetic fields. Speakers, transformers, electric cables and refrigerator magnets can reduce the accuracy of the compass. Compass sensor modules can have built-in filtering for the magnetic fields of AC.

# Collision Avoidance[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=56)]

Collision avoidance, in comparison to collision detection, is what is done after a possible collision is detected. Possible collisions will depend on the shape and size of both the object and robot as well as the position and motion projection of the object and the robot. When making an attempt to avoid an obstacle, there are many decisions to face. The decisions available depend on the available paths the robot can take to avoid the obstruction. These paths can either be determined upon the robot’s realization of the obstruction or, in case all of the obstructions’ positions are known, once the map is loaded. Finding the “correct” path to use can be troublesome depending on which algorithm is used and the granularity associated with it.

## Basic Idea[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-1)]

_If there is an object in the robot’s way, avoid it._

Essentially, this is the basic idea in collision avoidance. However, this simple matter to humans is incredibly complex in the computer world. Which algorithm is best in avoiding obstacles? Which is least complex, most efficient? Which algorithm can utilize the robot’s full capabilities effectively? All of these are questions one should ask when searching for a valuable collision avoidance algorithm.

## Example Algorithm[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-2)]

[File:Figure1.GIF](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Figure1.GIF)

Example algorithm being put to use using [Player/Stage](http://en.wikipedia.org/wiki/Player/Stage_Project)

In the figure to the right, a simple “tank-drive” robot is presented making it’s way to three pre-determined waypoints. The robot’s algorithm is a dignified version of the simple one-liner given at the beginning of this section:

  1. Turn to the nearest waypoint if there is one left. 
    1. If there is no waypoint left, stop.
    2. Move toward the nearest waypoint.
  2. If there is something in the way: 
    1. Go around it.
    2. After every 1.5 body lengths, go to step 1.
  3. If the robot has reached the waypoint: 
    1. Remove the reached waypoint from the list.
    2. Go to step 1.

Albeit this algorithm works well for an over-simplified map where all obstacles are simple geometric shapes, in more complex scenarios it may not fare as well. For instance, nestling a waypoint in the middle of a U-shaped obstacle would cause this algorithm to never end.

## Major Problem[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-3)]

With robots having greater and greater importance in our everyday lives, it is no wonder that collision avoidance (particularly dealing with human safety) is becoming an increasingly greater concern. Such concerns are not to be taken lightly. There is already one death associated with roboticide[[20]](Print_version.html#cite_note-22).

In addition to safety, other concerns can be generated:

  * Collision Avoidance Algorithmic Complexity
  * Computer Power
  * Sensor Accuracy / Throughput
  * Sensor Data Interpretation

Of course, as the algorithmic complexity of the collision avoidance algorithm increases, so does the required computer power. Some researchers are even finding it beneficial to use multiple processors in parallel (parallel processing) to “divide and conquer” such problems[[21]](Print_version.html#cite_note-23).

Sensor accuracy and throughput is becoming less a threat to successful collision avoidance. However, this doesn’t mean it is non-existent. During the process of engineering a collision-avoiding robot, trade-offs can be made that could potentially compromise the effectiveness of the sensors in how the robot behaves.

## Detection vs. Avoidance[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-4)]

Collision detection is simply the act of surveying the known vicinity of the robot and detecting the presence (or absence) of a possible collision. In order for a robot to avoid a collision, a collision must first be detected. Without collision detection, it doesn’t seem reasonable to have collision avoidance because there wouldn’t be anything to avoid (in the robot’s scope).

Collision avoidance is the plan for action the robot takes to evade the oncoming collision. As previously stated, there is no need for collision avoidance if there are no collisions to avoid.

## Collision Avoidance Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-5)]

### Quad Trees[[22]](Print_version.html#cite_note-24)[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-6)]

The use of quad trees allows for a simple collision avoidance algorithm. An approximation technique used here uses a type of data structure called a quad tree. A quad tree is similar to that of a binary tree except that a quad tree has four child nodes for each parent instead of just two.

Each child node is represented by a square of pixels in a “top-down” image of the robot’s surrounding landscape. Each square simply acts as a binary answer to the question, “Is there any possibility for a collision inside of this square?” If the answer is yes, then the square is avoided, otherwise, the square is noted for safe travel. An example of this is given in the figure below.

[File:Figure3.PNG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Figure3.PNG)

Approximation of a triangle using squares.

#### Advantages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-7)]

An advantage to using this algorithm is that retreating can be done fairly easily – by climbing back up the tree and trying a different approach. Of course, in a case where all of the obstacles have been found, a minimal path can easily be created using simple distance algorithms.

#### Disadvantages[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-8)]

A disadvantage to using this algorithm is that, due to the granularity of each square of pixels, it is possible for the obstacles to be close enough such that a robot wouldn’t notice that it could actually fit through a gap.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Collision_Avoidance&action=edit&section=T-9)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

  * [Player/Stage Wiki Page](http://en.wikipedia.org/wiki/Player/Stage_Project)

# Exploration[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=57)]

Exploration means having the robot filling in parts of the map. This requires sensors that detect the obstacles and localization to know where the robot is. Fusing this data allows the robot to fill in where the obstacle is on the map.

# Mapping[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=58)]

To find routes efficiently a robot has to know it's surroundings. Maps can be very handy for this. Either the robot has the memory and tools for it and draws its own map, gets its map in advance or get a partial map (e.g. only walls) and adds the other obstacles to it itself.

  * Getting the map in advance works fine in a static environment.
  * The partial map is a more efficient approach as it already contains all the static parts of the _world_.
  * Working from scratch is the best approach when the robot is often placed in new environments.

Drawing a map has 2 major issues:

  * Not all elements in the surroundings are stationary. Most sensors are too limited to measure directly if the obstacle is a wall, a chair or a person. A method for solving this issue is to use a "score" for each obstacle measured. Add to the score if the object is detected again when the robot passes the same location.
  * Localization isn't perfect. Small accumulating errors can make it hard to determine the exact location of the robot and therefor can make it hard to find where a detected obstacle has to be noted on the map. One solution to this problem is Simultaneous Localization and Mapping (SLAM), which corrects the location of detected objects based on the estimated error of the robots location.

A third minor issue is memory. On a robot build without a computer memory is limited and storing an entire map can be next to impossible. If you have the memory the map can be stored in different ways:

  * 2D array: Easy and fast to access, very wasteful with memory.
  * linked list: slower to use, more efficient with memory.
  * Quadtree: faster than linked list, much harder to implement, very efficient with memory.

Implementing these structures on a PC is reasonably easy, however constructing them in a limited environment as a microcontroller is a serious challenge.

# Trajectory Planning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=59)]

## Trajectory Planning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-1)]

Trajectory planning is moving from point A to point B while avoiding collisions over time. This can be computed in both discrete and continuous methods. Trajectory planning is a major area in robotics as it gives way to autonomous vehicles.

Trajectory planning is sometimes referred to as motion planning and erroneously as path planning. Trajectory planning is distinct from path planning in that it is parametrized by time. Essentially trajectory planning encompasses path planning in addition to planning how to move based on velocity, time, and kinematics.

### Problem Constraints[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-2)]

#### Holonomicity[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-3)]

Holonomicity is the relationship between the controllable degrees of freedom of the robot and the total degrees of freedom of the robot. If the number of controllable degrees of freedom are greater than or equal to the total degrees of freedom a robot is said to be holonomic. By using a holonomic robot many movements are much easier to make and returning to a past pose is much easier.

A car would be non-holonomic, as it has no way to move laterally. This makes certain movements, such as parallel parking, difficult. An example of a holonomic vehicle would be one using mecanum wheels, such as the new Segway RMP.[[23]](Print_version.html#cite_note-25)

#### Dynamic Environments[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-4)]

In dynamic environments, such as the real world, many possible collision objects are not stationary. This makes trajectory planning more difficult as time is constantly changing and objects are moving. A robot cannot simply move backwards in time as it might simply back away from a stationary collision. In addition to this many choices are completely irreversible due to terrain, such as moving off of a cliff.

### Concepts[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-5)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/46/Concepts.png/220px-Concepts.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Concepts of Trajectory Planning

Trajectory planning gives a path from a starting configuration S to a goal configuration G avoiding collisions in a 2D or 3D space.

A configuration is the pose of a robot describing its position. Configuration Space C, is the set of all configurations. For instance in two dimensions a robot's configuration would be described by coordinates (x, y) and angle θ. Whereas in three dimensions a robot's configuration would be described by coordinates (x, y, z) and angles (α, β, γ).

Free space Cfree is the set of all configurations that are collision free. Computing the shape of Cfree is not effecient, however computing if a given configuration is collision free is by simply using kinematics and collision detection from sensors.

### Planning Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-6)]

#### Potential Field Planning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-7)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/1/1e/Potential-field.png/220px-Potential-field.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Example of a Potential Field

Potential Field Planning places values over the map with the goal having the lowest value raising the value depending on the distance from the goal. Obstacles are defined to have an incredibly high value. The robot then simply moves to the lowest potential value adjacent to it, which should lead it to the goal. However this technique often gets trapped in local minima. Certain techniques can be used to avoid this, such as wavefront potential field planning.

#### Sampling Based Planning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-8)]

Roadmap method is one sampling based planning method. First a sample of N configurations in C as milestones. Then a line PQ is formed between all milestones as long as the line PQ is completely in Cfree. Then graph search algorithms can be used to find a path from start to the goal. As N grows better solutions are found, however this increases computation time.

#### Grid Based Planning[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Navigation/Trajectory_Planning&action=edit&section=T-9)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/5/57/Grid_based.png/220px-Grid_based.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Example of Grid Based Planning

Grid Based planning overlays a grid on the map. Every configuration then corresponds with a grid pixel. The robot can move from one grid pixel to any adjacent grid pixels as long as that grid pixel is in Cfree. Then a search algorithm such as A* can be used to find a path to get from start to the goal. One potential tradeoff with this method is with a lower resolution grid(bigger pixels) the search will be faster, however it may miss paths through narrow spaces of Cfree. In addition as the resolution of the grid increases memory usage increases exponentially, therefore in large areas using another path planning algorithm may be necessary.  


[[24]](Print_version.html#cite_note-26)[[25]](Print_version.html#cite_note-27)[[26]](Print_version.html#cite_note-28)[[27]](Print_version.html#cite_note-29)[[28]](Print_version.html#cite_note-30)

* * *

# Exotic Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=60)]

# Special Robot Brains[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=61)]

Most robots have an electronic "brain" (part that uses sensor input to determine actuator output). This can be either a simple electronic circuit, a µcontroller or a PC. This is not the only way to build a robot "brain".

## Mechanical Robot Brains[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Special_Robot_Brains&action=edit&section=T-1)]

One of the first robots was designed by Da Vinci, this was a small vehicle powered by wind-up springs and it was "programed" by changing gears. Although possible this kind of robot brains are very hard to design and build.

## Pneumatic Robot Brains[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Special_Robot_Brains&action=edit&section=T-2)]

If you need to automate some part of a plant where explosive gases are used it might be too dangerous to use electronic circuits. Instead pneumatic circuits are used. It's possible to construct logical circuits, timers, sequences,... using pneumatic valves and cylinders. You can find a lot of pneumatic valves for automation here: www.ngtvalves.com

# BEAM robotics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=62)]

_This page should discus BEAM robots, The Wikipedia link explains what BEAM robots are, other info over this type of robot can be added._

A special kind of robots are [BEAM robotics](http://en.wikipedia.org/wiki/BEAM_robotics).

# Cooperating Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=63)]

Ever take a good look at a swarm of flying insects? If you did you'd have seen very complicated patterns as if they coordinate their flight with precision. Yet each of these individual insect follow only 2 simple rules:

  * Get to the center of the swarm (the safest place)
  * Keep your distance from the other insects.

Because of the large number of creatures in such a swarm you get complicated behaviour even from such very simple rules. The same principle applies to ants. Although none of the ants are civil engineers they do succeed in building very complicated habitats.

This same principle can be applied to robots. A large number of small (and cheap) robots can cooperate to tackle a large problem. These swarms of robots are another challenge for robot designers as their behaviour isn't as simple to program as a single robot.

We talk more about "simple" swarming in [Robotics/Computer Control/Control Architectures/Swarm Robotics](http://en.wikibooks.org/wiki/Robotics/Computer_Control/Control_Architectures/Swarm_Robotics) and more complicated coordination in [Robotics/Exotic Robots/Modular and fractal robots](http://en.wikibooks.org/wiki/Robotics/Exotic_Robots/Modular_and_fractal_robots).

# Hazardous Environment Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=64)]

The definition of hazardous is involving or exposing one to risk.[[29]](Print_version.html#cite_note-31) Some examples of hazardous environments would be nuclear reactors, outside earth’s atmosphere, and even behind enemy lines in war. Robots help humans in many different ways; mostly being able to do task that could be harmful toward the average human being. So in society, robots perform important tasks that your average human being can not perform because of being to dangerous or harmful to their health.

## Mars Pathfinder[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/82/Marspathrov.jpg/220px-Marspathrov.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sojourner, the Mars Pathfinder rover

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Sojourner_side_view.gif/220px-Sojourner_side_view.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sojourner, the Mars Pathfinder rover

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Sojourner.gif/220px-Sojourner.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sojourner, the Mars Pathfinder rover

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/Mars_Science_Laboratory_mockup_comparison_.jpg/220px-Mars_Science_Laboratory_mockup_comparison_.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Mars Science Laboratory mockup (right) compared with the Mars Exploration Rover (left) and Sojourner rover (center)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Sojourner_on_Mars_PIA01122.jpg/220px-Sojourner_on_Mars_PIA01122.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sojourner on Mars

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Pathfinder01.jpg/220px-Pathfinder01.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sojourner taking an X-ray measurement of Yogi.

In space robot have been use as rovers that travel to a distant planets and take data from its surroundings, such as Mars Pathfinder. Using a rover is cheaper than sending humans into space. One of the missions was to “demonstrate a simple, low-cost system, at fixed price for placing a science payload on the surface of Mars at 1/15 the Viking price tag” (jpl.nasa). This is cheaper because going to Mars for humans would require the space shuttle to carry food, oxygen, be able to stand the extreme temperature differences, and especially, be safe enough to carry humans.[[30]](Print_version.html#cite_note-32)

## Hubble Telescope[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-2)]

Another robot that is in space right now is the Hubble Telescope. The Hubble telescopes purpose is to provide “unprecedented deep and clear views of the Universe, ranging from our own solar system to extremely remote fledgling galaxies forming not long after the Big Bang 13.7 billion years ago” (hubble). This robot takes clear photos of the solar system. This is a great example of hazardous environment because the Hubble has been taking pictures since 1990 and aside of a few repairs, it has lasted a lot longer than was originally expected to last. [[25]](http://www.sc.gov/NR/rdonlyres/93C9CEAE-361E-4F3B-B4C4-CEDD151A6321/2769/FloatingHubble.jpg)

## Pioneer[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-3)]

Another application is in nuclear environments such as the aftermath of Chernobyl which a disaster that was cause by a nuclear reactor that released a large amount of radioactivity into the environment followed power explosion which destroyed the reactor. The Pioneer is a robot that was built to withstand the radioactive environment in order to deploy sensors, sampling payloads, map the environment in 3D, and cut and retrieve samples of structural materials. A robot has to be used because of rugged terrain, high radiation, and complete darkness (frc.ri.cmu). [[26]](http://www.frc.ri.cmu.edu/projects/pioneer/pics/PioneerAtUnit4.jpg)

## pipeline inspection[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-4)]

A variety of robots and robot-like devices are used to inspect pipelines. Some of them visually inspect more-or-less empty pipelines or pipelines full of clear water. Others use "fingers" to mechanically feel the interior shape of the pipeline, sensing interior pitting; or magnetically measure the thickness of the pipeline, indirectly sensing exterior pitting; or use other kinds of sensors while inspecting pipelines full of oil/sewage/etc. Most pipelines have at least one characteristic making robots more practical than direct human inspection: too narrow for an adult human to squeeze through, and too long to inspect the entire length from the ends; or filled with some unpleasant substance, or filled with some opaque substance, or some combination.

A common form of locomotion in a pipeline is to passively let the pressure of the product in the pipeline sweep the robot downstream.

Active locomotion is necessary when the pipe is empty or the robot needs to travel upstream. A robot can move through pipes using peristaltic locomotion,[[31]](Print_version.html#cite_note-33) wheels,[[32]](Print_version.html#cite_note-34) or a variety of other locomotion techniques.

## Talon Sword[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-5)]

Robots are also used in war. From unmanned aerial vehicles or UAV to ground gunned vehicles, they are used because they put the soldiers out of the way of the bullets. The Talon Sword is used as a military ground robot that ranges from reconnaissance to weapons delivery. “The suitcase-portable robot [Talon Sword] is controlled through a two-way RF or F/O line from a portable or wearable Operator Control Unit (OCU) that provides continuous data and video feedback for precise vehicle positioning” (globalsecurity). This makes it easier for the soldier to operate out of range. [[27]](http://xirdal.lmu.de/xirdalium/xpix/talon_swords.png)

## Predator[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-6)]

Another robot used in the military is the Predator. The Predator is a UAV that was developed originally in 1996 and main purpose is to be used in armed reconnaissance, airborne surveillance, and target acquisition (af.mil). [[28]](http://www.defenseindustrydaily.com/images/AIR_UAV_MQ-1_Predator_lg.jpg)

## Conclusion[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Hazardous_Environment_Robots&action=edit&section=T-7)]

A major reason for robots is the fact that they can go more places than a human can. They are efficient and in most case get the job done that a human can not. And even though a robot that is built to perform in these hazardous environments cost anywhere from a couple hundred thousand to a couple hundred million, no robot cost is worth more than a human’s life.

[[33]](Print_version.html#cite_note-35)[[34]](Print_version.html#cite_note-36)[[35]](Print_version.html#cite_note-37)[[36]](Print_version.html#cite_note-38)[[37]](Print_version.html#cite_note-39)[[38]](Print_version.html#cite_note-40)

# Types of Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=65)]

In general, robots are classified based on their capabilities. Some standard classifications of robots include their [domain of operation](Print_version.html#Domain_of_operation), [degree of autonomy](Print_version.html#Degree_of_autonomy), and the [goal](Print_version.html#Goal) they are designed to fulfill.

### Domain of Operation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots&action=edit&section=T-1)]

Robots can be designed and built for any environment imaginable. One popular way of classifying robots is by what environments they're designed to operate in. Some typical examples include:

Stationary
    These robots are fixed in one place and cannot move. This category includes robotic [arms](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Arms&action=edit&redlink=1), computerized machine tools, and most other Industrial Robots.
    Industrial Robots are robots used in mass production e.g. welding robots, CNC plate cutters or CNC drills. The large majority of these robots are stationary and tethered to a computer.
Ground
    These robots are designed to operate on the surface of the earth or other planet, and are usually sub categorized by their drive train:

    

  * [Wheels](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Wheeled&action=edit&redlink=1)
  * [Tracks](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Tracked&action=edit&redlink=1)
  * [Legs](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Walkers&action=edit&redlink=1)

Underwater
    Also known as Autonomous Underwater Vehicles, these are designed to operate underwater, possibly at great depth.
Aerial
    Unmanned Aerial Vehicles are various kinds of robotic flying machines, including planes and helicopters.
Microgravity
    Robots that have been designed to operate in low-gravity environments, such as earth orbit.
other specific [Hazardous Environments](http://en.wikibooks.org/wiki/Robotics/Exotic_Robots/Hazardous_Environment_Robots)

### Degree of Autonomy[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots&action=edit&section=T-2)]

**Autonomy** is the quality of being self-controlled. One measure of autonomy is the amount of human control that is required for the robot's operation. An autonomous robot can operate properly without intervention indefinitely and can deal with unexpected problems gracefully. Teleoperated robots constantly require humans to send the robot control signals. These are only the endpoints; there is a continuum of possibilities between them.

A robot can also be classified by how self-contained it is. Power, logic circuitry, and other things may be located either on the main chassis or connected via a cable tether or wireless link from another location.

### Goal[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots&action=edit&section=T-3)]

Robots are also routinely categorized by the goals they are designed to achieve. These include [contests](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Contest_Robot&action=edit&redlink=1), personal enrichment, manufacturing, and [entertainment](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version/Entertainment_Robot&action=edit&redlink=1).

# Contest Robot[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=66)]

# Contests[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-1)]

Here are a few examples of contests with robots:  
([Here's](http://robots.net/rcfaq.html) a list of different contests)

## Fire fighter[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-2)]

In a fire fighter contest the robot has to find the flame of a candle and extinguish it.

See [this site](http://www.trincoll.edu/events/robot/) for an example.

## Maze or obstacle course navigator[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-3)]

### Maze[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-4)]

Find the way through the maze as fast as possible.

For example: [see this site.](http://imd.eng.kagawa-u.ac.jp/maze/index_j.html)

For a video examples:

  * [video 1](http://www.youtube.com/watch?v=_L9rkLAskWU)
  * [video 2](http://www.youtube.com/watch?feature=endscreen&NR=1&v=ZtOtrVB_r0w)
  * [video 3](http://www.youtube.com/watch?feature=endscreen&NR=1&v=ZtOtrVB_r0w) (multiple contestants--both successful and not)

### Obstacle Course[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-5)]

There are many different obstacle course to build for a robot contest. The Melexis Safety Trophy has tin cans with small candles inside and concrete bricks as obstacles and tennis balls (which the robot had to touch) for extra points. Another contest uses traffic signs with arrows to direct the way.

See [this site](http://www.trophy.melexis.com/en/home.htm) for an example.

## Soccer robot[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-6)]

Robots playing soccer. The goal of this type of contest is to build a team of robots that can work together.

See [this site](http://www.newtonlabs.com/soccer/) for an example.

## Sumo Robot[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-7)]

In this type of contest 2 robots are placed on a playground within a large circle. The goal is to push the other robot out of this circle.

See [here](http://www.botlanta.org/MonthlyContest/sumo/mini-sumo.html) for an example.

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Contest_Robot&action=edit&section=T-8)]

  * ["Knox Computer Club Robot Sumo Competition"](http://cs.knox.edu/Sumo/Sumo2008.html)
  * ["Building a Sumo robot"](http://www.mouldy.org/project/Sumo-Robot-Overview) by ian 2006
  * How to make a ["Mini Robot Sumo Ring"](http://www.robotroom.com/SumoCircleMini.html) by David Cook

# Entertainment Robot[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=67)]

These are robots that have no real _useful_ application. They're build for fun and practice but little else more. Most homebuilt robots would fall in this category.

They can be simple robots that use simple sensors (light sensor, sound, bumper switches) and have simple behavior, but they could as well have complex sensors and extensive programming.

One other category of robots that's very close related to this category are robot build as "tech-demos". For example the Asimo robot.

# Arms[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=68)]

Arms are types of jointed robot manipulator that allow robots to interact with their environment. Many have onboard controllers or translators to simplify communication, though they may be controlled directly or in any number of ways. Due to this fact, standalone arms are often classified as full robots.  


**Types of Robotic Arms**

There are many different types of robotic arms, but most can be characterized into one of six major categories by their mechanical structure. Cartesian (also known as Gantry) robots have three joints that are coincident with the standard X-Y-Z Cartesian axes. Cylindrical arms have any number of joints that operate on a cylindrical axis, normally rotating about one fixed rod. Spherical (polar) arms are those with joints that allow it full rotation throughout a spherical range. SCARA robots have two parallel rotary joints to allow full movement throughout a plane, typically for pick-and-place work. Articulated robots are used for complex assembly operations, and consist of three or more rotary joints. Parallel robots have three concurrent prismatic or rotary joints, and allow for tilting of heavy or sensitive platforms.  


![](../../../upload.wikimedia.org/wikibooks/en/6/68/MultiArm.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

(Left to Right) Gantry Robot, Articulated Robot, SCARA Robot

  


**Applications**

Robotic arms are typically used in industry. Repetitive autonomous robots perform one task repeatedly based upon predetermined movements and specifically located objects. Start and stop commands are determined by position, acceleration, deceleration, distance, and direction. More complex actions are executed based upon sensor processing. If object orientation or position is unknown, arms are often paired with machine vision and artificial intelligence to identify the object and subsequently control the arm.  


![](../../../upload.wikimedia.org/wikibooks/en/5/5b/FactorySetup.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Standard Robotic Factory Setup

  


**Parameters**

Arms are typically defined by fourteen different parameters.

**Number of Axes** – Two axes are needed to reach any point in a plane. Three are required to reach a point in space. Roll, pitch, and yaw control are required for full control of the end manipulator.  
**Degrees of Freedom** – Number of points a robot can be directionally controlled around. A human arm has seven degrees; articulated arms typically have up to 6.  
**Working Envelope** – Region of space a robot can encompass.  
**Working Space** – The region in space a robot can fully interact with.  
**Kinematics** – Arrangement and types of joints (Cartesian, Cylindrical, Spherical, SCARA, Articulated, Parallel)  
**Payload** – Amount that can be lifted and carried  
**Speed** – May be defined by individual or total angular or linear movement speed  
**Acceleration** – Limits maximum speed over short distances. Acceleration is given in terms of each degree of freedom or by axis.  
**Accuracy** – Given as a best case with modifiers based upon movement speed and position from optimal within the envelope.  
**Repeatability** – More closely related to precision than accuracy. Robots with a low repeatability factor and high accuracy often need only to be recalibrated.  
**Motion Control** – For certain applications, arms may only need to move to certain points in the working space. They may also need to interact with all possible points.  
**Power Source** – Electric motors or hydraulics are typically used, though new methods are emerging and being tested.  
**Drive** – Motors may be hooked directly to segments for direct drive. They may also be attached via gears or in a harmonic drive system  
**Compliance** – Measure of the distance or angle a robot joint will move under a force.  


**End Effectors**

The arm itself is only responsible for positioning. An end effector is necessary for actual environmental interaction. Some common choices are grippers, sprayers, grinders, welders, and vacuums, though many other options are available. There is a large variance in complexity, ranging from flush mounted, non-moving parts (magnets or sticky pads) to multi-jointed, multi-sensor parts with various inputs and outputs. End effectors are typically chosen based upon the application, and many arms will fit multiple end effectors.  


**Distribution**

A 2006 Japanese report shows that 60% of robotic arm installations were for articulated robots, 22% were for gantry, 13% were SCARA, and 4% were Cylindrical. The automobile industry has the highest concentration of industrial robots with nearly 1 robot per 10 people.  


**Biological Modeling**

Biological design of robotic components is becoming increasingly popular. Currently, the Shadow Company (famous for the Shadow Hand) is working on a biomorphic arm that accurately models a human arm. The arm has seven degrees of freedom like the human arm which greatly increases its efficiency.

![](../../../upload.wikimedia.org/wikibooks/en/9/96/Shadowhand.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Shadowhand

  


Researchers at Fraunhofer Institute for Manufacturing Engineering and Automation IPA in Stuttgart have begun working on an arm that is modeled after an elephant’s trunk. The arm uses a cord that is connected to a drive shaft at its midpoint. When the shaft turns, the cord wraps around it both ways forming a double helix. Their prototype arm uses ten of these cord systems with two motors attached to each (the second acts as a failsafe for increased safety).

Similarly, biologists at Hebrew University in Jerusalem are studying Octopi tentacles as a possible model for future robotic arm development. An prototype has not yet been built, but arm design has recently begun.

Additionally, two monkeys learned to control robotic arms through sensors implanted on their brains in a study performed the University of Pittsburgh and Carnegie Mellon University. While not currently practical, the study confirms that brain-controlled prosthetics are feasible and has sparked interest in the area.  


# Wheeled[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=69)]

# Wheeled Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-1)]

Wheeled robots are robots that navigate around the ground using motorized wheels to propel themselves. This design is simpler than using treads or legs and by using wheels they are easier to design, build, and program for movement in flat, not-so-rugged terrain. They are also more well controlled than other types of robots. Disadvantages of wheeled robots are that they can not navigate well over obstacles, such as rocky terrain, sharp declines, or areas with low friction. Wheeled robots are most popular among the consumer market, their differential steering provides low cost and simplicity. Robots can have any number of wheels, but three wheels are sufficient for static and dynamic balance. Additional wheels can add to balance; however, additional mechanisms will be required to keep all the wheels in the ground, when the terrain is not flat.

## Navigation[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-2)]

Most wheeled robots use differential steering, which uses separately driven wheels for movement. They can change direction by rotating each wheel at a different speed. There may be additional wheels that are not driven by a motor these extra wheels help keep it balanced.

## 2-wheeled robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-3)]

Two wheeled robots are harder to balance than other types because they must keeping moving to maintain upright. The center of gravity of the robot body is kept below the axle, usually this is accomplished by mounting the batteries below the body. They can have their wheels parallel to each other, these vehicles are called dicycles, or one wheel in front of the other, tandemly placed wheels. Two wheeled robots must keep moving to remain upright and they can do this by driving in the direction the robot is falling. To balance, the base of the robot must stay with under its center of gravity. For a robot that has the left and right wheels, it needs at least two sensors. A tilt sensor that is used to determine tilt angle and wheel encoders which keep track of the position of the platform of the robot.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/e/e4/Swing-type_robot.png/288px-Swing-type_robot.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Swing-type robot

### Examples[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-4)]

#### Roomba[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-5)]

Roombas are two-wheeled vacuum cleaners that automatically moves around cleaning up a room. They utilizes a contact sensor in the front and a infrared sensor on its top.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Roomba_original.jpg/288px-Roomba_original.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Roomba

#### Segway[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-6)]

[Segways](http://www.segway.com/) are self-balancing dicycle electric vehicles.

  


#### Ghost Rider[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-7)]

[Ghost Rider](http://www.ghostriderrobot.com/) was the only two wheeled robot entered for the [Darpa Grand 2005 Challenge](http://www.darpa.mil/grandchallenge05/). It was unique because of its motorcycle design, unlike the other two-wheeled robots, the wheel alignment is front and back, which makes it harder to balance as it turns. This tandem design of the wheels is much less common than that of a dicycle.

## 3-wheeled vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-8)]

3-wheeled robots may be of two types: differentially steered (2 powered wheels with an additional free rotating wheel to keep the body in balance) or 2 wheels powered by a single source and a powered steering for the third wheel. In the case of differentially steered wheels, the robot direction may be changed by varying the relative rate of rotation of the two separately driven wheels. If both the wheels are driven in the same direction and speed, the robot will go straight. Otherwise, depending on the speed of rotation and its direction, the center of rotation may fall anywhere in the line joining the two wheels.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Tanklike.png/288px-Tanklike.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Differentially steered 3 wheeled vehicle

The center of gravity in this type of robot has to lay inside the triangle formed by the wheels. If too heavy of a mass is mounted to the side of the free rotating wheel, the robot will tip over.

## Omni Wheels[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-9)]

Another option for wheeled robots that makes it easier for robots with wheels not all mounted on the same axis to have Omni Wheels. An omni wheel is like many smaller wheels making up a large one, the smaller ones have axis perpendicular to the axis of the core wheel. This allows the wheels to move in two directions, and the ability to move holonomically, which means it can instantaneously move in any direction. Unlike a car, which moves non-holnomicallly and has to be in motion to change heading. Omni-wheeled robots can move in at any angle in any direction, without rotating beforehand. Some omni wheel robots use a triangular platform, with the three wheels spaced at 60 degree angles. Advantages of using 3 wheels and not 4 are that its cheaper, and 3 points are guaranteed to be on the same plane, so each wheel in contact with the ground, but only one wheel will be rotating in the direction of travel. The disadvantages of using Omni wheels is that they have poor efficiency due to not all the wheels rotating in the direction of movement, which also causes loss from friction, and are more computationally complex because of the angle calculations of movement.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Omniwheel.png/288px-Omniwheel.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A simple omni wheel. The free rotating rollers (dark gray) allow the wheel to slide laterally.

  


## 4-wheeled vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-10)]

### 2 powered, 2 free rotating wheels[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-11)]

Same as the Differentially steered ones above but with 2 free rotating wheels for extra balance.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/46/4wheel_2free.png/288px-4wheel_2free.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

2 powered, 2 free rotating wheels

More stable than the three wheel version since the center of gravity has to remain inside the rectangle formed by the four wheels instead of a triangle. This leaves a larger useful space. Still it's advisable to keep the center of gravity to the middle of the rectangle as this is the most stable configuration, especially when taking sharp turns or moving over a non-level surface.

### 2-by-2 powered wheels for tank-like movement[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-12)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0c/ActivMedia_Pioneer_3-AT_robot.jpg/220px-ActivMedia_Pioneer_3-AT_robot.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Pioneer 3-AT robot has four motors and four unsteered wheels; on each side a pair of motors drives a pair of wheels through a single belt.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/d/d1/4wheel_4drive.png/288px-4wheel_4drive.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

4 wheel drive

This kind of robot uses 2 pairs of powered wheels. Each pair (connected by a line) turn in the same direction. The tricky part of this kind of propulsion is getting all the wheels to turn with the same speed. If the wheels in a pair aren't running with the same speed, the slower one will slip (inefficient). If the pairs don't run at the same speed the robot won't be able to drive straight. A good design will have to incorporate some form of car-like steering.

### Car-like steering[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-13)]

![](../../../upload.wikimedia.org/wikibooks/en/thumb/2/28/Differential_drive.png/288px-Differential_drive.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Differential Steering

This method allows the robot to turn in the same way a car does. This is a far harder method to build and makes dead reckoning much harder as well. This system does have an advantage over previous methods when your robot is powered by a combustion engine: It only needs one motor (and a servo for steering of course). The previous methods would require either 2 motors or a very complicated gearbox, since they require 2 output axles with independent speed and direction of rotation.

### Examples[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-14)]

The [DARPA Grand and Urban Challenges](http://www.darpa.mil/grandchallenge/index.asp) pit robotic cars against one another in a series of navigational tests. These robots are fully automated and drive themselves along the test course. The DOD sponsors the competition and it is used to facilitate robotic development.

## 5 or more wheeled vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-15)]

For larger robots. Not always very practical.  
Especially when more powered wheels are used the design becomes much more complex as each of the wheels have to turn with the same speed when the robot has to move forwards. Differences in speed between the left and right wheels in differentially steered robots cause the robot to move to the side instead of in a straight line. Difference in speed between wheel on the same side cause slipping of the slowest wheel.

Sometimes an extra free rotating wheel with odometry is added to the robot. This measures more accurately how the robot moves. Odometry on the powered wheels excludes slip and other movements and thus could be erroneous.

### Examples[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-16)]

[The Mars Rovers](http://marsrover.nasa.gov/home/index.html) (Sojourner, Spirit, Opportunity) are six wheeled robots that navigate across Martian terrain after landing. They are used to examine territory, interesting landmarks and make observations about the surface of Mars. They have a suspension system which keeps all six wheels in contact with the surface, and helps them traverse slopes ans sandy terrain.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Pathfinder01.jpg/288px-Pathfinder01.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Sojourner Rover

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Mars_rovers_wheels_isometric.jpg/288px-Mars_rovers_wheels_isometric.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Mars rover wheels sizes: Mars Exploration Rover (MER), Sojourner (Mars Pathfinder mission) and Mars Science Laboratory (from left to right)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d8/NASA_Mars_Rover.jpg/288px-NASA_Mars_Rover.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Artist's Concept of Rover on Mars

## One Wheel[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-17)]

One wheeled robots are extremely difficult to keep balanced due to the single point of contact with the ground. There have been experimental designs and robots that do only have one wheel. It is easier to use a spherical wheel rather than a typical disc wheel, as the robot can move in any direction along the sphere. [An example sketch](http://mrl.nyu.edu/~perlin/experiments/rosie/rosie-sketch.html) shows the basic idea of using gyroscopes and counter-torque mechanisms to keep the robot upright. The spinning flywheels stabilize and tilt it, allowing for non-holonomic movement.

# External links[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Wheeled&action=edit&section=T-18)]

  * [Dicycles and Diwheels throughout history](http://www.aqpl43.dsl.pipex.com/MUSEUM/TRANSPORT/diwheel/diwheel.htm)
  * [Differential robots](http://en.wikipedia.org/wiki/Differential_wheeled_robot)
  * [Two wheeled nbot](http://www.geology.smu.edu/~dpa-www/robo/nbot/)
  * [Three omni wheeled robot](http://www.societyofrobots.com/robot_omni_wheel.shtml)
  * [Omni wheels](http://www.omniwheel.com/omniwheel/omniwheel.htm)
  * [Darpa Grand Challenge](http://www.darpa.mil/GRANDCHALLENGE/)
  * [Ghost rider Robot](http://www.ghostriderrobot.com/)
  * [Rosie the Robot - a Question of Balance](http://mrl.nyu.edu/~perlin/experiments/rosie/)
  * [Different types of Wheeled robots](http://www.robotplatform.com/knowledge/Classification_of_Robots/Types_of_wheeled_robots.html)

# Tracked[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=70)]

This type of robot uses tracks like tanks for movement. it's very effective in outdoor environments, especially on loose sand. However on concrete it's less effective than wheeled vehicles.

# Walkers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=71)]

# Legged Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-1)]

“In the early days of air travel, detractors used to argue that, if God had meant us to fly, he would have given us wings. Had he meant us to roll, he might also have given us wheels – but instead we, along with the great preponderance of land animals great and small, have wound up traveling on legs.”[[29]](Print_version.html#endnote_McGeer92)

## Legs v. Wheels[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-2)]

Most man-made vehicles today travel on wheels and for good reason: wheels are much easier to construct and control. In today’s economy, they also tend to be much cheaper than their legged counterparts. However legs have distinct advantages over wheels. The biggest advantage is in transversability and efficiency. Legged robots have a unique ability to:

  * Isolate their body from terrain irregularities
  * Avoid undesirable footholds
  * Regulate their stability
  * Achieve energy efficiency[[30]](Print_version.html#endnote_Gait)

These advantages are very desirable in modern robotics, and therefore a lot of research is being put into creating robots that can walk. The most challenging task in designing a legged robot is to create a system that can generate the proper gait. [[31]](Print_version.html#endnote_Gait)

## Dynamic v. Static[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-3)]

Locomotion techniques can be divided into two main categories: static and dynamic.

Robots that use static movement are always balanced; that is, their center of gravity is always within their ground contact base. While this technique has been successfully used to create many robots (included wheeled ones), it is more akin to wheeled movement than true dynamic walking and as such retains fewer of the advantages. While more adept at transversing uneven terrain than most wheeled robots, robots that use static walking are very inefficient as power is put into every movement. However, robots that use static walking are much easier to control than their dynamic counterparts and thus often more viable.

Dynamic walking is characterized in that the robot is not always in balance. Many robots that use dynamic walking are continually “falling” and thus much more energy efficient. Dynamic walking requires much more complex control systems in order to not fall. Robots utilizing dynamic walking cannot use the same motions at different speeds to attain different speeds of movement, but must use entirely different motions at different speeds. However, dynamic walking can achieve many more advantages over wheeled locomotion. Dynamic walking is found very abundantly in nature.

A subset of dynamic walking is called passive dynamic movement. Most dynamic walking systems use active control to move the legs to the correct orientations for walking (hence active dynamic walking). Passive dynamic walking is characterized by a system where “gravity and inertia alone generate the locomotion pattern.” [[32]](Print_version.html#endnote_McGeer90) Passive dynamic movement can be achieved with maximum efficiency, as the vehicle uses its own forward momentum to propagate its next movement. Very little energy is lost from the system. Most of the concepts of passive dynamic walking and research conducted in the field was done by aeronautical engineer Tad McGeer between 1988 and 1992.[HistToys](Print_version.html#endnote)

## More Than Four[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-4)]

Many different walking robots have been developed that use six or more legs. This is due to the fact that a robot using this many legs can be controlled with static walking techniques rather than dynamic walking. Most of the walking techniques can be demonstrated sufficiently using the six legged model:

_Wave Gait_

![6 neutral.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/6_neutral.jpg/150px-6_neutral.jpg)
![6 cat 1.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5c/6_cat_1.jpg/150px-6_cat_1.jpg)
![6 cat 2.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/80/6_cat_2.jpg/150px-6_cat_2.jpg)
![6 cat 3.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/6_cat_3.jpg/150px-6_cat_3.jpg)
![6 cat 4.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8b/6_cat_4.jpg/150px-6_cat_4.jpg)

(1)
(2)
(3)
(4)
(5)

  1. Six legged robot in neutral position
  2. Front pair of legs move forward
  3. Second pair of legs move forward
  4. Third pair of legs move forward
  5. Body follows legs forward

_Tripod Gait_

![6 neutral.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/6_neutral.jpg/150px-6_neutral.jpg)
![6 alt 1.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/6_alt_1.jpg/150px-6_alt_1.jpg)
![6 alt 2.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2a/6_alt_2.jpg/150px-6_alt_2.jpg)
![6 cat 4.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8b/6_cat_4.jpg/150px-6_cat_4.jpg)

(1)
(2)
(3)
(4)

  1. Six legged robot in neutral position
  2. Alternating legs move forward on either side
  3. All other legs move forward
  4. Body follows legs forward

Most robots using six or more legs use a variation of one of these two gait models.

## Four Legs[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-5)]

A system on four legs is another walking scheme found readily in nature. Four legged robots have the advantage of being statically stable when not moving, but require dynamic walking control. There are many different ways for a four legged robot to walk including alternating pairs and opposite pairs as in six legged robots. However these techniques now cease to be statically stable and thus require dynamic control.

Boston Dynamics has developed a four legged robot for DARPA (Defense Advanced Research Projects Agency) called “Big Dog,” that they claim is “the most advanced quadruped robot on earth.”[[33]](Print_version.html#endnote_BigDog) Big Dog can run at four miles per hour, climb thirty five degree slopes, and carry 340 pounds. But the most impressive feature is its dynamic walking: Big Dog can recover from slipping and even being pushed. Its behavior is such that it approaches the infamous “uncanny valley” (<http://en.wikipedia.org/wiki/Uncanny_Valley>). The Boston Dynamics website (<http://bostondynamics.com/content/sec.php?section=BigDog>) features a video demonstration of Big Dog’s abilities.

## Three Legs[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-6)]

Three legged robots are not very common, especially since they have no biological counterparts. However, researchers at Virginia Tech’s RoMeLa lab have developed a three legged robot STriDER that uses a “revolutionary” passive dynamic walking technique. STriDER is short for Self-excited Tripedal Dynamic Experimental Robot. STriDER sways until it can lift one leg, and using the other two as an A-frame, swing it in between the other two “stance” legs moving forward at a sixty degree angle. This patent pending “tripedal gait” is extremely energy efficient and requires minimal control. It also allows STriDER to easily change directions by changing the sequence of its steps. A video posted by the development team can be found at [http://www.youtube.com/watch?v=7XsaJwKKBYo&feature=related](http://www.youtube.com/watch?v=7XsaJwKKBYo&feature=related).

## Two Legs[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-7)]

Two legged robots have probably seen the most development dollars since humanoid robots have been envisioned since the very beginning of the field. Much of the development in passive dynamic walking has been done in this area. The design of a bipedal passive dynamic walker begins with the concept of a wheel with spokes. If the wheel is divided into sections, and all but two removed, we have what appears to be a set of legs. When the mass is properly distributed, the legs each act as inverted pendulums and the robots “rolls” through its steps.

![Wheel 1.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Wheel_1.jpg/150px-Wheel_1.jpg)
![Wheel 2.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/51/Wheel_2.jpg/150px-Wheel_2.jpg)
![Wheel 3.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/be/Wheel_3.jpg/150px-Wheel_3.jpg)
![Wheel 4.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Wheel_4.jpg/150px-Wheel_4.jpg)

Further complexity can be added to the model by using knee joints to shorten the legs (allowing one to swing past the other without touching the ground) and ankle joints that can provide a “spring” to the step to add lost energy back into the system. For a more in-depth explanation of passive dynamics walking visit <http://www-personal.umich.edu/~artkuo/Passive_Walk/passive_walking.html>.

There are several robots that have used these concepts to achieve firsts in the field of robotics. “RunBot,” developed in Germany and Scotland, broke the speed record per size for a robot in April 2006 by walking at 3.5 leg-lengths per second.[[34]](Print_version.html#endnote_robotRecord) The Cornell Ranger, while not truly passive, is passive inspired and one of many robots that has more than two legs but is still classified as bipedal. When viewed from the side, Ranger appears to have only two legs, but it actually has four legs. These four legs act in pairs of two, qualifying it as bipedal but providing better lateral stability. On April 3, 2008 Ranger walked 9.07 kilometers without stopping, an unofficial record at that time (it has since been surpassed, according to the Cornell team, by Boston Dynamic’s Big Dog).[[35]](Print_version.html#endnote_Ranger)

One of the most successful companies at building bipedal robots over the years has been Honda. Their most recent model, ASIMO, is one of the few bipedal robots that appears humanoid, can climb stairs, and carries its own power supply. ASIMO can also change its gait in real time using Honda’s i-WALK technology. This allows ASIMO to continuously change speeds and direction. The robot can walk up stairs and run up to four miles per hour.[[36]](Print_version.html#endnote_Asimo)

## One Leg[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-8)]

1980 and 1993 there was a lot of research in making one legged robots at the Massachusetts Institute of Technology (MIT). The MIT lab turned out a series of “MIT hoppers” that could balance themselves and traverse a path. The biggest challenge with the hoppers was that they could not stand still; they needed to continue hopping in order to maintain their balance. Researchers were able to build a 3-D One-Leg Hopper that “hopped in place, traveled at a specific rate, followed simple paths, and maintained balance when disturbed.”[[37]](Print_version.html#endnote_MITLegs) They also constructed a hopper named Uniroo that used an actuated tail to maintain its balance.[[38]](Print_version.html#endnote_MITLegs)

  


# References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Types_of_Robots/Walkers&action=edit&section=T-9)]

  1. **[^](Print_version.html#ref_McGeer92)** “McGeer_1992_Chap.pdf (application/pdf Object).” 10 Oct 2008 <<http://www-personal.umich.edu/~shc/McGeer_1992_Chap.pdf>>.
  2. **[^](Print_version.html#ref_Gait)** “Gait Generation for Orthogonal Legged Robots.” 13 Oct 2008 <<http://ranier.hq.nasa.gov/telerobotics_Page/Technologies/0302.html>>.
  3. **[^](Print_version.html#ref_McGeer90)** “mcgeer_1990_passive_dynamic_walking.pdf (application/pdf Object).” 13 Oct 2008 <<http://ruina.tam.cornell.edu/research/topics/locomotion_and_robotics/history/papers/mcgeer_1990_passive_dynamic_walking.pdf>>.
  4. **[^](Print_version.html#ref_HistToys)** “History of Passive Dynamics & Toys.” 13 Oct 2008 <<http://ruina.tam.cornell.edu/research/topics/locomotion_and_robotics/history.htm>>.
  5. **[^](Print_version.html#ref_BigDog)** “Boston Dynamics: The Leader in Lifelike Human Simulation.” 13 Oct 2008 <<http://bostondynamics.com/content/sec.php?section=BigDog>>.
  6. **[^](Print_version.html#ref_robotRecord)** “Robot Shatters Speed-Walking Record | LiveScience.” 13 Oct 2008 <<http://www.livescience.com/technology/060428_speedy_robot.html>>.
  7. **[^](Print_version.html#ref_Ranger)** “Cornell Ranger, walking robot.” 13 Oct 2008 <<http://ruina.tam.cornell.edu/research/topics/locomotion_and_robotics/papers/CornellRanger/index.html>>.
  8. **[^](Print_version.html#ref_Asimo)** “ASIMO - The World's Most Advanced Humanoid Robot.” 13 Oct 2008 <<http://asimo.honda.com/InsideASIMO.aspx>>.
  9. **[^](Print_version.html#ref_MITLegs)** “MIT Leg Lab Robots.” 13 Oct 2008 <<http://www.ai.mit.edu/projects/leglab/robots/robots-main.html>>.

# Modular and fractal robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=72)]

A robot is generally designed for one particular activity, or at best a few closely related activities. This of course isn't the ideal situation as many jobs require a large number of very different activities. For example, building the walls of a house and installing plumbing and electricity require very different tools and techniques. In practice this means you'll end up designing either several different robots or a very complicated one.

Modular robotics is one answer to such problems. Typical modular robots consist of a number of independent cubes, which can move and connect themselves in many different ways. Each of the cubes have their own power supply and intelligence and can have specific tools. When a problem is fed to its computer, it analyzes it and connects the cubes in such a way that it can solve the problem.

Ideally such a robot would consist of a very large number of very small identical cubes. This is similar to the way plants, animals or humans are consisting of many cells, which are practically identical, with the difference that specification would happen in software rather than in chemical composition.

The difference between fractal and modular robotics is that the former allows multiple sizes of cubes and the latter does not.

Most people are familiar with the fact that sufficient quantities of clay bricks (architectural bricks) or Lego bricks can be used to approximate nearly any shape, and so our introduction to modular robotics was in terms of cubes. Instead of making each cube independent, some researchers make pairs or triplets of cubes independent[[39]](Print_version.html#cite_note-41). However, some roboticists point out that rhombic dodecahedron are, in some ways, superior to cubes[[40]](Print_version.html#cite_note-42).

The open-source Unified Simulator for Self-Reconﬁgurable Robots (USSR) can be used to simulate and test various modular robot designs and algorithms before building physical hardware.[[41]](Print_version.html#cite_note-43)[[42]](Print_version.html#cite_note-44)

The open-source ARGoS robot simulator can be used to simulate large heterogeneous swarms of robots.[[43]](Print_version.html#cite_note-45)

Many people have built physical prototypes of modular robots.[[44]](Print_version.html#cite_note-46)

  
Some people use the phrase "modular robot" to indicate that its interfaces have been standardized so elements can be swapped out without custom-made adapters. (See [Space Transport and Engineering Methods/Advanced Manufacturing#Modular Robot](http://en.wikibooks.org/wiki/Space_Transport_and_Engineering_Methods/Advanced_Manufacturing#Modular_Robot), [Seed Factories/Basics#Modular Design](http://en.wikibooks.org/wiki/Seed_Factories/Basics#Modular_Design), [Seed Factories/Notes3#Modular Design:](http://en.wikibooks.org/wiki/Seed_Factories/Notes3#Modular_Design:), [Seed Factories/Notes8#1A.3.4 Supply Internal Transport](http://en.wikibooks.org/wiki/Seed_Factories/Notes8#1A.3.4_Supply_Internal_Transport), etc. ). Such a modular robot has:

  * the wrist of a robot arm has a standard mounting pattern so several "hands" with different kinds of tools can be swapped out;
  * the shoulder of a robot arm has a standard mounting pattern that can be attached to a fixed pillar or various motion bases;
  * a standardized power connector makes it easy to swap between a small lightweight battery, a heavier longer-lasting battery, and mains power;
  * etc.

  


## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Modular_and_fractal_robots&action=edit&section=T-1)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/Modular_and_fractal_robots&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Self-Reconfiguring Modular Robotics**_](http://en.wikipedia.org/wiki/Self-Reconfiguring_Modular_Robotics)

See [AboutAI.net](http://www.aboutai.net/DesktopDefault.aspx?tabindex=1&tabid=2&article=aa040400a.htm) and [Fractal Robots](http://www.autopenhosting.org/robots/) and [modular robots](http://david.carybros.com/html/robot_links.html#modular) for more information in this kind of robots.

  * [USD Modular Robotics Research Lab wiki](http://modular.mmmi.sdu.dk/wiki/)
  * [ANAT modular robotic technology](http://roboticsdesign.qc.ca/our-technology)
  * [Molecubes For Everyone wiki](http://www.molecubes.org/)
    * Festo: ["Molecubes"](http://www.festo.com/cms/en_corp/9774.htm)
    * Sourceforge: ["Molecubes"](http://sourceforge.net/projects/molecubes/)
  * [hplusroadmap wiki: "matter compiler"](http://heybryan.org/mediawiki/index.php/matter_compiler)
  * ["SuperBot"](http://www.isi.edu/robots/superbot/) at ISI USC ( Information Sciences Institute of University of Southern California)
  * ["M-TRAN (Modular Transformer)"](http://unit.aist.go.jp/is/dsysd/mtran3/) at AIST and Tokyo-Tech
  * [REPY-1 modules: open-source design](http://www.thingiverse.com/thing:688)
  * ["Modular robotics & Robot locomotion Group"](http://www.mae.ntu.edu.sg/AboutMAE/Divisions/RRC/Pages/Activities.aspx) at the School of Mechanical and Production Engineering, Nanyang Technological University.
  * ["Formica: Affordable, open source swarm robotics"](http://warrantyvoidifremoved.com/formica)
  * Modular Robotics: ["Cubelets"](http://www.modrobotics.com/cubelets)
  * Modular Robotics Labs at The University of Southern Denmark[[39]](http://www.youtube.com/user/mrlusd)
    * Østergaard, Kassow, Beck, and Lund. ["Design of the ATRON lattice-based self-reconﬁgurable robot"](ftp://sccn.ucsd.edu/pub/robot.pdf).

# The LEGO World[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=73)]

![Lego Mindstorms Nxt-FLL.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Lego_Mindstorms_Nxt-FLL.jpg/220px-Lego_Mindstorms_Nxt-FLL.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

## Why Lego?[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-1)]

Legos have become a popular robotics resource, primarily as an educational tool, but also as building materials for fast and easy prototyping. Legos are specifically designed for ease of use, with snap together parts and pre-placed holes. This makes them ideally suited for use in projects where reconfiguration is necessary. With a basic kit of parts, many different robotic machines and mechanisms can be created, tested, modified, disassembled and recreated easily without any damage to the building materials. The pieces are also standardized, so designs can be easily documented and rebuilt. Because of the popularity of Legos, there is also a huge wealth of third party resources available – hardware, software, instructional material, and challenges.

## History[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-2)]

The origins of the [Lego Mindstorms](http://en.wikipedia.org/wiki/Lego_Mindstorms) Robotics kits trace back to [Seymour Papert’s](http://en.wikipedia.org/wiki/Seymour_Papert) book _Mindstorms: Children, Computers, and Powerful Ideas_, in which Papert proposed that rather than using computers to provide exercises for children – “the computer programming the child”, the situation should be reversed and the child given control – “the child programs the computer”. Papert thought that in this way, the child would gain a more active role in building his own knowledge in response to a recognizable personal purpose rather than simply listening to explanations. After co-founding the MIT Artificial Intelligence Lab, Papert developed the programming language “[Logo](http://en.wikipedia.org/wiki/Logo_\(programming_language\))” as a tool to enable children to use simple instructions to control robotic ‘turtles’.

In the mid-1980’s, while working at the MIT Media Lab, Mitchel Resnick and Steve Ocko created a control box to interface Logo with Lego Technic elements along with motors lights and sensors. This setup was marketed as “LEGO TC Logo” and became a popular educational tool and marked the beginning of a partnership between Lego and the MIT Logo researchers. A second version was released in 1993 as the “Control Lab”[[45]](Print_version.html#cite_note-47)

In the mid-1990’s, MIT Media Lab researcher Fred Martin developed the MIT programmable brick. This brick was programmed using a Logo based software but was not required to be connected to the computer with wires and so was able to be more mobile. This design was the basis for the Lego RCX brick, released in 1998. The Lego RCX was the first of the Lego Mindstorms products, which are named after the Papert book. Mindstorms robotics kits quickly became an extremely popular educational resource, being used for robotics classes and competitions around the world.[[46]](Print_version.html#cite_note-48)

In 2006, the NXT became the successor to the RCX. The NXT has an extra sensor port and Bluetooth communication and the basic kit adds an ultrasonic sensor as well as built-in rotation sensors on all the motors.

## Standard Components[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-3)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Lego_Mindstorms**_](http://en.wikipedia.org/wiki/Lego_Mindstorms)

The RCX kits come with the following standard components as well as a variety of building pieces:

  * 2 Motors
  * 1 Light Sensor
  * 2 Lamps
  * Built in IR Communication

The following Lego accessories are available for the RCX:

  * Rotation Sensor
  * Temperature Sensor
  * Sound Sensor

The NXT kits come with the following standard components as well as a variety of building pieces:

  * 3 Servo Motors (with built-in rotation sensors)
  * 1 Light Sensor
  * 1 Touch Sensor
  * 1 Ultrasonic Sensor
  * 1 Sound Sensor
  * Built in Bluetooth Communication

The NXT kit also comes with adaptors that allow any of the RCX components to be used with the NXT.

## Programming Options[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-4)]

There are many options available for programming the Mindstorms bricks. The standard NXT kits may be purchased with either the NXT-G or Robolab programming software. Both are LabVIEW based visual programming languages – Robolab allows more advanced programming, and NXT-G is a bit more beginner-friendly. There are also many other programming languages available.

### NXT-G[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-5)]

NXT-G (Windows, Mac)

  * Pros 
    * Easy to quickly create simple programs
    * Programming flow is easy to see
    * Included in standard kit
  * Cons 
    * Somewhat limited capabilities
    * Integers only – floating point numbers not supported
    * Each basic math operation (addition, subtraction, multiplication, division) requires a separate block
    * Comparatively slow execution speeds
    * High memory usage.

### Robolab[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-6)]

Robolab (Windows, Mac)

  * Pros 
    * Fairly easy to use
    * Fairly advanced programming possible
    * Very similar to LabVIEW environment
    * Included in standard educational kit
  * Cons 
    * Block connections can become confusing
    * No good method for creating block set functions for reuse

### RobotC[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-7)]

[RobotC](http://www.robotc.net)(Windows)

  * Pros 
    * Fast execution
    * Advanced programming
  * Cons 
    * Text based language is harder for beginners
    * Must be bought separately from kit.

### LabVIEW Toolkit[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-8)]

[LabVIEW Toolkit](http://www.ni.com/academic/mindstorms/) (Windows, Mac)

  * Pros 
    * Free (restrictions apply)
    * Can create blocks for use with NXT-G programming
    * Advanced data analysis
    * Common industry programming environment
  * Cons 
    * Somewhat harder for beginners
    * Advanced programming more limited than text based languages

### BricxCC[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-9)]

[BricxCC](http://bricxcc.sourceforge.net/) (Windows)

  * Free Windows IDE that supports many programming languages 
    * NQC (C-based language for the RCX)
    * NXC/NBC (C-based and assembly code for the NXT)
    * C/C++
    * Pascal
    * pbForth
    * leJOS (Java)

## Third Party Accessories[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-10)]

### HiTechnic[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-11)]

[HiTechnic](http://www.hitechnic.com) accessories are packaged in standard Lego NXT sensor cases and can be purchased through Lego:

  * 3-axis Accelerometer
  * Gyro Sensor
  * Color Sensor
  * Compass Sensor
  * RFID Sensor
  * IRLink Sensor
  * IRSeeker Sensor
  * Electro Optical Proximity Detector
  * Touch Sensor Multiplexor
  * Prototyping Boards

### Vernier[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-12)]

Any [Vernier](http://www.vernier.com/nxt/) sensors can be connected to Lego Mindstorms through an adapter cable.

  * 25-g Accelerometer
  * Barometer
  * Charge Sensor
  * Colorimetric
  * Conductivity Probe
  * Current Probe
  * Differential Voltage Probe
  * Dissolved Oxygen Probe
  * Dual-Range Force Sensor Probe
  * Electrode Amplifier
  * Extra Long Temperature Probe
  * Flow Rate Sensor
  * Force Plate
  * Gas Pressure Sensor
  * Hand Dynamo meter
  * Instrumentation Amplifier
  * Light Sensor
  * Low-g Accelerometer
  * Magnetic Field Sensor
  * O2 Gas Sensor
  * ORP Sensor
  * pH Sensor
  * Relative Humidity Sensor
  * Salinity Sensor
  * Soil Moisture Sensor
  * Sound Level Meter
  * Stainless Steel Temperature Probe
  * Surface Temperature Sensor
  * Thermocouple
  * Turbidity Sensor
  * UVA Sensor
  * UVB Sensor

### Mind Sensors[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-13)]

[Mind Sensors](http://www.mindsensors.com) has the following available accessories:

  * Sony PS2 Controller Interface
  * Vision Subsystem
  * 8-channel Servo Controller
  * Multi-sensitivity Acceleration Sensor
  * Dual Infrared Obstacle Detector
  * High/Low Range IR Distance Sensors
  * Real time Clock
  * Pneumatic Pressure Sensor
  * Magnetic Compass
  * RCX Motor Multiplexor
  * RCX Sensor Multiplexor

Hi

## Lego Robotics Events, Challenges, and Acheivements[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-14)]

[First Lego League](http://en.wikipedia.org/wiki/FIRST_Lego_League)[[40]](http://www.firstlegoleague.org) hosts regional competitions for middle school students. A new competition board is created each year with theme-based tasks for the robots to accomplish within a set time limit. The students also are required to research real-world issues related to the selected theme.

[RoboCup Junior](http://en.wikipedia.org/wiki/RoboCup_Junior)[[41]](http://www.robocupjunior.org) is a robotics soccer competition. Lego Mindstorms was originally the primary construction kit used by most teams. Teams are not limited to the use of Legos, so more advanced teams also use more advanced technology.

The [Botball](http://en.wikipedia.org/wiki/Botball)[[42]](http://www.botball.org) competition utilizes Lego pieces as the building materials although more advanced controllers and sensors are used. The Lego RCX served as a primary controller in early years of the competition.

To commemorate the 10th anniversary of Lego Mindstorms, the [High Altitude Lego Extravaganza](http://www.unr.edu/nevadasat/hale/) sent 9 NXT controlled experiments over 99,500 ft. One NXT was released in order to make the longest recorded NXT freefall of 80 seconds before releasing a parachute.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World&action=edit&section=T-15)]

  1. [↑](Print_version.html#cite_ref-1) [SourceForge: "Experimental Robotics Framework"](http://sourceforge.net/projects/miarn/).

# LEGO Robots[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=74)]

[LEGO](http://en.wikipedia.org/wiki/LEGOs) has created the [Robotics Invention System](http://mindstorms.lego.com), which is essentially a LEGO set which may be used to build and prototype robot designs.

The main components provided are,

  * 2 Motors
  * 2 Touch sensors
  * Light detector
  * RCX (Robotic Command Explorer) controller

These can be used with Technic Lego such as cogs, axles, gears and other components to build reasonably complex systems.

## Interface[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World/LEGO_Robots&action=edit&section=T-1)]

The robot interfaces to a PC through the RCX controller using either an [RS-232](http://en.wikipedia.org/wiki/RS-232) serial port and cable, or an infrared (IR) transceiver connected to a [USB](http://en.wikipedia.org/wiki/Universal_Serial_Bus) port. The program can be executed through the connection in real time or downloaded to and stored on the RCX controller. Downloading and storing the program allows the robot to run autonomously without the need to be tethered to the computer.

## Programming and Software[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World/LEGO_Robots&action=edit&section=T-2)]

Lego provide their own [GUI](http://en.wikipedia.org/wiki/GUI) Software [[43]](http://mindstorms.lego.com/eng/products/ris/rissoft.asp) to program the RCX controller. The versatility of the LEGO system, and the added sophistication you get with scripting languages has meant other people have developed their own programming languages to control the RCX, namely,

  * [NQC](http://bricxcc.sourceforge.net/nqc/) \- Not quite C: A C derived scripting language.
  * [lejos](http://lejos.sourceforge.net) \- Robots control in Java.

# Introduction to the RCX[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=75)]

[Robotics/Exotic Robots/The LEGO World/Introduction to the RCX](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World/Introduction_to_the_RCX&action=edit&redlink=1)

# Programming the RCX[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=76)]

[Robotics/Exotic Robots/The LEGO World/Programming the RCX](http://en.wikibooks.org/w/index.php?title=Robotics/Exotic_Robots/The_LEGO_World/Programming_the_RCX&action=edit&redlink=1)

* * *

# Resources[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=77)]

## Other Wikibooks[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Resources&action=edit&section=T-1)]

  * [Advanced Robotics Book](http://en.wikibooks.org/wiki/Advanced_Robotics_Book)
  * [Electronics](http://en.wikibooks.org/wiki/Electronics)
  * [Embedded Systems](http://en.wikibooks.org/wiki/Embedded_Systems)
  * [Embedded Control Systems Design](http://en.wikibooks.org/wiki/Embedded_Control_Systems_Design)
  * [Theoretical Mechanics](http://en.wikibooks.org/wiki/Theoretical_Mechanics)
  * [System Troubleshooting](http://en.wikibooks.org/wiki/System_Troubleshooting)
  * [Robotics Kinematics and Dynamics](http://en.wikibooks.org/wiki/Robotics_Kinematics_and_Dynamics): a more theoretical approach.
  * [Electric Motors And Generators](http://en.wikibooks.org/wiki/Electric_Motors_And_Generators): theory and details of what goes on inside a motor
  * [Practical Electronics/Stepper Motors](http://en.wikibooks.org/wiki/Practical_Electronics/Stepper_Motors)
  * [Power Electronics](http://en.wikibooks.org/wiki/Power_Electronics)

## External links[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Resources&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Robot**_](http://en.wikipedia.org/wiki/Robot)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Microbotics**_](http://en.wikipedia.org/wiki/Microbotics)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Mechatronics**_](http://en.wikipedia.org/wiki/Mechatronics)

  * [Robotics video tutorial](http://www.expertcore.org/viewtopic.php?f=73&t=335)
  * [Robotics Education Website](http://www.razorrobotics.com/)
  * [Robotics for hobbyists](http://www.quacktu.com/index.html)
  * McComb, Gordon 2000 "The Robot Builder's bonanza 2nd ed." [ISBN 0-07-136296-7](http://en.wikibooks.org/wiki/Special:BookSources/0071362967) \-- One of, if not the, best book on home-built mobile robotics.
  * ["Controlling The Real World With Computers" by Joe Reeder](http://learn-c.com/)
  * ["Get Started in Robotics"](http://mdubuc.freeshell.org/Robotics/GetStarted.html)
  * <http://www.robotix.in> tutorials on robotics
  * [CLARAty http://claraty.jpl.nasa.gov](http://claraty.jpl.nasa.gov) reusable robotic software framework. Includes many miscellaneous algorithms used in robotics: pose estimation, navigation, path planning, machine vision, coordinate transforms, locomotion inverse kinematics, Bayes networks, etc.
  * [Robotics](http://area51.stackexchange.com/proposals/40020/robotics) at stack exchange
  * "The TAM: a device for task abstraction in swarm robotics research"[[44]](http://iridia.ulb.ac.be/supp/IridiaSupp2012-002/)

## Free Wikis on Robotics[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Resources&action=edit&section=T-3)]

  * [OpenServo wiki](http://openservo.com/)
  * ["The Robot Group Inc."](http://wiki.therobotgroup.org/) of Austin TX: many artistic and entertainment robots
  * [Open Circuits wiki: motor drivers](http://opencircuits.com/Motor_driver)

## University and College Sites[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Resources&action=edit&section=T-4)]

  * [Connecticut College](http://cs.conncoll.edu/Parker/)
  * [MIT Open Course Ware](http://ocw.mit.edu/index.html) \- MIT has published many of its courses online as the OCW project. Some of these provide practically everything, others list course books. Probably one of the most reliable and extensive sources of information on the internet.

## Papers[[edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit&section=78)]

This section list sites that carry papers on various subjects relevant to robotics.

[cs.conncoll.edu/Parker/_papers.html](http://cs.conncoll.edu/Parker/_papers.html)  


  * Co-Evolving Team Capture Strategies for Dissimilar Robots
  * Fitness Biasing to Produce Adaptive Gaits for Hexapod Robots
  * Competing Sample Sizes for the Co-Evolution of Heterogeneous Agents
  * Partial Recombination for the Co-Evolution of Model Parameters
  * Varying Sample Sizes for the Co-Evolution of Heterogeneous Agents
  * Punctuated Anytime Learning for Evolving Multi-Agent Capture Strategies
  * Cyclic Genetic Algorithms for Evolving Multi-Loop Control Programs
  * Continuous Power Supply for a Robot Colony
  * Comparison of Sampling Sizes for the Co-Evolution of Cooperative Agents
  * Evolving Towers in a 3-Dimensional Simulated Environment
  * Evolving Neural Networks for Hexapod Leg Controllers
  * Learning Adaptive Leg Cycles Using Fitness Biasing
  * Cyclic Genetic Algorithms for Stiquito Locomotion
  * Evolving Gaits for the Lynxmotion Hexapod II Robot
  * Sampling the Nature of a Population: Punctuated Anytime Learning for Co-Evolving a Team
  * Punctuated Anytime Learning for Hexapod Gait Generation
  * Learning Area Coverage Using the Co-Evolution of Model Parameters
  * Evolving Neural Network Controllers to Produce Leg Cycles for Gait Generation
  * Punctuated Anytime Learning for Evolving a Team
  * Evolving Cyclic Control for a Hexapod Robot Performing Area Coverage
  * The Incremental Evolution of Gaits for Hexapod Robots
  * Gait Evolution for a Hexapod Robot
  * Learning Control Cycles for Area Coverage with Cyclic Genetic Algorithms
  * Co-Evolving Model Parameters for Anytime Learning in Evolutionary Robotics
  * Evolving Leg Cycles to Produce Hexapod Gaits
  * Punctuated Anytime Learning for Evolutionary Robotics
  * The Co-Evolution of Model Parameters and Control Programs in Evolutionary Robotics
  * Adaptive Hexapod Gait Control Using Anytime Learning with Fitness Biasing
  * Generating Arachnid Robot Gaits with Cyclic Genetic Algorithms
  * Locomotion Control Cycles Adapted for Disabilities in Hexapod Robots
  * Metachronal Wave Gait Generation for Hexapod Robots
  * Evolving Hexapod Gaits Using a Cyclic Genetic Algorithm
  * Learning Gaits for the Stiquito
  * Using Cyclic Genetic Algorithms to Reconfigure Hardware Controllers for Robots
  * Cyclic Genetic Algorithms for the Locomotion of Hexapod Robots
  * Genetic Algorithms for the Development of Real-Time Multi-Heuristic Search Strategies

* * *

  


![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&oldid=2540638](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&oldid=2540638)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Robotics (book)](http://en.wikibooks.org/wiki/Category:Robotics_\(book\))

Hidden categories: 

  * [Pages needing sources](http://en.wikibooks.org/wiki/Category:Pages_needing_sources)
  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [Books to be broken into subpages](http://en.wikibooks.org/wiki/Category:Books_to_be_broken_into_subpages)
  * [Books to be merged](http://en.wikibooks.org/wiki/Category:Books_to_be_merged)
  * [No references for citations](http://en.wikibooks.org/wiki/Category:No_references_for_citations)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Robotics%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Robotics%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Robotics/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Robotics/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Robotics/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&oldid=2540638)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Robotics%2FPrint_version&id=2540638)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Robotics%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Robotics%2FPrint+version&oldid=2540638&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Robotics/Print_version&printable=yes)

    * This page was last modified on 30 June 2013, at 02:21.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Robotics/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
